/*
 * Copyright 2016 WebAssembly Community Group participants
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
((function(){"use strict";var Module;if(!Module)Module=(typeof Module!=="undefined"?Module:null)||{};var moduleOverrides={};for(var key in Module){if(Module.hasOwnProperty(key)){moduleOverrides[key]=Module[key]}}var ENVIRONMENT_IS_WEB=false;var ENVIRONMENT_IS_WORKER=false;var ENVIRONMENT_IS_NODE=false;var ENVIRONMENT_IS_SHELL=false;if(Module["ENVIRONMENT"]){if(Module["ENVIRONMENT"]==="WEB"){ENVIRONMENT_IS_WEB=true}else if(Module["ENVIRONMENT"]==="WORKER"){ENVIRONMENT_IS_WORKER=true}else if(Module["ENVIRONMENT"]==="NODE"){ENVIRONMENT_IS_NODE=true}else if(Module["ENVIRONMENT"]==="SHELL"){ENVIRONMENT_IS_SHELL=true}else{throw new Error("The provided Module['ENVIRONMENT'] value is not valid. It must be one of: WEB|WORKER|NODE|SHELL.")}}else{ENVIRONMENT_IS_WEB=typeof window==="object";ENVIRONMENT_IS_WORKER=typeof importScripts==="function";ENVIRONMENT_IS_NODE=typeof process==="object"&&typeof require==="function"&&!ENVIRONMENT_IS_WEB&&!ENVIRONMENT_IS_WORKER;ENVIRONMENT_IS_SHELL=!ENVIRONMENT_IS_WEB&&!ENVIRONMENT_IS_NODE&&!ENVIRONMENT_IS_WORKER}if(ENVIRONMENT_IS_NODE){if(!Module["print"])Module["print"]=console.log;if(!Module["printErr"])Module["printErr"]=console.warn;var nodeFS;var nodePath;Module["read"]=function read(filename,binary){if(!nodeFS)nodeFS=require("fs");if(!nodePath)nodePath=require("path");filename=nodePath["normalize"](filename);var ret=nodeFS["readFileSync"](filename);return binary?ret:ret.toString()};Module["readBinary"]=function readBinary(filename){var ret=Module["read"](filename,true);if(!ret.buffer){ret=new Uint8Array(ret)}assert(ret.buffer);return ret};Module["load"]=function load(f){globalEval(read(f))};if(!Module["thisProgram"]){if(process["argv"].length>1){Module["thisProgram"]=process["argv"][1].replace(/\\/g,"/")}else{Module["thisProgram"]="unknown-program"}}Module["arguments"]=process["argv"].slice(2);if(typeof module!=="undefined"){module["exports"]=Module}process["on"]("uncaughtException",(function(ex){if(!(ex instanceof ExitStatus)){throw ex}}));Module["inspect"]=(function(){return"[Emscripten Module object]"})}else if(ENVIRONMENT_IS_SHELL){if(!Module["print"])Module["print"]=print;if(typeof printErr!="undefined")Module["printErr"]=printErr;if(typeof read!="undefined"){Module["read"]=read}else{Module["read"]=function read(){throw"no read() available"}}Module["readBinary"]=function readBinary(f){if(typeof readbuffer==="function"){return new Uint8Array(readbuffer(f))}var data=read(f,"binary");assert(typeof data==="object");return data};if(typeof scriptArgs!="undefined"){Module["arguments"]=scriptArgs}else if(typeof arguments!="undefined"){Module["arguments"]=arguments}if(typeof quit==="function"){Module["quit"]=(function(status,toThrow){quit(status)})}}else if(ENVIRONMENT_IS_WEB||ENVIRONMENT_IS_WORKER){Module["read"]=function read(url){var xhr=new XMLHttpRequest;xhr.open("GET",url,false);xhr.send(null);return xhr.responseText};if(ENVIRONMENT_IS_WORKER){Module["readBinary"]=function read(url){var xhr=new XMLHttpRequest;xhr.open("GET",url,false);xhr.responseType="arraybuffer";xhr.send(null);return xhr.response}}Module["readAsync"]=function readAsync(url,onload,onerror){var xhr=new XMLHttpRequest;xhr.open("GET",url,true);xhr.responseType="arraybuffer";xhr.onload=function xhr_onload(){if(xhr.status==200||xhr.status==0&&xhr.response){onload(xhr.response)}else{onerror()}};xhr.onerror=onerror;xhr.send(null)};if(typeof arguments!="undefined"){Module["arguments"]=arguments}if(typeof console!=="undefined"){if(!Module["print"])Module["print"]=function print(x){console.log(x)};if(!Module["printErr"])Module["printErr"]=function printErr(x){console.warn(x)}}else{var TRY_USE_DUMP=false;if(!Module["print"])Module["print"]=TRY_USE_DUMP&&typeof dump!=="undefined"?(function(x){dump(x)}):(function(x){})}if(ENVIRONMENT_IS_WORKER){Module["load"]=importScripts}if(typeof Module["setWindowTitle"]==="undefined"){Module["setWindowTitle"]=(function(title){document.title=title})}}else{throw"Unknown runtime environment. Where are we?"}function globalEval(x){eval.call(null,x)}if(!Module["load"]&&Module["read"]){Module["load"]=function load(f){globalEval(Module["read"](f))}}if(!Module["print"]){Module["print"]=(function(){})}if(!Module["printErr"]){Module["printErr"]=Module["print"]}if(!Module["arguments"]){Module["arguments"]=[]}if(!Module["thisProgram"]){Module["thisProgram"]="./this.program"}if(!Module["quit"]){Module["quit"]=(function(status,toThrow){throw toThrow})}Module.print=Module["print"];Module.printErr=Module["printErr"];Module["preRun"]=[];Module["postRun"]=[];for(var key in moduleOverrides){if(moduleOverrides.hasOwnProperty(key)){Module[key]=moduleOverrides[key]}}moduleOverrides=undefined;var Runtime={setTempRet0:(function(value){tempRet0=value;return value}),getTempRet0:(function(){return tempRet0}),stackSave:(function(){return STACKTOP}),stackRestore:(function(stackTop){STACKTOP=stackTop}),getNativeTypeSize:(function(type){switch(type){case"i1":case"i8":return 1;case"i16":return 2;case"i32":return 4;case"i64":return 8;case"float":return 4;case"double":return 8;default:{if(type[type.length-1]==="*"){return Runtime.QUANTUM_SIZE}else if(type[0]==="i"){var bits=parseInt(type.substr(1));assert(bits%8===0);return bits/8}else{return 0}}}}),getNativeFieldSize:(function(type){return Math.max(Runtime.getNativeTypeSize(type),Runtime.QUANTUM_SIZE)}),STACK_ALIGN:16,prepVararg:(function(ptr,type){if(type==="double"||type==="i64"){if(ptr&7){assert((ptr&7)===4);ptr+=4}}else{assert((ptr&3)===0)}return ptr}),getAlignSize:(function(type,size,vararg){if(!vararg&&(type=="i64"||type=="double"))return 8;if(!type)return Math.min(size,8);return Math.min(size||(type?Runtime.getNativeFieldSize(type):0),Runtime.QUANTUM_SIZE)}),dynCall:(function(sig,ptr,args){if(args&&args.length){return Module["dynCall_"+sig].apply(null,[ptr].concat(args))}else{return Module["dynCall_"+sig].call(null,ptr)}}),functionPointers:[null,null,null,null,null,null,null,null,null,null],addFunction:(function(func){for(var i=0;i<Runtime.functionPointers.length;i++){if(!Runtime.functionPointers[i]){Runtime.functionPointers[i]=func;return 2*(1+i)}}throw"Finished up all reserved function pointers. Use a higher value for RESERVED_FUNCTION_POINTERS."}),removeFunction:(function(index){Runtime.functionPointers[(index-2)/2]=null}),warnOnce:(function(text){if(!Runtime.warnOnce.shown)Runtime.warnOnce.shown={};if(!Runtime.warnOnce.shown[text]){Runtime.warnOnce.shown[text]=1;Module.printErr(text)}}),funcWrappers:{},getFuncWrapper:(function(func,sig){assert(sig);if(!Runtime.funcWrappers[sig]){Runtime.funcWrappers[sig]={}}var sigCache=Runtime.funcWrappers[sig];if(!sigCache[func]){if(sig.length===1){sigCache[func]=function dynCall_wrapper(){return Runtime.dynCall(sig,func)}}else if(sig.length===2){sigCache[func]=function dynCall_wrapper(arg){return Runtime.dynCall(sig,func,[arg])}}else{sigCache[func]=function dynCall_wrapper(){return Runtime.dynCall(sig,func,Array.prototype.slice.call(arguments))}}}return sigCache[func]}),getCompilerSetting:(function(name){throw"You must build with -s RETAIN_COMPILER_SETTINGS=1 for Runtime.getCompilerSetting or emscripten_get_compiler_setting to work"}),stackAlloc:(function(size){var ret=STACKTOP;STACKTOP=STACKTOP+size|0;STACKTOP=STACKTOP+15&-16;return ret}),staticAlloc:(function(size){var ret=STATICTOP;STATICTOP=STATICTOP+size|0;STATICTOP=STATICTOP+15&-16;return ret}),dynamicAlloc:(function(size){var ret=HEAP32[DYNAMICTOP_PTR>>2];var end=(ret+size+15|0)&-16;HEAP32[DYNAMICTOP_PTR>>2]=end;if(end>=TOTAL_MEMORY){var success=enlargeMemory();if(!success){HEAP32[DYNAMICTOP_PTR>>2]=ret;return 0}}return ret}),alignMemory:(function(size,quantum){var ret=size=Math.ceil(size/(quantum?quantum:16))*(quantum?quantum:16);return ret}),makeBigInt:(function(low,high,unsigned){var ret=unsigned?+(low>>>0)+ +(high>>>0)*+4294967296:+(low>>>0)+ +(high|0)*+4294967296;return ret}),GLOBAL_BASE:8,QUANTUM_SIZE:4,__dummy__:0};Module["Runtime"]=Runtime;var ABORT=0;var EXITSTATUS=0;function assert(condition,text){if(!condition){abort("Assertion failed: "+text)}}function getCFunc(ident){var func=Module["_"+ident];if(!func){try{func=eval("_"+ident)}catch(e){}}assert(func,"Cannot call unknown function "+ident+" (perhaps LLVM optimizations or closure removed it?)");return func}var cwrap,ccall;((function(){var JSfuncs={"stackSave":(function(){Runtime.stackSave()}),"stackRestore":(function(){Runtime.stackRestore()}),"arrayToC":(function(arr){var ret=Runtime.stackAlloc(arr.length);writeArrayToMemory(arr,ret);return ret}),"stringToC":(function(str){var ret=0;if(str!==null&&str!==undefined&&str!==0){var len=(str.length<<2)+1;ret=Runtime.stackAlloc(len);stringToUTF8(str,ret,len)}return ret})};var toC={"string":JSfuncs["stringToC"],"array":JSfuncs["arrayToC"]};ccall=function ccallFunc(ident,returnType,argTypes,args,opts){var func=getCFunc(ident);var cArgs=[];var stack=0;if(args){for(var i=0;i<args.length;i++){var converter=toC[argTypes[i]];if(converter){if(stack===0)stack=Runtime.stackSave();cArgs[i]=converter(args[i])}else{cArgs[i]=args[i]}}}var ret=func.apply(null,cArgs);if(returnType==="string")ret=Pointer_stringify(ret);if(stack!==0){if(opts&&opts.async){EmterpreterAsync.asyncFinalizers.push((function(){Runtime.stackRestore(stack)}));return}Runtime.stackRestore(stack)}return ret};var sourceRegex=/^function\s*[a-zA-Z$_0-9]*\s*\(([^)]*)\)\s*{\s*([^*]*?)[\s;]*(?:return\s*(.*?)[;\s]*)?}$/;function parseJSFunc(jsfunc){var parsed=jsfunc.toString().match(sourceRegex).slice(1);return{arguments:parsed[0],body:parsed[1],returnValue:parsed[2]}}var JSsource=null;function ensureJSsource(){if(!JSsource){JSsource={};for(var fun in JSfuncs){if(JSfuncs.hasOwnProperty(fun)){JSsource[fun]=parseJSFunc(JSfuncs[fun])}}}}cwrap=function cwrap(ident,returnType,argTypes){argTypes=argTypes||[];var cfunc=getCFunc(ident);var numericArgs=argTypes.every((function(type){return type==="number"}));var numericRet=returnType!=="string";if(numericRet&&numericArgs){return cfunc}var argNames=argTypes.map((function(x,i){return"$"+i}));var funcstr="(function("+argNames.join(",")+") {";var nargs=argTypes.length;if(!numericArgs){ensureJSsource();funcstr+="var stack = "+JSsource["stackSave"].body+";";for(var i=0;i<nargs;i++){var arg=argNames[i],type=argTypes[i];if(type==="number")continue;var convertCode=JSsource[type+"ToC"];funcstr+="var "+convertCode.arguments+" = "+arg+";";funcstr+=convertCode.body+";";funcstr+=arg+"=("+convertCode.returnValue+");"}}var cfuncname=parseJSFunc((function(){return cfunc})).returnValue;funcstr+="var ret = "+cfuncname+"("+argNames.join(",")+");";if(!numericRet){var strgfy=parseJSFunc((function(){return Pointer_stringify})).returnValue;funcstr+="ret = "+strgfy+"(ret);"}if(!numericArgs){ensureJSsource();funcstr+=JSsource["stackRestore"].body.replace("()","(stack)")+";"}funcstr+="return ret})";return eval(funcstr)}}))();Module["ccall"]=ccall;Module["cwrap"]=cwrap;function setValue(ptr,value,type,noSafe){type=type||"i8";if(type.charAt(type.length-1)==="*")type="i32";switch(type){case"i1":HEAP8[ptr>>0]=value;break;case"i8":HEAP8[ptr>>0]=value;break;case"i16":HEAP16[ptr>>1]=value;break;case"i32":HEAP32[ptr>>2]=value;break;case"i64":tempI64=[value>>>0,(tempDouble=value,+Math_abs(tempDouble)>=+1?tempDouble>+0?(Math_min(+Math_floor(tempDouble/+4294967296),+4294967295)|0)>>>0:~~+Math_ceil((tempDouble- +(~~tempDouble>>>0))/+4294967296)>>>0:0)],HEAP32[ptr>>2]=tempI64[0],HEAP32[ptr+4>>2]=tempI64[1];break;case"float":HEAPF32[ptr>>2]=value;break;case"double":HEAPF64[ptr>>3]=value;break;default:abort("invalid type for setValue: "+type)}}Module["setValue"]=setValue;function getValue(ptr,type,noSafe){type=type||"i8";if(type.charAt(type.length-1)==="*")type="i32";switch(type){case"i1":return HEAP8[ptr>>0];case"i8":return HEAP8[ptr>>0];case"i16":return HEAP16[ptr>>1];case"i32":return HEAP32[ptr>>2];case"i64":return HEAP32[ptr>>2];case"float":return HEAPF32[ptr>>2];case"double":return HEAPF64[ptr>>3];default:abort("invalid type for setValue: "+type)}return null}Module["getValue"]=getValue;var ALLOC_NORMAL=0;var ALLOC_STACK=1;var ALLOC_STATIC=2;var ALLOC_DYNAMIC=3;var ALLOC_NONE=4;Module["ALLOC_NORMAL"]=ALLOC_NORMAL;Module["ALLOC_STACK"]=ALLOC_STACK;Module["ALLOC_STATIC"]=ALLOC_STATIC;Module["ALLOC_DYNAMIC"]=ALLOC_DYNAMIC;Module["ALLOC_NONE"]=ALLOC_NONE;function allocate(slab,types,allocator,ptr){var zeroinit,size;if(typeof slab==="number"){zeroinit=true;size=slab}else{zeroinit=false;size=slab.length}var singleType=typeof types==="string"?types:null;var ret;if(allocator==ALLOC_NONE){ret=ptr}else{ret=[typeof _malloc==="function"?_malloc:Runtime.staticAlloc,Runtime.stackAlloc,Runtime.staticAlloc,Runtime.dynamicAlloc][allocator===undefined?ALLOC_STATIC:allocator](Math.max(size,singleType?1:types.length))}if(zeroinit){var ptr=ret,stop;assert((ret&3)==0);stop=ret+(size&~3);for(;ptr<stop;ptr+=4){HEAP32[ptr>>2]=0}stop=ret+size;while(ptr<stop){HEAP8[ptr++>>0]=0}return ret}if(singleType==="i8"){if(slab.subarray||slab.slice){HEAPU8.set(slab,ret)}else{HEAPU8.set(new Uint8Array(slab),ret)}return ret}var i=0,type,typeSize,previousType;while(i<size){var curr=slab[i];if(typeof curr==="function"){curr=Runtime.getFunctionIndex(curr)}type=singleType||types[i];if(type===0){i++;continue}if(type=="i64")type="i32";setValue(ret+i,curr,type);if(previousType!==type){typeSize=Runtime.getNativeTypeSize(type);previousType=type}i+=typeSize}return ret}Module["allocate"]=allocate;function getMemory(size){if(!staticSealed)return Runtime.staticAlloc(size);if(!runtimeInitialized)return Runtime.dynamicAlloc(size);return _malloc(size)}Module["getMemory"]=getMemory;function Pointer_stringify(ptr,length){if(length===0||!ptr)return"";var hasUtf=0;var t;var i=0;while(1){t=HEAPU8[ptr+i>>0];hasUtf|=t;if(t==0&&!length)break;i++;if(length&&i==length)break}if(!length)length=i;var ret="";if(hasUtf<128){var MAX_CHUNK=1024;var curr;while(length>0){curr=String.fromCharCode.apply(String,HEAPU8.subarray(ptr,ptr+Math.min(length,MAX_CHUNK)));ret=ret?ret+curr:curr;ptr+=MAX_CHUNK;length-=MAX_CHUNK}return ret}return Module["UTF8ToString"](ptr)}Module["Pointer_stringify"]=Pointer_stringify;function AsciiToString(ptr){var str="";while(1){var ch=HEAP8[ptr++>>0];if(!ch)return str;str+=String.fromCharCode(ch)}}Module["AsciiToString"]=AsciiToString;function stringToAscii(str,outPtr){return writeAsciiToMemory(str,outPtr,false)}Module["stringToAscii"]=stringToAscii;var UTF8Decoder=typeof TextDecoder!=="undefined"?new TextDecoder("utf8"):undefined;function UTF8ArrayToString(u8Array,idx){var endPtr=idx;while(u8Array[endPtr])++endPtr;if(endPtr-idx>16&&u8Array.subarray&&UTF8Decoder){return UTF8Decoder.decode(u8Array.subarray(idx,endPtr))}else{var u0,u1,u2,u3,u4,u5;var str="";while(1){u0=u8Array[idx++];if(!u0)return str;if(!(u0&128)){str+=String.fromCharCode(u0);continue}u1=u8Array[idx++]&63;if((u0&224)==192){str+=String.fromCharCode((u0&31)<<6|u1);continue}u2=u8Array[idx++]&63;if((u0&240)==224){u0=(u0&15)<<12|u1<<6|u2}else{u3=u8Array[idx++]&63;if((u0&248)==240){u0=(u0&7)<<18|u1<<12|u2<<6|u3}else{u4=u8Array[idx++]&63;if((u0&252)==248){u0=(u0&3)<<24|u1<<18|u2<<12|u3<<6|u4}else{u5=u8Array[idx++]&63;u0=(u0&1)<<30|u1<<24|u2<<18|u3<<12|u4<<6|u5}}}if(u0<65536){str+=String.fromCharCode(u0)}else{var ch=u0-65536;str+=String.fromCharCode(55296|ch>>10,56320|ch&1023)}}}}Module["UTF8ArrayToString"]=UTF8ArrayToString;function UTF8ToString(ptr){return UTF8ArrayToString(HEAPU8,ptr)}Module["UTF8ToString"]=UTF8ToString;function stringToUTF8Array(str,outU8Array,outIdx,maxBytesToWrite){if(!(maxBytesToWrite>0))return 0;var startIdx=outIdx;var endIdx=outIdx+maxBytesToWrite-1;for(var i=0;i<str.length;++i){var u=str.charCodeAt(i);if(u>=55296&&u<=57343)u=65536+((u&1023)<<10)|str.charCodeAt(++i)&1023;if(u<=127){if(outIdx>=endIdx)break;outU8Array[outIdx++]=u}else if(u<=2047){if(outIdx+1>=endIdx)break;outU8Array[outIdx++]=192|u>>6;outU8Array[outIdx++]=128|u&63}else if(u<=65535){if(outIdx+2>=endIdx)break;outU8Array[outIdx++]=224|u>>12;outU8Array[outIdx++]=128|u>>6&63;outU8Array[outIdx++]=128|u&63}else if(u<=2097151){if(outIdx+3>=endIdx)break;outU8Array[outIdx++]=240|u>>18;outU8Array[outIdx++]=128|u>>12&63;outU8Array[outIdx++]=128|u>>6&63;outU8Array[outIdx++]=128|u&63}else if(u<=67108863){if(outIdx+4>=endIdx)break;outU8Array[outIdx++]=248|u>>24;outU8Array[outIdx++]=128|u>>18&63;outU8Array[outIdx++]=128|u>>12&63;outU8Array[outIdx++]=128|u>>6&63;outU8Array[outIdx++]=128|u&63}else{if(outIdx+5>=endIdx)break;outU8Array[outIdx++]=252|u>>30;outU8Array[outIdx++]=128|u>>24&63;outU8Array[outIdx++]=128|u>>18&63;outU8Array[outIdx++]=128|u>>12&63;outU8Array[outIdx++]=128|u>>6&63;outU8Array[outIdx++]=128|u&63}}outU8Array[outIdx]=0;return outIdx-startIdx}Module["stringToUTF8Array"]=stringToUTF8Array;function stringToUTF8(str,outPtr,maxBytesToWrite){return stringToUTF8Array(str,HEAPU8,outPtr,maxBytesToWrite)}Module["stringToUTF8"]=stringToUTF8;function lengthBytesUTF8(str){var len=0;for(var i=0;i<str.length;++i){var u=str.charCodeAt(i);if(u>=55296&&u<=57343)u=65536+((u&1023)<<10)|str.charCodeAt(++i)&1023;if(u<=127){++len}else if(u<=2047){len+=2}else if(u<=65535){len+=3}else if(u<=2097151){len+=4}else if(u<=67108863){len+=5}else{len+=6}}return len}Module["lengthBytesUTF8"]=lengthBytesUTF8;var UTF16Decoder=typeof TextDecoder!=="undefined"?new TextDecoder("utf-16le"):undefined;function demangle(func){var __cxa_demangle_func=Module["___cxa_demangle"]||Module["__cxa_demangle"];if(__cxa_demangle_func){try{var s=func.substr(1);var len=lengthBytesUTF8(s)+1;var buf=_malloc(len);stringToUTF8(s,buf,len);var status=_malloc(4);var ret=__cxa_demangle_func(buf,0,0,status);if(getValue(status,"i32")===0&&ret){return Pointer_stringify(ret)}}catch(e){}finally{if(buf)_free(buf);if(status)_free(status);if(ret)_free(ret)}return func}Runtime.warnOnce("warning: build with  -s DEMANGLE_SUPPORT=1  to link in libcxxabi demangling");return func}function demangleAll(text){var regex=/__Z[\w\d_]+/g;return text.replace(regex,(function(x){var y=demangle(x);return x===y?x:x+" ["+y+"]"}))}function jsStackTrace(){var err=new Error;if(!err.stack){try{throw new Error(0)}catch(e){err=e}if(!err.stack){return"(no stack trace available)"}}return err.stack.toString()}function stackTrace(){var js=jsStackTrace();if(Module["extraStackTrace"])js+="\n"+Module["extraStackTrace"]();return demangleAll(js)}Module["stackTrace"]=stackTrace;var HEAP;var buffer;var HEAP8,HEAPU8,HEAP16,HEAPU16,HEAP32,HEAPU32,HEAPF32,HEAPF64;function updateGlobalBufferViews(){Module["HEAP8"]=HEAP8=new Int8Array(buffer);Module["HEAP16"]=HEAP16=new Int16Array(buffer);Module["HEAP32"]=HEAP32=new Int32Array(buffer);Module["HEAPU8"]=HEAPU8=new Uint8Array(buffer);Module["HEAPU16"]=HEAPU16=new Uint16Array(buffer);Module["HEAPU32"]=HEAPU32=new Uint32Array(buffer);Module["HEAPF32"]=HEAPF32=new Float32Array(buffer);Module["HEAPF64"]=HEAPF64=new Float64Array(buffer)}var STATIC_BASE,STATICTOP,staticSealed;var STACK_BASE,STACKTOP,STACK_MAX;var DYNAMIC_BASE,DYNAMICTOP_PTR;STATIC_BASE=STATICTOP=STACK_BASE=STACKTOP=STACK_MAX=DYNAMIC_BASE=DYNAMICTOP_PTR=0;staticSealed=false;function abortOnCannotGrowMemory(){abort("Cannot enlarge memory arrays. Either (1) compile with  -s TOTAL_MEMORY=X  with X higher than the current value "+TOTAL_MEMORY+", (2) compile with  -s ALLOW_MEMORY_GROWTH=1  which adjusts the size at runtime but prevents some optimizations, (3) set Module.TOTAL_MEMORY to a higher value before the program runs, or if you want malloc to return NULL (0) instead of this abort, compile with  -s ABORTING_MALLOC=0 ")}function enlargeMemory(){abortOnCannotGrowMemory()}var TOTAL_STACK=Module["TOTAL_STACK"]||5242880;var TOTAL_MEMORY=Module["TOTAL_MEMORY"]||16777216;if(TOTAL_MEMORY<TOTAL_STACK)Module.printErr("TOTAL_MEMORY should be larger than TOTAL_STACK, was "+TOTAL_MEMORY+"! (TOTAL_STACK="+TOTAL_STACK+")");if(Module["buffer"]){buffer=Module["buffer"]}else{{buffer=new ArrayBuffer(TOTAL_MEMORY)}}updateGlobalBufferViews();function getTotalMemory(){return TOTAL_MEMORY}HEAP32[0]=1668509029;HEAP16[1]=25459;if(HEAPU8[2]!==115||HEAPU8[3]!==99)throw"Runtime error: expected the system to be little-endian!";Module["HEAP"]=HEAP;Module["buffer"]=buffer;Module["HEAP8"]=HEAP8;Module["HEAP16"]=HEAP16;Module["HEAP32"]=HEAP32;Module["HEAPU8"]=HEAPU8;Module["HEAPU16"]=HEAPU16;Module["HEAPU32"]=HEAPU32;Module["HEAPF32"]=HEAPF32;Module["HEAPF64"]=HEAPF64;function callRuntimeCallbacks(callbacks){while(callbacks.length>0){var callback=callbacks.shift();if(typeof callback=="function"){callback();continue}var func=callback.func;if(typeof func==="number"){if(callback.arg===undefined){Module["dynCall_v"](func)}else{Module["dynCall_vi"](func,callback.arg)}}else{func(callback.arg===undefined?null:callback.arg)}}}var __ATPRERUN__=[];var __ATINIT__=[];var __ATMAIN__=[];var __ATEXIT__=[];var __ATPOSTRUN__=[];var runtimeInitialized=false;var runtimeExited=false;function preRun(){if(Module["preRun"]){if(typeof Module["preRun"]=="function")Module["preRun"]=[Module["preRun"]];while(Module["preRun"].length){addOnPreRun(Module["preRun"].shift())}}callRuntimeCallbacks(__ATPRERUN__)}function ensureInitRuntime(){if(runtimeInitialized)return;runtimeInitialized=true;callRuntimeCallbacks(__ATINIT__)}function preMain(){callRuntimeCallbacks(__ATMAIN__)}function exitRuntime(){callRuntimeCallbacks(__ATEXIT__);runtimeExited=true}function postRun(){if(Module["postRun"]){if(typeof Module["postRun"]=="function")Module["postRun"]=[Module["postRun"]];while(Module["postRun"].length){addOnPostRun(Module["postRun"].shift())}}callRuntimeCallbacks(__ATPOSTRUN__)}function addOnPreRun(cb){__ATPRERUN__.unshift(cb)}Module["addOnPreRun"]=addOnPreRun;function addOnInit(cb){__ATINIT__.unshift(cb)}Module["addOnInit"]=addOnInit;function addOnPreMain(cb){__ATMAIN__.unshift(cb)}Module["addOnPreMain"]=addOnPreMain;function addOnExit(cb){__ATEXIT__.unshift(cb)}Module["addOnExit"]=addOnExit;function addOnPostRun(cb){__ATPOSTRUN__.unshift(cb)}Module["addOnPostRun"]=addOnPostRun;function intArrayFromString(stringy,dontAddNull,length){var len=length>0?length:lengthBytesUTF8(stringy)+1;var u8array=new Array(len);var numBytesWritten=stringToUTF8Array(stringy,u8array,0,u8array.length);if(dontAddNull)u8array.length=numBytesWritten;return u8array}Module["intArrayFromString"]=intArrayFromString;function intArrayToString(array){var ret=[];for(var i=0;i<array.length;i++){var chr=array[i];if(chr>255){chr&=255}ret.push(String.fromCharCode(chr))}return ret.join("")}Module["intArrayToString"]=intArrayToString;function writeStringToMemory(string,buffer,dontAddNull){Runtime.warnOnce("writeStringToMemory is deprecated and should not be called! Use stringToUTF8() instead!");var lastChar,end;if(dontAddNull){end=buffer+lengthBytesUTF8(string);lastChar=HEAP8[end]}stringToUTF8(string,buffer,Infinity);if(dontAddNull)HEAP8[end]=lastChar}Module["writeStringToMemory"]=writeStringToMemory;function writeArrayToMemory(array,buffer){HEAP8.set(array,buffer)}Module["writeArrayToMemory"]=writeArrayToMemory;function writeAsciiToMemory(str,buffer,dontAddNull){for(var i=0;i<str.length;++i){HEAP8[buffer++>>0]=str.charCodeAt(i)}if(!dontAddNull)HEAP8[buffer>>0]=0}Module["writeAsciiToMemory"]=writeAsciiToMemory;if(!Math["imul"]||Math["imul"](4294967295,5)!==-5)Math["imul"]=function imul(a,b){var ah=a>>>16;var al=a&65535;var bh=b>>>16;var bl=b&65535;return al*bl+(ah*bl+al*bh<<16)|0};Math.imul=Math["imul"];if(!Math["clz32"])Math["clz32"]=(function(x){x=x>>>0;for(var i=0;i<32;i++){if(x&1<<31-i)return i}return 32});Math.clz32=Math["clz32"];if(!Math["trunc"])Math["trunc"]=(function(x){return x<0?Math.ceil(x):Math.floor(x)});Math.trunc=Math["trunc"];var Math_abs=Math.abs;var Math_cos=Math.cos;var Math_sin=Math.sin;var Math_tan=Math.tan;var Math_acos=Math.acos;var Math_asin=Math.asin;var Math_atan=Math.atan;var Math_atan2=Math.atan2;var Math_exp=Math.exp;var Math_log=Math.log;var Math_sqrt=Math.sqrt;var Math_ceil=Math.ceil;var Math_floor=Math.floor;var Math_pow=Math.pow;var Math_imul=Math.imul;var Math_fround=Math.fround;var Math_round=Math.round;var Math_min=Math.min;var Math_clz32=Math.clz32;var Math_trunc=Math.trunc;var runDependencies=0;var runDependencyWatcher=null;var dependenciesFulfilled=null;function addRunDependency(id){runDependencies++;if(Module["monitorRunDependencies"]){Module["monitorRunDependencies"](runDependencies)}}Module["addRunDependency"]=addRunDependency;function removeRunDependency(id){runDependencies--;if(Module["monitorRunDependencies"]){Module["monitorRunDependencies"](runDependencies)}if(runDependencies==0){if(runDependencyWatcher!==null){clearInterval(runDependencyWatcher);runDependencyWatcher=null}if(dependenciesFulfilled){var callback=dependenciesFulfilled;dependenciesFulfilled=null;callback()}}}Module["removeRunDependency"]=removeRunDependency;Module["preloadedImages"]={};Module["preloadedAudios"]={};var ASM_CONSTS=[];STATIC_BASE=8;STATICTOP=STATIC_BASE+49744;__ATINIT__.push();allocate([68,67,0,0,229,67,0,0,108,67,0,0,251,67,0,0,8,0,0,0,0,0,0,0,108,67,0,0,137,71,0,0,48,0,0,0,0,0,0,0,108,67,0,0,153,71,0,0,64,0,0,0,0,0,0,0,148,67,0,0,190,71,0,0,0,0,0,0,1,0,0,0,88,0,0,0,2,4,0,0,68,67,0,0,203,71,0,0,108,67,0,0,243,71,0,0,112,0,0,0,0,0,0,0,108,67,0,0,2,72,0,0,64,0,0,0,0,0,0,0,108,67,0,0,39,72,0,0,144,0,0,0,0,0,0,0,108,67,0,0,81,72,0,0,64,0,0,0,0,0,0,0,108,67,0,0,171,72,0,0,176,0,0,0,0,0,0,0,108,67,0,0,212,72,0,0,64,0,0,0,0,0,0,0,108,67,0,0,248,72,0,0,208,0,0,0,0,0,0,0,108,67,0,0,33,73,0,0,64,0,0,0,0,0,0,0,108,67,0,0,69,73,0,0,240,0,0,0,0,0,0,0,108,67,0,0,110,73,0,0,64,0,0,0,0,0,0,0,108,67,0,0,146,73,0,0,16,1,0,0,0,0,0,0,108,67,0,0,187,73,0,0,64,0,0,0,0,0,0,0,108,67,0,0,223,73,0,0,48,1,0,0,0,0,0,0,108,67,0,0,8,74,0,0,64,0,0,0,0,0,0,0,108,67,0,0,44,74,0,0,80,1,0,0,0,0,0,0,108,67,0,0,86,74,0,0,64,0,0,0,0,0,0,0,108,67,0,0,123,74,0,0,112,1,0,0,0,0,0,0,108,67,0,0,165,74,0,0,64,0,0,0,0,0,0,0,108,67,0,0,202,74,0,0,144,1,0,0,0,0,0,0,108,67,0,0,237,74,0,0,64,0,0,0,0,0,0,0,108,67,0,0,18,75,0,0,176,1,0,0,0,0,0,0,108,67,0,0,53,75,0,0,64,0,0,0,0,0,0,0,108,67,0,0,90,75,0,0,64,0,0,0,0,0,0,0,108,67,0,0,127,75,0,0,64,0,0,0,0,0,0,0,108,67,0,0,164,75,0,0,240,1,0,0,0,0,0,0,108,67,0,0,203,75,0,0,64,0,0,0,0,0,0,0,108,67,0,0,240,75,0,0,16,2,0,0,0,0,0,0,108,67,0,0,23,76,0,0,64,0,0,0,0,0,0,0,108,67,0,0,60,76,0,0,48,2,0,0,0,0,0,0,108,67,0,0,98,76,0,0,64,0,0,0,0,0,0,0,108,67,0,0,134,76,0,0,80,2,0,0,0,0,0,0,108,67,0,0,173,76,0,0,64,0,0,0,0,0,0,0,108,67,0,0,210,76,0,0,112,2,0,0,0,0,0,0,108,67,0,0,228,76,0,0,64,0,0,0,0,0,0,0,108,67,0,0,64,77,0,0,144,2,0,0,0,0,0,0,108,67,0,0,106,77,0,0,64,0,0,0,0,0,0,0,108,67,0,0,143,77,0,0,176,2,0,0,0,0,0,0,108,67,0,0,185,77,0,0,64,0,0,0,0,0,0,0,108,67,0,0,61,78,0,0,208,2,0,0,0,0,0,0,108,67,0,0,96,78,0,0,64,0,0,0,0,0,0,0,108,67,0,0,133,78,0,0,240,2,0,0,0,0,0,0,108,67,0,0,168,78,0,0,64,0,0,0,0,0,0,0,108,67,0,0,205,78,0,0,16,3,0,0,0,0,0,0,108,67,0,0,240,78,0,0,64,0,0,0,0,0,0,0,108,67,0,0,21,79,0,0,48,3,0,0,0,0,0,0,108,67,0,0,56,79,0,0,64,0,0,0,0,0,0,0,108,67,0,0,93,79,0,0,80,3,0,0,0,0,0,0,108,67,0,0,128,79,0,0,64,0,0,0,0,0,0,0,108,67,0,0,165,79,0,0,112,3,0,0,0,0,0,0,108,67,0,0,200,79,0,0,64,0,0,0,0,0,0,0,108,67,0,0,237,79,0,0,144,3,0,0,0,0,0,0,108,67,0,0,15,80,0,0,64,0,0,0,0,0,0,0,108,67,0,0,51,80,0,0,64,0,0,0,0,0,0,0,108,67,0,0,88,80,0,0,192,3,0,0,0,0,0,0,108,67,0,0,109,80,0,0,64,0,0,0,0,0,0,0,108,67,0,0,145,80,0,0,224,3,0,0,0,0,0,0,108,67,0,0,179,80,0,0,64,0,0,0,0,0,0,0,108,67,0,0,215,80,0,0,0,4,0,0,0,0,0,0,108,67,0,0,249,80,0,0,64,0,0,0,0,0,0,0,108,67,0,0,29,81,0,0,64,0,0,0,0,0,0,0,108,67,0,0,66,81,0,0,64,0,0,0,0,0,0,0,108,67,0,0,103,81,0,0,64,0,0,0,0,0,0,0,108,67,0,0,140,81,0,0,64,0,0,0,0,0,0,0,108,67,0,0,41,82,0,0,96,4,0,0,0,0,0,0,108,67,0,0,70,82,0,0,112,4,0,0,0,0,0,0,148,67,0,0,122,82,0,0,0,0,0,0,1,0,0,0,136,4,0,0,2,4,0,0,68,67,0,0,143,82,0,0,108,67,0,0,244,82,0,0,160,4,0,0,0,0,0,0,108,67,0,0,14,83,0,0,112,4,0,0,0,0,0,0,108,67,0,0,66,83,0,0,192,4,0,0,0,0,0,0,108,67,0,0,98,83,0,0,112,4,0,0,0,0,0,0,108,67,0,0,150,83,0,0,224,4,0,0,0,0,0,0,108,67,0,0,177,83,0,0,112,4,0,0,0,0,0,0,108,67,0,0,244,83,0,0,8,5,0,0,0,0,0,0,68,67,0,0,229,83,0,0,108,67,0,0,9,84,0,0,0,5,0,0,0,0,0,0,108,67,0,0,53,84,0,0,40,5,0,0,0,0,0,0,108,67,0,0,80,84,0,0,112,4,0,0,0,0,0,0,108,67,0,0,132,84,0,0,72,5,0,0,0,0,0,0,108,67,0,0,158,84,0,0,112,4,0,0,0,0,0,0,108,67,0,0,210,84,0,0,104,5,0,0,0,0,0,0,108,67,0,0,237,84,0,0,112,4,0,0,0,0,0,0,108,67,0,0,33,85,0,0,136,5,0,0,0,0,0,0,108,67,0,0,65,85,0,0,112,4,0,0,0,0,0,0,108,67,0,0,117,85,0,0,168,5,0,0,0,0,0,0,108,67,0,0,139,85,0,0,0,5,0,0,0,0,0,0,108,67,0,0,200,85,0,0,200,5,0,0,0,0,0,0,108,67,0,0,225,85,0,0,0,5,0,0,0,0,0,0,108,67,0,0,13,86,0,0,232,5,0,0,0,0,0,0,108,67,0,0,35,86,0,0,0,5,0,0,0,0,0,0,108,67,0,0,79,86,0,0,8,6,0,0,0,0,0,0,108,67,0,0,99,86,0,0,0,5,0,0,0,0,0,0,108,67,0,0,143,86,0,0,40,6,0,0,0,0,0,0,108,67,0,0,170,86,0,0,112,4,0,0,0,0,0,0,108,67,0,0,222,86,0,0,72,6,0,0,0,0,0,0,108,67,0,0,247,86,0,0,112,4,0,0,0,0,0,0,108,67,0,0,43,87,0,0,104,6,0,0,0,0,0,0,108,67,0,0,73,87,0,0,112,4,0,0,0,0,0,0,108,67,0,0,227,87,0,0,8,0,0,0,0,0,0,0,108,67,0,0,19,88,0,0,152,6,0,0,0,0,0,0,108,67,0,0,42,88,0,0,168,6,0,0,0,0,0,0,68,67,0,0,86,88,0,0,108,67,0,0,102,88,0,0,192,6,0,0,0,0,0,0,108,67,0,0,128,88,0,0,208,6,0,0,0,0,0,0,68,67,0,0,182,88,0,0,108,67,0,0,204,88,0,0,232,6,0,0,0,0,0,0,108,67,0,0,1,89,0,0,208,6,0,0,0,0,0,0,108,67,0,0,55,89,0,0,8,7,0,0,0,0,0,0,108,67,0,0,108,89,0,0,208,6,0,0,0,0,0,0,108,67,0,0,66,94,0,0,48,7,0,0,0,0,0,0,68,67,0,0,213,93,0,0,68,67,0,0,22,95,0,0,108,67,0,0,208,96,0,0,80,7,0,0,0,0,0,0,68,67,0,0,121,96,0,0,68,67,0,0,96,97,0,0,108,67,0,0,233,102,0,0,104,7,0,0,0,0,0,0,108,67,0,0,15,103,0,0,120,7,0,0,0,0,0,0,68,67,0,0,40,103,0,0,108,67,0,0,64,105,0,0,144,7,0,0,0,0,0,0,108,67,0,0,99,105,0,0,160,7,0,0,0,0,0,0,68,67,0,0,133,105,0,0,108,67,0,0,196,105,0,0,144,7,0,0,0,0,0,0,108,67,0,0,140,106,0,0,48,7,0,0,0,0,0,0,68,67,0,0,28,106,0,0,108,67,0,0,163,107,0,0,144,7,0,0,0,0,0,0,108,67,0,0,40,109,0,0,240,7,0,0,0,0,0,0,68,67,0,0,62,109,0,0,68,67,0,0,56,125,0,0,108,67,0,0,77,125,0,0,248,7,0,0,0,0,0,0,108,67,0,0,166,180,0,0,120,7,0,0,0,0,0,0,108,67,0,0,180,191,0,0,48,8,0,0,0,0,0,0,108,67,0,0,97,191,0,0,64,8,0,0,0,0,0,0,68,67,0,0,130,191,0,0,108,67,0,0,143,191,0,0,32,8,0,0,0,0,0,0,108,67,0,0,214,191,0,0,32,8,0,0,0,0,0,0,0,0,0,0,16,0,0,0,22,0,0,0,23,0,0,0,22,0,0,0,22,0,0,0,0,0,0,0,8,0,0,0,24,0,0,0,25,0,0,0,22,0,0,0,22,0,0,0,0,0,0,0,160,0,0,0,26,0,0,0,27,0,0,0,0,0,0,0,128,0,0,0,28,0,0,0,29,0,0,0,0,0,0,0,96,0,0,0,30,0,0,0,31,0,0,0,0,0,0,0,32,0,0,0,32,0,0,0,33,0,0,0,0,0,0,0,64,4,0,0,34,0,0,0,35,0,0,0,0,0,0,0,48,4,0,0,34,0,0,0,36,0,0,0,0,0,0,0,32,4,0,0,34,0,0,0,37,0,0,0,0,0,0,0,16,4,0,0,34,0,0,0,38,0,0,0,0,0,0,0,240,3,0,0,39,0,0,0,40,0,0,0,0,0,0,0,208,3,0,0,41,0,0,0,42,0,0,0,0,0,0,0,176,3,0,0,43,0,0,0,44,0,0,0,0,0,0,0,160,3,0,0,34,0,0,0,45,0,0,0,0,0,0,0,128,3,0,0,46,0,0,0,47,0,0,0,0,0,0,0,96,3,0,0,48,0,0,0,49,0,0,0,0,0,0,0,64,3,0,0,50,0,0,0,51,0,0,0,0,0,0,0,32,3,0,0,52,0,0,0,53,0,0,0,0,0,0,0,0,3,0,0,54,0,0,0,55,0,0,0,0,0,0,0,224,2,0,0,56,0,0,0,57,0,0,0,0,0,0,0,192,2,0,0,58,0,0,0,59,0,0,0,0,0,0,0,160,2,0,0,34,0,0,0,60,0,0,0,0,0,0,0,128,2,0,0,34,0,0,0,61,0,0,0,0,0,0,0,96,2,0,0,34,0,0,0,62,0,0,0,0,0,0,0,64,2,0,0,34,0,0,0,63,0,0,0,0,0,0,0,32,2,0,0,34,0,0,0,64,0,0,0,0,0,0,0,0,2,0,0,34,0,0,0,65,0,0,0,0,0,0,0,224,1,0,0,34,0,0,0,66,0,0,0,0,0,0,0,208,1,0,0,34,0,0,0,67,0,0,0,0,0,0,0,192,1,0,0,34,0,0,0,68,0,0,0,0,0,0,0,160,1,0,0,69,0,0,0,70,0,0,0,0,0,0,0,128,1,0,0,71,0,0,0,72,0,0,0,0,0,0,0,96,1,0,0,34,0,0,0,73,0,0,0,0,0,0,0,64,1,0,0,34,0,0,0,74,0,0,0,0,0,0,0,32,1,0,0,34,0,0,0,75,0,0,0,0,0,0,0,0,1,0,0,34,0,0,0,76,0,0,0,0,0,0,0,224,0,0,0,34,0,0,0,77,0,0,0,0,0,0,0,192,0,0,0,34,0,0,0,78,0,0,0,0,0,0,0,80,4,0,0,79,0,0,0,80,0,0,0,0,0,0,0,240,4,0,0,81,0,0,0,82,0,0,0,0,0,0,0,208,4,0,0,83,0,0,0,84,0,0,0,0,0,0,0,176,4,0,0,85,0,0,0,86,0,0,0,0,0,0,0,144,4,0,0,87,0,0,0,88,0,0,0,0,0,0,0,0,5,0,0,89,0,0,0,90,0,0,0,0,0,0,0,24,5,0,0,91,0,0,0,92,0,0,0,0,0,0,0,56,5,0,0,93,0,0,0,94,0,0,0,0,0,0,0,152,5,0,0,95,0,0,0,96,0,0,0,0,0,0,0,120,5,0,0,97,0,0,0,98,0,0,0,0,0,0,0,88,5,0,0,99,0,0,0,100,0,0,0,0,0,0,0,248,5,0,0,101,0,0,0,102,0,0,0,0,0,0,0,216,5,0,0,103,0,0,0,104,0,0,0,0,0,0,0,184,5,0,0,105,0,0,0,106,0,0,0,0,0,0,0,24,6,0,0,107,0,0,0,108,0,0,0,0,0,0,0,56,6,0,0,109,0,0,0,110,0,0,0,0,0,0,0,88,6,0,0,111,0,0,0,112,0,0,0,0,0,0,0,136,6,0,0,113,0,0,0,114,0,0,0,0,0,0,0,120,6,0,0,24,0,0,0,115,0,0,0,23,0,0,0,23,0,0,0,0,0,0,0,248,6,0,0,116,0,0,0,117,0,0,0,24,0,0,0,0,0,0,0,216,6,0,0,118,0,0,0,119,0,0,0,25,0,0,0,0,0,0,0,176,6,0,0,120,0,0,0,121,0,0,0,26,0,0,0,0,0,0,0,56,7,0,0,122,0,0,0,123,0,0,0,27,0,0,0,22,0,0,0,124,0,0,0,125,0,0,0,23,0,0,0,22,0,0,0,28,0,0,0,0,0,0,0,24,7,0,0,126,0,0,0,127,0,0,0,29,0,0,0,24,0,0,0,128,0,0,0,129,0,0,0,22,0,0,0,23,0,0,0,30,0,0,0,0,0,0,0,88,7,0,0,130,0,0,0,131,0,0,0,24,0,0,0,25,0,0,0,25,0,0,0,31,0,0,0,22,0,0,0,23,0,0,0,32,0,0,0,26,0,0,0,27,0,0,0,22,0,0,0,33,0,0,0,28,0,0,0,29,0,0,0,22,0,0,0,23,0,0,0,22,0,0,0,24,0,0,0,23,0,0,0,25,0,0,0,34,0,0,0,30,0,0,0,31,0,0,0,24,0,0,0,35,0,0,0,32,0,0,0,33,0,0,0,23,0,0,0,36,0,0,0,34,0,0,0,35,0,0,0,25,0,0,0,37,0,0,0,36,0,0,0,37,0,0,0,24,0,0,0,38,0,0,0,39,0,0,0,40,0,0,0,38,0,0,0,41,0,0,0,42,0,0,0,24,0,0,0,39,0,0,0,43,0,0,0,44,0,0,0,40,0,0,0,45,0,0,0,46,0,0,0,47,0,0,0,48,0,0,0,25,0,0,0,49,0,0,0,41,0,0,0,50,0,0,0,51,0,0,0,26,0,0,0,27,0,0,0,52,0,0,0,28,0,0,0,29,0,0,0,26,0,0,0,27,0,0,0,28,0,0,0,29,0,0,0,53,0,0,0,30,0,0,0,54,0,0,0,55,0,0,0,30,0,0,0,56,0,0,0,57,0,0,0,58,0,0,0,42,0,0,0,59,0,0,0,60,0,0,0,43,0,0,0,44,0,0,0,45,0,0,0,46,0,0,0,47,0,0,0,61,0,0,0,31,0,0,0,62,0,0,0,63,0,0,0,48,0,0,0,64,0,0,0,32,0,0,0,33,0,0,0,31,0,0,0,34,0,0,0,49,0,0,0,65,0,0,0,50,0,0,0,51,0,0,0,66,0,0,0,67,0,0,0,32,0,0,0,68,0,0,0,69,0,0,0,35,0,0,0,70,0,0,0,52,0,0,0,33,0,0,0,34,0,0,0,71,0,0,0,53,0,0,0,72,0,0,0,73,0,0,0,36,0,0,0,74,0,0,0,75,0,0,0,37,0,0,0,38,0,0,0,76,0,0,0,54,0,0,0,77,0,0,0,78,0,0,0,39,0,0,0,79,0,0,0,80,0,0,0,35,0,0,0,81,0,0,0,55,0,0,0,82,0,0,0,36,0,0,0,83,0,0,0,40,0,0,0,37,0,0,0,84,0,0,0,41,0,0,0,38,0,0,0,56,0,0,0,85,0,0,0,39,0,0,0,25,0,0,0,57,0,0,0,86,0,0,0,87,0,0,0,88,0,0,0,42,0,0,0,89,0,0,0,90,0,0,0,91,0,0,0,26,0,0,0,58,0,0,0,92,0,0,0,93,0,0,0,43,0,0,0,59,0,0,0,44,0,0,0,40,0,0,0,45,0,0,0,46,0,0,0,41,0,0,0,0,0,0,0,128,7,0,0,132,0,0,0,133,0,0,0,94,0,0,0,95,0,0,0,96,0,0,0,97,0,0,0,98,0,0,0,99,0,0,0,100,0,0,0,101,0,0,0,102,0,0,0,103,0,0,0,104,0,0,0,105,0,0,0,106,0,0,0,107,0,0,0,108,0,0,0,109,0,0,0,110,0,0,0,111,0,0,0,112,0,0,0,113,0,0,0,114,0,0,0,115,0,0,0,116,0,0,0,117,0,0,0,118,0,0,0,119,0,0,0,120,0,0,0,121,0,0,0,122,0,0,0,123,0,0,0,124,0,0,0,125,0,0,0,126,0,0,0,47,0,0,0,127,0,0,0,128,0,0,0,129,0,0,0,130,0,0,0,131,0,0,0,132,0,0,0,133,0,0,0,134,0,0,0,0,0,0,0,168,7,0,0,134,0,0,0,135,0,0,0,94,0,0,0,135,0,0,0,136,0,0,0,137,0,0,0,138,0,0,0,139,0,0,0,140,0,0,0,141,0,0,0,102,0,0,0,103,0,0,0,104,0,0,0,105,0,0,0,106,0,0,0,142,0,0,0,143,0,0,0,109,0,0,0,144,0,0,0,111,0,0,0,145,0,0,0,113,0,0,0,146,0,0,0,147,0,0,0,116,0,0,0,117,0,0,0,118,0,0,0,148,0,0,0,149,0,0,0,121,0,0,0,150,0,0,0,123,0,0,0,124,0,0,0,151,0,0,0,152,0,0,0,48,0,0,0,153,0,0,0,154,0,0,0,129,0,0,0,130,0,0,0,131,0,0,0,132,0,0,0,133,0,0,0,134,0,0,0,0,0,0,0,208,7,0,0,136,0,0,0,137,0,0,0,94,0,0,0,155,0,0,0,156,0,0,0,157,0,0,0,158,0,0,0,159,0,0,0,160,0,0,0,161,0,0,0,102,0,0,0,103,0,0,0,104,0,0,0,105,0,0,0,106,0,0,0,162,0,0,0,163,0,0,0,109,0,0,0,164,0,0,0,111,0,0,0,165,0,0,0,113,0,0,0,166,0,0,0,167,0,0,0,116,0,0,0,117,0,0,0,118,0,0,0,168,0,0,0,169,0,0,0,121,0,0,0,170,0,0,0,123,0,0,0,124,0,0,0,171,0,0,0,172,0,0,0,49,0,0,0,173,0,0,0,174,0,0,0,129,0,0,0,130,0,0,0,131,0,0,0,132,0,0,0,133,0,0,0,134,0,0,0,0,0,0,0,184,7,0,0,126,0,0,0,138,0,0,0,60,0,0,0,26,0,0,0,139,0,0,0,140,0,0,0,23,0,0,0,175,0,0,0,61,0,0,0,199,107,0,0,206,107,0,0,211,107,0,0,218,107,0,0,227,107,0,0,233,107,0,0,240,107,0,0,247,107,0,0,254,107,0,0,4,108,0,0,9,108,0,0,14,108,0,0,68,164,0,0,160,110,0,0,99,110,0,0,70,110,0,0,52,110,0,0,31,108,0,0,64,108,0,0,95,108,0,0,125,108,0,0,155,108,0,0,186,108,0,0,216,108,0,0,245,108,0,0,0,0,0,0,224,7,0,0,141,0,0,0,142,0,0,0,42,0,0,0,43,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,3,0,0,0,3,0,0,0,3,0,0,0,3,0,0,0,3,0,0,0,3,0,0,0,3,0,0,0,3,0,0,0,3,0,0,0,3,0,0,0,3,0,0,0,3,0,0,0,3,0,0,0,3,0,0,0,3,0,0,0,3,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,109,0,0,73,164,0,0,144,109,0,0,162,109,0,0,177,109,0,0,194,109,0,0,208,109,0,0,237,109,0,0,9,110,0,0,21,110,0,0,39,110,0,0,64,118,0,0,43,110,0,0,48,110,0,0,52,110,0,0,59,110,0,0,68,164,0,0,66,110,0,0,70,110,0,0,77,110,0,0,84,110,0,0,91,110,0,0,97,110,0,0,99,110,0,0,106,110,0,0,113,110,0,0,224,131,0,0,117,110,0,0,123,110,0,0,129,110,0,0,138,110,0,0,145,110,0,0,147,110,0,0,154,110,0,0,160,110,0,0,166,110,0,0,118,132,0,0,171,110,0,0,177,110,0,0,181,110,0,0,185,110,0,0,197,110,0,0,208,110,0,0,227,110,0,0,240,110,0,0,77,126,0,0,213,125,0,0,216,125,0,0,222,125,0,0,231,125,0,0,236,125,0,0,104,111,0,0,118,111,0,0,247,110,0,0,255,110,0,0,5,111,0,0,157,112,0,0,4,126,0,0,99,111,0,0,128,111,0,0,142,111,0,0,132,111,0,0,172,112,0,0,88,126,0,0,13,111,0,0,83,126,0,0,95,111,0,0,110,111,0,0,198,126,0,0,205,126,0,0,212,126,0,0,223,126,0,0,18,111,0,0,233,126,0,0,192,126,0,0,107,126,0,0,24,111,0,0,83,111,0,0,30,111,0,0,35,111,0,0,40,111,0,0,47,111,0,0,55,111,0,0,64,111,0,0,69,111,0,0,73,111,0,0,83,111,0,0,192,255,255,255,192,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,111,0,0,192,255,255,255,192,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,1,0,0,0,1,0,0,0,77,126,0,0,192,255,255,255,192,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,2,0,0,0,2,0,0,0,83,126,0,0,192,255,255,255,192,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,3,0,0,0,3,0,0,0,88,126,0,0,192,255,255,255,192,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,4,0,0,0,4,0,0,0,99,111,0,0,192,255,255,255,192,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,5,0,0,0,5,0,0,0,107,126,0,0,192,255,255,255,192,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,6,0,0,0,6,0,0,0,104,111,0,0,192,255,255,255,192,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,7,0,0,0,7,0,0,0,192,126,0,0,192,255,255,255,192,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,8,0,0,0,8,0,0,0,110,111,0,0,192,255,255,255,192,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,9,0,0,0,9,0,0,0,118,111,0,0,192,255,255,255,192,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,10,0,0,0,10,0,0,0,128,111,0,0,192,255,255,255,192,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,11,0,0,0,11,0,0,0,213,125,0,0,192,255,255,255,192,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,12,0,0,0,12,0,0,0,216,125,0,0,192,255,255,255,192,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,13,0,0,0,13,0,0,0,222,125,0,0,192,255,255,255,192,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,14,0,0,0,14,0,0,0,198,126,0,0,192,255,255,255,192,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,15,0,0,0,15,0,0,0,231,125,0,0,192,255,255,255,192,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,16,0,0,0,16,0,0,0,236,125,0,0,192,255,255,255,192,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,17,0,0,0,17,0,0,0,4,126,0,0,192,255,255,255,192,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,26,0,0,0,26,0,0,0,205,126,0,0,192,255,255,255,192,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,27,0,0,0,27,0,0,0,132,111,0,0,192,255,255,255,192,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,32,0,0,0,32,0,0,0,223,126,0,0,192,255,255,255,192,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,33,0,0,0,33,0,0,0,233,126,0,0,192,255,255,255,192,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,34,0,0,0,34,0,0,0,142,111,0,0,192,255,255,255,192,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,35,0,0,0,35,0,0,0,212,126,0,0,192,255,255,255,192,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,36,0,0,0,36,0,0,0,153,111,0,0,255,255,255,255,255,255,255,255,192,255,255,255,192,255,255,255,4,0,0,0,0,0,0,0,40,0,0,0,40,0,0,0,162,111,0,0,254,255,255,255,255,255,255,255,192,255,255,255,192,255,255,255,8,0,0,0,0,0,0,0,41,0,0,0,41,0,0,0,171,111,0,0,253,255,255,255,255,255,255,255,192,255,255,255,192,255,255,255,4,0,0,0,0,0,0,0,42,0,0,0,42,0,0,0,180,111,0,0,252,255,255,255,255,255,255,255,192,255,255,255,192,255,255,255,8,0,0,0,0,0,0,0,43,0,0,0,43,0,0,0,189,111,0,0,255,255,255,255,255,255,255,255,192,255,255,255,192,255,255,255,1,0,0,0,0,0,0,0,44,0,0,0,44,0,0,0,201,111,0,0,255,255,255,255,255,255,255,255,192,255,255,255,192,255,255,255,1,0,0,0,0,0,0,0,45,0,0,0,45,0,0,0,213,111,0,0,255,255,255,255,255,255,255,255,192,255,255,255,192,255,255,255,2,0,0,0,0,0,0,0,46,0,0,0,46,0,0,0,226,111,0,0,255,255,255,255,255,255,255,255,192,255,255,255,192,255,255,255,2,0,0,0,0,0,0,0,47,0,0,0,47,0,0,0,239,111,0,0,254,255,255,255,255,255,255,255,192,255,255,255,192,255,255,255,1,0,0,0,0,0,0,0,48,0,0,0,48,0,0,0,251,111,0,0,254,255,255,255,255,255,255,255,192,255,255,255,192,255,255,255,1,0,0,0,0,0,0,0,49,0,0,0,49,0,0,0,7,112,0,0,254,255,255,255,255,255,255,255,192,255,255,255,192,255,255,255,2,0,0,0,0,0,0,0,50,0,0,0,50,0,0,0,20,112,0,0,254,255,255,255,255,255,255,255,192,255,255,255,192,255,255,255,2,0,0,0,0,0,0,0,51,0,0,0,51,0,0,0,33,112,0,0,254,255,255,255,255,255,255,255,192,255,255,255,192,255,255,255,4,0,0,0,0,0,0,0,52,0,0,0,52,0,0,0,46,112,0,0,254,255,255,255,255,255,255,255,192,255,255,255,192,255,255,255,4,0,0,0,0,0,0,0,53,0,0,0,53,0,0,0,59,112,0,0,192,255,255,255,255,255,255,255,255,255,255,255,192,255,255,255,4,0,0,0,0,0,0,0,54,0,0,0,54,0,0,0,69,112,0,0,192,255,255,255,255,255,255,255,254,255,255,255,192,255,255,255,8,0,0,0,0,0,0,0,55,0,0,0,55,0,0,0,79,112,0,0,192,255,255,255,255,255,255,255,253,255,255,255,192,255,255,255,4,0,0,0,0,0,0,0,56,0,0,0,56,0,0,0,89,112,0,0,192,255,255,255,255,255,255,255,252,255,255,255,192,255,255,255,8,0,0,0,0,0,0,0,57,0,0,0,57,0,0,0,99,112,0,0,192,255,255,255,255,255,255,255,255,255,255,255,192,255,255,255,1,0,0,0,0,0,0,0,58,0,0,0,58,0,0,0,110,112,0,0,192,255,255,255,255,255,255,255,255,255,255,255,192,255,255,255,2,0,0,0,0,0,0,0,59,0,0,0,59,0,0,0,122,112,0,0,192,255,255,255,255,255,255,255,254,255,255,255,192,255,255,255,1,0,0,0,0,0,0,0,60,0,0,0,60,0,0,0,133,112,0,0,192,255,255,255,255,255,255,255,254,255,255,255,192,255,255,255,2,0,0,0,0,0,0,0,61,0,0,0,61,0,0,0,145,112,0,0,192,255,255,255,255,255,255,255,254,255,255,255,192,255,255,255,4,0,0,0,0,0,0,0,62,0,0,0,62,0,0,0,157,112,0,0,255,255,255,255,192,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,63,0,0,0,63,0,0,0,172,112,0,0,255,255,255,255,255,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,64,0,0,0,64,0,0,0,184,112,0,0,255,255,255,255,192,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,65,0,0,0,65,0,0,0,194,112,0,0,254,255,255,255,192,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,66,0,0,0,66,0,0,0,204,112,0,0,253,255,255,255,192,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,67,0,0,0,67,0,0,0,214,112,0,0,252,255,255,255,192,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,68,0,0,0,68,0,0,0,224,112,0,0,255,255,255,255,255,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,69,0,0,0,69,0,0,0,232,112,0,0,255,255,255,255,255,255,255,255,255,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,70,0,0,0,70,0,0,0,239,112,0,0,255,255,255,255,255,255,255,255,255,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,71,0,0,0,71,0,0,0,246,112,0,0,255,255,255,255,255,255,255,255,255,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,72,0,0,0,72,0,0,0,255,112,0,0,255,255,255,255,255,255,255,255,255,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,73,0,0,0,73,0,0,0,8,113,0,0,255,255,255,255,255,255,255,255,255,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,74,0,0,0,74,0,0,0,17,113,0,0,255,255,255,255,255,255,255,255,255,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,75,0,0,0,75,0,0,0,26,113,0,0,255,255,255,255,255,255,255,255,255,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,76,0,0,0,76,0,0,0,35,113,0,0,255,255,255,255,255,255,255,255,255,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,77,0,0,0,77,0,0,0,44,113,0,0,255,255,255,255,255,255,255,255,255,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,78,0,0,0,78,0,0,0,53,113,0,0,255,255,255,255,255,255,255,255,255,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,79,0,0,0,79,0,0,0,62,113,0,0,255,255,255,255,254,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,80,0,0,0,80,0,0,0,70,113,0,0,255,255,255,255,254,255,255,255,254,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,81,0,0,0,81,0,0,0,77,113,0,0,255,255,255,255,254,255,255,255,254,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,82,0,0,0,82,0,0,0,84,113,0,0,255,255,255,255,254,255,255,255,254,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,83,0,0,0,83,0,0,0,93,113,0,0,255,255,255,255,254,255,255,255,254,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,84,0,0,0,84,0,0,0,102,113,0,0,255,255,255,255,254,255,255,255,254,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,85,0,0,0,85,0,0,0,111,113,0,0,255,255,255,255,254,255,255,255,254,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,86,0,0,0,86,0,0,0,120,113,0,0,255,255,255,255,254,255,255,255,254,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,87,0,0,0,87,0,0,0,129,113,0,0,255,255,255,255,254,255,255,255,254,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,88,0,0,0,88,0,0,0,138,113,0,0,255,255,255,255,254,255,255,255,254,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,89,0,0,0,89,0,0,0,147,113,0,0,255,255,255,255,254,255,255,255,254,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,90,0,0,0,90,0,0,0,156,113,0,0,255,255,255,255,253,255,255,255,253,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,91,0,0,0,91,0,0,0,163,113,0,0,255,255,255,255,253,255,255,255,253,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,92,0,0,0,92,0,0,0,170,113,0,0,255,255,255,255,253,255,255,255,253,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,93,0,0,0,93,0,0,0,177,113,0,0,255,255,255,255,253,255,255,255,253,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,94,0,0,0,94,0,0,0,184,113,0,0,255,255,255,255,253,255,255,255,253,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,95,0,0,0,95,0,0,0,191,113,0,0,255,255,255,255,253,255,255,255,253,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,96,0,0,0,96,0,0,0,198,113,0,0,255,255,255,255,252,255,255,255,252,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,97,0,0,0,97,0,0,0,205,113,0,0,255,255,255,255,252,255,255,255,252,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,98,0,0,0,98,0,0,0,212,113,0,0,255,255,255,255,252,255,255,255,252,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,99,0,0,0,99,0,0,0,219,113,0,0,255,255,255,255,252,255,255,255,252,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,100,0,0,0,100,0,0,0,226,113,0,0,255,255,255,255,252,255,255,255,252,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,101,0,0,0,101,0,0,0,233,113,0,0,255,255,255,255,252,255,255,255,252,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,102,0,0,0,102,0,0,0,240,113,0,0,255,255,255,255,255,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,103,0,0,0,103,0,0,0,248,113,0,0,255,255,255,255,255,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,104,0,0,0,104,0,0,0,0,114,0,0,255,255,255,255,255,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,105,0,0,0,105,0,0,0,11,114,0,0,255,255,255,255,255,255,255,255,255,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,106,0,0,0,106,0,0,0,19,114,0,0,255,255,255,255,255,255,255,255,255,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,107,0,0,0,107,0,0,0,27,114,0,0,255,255,255,255,255,255,255,255,255,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,108,0,0,0,108,0,0,0,35,114,0,0,255,255,255,255,255,255,255,255,255,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,109,0,0,0,109,0,0,0,45,114,0,0,255,255,255,255,255,255,255,255,255,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,110,0,0,0,110,0,0,0,55,114,0,0,255,255,255,255,255,255,255,255,255,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,111,0,0,0,111,0,0,0,65,114,0,0,255,255,255,255,255,255,255,255,255,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,112,0,0,0,112,0,0,0,75,114,0,0,255,255,255,255,255,255,255,255,255,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,113,0,0,0,113,0,0,0,83,114,0,0,255,255,255,255,255,255,255,255,255,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,114,0,0,0,114,0,0,0,90,114,0,0,255,255,255,255,255,255,255,255,255,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,115,0,0,0,115,0,0,0,98,114,0,0,255,255,255,255,255,255,255,255,255,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,116,0,0,0,116,0,0,0,106,114,0,0,255,255,255,255,255,255,255,255,255,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,117,0,0,0,117,0,0,0,116,114,0,0,255,255,255,255,255,255,255,255,255,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,118,0,0,0,118,0,0,0,126,114,0,0,255,255,255,255,255,255,255,255,255,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,119,0,0,0,119,0,0,0,135,114,0,0,255,255,255,255,255,255,255,255,255,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,120,0,0,0,120,0,0,0,144,114,0,0,254,255,255,255,254,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,121,0,0,0,121,0,0,0,152,114,0,0,254,255,255,255,254,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,122,0,0,0,122,0,0,0,160,114,0,0,254,255,255,255,254,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,123,0,0,0,123,0,0,0,171,114,0,0,254,255,255,255,254,255,255,255,254,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,124,0,0,0,124,0,0,0,179,114,0,0,254,255,255,255,254,255,255,255,254,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,125,0,0,0,125,0,0,0,187,114,0,0,254,255,255,255,254,255,255,255,254,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,126,0,0,0,126,0,0,0,195,114,0,0,254,255,255,255,254,255,255,255,254,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,127,0,0,0,127,0,0,0,205,114,0,0,254,255,255,255,254,255,255,255,254,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,128,0,0,0,128,0,0,0,215,114,0,0,254,255,255,255,254,255,255,255,254,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,129,0,0,0,129,0,0,0,225,114,0,0,254,255,255,255,254,255,255,255,254,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,130,0,0,0,130,0,0,0,235,114,0,0,254,255,255,255,254,255,255,255,254,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,131,0,0,0,131,0,0,0,243,114,0,0,254,255,255,255,254,255,255,255,254,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,132,0,0,0,132,0,0,0,250,114,0,0,254,255,255,255,254,255,255,255,254,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,133,0,0,0,133,0,0,0,2,115,0,0,254,255,255,255],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE);allocate([254,255,255,255,254,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,134,0,0,0,134,0,0,0,10,115,0,0,254,255,255,255,254,255,255,255,254,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,135,0,0,0,135,0,0,0,20,115,0,0,254,255,255,255,254,255,255,255,254,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,136,0,0,0,136,0,0,0,30,115,0,0,254,255,255,255,254,255,255,255,254,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,137,0,0,0,137,0,0,0,39,115,0,0,254,255,255,255,254,255,255,255,254,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,138,0,0,0,138,0,0,0,48,115,0,0,253,255,255,255,253,255,255,255,253,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,139,0,0,0,139,0,0,0,56,115,0,0,253,255,255,255,253,255,255,255,253,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,140,0,0,0,140,0,0,0,64,115,0,0,253,255,255,255,253,255,255,255,253,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,141,0,0,0,141,0,0,0,73,115,0,0,253,255,255,255,253,255,255,255,253,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,142,0,0,0,142,0,0,0,83,115,0,0,253,255,255,255,253,255,255,255,253,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,143,0,0,0,143,0,0,0,93,115,0,0,253,255,255,255,253,255,255,255,253,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,144,0,0,0,144,0,0,0,105,115,0,0,253,255,255,255,253,255,255,255,253,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,145,0,0,0,145,0,0,0,114,115,0,0,253,255,255,255,253,255,255,255,253,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,146,0,0,0,146,0,0,0,122,115,0,0,253,255,255,255,253,255,255,255,253,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,147,0,0,0,147,0,0,0,130,115,0,0,253,255,255,255,253,255,255,255,253,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,148,0,0,0,148,0,0,0,138,115,0,0,253,255,255,255,253,255,255,255,253,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,149,0,0,0,149,0,0,0,146,115,0,0,253,255,255,255,253,255,255,255,253,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,150,0,0,0,150,0,0,0,154,115,0,0,253,255,255,255,253,255,255,255,253,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,151,0,0,0,151,0,0,0,162,115,0,0,253,255,255,255,253,255,255,255,253,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,152,0,0,0,152,0,0,0,175,115,0,0,252,255,255,255,252,255,255,255,252,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,153,0,0,0,153,0,0,0,183,115,0,0,252,255,255,255,252,255,255,255,252,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,154,0,0,0,154,0,0,0,191,115,0,0,252,255,255,255,252,255,255,255,252,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,155,0,0,0,155,0,0,0,200,115,0,0,252,255,255,255,252,255,255,255,252,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,156,0,0,0,156,0,0,0,210,115,0,0,252,255,255,255,252,255,255,255,252,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,157,0,0,0,157,0,0,0,220,115,0,0,252,255,255,255,252,255,255,255,252,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,158,0,0,0,158,0,0,0,232,115,0,0,252,255,255,255,252,255,255,255,252,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,159,0,0,0,159,0,0,0,241,115,0,0,252,255,255,255,252,255,255,255,252,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,160,0,0,0,160,0,0,0,249,115,0,0,252,255,255,255,252,255,255,255,252,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,161,0,0,0,161,0,0,0,1,116,0,0,252,255,255,255,252,255,255,255,252,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,162,0,0,0,162,0,0,0,9,116,0,0,252,255,255,255,252,255,255,255,252,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,163,0,0,0,163,0,0,0,17,116,0,0,252,255,255,255,252,255,255,255,252,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,164,0,0,0,164,0,0,0,25,116,0,0,252,255,255,255,252,255,255,255,252,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,165,0,0,0,165,0,0,0,33,116,0,0,252,255,255,255,252,255,255,255,252,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,166,0,0,0,166,0,0,0,46,116,0,0,255,255,255,255,254,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,167,0,0,0,167,0,0,0,59,116,0,0,255,255,255,255,253,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,168,0,0,0,168,0,0,0,75,116,0,0,255,255,255,255,253,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,169,0,0,0,169,0,0,0,91,116,0,0,255,255,255,255,252,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,170,0,0,0,170,0,0,0,107,116,0,0,255,255,255,255,252,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,171,0,0,0,171,0,0,0,123,116,0,0,254,255,255,255,255,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,172,0,0,0,172,0,0,0,140,116,0,0,254,255,255,255,255,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,173,0,0,0,173,0,0,0,157,116,0,0,254,255,255,255,253,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,174,0,0,0,174,0,0,0,173,116,0,0,254,255,255,255,253,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,175,0,0,0,175,0,0,0,189,116,0,0,254,255,255,255,252,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,176,0,0,0,176,0,0,0,205,116,0,0,254,255,255,255,252,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,177,0,0,0,177,0,0,0,221,116,0,0,253,255,255,255,255,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,178,0,0,0,178,0,0,0,239,116,0,0,253,255,255,255,255,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,179,0,0,0,179,0,0,0,1,117,0,0,253,255,255,255,254,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,180,0,0,0,180,0,0,0,19,117,0,0,253,255,255,255,254,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,181,0,0,0,181,0,0,0,37,117,0,0,253,255,255,255,252,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,182,0,0,0,182,0,0,0,52,117,0,0,252,255,255,255,255,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,183,0,0,0,183,0,0,0,70,117,0,0,252,255,255,255,255,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,184,0,0,0,184,0,0,0,88,117,0,0,252,255,255,255,254,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,185,0,0,0,185,0,0,0,106,117,0,0,252,255,255,255,254,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,186,0,0,0,186,0,0,0,124,117,0,0,252,255,255,255,253,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,187,0,0,0,187,0,0,0,140,117,0,0,255,255,255,255,253,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,188,0,0,0,188,0,0,0,160,117,0,0,254,255,255,255,252,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,189,0,0,0,189,0,0,0,180,117,0,0,253,255,255,255,255,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,190,0,0,0,190,0,0,0,200,117,0,0,252,255,255,255,254,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,191,0,0,0,191,0,0,0,220,117,0,0,255,255,255,255,255,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,192,0,0,0,192,0,0,0,234,117,0,0,255,255,255,255,255,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,193,0,0,0,193,0,0,0,249,117,0,0,254,255,255,255,254,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,194,0,0,0,194,0,0,0,7,118,0,0,254,255,255,255,254,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,195,0,0,0,195,0,0,0,22,118,0,0,254,255,255,255,254,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,196,0,0,0,196,0,0,0,37,118,0,0,192,255,255,255,192,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,224,0,0,0,224,0,0,0,44,118,0,0,192,255,255,255,192,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,225,0,0,0,225,0,0,0,54,118,0,0,192,255,255,255,192,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,226,0,0,0,226,0,0,0,64,118,0,0,192,255,255,255,192,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,227,0,0,0,227,0,0,0,69,118,0,0,192,255,255,255,192,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,0,0,0,0,228,0,0,0,228,0,0,0,79,118,0,0,255,255,255,255,253,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,252,0,0,0,0,0,0,0,0,252,0,0,99,118,0,0,255,255,255,255,253,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,252,0,0,0,1,0,0,0,1,252,0,0,119,118,0,0,255,255,255,255,252,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,252,0,0,0,2,0,0,0,2,252,0,0,139,118,0,0,255,255,255,255,252,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,252,0,0,0,3,0,0,0,3,252,0,0,159,118,0,0,254,255,255,255,253,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,252,0,0,0,4,0,0,0,4,252,0,0,179,118,0,0,254,255,255,255,253,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,252,0,0,0,5,0,0,0,5,252,0,0,199,118,0,0,254,255,255,255,252,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,252,0,0,0,6,0,0,0,6,252,0,0,219,118,0,0,254,255,255,255,252,255,255,255,192,255,255,255,192,255,255,255,0,0,0,0,252,0,0,0,7,0,0,0,7,252,0,0,239,118,0,0,255,255,255,255,255,255,255,255,255,255,255,255,192,255,255,255,4,0,0,0,254,0,0,0,0,0,0,0,0,254,0,0,244,118,0,0,255,255,255,255,255,255,255,255,255,255,255,255,254,255,255,255,4,0,0,0,254,0,0,0,1,0,0,0,1,254,0,0,253,118,0,0,255,255,255,255,255,255,255,255,254,255,255,255,254,255,255,255,8,0,0,0,254,0,0,0,2,0,0,0,2,254,0,0,6,119,0,0,255,255,255,255,255,255,255,255,192,255,255,255,192,255,255,255,4,0,0,0,254,0,0,0,16,0,0,0,16,254,0,0,22,119,0,0,254,255,255,255,255,255,255,255,192,255,255,255,192,255,255,255,8,0,0,0,254,0,0,0,17,0,0,0,17,254,0,0,38,119,0,0,255,255,255,255,255,255,255,255,192,255,255,255,192,255,255,255,1,0,0,0,254,0,0,0,18,0,0,0,18,254,0,0,57,119,0,0,255,255,255,255,255,255,255,255,192,255,255,255,192,255,255,255,2,0,0,0,254,0,0,0,19,0,0,0,19,254,0,0,77,119,0,0,254,255,255,255,255,255,255,255,192,255,255,255,192,255,255,255,1,0,0,0,254,0,0,0,20,0,0,0,20,254,0,0,96,119,0,0,254,255,255,255,255,255,255,255,192,255,255,255,192,255,255,255,2,0,0,0,254,0,0,0,21,0,0,0,21,254,0,0,116,119,0,0,254,255,255,255,255,255,255,255,192,255,255,255,192,255,255,255,4,0,0,0,254,0,0,0,22,0,0,0,22,254,0,0,136,119,0,0,192,255,255,255,255,255,255,255,255,255,255,255,192,255,255,255,4,0,0,0,254,0,0,0,23,0,0,0,23,254,0,0,153,119,0,0,192,255,255,255,255,255,255,255,254,255,255,255,192,255,255,255,8,0,0,0,254,0,0,0,24,0,0,0,24,254,0,0,170,119,0,0,192,255,255,255,255,255,255,255,255,255,255,255,192,255,255,255,1,0,0,0,254,0,0,0,25,0,0,0,25,254,0,0,188,119,0,0,192,255,255,255,255,255,255,255,255,255,255,255,192,255,255,255,2,0,0,0,254,0,0,0,26,0,0,0,26,254,0,0,207,119,0,0,192,255,255,255,255,255,255,255,254,255,255,255,192,255,255,255,1,0,0,0,254,0,0,0,27,0,0,0,27,254,0,0,225,119,0,0,192,255,255,255,255,255,255,255,254,255,255,255,192,255,255,255,2,0,0,0,254,0,0,0,28,0,0,0,28,254,0,0,244,119,0,0,192,255,255,255,255,255,255,255,254,255,255,255,192,255,255,255,4,0,0,0,254,0,0,0,29,0,0,0,29,254,0,0,7,120,0,0,255,255,255,255,255,255,255,255,255,255,255,255,192,255,255,255,4,0,0,0,254,0,0,0,30,0,0,0,30,254,0,0,26,120,0,0,254,255,255,255,255,255,255,255,254,255,255,255,192,255,255,255,8,0,0,0,254,0,0,0,31,0,0,0,31,254,0,0,45,120,0,0,255,255,255,255,255,255,255,255,255,255,255,255,192,255,255,255,1,0,0,0,254,0,0,0,32,0,0,0,32,254,0,0,67,120,0,0,255,255,255,255,255,255,255,255,255,255,255,255,192,255,255,255,2,0,0,0,254,0,0,0,33,0,0,0,33,254,0,0,90,120,0,0,254,255,255,255,255,255,255,255,254,255,255,255,192,255,255,255,1,0,0,0,254,0,0,0,34,0,0,0,34,254,0,0,112,120,0,0,254,255,255,255,255,255,255,255,254,255,255,255,192,255,255,255,2,0,0,0,254,0,0,0,35,0,0,0,35,254,0,0,135,120,0,0,254,255,255,255,255,255,255,255,254,255,255,255,192,255,255,255,4,0,0,0,254,0,0,0,36,0,0,0,36,254,0,0,158,120,0,0,255,255,255,255,255,255,255,255,255,255,255,255,192,255,255,255,4,0,0,0,254,0,0,0,37,0,0,0,37,254,0,0,177,120,0,0,254,255,255,255,255,255,255,255,254,255,255,255,192,255,255,255,8,0,0,0,254,0,0,0,38,0,0,0,38,254,0,0,196,120,0,0,255,255,255,255,255,255,255,255,255,255,255,255,192,255,255,255,1,0,0,0,254,0,0,0,39,0,0,0,39,254,0,0,218,120,0,0,255,255,255,255,255,255,255,255,255,255,255,255,192,255,255,255,2,0,0,0,254,0,0,0,40,0,0,0,40,254,0,0,241,120,0,0,254,255,255,255,255,255,255,255,254,255,255,255,192,255,255,255,1,0,0,0,254,0,0,0,41,0,0,0,41,254,0,0,7,121,0,0,254,255,255,255,255,255,255,255,254,255,255,255,192,255,255,255,2,0,0,0,254,0,0,0,42,0,0,0,42,254,0,0,30,121,0,0,254,255,255,255,255,255,255,255,254,255,255,255,192,255,255,255,4,0,0,0,254,0,0,0,43,0,0,0,43,254,0,0,53,121,0,0,255,255,255,255,255,255,255,255,255,255,255,255,192,255,255,255,4,0,0,0,254,0,0,0,44,0,0,0,44,254,0,0,72,121,0,0,254,255,255,255,255,255,255,255,254,255,255,255,192,255,255,255,8,0,0,0,254,0,0,0,45,0,0,0,45,254,0,0,91,121,0,0,255,255,255,255,255,255,255,255,255,255,255,255,192,255,255,255,1,0,0,0,254,0,0,0,46,0,0,0,46,254,0,0,113,121,0,0,255,255,255,255,255,255,255,255,255,255,255,255,192,255,255,255,2,0,0,0,254,0,0,0,47,0,0,0,47,254,0,0,136,121,0,0,254,255,255,255,255,255,255,255,254,255,255,255,192,255,255,255,1,0,0,0,254,0,0,0,48,0,0,0,48,254,0,0,158,121,0,0,254,255,255,255,255,255,255,255,254,255,255,255,192,255,255,255,2,0,0,0,254,0,0,0,49,0,0,0,49,254,0,0,181,121,0,0,254,255,255,255,255,255,255,255,254,255,255,255,192,255,255,255,4,0,0,0,254,0,0,0,50,0,0,0,50,254,0,0,204,121,0,0,255,255,255,255,255,255,255,255,255,255,255,255,192,255,255,255,4,0,0,0,254,0,0,0,51,0,0,0,51,254,0,0,222,121,0,0,254,255,255,255,255,255,255,255,254,255,255,255,192,255,255,255,8,0,0,0,254,0,0,0,52,0,0,0,52,254,0,0,240,121,0,0,255,255,255,255,255,255,255,255,255,255,255,255,192,255,255,255,1,0,0,0,254,0,0,0,53,0,0,0,53,254,0,0,5,122,0,0,255,255,255,255,255,255,255,255,255,255,255,255,192,255,255,255,2,0,0,0,254,0,0,0,54,0,0,0,54,254,0,0,27,122,0,0,254,255,255,255,255,255,255,255,254,255,255,255,192,255,255,255,1,0,0,0,254,0,0,0,55,0,0,0,55,254,0,0,48,122,0,0,254,255,255,255,255,255,255,255,254,255,255,255,192,255,255,255,2,0,0,0,254,0,0,0,56,0,0,0,56,254,0,0,70,122,0,0,254,255,255,255,255,255,255,255,254,255,255,255,192,255,255,255,4,0,0,0,254,0,0,0,57,0,0,0,57,254,0,0,92,122,0,0,255,255,255,255,255,255,255,255,255,255,255,255,192,255,255,255,4,0,0,0,254,0,0,0,58,0,0,0,58,254,0,0,111,122,0,0,254,255,255,255,255,255,255,255,254,255,255,255,192,255,255,255,8,0,0,0,254,0,0,0,59,0,0,0,59,254,0,0,130,122,0,0,255,255,255,255,255,255,255,255,255,255,255,255,192,255,255,255,1,0,0,0,254,0,0,0,60,0,0,0,60,254,0,0,152,122,0,0,255,255,255,255,255,255,255,255,255,255,255,255,192,255,255,255,2,0,0,0,254,0,0,0,61,0,0,0,61,254,0,0,175,122,0,0,254,255,255,255,255,255,255,255,254,255,255,255,192,255,255,255,1,0,0,0,254,0,0,0,62,0,0,0,62,254,0,0,197,122,0,0,254,255,255,255,255,255,255,255,254,255,255,255,192,255,255,255,2,0,0,0,254,0,0,0,63,0,0,0,63,254,0,0,220,122,0,0,254,255,255,255,255,255,255,255,254,255,255,255,192,255,255,255,4,0,0,0,254,0,0,0,64,0,0,0,64,254,0,0,243,122,0,0,255,255,255,255,255,255,255,255,255,255,255,255,192,255,255,255,4,0,0,0,254,0,0,0,65,0,0,0,65,254,0,0,7,123,0,0,254,255,255,255,255,255,255,255,254,255,255,255,192,255,255,255,8,0,0,0,254,0,0,0,66,0,0,0,66,254,0,0,27,123,0,0,255,255,255,255,255,255,255,255,255,255,255,255,192,255,255,255,1,0,0,0,254,0,0,0,67,0,0,0,67,254,0,0,50,123,0,0,255,255,255,255,255,255,255,255,255,255,255,255,192,255,255,255,2,0,0,0,254,0,0,0,68,0,0,0,68,254,0,0,74,123,0,0,254,255,255,255,255,255,255,255,254,255,255,255,192,255,255,255,1,0,0,0,254,0,0,0,69,0,0,0,69,254,0,0,97,123,0,0,254,255,255,255,255,255,255,255,254,255,255,255,192,255,255,255,2,0,0,0,254,0,0,0,70,0,0,0,70,254,0,0,121,123,0,0,254,255,255,255,255,255,255,255,254,255,255,255,192,255,255,255,4,0,0,0,254,0,0,0,71,0,0,0,71,254,0,0,145,123,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,4,0,0,0,254,0,0,0,72,0,0,0,72,254,0,0,168,123,0,0,254,255,255,255,255,255,255,255,254,255,255,255,254,255,255,255,8,0,0,0,254,0,0,0,73,0,0,0,73,254,0,0,191,123,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,1,0,0,0,254,0,0,0,74,0,0,0,74,254,0,0,217,123,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,2,0,0,0,254,0,0,0,75,0,0,0,75,254,0,0,244,123,0,0,254,255,255,255,255,255,255,255,254,255,255,255,254,255,255,255,1,0,0,0,254,0,0,0,76,0,0,0,76,254,0,0,14,124,0,0,254,255,255,255,255,255,255,255,254,255,255,255,254,255,255,255,2,0,0,0,254,0,0,0,77,0,0,0,77,254,0,0,41,124,0,0,254,255,255,255,255,255,255,255,254,255,255,255,254,255,255,255,4,0,0,0,254,0,0,0,78,0,0,0,78,254,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,10,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,14,0,0,0,15,0,0,0,16,0,0,0,17,0,0,0,18,0,0,0,19,0,0,0,20,0,0,0,21,0,0,0,22,0,0,0,23,0,0,0,24,0,0,0,48,0,0,0,49,0,0,0,50,0,0,0,51,0,0,0,52,0,0,0,53,0,0,0,78,124,0,0,85,124,0,0,91,124,0,0,94,124,0,0,99,124,0,0,107,124,0,0,112,124,0,0,125,124,0,0,133,124,0,0,139,124,0,0,147,124,0,0,161,124,0,0,166,124,0,0,176,124,0,0,185,124,0,0,196,124,0,0,199,124,0,0,204,124,0,0,209,124,0,0,213,124,0,0,221,124,0,0,228,124,0,0,235,124,0,0,245,124,0,0,254,124,0,0,4,125,0,0,13,125,0,0,19,125,0,0,28,125,0,0,34,125,0,0,46,125,0,0,51,125,0,0,0,0,0,0,0,8,0,0,143,0,0,0,144,0,0,0,62,0,0,0,176,0,0,0,50,0,0,0,51,0,0,0,68,126,0,0,77,126,0,0,83,126,0,0,88,126,0,0,91,126,0,0,107,126,0,0,111,126,0,0,0,0,0,0,16,8,0,0,145,0,0,0,146,0,0,0,177,0,0,0,27,0,0,0,178,0,0,0,63,0,0,0,52,0,0,0,53,0,0,0,64,0,0,0,179,0,0,0,180,0,0,0,26,0,0,0,65,0,0,0,181,0,0,0,182,0,0,0,44,0,0,0,27,0,0,0,24,0,0,0,28,0,0,0,25,0,0,0,29,0,0,0,66,0,0,0,183,0,0,0,184,0,0,0,54,0,0,0,67,0,0,0,185,0,0,0,186,0,0,0,45,0,0,0,68,0,0,0,187,0,0,0,188,0,0,0,55,0,0,0,69,0,0,0,189,0,0,0,190,0,0,0,46,0,0,0,191,0,0,0,192,0,0,0,193,0,0,0,70,0,0,0,194,0,0,0,195,0,0,0,27,0,0,0,71,0,0,0,196,0,0,0,197,0,0,0,72,0,0,0,198,0,0,0,199,0,0,0,200,0,0,0,201,0,0,0,47,0,0,0,202,0,0,0,73,0,0,0,203,0,0,0,204,0,0,0,56,0,0,0,57,0,0,0,205,0,0,0,58,0,0,0,59,0,0,0,48,0,0,0,49,0,0,0,50,0,0,0,51,0,0,0,206,0,0,0,60,0,0,0,207,0,0,0,208,0,0,0,52,0,0,0,209,0,0,0,210,0,0,0,211,0,0,0,74,0,0,0,212,0,0,0,213,0,0,0,75,0,0,0,76,0,0,0,77,0,0,0,78,0,0,0,79,0,0,0,214,0,0,0,61,0,0,0,215,0,0,0,216,0,0,0,80,0,0,0,217,0,0,0,62,0,0,0,63,0,0,0,53,0,0,0,64,0,0,0,81,0,0,0,218,0,0,0,82,0,0,0,83,0,0,0,219,0,0,0,220,0,0,0,54,0,0,0,221,0,0,0,222,0,0,0,65,0,0,0,223,0,0,0,84,0,0,0,55,0,0,0,56,0,0,0,224,0,0,0,85,0,0,0,225,0,0,0,226,0,0,0,66,0,0,0,227,0,0,0,228,0,0,0,67,0,0,0,68,0,0,0,229,0,0,0,86,0,0,0,230,0,0,0,231,0,0,0,69,0,0,0,232,0,0,0,233,0,0,0,57,0,0,0,234,0,0,0,87,0,0,0,235,0,0,0,58,0,0,0,236,0,0,0,70,0,0,0,59,0,0,0,237,0,0,0,71,0,0,0,60,0,0,0,88,0,0,0,238,0,0,0,61,0,0,0,28,0,0,0,89,0,0,0,239,0,0,0,240,0,0,0,241,0,0,0,72,0,0,0,242,0,0,0,243,0,0,0,244,0,0,0,29,0,0,0,90,0,0,0,245,0,0,0,246,0,0,0,73,0,0,0,91,0,0,0,74,0,0,0,62,0,0,0,75,0,0,0,76,0,0,0,63,0,0,0,168,63,0,0,5,0,0,0,0,0,0,0,0,0,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,0,0,0,78,0,0,0,65,194,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,0,0,0,100,0,0,0,232,3,0,0,16,39,0,0,160,134,1,0,64,66,15,0,128,150,152,0,0,225,245,5,95,112,137,0,255,9,47,15,0,0,0,0,2,0,0,0,3,0,0,0,5,0,0,0,7,0,0,0,11,0,0,0,13,0,0,0,17,0,0,0,19,0,0,0,23,0,0,0,29,0,0,0,31,0,0,0,37,0,0,0,41,0,0,0,43,0,0,0,47,0,0,0,53,0,0,0,59,0,0,0,61,0,0,0,67,0,0,0,71,0,0,0,73,0,0,0,79,0,0,0,83,0,0,0,89,0,0,0,97,0,0,0,101,0,0,0,103,0,0,0,107,0,0,0,109,0,0,0,113,0,0,0,127,0,0,0,131,0,0,0,137,0,0,0,139,0,0,0,149,0,0,0,151,0,0,0,157,0,0,0,163,0,0,0,167,0,0,0,173,0,0,0,179,0,0,0,181,0,0,0,191,0,0,0,193,0,0,0,197,0,0,0,199,0,0,0,211,0,0,0,1,0,0,0,11,0,0,0,13,0,0,0,17,0,0,0,19,0,0,0,23,0,0,0,29,0,0,0,31,0,0,0,37,0,0,0,41,0,0,0,43,0,0,0,47,0,0,0,53,0,0,0,59,0,0,0,61,0,0,0,67,0,0,0,71,0,0,0,73,0,0,0,79,0,0,0,83,0,0,0,89,0,0,0,97,0,0,0,101,0,0,0,103,0,0,0,107,0,0,0,109,0,0,0,113,0,0,0,121,0,0,0,127,0,0,0,131,0,0,0,137,0,0,0,139,0,0,0,143,0,0,0,149,0,0,0,151,0,0,0,157,0,0,0,163,0,0,0,167,0,0,0,169,0,0,0,173,0,0,0,179,0,0,0,181,0,0,0,187,0,0,0,191,0,0,0,193,0,0,0,197,0,0,0,199,0,0,0,209,0,0,0,0,0,0,0,32,8,0,0,147,0,0,0,148,0,0,0,149,0,0,0,150,0,0,0,80,0,0,0,22,0,0,0,22,0,0,0,22,0,0,0,0,0,0,0,72,8,0,0,147,0,0,0,151,0,0,0,149,0,0,0,150,0,0,0,80,0,0,0,23,0,0,0,23,0,0,0,23,0,0,0,0,0,0,0,88,8,0,0,147,0,0,0,152,0,0,0,149,0,0,0,150,0,0,0,80,0,0,0,24,0,0,0,24,0,0,0,24,0,0,0,60,98,105,110,97,114,121,62,0,27,91,49,109,0,58,0,37,100,58,37,100,58,32,0,27,91,51,49,109,0,101,114,114,111,114,58,32,0,27,91,48,109,0,27,91,51,50,109,0,78,52,119,97,98,116,49,50,69,114,114,111,114,72,97,110,100,108,101,114,69,0,78,52,119,97,98,116,49,56,69,114,114,111,114,72,97,110,100,108,101,114,66,117,102,102,101,114,69,0,105,108,108,101,103,97,108,32,99,104,97,114,97,99,116,101,114,32,105,110,32,115,116,114,105,110,103,0,110,101,119,108,105,110,101,32,105,110,32,115,116,114,105,110,103,0,109,97,108,102,111,114,109,101,100,32,117,116,102,45,56,37,115,0,32,105,110,32,115,116,114,105,110,103,0,98,97,100,32,101,115,99,97,112,101,32,34,37,46,42,115,34,0,32,105,110,32,98,108,111,99,107,32,99,111,109,109,101,110,116,0,128,128,128,128,128,128,128,128,128,128,0,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,104,0,104,104,104,104,104,32,32,104,104,40,104,104,104,248,248,248,248,248,248,248,248,248,248,104,32,104,104,104,104,104,232,232,232,232,232,232,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,40,72,40,104,104,104,232,232,232,232,232,232,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,40,104,40,104,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,117,110,101,120,112,101,99,116,101,100,32,99,104,97,114,0,117,110,101,120,112,101,99,116,101,100,32,116,111,107,101,110,32,37,115,44,32,101,120,112,101,99,116,101,100,32,37,115,46,0,117,110,101,120,112,101,99,116,101,100,32,116,111,107,101,110,32,37,115,46,0,111,112,99,111,100,101,32,110,111,116,32,97,108,108,111,119,101,100,58,32,37,115,0,32,111,114,32,0,32,40,101,46,103,46,32,0,117,110,101,120,112,101,99,116,101,100,32,116,111,107,101,110,32,34,37,115,34,37,115,46,0,105,110,118,97,108,105,100,32,105,110,116,32,34,37,46,42,115,34,0,97,32,110,117,109,101,114,105,99,32,105,110,100,101,120,0,97,32,110,97,109,101,0,49,50,32,111,114,32,36,102,111,111,0,97,110,32,111,102,102,115,101,116,32,101,120,112,114,0,40,105,51,50,46,99,111,110,115,116,32,49,50,51,41,0,97,110,32,101,120,112,114,0,116,104,101,110,32,98,108,111,99,107,0,40,116,104,101,110,32,46,46,46,41,0,97,32,99,97,116,99,104,32,101,120,112,114,0,78,52,119,97,98,116,55,84,114,121,69,120,112,114,69,0,78,52,119,97,98,116,57,69,120,112,114,77,105,120,105,110,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,51,49,69,69,69,0,78,52,119,97,98,116,52,69,120,112,114,69,0,78,52,119,97,98,116,49,57,105,110,116,114,117,115,105,118,101,95,108,105,115,116,95,98,97,115,101,73,78,83,95,52,69,120,112,114,69,69,69,0,78,52,119,97,98,116,54,73,102,69,120,112,114,69,0,78,52,119,97,98,116,57,69,120,112,114,77,105,120,105,110,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,49,57,69,69,69,0,78,52,119,97,98,116,49,51,66,108,111,99,107,69,120,112,114,66,97,115,101,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,50,49,69,69,69,0,78,52,119,97,98,116,57,69,120,112,114,77,105,120,105,110,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,50,49,69,69,69,0,117,110,101,120,112,101,99,116,101,100,32,108,97,98,101,108,32,34,37,115,34,0,109,105,115,109,97,116,99,104,105,110,103,32,108,97,98,101,108,32,34,37,115,34,32,33,61,32,34,37,115,34,0,78,52,119,97,98,116,49,51,66,108,111,99,107,69,120,112,114,66,97,115,101,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,53,69,69,69,0,78,52,119,97,98,116,57,69,120,112,114,77,105,120,105,110,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,53,69,69,69,0,78,52,119,97,98,116,49,51,76,111,97,100,83,116,111,114,101,69,120,112,114,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,51,69,69,69,0,78,52,119,97,98,116,57,69,120,112,114,77,105,120,105,110,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,51,69,69,69,0,78,52,119,97,98,116,49,51,76,111,97,100,83,116,111,114,101,69,120,112,114,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,50,69,69,69,0,78,52,119,97,98,116,57,69,120,112,114,77,105,120,105,110,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,50,69,69,69,0,78,52,119,97,98,116,49,51,76,111,97,100,83,116,111,114,101,69,120,112,114,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,49,69,69,69,0,78,52,119,97,98,116,57,69,120,112,114,77,105,120,105,110,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,49,69,69,69,0,78,52,119,97,98,116,49,51,76,111,97,100,83,116,111,114,101,69,120,112,114,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,48,69,69,69,0,78,52,119,97,98,116,57,69,120,112,114,77,105,120,105,110,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,48,69,69,69,0,78,52,119,97,98,116,49,51,76,111,97,100,83,116,111,114,101,69,120,112,114,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,51,52,69,69,69,0,78,52,119,97,98,116,57,69,120,112,114,77,105,120,105,110,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,51,52,69,69,69,0,78,52,119,97,98,116,49,51,76,111,97,100,83,116,111,114,101,69,120,112,114,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,51,53,69,69,69,0,78,52,119,97,98,116,57,69,120,112,114,77,105,120,105,110,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,51,53,69,69,69,0,78,52,119,97,98,116,55,86,97,114,69,120,112,114,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,50,51,69,69,69,0,78,52,119,97,98,116,57,69,120,112,114,77,105,120,105,110,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,50,51,69,69,69,0,78,52,119,97,98,116,55,86,97,114,69,120,112,114,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,51,48,69,69,69,0,78,52,119,97,98,116,57,69,120,112,114,77,105,120,105,110,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,51,48,69,69,69,0,78,52,119,97,98,116,57,69,120,112,114,77,105,120,105,110,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,49,56,69,69,69,0,78,52,119,97,98,116,57,69,120,112,114,77,105,120,105,110,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,49,52,69,69,69,0,78,52,119,97,98,116,49,48,79,112,99,111,100,101,69,120,112,114,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,49,51,69,69,69,0,78,52,119,97,98,116,57,69,120,112,114,77,105,120,105,110,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,49,51,69,69,69,0,78,52,119,97,98,116,49,48,79,112,99,111,100,101,69,120,112,114,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,49,49,69,69,69,0,78,52,119,97,98,116,57,69,120,112,114,77,105,120,105,110,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,49,49,69,69,69,0,78,52,119,97,98,116,49,48,79,112,99,111,100,101,69,120,112,114,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,52,69,69,69,0,78,52,119,97,98,116,57,69,120,112,114,77,105,120,105,110,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,52,69,69,69,0,78,52,119,97,98,116,49,48,79,112,99,111,100,101,69,120,112,114,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,51,50,69,69,69,0,78,52,119,97,98,116,57,69,120,112,114,77,105,120,105,110,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,51,50,69,69,69,0,78,52,119,97,98,116,57,67,111,110,115,116,69,120,112,114,69,0,78,52,119,97,98,116,57,69,120,112,114,77,105,120,105,110,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,49,50,69,69,69,0,97,32,110,117,109,101,114,105,99,32,108,105,116,101,114,97,108,0,49,50,51,44,32,45,52,53,44,32,54,46,55,101,56,0,105,110,118,97,108,105,100,32,108,105,116,101,114,97,108,32,34,37,115,34,0,78,52,119,97,98,116,49,51,76,111,97,100,83,116,111,114,101,69,120,112,114,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,50,56,69,69,69,0,78,52,119,97,98,116,57,69,120,112,114,77,105,120,105,110,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,50,56,69,69,69,0,78,52,119,97,98,116,49,51,76,111,97,100,83,116,111,114,101,69,120,112,114,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,50,48,69,69,69,0,78,52,119,97,98,116,57,69,120,112,114,77,105,120,105,110,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,50,48,69,69,69,0,105,110,118,97,108,105,100,32,97,108,105,103,110,109,101,110,116,32,34,37,46,42,115,34,0,105,110,118,97,108,105,100,32,111,102,102,115,101,116,32,34,37,46,42,115,34,0,111,102,102,115,101,116,32,109,117,115,116,32,98,101,32,108,101,115,115,32,116,104,97,110,32,111,114,32,101,113,117,97,108,32,116,111,32,48,120,102,102,102,102,102,102,102,102,0,78,52,119,97,98,116,55,86,97,114,69,120,112,114,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,50,54,69,69,69,0,78,52,119,97,98,116,57,69,120,112,114,77,105,120,105,110,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,50,54,69,69,69,0,78,52,119,97,98,116,55,86,97,114,69,120,112,114,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,49,54,69,69,69,0,78,52,119,97,98,116,57,69,120,112,114,77,105,120,105,110,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,49,54,69,69,69,0,78,52,119,97,98,116,55,86,97,114,69,120,112,114,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,50,57,69,69,69,0,78,52,119,97,98,116,57,69,120,112,114,77,105,120,105,110,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,50,57,69,69,69,0,78,52,119,97,98,116,55,86,97,114,69,120,112,114,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,50,55,69,69,69,0,78,52,119,97,98,116,57,69,120,112,114,77,105,120,105,110,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,50,55,69,69,69,0,78,52,119,97,98,116,55,86,97,114,69,120,112,114,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,49,55,69,69,69,0,78,52,119,97,98,116,57,69,120,112,114,77,105,120,105,110,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,49,55,69,69,69,0,78,52,119,97,98,116,55,86,97,114,69,120,112,114,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,49,48,69,69,69,0,78,52,119,97,98,116,57,69,120,112,114,77,105,120,105,110,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,49,48,69,69,69,0,78,52,119,97,98,116,55,86,97,114,69,120,112,114,73,76,78,83,95,56,69,120,112,114,84,121,112],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+10240);allocate([101,69,57,69,69,69,0,78,52,119,97,98,116,57,69,120,112,114,77,105,120,105,110,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,57,69,69,69,0,78,52,119,97,98,116,57,69,120,112,114,77,105,120,105,110,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,50,52,69,69,69,0,78,52,119,97,98,116,49,49,66,114,84,97,98,108,101,69,120,112,114,69,0,78,52,119,97,98,116,57,69,120,112,114,77,105,120,105,110,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,56,69,69,69,0,78,52,119,97,98,116,55,86,97,114,69,120,112,114,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,55,69,69,69,0,78,52,119,97,98,116,57,69,120,112,114,77,105,120,105,110,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,55,69,69,69,0,78,52,119,97,98,116,55,86,97,114,69,120,112,114,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,54,69,69,69,0,78,52,119,97,98,116,57,69,120,112,114,77,105,120,105,110,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,54,69,69,69,0,78,52,119,97,98,116,57,69,120,112,114,77,105,120,105,110,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,50,53,69,69,69,0,78,52,119,97,98,116,57,69,120,112,114,77,105,120,105,110,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,49,53,69,69,69,0,78,52,119,97,98,116,57,69,120,112,114,77,105,120,105,110,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,50,50,69,69,69,0,78,52,119,97,98,116,57,69,120,112,114,77,105,120,105,110,73,76,78,83,95,56,69,120,112,114,84,121,112,101,69,51,51,69,69,69,0,97,110,32,105,110,115,116,114,0,97,32,113,117,111,116,101,100,32,115,116,114,105,110,103,0,34,102,111,111,34,0,113,117,111,116,101,100,32,115,116,114,105,110,103,32,104,97,115,32,97,110,32,105,110,118,97,108,105,100,32,117,116,102,45,56,32,101,110,99,111,100,105,110,103,0,97,32,110,97,116,117,114,97,108,32,110,117,109,98,101,114,0,49,50,51,0,97,32,109,111,100,117,108,101,32,102,105,101,108,100,0,97,32,109,111,100,117,108,101,0,78,52,119,97,98,116,49,57,70,117,110,99,84,121,112,101,77,111,100,117,108,101,70,105,101,108,100,69,0,78,52,119,97,98,116,49,54,77,111,100,117,108,101,70,105,101,108,100,77,105,120,105,110,73,76,78,83,95,49,53,77,111,100,117,108,101,70,105,101,108,100,84,121,112,101,69,52,69,69,69,0,78,52,119,97,98,116,49,49,77,111,100,117,108,101,70,105,101,108,100,69,0,78,52,119,97,98,116,49,57,105,110,116,114,117,115,105,118,101,95,108,105,115,116,95,98,97,115,101,73,78,83,95,49,49,77,111,100,117,108,101,70,105,101,108,100,69,69,69,0,105,109,112,111,114,116,115,32,109,117,115,116,32,111,99,99,117,114,32,98,101,102,111,114,101,32,97,108,108,32,110,111,110,45,105,109,112,111,114,116,32,100,101,102,105,110,105,116,105,111,110,115,0,78,52,119,97,98,116,49,54,84,97,98,108,101,77,111,100,117,108,101,70,105,101,108,100,69,0,78,52,119,97,98,116,49,54,77,111,100,117,108,101,70,105,101,108,100,77,105,120,105,110,73,76,78,83,95,49,53,77,111,100,117,108,101,70,105,101,108,100,84,121,112,101,69,53,69,69,69,0,78,52,119,97,98,116,50,50,69,108,101,109,83,101,103,109,101,110,116,77,111,100,117,108,101,70,105,101,108,100,69,0,78,52,119,97,98,116,49,54,77,111,100,117,108,101,70,105,101,108,100,77,105,120,105,110,73,76,78,83,95,49,53,77,111,100,117,108,101,70,105,101,108,100,84,121,112,101,69,54,69,69,69,0,78,52,119,97,98,116,49,55,73,109,112,111,114,116,77,111,100,117,108,101,70,105,101,108,100,69,0,78,52,119,97,98,116,49,54,77,111,100,117,108,101,70,105,101,108,100,77,105,120,105,110,73,76,78,83,95,49,53,77,111,100,117,108,101,70,105,101,108,100,84,121,112,101,69,50,69,69,69,0,78,52,119,97,98,116,54,73,109,112,111,114,116,69,0,78,52,119,97,98,116,49,49,84,97,98,108,101,73,109,112,111,114,116,69,0,78,52,119,97,98,116,49,49,73,109,112,111,114,116,77,105,120,105,110,73,76,78,83,95,49,50,69,120,116,101,114,110,97,108,75,105,110,100,69,49,69,69,69,0,78,52,119,97,98,116,49,55,69,120,112,111,114,116,77,111,100,117,108,101,70,105,101,108,100,69,0,78,52,119,97,98,116,49,54,77,111,100,117,108,101,70,105,101,108,100,77,105,120,105,110,73,76,78,83,95,49,53,77,111,100,117,108,101,70,105,101,108,100,84,121,112,101,69,51,69,69,69,0,78,52,119,97,98,116,49,54,83,116,97,114,116,77,111,100,117,108,101,70,105,101,108,100,69,0,78,52,119,97,98,116,49,54,77,111,100,117,108,101,70,105,101,108,100,77,105,120,105,110,73,76,78,83,95,49,53,77,111,100,117,108,101,70,105,101,108,100,84,121,112,101,69,57,69,69,69,0,78,52,119,97,98,116,49,55,77,101,109,111,114,121,77,111,100,117,108,101,70,105,101,108,100,69,0,78,52,119,97,98,116,49,54,77,111,100,117,108,101,70,105,101,108,100,77,105,120,105,110,73,76,78,83,95,49,53,77,111,100,117,108,101,70,105,101,108,100,84,121,112,101,69,55,69,69,69,0,78,52,119,97,98,116,50,50,68,97,116,97,83,101,103,109,101,110,116,77,111,100,117,108,101,70,105,101,108,100,69,0,78,52,119,97,98,116,49,54,77,111,100,117,108,101,70,105,101,108,100,77,105,120,105,110,73,76,78,83,95,49,53,77,111,100,117,108,101,70,105,101,108,100,84,121,112,101,69,56,69,69,69,0,78,52,119,97,98,116,49,50,77,101,109,111,114,121,73,109,112,111,114,116,69,0,78,52,119,97,98,116,49,49,73,109,112,111,114,116,77,105,120,105,110,73,76,78,83,95,49,50,69,120,116,101,114,110,97,108,75,105,110,100,69,50,69,69,69,0,97,110,32,101,120,116,101,114,110,97,108,32,107,105,110,100,0,78,52,119,97,98,116,49,53,69,120,99,101,112,116,105,111,110,73,109,112,111,114,116,69,0,78,52,119,97,98,116,49,49,73,109,112,111,114,116,77,105,120,105,110,73,76,78,83,95,49,50,69,120,116,101,114,110,97,108,75,105,110,100,69,52,69,69,69,0,78,52,119,97,98,116,49,50,71,108,111,98,97,108,73,109,112,111,114,116,69,0,78,52,119,97,98,116,49,49,73,109,112,111,114,116,77,105,120,105,110,73,76,78,83,95,49,50,69,120,116,101,114,110,97,108,75,105,110,100,69,51,69,69,69,0,78,52,119,97,98,116,49,48,70,117,110,99,73,109,112,111,114,116,69,0,78,52,119,97,98,116,49,49,73,109,112,111,114,116,77,105,120,105,110,73,76,78,83,95,49,50,69,120,116,101,114,110,97,108,75,105,110,100,69,48,69,69,69,0,78,52,119,97,98,116,49,55,71,108,111,98,97,108,77,111,100,117,108,101,70,105,101,108,100,69,0,78,52,119,97,98,116,49,54,77,111,100,117,108,101,70,105,101,108,100,77,105,120,105,110,73,76,78,83,95,49,53,77,111,100,117,108,101,70,105,101,108,100,84,121,112,101,69,49,69,69,69,0,78,52,119,97,98,116,49,53,70,117,110,99,77,111,100,117,108,101,70,105,101,108,100,69,0,78,52,119,97,98,116,49,54,77,111,100,117,108,101,70,105,101,108,100,77,105,120,105,110,73,76,78,83,95,49,53,77,111,100,117,108,101,70,105,101,108,100,84,121,112,101,69,48,69,69,69,0,78,52,119,97,98,116,50,48,69,120,99,101,112,116,105,111,110,77,111,100,117,108,101,70,105,101,108,100,69,0,78,52,119,97,98,116,49,54,77,111,100,117,108,101,70,105,101,108,100,77,105,120,105,110,73,76,78,83,95,49,53,77,111,100,117,108,101,70,105,101,108,100,84,121,112,101,69,49,48,69,69,69,0,60,116,101,120,116,62,0,97,32,98,105,110,97,114,121,32,109,111,100,117,108,101,0,97,32,116,101,120,116,32,109,111,100,117,108,101,0,101,114,114,111,114,32,105,110,32,98,105,110,97,114,121,32,109,111,100,117,108,101,58,32,37,115,0,101,114,114,111,114,32,105,110,32,98,105,110,97,114,121,32,109,111,100,117,108,101,58,32,64,48,120,37,48,56,122,120,58,32,37,115,0,78,52,119,97,98,116,49,50,95,71,76,79,66,65,76,95,95,78,95,49,50,52,66,105,110,97,114,121,69,114,114,111,114,72,97,110,100,108,101,114,77,111,100,117,108,101,69,0,78,52,119,97,98,116,49,51,77,111,100,117,108,101,67,111,109,109,97,110,100,69,0,78,52,119,97,98,116,49,50,67,111,109,109,97,110,100,77,105,120,105,110,73,76,78,83,95,49,49,67,111,109,109,97,110,100,84,121,112,101,69,48,69,69,69,0,78,52,119,97,98,116,55,67,111,109,109,97,110,100,69,0,78,52,119,97,98,116,49,54,84,101,120,116,83,99,114,105,112,116,77,111,100,117,108,101,69,0,78,52,119,97,98,116,49,55,83,99,114,105,112,116,77,111,100,117,108,101,77,105,120,105,110,73,76,78,83,95,49,54,83,99,114,105,112,116,77,111,100,117,108,101,84,121,112,101,69,48,69,69,69,0,78,52,119,97,98,116,49,50,83,99,114,105,112,116,77,111,100,117,108,101,69,0,78,52,119,97,98,116,49,54,68,97,116,97,83,99,114,105,112,116,77,111,100,117,108,101,73,76,78,83,95,49,54,83,99,114,105,112,116,77,111,100,117,108,101,84,121,112,101,69,50,69,69,69,0,78,52,119,97,98,116,49,55,83,99,114,105,112,116,77,111,100,117,108,101,77,105,120,105,110,73,76,78,83,95,49,54,83,99,114,105,112,116,77,111,100,117,108,101,84,121,112,101,69,50,69,69,69,0,78,52,119,97,98,116,49,54,68,97,116,97,83,99,114,105,112,116,77,111,100,117,108,101,73,76,78,83,95,49,54,83,99,114,105,112,116,77,111,100,117,108,101,84,121,112,101,69,49,69,69,69,0,78,52,119,97,98,116,49,55,83,99,114,105,112,116,77,111,100,117,108,101,77,105,120,105,110,73,76,78,83,95,49,54,83,99,114,105,112,116,77,111,100,117,108,101,84,121,112,101,69,49,69,69,69,0,116,121,112,101,32,109,105,115,109,97,116,99,104,32,102,111,114,32,37,115,32,37,117,32,111,102,32,37,115,46,32,103,111,116,32,37,115,44,32,101,120,112,101,99,116,101,100,32,37,115,0,97,114,103,117,109,101,110,116,0,101,108,101,109,32,115,101,103,109,101,110,116,32,111,102,102,115,101,116,0,37,115,32,118,97,114,105,97,98,108,101,32,111,117,116,32,111,102,32,114,97,110,103,101,32,40,109,97,120,32,37,117,41,0,100,97,116,97,32,115,101,103,109,101,110,116,32,111,102,102,115,101,116,0,73,110,118,97,108,105,100,32,101,120,99,101,112,116,105,111,110,32,116,121,112,101,58,32,37,115,0,109,117,108,116,105,112,108,101,32,114,101,115,117,108,116,32,118,97,108,117,101,115,32,110,111,116,32,99,117,114,114,101,110,116,108,121,32,115,117,112,112,111,114,116,101,100,46,0,103,108,111,98,97,108,32,105,110,105,116,105,97,108,105,122,101,114,32,101,120,112,114,101,115,115,105,111,110,0,111,110,108,121,32,111,110,101,32,116,97,98,108,101,32,97,108,108,111,119,101,100,0,101,108,101,109,115,0,111,110,108,121,32,111,110,101,32,109,101,109,111,114,121,32,98,108,111,99,107,32,97,108,108,111,119,101,100,0,112,97,103,101,115,0,109,117,116,97,98,108,101,32,103,108,111,98,97,108,115,32,99,97,110,110,111,116,32,98,101,32,105,109,112,111,114,116,101,100,0,109,117,116,97,98,108,101,32,103,108,111,98,97,108,115,32,99,97,110,110,111,116,32,98,101,32,101,120,112,111,114,116,101,100,0,111,110,108,121,32,111,110,101,32,115,116,97,114,116,32,102,117,110,99,116,105,111,110,32,97,108,108,111,119,101,100,0,115,116,97,114,116,32,102,117,110,99,116,105,111,110,32,109,117,115,116,32,98,101,32,110,117,108,108,97,114,121,0,115,116,97,114,116,32,102,117,110,99,116,105,111,110,32,109,117,115,116,32,110,111,116,32,114,101,116,117,114,110,32,97,110,121,116,104,105,110,103,0,105,110,105,116,105,97,108,32,37,115,32,40,37,108,108,117,41,32,109,117,115,116,32,98,101,32,60,61,32,40,37,108,108,117,41,0,109,97,120,32,37,115,32,40,37,108,108,117,41,32,109,117,115,116,32,98,101,32,60,61,32,40,37,108,108,117,41,0,109,97,120,32,37,115,32,40,37,108,108,117,41,32,109,117,115,116,32,98,101,32,62,61,32,105,110,105,116,105,97,108,32,37,115,32,40,37,108,108,117,41,0,115,104,97,114,101,100,32,109,101,109,111,114,105,101,115,32,109,117,115,116,32,104,97,118,101,32,109,97,120,32,115,105,122,101,115,0,37,115,32,114,101,113,117,105,114,101,115,32,97,110,32,105,109,112,111,114,116,101,100,32,111,114,32,100,101,102,105,110,101,100,32,109,101,109,111,114,121,46,0,37,115,32,114,101,113,117,105,114,101,115,32,109,101,109,111,114,121,32,116,111,32,98,101,32,115,104,97,114,101,100,46,0,97,108,105,103,110,109,101,110,116,32,109,117,115,116,32,98,101,32,112,111,119,101,114,45,111,102,45,116,119,111,0,97,108,105,103,110,109,101,110,116,32,109,117,115,116,32,98,101,32,101,113,117,97,108,32,116,111,32,110,97,116,117,114,97,108,32,97,108,105,103,110,109,101,110,116,32,40,37,117,41,0,109,117,108,116,105,112,108,101,32,37,115,32,115,105,103,110,97,116,117,114,101,32,114,101,115,117,108,116,32,116,121,112,101,115,32,110,111,116,32,99,117,114,114,101,110,116,108,121,32,115,117,112,112,111,114,116,101,100,46,0,102,111,117,110,100,32,99,97,108,108,95,105,110,100,105,114,101,99,116,32,111,112,101,114,97,116,111,114,44,32,98,117,116,32,110,111,32,116,97,98,108,101,0,97,108,105,103,110,109,101,110,116,32,109,117,115,116,32,110,111,116,32,98,101,32,108,97,114,103,101,114,32,116,104,97,110,32,110,97,116,117,114,97,108,32,97,108,105,103,110,109,101,110,116,32,40,37,117,41,0,84,114,121,66,108,111,99,107,58,32,100,111,101,115,110,39,116,32,104,97,118,101,32,97,110,121,32,99,97,116,99,104,32,99,108,97,117,115,101,115,0,65,112,112,101,97,114,115,32,97,102,116,101,114,32,99,97,116,99,104,32,97,108,108,32,98,108,111,99,107,0,108,111,99,97,108,32,118,97,114,105,97,98,108,101,32,111,117,116,32,111,102,32,114,97,110,103,101,32,40,109,97,120,32,37,117,41,0,101,120,112,101,99,116,101,100,32,37,122,100,32,37,115,115,44,32,103,111,116,32,37,122,100,0,90,78,52,119,97,98,116,49,50,95,71,76,79,66,65,76,95,95,78,95,49,57,86,97,108,105,100,97,116,111,114,50,56,67,104,101,99,107,68,117,112,108,105,99,97,116,101,69,120,112,111,114,116,66,105,110,100,105,110,103,115,69,80,75,78,83,95,54,77,111,100,117,108,101,69,69,51,36,95,49,0,114,101,100,101,102,105,110,105,116,105,111,110,32,111,102,32,101,120,112,111,114,116,32,34,37,115,34,0,78,83,116,51,95,95,50,49,48,95,95,102,117,110,99,116,105,111,110,54,95,95,102,117,110,99,73,90,78,52,119,97,98,116,49,50,95,71,76,79,66,65,76,95,95,78,95,49,57,86,97,108,105,100,97,116,111,114,50,56,67,104,101,99,107,68,117,112,108,105,99,97,116,101,69,120,112,111,114,116,66,105,110,100,105,110,103,115,69,80,75,78,83,50,95,54,77,111,100,117,108,101,69,69,51,36,95,49,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,56,95,69,69,70,118,82,75,78,83,95,52,112,97,105,114,73,75,78,83,95,49,50,98,97,115,105,99,95,115,116,114,105,110,103,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,57,95,73,99,69,69,69,69,78,83,50,95,55,66,105,110,100,105,110,103,69,69,69,83,76,95,69,69,69,0,78,83,116,51,95,95,50,49,48,95,95,102,117,110,99,116,105,111,110,54,95,95,98,97,115,101,73,70,118,82,75,78,83,95,52,112,97,105,114,73,75,78,83,95,49,50,98,97,115,105,99,95,115,116,114,105,110,103,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,78,52,119,97,98,116,55,66,105,110,100,105,110,103,69,69,69,83,69,95,69,69,69,0,105,110,118,97,108,105,100,32,37,115,44,32,109,117,115,116,32,98,101,32,97,32,99,111,110,115,116,97,110,116,32,101,120,112,114,101,115,115,105,111,110,59,32,101,105,116,104,101,114,32,42,46,99,111,110,115,116,32,111,114,32,103,101,116,95,103,108,111,98,97,108,46,0,105,110,105,116,105,97,108,105,122,101,114,32,101,120,112,114,101,115,115,105,111,110,32,99,97,110,32,111,110,108,121,32,114,101,102,101,114,101,110,99,101,32,97,110,32,105,109,112,111,114,116,101,100,32,103,108,111,98,97,108,0,105,110,105,116,105,97,108,105,122,101,114,32,101,120,112,114,101,115,115,105,111,110,32,99,97,110,110,111,116,32,114,101,102,101,114,101,110,99,101,32,97,32,109,117,116,97,98,108,101,32,103,108,111,98,97,108,0,116,121,112,101,32,109,105,115,109,97,116,99,104,32,97,116,32,37,115,46,32,103,111,116,32,37,115,44,32,101,120,112,101,99,116,101,100,32,37,115,0,90,78,52,119,97,98,116,49,50,95,71,76,79,66,65,76,95,95,78,95,49,57,86,97,108,105,100,97,116,111,114,67,49,69,80,78,83,95,49,50,69,114,114,111,114,72,97,110,100,108,101,114,69,80,78,83,95,57,87,97,115,116,76,101,120,101,114,69,80,75,78,83,95,54,83,99,114,105,112,116,69,69,51,36,95,48,0,78,83,116,51,95,95,50,49,48,95,95,102,117,110,99,116,105,111,110,54,95,95,102,117,110,99,73,90,78,52,119,97,98,116,49,50,95,71,76,79,66,65,76,95,95,78,95,49,57,86,97,108,105,100,97,116,111,114,67,49,69,80,78,83,50,95,49,50,69,114,114,111,114,72,97,110,100,108,101,114,69,80,78,83,50,95,57,87,97,115,116,76,101,120,101,114,69,80,75,78,83,50,95,54,83,99,114,105,112,116,69,69,51,36,95,48,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,67,95,69,69,70,118,80,75,99,69,69,69,0,78,83,116,51,95,95,50,49,48,95,95,102,117,110,99,116,105,111,110,54,95,95,98,97,115,101,73,70,118,80,75,99,69,69,69,0,112,114,101,102,105,120,0,108,105,109,105,116,115,58,32,102,108,97,103,115,0,108,105,109,105,116,115,58,32,105,110,105,116,105,97,108,0,108,105,109,105,116,115,58,32,109,97,120,0,87,65,83,77,95,66,73,78,65,82,89,95,77,65,71,73,67,0,87,65,83,77,95,66,73,78,65,82,89,95,86,69,82,83,73,79,78,0,115,101,99,116,105,111,110,32,34,37,115,34,32,40,37,117,41,0,59,32,37,115,10,0,115,101,99,116,105,111,110,32,115,105,122,101,32,40,103,117,101,115,115,41,0,110,117,109,32,116,121,112,101,115,0,70,73,88,85,80,32,115,101,99,116,105,111,110,32,115,105,122,101,0,59,32,37,115,32,37,100,10,0,110,117,109,32,112,97,114,97,109,115,0,110,117,109,32,114,101,115,117,108,116,115,0,110,117,109,32,105,109,112,111,114,116,115,0,105,109,112,111,114,116,32,104,101,97,100,101,114,0,110,117,109,32,102,117,110,99,116,105,111,110,115,0,102,117,110,99,116,105,111,110,32,37,122,100,32,115,105,103,110,97,116,117,114,101,32,105,110,100,101,120,0,110,117,109,32,116,97,98,108,101,115,0,110,117,109,32,109,101,109,111,114,105,101,115,0,110,117,109,32,103,108,111,98,97,108,115,0,110,117,109,32,101,120,112,111,114,116,115,0,101,120,112,111,114,116,32,110,97,109,101,0,101,120,112,111,114,116,32,107,105,110,100,0,101,120,112,111,114,116,32,102,117,110,99,32,105,110,100,101,120,0,101,120,112,111,114,116,32,116,97,98,108,101,32,105,110,100,101,120,0,101,120,112,111,114,116,32,109,101,109,111,114,121,32,105,110,100,101,120,0,101,120,112,111,114,116,32,103,108,111,98,97,108,32,105,110,100,101,120,0,101,120,112,111,114,116,32,101,120,99,101,112,116,105,111,110,32,105,110,100,101,120,0,115,116,97,114,116,32,102,117,110,99,32,105,110,100,101,120,0,110,117,109,32,101,108,101,109,32,115,101,103,109,101,110,116,115,0,101,108,101,109,32,115,101,103,109,101,110,116,32,104,101,97,100,101,114,0,116,97,98,108,101,32,105,110,100,101,120,0,110,117,109,32,102,117,110,99,116,105,111,110,32,105,110,100,105,99,101,115,0,102,117,110,99,116,105,111,110,32,98,111,100,121,0,102,117,110,99,32,98,111,100,121,32,115,105,122,101,32,40,103,117,101,115,115,41,0,108,111,99,97,108,32,100,101,99,108,32,99,111,117,110,116,0,70,73,88,85,80,32,102,117,110,99,32,98,111,100,121,32,115,105,122,101,0,110,117,109,32,100,97,116,97,32,115,101,103,109,101,110,116,115,0,100,97,116,97,32,115,101,103,109,101,110,116,32,104,101,97,100,101,114,0,109,101,109,111,114,121,32,105,110,100,101,120,0,100,97,116,97,32,115,101,103,109,101,110,116,32,115,105,122,101,0,102,117,110,99,116,105,111,110,32,110,97,109,101,32,116,121,112,101,0,115,117,98,115,101,99,116,105,111,110,32,115,105,122,101,32,40,103,117,101,115,115,41,0,70,73,88,85,80,32,115,117,98,115,101,99,116,105,111,110,32,115,105,122,101,0,102,117,110,99,32,110,97,109,101,32,37,122,100,0,108,111,99,97,108,32,110,97,109,101,32,116,121,112,101,0,110,117,109,32,108,111,99,97,108,115,0,108,111,99,97,108,32,110,97,109,101,32,37,122,100,0,108,111,99,97,108,32,105,110,100,101,120,0,37,115,46,37,115,0,114,101,108,111,99,32,115,101,99,116,105,111,110,32,116,121,112,101,0,110,117,109,32,114,101,108,111,99,115,0,114,101,108,111,99,32,116,121,112,101,0,114,101,108,111,99,32,111,102,102,115,101,116,0,114,101,108,111,99,32,105,110,100,101,120,0,114,101,108,111,99,32,97,100,100,101,110,100,0,115,101,99,116,105,111,110,32,34,37,115,34,0,99,117,115,116,111,109,32,115,101,99,116,105,111,110,32,99,111,100,101,0,99,117,115,116,111,109,32,115,101,99,116,105,111,110,32,110,97,109,101,0,97,108,105,103,110,109,101,110,116,0,73,78,86,65,76,73,68,32,73,78,76,73,78,69,32,83,73,71,78,65,84,85,82,69,0,98,114,101,97,107,32,100,101,112,116,104,0,110,117,109,32,116,97,114,103,101,116,115,0,98,114,101,97,107,32,100,101,112,116,104,32,102,111,114,32,100,101,102,97,117,108,116,0,115,105,103,110,97,116,117,114,101,32,105,110,100,101,120,0,105,51,50,32,108,105,116,101,114,97,108,0,105,54,52,32,108,105,116,101,114,97,108,0,102,51,50,32,108,105,116,101,114,97,108,0,102,54,52,32,108,105,116,101,114,97,108,0,103,108,111,98,97,108,32,105,110,100,101,120,0,114,101,116,104,114,111,119,32,100,101,112,116,104,0,116,104,114,111,119,32,101,120,99,101,112,116,105,111,110,0,99,97,116,99,104,32,101,120,99,101,112,116,105,111,110,0,36,0,101,120,112,101,99,116,101,100,32,108,111,99,97,108,32,110,97,109,101,32,99,111,117,110,116,32,40,37,117,41,32,60,61,32,108,111,99,97,108,32,99,111,117,110,116,32,40,37,117,41,0,101,120,112,101,99,116,101,100,32,102,117,110,99,116,105,111,110,32,110,97,109,101,32,99,111,117,110,116,32,40,37,117,41,32,60,61,32,102,117,110,99,116,105,111,110,32,99,111,117,110,116,32,40,37,122,100,41,0,112,111,112,112,105,110,103,32,101,109,112,116,121,32,108,97,98,101,108,32,115,116,97,99,107,0,97,99,99,101,115,115,105,110,103,32,115,116,97,99,107,32,100,101,112,116,104,58,32,37,117,32,62,61,32,109,97,120,58,32,37,122,100,0,101,108,115,101,32,101,120,112,114,101,115,115,105,111,110,32,119,105,116,104,111,117,116,32,109,97,116,99,104,105,110,103,32,105,102,0,99,97,116,99,104,32,110,111,116,32,105,110,115,105,100,101,32,116,114,121,32,98,108,111,99,107,0,78,52,119,97,98,116,49,50,95,71,76,79,66,65,76,95,95,78,95,49,49,52,66,105,110,97,114,121,82,101,97,100,101,114,73,82,69,0,78,52,119,97,98,116,49,53,66,105,110,97,114,121,82,101,97,100,101,114,78,111,112,69,0,78,52,119,97,98,116,50,48,66,105,110,97,114,121,82,101,97,100,101,114,68,101,108,101,103,97,116,101,69,0,40,59,37,117,59,41,0,37,108,108,117,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,111,102,102,115,101,116,61,37,117,0,97,108,105,103,110,61,37,117,0,37,108,108,100,0,40,59,61,37,103,59,41,0,98,97,100,32,101,120,112,114,32,116,121,112,101,58,32,37,115,10,0,32,59,59,32,108,97,98,101,108,32,61,32,64,37,117,0,37,117,32,40,59,64,37,117,59,41,0,37,117,32,40,59,32,73,78,86,65,76,73,68,32,59,41,0,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,0,78,52,119,97,98,116,49,50,95,71,76,79,66,65,76,95,95,78,95,49,49,49,78,97,109,101,65,112,112,108,105,101,114,69,0,78,52,119,97,98,116,49,49,69,120,112,114,86,105,115,105,116,111,114,49,49,68,101,108,101,103,97,116,101,78,111,112,69,0,78,52,119,97,98,116,49,49,69,120,112,114,86,105,115,105,116,111,114,56,68,101,108,101,103,97,116,101,69,0,36,103,0,36,116,0,36,102,0,36,112,0,36,108,0,36,84,0,36,77,0,36,101,0,36,76,0,36,73,0,36,66,0,78,52,119,97,98,116,49,50,95,71,76,79,66,65,76,95,95,78,95,49,49,51,78,97,109,101,71,101,110,101,114,97,116,111,114,69,0,102,117,110,99,116,105,111,110,32,116,121,112,101,0,117,110,100,101,102,105,110,101,100,32,37,115,32,118,97,114,105,97,98,108,101,32,34,37,115,34,0,112,97,114,97,109,101,116,101,114,0,90,78,52,119,97,98,116,49,50,95,71,76,79,66,65,76,95,95,78,95,49,49,50,78,97,109,101,82,101,115,111,108,118,101,114,50,50,67,104,101,99,107,68,117,112,108,105,99,97,116,101,66,105,110,100,105,110,103,115,69,80,75,78,83,95,49,49,66,105,110,100,105,110,103,72,97,115,104,69,80,75,99,69,51,36,95,48,0,114,101,100,101,102,105,110,105,116,105,111,110,32,111,102,32,37,115,32,34,37,115,34,0,78,83,116,51,95,95,50,49,48,95,95,102,117,110,99,116,105,111,110,54,95,95,102,117,110,99,73,90,78,52,119,97,98,116,49,50,95,71,76,79,66,65,76,95,95,78,95,49,49,50,78,97,109,101,82,101,115,111,108,118,101,114,50,50,67,104,101,99,107,68,117,112,108,105,99,97,116,101,66,105,110,100,105,110,103,115,69,80,75,78,83,50,95,49,49,66,105,110,100,105,110,103,72,97,115,104,69,80,75,99,69,51,36,95,48,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,65,95,69,69,70,118,82,75,78,83,95,52,112,97,105,114,73,75,78,83,95,49,50,98,97,115,105,99,95,115,116,114,105,110,103,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,66,95,73,99,69,69,69,69,78,83,50,95,55,66,105,110,100,105,110,103,69,69,69,83,78,95,69,69,69,0,117,110,100,101,102,105,110,101,100,32,108,97,98,101,108,32,118,97,114,105,97,98,108,101,32,34,37,115,34,0,117,110,100,101,102,105,110,101,100,32,108,111,99,97,108,32,118,97,114,105,97,98,108,101,32,34,37,115,34,0,78,52,119,97,98,116,49,50,95,71,76,79,66,65,76,95,95,78,95,49,49,50,78,97,109,101,82,101,115,111,108,118,101,114,69,0,67,117,115,116,111,109,0,84,121,112,101,0,73,109,112,111,114,116,0,70,117,110,99,116,105,111,110,0,84,97,98,108,101,0,77,101,109,111,114,121,0,71,108,111,98,97,108,0,69,120,112,111,114,116,0,83,116,97,114,116,0,69,108,101,109,0,67,111,100,101,0,68,97,116,97,0,70,79,82,67,69,95,67,79,76,79,82,0,82,95,87,69,66,65,83,83,69,77,66,76,89,95,70,85,78,67,84,73,79,78,95,73,78,68,69,88,95,76,69,66,0,82,95,87,69,66,65,83,83,69,77,66,76,89,95,84,65,66,76,69,95,73,78,68,69,88,95,83,76,69,66,0,82,95,87,69,66,65,83,83,69,77,66,76,89,95,84,65,66,76,69,95,73,78,68,69,88,95,73,51,50,0,82,95,87,69,66,65,83,83,69,77,66,76,89,95,77,69,77,79,82,89,95,65,68,68,82,95,76,69,66,0,82,95,87,69,66,65,83,83,69,77,66,76,89,95,77,69,77,79,82,89,95,65,68,68,82,95,83,76,69,66,0,82,95,87,69,66,65,83,83,69,77,66,76,89,95,77,69,77,79,82,89,95,65,68,68,82,95,73,51,50,0,82,95,87,69,66,65,83,83,69,77,66,76,89,95,84,89,80,69,95,73,78,68,69,88,95,76,69,66,0,82,95,87,69,66,65,83,83,69,77,66,76,89,95,71,76,79,66,65,76,95,73,78,68,69,88,95,76,69,66,0,48,49,50,51,52,53,54,55,56,57,97,98,99,100,101,102,0,43,48,0,78,52,119,97,98,116,49,50,77,101,109,111,114,121,83,116,114,101,97,109,69,0,78,52,119,97,98,116,54,83,116,114,101,97,109,69,0,37,48,55,122,120,58,32,0,37,48,50,120,0,32,32,59,32,37,115,0,59,32,109,111,118,101,32,100,97,116,97,58,32,91,37,122,120,44,32,37,122,120,41,32,45,62,32,91,37,122,120,44,32,37,122,120,41,10,0,73,110,118,97,108,105,100,0,97,115,115,101,114,116,95,101,120,104,97,117,115,116,105,111,110,0,97,115,115,101,114,116,95,105,110,118,97,108,105,100,0,97,115,115,101,114,116,95,109,97,108,102,111,114,109,101,100,0,97,115,115,101,114,116,95,114,101,116,117,114,110,0,97,115,115,101,114,116,95,114,101,116,117,114,110,95,97,114,105,116,104,109,101,116,105,99,95,110,97,110,0,97,115,115,101,114,116,95,114,101,116,117,114,110,95,99,97,110,111,110,105,99,97,108,95,110,97,110,0,97,115,115,101,114,116,95,116,114,97,112,0,97,115,115,101,114,116,95,117,110,108,105,110,107,97,98,108,101,0,98,105,110,0,101,108,101,109,0,69,79,70,0,101,120,99,101,112,116,0,101,120,112,111,114,116,0,103,101,116,0,103,108,111,98,97,108,0,105,109,112,111,114,116,0,105,110,118,111,107,101,0,108,111,99,97,108,0,40,0,109,101,109,111,114,121,0,109,111,100,117,108,101,0,109,117,116,0,112,97,114,97,109,0,113,117,111,116,101,0,114,101,103,105,115,116,101,114,0,114,101,115,117,108,116,0,41,0,115,104,97,114,101,100,0,115,116,97,114,116,0,116,97,98,108,101,0,116,104,101,110,0,70,76,79,65,84,0,78,65,84,0,73,78,84,0,65,84,79,77,73,67,95,76,79,65,68,0,65,84,79,77,73,67,95,82,77,87,0,65,84,79,77,73,67,95,82,77,87,95,67,77,80,88,67,72,71,0,65,84,79,77,73,67,95,83,84,79,82,69,0,66,73,78,65,82,89,0,67,79,77,80,65,82,69,0,67,79,78,83,84,0,67,79,78,86,69,82,84,0,76,79,65,68,0,83,84,79,82,69,0,85,78,65,82,89,0,87,65,73,84,0,87,65,75,69,0,97,108,105,103,110,61,0,111,102,102,115,101,116,61,0,82,101,115,101,114,118,101,100,0,84,69,88,84,0,86,65,82,0,86,65,76,85,69,84,89,80,69,0,117,110,114,101,97,99,104,97,98,108,101,0,110,111,112,0,101,108,115,101,0,99,97,116,99,104,0,114,101,116,104,114,111,119,0,99,97,116,99,104,95,97,108,108,0,101,110,100,0,103,101,116,95,108,111,99,97,108,0,103,101,116,95,103,108,111,98,97,108,0,105,51,50,46,108,111,97,100,0,105,54,52,46,108,111,97,100,0,102,51,50,46,108,111,97,100,0,102,54,52,46,108,111,97,100,0,105,51,50,46,108,111,97,100,56,95,115,0,105,51,50,46,108,111,97,100,56,95,117,0,105,51,50,46,108,111,97,100,49,54,95,115,0,105,51,50,46,108,111,97,100,49,54,95,117,0,105,54,52,46,108,111,97,100,56,95,115,0,105,54,52,46,108,111,97,100,56,95,117,0,105,54,52,46,108,111,97,100,49,54,95,115,0,105,54,52,46,108,111,97,100,49,54,95,117,0,105,54,52,46,108,111,97,100,51,50,95,115,0,105,54,52,46,108,111,97,100,51,50,95,117,0,105,51,50,46,115,116,111,114,101,0,105,54,52,46,115,116,111,114,101,0,102,51,50,46,115,116,111,114,101,0,102,54,52,46,115,116,111,114,101,0,105,51,50,46,115,116,111,114,101,56,0,105,51,50,46,115,116,111,114,101,49,54,0,105,54,52,46,115,116,111,114,101,56,0,105,54,52,46,115,116,111,114,101,49,54,0,105,54,52,46,115,116,111,114,101,51,50,0,99,117,114,114,101,110,116,95,109,101,109,111,114,121,0,103,114,111,119,95,109,101,109,111,114,121,0,105,51,50,46,99,111,110,115,116,0,105,54,52,46,99,111,110,115,116,0,102,51,50,46,99,111,110,115,116,0,102,54,52,46,99,111,110,115,116,0,105,51,50,46,101,113,122,0,105,51,50,46,101,113,0,105,51,50,46,110,101,0,105,51,50,46,108,116,95,115,0,105,51,50,46,108,116,95,117,0,105,51,50,46,103,116,95,115,0,105,51,50,46,103,116,95,117,0,105,51,50,46,108,101,95,115,0,105,51,50,46,108,101,95,117,0,105,51,50,46,103,101,95,115,0,105,51,50,46,103,101,95,117,0,105,54,52,46,101,113,122,0,105,54,52,46,101,113,0,105,54,52,46,110,101,0,105,54,52,46,108,116,95,115,0,105,54,52,46,108,116,95,117,0,105,54,52,46,103,116,95,115,0,105,54,52,46,103,116,95,117,0,105,54,52,46,108,101,95,115,0,105,54,52,46,108,101,95,117,0,105,54,52,46,103,101,95,115,0,105,54,52,46,103,101,95,117,0,102,51,50,46,101,113,0,102,51,50,46,110,101,0,102,51,50,46,108,116,0,102,51,50,46,103,116,0,102,51,50,46,108,101,0,102,51,50,46,103,101,0,102,54,52,46,101,113,0,102,54,52,46,110,101,0,102,54,52,46,108,116,0,102,54,52,46,103,116,0,102,54,52,46,108,101,0,102,54,52,46,103,101,0,105,51,50,46,99,108,122,0,105,51,50,46,99,116,122,0,105,51,50,46,112,111,112,99,110,116,0,105,51,50,46,97,100,100,0,105,51,50,46,115,117,98,0,105,51,50,46,109,117,108,0,105,51,50,46,100,105,118,95,115,0,105,51,50,46,100,105,118,95,117,0,105,51,50,46,114,101,109,95,115,0,105,51,50,46,114,101,109,95,117,0,105,51,50,46,97,110,100,0,105,51,50,46,111,114,0,105,51,50,46,120,111,114,0,105,51,50,46,115,104,108,0,105,51,50,46,115,104,114,95,115,0,105,51,50,46,115,104,114,95,117,0,105,51,50,46,114,111,116,108,0,105,51,50,46,114,111,116,114,0,105,54,52,46,99,108,122,0,105,54,52,46,99,116,122,0,105,54,52,46,112,111,112,99,110,116,0,105,54,52,46,97,100,100,0,105,54,52,46,115,117,98,0,105,54,52,46,109,117,108,0,105,54,52,46,100,105,118,95,115,0,105,54,52,46,100,105,118,95,117,0,105,54,52,46,114,101,109,95,115,0,105,54,52,46,114,101,109,95,117,0,105,54,52,46,97,110,100,0,105,54,52,46,111,114,0,105,54,52,46,120,111,114,0,105,54,52,46,115,104,108,0,105,54,52,46,115,104,114,95,115,0,105,54,52,46,115,104,114,95,117,0,105,54,52,46,114,111,116,108,0,105,54,52,46,114,111,116,114,0,102,51,50,46,97,98,115,0,102,51,50,46,110,101,103,0,102,51,50,46,99,101,105,108,0,102,51,50,46,102,108,111,111,114,0,102,51,50,46,116,114,117,110,99,0,102,51,50,46,110,101,97,114,101,115,116,0,102,51,50,46,115,113,114,116,0,102,51,50,46,97,100,100,0,102,51,50,46,115,117,98,0,102,51,50,46,109,117,108,0,102,51,50,46,100,105,118,0,102,51,50,46,109,105,110,0,102,51,50,46,109,97,120,0,102,51,50,46,99,111,112,121,115,105,103,110,0,102,54,52,46,97,98,115,0,102,54,52,46,110,101,103,0,102,54,52,46,99,101,105,108,0,102,54,52,46,102,108,111,111,114,0,102,54,52,46,116,114,117,110,99,0,102,54,52,46,110,101,97,114,101,115,116,0,102,54,52,46,115,113,114,116,0,102,54,52,46,97,100,100,0,102,54,52,46,115,117,98,0,102,54,52,46,109,117,108,0,102,54,52,46,100,105,118,0,102,54,52,46,109,105,110,0,102,54,52,46,109,97,120,0,102,54,52,46,99,111,112,121,115,105,103,110,0,105,51,50,46,119,114,97,112,47,105,54,52,0,105,51,50,46,116,114,117,110,99,95,115,47,102,51,50,0,105,51,50,46,116,114,117,110,99,95,117,47,102,51,50,0,105,51,50,46,116,114,117,110,99,95,115,47,102,54,52,0,105,51,50,46,116,114,117,110,99,95,117,47,102,54,52,0,105,54,52,46,101,120,116,101,110,100,95,115,47,105,51,50,0,105,54,52,46,101,120,116,101,110,100,95,117,47,105,51,50,0,105,54,52,46,116,114,117,110,99,95,115,47,102,51,50,0,105,54,52,46,116,114,117,110,99,95,117,47,102,51,50,0,105,54,52,46,116,114,117,110,99,95,115,47,102,54,52,0,105,54,52,46,116,114,117,110,99,95,117,47,102,54,52,0,102,51,50,46,99,111,110,118,101,114,116,95,115,47,105,51,50,0,102,51,50,46,99,111,110,118,101,114,116,95,117,47,105,51,50,0,102,51,50,46,99,111,110,118,101,114,116,95,115,47,105,54,52,0,102,51,50,46,99,111,110,118,101,114,116,95,117,47,105,54,52,0,102,51,50,46,100,101,109,111,116,101,47,102,54,52,0,102,54,52,46,99,111,110,118,101,114,116,95,115,47,105,51,50,0,102,54,52,46,99,111,110,118,101,114,116,95,117,47,105,51,50,0,102,54,52,46,99,111,110,118,101,114,116,95,115,47,105,54,52,0,102,54,52,46,99,111,110,118,101,114,116,95,117,47,105,54,52,0,102,54,52,46,112,114,111,109,111,116,101,47,102,51,50,0,105,51,50,46,114,101,105,110,116,101,114,112,114,101,116,47,102,51,50,0,105,54,52,46,114,101,105,110,116,101,114,112,114,101,116,47,102,54,52,0,102,51,50,46,114,101,105,110,116,101,114,112,114,101,116,47,105,51,50,0,102,54,52,46,114,101,105,110,116,101,114,112,114,101,116,47,105,54,52,0,105,51,50,46,101,120,116,101,110,100,56,95,115,0,105,51,50,46,101,120,116,101,110,100,49,54,95,115,0,105,54,52,46,101,120,116,101,110,100,56,95,115,0,105,54,52,46,101,120,116,101,110,100,49,54,95,115,0,105,54,52,46,101,120,116,101,110,100,51,50,95,115,0,97,108,108,111,99,97,0,98,114,95,117,110,108,101,115,115,0,99,97,108,108,95,104,111,115,116,0,100,97,116,97,0,100,114,111,112,95,107,101,101,112,0,105,51,50,46,116,114,117,110,99,95,115,58,115,97,116,47,102,51,50,0,105,51,50,46,116,114,117,110,99,95,117,58,115,97,116,47,102,51,50,0,105,51,50,46,116,114,117,110,99,95,115,58,115,97,116,47,102,54,52,0,105,51,50,46,116,114,117,110,99,95,117,58,115,97,116,47,102,54,52,0,105,54,52,46,116,114,117,110,99,95,115,58,115,97,116,47,102,51,50,0,105,54,52,46,116,114,117,110,99,95,117,58,115,97,116,47,102,51,50,0,105,54,52,46,116,114,117,110,99,95,115,58,115,97,116,47,102,54,52,0,105,54,52,46,116,114,117,110,99,95,117,58,115,97,116,47,102,54,52,0,119,97,107,101,0,105,51,50,46,119,97,105,116,0,105,54,52,46,119,97,105,116,0,105,51,50,46,97,116,111,109,105,99,46,108,111,97,100,0,105,54,52,46,97,116,111,109,105,99,46,108,111,97,100,0,105,51,50,46,97,116,111,109,105,99,46,108,111,97,100,56,95,117,0,105,51,50,46,97,116,111,109,105,99,46,108,111,97,100,49,54,95,117,0,105,54,52,46,97,116,111,109,105,99,46,108,111,97,100,56,95,117,0,105,54,52,46,97,116,111,109,105,99,46,108,111,97,100,49,54,95,117,0,105,54,52,46,97,116,111,109,105,99,46,108,111,97,100,51,50,95,117,0,105,51,50,46,97,116,111,109,105,99,46,115,116,111,114,101,0,105,54,52,46,97,116,111,109,105,99,46,115,116,111,114,101,0,105,51,50,46,97,116,111,109,105,99,46,115,116,111,114,101,56,0,105,51,50,46,97,116,111,109,105,99,46,115,116,111,114,101,49,54,0,105,54,52,46,97,116,111,109,105,99,46,115,116,111,114,101,56,0,105,54,52,46,97,116,111,109,105,99,46,115,116,111,114,101,49,54,0,105,54,52,46,97,116,111,109,105,99,46,115,116,111,114,101,51,50,0,105],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+20480);allocate([51,50,46,97,116,111,109,105,99,46,114,109,119,46,97,100,100,0,105,54,52,46,97,116,111,109,105,99,46,114,109,119,46,97,100,100,0,105,51,50,46,97,116,111,109,105,99,46,114,109,119,56,95,117,46,97,100,100,0,105,51,50,46,97,116,111,109,105,99,46,114,109,119,49,54,95,117,46,97,100,100,0,105,54,52,46,97,116,111,109,105,99,46,114,109,119,56,95,117,46,97,100,100,0,105,54,52,46,97,116,111,109,105,99,46,114,109,119,49,54,95,117,46,97,100,100,0,105,54,52,46,97,116,111,109,105,99,46,114,109,119,51,50,95,117,46,97,100,100,0,105,51,50,46,97,116,111,109,105,99,46,114,109,119,46,115,117,98,0,105,54,52,46,97,116,111,109,105,99,46,114,109,119,46,115,117,98,0,105,51,50,46,97,116,111,109,105,99,46,114,109,119,56,95,117,46,115,117,98,0,105,51,50,46,97,116,111,109,105,99,46,114,109,119,49,54,95,117,46,115,117,98,0,105,54,52,46,97,116,111,109,105,99,46,114,109,119,56,95,117,46,115,117,98,0,105,54,52,46,97,116,111,109,105,99,46,114,109,119,49,54,95,117,46,115,117,98,0,105,54,52,46,97,116,111,109,105,99,46,114,109,119,51,50,95,117,46,115,117,98,0,105,51,50,46,97,116,111,109,105,99,46,114,109,119,46,97,110,100,0,105,54,52,46,97,116,111,109,105,99,46,114,109,119,46,97,110,100,0,105,51,50,46,97,116,111,109,105,99,46,114,109,119,56,95,117,46,97,110,100,0,105,51,50,46,97,116,111,109,105,99,46,114,109,119,49,54,95,117,46,97,110,100,0,105,54,52,46,97,116,111,109,105,99,46,114,109,119,56,95,117,46,97,110,100,0,105,54,52,46,97,116,111,109,105,99,46,114,109,119,49,54,95,117,46,97,110,100,0,105,54,52,46,97,116,111,109,105,99,46,114,109,119,51,50,95,117,46,97,110,100,0,105,51,50,46,97,116,111,109,105,99,46,114,109,119,46,111,114,0,105,54,52,46,97,116,111,109,105,99,46,114,109,119,46,111,114,0,105,51,50,46,97,116,111,109,105,99,46,114,109,119,56,95,117,46,111,114,0,105,51,50,46,97,116,111,109,105,99,46,114,109,119,49,54,95,117,46,111,114,0,105,54,52,46,97,116,111,109,105,99,46,114,109,119,56,95,117,46,111,114,0,105,54,52,46,97,116,111,109,105,99,46,114,109,119,49,54,95,117,46,111,114,0,105,54,52,46,97,116,111,109,105,99,46,114,109,119,51,50,95,117,46,111,114,0,105,51,50,46,97,116,111,109,105,99,46,114,109,119,46,120,111,114,0,105,54,52,46,97,116,111,109,105,99,46,114,109,119,46,120,111,114,0,105,51,50,46,97,116,111,109,105,99,46,114,109,119,56,95,117,46,120,111,114,0,105,51,50,46,97,116,111,109,105,99,46,114,109,119,49,54,95,117,46,120,111,114,0,105,54,52,46,97,116,111,109,105,99,46,114,109,119,56,95,117,46,120,111,114,0,105,54,52,46,97,116,111,109,105,99,46,114,109,119,49,54,95,117,46,120,111,114,0,105,54,52,46,97,116,111,109,105,99,46,114,109,119,51,50,95,117,46,120,111,114,0,105,51,50,46,97,116,111,109,105,99,46,114,109,119,46,120,99,104,103,0,105,54,52,46,97,116,111,109,105,99,46,114,109,119,46,120,99,104,103,0,105,51,50,46,97,116,111,109,105,99,46,114,109,119,56,95,117,46,120,99,104,103,0,105,51,50,46,97,116,111,109,105,99,46,114,109,119,49,54,95,117,46,120,99,104,103,0,105,54,52,46,97,116,111,109,105,99,46,114,109,119,56,95,117,46,120,99,104,103,0,105,54,52,46,97,116,111,109,105,99,46,114,109,119,49,54,95,117,46,120,99,104,103,0,105,54,52,46,97,116,111,109,105,99,46,114,109,119,51,50,95,117,46,120,99,104,103,0,105,51,50,46,97,116,111,109,105,99,46,114,109,119,46,99,109,112,120,99,104,103,0,105,54,52,46,97,116,111,109,105,99,46,114,109,119,46,99,109,112,120,99,104,103,0,105,51,50,46,97,116,111,109,105,99,46,114,109,119,56,95,117,46,99,109,112,120,99,104,103,0,105,51,50,46,97,116,111,109,105,99,46,114,109,119,49,54,95,117,46,99,109,112,120,99,104,103,0,105,54,52,46,97,116,111,109,105,99,46,114,109,119,56,95,117,46,99,109,112,120,99,104,103,0,105,54,52,46,97,116,111,109,105,99,46,114,109,119,49,54,95,117,46,99,109,112,120,99,104,103,0,105,54,52,46,97,116,111,109,105,99,46,114,109,119,51,50,95,117,46,99,109,112,120,99,104,103,0,60,105,110,118,97,108,105,100,62,0,66,105,110,97,114,121,0,66,108,111,99,107,0,66,114,0,66,114,73,102,0,66,114,84,97,98,108,101,0,67,97,108,108,0,67,97,108,108,73,110,100,105,114,101,99,116,0,67,111,109,112,97,114,101,0,67,111,110,115,116,0,67,111,110,118,101,114,116,0,67,117,114,114,101,110,116,77,101,109,111,114,121,0,68,114,111,112,0,71,101,116,71,108,111,98,97,108,0,71,101,116,76,111,99,97,108,0,71,114,111,119,77,101,109,111,114,121,0,73,102,0,76,111,97,100,0,76,111,111,112,0,78,111,112,0,82,101,116,104,114,111,119,0,82,101,116,117,114,110,0,83,101,108,101,99,116,0,83,101,116,71,108,111,98,97,108,0,83,101,116,76,111,99,97,108,0,83,116,111,114,101,0,84,101,101,76,111,99,97,108,0,84,104,114,111,119,0,84,114,121,66,108,111,99,107,0,85,110,97,114,121,0,85,110,114,101,97,99,104,97,98,108,101,0,87,97,105,116,0,87,97,107,101,0,78,52,119,97,98,116,49,49,76,101,120,101,114,83,111,117,114,99,101,69,0,78,52,119,97,98,116,49,55,76,101,120,101,114,83,111,117,114,99,101,66,117,102,102,101,114,69,0,46,46,46,0,101,114,114,111,114,32,103,101,116,116,105,110,103,32,116,104,101,32,115,111,117,114,99,101,32,108,105,110,101,46,10,0,105,110,118,97,108,105,100,32,100,101,112,116,104,58,32,37,117,32,40,109,97,120,32,37,122,100,41,0,116,121,112,101,32,109,105,115,109,97,116,99,104,32,105,110,32,0,44,32,101,120,112,101,99,116,101,100,32,0,32,98,117,116,32,103,111,116,32,0,46,46,46,32,0,98,114,0,98,114,95,105,102,0,98,114,95,116,97,98,108,101,0,99,97,108,108,0,99,97,108,108,95,105,110,100,105,114,101,99,116,0,116,114,121,32,98,108,111,99,107,0,100,114,111,112,0,105,102,32,116,114,117,101,32,98,114,97,110,99,104,0,105,102,32,119,105,116,104,111,117,116,32,101,108,115,101,32,99,97,110,110,111,116,32,104,97,118,101,32,116,121,112,101,32,115,105,103,110,97,116,117,114,101,46,0,102,117,110,99,116,105,111,110,0,98,108,111,99,107,0,108,111,111,112,0,105,102,0,105,102,32,102,97,108,115,101,32,98,114,97,110,99,104,0,116,114,121,0,116,114,121,32,99,97,116,99,104,0,82,101,116,104,114,111,119,32,110,111,116,32,105,110,32,116,114,121,32,99,97,116,99,104,32,98,108,111,99,107,0,105,110,118,97,108,105,100,32,114,101,116,104,114,111,119,32,100,101,112,116,104,58,32,37,117,32,40,99,97,116,99,104,101,115,58,32,37,115,41,0,116,104,114,111,119,0,114,101,116,117,114,110,0,115,101,108,101,99,116,0,115,101,116,95,103,108,111,98,97,108,0,115,101,116,95,108,111,99,97,108,0,116,101,101,95,108,111,99,97,108,0,105,109,112,108,105,99,105,116,32,114,101,116,117,114,110,0,109,97,103,105,99,0,117,105,110,116,51,50,95,116,0,117,110,97,98,108,101,32,116,111,32,114,101,97,100,32,37,115,58,32,37,115,0,98,97,100,32,109,97,103,105,99,32,118,97,108,117,101,0,118,101,114,115,105,111,110,0,98,97,100,32,119,97,115,109,32,102,105,108,101,32,118,101,114,115,105,111,110,58,32,37,35,120,32,40,101,120,112,101,99,116,101,100,32,37,35,120,41,0,66,101,103,105,110,77,111,100,117,108,101,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,69,110,100,77,111,100,117,108,101,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,115,101,99,116,105,111,110,32,99,111,100,101,0,117,110,97,98,108,101,32,116,111,32,114,101,97,100,32,117,51,50,32,108,101,98,49,50,56,58,32,37,115,0,115,101,99,116,105,111,110,32,115,105,122,101,0,105,110,118,97,108,105,100,32,115,101,99,116,105,111,110,32,99,111,100,101,58,32,37,117,59,32,109,97,120,32,105,115,32,37,117,0,105,110,118,97,108,105,100,32,115,101,99,116,105,111,110,32,115,105,122,101,58,32,101,120,116,101,110,100,115,32,112,97,115,116,32,101,110,100,0,115,101,99,116,105,111,110,32,37,115,32,111,117,116,32,111,102,32,111,114,100,101,114,0,66,101,103,105,110,83,101,99,116,105,111,110,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,115,101,99,116,105,111,110,32,110,97,109,101,0,66,101,103,105,110,67,117,115,116,111,109,83,101,99,116,105,111,110,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,110,97,109,101,0,66,101,103,105,110,78,97,109,101,115,83,101,99,116,105,111,110,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,110,97,109,101,32,116,121,112,101,0,100,117,112,108,105,99,97,116,101,32,115,117,98,45,115,101,99,116,105,111,110,0,111,117,116,45,111,102,45,111,114,100,101,114,32,115,117,98,45,115,101,99,116,105,111,110,0,115,117,98,115,101,99,116,105,111,110,32,115,105,122,101,0,105,110,118,97,108,105,100,32,115,117,98,45,115,101,99,116,105,111,110,32,115,105,122,101,58,32,101,120,116,101,110,100,115,32,112,97,115,116,32,101,110,100,0,79,110,70,117,110,99,116,105,111,110,78,97,109,101,83,117,98,115,101,99,116,105,111,110,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,110,97,109,101,32,99,111,117,110,116,0,79,110,70,117,110,99,116,105,111,110,78,97,109,101,115,67,111,117,110,116,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,102,117,110,99,116,105,111,110,32,105,110,100,101,120,0,100,117,112,108,105,99,97,116,101,32,102,117,110,99,116,105,111,110,32,110,97,109,101,58,32,37,117,0,102,117,110,99,116,105,111,110,32,105,110,100,101,120,32,111,117,116,32,111,102,32,111,114,100,101,114,58,32,37,117,0,105,110,118,97,108,105,100,32,102,117,110,99,116,105,111,110,32,105,110,100,101,120,58,32,37,117,0,102,117,110,99,116,105,111,110,32,110,97,109,101,0,79,110,70,117,110,99,116,105,111,110,78,97,109,101,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,79,110,76,111,99,97,108,78,97,109,101,83,117,98,115,101,99,116,105,111,110,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,102,117,110,99,116,105,111,110,32,99,111,117,110,116,0,79,110,76,111,99,97,108,78,97,109,101,70,117,110,99,116,105,111,110,67,111,117,110,116,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,108,111,99,97,108,115,32,102,117,110,99,116,105,111,110,32,105,110,100,101,120,32,111,117,116,32,111,102,32,111,114,100,101,114,58,32,37,117,0,108,111,99,97,108,32,99,111,117,110,116,0,79,110,76,111,99,97,108,78,97,109,101,76,111,99,97,108,67,111,117,110,116,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,110,97,109,101,100,32,105,110,100,101,120,0,100,117,112,108,105,99,97,116,101,32,108,111,99,97,108,32,105,110,100,101,120,58,32,37,117,0,108,111,99,97,108,32,105,110,100,101,120,32,111,117,116,32,111,102,32,111,114,100,101,114,58,32,37,117,0,79,110,76,111,99,97,108,78,97,109,101,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,117,110,102,105,110,105,115,104,101,100,32,115,117,98,45,115,101,99,116,105,111,110,32,40,101,120,112,101,99,116,101,100,32,101,110,100,58,32,48,120,37,122,120,41,0,69,110,100,78,97,109,101,115,83,101,99,116,105,111,110,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,114,101,108,111,99,0,66,101,103,105,110,82,101,108,111,99,83,101,99,116,105,111,110,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,115,101,99,116,105,111,110,0,114,101,108,111,99,97,116,105,111,110,32,99,111,117,110,116,0,79,110,82,101,108,111,99,67,111,117,110,116,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,114,101,108,111,99,97,116,105,111,110,32,116,121,112,101,0,111,102,102,115,101,116,0,105,110,100,101,120,0,97,100,100,101,110,100,0,117,110,97,98,108,101,32,116,111,32,114,101,97,100,32,105,51,50,32,108,101,98,49,50,56,58,32,37,115,0,79,110,82,101,108,111,99,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,69,110,100,82,101,108,111,99,83,101,99,116,105,111,110,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,108,105,110,107,105,110,103,0,66,101,103,105,110,76,105,110,107,105,110,103,83,101,99,116,105,111,110,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,116,121,112,101,0,115,116,97,99,107,32,112,111,105,110,116,101,114,32,105,110,100,101,120,0,79,110,83,116,97,99,107,71,108,111,98,97,108,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,105,110,102,111,32,99,111,117,110,116,0,79,110,83,121,109,98,111,108,73,110,102,111,67,111,117,110,116,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,115,121,109,98,111,108,32,110,97,109,101,0,115,121,109,32,102,108,97,103,115,0,79,110,83,121,109,98,111,108,73,110,102,111,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,100,97,116,97,32,115,105,122,101,0,79,110,68,97,116,97,83,105,122,101,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,100,97,116,97,32,97,108,105,103,110,109,101,110,116,0,79,110,68,97,116,97,65,108,105,103,110,109,101,110,116,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,79,110,83,101,103,109,101,110,116,73,110,102,111,67,111,117,110,116,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,115,101,103,109,101,110,116,32,110,97,109,101,0,115,101,103,109,101,110,116,32,97,108,105,103,110,109,101,110,116,0,115,101,103,109,101,110,116,32,102,108,97,103,115,0,79,110,83,101,103,109,101,110,116,73,110,102,111,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,69,110,100,76,105,110,107,105,110,103,83,101,99,116,105,111,110,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,101,120,99,101,112,116,105,111,110,0,66,101,103,105,110,69,120,99,101,112,116,105,111,110,83,101,99,116,105,111,110,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,101,120,99,101,112,116,105,111,110,32,99,111,117,110,116,0,79,110,69,120,99,101,112,116,105,111,110,67,111,117,110,116,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,79,110,69,120,99,101,112,116,105,111,110,84,121,112,101,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,69,110,100,69,120,99,101,112,116,105,111,110,83,101,99,116,105,111,110,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,69,110,100,67,117,115,116,111,109,83,101,99,116,105,111,110,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,66,101,103,105,110,84,121,112,101,83,101,99,116,105,111,110,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,116,121,112,101,32,99,111,117,110,116,0,79,110,84,121,112,101,67,111,117,110,116,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,116,121,112,101,32,102,111,114,109,0,105,110,118,97,108,105,100,32,116,121,112,101,58,32,37,100,0,117,110,101,120,112,101,99,116,101,100,32,116,121,112,101,32,102,111,114,109,58,32,37,100,0,102,117,110,99,116,105,111,110,32,112,97,114,97,109,32,99,111,117,110,116,0,102,117,110,99,116,105,111,110,32,112,97,114,97,109,32,116,121,112,101,0,101,120,112,101,99,116,101,100,32,118,97,108,105,100,32,112,97,114,97,109,32,116,121,112,101,32,40,103,111,116,32,37,100,41,0,102,117,110,99,116,105,111,110,32,114,101,115,117,108,116,32,99,111,117,110,116,0,114,101,115,117,108,116,32,99,111,117,110,116,32,109,117,115,116,32,98,101,32,48,32,111,114,32,49,0,102,117,110,99,116,105,111,110,32,114,101,115,117,108,116,32,116,121,112,101,0,101,120,112,101,99,116,101,100,32,118,97,108,105,100,32,114,101,115,117,108,116,32,116,121,112,101,58,32,37,100,0,79,110,84,121,112,101,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,69,110,100,84,121,112,101,83,101,99,116,105,111,110,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,66,101,103,105,110,73,109,112,111,114,116,83,101,99,116,105,111,110,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,105,109,112,111,114,116,32,99,111,117,110,116,0,79,110,73,109,112,111,114,116,67,111,117,110,116,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,105,109,112,111,114,116,32,109,111,100,117,108,101,32,110,97,109,101,0,105,109,112,111,114,116,32,102,105,101,108,100,32,110,97,109,101,0,105,109,112,111,114,116,32,107,105,110,100,0,105,109,112,111,114,116,32,115,105,103,110,97,116,117,114,101,32,105,110,100,101,120,0,105,110,118,97,108,105,100,32,105,109,112,111,114,116,32,115,105,103,110,97,116,117,114,101,32,105,110,100,101,120,0,79,110,73,109,112,111,114,116,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,79,110,73,109,112,111,114,116,70,117,110,99,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,79,110,73,109,112,111,114,116,84,97,98,108,101,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,79,110,73,109,112,111,114,116,77,101,109,111,114,121,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,79,110,73,109,112,111,114,116,71,108,111,98,97,108,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,105,110,118,97,108,105,100,32,105,109,112,111,114,116,32,101,120,99,101,112,116,105,111,110,32,107,105,110,100,58,32,101,120,99,101,112,116,105,111,110,115,32,110,111,116,32,97,108,108,111,119,101,100,0,79,110,73,109,112,111,114,116,69,120,99,101,112,116,105,111,110,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,69,110,100,73,109,112,111,114,116,83,101,99,116,105,111,110,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,66,101,103,105,110,70,117,110,99,116,105,111,110,83,101,99,116,105,111,110,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,102,117,110,99,116,105,111,110,32,115,105,103,110,97,116,117,114,101,32,99,111,117,110,116,0,79,110,70,117,110,99,116,105,111,110,67,111,117,110,116,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,102,117,110,99,116,105,111,110,32,115,105,103,110,97,116,117,114,101,32,105,110,100,101,120,0,105,110,118,97,108,105,100,32,102,117,110,99,116,105,111,110,32,115,105,103,110,97,116,117,114,101,32,105,110,100,101,120,58,32,37,117,0,79,110,70,117,110,99,116,105,111,110,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,69,110,100,70,117,110,99,116,105,111,110,83,101,99,116,105,111,110,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,66,101,103,105,110,84,97,98,108,101,83,101,99,116,105,111,110,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,116,97,98,108,101,32,99,111,117,110,116,0,116,97,98,108,101,32,99,111,117,110,116,32,40,37,117,41,32,109,117,115,116,32,98,101,32,48,32,111,114,32,49,0,79,110,84,97,98,108,101,67,111,117,110,116,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,79,110,84,97,98,108,101,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,69,110,100,84,97,98,108,101,83,101,99,116,105,111,110,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,66,101,103,105,110,77,101,109,111,114,121,83,101,99,116,105,111,110,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,109,101,109,111,114,121,32,99,111,117,110,116,0,109,101,109,111,114,121,32,99,111,117,110,116,32,109,117,115,116,32,98,101,32,48,32,111,114,32,49,0,79,110,77,101,109,111,114,121,67,111,117,110,116,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,79,110,77,101,109,111,114,121,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,69,110,100,77,101,109,111,114,121,83,101,99,116,105,111,110,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,66,101,103,105,110,71,108,111,98,97,108,83,101,99,116,105,111,110,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,103,108,111,98,97,108,32,99,111,117,110,116,0,79,110,71,108,111,98,97,108,67,111,117,110,116,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,66,101,103,105,110,71,108,111,98,97,108,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,66,101,103,105,110,71,108,111,98,97,108,73,110,105,116,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,69,110,100,71,108,111,98,97,108,73,110,105,116,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,69,110,100,71,108,111,98,97,108,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,69,110,100,71,108,111,98,97,108,83,101,99,116,105,111,110,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,66,101,103,105,110,69,120,112,111,114,116,83,101,99,116,105,111,110,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,101,120,112,111,114,116,32,99,111,117,110,116,0,79,110,69,120,112,111,114,116,67,111,117,110,116,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,101,120,112,111,114,116,32,105,116,101,109,32,110,97,109,101,0,101,120,112,111,114,116,32,101,120,116,101,114,110,97,108,32,107,105,110,100,0,117,105,110,116,56,95,116,0,105,110,118,97,108,105,100,32,101,120,112,111,114,116,32,101,120,116,101,114,110,97,108,32,107,105,110,100,58,32,37,100,0,101,120,112,111,114,116,32,105,116,101,109,32,105,110,100,101,120,0,105,110,118,97,108,105,100,32,101,120,112,111,114,116,32,102,117,110,99,32,105,110,100,101,120,58,32,37,117,0,105,110,118,97,108,105,100,32,101,120,112,111,114,116,32,116,97,98,108,101,32,105,110,100,101,120,58,32,37,117,0,105,110,118,97,108,105,100,32,101,120,112,111,114,116,32,109,101,109,111,114,121,32,105,110,100,101,120,58,32,37,117,0,105,110,118,97,108,105,100,32,101,120,112,111,114,116,32,103,108,111,98,97,108,32,105,110,100,101,120,58,32,37,117,0,105,110,118,97,108,105,100,32,101,120,112,111,114,116,32,101,120,99,101,112,116,105,111,110,32,107,105,110,100,58,32,101,120,99,101,112,116,105,111,110,115,32,110,111,116,32,97,108,108,111,119,101,100,0,79,110,69,120,112,111,114,116,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,69,110,100,69,120,112,111,114,116,83,101,99,116,105,111,110,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,66,101,103,105,110,83,116,97,114,116,83,101,99,116,105,111,110,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,115,116,97,114,116,32,102,117,110,99,116,105,111,110,32,105,110,100,101,120,0,105,110,118,97,108,105,100,32,115,116,97,114,116,32,102,117,110,99,116,105,111,110,32,105,110,100,101,120,58,32,37,117,0,79,110,83,116,97,114,116,70,117,110,99,116,105,111,110,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,69,110,100,83,116,97,114,116,83,101,99,116,105,111,110,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,66,101,103,105,110,69,108,101,109,83,101,99,116,105,111,110,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,101,108,101,109,32,115,101,103,109,101,110,116,32,99,111,117,110,116,0,79,110,69,108,101,109,83,101,103,109,101,110,116,67,111,117,110,116,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,101,108,101,109,32,115,101,99,116,105,111,110,32,119,105,116,104,111,117,116,32,116,97,98,108,101,32,115,101,99,116,105,111,110,0,101,108,101,109,32,115,101,103,109,101,110,116,32,116,97,98,108,101,32,105,110,100,101,120,0,66,101,103,105,110,69,108,101,109,83,101,103,109,101,110,116,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,66,101,103,105,110,69,108,101,109,83,101,103,109,101,110,116,73,110,105,116,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,69,110,100,69,108,101,109,83,101,103,109,101,110,116,73,110,105,116,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,101,108,101,109,32,115,101,103,109,101,110,116,32,102,117,110,99,116,105,111,110,32,105,110,100,101,120,32,99,111,117,110,116,0,79,110,69,108,101,109,83,101,103,109,101,110,116,70,117,110,99,116,105,111,110,73,110,100,101,120,67,111,117,110,116,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,101,108,101,109,32,115,101,103,109,101,110,116,32,102,117,110,99,116,105,111,110,32,105,110,100,101,120,0,79,110,69,108,101,109,83,101,103,109,101,110,116,70,117,110,99,116,105,111,110,73,110,100,101,120,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,69,110,100,69,108,101,109,83,101,103,109,101,110,116,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,69,110,100,69,108,101,109,83,101,99,116,105,111,110,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,66,101,103,105,110,67,111,100,101,83,101,99,116,105,111,110,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,102,117,110,99,116,105,111,110,32,98,111,100,121,32,99,111,117,110,116,0,102,117,110,99,116,105,111,110,32,115,105,103,110,97,116,117,114,101,32,99,111,117,110,116,32,33,61,32,102,117,110,99,116,105,111,110,32,98,111,100,121,32,99,111,117,110,116,0,79,110,70,117,110,99,116,105,111,110,66,111,100,121,67,111,117,110,116,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,66,101,103,105,110,70,117,110,99,116,105,111,110,66,111,100,121,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,102,117,110,99,116,105,111,110,32,98,111,100,121,32,115,105,122,101,0,108,111,99,97,108,32,100,101,99,108,97,114,97,116,105,111,110,32,99,111,117,110,116,0,79,110,76,111,99,97,108,68,101,99,108,67,111,117,110,116,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,108,111,99,97,108,32,116,121,112,101,32,99,111,117,110,116,0,108,111,99,97,108,32,116,121,112,101,0,101,120,112,101,99,116,101,100,32,118,97,108,105,100,32,108,111,99,97,108,32,116,121,112,101,0,79,110,76,111,99,97,108,68,101,99,108,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,69,110,100,70,117,110,99,116,105,111,110,66,111,100,121,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,69,110,100,67,111,100,101,83,101,99,116,105,111,110,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,66,101,103,105,110,68,97,116,97,83,101,99,116,105,111,110,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,100,97,116,97,32,115,101,103,109,101,110,116,32,99,111,117,110,116,0,79,110,68,97,116,97,83,101,103,109,101,110,116,67,111,117,110,116,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,100,97,116,97,32,115,101,99,116,105,111,110,32,119,105,116,104,111,117,116,32,109,101,109,111,114,121,32,115,101,99,116,105,111,110,0,100,97,116,97,32,115,101,103,109,101,110,116,32,109,101,109,111,114,121,32,105,110,100,101,120,0,66,101,103,105,110,68,97,116,97,83,101,103,109,101,110,116,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,66,101,103,105,110,68,97,116,97,83,101,103,109,101,110,116,73,110,105,116,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,69,110,100,68,97,116,97,83,101,103,109,101,110,116,73,110,105,116,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,100,97,116,97,32,115,101,103,109,101,110,116,32,100,97,116,97,0,117,110,97,98,108,101,32,116,111,32,114,101,97,100,32,100,97,116,97,58,32,37,115,0,79,110,68,97,116,97,83,101,103,109,101,110,116,68,97,116,97,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,69,110,100,68,97,116,97,83,101,103,109,101,110,116,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,69,110,100,68,97,116,97,83,101,99,116,105,111,110,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,117,110,102,105,110,105,115,104,101,100,32,115,101,99,116,105,111,110,32,40,101,120,112,101,99,116,101,100,32,101,110,100,58,32,48,120,37,122,120,41,0,79,110,79,112,99,111,100,101,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,79,110,85,110,114,101,97,99,104,97,98,108,101,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,79,110,79,112,99,111,100,101,66,97,114,101,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,98,108,111,99,107,32,115,105,103,110,97,116,117,114,101,32,116,121,112,101,0,101,120,112,101,99,116,101,100,32,118,97,108,105,100,32,98,108,111,99,107,32,115,105,103,110,97,116,117,114,101,32,116,121,112,101,0,79,110,66,108,111,99,107,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,79,110,79,112,99,111,100,101,66,108,111,99,107,83,105,103,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,108,111,111,112,32,115,105,103,110,97,116,117,114,101,32,116,121,112,101,0,79,110,76,111,111,112,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,105,102,32,115,105,103,110,97,116,117,114,101,32,116,121,112,101,0,79,110,73,102,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,79,110,69,108,115,101,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,79,110,83,101,108,101,99,116,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,98,114,32,100,101,112,116,104,0,79,110,66,114,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,79,110,79,112,99,111,100,101,73,110,100,101,120,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,98,114,95,105,102,32,100,101,112,116,104,0,79,110,66,114,73,102,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,98,114,95,116,97,98,108,101,32,116,97,114,103,101,116,32,99,111,117,110,116,0,98,114,95,116,97,98,108,101,32,116,97,114,103,101,116,32,100,101,112,116,104,0,98,114,95,116,97,98,108,101,32,100,101,102,97,117,108,116,32,116,97,114,103,101,116,32,100,101,112,116,104,0,79,110,66,114,84,97,98,108,101,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,79,110,82,101,116,117,114,110,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,79,110,78,111,112,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,79,110,68,114,111,112,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,79,110,69,110,100,70,117,110,99,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,79,110,69,110,100,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,105,51,50,46,99,111,110,115,116,32,118,97,108,117,101,0,79,110,73,51,50,67,111,110,115,116,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,79,110,79,112,99,111,100,101,85,105,110,116,51,50,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,105,54,52,46,99,111,110,115,116,32,118,97,108,117,101,0,117,110,97,98,108,101,32,116,111,32,114,101,97,100,32,105,54,52,32,108,101,98,49,50,56,58,32,37,115,0,79,110,73,54,52,67,111,110,115,116,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,79,110,79,112,99,111,100,101,85,105,110,116,54,52,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,102,51,50,46,99,111,110,115,116,32,118,97,108,117,101,0,102,108,111,97,116,0,79,110,70,51,50,67,111,110,115,116,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,79,110,79,112,99,111,100,101,70,51,50,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,102,54,52,46,99,111,110,115,116,32,118,97,108,117,101,0,100,111,117,98,108,101,0,79,110,70,54,52,67,111,110,115,116,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,79,110,79,112,99,111,100,101,70,54,52,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,103,101,116,95,103,108,111,98,97,108,32,103,108,111,98,97,108,32,105,110,100,101,120,0,79,110,71,101,116,71,108,111,98,97,108,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,103,101,116,95,108,111,99,97,108,32,108,111,99,97,108,32,105,110,100,101,120,0,79,110,71,101,116,76,111,99,97,108,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,115,101,116,95,103,108,111,98,97,108,32,103,108,111,98,97,108,32,105,110,100,101,120,0,79,110,83,101,116,71,108,111,98,97,108,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,115,101,116,95,108,111,99,97,108,32,108,111,99,97,108,32,105,110,100,101,120,0,79,110,83,101,116,76,111,99,97,108,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,99,97,108,108,32,102,117,110,99,116,105,111,110,32,105,110,100,101,120,0,105,110,118,97,108,105,100,32,99,97,108,108,32,102,117,110,99,116,105,111,110,32,105,110,100,101,120,58,32,37,117,0,79,110,67,97,108,108,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,99,97,108,108,95,105,110,100,105,114,101,99,116,32,115,105,103,110,97,116,117,114,101,32,105,110,100,101,120,0,105,110,118,97,108,105,100,32,99,97,108,108,95,105,110,100,105,114,101,99,116,32,115,105,103,110,97,116,117,114,101,32,105,110,100,101,120,0,99,97,108,108,95,105,110,100,105,114,101,99,116,32,114,101,115,101,114,118,101,100,0,99,97,108,108,95,105,110,100,105,114,101,99,116,32,114,101,115,101,114,118,101,100,32,118,97,108,117,101,32,109,117,115,116,32,98,101,32,48,0,79,110,67,97,108,108,73,110,100,105,114,101,99,116,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,79,110,79,112,99,111,100,101,85,105,110,116,51,50,85,105,110,116,51,50,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,116,101,101,95,108,111,99,97,108,32,108,111,99,97,108,32,105,110,100,101,120,0,79,110,84,101,101,76,111,99,97,108,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,108,111,97,100,32,97,108,105,103,110,109,101,110,116,0,108,111,97,100,32,111,102,102,115,101,116,0,79,110,76,111,97,100,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,115,116,111,114,101,32,97,108,105,103,110,109,101,110,116,0,115,116,111,114,101,32,111,102,102,115,101,116,0,79,110,83,116,111,114,101,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,99,117,114,114,101,110,116,95,109,101,109,111,114,121,32,114,101,115,101,114,118,101,100,0,99,117,114,114,101,110,116,95,109,101,109,111,114,121,32,114,101,115,101,114,118,101,100,32,118,97,108,117,101,32,109,117,115,116,32,98,101,32,48,0,79,110,67,117,114,114,101,110,116,77,101,109,111,114,121,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,103,114,111,119,95,109,101,109,111,114,121,32,114,101,115,101,114,118,101,100,0,103,114,111,119,95,109,101,109,111,114,121,32,114,101,115,101,114,118,101,100,32,118,97,108,117,101,32,109,117,115,116,32,98,101,32,48,0,79,110,71,114,111,119,77,101,109,111,114,121,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,79,110,66,105,110,97,114,121,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,79,110,67,111,109,112,97,114,101,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,79,110,85,110,97,114,121,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,79,110,67,111,110,118,101,114,116,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,116,114,121,32,115,105,103,110,97,116,117,114,101,32,116,121,112,101,0,79,110,84,114,121,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,101,120,99,101,112,116,105,111,110,32,105,110,100,101,120,0,79,110,67,97,116,99,104,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,79,110,67,97,116,99,104,65,108,108,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,99,97,116,99,104,32,100,101,112,116,104,0,79,110,82,101,116,104,114,111,119,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,79,110,84,104,114,111,119,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,79,110,87,97,107,101,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,79,110,87,97,105,116,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,79,110,65,116,111,109,105,99,76,111,97,100,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,79,110,65,116,111,109,105,99,83,116,111,114,101,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,109,101,109,111,114,121,32,97,108,105,103,110,109,101,110,116,0,109,101,109,111,114,121,32,111,102,102,115,101,116,0,79,110,65,116,111,109,105,99,82,109,119,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,79,110,65,116,111,109,105,99,82,109,119,67,109,112,120,99,104,103,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,102,117,110,99,116,105,111,110,32,98,111,100,121,32,108,111,110,103,101,114,32,116,104,97,110,32,103,105,118,101,110,32,115,105,122,101,0,102,117,110,99,116,105,111,110,32,98,111,100,121,32,109,117,115,116,32,101,110,100,32,119,105,116,104,32,69,78,68,32,111,112,99,111,100,101,0,32,0,117,110,101,120,112,101,99,116,101,100,32,111,112,99,111,100,101,37,115,37,115,58,32,37,100,32,37,100,32,40,48,120,37,120,32,48,120,37,120,41,0,117,110,101,120,112,101,99,116,101,100,32,111,112,99,111,100,101,37,115,37,115,58,32,37,100,32,40,48,120,37,120,41,0,111,112,99,111,100,101,0,105,110,105,116,95,101,120,112,114,32,105,51,50,46,99,111,110,115,116,32,118,97,108,117,101,0,79,110,73,110,105,116,69,120,112,114,73,51,50,67,111,110,115,116,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,105,110,105,116,95,101,120,112,114,32,105,54,52,46,99,111,110,115,116,32,118,97,108,117,101,0,79,110,73,110,105,116,69,120,112,114,73,54,52,67,111,110,115,116,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,105,110,105,116,95,101,120,112,114,32,102,51,50,46,99,111,110,115,116,32,118,97,108,117,101,0,79,110,73,110,105,116,69,120,112,114,70,51,50,67,111,110,115,116,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,105,110,105,116,95,101,120,112,114,32,102,54,52,46,99,111,110,115,116,32,118,97,108,117,101,0,79,110,73,110,105,116,69,120,112,114,70,54,52,67,111,110,115,116,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,105,110,105,116,95,101,120,112,114,32,103,101,116,95,103,108,111,98,97,108,32,105,110,100,101,120,0,79,110,73,110,105,116,69,120,112,114,71,101,116,71,108,111,98,97,108,69,120,112,114,32,99,97,108,108,98,97,99,107,32,102,97,105,108,101,100,0,105,110,32,105,110,105,116,105,97,108,105,122,101,114,32,101,120,112,114,101,115,115,105,111,110,0,101,120,112,101,99,116,101,100,32,105,51,50,32,105,110,105,116,95,101,120,112,114,0,101,120,112,101,99,116,101,100,32,69,78,68,32,111,112,99,111,100,101,32,97,102,116,101,114,32,105,110,105,116,105,97,108,105,122,101,114,32,101,120,112,114,101,115,115,105,111,110,0,103,108,111,98,97,108,32,116,121,112,101,0,105,110,118],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+30720);allocate([97,108,105,100,32,103,108,111,98,97,108,32,116,121,112,101,58,32,37,35,120,0,103,108,111,98,97,108,32,109,117,116,97,98,105,108,105,116,121,0,103,108,111,98,97,108,32,109,117,116,97,98,105,108,105,116,121,32,109,117,115,116,32,98,101,32,48,32,111,114,32,49,0,109,101,109,111,114,121,32,102,108,97,103,115,0,109,101,109,111,114,121,32,105,110,105,116,105,97,108,32,112,97,103,101,32,99,111,117,110,116,0,105,110,118,97,108,105,100,32,109,101,109,111,114,121,32,105,110,105,116,105,97,108,32,115,105,122,101,0,115,104,97,114,101,100,32,109,101,109,111,114,121,32,109,117,115,116,32,104,97,118,101,32,97,32,109,97,120,32,115,105,122,101,0,109,101,109,111,114,121,32,109,97,120,32,112,97,103,101,32,99,111,117,110,116,0,105,110,118,97,108,105,100,32,109,101,109,111,114,121,32,109,97,120,32,115,105,122,101,0,109,101,109,111,114,121,32,105,110,105,116,105,97,108,32,115,105,122,101,32,109,117,115,116,32,98,101,32,60,61,32,109,97,120,32,115,105,122,101,0,116,97,98,108,101,32,101,108,101,109,32,116,121,112,101,0,116,97,98,108,101,32,101,108,101,109,32,116,121,112,101,32,109,117,115,116,32,98,121,32,97,110,121,102,117,110,99,0,116,97,98,108,101,32,102,108,97,103,115,0,116,97,98,108,101,32,105,110,105,116,105,97,108,32,101,108,101,109,32,99,111,117,110,116,0,116,97,98,108,101,115,32,109,97,121,32,110,111,116,32,98,101,32,115,104,97,114,101,100,0,116,97,98,108,101,32,109,97,120,32,101,108,101,109,32,99,111,117,110,116,0,116,97,98,108,101,32,105,110,105,116,105,97,108,32,101,108,101,109,32,99,111,117,110,116,32,109,117,115,116,32,98,101,32,60,61,32,109,97,120,32,101,108,101,109,32,99,111,117,110,116,0,101,120,99,101,112,116,105,111,110,32,116,121,112,101,32,99,111,117,110,116,0,101,120,99,101,112,116,105,111,110,32,118,97,108,117,101,32,116,121,112,101,0,101,120,99,101,112,116,101,100,32,118,97,108,105,100,32,101,120,99,101,112,116,105,111,110,32,118,97,108,117,101,32,116,121,112,101,32,40,103,111,116,32,37,100,41,0,115,116,114,105,110,103,32,108,101,110,103,116,104,0,117,110,97,98,108,101,32,116,111,32,114,101,97,100,32,115,116,114,105,110,103,58,32,37,115,0,105,110,118,97,108,105,100,32,117,116,102,45,56,32,101,110,99,111,100,105,110,103,58,32,37,115,0,42,69,82,82,79,82,42,58,32,64,48,120,37,48,56,122,120,58,32,37,115,10,0,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,0,79,110,73,110,105,116,69,120,112,114,73,54,52,67,111,110,115,116,69,120,112,114,40,105,110,100,101,120,58,32,37,117,44,32,118,97,108,117,101,58,32,37,108,108,117,41,10,0,79,110,73,110,105,116,69,120,112,114,73,51,50,67,111,110,115,116,69,120,112,114,40,105,110,100,101,120,58,32,37,117,44,32,118,97,108,117,101,58,32,37,117,41,10,0,79,110,73,110,105,116,69,120,112,114,71,101,116,71,108,111,98,97,108,69,120,112,114,40,105,110,100,101,120,58,32,37,117,44,32,103,108,111,98,97,108,95,105,110,100,101,120,58,32,37,117,41,10,0,79,110,73,110,105,116,69,120,112,114,70,54,52,67,111,110,115,116,69,120,112,114,40,105,110,100,101,120,58,32,37,117,32,118,97,108,117,101,58,32,37,103,32,40,48,120,48,56,37,108,108,120,41,41,10,0,79,110,73,110,105,116,69,120,112,114,70,51,50,67,111,110,115,116,69,120,112,114,40,105,110,100,101,120,58,32,37,117,44,32,118,97,108,117,101,58,32,37,103,32,40,48,120,48,52,37,120,41,41,10,0,69,110,100,69,120,99,101,112,116,105,111,110,83,101,99,116,105,111,110,10,0,79,110,84,121,112,101,40,105,110,100,101,120,58,32,37,117,44,32,118,97,108,117,101,115,58,32,0,41,10,0,91,0,97,110,121,0,118,111,105,100,0,102,117,110,99,0,97,110,121,102,117,110,99,0,102,54,52,0,102,51,50,0,105,54,52,0,105,51,50,0,37,115,0,44,32,0,93,0,79,110,69,120,99,101,112,116,105,111,110,67,111,117,110,116,40,37,117,41,10,0,66,101,103,105,110,69,120,99,101,112,116,105,111,110,83,101,99,116,105,111,110,40,37,122,100,41,10,0,69,110,100,76,105,110,107,105,110,103,83,101,99,116,105,111,110,10,0,40,79,110,83,101,103,109,101,110,116,73,110,102,111,32,37,100,32,110,97,109,101,58,32,37,46,42,115,44,32,97,108,105,103,110,109,101,110,116,58,32,37,100,44,32,102,108,97,103,115,58,32,48,120,37,120,41,10,0,79,110,83,101,103,109,101,110,116,73,110,102,111,67,111,117,110,116,40,37,117,41,10,0,79,110,68,97,116,97,65,108,105,103,110,109,101,110,116,40,37,117,41,10,0,79,110,68,97,116,97,83,105,122,101,40,37,117,41,10,0,40,79,110,83,121,109,98,111,108,73,110,102,111,32,110,97,109,101,58,32,37,46,42,115,44,32,102,108,97,103,115,58,32,48,120,37,120,41,10,0,79,110,83,121,109,98,111,108,73,110,102,111,67,111,117,110,116,40,37,117,41,10,0,79,110,83,116,97,99,107,71,108,111,98,97,108,40,37,117,41,10,0,66,101,103,105,110,76,105,110,107,105,110,103,83,101,99,116,105,111,110,40,37,122,100,41,10,0,69,110,100,82,101,108,111,99,83,101,99,116,105,111,110,10,0,79,110,82,101,108,111,99,40,116,121,112,101,58,32,37,115,44,32,111,102,102,115,101,116,58,32,37,122,100,44,32,105,110,100,101,120,58,32,37,117,44,32,97,100,100,101,110,100,58,32,37,100,41,10,0,79,110,82,101,108,111,99,67,111,117,110,116,40,99,111,117,110,116,58,32,37,117,44,32,115,101,99,116,105,111,110,58,32,37,115,44,32,115,101,99,116,105,111,110,95,110,97,109,101,58,32,37,46,42,115,41,10,0,66,101,103,105,110,82,101,108,111,99,83,101,99,116,105,111,110,40,37,122,100,41,10,0,69,110,100,78,97,109,101,115,83,101,99,116,105,111,110,10,0,79,110,76,111,99,97,108,78,97,109,101,40,102,117,110,99,95,105,110,100,101,120,58,32,37,117,44,32,108,111,99,97,108,95,105,110,100,101,120,58,32,37,117,44,32,110,97,109,101,58,32,34,37,46,42,115,34,41,10,0,79,110,76,111,99,97,108,78,97,109,101,76,111,99,97,108,67,111,117,110,116,40,105,110,100,101,120,58,32,37,117,44,32,99,111,117,110,116,58,32,37,117,41,10,0,79,110,76,111,99,97,108,78,97,109,101,70,117,110,99,116,105,111,110,67,111,117,110,116,40,37,117,41,10,0,79,110,76,111,99,97,108,78,97,109,101,83,117,98,115,101,99,116,105,111,110,40,105,110,100,101,120,58,37,117,44,32,110,97,109,101,116,121,112,101,58,37,117,44,32,115,105,122,101,58,37,122,100,41,10,0,79,110,70,117,110,99,116,105,111,110,78,97,109,101,40,105,110,100,101,120,58,32,37,117,44,32,110,97,109,101,58,32,34,37,46,42,115,34,41,10,0,79,110,70,117,110,99,116,105,111,110,78,97,109,101,115,67,111,117,110,116,40,37,117,41,10,0,79,110,70,117,110,99,116,105,111,110,78,97,109,101,83,117,98,115,101,99,116,105,111,110,40,105,110,100,101,120,58,37,117,44,32,110,97,109,101,116,121,112,101,58,37,117,44,32,115,105,122,101,58,37,122,100,41,10,0,66,101,103,105,110,78,97,109,101,115,83,101,99,116,105,111,110,40,37,122,100,41,10,0,69,110,100,68,97,116,97,83,101,99,116,105,111,110,10,0,69,110,100,68,97,116,97,83,101,103,109,101,110,116,40,37,117,41,10,0,79,110,68,97,116,97,83,101,103,109,101,110,116,68,97,116,97,40,105,110,100,101,120,58,37,117,44,32,115,105,122,101,58,37,117,41,10,0,69,110,100,68,97,116,97,83,101,103,109,101,110,116,73,110,105,116,69,120,112,114,40,37,117,41,10,0,66,101,103,105,110,68,97,116,97,83,101,103,109,101,110,116,73,110,105,116,69,120,112,114,40,37,117,41,10,0,66,101,103,105,110,68,97,116,97,83,101,103,109,101,110,116,40,105,110,100,101,120,58,32,37,117,44,32,109,101,109,111,114,121,95,105,110,100,101,120,58,32,37,117,41,10,0,79,110,68,97,116,97,83,101,103,109,101,110,116,67,111,117,110,116,40,37,117,41,10,0,66,101,103,105,110,68,97,116,97,83,101,99,116,105,111,110,40,37,122,100,41,10,0,69,110,100,69,108,101,109,83,101,99,116,105,111,110,10,0,69,110,100,69,108,101,109,83,101,103,109,101,110,116,40,37,117,41,10,0,79,110,69,108,101,109,83,101,103,109,101,110,116,70,117,110,99,116,105,111,110,73,110,100,101,120,40,105,110,100,101,120,58,32,37,117,44,32,102,117,110,99,95,105,110,100,101,120,58,32,37,117,41,10,0,79,110,69,108,101,109,83,101,103,109,101,110,116,70,117,110,99,116,105,111,110,73,110,100,101,120,67,111,117,110,116,40,105,110,100,101,120,58,32,37,117,44,32,99,111,117,110,116,58,32,37,117,41,10,0,69,110,100,69,108,101,109,83,101,103,109,101,110,116,73,110,105,116,69,120,112,114,40,37,117,41,10,0,66,101,103,105,110,69,108,101,109,83,101,103,109,101,110,116,73,110,105,116,69,120,112,114,40,37,117,41,10,0,66,101,103,105,110,69,108,101,109,83,101,103,109,101,110,116,40,105,110,100,101,120,58,32,37,117,44,32,116,97,98,108,101,95,105,110,100,101,120,58,32,37,117,41,10,0,79,110,69,108,101,109,83,101,103,109,101,110,116,67,111,117,110,116,40,37,117,41,10,0,66,101,103,105,110,69,108,101,109,83,101,99,116,105,111,110,40,37,122,100,41,10,0,69,110,100,67,111,100,101,83,101,99,116,105,111,110,10,0,69,110,100,70,117,110,99,116,105,111,110,66,111,100,121,40,37,117,41,10,0,79,110,87,97,107,101,69,120,112,114,40,111,112,99,111,100,101,58,32,34,37,115,34,32,40,37,117,41,44,32,97,108,105,103,110,32,108,111,103,50,58,32,37,117,44,32,111,102,102,115,101,116,58,32,37,117,41,10,0,79,110,87,97,105,116,69,120,112,114,40,111,112,99,111,100,101,58,32,34,37,115,34,32,40,37,117,41,44,32,97,108,105,103,110,32,108,111,103,50,58,32,37,117,44,32,111,102,102,115,101,116,58,32,37,117,41,10,0,79,110,85,110,114,101,97,99,104,97,98,108,101,69,120,112,114,10,0,79,110,85,110,97,114,121,69,120,112,114,40,34,37,115,34,32,40,37,117,41,41,10,0,79,110,84,114,121,69,120,112,114,40,115,105,103,58,32,0,79,110,84,104,114,111,119,69,120,112,114,40,101,120,99,101,112,116,95,105,110,100,101,120,58,32,37,117,41,10,0,79,110,84,101,101,76,111,99,97,108,69,120,112,114,40,105,110,100,101,120,58,32,37,117,41,10,0,79,110,83,116,111,114,101,69,120,112,114,40,111,112,99,111,100,101,58,32,34,37,115,34,32,40,37,117,41,44,32,97,108,105,103,110,32,108,111,103,50,58,32,37,117,44,32,111,102,102,115,101,116,58,32,37,117,41,10,0,79,110,83,101,116,76,111,99,97,108,69,120,112,114,40,105,110,100,101,120,58,32,37,117,41,10,0,79,110,83,101,116,71,108,111,98,97,108,69,120,112,114,40,105,110,100,101,120,58,32,37,117,41,10,0,79,110,83,101,108,101,99,116,69,120,112,114,10,0,79,110,82,101,116,117,114,110,69,120,112,114,10,0,79,110,82,101,116,104,114,111,119,69,120,112,114,40,100,101,112,116,104,58,32,37,117,41,10,0,79,110,78,111,112,69,120,112,114,10,0,79,110,76,111,111,112,69,120,112,114,40,115,105,103,58,32,0,79,110,76,111,97,100,69,120,112,114,40,111,112,99,111,100,101,58,32,34,37,115,34,32,40,37,117,41,44,32,97,108,105,103,110,32,108,111,103,50,58,32,37,117,44,32,111,102,102,115,101,116,58,32,37,117,41,10,0,79,110,73,102,69,120,112,114,40,115,105,103,58,32,0,79,110,73,54,52,67,111,110,115,116,69,120,112,114,40,37,108,108,117,32,40,48,120,37,108,108,120,41,41,10,0,79,110,73,51,50,67,111,110,115,116,69,120,112,114,40,37,117,32,40,48,120,37,120,41,41,10,0,79,110,71,114,111,119,77,101,109,111,114,121,69,120,112,114,10,0,79,110,71,101,116,76,111,99,97,108,69,120,112,114,40,105,110,100,101,120,58,32,37,117,41,10,0,79,110,71,101,116,71,108,111,98,97,108,69,120,112,114,40,105,110,100,101,120,58,32,37,117,41,10,0,79,110,70,54,52,67,111,110,115,116,69,120,112,114,40,37,103,32,40,48,120,48,56,37,108,108,120,41,41,10,0,79,110,70,51,50,67,111,110,115,116,69,120,112,114,40,37,103,32,40,48,120,48,52,37,120,41,41,10,0,79,110,69,110,100,69,120,112,114,10,0,79,110,69,108,115,101,69,120,112,114,10,0,79,110,68,114,111,112,69,120,112,114,10,0,79,110,67,117,114,114,101,110,116,77,101,109,111,114,121,69,120,112,114,10,0,79,110,67,111,110,118,101,114,116,69,120,112,114,40,34,37,115,34,32,40,37,117,41,41,10,0,79,110,67,111,109,112,97,114,101,69,120,112,114,40,34,37,115,34,32,40,37,117,41,41,10,0,79,110,67,97,116,99,104,65,108,108,69,120,112,114,10,0,79,110,67,97,116,99,104,69,120,112,114,40,101,120,99,101,112,116,95,105,110,100,101,120,58,32,37,117,41,10,0,79,110,67,97,108,108,73,110,100,105,114,101,99,116,69,120,112,114,40,115,105,103,95,105,110,100,101,120,58,32,37,117,41,10,0,79,110,67,97,108,108,69,120,112,114,40,102,117,110,99,95,105,110,100,101,120,58,32,37,117,41,10,0,79,110,66,114,84,97,98,108,101,69,120,112,114,40,110,117,109,95,116,97,114,103,101,116,115,58,32,37,117,44,32,100,101,112,116,104,115,58,32,91,0,93,44,32,100,101,102,97,117,108,116,58,32,37,117,41,10,0,79,110,66,114,73,102,69,120,112,114,40,100,101,112,116,104,58,32,37,117,41,10,0,79,110,66,114,69,120,112,114,40,100,101,112,116,104,58,32,37,117,41,10,0,79,110,66,108,111,99,107,69,120,112,114,40,115,105,103,58,32,0,79,110,66,105,110,97,114,121,69,120,112,114,40,34,37,115,34,32,40,37,117,41,41,10,0,79,110,65,116,111,109,105,99,82,109,119,67,109,112,120,99,104,103,69,120,112,114,40,111,112,99,111,100,101,58,32,34,37,115,34,32,40,37,117,41,44,32,97,108,105,103,110,32,108,111,103,50,58,32,37,117,44,32,111,102,102,115,101,116,58,32,37,117,41,10,0,79,110,65,116,111,109,105,99,82,109,119,69,120,112,114,40,111,112,99,111,100,101,58,32,34,37,115,34,32,40,37,117,41,44,32,97,108,105,103,110,32,108,111,103,50,58,32,37,117,44,32,111,102,102,115,101,116,58,32,37,117,41,10,0,79,110,65,116,111,109,105,99,83,116,111,114,101,69,120,112,114,40,111,112,99,111,100,101,58,32,34,37,115,34,32,40,37,117,41,44,32,97,108,105,103,110,32,108,111,103,50,58,32,37,117,44,32,111,102,102,115,101,116,58,32,37,117,41,10,0,79,110,65,116,111,109,105,99,76,111,97,100,69,120,112,114,40,111,112,99,111,100,101,58,32,34,37,115,34,32,40,37,117,41,44,32,97,108,105,103,110,32,108,111,103,50,58,32,37,117,44,32,111,102,102,115,101,116,58,32,37,117,41,10,0,79,110,76,111,99,97,108,68,101,99,108,40,105,110,100,101,120,58,32,37,117,44,32,99,111,117,110,116,58,32,37,117,44,32,116,121,112,101,58,32,37,115,41,10,0,79,110,76,111,99,97,108,68,101,99,108,67,111,117,110,116,40,37,117,41,10,0,66,101,103,105,110,70,117,110,99,116,105,111,110,66,111,100,121,40,37,117,41,10,0,79,110,70,117,110,99,116,105,111,110,66,111,100,121,67,111,117,110,116,40,37,117,41,10,0,66,101,103,105,110,67,111,100,101,83,101,99,116,105,111,110,40,37,122,100,41,10,0,69,110,100,83,116,97,114,116,83,101,99,116,105,111,110,10,0,79,110,83,116,97,114,116,70,117,110,99,116,105,111,110,40,37,117,41,10,0,66,101,103,105,110,83,116,97,114,116,83,101,99,116,105,111,110,40,37,122,100,41,10,0,69,110,100,69,120,112,111,114,116,83,101,99,116,105,111,110,10,0,79,110,69,120,112,111,114,116,40,105,110,100,101,120,58,32,37,117,44,32,107,105,110,100,58,32,37,115,44,32,105,116,101,109,95,105,110,100,101,120,58,32,37,117,44,32,110,97,109,101,58,32,34,37,46,42,115,34,41,10,0,79,110,69,120,112,111,114,116,67,111,117,110,116,40,37,117,41,10,0,66,101,103,105,110,69,120,112,111,114,116,83,101,99,116,105,111,110,40,37,122,100,41,10,0,69,110,100,71,108,111,98,97,108,83,101,99,116,105,111,110,10,0,69,110,100,71,108,111,98,97,108,40,37,117,41,10,0,69,110,100,71,108,111,98,97,108,73,110,105,116,69,120,112,114,40,37,117,41,10,0,66,101,103,105,110,71,108,111,98,97,108,73,110,105,116,69,120,112,114,40,37,117,41,10,0,116,114,117,101,0,102,97,108,115,101,0,66,101,103,105,110,71,108,111,98,97,108,40,105,110,100,101,120,58,32,37,117,44,32,116,121,112,101,58,32,37,115,44,32,109,117,116,97,98,108,101,58,32,37,115,41,10,0,79,110,71,108,111,98,97,108,67,111,117,110,116,40,37,117,41,10,0,66,101,103,105,110,71,108,111,98,97,108,83,101,99,116,105,111,110,40,37,122,100,41,10,0,69,110,100,77,101,109,111,114,121,83,101,99,116,105,111,110,10,0,105,110,105,116,105,97,108,58,32,37,108,108,117,44,32,109,97,120,58,32,37,108,108,117,0,105,110,105,116,105,97,108,58,32,37,108,108,117,0,79,110,77,101,109,111,114,121,40,105,110,100,101,120,58,32,37,117,44,32,37,115,41,10,0,79,110,77,101,109,111,114,121,67,111,117,110,116,40,37,117,41,10,0,66,101,103,105,110,77,101,109,111,114,121,83,101,99,116,105,111,110,40,37,122,100,41,10,0,69,110,100,84,97,98,108,101,83,101,99,116,105,111,110,10,0,79,110,84,97,98,108,101,40,105,110,100,101,120,58,32,37,117,44,32,101,108,101,109,95,116,121,112,101,58,32,37,115,44,32,37,115,41,10,0,79,110,84,97,98,108,101,67,111,117,110,116,40,37,117,41,10,0,66,101,103,105,110,84,97,98,108,101,83,101,99,116,105,111,110,40,37,122,100,41,10,0,69,110,100,70,117,110,99,116,105,111,110,83,101,99,116,105,111,110,10,0,79,110,70,117,110,99,116,105,111,110,40,105,110,100,101,120,58,32,37,117,44,32,115,105,103,95,105,110,100,101,120,58,32,37,117,41,10,0,79,110,70,117,110,99,116,105,111,110,67,111,117,110,116,40,37,117,41,10,0,66,101,103,105,110,70,117,110,99,116,105,111,110,83,101,99,116,105,111,110,40,37,122,100,41,10,0,69,110,100,73,109,112,111,114,116,83,101,99,116,105,111,110,10,0,79,110,73,109,112,111,114,116,69,120,99,101,112,116,105,111,110,40,105,109,112,111,114,116,95,105,110,100,101,120,58,32,37,117,44,32,101,120,99,101,112,116,95,105,110,100,101,120,58,32,37,117,44,32,115,105,103,58,32,0,79,110,73,109,112,111,114,116,71,108,111,98,97,108,40,105,109,112,111,114,116,95,105,110,100,101,120,58,32,37,117,44,32,103,108,111,98,97,108,95,105,110,100,101,120,58,32,37,117,44,32,116,121,112,101,58,32,37,115,44,32,109,117,116,97,98,108,101,58,32,37,115,41,10,0,79,110,73,109,112,111,114,116,77,101,109,111,114,121,40,105,109,112,111,114,116,95,105,110,100,101,120,58,32,37,117,44,32,109,101,109,111,114,121,95,105,110,100,101,120,58,32,37,117,44,32,37,115,41,10,0,79,110,73,109,112,111,114,116,84,97,98,108,101,40,105,109,112,111,114,116,95,105,110,100,101,120,58,32,37,117,44,32,116,97,98,108,101,95,105,110,100,101,120,58,32,37,117,44,32,101,108,101,109,95,116,121,112,101,58,32,37,115,44,32,37,115,41,10,0,79,110,73,109,112,111,114,116,70,117,110,99,40,105,109,112,111,114,116,95,105,110,100,101,120,58,32,37,117,44,32,102,117,110,99,95,105,110,100,101,120,58,32,37,117,44,32,115,105,103,95,105,110,100,101,120,58,32,37,117,41,10,0,79,110,73,109,112,111,114,116,40,105,110,100,101,120,58,32,37,117,44,32,109,111,100,117,108,101,58,32,34,37,46,42,115,34,44,32,102,105,101,108,100,58,32,34,37,46,42,115,34,41,10,0,79,110,73,109,112,111,114,116,67,111,117,110,116,40,37,117,41,10,0,66,101,103,105,110,73,109,112,111,114,116,83,101,99,116,105,111,110,40,37,122,100,41,10,0,69,110,100,84,121,112,101,83,101,99,116,105,111,110,10,0,79,110,84,121,112,101,40,105,110,100,101,120,58,32,37,117,44,32,112,97,114,97,109,115,58,32,0,44,32,114,101,115,117,108,116,115,58,32,0,79,110,84,121,112,101,67,111,117,110,116,40,37,117,41,10,0,66,101,103,105,110,84,121,112,101,83,101,99,116,105,111,110,40,37,122,100,41,10,0,69,110,100,67,117,115,116,111,109,83,101,99,116,105,111,110,10,0,66,101,103,105,110,67,117,115,116,111,109,83,101,99,116,105,111,110,40,39,37,46,42,115,39,44,32,115,105,122,101,58,32,37,122,100,41,10,0,69,110,100,77,111,100,117,108,101,10,0,66,101,103,105,110,77,111,100,117,108,101,40,118,101,114,115,105,111,110,58,32,37,117,41,10,0,78,52,119,97,98,116,49,57,66,105,110,97,114,121,82,101,97,100,101,114,76,111,103,103,105,110,103,69,0,17,0,10,0,17,17,17,0,0,0,0,5,0,0,0,0,0,0,9,0,0,0,0,11,0,0,0,0,0,0,0,0,17,0,15,10,17,17,17,3,10,7,0,1,19,9,11,11,0,0,9,6,11,0,0,11,0,6,17,0,0,0,17,17,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,17,0,10,10,17,17,17,0,10,0,0,2,0,9,11,0,0,0,9,0,11,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,12,0,0,0,0,9,12,0,0,0,0,0,12,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,13,0,0,0,4,13,0,0,0,0,9,14,0,0,0,0,0,14,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,15,0,0,0,0,15,0,0,0,0,9,16,0,0,0,0,0,16,0,0,16,0,0,18,0,0,0,18,18,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,18,18,18,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,10,0,0,0,0,10,0,0,0,0,9,11,0,0,0,0,0,11,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,12,0,0,0,0,9,12,0,0,0,0,0,12,0,0,12,0,0,45,43,32,32,32,48,88,48,120,0,40,110,117,108,108,41,0,45,48,88,43,48,88,32,48,88,45,48,120,43,48,120,32,48,120,0,105,110,102,0,73,78,70,0,78,65,78,0,48,49,50,51,52,53,54,55,56,57,65,66,67,68,69,70,46,0,84,33,34,25,13,1,2,3,17,75,28,12,16,4,11,29,18,30,39,104,110,111,112,113,98,32,5,6,15,19,20,21,26,8,22,7,40,36,23,24,9,10,14,27,31,37,35,131,130,125,38,42,43,60,61,62,63,67,71,74,77,88,89,90,91,92,93,94,95,96,97,99,100,101,102,103,105,106,107,108,114,115,116,121,122,123,124,0,73,108,108,101,103,97,108,32,98,121,116,101,32,115,101,113,117,101,110,99,101,0,68,111,109,97,105,110,32,101,114,114,111,114,0,82,101,115,117,108,116,32,110,111,116,32,114,101,112,114,101,115,101,110,116,97,98,108,101,0,78,111,116,32,97,32,116,116,121,0,80,101,114,109,105,115,115,105,111,110,32,100,101,110,105,101,100,0,79,112,101,114,97,116,105,111,110,32,110,111,116,32,112,101,114,109,105,116,116,101,100,0,78,111,32,115,117,99,104,32,102,105,108,101,32,111,114,32,100,105,114,101,99,116,111,114,121,0,78,111,32,115,117,99,104,32,112,114,111,99,101,115,115,0,70,105,108,101,32,101,120,105,115,116,115,0,86,97,108,117,101,32,116,111,111,32,108,97,114,103,101,32,102,111,114,32,100,97,116,97,32,116,121,112,101,0,78,111,32,115,112,97,99,101,32,108,101,102,116,32,111,110,32,100,101,118,105,99,101,0,79,117,116,32,111,102,32,109,101,109,111,114,121,0,82,101,115,111,117,114,99,101,32,98,117,115,121,0,73,110,116,101,114,114,117,112,116,101,100,32,115,121,115,116,101,109,32,99,97,108,108,0,82,101,115,111,117,114,99,101,32,116,101,109,112,111,114,97,114,105,108,121,32,117,110,97,118,97,105,108,97,98,108,101,0,73,110,118,97,108,105,100,32,115,101,101,107,0,67,114,111,115,115,45,100,101,118,105,99,101,32,108,105,110,107,0,82,101,97,100,45,111,110,108,121,32,102,105,108,101,32,115,121,115,116,101,109,0,68,105,114,101,99,116,111,114,121,32,110,111,116,32,101,109,112,116,121,0,67,111,110,110,101,99,116,105,111,110,32,114,101,115,101,116,32,98,121,32,112,101,101,114,0,79,112,101,114,97,116,105,111,110,32,116,105,109,101,100,32,111,117,116,0,67,111,110,110,101,99,116,105,111,110,32,114,101,102,117,115,101,100,0,72,111,115,116,32,105,115,32,100,111,119,110,0,72,111,115,116,32,105,115,32,117,110,114,101,97,99,104,97,98,108,101,0,65,100,100,114,101,115,115,32,105,110,32,117,115,101,0,66,114,111,107,101,110,32,112,105,112,101,0,73,47,79,32,101,114,114,111,114,0,78,111,32,115,117,99,104,32,100,101,118,105,99,101,32,111,114,32,97,100,100,114,101,115,115,0,66,108,111,99,107,32,100,101,118,105,99,101,32,114,101,113,117,105,114,101,100,0,78,111,32,115,117,99,104,32,100,101,118,105,99,101,0,78,111,116,32,97,32,100,105,114,101,99,116,111,114,121,0,73,115,32,97,32,100,105,114,101,99,116,111,114,121,0,84,101,120,116,32,102,105,108,101,32,98,117,115,121,0,69,120,101,99,32,102,111,114,109,97,116,32,101,114,114,111,114,0,73,110,118,97,108,105,100,32,97,114,103,117,109,101,110,116,0,65,114,103,117,109,101,110,116,32,108,105,115,116,32,116,111,111,32,108,111,110,103,0,83,121,109,98,111,108,105,99,32,108,105,110,107,32,108,111,111,112,0,70,105,108,101,110,97,109,101,32,116,111,111,32,108,111,110,103,0,84,111,111,32,109,97,110,121,32,111,112,101,110,32,102,105,108,101,115,32,105,110,32,115,121,115,116,101,109,0,78,111,32,102,105,108,101,32,100,101,115,99,114,105,112,116,111,114,115,32,97,118,97,105,108,97,98,108,101,0,66,97,100,32,102,105,108,101,32,100,101,115,99,114,105,112,116,111,114,0,78,111,32,99,104,105,108,100,32,112,114,111,99,101,115,115,0,66,97,100,32,97,100,100,114,101,115,115,0,70,105,108,101,32,116,111,111,32,108,97,114,103,101,0,84,111,111,32,109,97,110,121,32,108,105,110,107,115,0,78,111,32,108,111,99,107,115,32,97,118,97,105,108,97,98,108,101,0,82,101,115,111,117,114,99,101,32,100,101,97,100,108,111,99,107,32,119,111,117,108,100,32,111,99,99,117,114,0,83,116,97,116,101,32,110,111,116,32,114,101,99,111,118,101,114,97,98,108,101,0,80,114,101,118,105,111,117,115,32,111,119,110,101,114,32,100,105,101,100,0,79,112,101,114,97,116,105,111,110,32,99,97,110,99,101,108,101,100,0,70,117,110,99,116,105,111,110,32,110,111,116,32,105,109,112,108,101,109,101,110,116,101,100,0,78,111,32,109,101,115,115,97,103,101,32,111,102,32,100,101,115,105,114,101,100,32,116,121,112,101,0,73,100,101,110,116,105,102,105,101,114,32,114,101,109,111,118,101,100,0,68,101,118,105,99,101,32,110,111,116,32,97,32,115,116,114,101,97,109,0,78,111,32,100,97,116,97,32,97,118,97,105,108,97,98,108,101,0,68,101,118,105,99,101,32,116,105,109,101,111,117,116,0,79,117,116,32,111,102,32,115,116,114,101,97,109,115,32,114,101,115,111,117,114,99,101,115,0,76,105,110,107,32,104,97,115,32,98,101,101,110,32,115,101,118,101,114,101,100,0,80,114,111,116,111,99,111,108,32,101,114,114,111,114,0,66,97,100,32,109,101,115,115,97,103,101,0,70,105,108,101,32,100,101,115,99,114,105,112,116,111,114,32,105,110,32,98,97,100,32,115,116,97,116,101,0,78,111,116,32,97,32,115,111,99,107,101,116,0,68,101,115,116,105,110,97,116,105,111,110,32,97,100,100,114,101,115,115,32,114,101,113,117,105,114,101,100,0,77,101,115,115,97,103,101,32,116,111,111,32,108,97,114,103,101,0,80,114,111,116,111,99,111,108,32,119,114,111,110,103,32,116,121,112,101,32,102,111,114,32,115,111,99,107,101,116,0,80,114,111,116,111,99,111,108,32,110,111,116,32,97,118,97,105,108,97,98,108,101,0,80,114,111,116,111,99,111,108,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,83,111,99,107,101,116,32,116,121,112,101,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,78,111,116,32,115,117,112,112,111,114,116,101,100,0,80,114,111,116,111,99,111,108,32,102,97,109,105,108,121,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,65,100,100,114,101,115,115,32,102,97,109,105,108,121,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,98,121,32,112,114,111,116,111,99,111,108,0,65,100,100,114,101,115,115,32,110,111,116,32,97,118,97,105,108,97,98,108,101,0,78,101,116,119,111,114,107,32,105,115,32,100,111,119,110,0,78,101,116,119,111,114,107,32,117,110,114,101,97,99,104,97,98,108,101,0,67,111,110,110,101,99,116,105,111,110,32,114,101,115,101,116,32,98,121,32,110,101,116,119,111,114,107,0,67,111,110,110,101,99,116,105,111,110,32,97,98,111,114,116,101,100,0,78,111,32,98,117,102,102,101,114,32,115,112,97,99,101,32,97,118,97,105,108,97,98,108,101,0,83,111,99,107,101,116,32,105,115,32,99,111,110,110,101,99,116,101,100,0,83,111,99,107,101,116,32,110,111,116,32,99,111,110,110,101,99,116,101,100,0,67,97,110,110,111,116,32,115,101,110,100,32,97,102,116,101,114,32,115,111,99,107,101,116,32,115,104,117,116,100,111,119,110,0,79,112,101,114,97,116,105,111,110,32,97,108,114,101,97,100,121,32,105,110,32,112,114,111,103,114,101,115,115,0,79,112,101,114,97,116,105,111,110,32,105,110,32,112,114,111,103,114,101,115,115,0,83,116,97,108,101,32,102,105,108,101,32,104,97,110,100,108,101,0,82,101,109,111,116,101,32,73,47,79,32,101,114,114,111,114,0,81,117,111,116,97,32,101,120,99,101,101,100,101,100,0,78,111,32,109,101,100,105,117,109,32,102,111,117,110,100,0,87,114,111,110,103,32,109,101,100,105,117,109,32,116,121,112,101,0,78,111,32,101,114,114,111,114,32,105,110,102,111,114,109,97,116,105,111,110,0,0,105,110,102,105,110,105,116,121,0,110,97,110,0,33,34,118,101,99,116,111,114,32,108,101,110,103,116,104,95,101,114,114,111,114,34,0,47,85,115,101,114,115,47,107,115,101,108,100,101,110,47,101,109,115,100,107,95,112,111,114,116,97,98,108,101,47,101,109,115,99,114,105,112,116,101,110,47,49,46,51,55,46,57,47,115,121,115,116,101,109,47,105,110,99,108,117,100,101,47,108,105,98,99,120,120,47,118,101,99,116,111,114,0,33,34,98,97,115,105,99,95,115,116,114,105,110,103,32,108,101,110,103,116,104,95,101,114,114,111,114,34,0,47,85,115,101,114,115,47,107,115,101,108,100,101,110,47,101,109,115,100,107,95,112,111,114,116,97,98,108,101,47,101,109,115,99,114,105,112,116,101,110,47,49,46,51,55,46,57,47,115,121,115,116,101,109,47,105,110,99,108,117,100,101,47,108,105,98,99,120,120,47,115,116,114,105,110,103,0,95,95,116,104,114,111,119,95,108,101,110,103,116,104,95,101,114,114,111,114,0,33,34,98,97,115,105,99,95,115,116,114,105,110,103,32,111,117,116,95,111,102,95,114,97,110,103,101,34,0,95,95,116,104,114,111,119,95,111,117,116,95,111,102,95,114,97,110,103,101,0,37,100,0,37,117,0,78,49,48,95,95,99,120,120,97,98,105,118,49,49,54,95,95,115,104,105,109,95,116,121,112,101,95,105,110,102,111,69,0,83,116,57,116,121,112,101,95,105,110,102,111,0,78,49,48,95,95,99,120,120,97,98,105,118,49,50,48,95,95,115,105,95,99,108,97,115,115,95,116,121,112,101,95,105,110,102,111,69,0,78,49,48,95,95,99,120,120,97,98,105,118,49,49,55,95,95,99,108,97,115,115,95,116,121,112,101,95,105,110,102,111,69,0,78,49,48,95,95,99,120,120,97,98,105,118,49,50,49,95,95,118,109,105,95,99,108,97,115,115,95,116,121,112,101,95,105,110,102,111,69,0],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+40960);var tempDoublePtr=STATICTOP;STATICTOP+=16;Module["_bitshift64Ashr"]=_bitshift64Ashr;function ___cxa_pure_virtual(){ABORT=true;throw"Pure virtual function called!"}Module["_i64Subtract"]=_i64Subtract;Module["_i64Add"]=_i64Add;Module["_memset"]=_memset;Module["_bitshift64Lshr"]=_bitshift64Lshr;var _environ=STATICTOP;STATICTOP+=16;function ___buildEnvironment(env){var MAX_ENV_VALUES=64;var TOTAL_ENV_SIZE=1024;var poolPtr;var envPtr;if(!___buildEnvironment.called){___buildEnvironment.called=true;ENV["USER"]=ENV["LOGNAME"]="web_user";ENV["PATH"]="/";ENV["PWD"]="/";ENV["HOME"]="/home/web_user";ENV["LANG"]="C";ENV["_"]=Module["thisProgram"];poolPtr=allocate(TOTAL_ENV_SIZE,"i8",ALLOC_STATIC);envPtr=allocate(MAX_ENV_VALUES*4,"i8*",ALLOC_STATIC);HEAP32[envPtr>>2]=poolPtr;HEAP32[_environ>>2]=envPtr}else{envPtr=HEAP32[_environ>>2];poolPtr=HEAP32[envPtr>>2]}var strings=[];var totalSize=0;for(var key in env){if(typeof env[key]==="string"){var line=key+"="+env[key];strings.push(line);totalSize+=line.length}}if(totalSize>TOTAL_ENV_SIZE){throw new Error("Environment size exceeded TOTAL_ENV_SIZE!")}var ptrSize=4;for(var i=0;i<strings.length;i++){var line=strings[i];writeAsciiToMemory(line,poolPtr);HEAP32[envPtr+i*ptrSize>>2]=poolPtr;poolPtr+=line.length+1}HEAP32[envPtr+strings.length*ptrSize>>2]=0}var ENV={};function _getenv(name){if(name===0)return 0;name=Pointer_stringify(name);if(!ENV.hasOwnProperty(name))return 0;if(_getenv.ret)_free(_getenv.ret);_getenv.ret=allocate(intArrayFromString(ENV[name]),"i8",ALLOC_NORMAL);return _getenv.ret}Module["_bitshift64Shl"]=_bitshift64Shl;function _abort(){Module["abort"]()}function _emscripten_memcpy_big(dest,src,num){HEAPU8.set(HEAPU8.subarray(src,src+num),dest);return dest}Module["_memcpy"]=_memcpy;var SYSCALLS={varargs:0,get:(function(varargs){SYSCALLS.varargs+=4;var ret=HEAP32[SYSCALLS.varargs-4>>2];return ret}),getStr:(function(){var ret=Pointer_stringify(SYSCALLS.get());return ret}),get64:(function(){var low=SYSCALLS.get(),high=SYSCALLS.get();if(low>=0)assert(high===0);else assert(high===-1);return low}),getZero:(function(){assert(SYSCALLS.get()===0)})};function ___syscall6(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD();FS.close(stream);return 0}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}var cttz_i8=allocate([8,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,6,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,7,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,6,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0],"i8",ALLOC_STATIC);Module["_llvm_cttz_i32"]=_llvm_cttz_i32;Module["___udivmoddi4"]=___udivmoddi4;Module["___udivdi3"]=___udivdi3;Module["___muldsi3"]=___muldsi3;Module["___muldi3"]=___muldi3;function ___assert_fail(condition,filename,line,func){ABORT=true;throw"Assertion failed: "+Pointer_stringify(condition)+", at: "+[filename?Pointer_stringify(filename):"unknown filename",line,func?Pointer_stringify(func):"unknown function"]+" at "+stackTrace()}function ___setErrNo(value){if(Module["___errno_location"])HEAP32[Module["___errno_location"]()>>2]=value;return value}Module["_sbrk"]=_sbrk;Module["_memmove"]=_memmove;Module["___uremdi3"]=___uremdi3;function __exit(status){Module["exit"](status)}function _exit(status){__exit(status)}Module["_llvm_bswap_i32"]=_llvm_bswap_i32;function ___syscall140(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD(),offset_high=SYSCALLS.get(),offset_low=SYSCALLS.get(),result=SYSCALLS.get(),whence=SYSCALLS.get();var offset=offset_low;assert(offset_high===0);FS.llseek(stream,offset,whence);HEAP32[result>>2]=stream.position;if(stream.getdents&&offset===0&&whence===0)stream.getdents=null;return 0}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}function ___syscall146(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.get(),iov=SYSCALLS.get(),iovcnt=SYSCALLS.get();var ret=0;if(!___syscall146.buffer){___syscall146.buffers=[null,[],[]];___syscall146.printChar=(function(stream,curr){var buffer=___syscall146.buffers[stream];assert(buffer);if(curr===0||curr===10){(stream===1?Module["print"]:Module["printErr"])(UTF8ArrayToString(buffer,0));buffer.length=0}else{buffer.push(curr)}})}for(var i=0;i<iovcnt;i++){var ptr=HEAP32[iov+i*8>>2];var len=HEAP32[iov+(i*8+4)>>2];for(var j=0;j<len;j++){___syscall146.printChar(stream,HEAPU8[ptr+j])}ret+=len}return ret}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}function ___syscall54(which,varargs){SYSCALLS.varargs=varargs;try{return 0}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}Module["_llvm_ctlz_i64"]=_llvm_ctlz_i64;___buildEnvironment(ENV);__ATEXIT__.push((function(){var fflush=Module["_fflush"];if(fflush)fflush(0);var printChar=___syscall146.printChar;if(!printChar)return;var buffers=___syscall146.buffers;if(buffers[1].length)printChar(1,10);if(buffers[2].length)printChar(2,10)}));DYNAMICTOP_PTR=allocate(1,"i32",ALLOC_STATIC);STACK_BASE=STACKTOP=Runtime.alignMemory(STATICTOP);STACK_MAX=STACK_BASE+TOTAL_STACK;DYNAMIC_BASE=Runtime.alignMemory(STACK_MAX);HEAP32[DYNAMICTOP_PTR>>2]=DYNAMIC_BASE;staticSealed=true;function invoke_iiiiiiii(index,a1,a2,a3,a4,a5,a6,a7){try{return Module["dynCall_iiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function jsCall_iiiiiiii(index,a1,a2,a3,a4,a5,a6,a7){return Runtime.functionPointers[index](a1,a2,a3,a4,a5,a6,a7)}function invoke_iiii(index,a1,a2,a3){try{return Module["dynCall_iiii"](index,a1,a2,a3)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function jsCall_iiii(index,a1,a2,a3){return Runtime.functionPointers[index](a1,a2,a3)}function invoke_viiiii(index,a1,a2,a3,a4,a5){try{Module["dynCall_viiiii"](index,a1,a2,a3,a4,a5)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function jsCall_viiiii(index,a1,a2,a3,a4,a5){Runtime.functionPointers[index](a1,a2,a3,a4,a5)}function invoke_vi(index,a1){try{Module["dynCall_vi"](index,a1)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function jsCall_vi(index,a1){Runtime.functionPointers[index](a1)}function invoke_vii(index,a1,a2){try{Module["dynCall_vii"](index,a1,a2)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function jsCall_vii(index,a1,a2){Runtime.functionPointers[index](a1,a2)}function invoke_iiiiiii(index,a1,a2,a3,a4,a5,a6){try{return Module["dynCall_iiiiiii"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function jsCall_iiiiiii(index,a1,a2,a3,a4,a5,a6){return Runtime.functionPointers[index](a1,a2,a3,a4,a5,a6)}function invoke_ii(index,a1){try{return Module["dynCall_ii"](index,a1)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function jsCall_ii(index,a1){return Runtime.functionPointers[index](a1)}function invoke_viii(index,a1,a2,a3){try{Module["dynCall_viii"](index,a1,a2,a3)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function jsCall_viii(index,a1,a2,a3){Runtime.functionPointers[index](a1,a2,a3)}function invoke_v(index){try{Module["dynCall_v"](index)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function jsCall_v(index){Runtime.functionPointers[index]()}function invoke_iiiii(index,a1,a2,a3,a4){try{return Module["dynCall_iiiii"](index,a1,a2,a3,a4)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function jsCall_iiiii(index,a1,a2,a3,a4){return Runtime.functionPointers[index](a1,a2,a3,a4)}function invoke_viiiiii(index,a1,a2,a3,a4,a5,a6){try{Module["dynCall_viiiiii"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function jsCall_viiiiii(index,a1,a2,a3,a4,a5,a6){Runtime.functionPointers[index](a1,a2,a3,a4,a5,a6)}function invoke_iii(index,a1,a2){try{return Module["dynCall_iii"](index,a1,a2)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function jsCall_iii(index,a1,a2){return Runtime.functionPointers[index](a1,a2)}function invoke_iiiiii(index,a1,a2,a3,a4,a5){try{return Module["dynCall_iiiiii"](index,a1,a2,a3,a4,a5)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function jsCall_iiiiii(index,a1,a2,a3,a4,a5){return Runtime.functionPointers[index](a1,a2,a3,a4,a5)}function invoke_viiii(index,a1,a2,a3,a4){try{Module["dynCall_viiii"](index,a1,a2,a3,a4)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function jsCall_viiii(index,a1,a2,a3,a4){Runtime.functionPointers[index](a1,a2,a3,a4)}Module.asmGlobalArg={"Math":Math,"Int8Array":Int8Array,"Int16Array":Int16Array,"Int32Array":Int32Array,"Uint8Array":Uint8Array,"Uint16Array":Uint16Array,"Uint32Array":Uint32Array,"Float32Array":Float32Array,"Float64Array":Float64Array,"NaN":NaN,"Infinity":Infinity};Module.asmLibraryArg={"abort":abort,"assert":assert,"enlargeMemory":enlargeMemory,"getTotalMemory":getTotalMemory,"abortOnCannotGrowMemory":abortOnCannotGrowMemory,"invoke_iiiiiiii":invoke_iiiiiiii,"jsCall_iiiiiiii":jsCall_iiiiiiii,"invoke_iiii":invoke_iiii,"jsCall_iiii":jsCall_iiii,"invoke_viiiii":invoke_viiiii,"jsCall_viiiii":jsCall_viiiii,"invoke_vi":invoke_vi,"jsCall_vi":jsCall_vi,"invoke_vii":invoke_vii,"jsCall_vii":jsCall_vii,"invoke_iiiiiii":invoke_iiiiiii,"jsCall_iiiiiii":jsCall_iiiiiii,"invoke_ii":invoke_ii,"jsCall_ii":jsCall_ii,"invoke_viii":invoke_viii,"jsCall_viii":jsCall_viii,"invoke_v":invoke_v,"jsCall_v":jsCall_v,"invoke_iiiii":invoke_iiiii,"jsCall_iiiii":jsCall_iiiii,"invoke_viiiiii":invoke_viiiiii,"jsCall_viiiiii":jsCall_viiiiii,"invoke_iii":invoke_iii,"jsCall_iii":jsCall_iii,"invoke_iiiiii":invoke_iiiiii,"jsCall_iiiiii":jsCall_iiiiii,"invoke_viiii":invoke_viiii,"jsCall_viiii":jsCall_viiii,"___buildEnvironment":___buildEnvironment,"__exit":__exit,"_abort":_abort,"___setErrNo":___setErrNo,"___syscall6":___syscall6,"_getenv":_getenv,"_emscripten_memcpy_big":_emscripten_memcpy_big,"___syscall54":___syscall54,"___syscall140":___syscall140,"_exit":_exit,"___assert_fail":___assert_fail,"___cxa_pure_virtual":___cxa_pure_virtual,"___syscall146":___syscall146,"DYNAMICTOP_PTR":DYNAMICTOP_PTR,"tempDoublePtr":tempDoublePtr,"ABORT":ABORT,"STACKTOP":STACKTOP,"STACK_MAX":STACK_MAX,"cttz_i8":cttz_i8};// EMSCRIPTEN_START_ASM
var asm=(function(global,env,buffer) {
"use asm";var a=new global.Int8Array(buffer);var b=new global.Int16Array(buffer);var c=new global.Int32Array(buffer);var d=new global.Uint8Array(buffer);var e=new global.Uint16Array(buffer);var f=new global.Uint32Array(buffer);var g=new global.Float32Array(buffer);var h=new global.Float64Array(buffer);var i=env.DYNAMICTOP_PTR|0;var j=env.tempDoublePtr|0;var k=env.ABORT|0;var l=env.STACKTOP|0;var m=env.STACK_MAX|0;var n=env.cttz_i8|0;var o=0;var p=0;var q=0;var r=0;var s=global.NaN,t=global.Infinity;var u=0,v=0,w=0,x=0,y=0.0,z=0,A=0,B=0,C=0.0;var D=0;var E=global.Math.floor;var F=global.Math.abs;var G=global.Math.sqrt;var H=global.Math.pow;var I=global.Math.cos;var J=global.Math.sin;var K=global.Math.tan;var L=global.Math.acos;var M=global.Math.asin;var N=global.Math.atan;var O=global.Math.atan2;var P=global.Math.exp;var Q=global.Math.log;var R=global.Math.ceil;var S=global.Math.imul;var T=global.Math.min;var U=global.Math.max;var V=global.Math.clz32;var W=env.abort;var X=env.assert;var Y=env.enlargeMemory;var Z=env.getTotalMemory;var _=env.abortOnCannotGrowMemory;var $=env.invoke_iiiiiiii;var aa=env.jsCall_iiiiiiii;var ba=env.invoke_iiii;var ca=env.jsCall_iiii;var da=env.invoke_viiiii;var ea=env.jsCall_viiiii;var fa=env.invoke_vi;var ga=env.jsCall_vi;var ha=env.invoke_vii;var ia=env.jsCall_vii;var ja=env.invoke_iiiiiii;var ka=env.jsCall_iiiiiii;var la=env.invoke_ii;var ma=env.jsCall_ii;var na=env.invoke_viii;var oa=env.jsCall_viii;var pa=env.invoke_v;var qa=env.jsCall_v;var ra=env.invoke_iiiii;var sa=env.jsCall_iiiii;var ta=env.invoke_viiiiii;var ua=env.jsCall_viiiiii;var va=env.invoke_iii;var wa=env.jsCall_iii;var xa=env.invoke_iiiiii;var ya=env.jsCall_iiiiii;var za=env.invoke_viiii;var Aa=env.jsCall_viiii;var Ba=env.___buildEnvironment;var Ca=env.__exit;var Da=env._abort;var Ea=env.___setErrNo;var Fa=env.___syscall6;var Ga=env._getenv;var Ha=env._emscripten_memcpy_big;var Ia=env.___syscall54;var Ja=env.___syscall140;var Ka=env._exit;var La=env.___assert_fail;var Ma=env.___cxa_pure_virtual;var Na=env.___syscall146;var Oa=0.0;
// EMSCRIPTEN_START_FUNCS
function Zb(b,e,f){b=b|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Zb=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0,ld=0,md=0,nd=0,od=0,pd=0,qd=0,rd=0,sd=0,td=0,ud=0,vd=0,wd=0,xd=0,yd=0,zd=0,Ad=0,Bd=0,Cd=0,Dd=0,Ed=0,Fd=0,Gd=0,Hd=0,Id=0,Jd=0,Kd=0,Ld=0,Md=0,Nd=0,Od=0,Pd=0,Qd=0,Rd=0,Sd=0,Td=0,Ud=0,Vd=0,Wd=0,Xd=0,Yd=0,Zd=0,_d=0,$d=0,ae=0,be=0,ce=0,de=0,ee=0,fe=0,ge=0,he=0,ie=0,je=0,ke=0,le=0,me=0,ne=0,oe=0,pe=0,qe=0,re=0,se=0,te=0,ue=0,ve=0,we=0,xe=0,ye=0,ze=0,Ae=0,Be=0,Ce=0,De=0,Ee=0,Fe=0,Ge=0,He=0,Ie=0,Je=0,Ke=0,Le=0,Me=0,Ne=0,Oe=0,Pe=0,Qe=0,Re=0,Se=0,Te=0,Ue=0,Ve=0,We=0,Xe=0,Ye=0,Ze=0,_e=0,$e=0,af=0,bf=0,cf=0,df=0,ef=0,ff=0,gf=0,hf=0,jf=0,kf=0,lf=0,mf=0,nf=0,of=0,pf=0,qf=0,rf=0,sf=0,tf=0,uf=0,vf=0,wf=0,xf=0,yf=0,zf=0,Af=0,Bf=0,Cf=0,Df=0,Ef=0,Ff=0,Gf=0,Hf=0,If=0,Jf=0,Kf=0,Lf=0,Mf=0,Nf=0,Of=0,Pf=0,Qf=0,Rf=0,Sf=0,Tf=0,Uf=0,Vf=0,Wf=0,Xf=0,Yf=0,Zf=0,_f=0,$f=0,ag=0,bg=0,cg=0,dg=0,eg=0,fg=0,gg=0,hg=0,ig=0,jg=0,kg=0,lg=0,mg=0,ng=0,og=0,pg=0,qg=0,rg=0,sg=0,tg=0,ug=0,vg=0,wg=0,xg=0,yg=0,zg=0,Ag=0,Bg=0,Cg=0,Dg=0,Eg=0,Fg=0,Gg=0,Hg=0,Ig=0,Jg=0,Kg=0,Lg=0,Mg=0,Ng=0,Og=0,Pg=0,Qg=0,Rg=0,Sg=0,Tg=0,Ug=0,Vg=0,Wg=0,Xg=0,Yg=0,Zg=0,_g=0,$g=0,ah=0,bh=0,ch=0,dh=0,eh=0,fh=0,gh=0,hh=0,ih=0,jh=0,kh=0,lh=0,mh=0,nh=0,oh=0,ph=0,qh=0,rh=0,sh=0,th=0,uh=0,vh=0,wh=0,xh=0,yh=0,zh=0,Ah=0,Bh=0,Ch=0,Dh=0,Eh=0,Fh=0,Gh=0,Hh=0,Ih=0,Jh=0,Kh=0,Lh=0,Mh=0,Nh=0,Oh=0,Ph=0,Qh=0,Rh=0,Sh=0,Th=0,Uh=0,Vh=0,Wh=0,Xh=0,Yh=0,Zh=0,_h=0,$h=0,ai=0,bi=0,ci=0,di=0,ei=0,fi=0,gi=0,hi=0,ii=0,ji=0,ki=0,li=0,mi=0,ni=0,oi=0,pi=0,qi=0,ri=0,si=0,ti=0,ui=0,vi=0,wi=0,xi=0,yi=0,zi=0,Ai=0,Bi=0,Ci=0,Di=0,Ei=0,Fi=0,Gi=0,Hi=0,Ii=0,Ji=0,Ki=0,Li=0,Mi=0,Ni=0,Oi=0,Pi=0,Qi=0,Ri=0,Si=0,Ti=0,Ui=0,Vi=0,Wi=0,Xi=0,Yi=0,Zi=0,_i=0,$i=0,aj=0,bj=0,cj=0,dj=0,ej=0,fj=0,gj=0,hj=0,ij=0,jj=0,kj=0,lj=0,mj=0,nj=0,oj=0,pj=0,qj=0,rj=0,sj=0,tj=0,uj=0,vj=0,wj=0,xj=0,yj=0,zj=0,Aj=0,Bj=0,Cj=0,Dj=0,Ej=0,Fj=0,Gj=0,Hj=0,Ij=0,Jj=0,Kj=0,Lj=0,Mj=0,Nj=0,Oj=0,Pj=0,Qj=0,Rj=0,Sj=0,Tj=0,Uj=0,Vj=0,Wj=0,Xj=0,Yj=0,Zj=0,_j=0,$j=0,ak=0,bk=0,ck=0,dk=0,ek=0,fk=0,gk=0,hk=0,ik=0,jk=0,kk=0,lk=0,mk=0,nk=0,ok=0,pk=0,qk=0,rk=0,sk=0,tk=0,uk=0,vk=0,wk=0,xk=0,yk=0,zk=0,Ak=0,Bk=0,Ck=0,Dk=0,Ek=0,Fk=0,Gk=0,Hk=0,Ik=0,Jk=0,Kk=0,Lk=0,Mk=0,Nk=0,Ok=0,Pk=0,Qk=0,Rk=0,Sk=0,Tk=0,Uk=0,Vk=0,Wk=0,Xk=0,Yk=0,Zk=0,_k=0,$k=0,al=0,bl=0,cl=0,dl=0,el=0,fl=0,gl=0,hl=0,il=0,jl=0,kl=0,ll=0,ml=0,nl=0,ol=0,pl=0,ql=0,rl=0,sl=0,tl=0,ul=0,vl=0,wl=0,xl=0,yl=0,zl=0,Al=0,Bl=0,Cl=0,Dl=0,El=0,Fl=0,Gl=0,Hl=0,Il=0,Jl=0,Kl=0,Ll=0,Ml=0,Nl=0,Ol=0,Pl=0,Ql=0,Rl=0,Sl=0,Tl=0,Ul=0,Vl=0,Wl=0,Xl=0,Yl=0,Zl=0,_l=0,$l=0,am=0,bm=0,cm=0,dm=0,em=0,fm=0,gm=0,hm=0,im=0,om=0,pm=0,qm=0,rm=0,sm=0,tm=0,um=0,vm=0,wm=0,xm=0,ym=0,zm=0,Am=0,Bm=0,Cm=0,Dm=0,Em=0,Fm=0,Gm=0,Hm=0,Im=0,Jm=0,Km=0,Lm=0,Mm=0,Nm=0,Om=0,Pm=0,Qm=0,Rm=0,Sm=0,Tm=0,Um=0,Vm=0,Wm=0,Xm=0,Ym=0,Zm=0,_m=0,$m=0,an=0,bn=0,cn=0,dn=0,en=0,fn=0,gn=0,hn=0,jn=0,kn=0,ln=0,mn=0,nn=0,on=0,pn=0,qn=0,rn=0,sn=0,tn=0,un=0,vn=0,wn=0,xn=0,yn=0,zn=0,An=0,Bn=0,Cn=0,Dn=0,En=0,Fn=0,Gn=0,Hn=0,In=0,Jn=0,Kn=0,Ln=0,Mn=0,Nn=0,On=0,Pn=0,Qn=0,Rn=0,Sn=0,Tn=0,Un=0,Vn=0,Wn=0,Xn=0,Yn=0,Zn=0,_n=0,$n=0,ao=0,bo=0,co=0,eo=0,fo=0,go=0,ho=0,io=0,jo=0,ko=0,lo=0,mo=0,no=0,oo=0,po=0,qo=0,ro=0,so=0,to=0,uo=0,vo=0,wo=0,xo=0,yo=0,zo=0,Ao=0,Bo=0,Co=0,Do=0,Eo=0,Fo=0,Go=0,Ho=0,Io=0,Jo=0,Ko=0,Lo=0,Mo=0,No=0,Oo=0,Po=0,Qo=0,Ro=0,So=0,To=0,Uo=0,Vo=0,Wo=0,Xo=0,Yo=0,Zo=0,_o=0,$o=0;g=l;l=l+7968|0;h=g+7952|0;i=g+7936|0;j=g+56|0;k=g+48|0;m=g+40|0;n=g+32|0;o=g+24|0;p=g+16|0;q=g+8|0;r=g;s=g+7920|0;t=g+7904|0;u=g+7888|0;v=g+7872|0;w=g+7856|0;x=g+7840|0;y=g+7824|0;z=g+7808|0;A=g+7792|0;B=g+7776|0;C=g+7760|0;D=g+7744|0;E=g+7728|0;F=g+7712|0;G=g+7696|0;H=g+7680|0;I=g+7664|0;J=g+7648|0;K=g+7632|0;L=g+7616|0;M=g+7600|0;N=g+7584|0;O=g+7568|0;P=g+7552|0;Q=g+7536|0;R=g+7520|0;S=g+7504|0;T=g+7488|0;U=g+7472|0;V=g+7456|0;W=g+7440|0;X=g+7424|0;Y=g+7408|0;Z=g+7392|0;_=g+7376|0;$=g+7360|0;aa=g+7344|0;ba=g+7328|0;ca=g+7312|0;da=g+7296|0;ea=g+7280|0;fa=g+7264|0;ga=g+7248|0;ha=g+7232|0;ia=g+7224|0;ja=g+7208|0;ka=g+7200|0;la=g+7184|0;ma=g+7168|0;na=g+7152|0;oa=g+7136|0;pa=g+7120|0;qa=g+7104|0;ra=g+7088|0;sa=g+7072|0;ta=g+7064|0;ua=g+7048|0;va=g+7032|0;wa=g+7016|0;xa=g+7e3|0;ya=g+6984|0;za=g+6968|0;Aa=g+6952|0;Ba=g+6936|0;Ca=g+6920|0;Da=g+6912|0;Ea=g+6896|0;Fa=g+6888|0;Ga=g+6872|0;Ha=g+6856|0;Ia=g+6840|0;Ja=g+6824|0;Ka=g+6816|0;La=g+6800|0;Ma=g+6784|0;Na=g+6776|0;Oa=g+6760|0;Pa=g+6744|0;Qa=g+6736|0;Ra=g+6720|0;Sa=g+6704|0;Ta=g+6696|0;Ua=g+6680|0;Va=g+6664|0;Wa=g+6648|0;Xa=g+6640|0;Ya=g+6624|0;Za=g+6608|0;_a=g+6592|0;$a=g+6576|0;ab=g+6568|0;bb=g+6552|0;cb=g+6544|0;db=g+6528|0;eb=g+6520|0;fb=g+6504|0;gb=g+6488|0;hb=g+6472|0;ib=g+6456|0;jb=g+6440|0;kb=g+6424|0;lb=g+6416|0;mb=g+6400|0;nb=g+6384|0;ob=g+6368|0;pb=g+6352|0;qb=g+6336|0;rb=g+6328|0;sb=g+6312|0;tb=g+6304|0;ub=g+6288|0;vb=g+6280|0;wb=g+6264|0;xb=g+6256|0;yb=g+6240|0;zb=g+6232|0;Ab=g+6216|0;Bb=g+6208|0;Cb=g+6192|0;Db=g+6184|0;Eb=g+6168|0;Fb=g+6160|0;Gb=g+6144|0;Hb=g+6136|0;Ib=g+6120|0;Jb=g+6112|0;Kb=g+6096|0;Lb=g+6088|0;Mb=g+6072|0;Nb=g+6064|0;Ob=g+6048|0;Pb=g+6032|0;Qb=g+6024|0;Rb=g+6008|0;Sb=g+6e3|0;Tb=g+5984|0;Ub=g+5976|0;Vb=g+5960|0;Wb=g+5952|0;Xb=g+5936|0;Zb=g+5928|0;$b=g+5912|0;ac=g+5904|0;bc=g+5888|0;cc=g+5872|0;dc=g+5856|0;ec=g+5840|0;fc=g+5824|0;gc=g+5808|0;hc=g+5792|0;ic=g+5776|0;jc=g+5768|0;kc=g+5752|0;lc=g+5744|0;mc=g+5728|0;nc=g+5712|0;oc=g+5696|0;pc=g+5680|0;qc=g+5664|0;rc=g+5656|0;sc=g+5640|0;tc=g+5632|0;uc=g+5616|0;vc=g+5608|0;wc=g+5592|0;xc=g+5584|0;yc=g+5568|0;zc=g+5560|0;Ac=g+5544|0;Bc=g+5536|0;Cc=g+5520|0;Dc=g+5512|0;Ec=g+5496|0;Fc=g+5488|0;Gc=g+5472|0;Hc=g+5464|0;Ic=g+5448|0;Jc=g+5440|0;Kc=g+5424|0;Lc=g+5416|0;Mc=g+5400|0;Nc=g+5392|0;Oc=g+5376|0;Pc=g+5368|0;Qc=g+5352|0;Rc=g+5344|0;Sc=g+5328|0;Tc=g+5320|0;Uc=g+5304|0;Vc=g+5296|0;Wc=g+5280|0;Xc=g+5272|0;Yc=g+5256|0;Zc=g+5248|0;_c=g+5232|0;$c=g+5224|0;ad=g+5208|0;bd=g+5200|0;cd=g+5184|0;dd=g+5176|0;ed=g+5160|0;fd=g+5152|0;gd=g+5136|0;hd=g+5128|0;id=g+5112|0;jd=g+5104|0;kd=g+5088|0;ld=g+5080|0;md=g+5064|0;nd=g+5056|0;od=g+5040|0;pd=g+5032|0;qd=g+5016|0;rd=g+5008|0;sd=g+4992|0;td=g+4984|0;ud=g+4968|0;vd=g+4960|0;wd=g+4944|0;xd=g+4936|0;yd=g+4920|0;zd=g+4912|0;Ad=g+4896|0;Bd=g+4888|0;Cd=g+4872|0;Dd=g+4864|0;Ed=g+4848|0;Fd=g+4832|0;Gd=g+4824|0;Hd=g+4808|0;Id=g+4792|0;Jd=g+4776|0;Kd=g+4768|0;Ld=g+4752|0;Md=g+4744|0;Nd=g+4728|0;Od=g+4720|0;Pd=g+4704|0;Qd=g+4696|0;Rd=g+4680|0;Sd=g+4672|0;Td=g+4656|0;Ud=g+4648|0;Vd=g+4632|0;Wd=g+4624|0;Xd=g+4608|0;Yd=g+4600|0;Zd=g+4584|0;_d=g+4576|0;$d=g+4560|0;ae=g+4552|0;be=g+4536|0;ce=g+4528|0;de=g+4512|0;ee=g+4504|0;fe=g+4488|0;ge=g+4480|0;he=g+4464|0;ie=g+4456|0;je=g+4440|0;ke=g+4432|0;le=g+4416|0;me=g+4408|0;ne=g+4392|0;oe=g+4384|0;pe=g+4368|0;qe=g+4360|0;re=g+4344|0;se=g+4336|0;te=g+4320|0;ue=g+4312|0;ve=g+4296|0;we=g+4288|0;xe=g+4272|0;ye=g+4264|0;ze=g+4248|0;Ae=g+4240|0;Be=g+4224|0;Ce=g+4216|0;De=g+4200|0;Ee=g+4192|0;Fe=g+4176|0;Ge=g+4168|0;He=g+4152|0;Ie=g+4144|0;Je=g+4128|0;Ke=g+4120|0;Le=g+4104|0;Me=g+4096|0;Ne=g+4080|0;Oe=g+4072|0;Pe=g+4056|0;Qe=g+4048|0;Re=g+4032|0;Se=g+4016|0;Te=g+4e3|0;Ue=g+3984|0;Ve=g+3968|0;We=g+3960|0;Xe=g+3944|0;Ye=g+3936|0;Ze=g+3920|0;_e=g+3912|0;$e=g+3896|0;af=g+3888|0;bf=g+3872|0;cf=g+3864|0;df=g+3848|0;ef=g+3840|0;ff=g+3824|0;gf=g+3816|0;hf=g+3800|0;jf=g+3792|0;kf=g+3776|0;lf=g+3768|0;mf=g+3752|0;nf=g+3744|0;of=g+3728|0;pf=g+3720|0;qf=g+3704|0;rf=g+3696|0;sf=g+3680|0;tf=g+3672|0;uf=g+3656|0;vf=g+3648|0;wf=g+3632|0;xf=g+3624|0;yf=g+3608|0;zf=g+3600|0;Af=g+3584|0;Bf=g+3576|0;Cf=g+3560|0;Df=g+3552|0;Ef=g+3536|0;Ff=g+3528|0;Gf=g+3512|0;Hf=g+3504|0;If=g+3488|0;Jf=g+3480|0;Kf=g+3464|0;Lf=g+3456|0;Mf=g+3440|0;Nf=g+3432|0;Of=g+3416|0;Pf=g+3408|0;Qf=g+3392|0;Rf=g+3384|0;Sf=g+3368|0;Tf=g+3360|0;Uf=g+3344|0;Vf=g+3328|0;Wf=g+3312|0;Xf=g+3304|0;Yf=g+3288|0;Zf=g+3280|0;_f=g+3264|0;$f=g+3256|0;ag=g+3240|0;bg=g+3232|0;cg=g+3216|0;dg=g+3208|0;eg=g+3192|0;fg=g+3184|0;gg=g+3168|0;hg=g+3160|0;ig=g+3144|0;jg=g+3128|0;kg=g+3120|0;lg=g+3104|0;mg=g+3088|0;ng=g+3080|0;og=g+3064|0;pg=g+3056|0;qg=g+3040|0;rg=g+3032|0;sg=g+3016|0;tg=g+3008|0;ug=g+2992|0;vg=g+2984|0;wg=g+2968|0;xg=g+2960|0;yg=g+2944|0;zg=g+2936|0;Ag=g+2920|0;Bg=g+2912|0;Cg=g+2896|0;Dg=g+2888|0;Eg=g+2872|0;Fg=g+2864|0;Gg=g+2848|0;Hg=g+2840|0;Ig=g+2824|0;Jg=g+2816|0;Kg=g+2800|0;Lg=g+2792|0;Mg=g+2776|0;Ng=g+2768|0;Og=g+2752|0;Pg=g+2744|0;Qg=g+2728|0;Rg=g+2720|0;Sg=g+2704|0;Tg=g+2696|0;Ug=g+2680|0;Vg=g+2672|0;Wg=g+2656|0;Xg=g+2648|0;Yg=g+2632|0;Zg=g+2624|0;_g=g+2608|0;$g=g+2592|0;ah=g+2584|0;bh=g+2568|0;ch=g+2560|0;dh=g+2544|0;eh=g+2536|0;fh=g+2520|0;gh=g+2504|0;hh=g+2496|0;ih=g+2480|0;jh=g+2472|0;kh=g+2456|0;lh=g+2448|0;mh=g+2432|0;nh=g+2424|0;oh=g+2408|0;ph=g+2400|0;qh=g+2384|0;rh=g+2376|0;sh=g+2360|0;th=g+2352|0;uh=g+2336|0;vh=g+2328|0;wh=g+2312|0;xh=g+2304|0;yh=g+2288|0;zh=g+2280|0;Ah=g+2264|0;Bh=g+2256|0;Ch=g+2240|0;Dh=g+2232|0;Eh=g+2216|0;Fh=g+2208|0;Gh=g+2192|0;Hh=g+2184|0;Ih=g+2168|0;Jh=g+2160|0;Kh=g+2144|0;Lh=g+2136|0;Mh=g+2120|0;Nh=g+2104|0;Oh=g+2096|0;Ph=g+2080|0;Qh=g+2072|0;Rh=g+2056|0;Sh=g+2048|0;Th=g+2032|0;Uh=g+2024|0;Vh=g+2008|0;Wh=g+1992|0;Xh=g+1976|0;Yh=g+1968|0;Zh=g+1952|0;_h=g+1944|0;$h=g+1928|0;ai=g+1920|0;bi=g+1904|0;ci=g+1896|0;di=g+1880|0;ei=g+1872|0;fi=g+1856|0;gi=g+1848|0;hi=g+1832|0;ii=g+1824|0;ji=g+1808|0;ki=g+1800|0;li=g+1784|0;mi=g+1776|0;ni=g+1760|0;oi=g+1752|0;pi=g+1736|0;qi=g+1728|0;ri=g+1712|0;si=g+1704|0;ti=g+1688|0;ui=g+1680|0;vi=g+1664|0;wi=g+1656|0;xi=g+1640|0;yi=g+1632|0;zi=g+1616|0;Ai=g+1608|0;Bi=g+1592|0;Ci=g+1584|0;Di=g+1568|0;Ei=g+1560|0;Fi=g+1544|0;Gi=g+1536|0;Hi=g+1520|0;Ii=g+1512|0;Ji=g+1496|0;Ki=g+1488|0;Li=g+1472|0;Mi=g+1464|0;Ni=g+1448|0;Oi=g+1440|0;Pi=g+1424|0;Qi=g+1416|0;Ri=g+1400|0;Si=g+1392|0;Ti=g+1376|0;Ui=g+1368|0;Vi=g+1352|0;Wi=g+1344|0;Xi=g+1328|0;Yi=g+1320|0;Zi=g+1304|0;_i=g+1296|0;$i=g+1280|0;aj=g+1272|0;bj=g+1256|0;cj=g+1248|0;dj=g+1232|0;ej=g+1224|0;fj=g+1208|0;gj=g+1200|0;hj=g+1184|0;ij=g+1176|0;jj=g+1160|0;kj=g+1152|0;lj=g+1136|0;mj=g+1128|0;nj=g+1112|0;oj=g+1104|0;pj=g+1088|0;qj=g+1080|0;rj=g+1064|0;sj=g+1056|0;tj=g+1040|0;uj=g+1032|0;vj=g+1016|0;wj=g+1008|0;xj=g+992|0;yj=g+984|0;zj=g+968|0;Aj=g+960|0;Bj=g+944|0;Cj=g+936|0;Dj=g+920|0;Ej=g+912|0;Fj=g+896|0;Gj=g+888|0;Hj=g+872|0;Ij=g+864|0;Jj=g+848|0;Kj=g+840|0;Lj=g+824|0;Mj=g+816|0;Nj=g+800|0;Oj=g+792|0;Pj=g+776|0;Qj=g+768|0;Rj=g+752|0;Sj=g+744|0;Tj=g+728|0;Uj=g+720|0;Vj=g+704|0;Wj=g+696|0;Xj=g+680|0;Yj=g+672|0;Zj=g+656|0;_j=g+648|0;$j=g+632|0;ak=g+624|0;bk=g+608|0;ck=g+600|0;dk=g+584|0;ek=g+576|0;fk=g+560|0;gk=g+552|0;hk=g+536|0;ik=g+528|0;jk=g+512|0;kk=g+504|0;lk=g+488|0;mk=g+480|0;nk=g+464|0;ok=g+456|0;pk=g+440|0;qk=g+432|0;rk=g+416|0;sk=g+408|0;tk=g+392|0;uk=g+384|0;vk=g+368|0;wk=g+360|0;xk=g+344|0;yk=g+336|0;zk=g+320|0;Ak=g+312|0;Bk=g+296|0;Ck=g+288|0;Dk=g+272|0;Ek=g+264|0;Fk=g+248|0;Gk=g+240|0;Hk=g+224|0;Ik=g+216|0;Jk=g+200|0;Kk=g+192|0;Lk=g+176|0;Mk=g+168|0;Nk=g+152|0;Ok=g+144|0;Pk=g+128|0;Qk=g+120|0;Rk=g+104|0;Sk=g+96|0;Tk=g+80|0;Uk=g+64|0;Vk=e+68|0;Wk=e+64|0;Xk=e+72|0;Yk=e+28|0;Zk=e+32|0;_k=e+52|0;$k=e+40|0;al=e+44|0;bl=u+4|0;cl=u+8|0;dl=u+12|0;el=t+4|0;fl=t+8|0;gl=t+12|0;hl=e+60|0;il=x+4|0;jl=x+8|0;kl=x+12|0;ll=e+48|0;ml=w+4|0;nl=w+8|0;ol=w+12|0;pl=e+36|0;ql=K+4|0;rl=K+8|0;sl=K+12|0;tl=S+4|0;ul=S+8|0;vl=S+12|0;wl=C+4|0;xl=C+8|0;yl=C+12|0;zl=z+4|0;Al=z+8|0;Bl=z+12|0;Cl=0;a:while(1){Dl=c[Vk>>2]|0;c[Wk>>2]=Dl;El=Dl;if((Cl|0)>=2){Fl=(c[Xk>>2]|0)-El|0;if((Cl|0)!=2){if((Fl|0)<4){if((Yb(e,4)|0)==1){Gl=89;break}Hl=c[Vk>>2]|0}else Hl=Dl;Il=a[Hl>>0]|0;b:do if(Il<<24>>24>-1){if((Il&255)<40){if(Il<<24>>24!=10){Jl=Hl;break}Kl=Hl+1|0;c[Vk>>2]=Kl;c[Zk>>2]=(c[Zk>>2]|0)+1;c[al>>2]=Kl-(c[_k>>2]|0)+(c[$k>>2]|0);Ll=Cl;Cl=Ll;continue a}switch(Il<<24>>24){case 40:{Kl=Hl+1|0;c[Vk>>2]=Kl;if((a[Kl>>0]|0)!=59){Ll=Cl;Cl=Ll;continue a}c[Vk>>2]=Hl+2;c[pl>>2]=(c[pl>>2]|0)+1;Ll=Cl;Cl=Ll;continue a;break}case 59:{Kl=Hl+1|0;c[Vk>>2]=Kl;if((a[Kl>>0]|0)!=41){Ll=Cl;Cl=Ll;continue a}c[Vk>>2]=Hl+2;Kl=(c[pl>>2]|0)+-1|0;c[pl>>2]=Kl;Cl=(Kl|0)==0?0:Cl;continue a;break}default:{Jl=Hl;break b}}}else{c:do if((Il&255)<240)if((Il&255)>=194){Kl=Hl+1|0;c[Vk>>2]=Kl;Ml=Kl;if((Il&255)<224){Nl=a[Kl>>0]|0;if(Nl<<24>>24<0&(Nl&255)<192){Jl=Kl;break b}else{Ol=Ml;break}}c[hl>>2]=Kl;Nl=a[Kl>>0]|0;if(Il<<24>>24==-32)if((Nl&-32)<<24>>24==-96){Pl=Ml;Ql=Kl;Gl=117;break}else{Ol=Ml;break}else if(Nl<<24>>24<0&(Nl&255)<192){Pl=Ml;Ql=Kl;Gl=117;break}else{Ol=Ml;break}}else Gl=105;else{do if(Il<<24>>24==-16){Ml=Hl+1|0;c[Vk>>2]=Ml;c[hl>>2]=Ml;Kl=Ml;if(((a[Ml>>0]|0)+112&255)<48)Rl=Kl;else{Ol=Kl;break c}}else{if((Il&255)<244){Kl=Hl+1|0;c[Vk>>2]=Kl;c[hl>>2]=Kl;Ml=a[Kl>>0]|0;Nl=Kl;if(Ml<<24>>24<0&(Ml&255)<192){Rl=Nl;break}else{Ol=Nl;break c}}if(Il<<24>>24!=-12){Gl=105;break c}Nl=Hl+1|0;c[Vk>>2]=Nl;c[hl>>2]=Nl;Ml=a[Nl>>0]|0;Kl=Nl;if(Ml<<24>>24<0&(Ml&255)<144)Rl=Kl;else{Ol=Kl;break c}}while(0);Kl=Hl+2|0;c[Vk>>2]=Kl;Ml=a[Kl>>0]|0;if(Ml<<24>>24<0&(Ml&255)<192){Pl=Rl;Ql=Kl;Gl=117}else{Sl=Rl;Gl=118}}while(0);if((Gl|0)==105){Gl=0;Kl=Hl+1|0;c[Vk>>2]=Kl;Ol=Kl}else if((Gl|0)==117){Gl=0;Kl=Ql+1|0;c[Vk>>2]=Kl;Ml=a[Kl>>0]|0;if(Ml<<24>>24<0&(Ml&255)<192){Jl=Kl;break}else{Sl=Pl;Gl=118}}if((Gl|0)==118){Gl=0;c[Vk>>2]=Sl;Ol=Sl}if(a[ll>>0]|0?((c[Xk>>2]|0)-Ol|0)<30:0){Ll=Cl;Cl=Ll;continue a}Kl=c[Zk>>2]|0;Ml=c[_k>>2]|0;Nl=c[$k>>2]|0;Tl=c[al>>2]|0;Ul=(c[Wk>>2]|0)+1-Ml+Nl-Tl|0;c[z>>2]=c[Yk>>2];c[zl>>2]=Kl;c[Al>>2]=Ul;c[Bl>>2]=1-Ml+Nl-Tl+Ol;c[n>>2]=17524;c[h>>2]=c[z>>2];c[h+4>>2]=c[z+4>>2];c[h+8>>2]=c[z+8>>2];c[h+12>>2]=c[z+12>>2];_b(f,h,17477,n);Ll=Cl;Cl=Ll;continue a}while(0);c[Vk>>2]=Jl+1;Ll=Cl;Cl=Ll;continue}if((Fl|0)<2){if((Yb(e,2)|0)==1){Gl=123;break}Vl=c[Vk>>2]|0}else Vl=Dl;Il=a[Vl>>0]|0;do if((a[17542+(Il&255)>>0]|0)<0){Wl=Vl;Gl=161}else{if((Il&255)<225){if((Il&255)<11){Tl=Vl+1|0;c[Vk>>2]=Tl;c[Zk>>2]=(c[Zk>>2]|0)+1;c[al>>2]=Tl-(c[_k>>2]|0)+(c[$k>>2]|0);Cl=0;continue a}if((Il&255)>=194){Tl=Vl+1|0;c[Vk>>2]=Tl;Nl=Tl;if((Il&255)<224){Ml=a[Tl>>0]|0;if(Ml<<24>>24<0&(Ml&255)<192){Wl=Tl;Gl=161;break}else{Xl=Nl;Gl=147;break}}else{c[hl>>2]=Tl;if((a[Tl>>0]&-32)<<24>>24==-96){Yl=1;Zl=Tl;Gl=156;break}else{Xl=Nl;Gl=147;break}}}}else{if((Il&255)<241){Nl=Vl+1|0;c[Vk>>2]=Nl;c[hl>>2]=Nl;Tl=a[Nl>>0]|0;Ml=Nl;if(Il<<24>>24==-16)if((Tl+112&255)<48){_l=1;$l=Nl;Gl=169;break}else{Xl=Ml;Gl=147;break}else if(Tl<<24>>24<0&(Tl&255)<192){Yl=1;Zl=Nl;Gl=156;break}else{Xl=Ml;Gl=147;break}}if((Il&255)<244){Ml=Vl+1|0;c[Vk>>2]=Ml;c[hl>>2]=Ml;Nl=a[Ml>>0]|0;if(Nl<<24>>24<0&(Nl&255)<192){_l=1;$l=Ml;Gl=169;break}else{Xl=Ml;Gl=147;break}}if(Il<<24>>24==-12){Ml=Vl+1|0;c[Vk>>2]=Ml;c[hl>>2]=Ml;Nl=a[Ml>>0]|0;if(Nl<<24>>24<0&(Nl&255)<144){_l=1;$l=Ml;Gl=169;break}else{Xl=Ml;Gl=147;break}}}Ml=Vl+1|0;c[Vk>>2]=Ml;Xl=Ml;Gl=147}while(0);while(1){if((Gl|0)==147){Gl=0;if(!(a[ll>>0]|0))break;else{Gl=148;break}}else if((Gl|0)==156){Gl=0;Il=Zl+1|0;c[Vk>>2]=Il;if((c[Xk>>2]|0)>>>0>Il>>>0)am=Il;else{if((Yb(e,1)|0)==1){Gl=159;break a}am=c[Vk>>2]|0}Il=a[am>>0]|0;if(Il<<24>>24<0&(Il&255)<192){Wl=am;Gl=161;continue}else bm=Yl}else if((Gl|0)==161){Gl=0;Il=Wl;while(1){Fl=Il+1|0;c[Vk>>2]=Fl;c[hl>>2]=Fl;if((c[Xk>>2]|0)>>>0>Fl>>>0)cm=Fl;else{if((Yb(e,1)|0)==1){Gl=136;break a}cm=c[Vk>>2]|0}dm=a[cm>>0]|0;if((a[17542+(dm&255)>>0]|0)<0)Il=cm;else break}if((dm&255)<240){if((dm&255)<194){Cl=2;continue a}if((dm&255)<224){Yl=0;Zl=cm;Gl=156;continue}if(dm<<24>>24!=-32){_l=0;$l=cm;Gl=169;continue}Il=cm+1|0;c[Vk>>2]=Il;if((c[Xk>>2]|0)>>>0>Il>>>0)em=Il;else{if((Yb(e,1)|0)==1){Gl=167;break a}em=c[Vk>>2]|0}if((a[em>>0]&-32)<<24>>24==-96){Yl=0;Zl=em;Gl=156;continue}else{Gl=162;break}}if(dm<<24>>24==-16){Il=cm+1|0;c[Vk>>2]=Il;if((c[Xk>>2]|0)>>>0>Il>>>0)fm=Il;else{if((Yb(e,1)|0)==1){Gl=177;break a}fm=c[Vk>>2]|0}if(((a[fm>>0]|0)+112&255)<48){_l=0;$l=fm;Gl=169;continue}else{Gl=162;break}}if((dm&255)<244){Il=cm+1|0;c[Vk>>2]=Il;if((c[Xk>>2]|0)>>>0>Il>>>0)gm=Il;else{if((Yb(e,1)|0)==1){Gl=182;break a}gm=c[Vk>>2]|0}Il=a[gm>>0]|0;if(Il<<24>>24<0&(Il&255)<192){_l=0;$l=gm;Gl=169;continue}else{Gl=162;break}}if(dm<<24>>24!=-12){Cl=2;continue a}Il=cm+1|0;c[Vk>>2]=Il;if((c[Xk>>2]|0)>>>0>Il>>>0)hm=Il;else{if((Yb(e,1)|0)==1){Gl=187;break a}hm=c[Vk>>2]|0}Il=a[hm>>0]|0;if(Il<<24>>24<0&(Il&255)<144){_l=0;$l=hm;Gl=169;continue}else{Gl=162;break}}else if((Gl|0)==169){Gl=0;Il=$l+1|0;c[Vk>>2]=Il;if((c[Xk>>2]|0)>>>0>Il>>>0)im=Il;else{if((Yb(e,1)|0)==1){Gl=172;break a}im=c[Vk>>2]|0}Il=a[im>>0]|0;if(Il<<24>>24<0&(Il&255)<192){Yl=_l;Zl=im;Gl=156;continue}else bm=_l}Il=c[hl>>2]|0;c[Vk>>2]=Il;if(!bm){Cl=2;continue a}else{Xl=Il;Gl=147}}if((Gl|0)==148){Gl=0;if(((c[Xk>>2]|0)-Xl|0)<30){Cl=2;continue}}else if((Gl|0)==162){Gl=0;c[Vk>>2]=c[hl>>2];Cl=2;continue}Il=c[Zk>>2]|0;Fl=c[_k>>2]|0;Ml=c[$k>>2]|0;Nl=c[al>>2]|0;Tl=(c[Wk>>2]|0)+1-Fl+Ml-Nl|0;c[C>>2]=c[Yk>>2];c[wl>>2]=Il;c[xl>>2]=Tl;c[yl>>2]=1-Fl+Ml-Nl+Xl;c[m>>2]=49720;c[h>>2]=c[C>>2];c[h+4>>2]=c[C+4>>2];c[h+8>>2]=c[C+8>>2];c[h+12>>2]=c[C+12>>2];_b(f,h,17477,m);Cl=2;continue}Nl=(c[Xk>>2]|0)-El|0;if((Cl|0)==1){if((Nl|0)<5){if((Yb(e,5)|0)==1){Gl=8;break}om=c[Vk>>2]|0}else om=Dl;Ml=a[om>>0]|0;d:do if(Ml<<24>>24>-1){e:do if((Ml&255)<34){if(Ml<<24>>24==10){Fl=om+1|0;c[Vk>>2]=Fl;Tl=c[Zk>>2]|0;Il=c[_k>>2]|0;Ul=c[$k>>2]|0;Kl=c[al>>2]|0;pm=(c[Wk>>2]|0)+1-Il+Ul-Kl|0;c[u>>2]=c[Yk>>2];c[bl>>2]=Tl;c[cl>>2]=pm;c[dl>>2]=1-Il+Ul-Kl+Fl;c[h>>2]=c[u>>2];c[h+4>>2]=c[u+4>>2];c[h+8>>2]=c[u+8>>2];c[h+12>>2]=c[u+12>>2];_b(f,h,17459,q);c[Zk>>2]=(c[Zk>>2]|0)+1;c[al>>2]=(c[Vk>>2]|0)-(c[_k>>2]|0)+(c[$k>>2]|0);Cl=0;continue a}if((Ml&255)>31){qm=om;break d}Fl=om+1|0;c[Vk>>2]=Fl;rm=Fl}else{switch(Ml<<24>>24){case 34:{Gl=36;break a;break}case 92:break;default:{qm=om;break d}}Fl=om+1|0;c[Vk>>2]=Fl;c[hl>>2]=Fl;Kl=a[Fl>>0]|0;Ul=Fl;f:do if((Kl&255)<103){if((Kl&255)<48)if((Kl&255)<34)if(Kl<<24>>24==10){rm=Ul;break e}else{sm=Fl;Gl=67;break}else switch(Kl<<24>>24){case 39:case 34:{qm=Fl;break d;break}default:{sm=Fl;Gl=67;break f}}if((Kl&255)<71){if((Kl+-58&255)<7){sm=Fl;Gl=67;break}}else{if(Kl<<24>>24==92){qm=Fl;break d}if((Kl&255)<97){sm=Fl;Gl=67;break}}Il=om+2|0;c[Vk>>2]=Il;pm=a[Il>>0]|0;Tl=Il;if((pm&255)<65)if((pm+-48&255)<10){qm=Il;break d}else{tm=Tl;break}else if((pm&255)<71|(pm+-97&255)<6){qm=Il;break d}else{tm=Tl;break}}else{if(Kl<<24>>24>-1)if((Kl&255)<114)if(Kl<<24>>24==110){qm=Fl;break d}else{sm=Fl;Gl=67;break}else if(Kl<<24>>24!=115&(Kl&255)<117){qm=Fl;break d}else{sm=Fl;Gl=67;break}do if((Kl&255)<240){if((Kl&255)<194){rm=Ul;break e}if((Kl&255)>=224)if(Kl<<24>>24==-32){Tl=om+2|0;c[Vk>>2]=Tl;Il=a[Tl>>0]|0;if((Il&255)<160){c[Vk>>2]=Ul;rm=Ul;break e}if((Il&255)<192)um=Tl;else{c[Vk>>2]=Ul;rm=Ul;break e}}else{vm=1;Gl=76}else um=Fl}else{if(Kl<<24>>24==-16){Tl=om+2|0;c[Vk>>2]=Tl;Il=a[Tl>>0]|0;if((Il&255)<144){c[Vk>>2]=Ul;rm=Ul;break e}if((Il&255)<192){vm=2;Gl=76;break}c[Vk>>2]=Ul;rm=Ul;break e}if((Kl&255)<244){Il=om+2|0;c[Vk>>2]=Il;Tl=a[Il>>0]|0;if(Tl<<24>>24>-1){c[Vk>>2]=Ul;rm=Ul;break e}if((Tl&255)<192){vm=2;Gl=76;break}c[Vk>>2]=Ul;rm=Ul;break e}if(Kl<<24>>24!=-12){rm=Ul;break e}Tl=om+2|0;c[Vk>>2]=Tl;Il=a[Tl>>0]|0;if(Il<<24>>24>-1){c[Vk>>2]=Ul;rm=Ul;break e}if((Il&255)<144){vm=2;Gl=76}else{c[Vk>>2]=Ul;rm=Ul;break e}}while(0);if((Gl|0)==76){Gl=0;Il=om+vm+1|0;c[Vk>>2]=Il;Tl=a[Il>>0]|0;if(Tl<<24>>24>-1){c[Vk>>2]=Ul;rm=Ul;break e}if((Tl&255)<192)um=Il;else{c[Vk>>2]=Ul;rm=Ul;break e}}Il=um+1|0;c[Vk>>2]=Il;Tl=a[Il>>0]|0;if(Tl<<24>>24<0&(Tl&255)<192){sm=Il;Gl=67}else{c[Vk>>2]=Ul;rm=Ul;break e}}while(0);if((Gl|0)==67){Gl=0;Ul=sm+1|0;c[Vk>>2]=Ul;tm=Ul}Ul=c[Zk>>2]|0;Kl=c[Wk>>2]|0;Fl=c[_k>>2]|0;Il=c[$k>>2]|0;Tl=c[al>>2]|0;c[x>>2]=c[Yk>>2];c[il>>2]=Ul;c[jl>>2]=Kl+1-Fl+Il-Tl;c[kl>>2]=1-Fl+Il-Tl+tm;c[o>>2]=tm-Kl;c[o+4>>2]=Kl;c[h>>2]=c[x>>2];c[h+4>>2]=c[x+4>>2];c[h+8>>2]=c[x+8>>2];c[h+12>>2]=c[x+12>>2];_b(f,h,17506,o);Cl=1;continue a}while(0);Kl=c[Zk>>2]|0;Tl=c[_k>>2]|0;Il=c[$k>>2]|0;Fl=c[al>>2]|0;Ul=(c[Wk>>2]|0)+1-Tl+Il-Fl|0;c[t>>2]=c[Yk>>2];c[el>>2]=Kl;c[fl>>2]=Ul;c[gl>>2]=1-Tl+Il-Fl+rm;c[h>>2]=c[t>>2];c[h+4>>2]=c[t+4>>2];c[h+8>>2]=c[t+8>>2];c[h+12>>2]=c[t+12>>2];_b(f,h,17431,r);Cl=1;continue a}else{g:do if((Ml&255)<240)if((Ml&255)>=194){Fl=om+1|0;c[Vk>>2]=Fl;Il=Fl;if((Ml&255)<224){Tl=a[Fl>>0]|0;if(Tl<<24>>24<0&(Tl&255)<192){qm=Fl;break d}else{wm=Il;break}}c[hl>>2]=Fl;Tl=a[Fl>>0]|0;if(Ml<<24>>24==-32)if((Tl&-32)<<24>>24==-96){xm=Il;ym=Fl;Gl=84;break}else{wm=Il;break}else if(Tl<<24>>24<0&(Tl&255)<192){xm=Il;ym=Fl;Gl=84;break}else{wm=Il;break}}else Gl=57;else{do if(Ml<<24>>24==-16){Il=om+1|0;c[Vk>>2]=Il;c[hl>>2]=Il;Fl=Il;if(((a[Il>>0]|0)+112&255)<48)zm=Fl;else{wm=Fl;break g}}else{if((Ml&255)<244){Fl=om+1|0;c[Vk>>2]=Fl;c[hl>>2]=Fl;Il=a[Fl>>0]|0;Tl=Fl;if(Il<<24>>24<0&(Il&255)<192){zm=Tl;break}else{wm=Tl;break g}}if(Ml<<24>>24!=-12){Gl=57;break g}Tl=om+1|0;c[Vk>>2]=Tl;c[hl>>2]=Tl;Il=a[Tl>>0]|0;Fl=Tl;if(Il<<24>>24<0&(Il&255)<144)zm=Fl;else{wm=Fl;break g}}while(0);Fl=om+2|0;c[Vk>>2]=Fl;Il=a[Fl>>0]|0;if(Il<<24>>24<0&(Il&255)<192){xm=zm;ym=Fl;Gl=84}else{Am=zm;Gl=73}}while(0);if((Gl|0)==57){Gl=0;Fl=om+1|0;c[Vk>>2]=Fl;wm=Fl}else if((Gl|0)==84){Gl=0;Fl=ym+1|0;c[Vk>>2]=Fl;Il=a[Fl>>0]|0;if(Il<<24>>24<0&(Il&255)<192){qm=Fl;break}else{Am=xm;Gl=73}}if((Gl|0)==73){Gl=0;c[Vk>>2]=Am;wm=Am}if(a[ll>>0]|0?((c[Xk>>2]|0)-wm|0)<30:0){Cl=1;continue a}Fl=c[Zk>>2]|0;Il=c[_k>>2]|0;Tl=c[$k>>2]|0;Ul=c[al>>2]|0;Kl=(c[Wk>>2]|0)+1-Il+Tl-Ul|0;c[w>>2]=c[Yk>>2];c[ml>>2]=Fl;c[nl>>2]=Kl;c[ol>>2]=1-Il+Tl-Ul+wm;c[p>>2]=17495;c[h>>2]=c[w>>2];c[h+4>>2]=c[w+4>>2];c[h+8>>2]=c[w+8>>2];c[h+12>>2]=c[w+12>>2];_b(f,h,17477,p);Cl=1;continue a}while(0);c[Vk>>2]=qm+1;Cl=1;continue}if((Nl|0)<29){if((Yb(e,29)|0)==1){Gl=192;break}Bm=c[Vk>>2]|0}else Bm=Dl;Cm=a[Bm>>0]|0;if(a[17798+(Cm&255)>>0]&4){Ml=Bm;while(1){El=Ml+1|0;c[Vk>>2]=El;if((c[Xk>>2]|0)>>>0>El>>>0)Dm=El;else{if((Yb(e,1)|0)==1){Gl=246;break a}Dm=c[Vk>>2]|0}if(!(a[17798+(d[Dm>>0]|0)>>0]&4)){Ll=Cl;Cl=Ll;continue a}else Ml=Dm}}h:do if((Cm&255)<103){if((Cm&255)>=45){if((Cm&255)>=60){Gl=210;break a}if((Cm&255)<49){Gl=206;break a}if((Cm&255)<58){Em=Bm;Gl=506;break a}if(Cm<<24>>24==58){Gl=249;break a}Ml=Bm+1|0;c[Vk>>2]=Ml;if((a[Ml>>0]|0)!=59){Fm=Ml;break}c[Vk>>2]=Bm+2;Cl=2;continue a}if((Cm&255)>=36){if((Cm&255)>=41){Gl=203;break a}if((Cm&255)<37){Gl=264;break a}if((Cm&255)<40){Gl=249;break a}Gm=Bm+1|0;c[Vk>>2]=Gm;if((a[Gm>>0]|0)!=59){Gl=271;break a}c[Vk>>2]=Bm+2;c[pl>>2]=1;Cl=3;continue a}if((Cm&255)<32){if((Cm+-9&255)>=2){Hm=Bm;Gl=241;break}Ml=Bm+1|0;c[Vk>>2]=Ml;c[Zk>>2]=(c[Zk>>2]|0)+1;c[al>>2]=Ml-(c[_k>>2]|0)+(c[$k>>2]|0);Ll=Cl;Cl=Ll;continue a}if(Cm<<24>>24!=34){Gl=249;break a}Ml=Bm+1|0;c[Vk>>2]=Ml;c[hl>>2]=Ml;Dl=a[Ml>>0]|0;if((Dl&255)<32){Cl=1;continue a}if(Dl<<24>>24>-1|(Dl+62&255)<51){Im=Dl;Jm=Ml}else{Cl=1;continue a}i:while(1){j:do if(!(a[17798+(Im&255)>>0]&32)){k:do if((Im&255)<224){if((Im&255)<35){Gl=371;break i}if((Im&255)>=93)if((Im&255)>193){Km=Jm;break}else{Gl=2604;break i}Ml=Jm+1|0;c[Vk>>2]=Ml;if((c[Xk>>2]|0)>>>0>Ml>>>0)Lm=Ml;else{if((Yb(e,1)|0)==1){Gl=384;break a}Lm=c[Vk>>2]|0}Ml=a[Lm>>0]|0;do if((Ml&255)<92){if((Ml&255)<40)switch(Ml<<24>>24){case 34:case 39:{Mm=Lm;break j;break}default:{Gl=2590;break i}}if((Ml&255)<58)if((Ml&255)<48){Gl=2591;break i}else break;if((Ml&255)<65){Gl=2596;break i}if((Ml&255)>=71){Gl=2597;break i}}else{if((Ml&255)>=111)if((Ml&255)<115)if(Ml<<24>>24==114){Mm=Lm;break j}else{Gl=2600;break i}else if(Ml<<24>>24==116){Mm=Lm;break j}else{Gl=2601;break i}if((Ml&255)<97)if((Ml&255)<93){Mm=Lm;break j}else{Gl=2598;break i}if((Ml&255)<103)break;if((Ml&255)<110){Gl=2599;break i}else{Mm=Lm;break j}}while(0);Ml=Lm+1|0;c[Vk>>2]=Ml;if((c[Xk>>2]|0)>>>0>Ml>>>0)Nm=Ml;else{if((Yb(e,1)|0)==1){Gl=584;break a}Nm=c[Vk>>2]|0}Ml=a[Nm>>0]|0;if((Ml&255)<65){if((Ml&255)<48){Gl=2592;break i}if((Ml&255)<58){Mm=Nm;break j}else{Gl=2593;break i}}if((Ml&255)<71){Mm=Nm;break j}if((Ml&255)<97){Gl=2594;break i}if((Ml&255)<103){Mm=Nm;break j}else{Gl=2595;break i}}else{do if((Im&255)<241){if((Im&255)<225){Ml=Jm+1|0;c[Vk>>2]=Ml;if((c[Xk>>2]|0)>>>0>Ml>>>0)Om=Ml;else{if((Yb(e,1)|0)==1){Gl=409;break a}Om=c[Vk>>2]|0}Ml=a[Om>>0]|0;if((Ml&255)<160){Gl=2605;break i}if((Ml&255)<192){Km=Om;break k}else{Gl=2606;break i}}if((Im&255)<240){Pm=Jm;break}Ml=Jm+1|0;c[Vk>>2]=Ml;if((c[Xk>>2]|0)>>>0>Ml>>>0)Qm=Ml;else{if((Yb(e,1)|0)==1){Gl=421;break a}Qm=c[Vk>>2]|0}Ml=a[Qm>>0]|0;if((Ml&255)<144){Gl=2609;break i}if((Ml&255)<192)Pm=Qm;else{Gl=2610;break i}}else{if((Im&255)<244){Ml=Jm+1|0;c[Vk>>2]=Ml;if((c[Xk>>2]|0)>>>0>Ml>>>0)Rm=Ml;else{if((Yb(e,1)|0)==1){Gl=427;break a}Rm=c[Vk>>2]|0}Ml=a[Rm>>0]|0;if(Ml<<24>>24>-1){Gl=2611;break i}if((Ml&255)<192){Pm=Rm;break}else{Gl=2612;break i}}if(Im<<24>>24!=-12){Gl=2615;break i}Ml=Jm+1|0;c[Vk>>2]=Ml;if((c[Xk>>2]|0)>>>0>Ml>>>0)Sm=Ml;else{if((Yb(e,1)|0)==1){Gl=433;break a}Sm=c[Vk>>2]|0}Ml=a[Sm>>0]|0;if(Ml<<24>>24>-1){Gl=2613;break i}if((Ml&255)<144)Pm=Sm;else{Gl=2614;break i}}while(0);Ml=Pm+1|0;c[Vk>>2]=Ml;if((c[Xk>>2]|0)>>>0>Ml>>>0)Tm=Ml;else{if((Yb(e,1)|0)==1){Gl=415;break a}Tm=c[Vk>>2]|0}Ml=a[Tm>>0]|0;if(Ml<<24>>24>-1){Gl=2607;break i}if((Ml&255)<192)Km=Tm;else{Gl=2608;break i}}while(0);Ml=Km+1|0;c[Vk>>2]=Ml;if((c[Xk>>2]|0)>>>0>Ml>>>0)Um=Ml;else{if((Yb(e,1)|0)==1){Gl=403;break a}Um=c[Vk>>2]|0}Ml=a[Um>>0]|0;if(Ml<<24>>24>-1){Gl=2602;break i}if((Ml&255)<192)Mm=Um;else{Gl=2603;break i}}else Mm=Jm;while(0);Ml=Mm+1|0;c[Vk>>2]=Ml;if((c[Xk>>2]|0)>>>0>Ml>>>0)Vm=Ml;else{if((Yb(e,1)|0)==1){Gl=366;break a}Vm=c[Vk>>2]|0}Im=a[Vm>>0]|0;Jm=Vm}switch(Gl|0){case 371:{Gl=0;if((Im&255)>31){Gl=380;break a}c[Vk>>2]=c[hl>>2];Cl=1;continue a;break}case 2590:{Gl=0;c[Vk>>2]=c[hl>>2];Cl=1;continue a;break}case 2591:{Gl=0;c[Vk>>2]=c[hl>>2];Cl=1;continue a;break}case 2592:{Gl=0;c[Vk>>2]=c[hl>>2];Cl=1;continue a;break}case 2593:{Gl=0;c[Vk>>2]=c[hl>>2];Cl=1;continue a;break}case 2594:{Gl=0;c[Vk>>2]=c[hl>>2];Cl=1;continue a;break}case 2595:{Gl=0;c[Vk>>2]=c[hl>>2];Cl=1;continue a;break}case 2596:{Gl=0;c[Vk>>2]=c[hl>>2];Cl=1;continue a;break}case 2597:{Gl=0;c[Vk>>2]=c[hl>>2];Cl=1;continue a;break}case 2598:{Gl=0;c[Vk>>2]=c[hl>>2];Cl=1;continue a;break}case 2599:{Gl=0;c[Vk>>2]=c[hl>>2];Cl=1;continue a;break}case 2600:{Gl=0;c[Vk>>2]=c[hl>>2];Cl=1;continue a;break}case 2601:{Gl=0;c[Vk>>2]=c[hl>>2];Cl=1;continue a;break}case 2602:{Gl=0;c[Vk>>2]=c[hl>>2];Cl=1;continue a;break}case 2603:{Gl=0;c[Vk>>2]=c[hl>>2];Cl=1;continue a;break}case 2604:{Gl=0;c[Vk>>2]=c[hl>>2];Cl=1;continue a;break}case 2605:{Gl=0;c[Vk>>2]=c[hl>>2];Cl=1;continue a;break}case 2606:{Gl=0;c[Vk>>2]=c[hl>>2];Cl=1;continue a;break}case 2607:{Gl=0;c[Vk>>2]=c[hl>>2];Cl=1;continue a;break}case 2608:{Gl=0;c[Vk>>2]=c[hl>>2];Cl=1;continue a;break}case 2609:{Gl=0;c[Vk>>2]=c[hl>>2];Cl=1;continue a;break}case 2610:{Gl=0;c[Vk>>2]=c[hl>>2];Cl=1;continue a;break}case 2611:{Gl=0;c[Vk>>2]=c[hl>>2];Cl=1;continue a;break}case 2612:{Gl=0;c[Vk>>2]=c[hl>>2];Cl=1;continue a;break}case 2613:{Gl=0;c[Vk>>2]=c[hl>>2];Cl=1;continue a;break}case 2614:{Gl=0;c[Vk>>2]=c[hl>>2];Cl=1;continue a;break}case 2615:{Gl=0;c[Vk>>2]=c[hl>>2];Cl=1;continue a;break}}}else{if((Cm&255)<117){Gl=217;break a}l:do if((Cm&255)<194){if((Cm&255)<120){Gl=231;break a}if((Cm&255)<127){Gl=249;break a}if(Cm<<24>>24<0)Gl=353;else{Hm=Bm;Gl=241;break h}}else{do if((Cm&255)<240){Ml=Bm+1|0;c[Vk>>2]=Ml;Dl=Ml;if((Cm&255)<224){Nl=a[Ml>>0]|0;if(Nl<<24>>24<0&(Nl&255)<192){Hm=Ml;Gl=241;break h}else{Wm=Dl;break l}}c[hl>>2]=Ml;Nl=a[Ml>>0]|0;if(Cm<<24>>24==-32)if((Nl&-32)<<24>>24==-96){Xm=Dl;Ym=Ml;Gl=579;break}else{Wm=Dl;break l}else if(Nl<<24>>24<0&(Nl&255)<192){Xm=Dl;Ym=Ml;Gl=579;break}else{Wm=Dl;break l}}else{do if(Cm<<24>>24==-16){Dl=Bm+1|0;c[Vk>>2]=Dl;c[hl>>2]=Dl;Ml=Dl;if(((a[Dl>>0]|0)+112&255)<48)Zm=Ml;else{Wm=Ml;break l}}else{if((Cm&255)<244){Ml=Bm+1|0;c[Vk>>2]=Ml;c[hl>>2]=Ml;Dl=a[Ml>>0]|0;Nl=Ml;if(Dl<<24>>24<0&(Dl&255)<192){Zm=Nl;break}else{Wm=Nl;break l}}if(Cm<<24>>24!=-12){Gl=353;break l}Nl=Bm+1|0;c[Vk>>2]=Nl;c[hl>>2]=Nl;Dl=a[Nl>>0]|0;Ml=Nl;if(Dl<<24>>24<0&(Dl&255)<144)Zm=Ml;else{Wm=Ml;break l}}while(0);Ml=Bm+2|0;c[Vk>>2]=Ml;Dl=a[Ml>>0]|0;if(Dl<<24>>24<0&(Dl&255)<192){Xm=Zm;Ym=Ml;Gl=579}else _m=Zm}while(0);if((Gl|0)==579){Gl=0;Ml=Ym+1|0;c[Vk>>2]=Ml;Dl=a[Ml>>0]|0;if(Dl<<24>>24<0&(Dl&255)<192){Hm=Ml;Gl=241;break h}else _m=Xm}c[Vk>>2]=_m;Wm=_m}while(0);if((Gl|0)==353){Gl=0;Ml=Bm+1|0;c[Vk>>2]=Ml;Wm=Ml}if(a[ll>>0]|0?((c[Xk>>2]|0)-Wm|0)<30:0){Ll=Cl;Cl=Ll;continue a}Ml=c[Zk>>2]|0;Dl=c[_k>>2]|0;Nl=c[$k>>2]|0;El=c[al>>2]|0;Ul=(c[Wk>>2]|0)+1-Dl+Nl-El|0;c[S>>2]=c[Yk>>2];c[tl>>2]=Ml;c[ul>>2]=Ul;c[vl>>2]=1-Dl+Nl-El+Wm;c[j>>2]=49720;c[h>>2]=c[S>>2];c[h+4>>2]=c[S+4>>2];c[h+8>>2]=c[S+8>>2];c[h+12>>2]=c[S+12>>2];_b(f,h,17477,j);Ll=Cl;Cl=Ll;continue a}while(0);if((Gl|0)==241){Gl=0;El=Hm+1|0;c[Vk>>2]=El;Fm=El}El=c[Zk>>2]|0;Nl=c[_k>>2]|0;Dl=c[$k>>2]|0;Ul=c[al>>2]|0;Ml=(c[Wk>>2]|0)+1-Nl+Dl-Ul|0;c[K>>2]=c[Yk>>2];c[ql>>2]=El;c[rl>>2]=Ml;c[sl>>2]=1-Nl+Dl-Ul+Fm;c[h>>2]=c[K>>2];c[h+4>>2]=c[K+4>>2];c[h+8>>2]=c[K+8>>2];c[h+12>>2]=c[K+12>>2];_b(f,h,18054,k);Ll=Cl;Cl=Ll}m:switch(Gl|0){case 8:{Ll=c[Zk>>2]|0;Cl=c[_k>>2]|0;k=c[$k>>2]|0;f=c[al>>2]|0;K=(c[Wk>>2]|0)+1-Cl+k-f|0;Fm=1-Cl+k-f+(c[Vk>>2]|0)|0;c[s>>2]=c[Yk>>2];c[s+4>>2]=Ll;c[s+8>>2]=K;c[s+12>>2]=Fm;c[h>>2]=c[s>>2];c[h+4>>2]=c[s+4>>2];c[h+8>>2]=c[s+8>>2];c[h+12>>2]=c[s+12>>2];jm(b,h,13);l=g;return}case 36:{s=om+1|0;c[Vk>>2]=s;om=c[Zk>>2]|0;Fm=c[Wk>>2]|0;K=c[_k>>2]|0;Ll=c[$k>>2]|0;f=c[al>>2]|0;k=s;c[v>>2]=c[Yk>>2];c[v+4>>2]=om;c[v+8>>2]=Fm+1-K+Ll-f;c[v+12>>2]=1-K+Ll-f+k;c[i>>2]=0;c[i+4>>2]=0;c[i+8>>2]=0;Rt(i,Fm,k-Fm|0);c[h>>2]=c[v>>2];c[h+4>>2]=c[v+4>>2];c[h+8>>2]=c[v+8>>2];c[h+12>>2]=c[v+12>>2];lm(b,h,83,i);Wt(i);l=g;return}case 89:{v=c[Zk>>2]|0;Fm=c[_k>>2]|0;k=c[$k>>2]|0;f=c[al>>2]|0;Ll=(c[Wk>>2]|0)+1-Fm+k-f|0;K=1-Fm+k-f+(c[Vk>>2]|0)|0;c[y>>2]=c[Yk>>2];c[y+4>>2]=v;c[y+8>>2]=Ll;c[y+12>>2]=K;c[h>>2]=c[y>>2];c[h+4>>2]=c[y+4>>2];c[h+8>>2]=c[y+8>>2];c[h+12>>2]=c[y+12>>2];jm(b,h,13);l=g;return}case 123:{y=c[Zk>>2]|0;K=c[_k>>2]|0;Ll=c[$k>>2]|0;v=c[al>>2]|0;f=(c[Wk>>2]|0)+1-K+Ll-v|0;k=1-K+Ll-v+(c[Vk>>2]|0)|0;c[A>>2]=c[Yk>>2];c[A+4>>2]=y;c[A+8>>2]=f;c[A+12>>2]=k;c[h>>2]=c[A>>2];c[h+4>>2]=c[A+4>>2];c[h+8>>2]=c[A+8>>2];c[h+12>>2]=c[A+12>>2];jm(b,h,13);l=g;return}case 136:{A=c[Zk>>2]|0;k=c[_k>>2]|0;f=c[$k>>2]|0;y=c[al>>2]|0;v=(c[Wk>>2]|0)+1-k+f-y|0;Ll=1-k+f-y+(c[Vk>>2]|0)|0;c[B>>2]=c[Yk>>2];c[B+4>>2]=A;c[B+8>>2]=v;c[B+12>>2]=Ll;c[h>>2]=c[B>>2];c[h+4>>2]=c[B+4>>2];c[h+8>>2]=c[B+8>>2];c[h+12>>2]=c[B+12>>2];jm(b,h,13);l=g;return}case 159:{B=c[Zk>>2]|0;Ll=c[_k>>2]|0;v=c[$k>>2]|0;A=c[al>>2]|0;y=(c[Wk>>2]|0)+1-Ll+v-A|0;f=1-Ll+v-A+(c[Vk>>2]|0)|0;c[D>>2]=c[Yk>>2];c[D+4>>2]=B;c[D+8>>2]=y;c[D+12>>2]=f;c[h>>2]=c[D>>2];c[h+4>>2]=c[D+4>>2];c[h+8>>2]=c[D+8>>2];c[h+12>>2]=c[D+12>>2];jm(b,h,13);l=g;return}case 167:{D=c[Zk>>2]|0;f=c[_k>>2]|0;y=c[$k>>2]|0;B=c[al>>2]|0;A=(c[Wk>>2]|0)+1-f+y-B|0;v=1-f+y-B+(c[Vk>>2]|0)|0;c[E>>2]=c[Yk>>2];c[E+4>>2]=D;c[E+8>>2]=A;c[E+12>>2]=v;c[h>>2]=c[E>>2];c[h+4>>2]=c[E+4>>2];c[h+8>>2]=c[E+8>>2];c[h+12>>2]=c[E+12>>2];jm(b,h,13);l=g;return}case 172:{E=c[Zk>>2]|0;v=c[_k>>2]|0;A=c[$k>>2]|0;D=c[al>>2]|0;B=(c[Wk>>2]|0)+1-v+A-D|0;y=1-v+A-D+(c[Vk>>2]|0)|0;c[F>>2]=c[Yk>>2];c[F+4>>2]=E;c[F+8>>2]=B;c[F+12>>2]=y;c[h>>2]=c[F>>2];c[h+4>>2]=c[F+4>>2];c[h+8>>2]=c[F+8>>2];c[h+12>>2]=c[F+12>>2];jm(b,h,13);l=g;return}case 177:{F=c[Zk>>2]|0;y=c[_k>>2]|0;B=c[$k>>2]|0;E=c[al>>2]|0;D=(c[Wk>>2]|0)+1-y+B-E|0;A=1-y+B-E+(c[Vk>>2]|0)|0;c[G>>2]=c[Yk>>2];c[G+4>>2]=F;c[G+8>>2]=D;c[G+12>>2]=A;c[h>>2]=c[G>>2];c[h+4>>2]=c[G+4>>2];c[h+8>>2]=c[G+8>>2];c[h+12>>2]=c[G+12>>2];jm(b,h,13);l=g;return}case 182:{G=c[Zk>>2]|0;A=c[_k>>2]|0;D=c[$k>>2]|0;F=c[al>>2]|0;E=(c[Wk>>2]|0)+1-A+D-F|0;B=1-A+D-F+(c[Vk>>2]|0)|0;c[H>>2]=c[Yk>>2];c[H+4>>2]=G;c[H+8>>2]=E;c[H+12>>2]=B;c[h>>2]=c[H>>2];c[h+4>>2]=c[H+4>>2];c[h+8>>2]=c[H+8>>2];c[h+12>>2]=c[H+12>>2];jm(b,h,13);l=g;return}case 187:{H=c[Zk>>2]|0;B=c[_k>>2]|0;E=c[$k>>2]|0;G=c[al>>2]|0;F=(c[Wk>>2]|0)+1-B+E-G|0;D=1-B+E-G+(c[Vk>>2]|0)|0;c[I>>2]=c[Yk>>2];c[I+4>>2]=H;c[I+8>>2]=F;c[I+12>>2]=D;c[h>>2]=c[I>>2];c[h+4>>2]=c[I+4>>2];c[h+8>>2]=c[I+8>>2];c[h+12>>2]=c[I+12>>2];jm(b,h,13);l=g;return}case 192:{I=c[Zk>>2]|0;D=c[_k>>2]|0;F=c[$k>>2]|0;H=c[al>>2]|0;G=(c[Wk>>2]|0)+1-D+F-H|0;E=1-D+F-H+(c[Vk>>2]|0)|0;c[J>>2]=c[Yk>>2];c[J+4>>2]=I;c[J+8>>2]=G;c[J+12>>2]=E;c[h>>2]=c[J>>2];c[h+4>>2]=c[J+4>>2];c[h+8>>2]=c[J+8>>2];c[h+12>>2]=c[J+12>>2];jm(b,h,13);l=g;return}case 203:{switch(Cm<<24>>24){case 43:{Gl=273;break m;break}case 41:break;default:{Gl=249;break m}}J=Bm+1|0;c[Vk>>2]=J;E=c[Zk>>2]|0;G=c[_k>>2]|0;I=c[$k>>2]|0;H=c[al>>2]|0;F=(c[Wk>>2]|0)+1-G+I-H|0;c[P>>2]=c[Yk>>2];c[P+4>>2]=E;c[P+8>>2]=F;c[P+12>>2]=1-G+I-H+J;c[h>>2]=c[P>>2];c[h+4>>2]=c[P+4>>2];c[h+8>>2]=c[P+8>>2];c[h+12>>2]=c[P+12>>2];jm(b,h,31);l=g;return}case 206:{if((Cm&255)>=46)if((Cm&255)>=48){P=Bm+1|0;c[Vk>>2]=P;J=a[P>>0]|0;H=P;if(((J&255)+-48|0)>>>0>=10){if((J&255)<60){if((J&255)<40)if(J<<24>>24==33|(J&255)>34){Gl=249;break}else{$m=H;Gl=294;break}if((J&255)<46)if((J&255)>41){Gl=249;break}else{$m=H;Gl=294;break}if(J<<24>>24==46){an=P;Gl=485;break}if((J&255)<59){Gl=249;break}else{$m=H;Gl=294;break}}if((J&255)<101)if((J&255)<70)if(J<<24>>24==69){bn=P;Gl=497;break}else{Gl=249;break}else if(J<<24>>24==95){cn=P;Gl=501;break}else{Gl=249;break}if((J&255)<120)if((J&255)<102){bn=P;Gl=497;break}else{Gl=249;break}if(J<<24>>24!=120)if((J&255)<127){Gl=249;break}else{$m=H;Gl=294;break}else dn=P;n:while(1){H=dn+1|0;c[Vk>>2]=H;if((c[Xk>>2]|0)>>>0>H>>>0)en=H;else{if((Yb(e,1)|0)==1){Gl=515;break}en=c[Vk>>2]|0}fn=a[en>>0]|0;if((a[17798+(fn&255)>>0]|0)<0)gn=en;else{Gl=517;break}while(1){H=gn+1|0;c[Vk>>2]=H;J=H;if(((c[Xk>>2]|0)-J|0)<3){if((Yb(e,3)|0)==1){Gl=663;break n}I=c[Vk>>2]|0;hn=I;jn=I}else{hn=J;jn=H}kn=a[jn>>0]|0;if((a[17798+(kn&255)>>0]|0)<0)gn=jn;else break}if((kn&255)<59){Gl=666;break}if((kn&255)<95){Gl=671;break}if((kn&255)>=112){Gl=675;break}if((kn&255)<96)dn=jn;else{Gl=249;break m}}if((Gl|0)==515){dn=c[Zk>>2]|0;gn=c[_k>>2]|0;H=c[$k>>2]|0;J=c[al>>2]|0;I=(c[Wk>>2]|0)+1-gn+H-J|0;G=1-gn+H-J+(c[Vk>>2]|0)|0;c[ga>>2]=c[Yk>>2];c[ga+4>>2]=dn;c[ga+8>>2]=I;c[ga+12>>2]=G;c[h>>2]=c[ga>>2];c[h+4>>2]=c[ga+4>>2];c[h+8>>2]=c[ga+8>>2];c[h+12>>2]=c[ga+12>>2];jm(b,h,13);l=g;return}else if((Gl|0)==517){ga=en;if((fn&255)<40)if(fn<<24>>24!=33&(fn&255)<35){ln=ga;Gl=261;break}else{Gl=249;break}if((fn&255)<59)if((fn&255)<42){ln=ga;Gl=261;break}else{Gl=249;break}else if(fn<<24>>24!=59&(fn&255)<127){Gl=249;break}else{ln=ga;Gl=261;break}}else if((Gl|0)==663){ga=c[Zk>>2]|0;fn=c[_k>>2]|0;en=c[$k>>2]|0;G=c[al>>2]|0;I=(c[Wk>>2]|0)+1-fn+en-G|0;dn=1-fn+en-G+(c[Vk>>2]|0)|0;c[ra>>2]=c[Yk>>2];c[ra+4>>2]=ga;c[ra+8>>2]=I;c[ra+12>>2]=dn;c[h>>2]=c[ra>>2];c[h+4>>2]=c[ra+4>>2];c[h+8>>2]=c[ra+8>>2];c[h+12>>2]=c[ra+12>>2];jm(b,h,13);l=g;return}else if((Gl|0)==666){if((kn&255)<40)if(kn<<24>>24!=33&(kn&255)<35){$m=hn;Gl=294;break}else{Gl=249;break}if((kn&255)<42){$m=hn;Gl=294;break}if(kn<<24>>24==46){mn=jn;Gl=811;break}else{Gl=249;break}}else if((Gl|0)==671){if((kn&255)<60){$m=hn;Gl=294;break}if(kn<<24>>24==80){nn=jn;Gl=827;break}else{Gl=249;break}}else if((Gl|0)==675){if(kn<<24>>24==112){nn=jn;Gl=827;break}if((kn&255)<127){Gl=249;break}else{$m=hn;Gl=294;break}}}else{Em=P;Gl=506}}else Gl=249;else Gl=273;break}case 210:{if((Cm&255)<99){if((Cm&255)<97){Gl=249;break}P=Bm+1|0;c[Vk>>2]=P;hn=a[P>>0]|0;if(Cm<<24>>24!=97){if((hn&255)<108){if(hn<<24>>24!=105){on=hn;Gl=254;break}P=Bm+2|0;c[Vk>>2]=P;kn=a[P>>0]|0;if(kn<<24>>24!=110){on=kn;Gl=254;break}kn=Bm+3|0;c[Vk>>2]=kn;P=a[kn>>0]|0;if(P<<24>>24!=97){on=P;Gl=254;break}P=Bm+4|0;c[Vk>>2]=P;kn=a[P>>0]|0;if(kn<<24>>24!=114){on=kn;Gl=254;break}kn=Bm+5|0;c[Vk>>2]=kn;P=a[kn>>0]|0;if(P<<24>>24!=121){on=P;Gl=254;break}P=Bm+6|0;c[Vk>>2]=P;if(a[17798+(d[P>>0]|0)>>0]&8){Gl=249;break}kn=c[Zk>>2]|0;jn=c[_k>>2]|0;ra=c[$k>>2]|0;dn=c[al>>2]|0;I=(c[Wk>>2]|0)+1-jn+ra-dn|0;c[nb>>2]=c[Yk>>2];c[nb+4>>2]=kn;c[nb+8>>2]=I;c[nb+12>>2]=1-jn+ra-dn+P;c[h>>2]=c[nb>>2];c[h+4>>2]=c[nb+4>>2];c[h+8>>2]=c[nb+8>>2];c[h+12>>2]=c[nb+12>>2];jm(b,h,10);l=g;return}switch(hn<<24>>24){case 108:{nb=Bm+2|0;c[Vk>>2]=nb;P=a[nb>>0]|0;if(P<<24>>24!=111){on=P;Gl=254;break m}P=Bm+3|0;c[Vk>>2]=P;nb=a[P>>0]|0;if(nb<<24>>24!=99){on=nb;Gl=254;break m}nb=Bm+4|0;c[Vk>>2]=nb;P=a[nb>>0]|0;if(P<<24>>24!=107){on=P;Gl=254;break m}P=Bm+5|0;c[Vk>>2]=P;if(a[17798+(d[P>>0]|0)>>0]&8){Gl=249;break m}nb=c[Zk>>2]|0;dn=c[_k>>2]|0;ra=c[$k>>2]|0;jn=c[al>>2]|0;I=(c[Wk>>2]|0)+1-dn+ra-jn|0;c[$a>>2]=c[Yk>>2];c[$a+4>>2]=nb;c[$a+8>>2]=I;c[$a+12>>2]=1-dn+ra-jn+P;c[ab>>2]=2;c[i>>2]=c[$a>>2];c[i+4>>2]=c[$a+4>>2];c[i+8>>2]=c[$a+8>>2];c[i+12>>2]=c[$a+12>>2];c[h>>2]=c[ab>>2];mm(b,i,45,h);l=g;return}case 114:break;default:{on=hn;Gl=254;break m}}ab=Bm+2|0;c[Vk>>2]=ab;$a=a[ab>>0]|0;P=ab;do if(($a&255)<42)if(($a&255)<34)if($a<<24>>24==33){Gl=249;break m}else break;else if($a<<24>>24!=34&($a&255)<40){Gl=249;break m}else break;else{if(($a&255)<95)if($a<<24>>24==59)break;else{Gl=249;break m}if($a<<24>>24!=95)if(($a&255)<127){Gl=249;break m}else break;ab=Bm+3|0;c[Vk>>2]=ab;jn=a[ab>>0]|0;switch(jn<<24>>24){case 105:{ab=Bm+4|0;c[Vk>>2]=ab;ra=a[ab>>0]|0;if(ra<<24>>24!=102){on=ra;Gl=254;break m}ra=Bm+5|0;c[Vk>>2]=ra;if(a[17798+(d[ra>>0]|0)>>0]&8){Gl=249;break m}ab=c[Zk>>2]|0;dn=c[_k>>2]|0;I=c[$k>>2]|0;nb=c[al>>2]|0;kn=(c[Wk>>2]|0)+1-dn+I-nb|0;c[bb>>2]=c[Yk>>2];c[bb+4>>2]=ab;c[bb+8>>2]=kn;c[bb+12>>2]=1-dn+I-nb+ra;c[cb>>2]=13;c[i>>2]=c[bb>>2];c[i+4>>2]=c[bb+4>>2];c[i+8>>2]=c[bb+8>>2];c[i+12>>2]=c[bb+12>>2];c[h>>2]=c[cb>>2];mm(b,i,47,h);l=g;return}case 116:break;default:{on=jn;Gl=254;break m}}jn=Bm+4|0;c[Vk>>2]=jn;ra=a[jn>>0]|0;if(ra<<24>>24!=97){on=ra;Gl=254;break m}ra=Bm+5|0;c[Vk>>2]=ra;jn=a[ra>>0]|0;if(jn<<24>>24!=98){on=jn;Gl=254;break m}jn=Bm+6|0;c[Vk>>2]=jn;ra=a[jn>>0]|0;if(ra<<24>>24!=108){on=ra;Gl=254;break m}ra=Bm+7|0;c[Vk>>2]=ra;jn=a[ra>>0]|0;if(jn<<24>>24!=101){on=jn;Gl=254;break m}jn=Bm+8|0;c[Vk>>2]=jn;if(a[17798+(d[jn>>0]|0)>>0]&8){Gl=249;break m}ra=c[Zk>>2]|0;nb=c[_k>>2]|0;I=c[$k>>2]|0;dn=c[al>>2]|0;kn=(c[Wk>>2]|0)+1-nb+I-dn|0;c[Jd>>2]=c[Yk>>2];c[Jd+4>>2]=ra;c[Jd+8>>2]=kn;c[Jd+12>>2]=1-nb+I-dn+jn;c[Kd>>2]=14;c[i>>2]=c[Jd>>2];c[i+4>>2]=c[Jd+4>>2];c[i+8>>2]=c[Jd+8>>2];c[i+12>>2]=c[Jd+12>>2];c[h>>2]=c[Kd>>2];mm(b,i,48,h);l=g;return}while(0);Kd=c[Zk>>2]|0;Jd=c[_k>>2]|0;cb=c[$k>>2]|0;bb=c[al>>2]|0;$a=(c[Wk>>2]|0)+1-Jd+cb-bb|0;c[ha>>2]=c[Yk>>2];c[ha+4>>2]=Kd;c[ha+8>>2]=$a;c[ha+12>>2]=1-Jd+cb-bb+P;c[ia>>2]=12;c[i>>2]=c[ha>>2];c[i+4>>2]=c[ha+4>>2];c[i+8>>2]=c[ha+8>>2];c[i+12>>2]=c[ha+12>>2];c[h>>2]=c[ia>>2];mm(b,i,46,h);l=g;return}if((hn&255)<110){if(hn<<24>>24!=108){on=hn;Gl=254;break}ia=Bm+2|0;c[Vk>>2]=ia;ha=a[ia>>0]|0;if(ha<<24>>24!=105){on=ha;Gl=254;break}ha=Bm+3|0;c[Vk>>2]=ha;ia=a[ha>>0]|0;if(ia<<24>>24!=103){on=ia;Gl=254;break}ia=Bm+4|0;c[Vk>>2]=ia;ha=a[ia>>0]|0;if(ha<<24>>24!=110){on=ha;Gl=254;break}ha=Bm+5|0;c[Vk>>2]=ha;ia=a[ha>>0]|0;if(ia<<24>>24!=61){on=ia;Gl=254;break}ia=Bm+6|0;c[Vk>>2]=ia;ha=a[ia>>0]|0;if((ha&255)<48){on=ha;Gl=254;break}do if(ha<<24>>24==48){P=Bm+7|0;c[Vk>>2]=P;bb=a[P>>0]|0;cb=P;if((bb&255)<58){if((bb&255)<35)if(bb<<24>>24==33){Gl=249;break m}else{pn=cb;Gl=1323;break}if((bb&255)<40){Gl=249;break m}if((bb&255)<42){pn=cb;Gl=1323;break}if((bb&255)<48){Gl=249;break m}else{qn=P;Gl=1508;break}}if((bb&255)<96){if(bb<<24>>24==59){pn=cb;Gl=1323;break}if((bb&255)<95){Gl=249;break m}else{rn=P;Gl=1498;break}}if(bb<<24>>24!=120)if((bb&255)<127){Gl=249;break m}else{pn=cb;Gl=1323;break}else sn=P;o:while(1){P=sn+1|0;c[Vk>>2]=P;if((c[Xk>>2]|0)>>>0>P>>>0)tn=P;else{if((Yb(e,1)|0)==1){Gl=1513;break}tn=c[Vk>>2]|0}un=a[tn>>0]|0;do if((un&255)<58){if((un&255)<35){Gl=1516;break o}if((un&255)<40){Gl=249;break m}if((un&255)<42){Gl=259;break o}if((un&255)<48){Gl=249;break m}else vn=tn}else if((un&255)<71){if(un<<24>>24==59){Gl=259;break o}if((un&255)<65){Gl=249;break m}else{vn=tn;break}}else{if((un&255)<97){Gl=249;break m}if((un&255)<103){vn=tn;break}else{Gl=1525;break o}}while(0);while(1){P=vn+1|0;c[Vk>>2]=P;if((c[Xk>>2]|0)>>>0>P>>>0)wn=P;else{if((Yb(e,1)|0)==1){Gl=1690;break o}wn=c[Vk>>2]|0}xn=a[wn>>0]|0;if((xn&255)<59){if((xn&255)<40){Gl=1693;break o}if((xn&255)<42){Gl=1322;break o}if((xn+-48&255)<10){vn=wn;continue}else{Gl=249;break m}}if((xn&255)<95){if((xn&255)<60){Gl=1322;break o}if((xn+-65&255)<6){vn=wn;continue}else{Gl=249;break m}}else{if((xn&255)<97)break;if((xn&255)<103){vn=wn;continue}else{Gl=1702;break o}}}if(xn<<24>>24==96){Gl=249;break m}else sn=wn}if((Gl|0)==259){ln=tn;Gl=261;break m}else if((Gl|0)==1322){pn=wn;Gl=1323;break}else if((Gl|0)==1513){P=c[Zk>>2]|0;cb=c[_k>>2]|0;bb=c[$k>>2]|0;Jd=c[al>>2]|0;$a=(c[Wk>>2]|0)+1-cb+bb-Jd|0;Kd=1-cb+bb-Jd+(c[Vk>>2]|0)|0;c[Id>>2]=c[Yk>>2];c[Id+4>>2]=P;c[Id+8>>2]=$a;c[Id+12>>2]=Kd;c[h>>2]=c[Id>>2];c[h+4>>2]=c[Id+4>>2];c[h+8>>2]=c[Id+8>>2];c[h+12>>2]=c[Id+12>>2];jm(b,h,13);l=g;return}else if((Gl|0)==1516)if(un<<24>>24==33){Gl=249;break m}else{ln=tn;Gl=261;break m}else if((Gl|0)==1525)if((un&255)<127){Gl=249;break m}else{ln=tn;Gl=261;break m}else if((Gl|0)==1690){Kd=c[Zk>>2]|0;$a=c[_k>>2]|0;P=c[$k>>2]|0;Jd=c[al>>2]|0;bb=(c[Wk>>2]|0)+1-$a+P-Jd|0;cb=1-$a+P-Jd+(c[Vk>>2]|0)|0;c[Ue>>2]=c[Yk>>2];c[Ue+4>>2]=Kd;c[Ue+8>>2]=bb;c[Ue+12>>2]=cb;c[h>>2]=c[Ue>>2];c[h+4>>2]=c[Ue+4>>2];c[h+8>>2]=c[Ue+8>>2];c[h+12>>2]=c[Ue+12>>2];jm(b,h,13);l=g;return}else if((Gl|0)==1693)if(xn<<24>>24!=33&(xn&255)<35){pn=wn;Gl=1323;break}else{Gl=249;break m}else if((Gl|0)==1702)if((xn&255)<127){Gl=249;break m}else{pn=wn;Gl=1323;break}}else if((ha&255)<58){qn=ia;Gl=1508}else{on=ha;Gl=254;break m}while(0);p:while(1)if((Gl|0)==1323){Gl=0;ha=c[Zk>>2]|0;ia=c[Wk>>2]|0;wn=c[_k>>2]|0;xn=c[$k>>2]|0;Ue=c[al>>2]|0;c[nc>>2]=c[Yk>>2];c[nc+4>>2]=ha;c[nc+8>>2]=ia+1-wn+xn-Ue;c[nc+12>>2]=1-wn+xn-Ue+pn;c[i>>2]=0;c[i+4>>2]=0;c[i+8>>2]=0;Rt(i,ia+6|0,-6-ia+pn|0);c[h>>2]=c[nc>>2];c[h+4>>2]=c[nc+4>>2];c[h+8>>2]=c[nc+8>>2];c[h+12>>2]=c[nc+12>>2];lm(b,h,80,i);Wt(i);Gl=2616;break}else if((Gl|0)==1498){Gl=0;ia=rn+1|0;c[Vk>>2]=ia;if((c[Xk>>2]|0)>>>0>ia>>>0)yn=ia;else{if((Yb(e,1)|0)==1){Gl=1501;break}yn=c[Vk>>2]|0}zn=yn;An=a[yn>>0]|0;if((An&255)<42){Gl=1503;break}if((An&255)>=59){Gl=1509;break}if((An&255)>47&An<<24>>24!=58){qn=yn;Gl=1508;continue}else{Gl=249;break m}}else if((Gl|0)==1508){Gl=0;ia=qn;while(1){Ue=ia+1|0;c[Vk>>2]=Ue;if((c[Xk>>2]|0)>>>0>Ue>>>0)Bn=Ue;else{if((Yb(e,1)|0)==1){Gl=1327;break p}Bn=c[Vk>>2]|0}Cn=a[Bn>>0]|0;if((Cn&255)<48){Gl=1329;break}if((Cn&255)>=60){Gl=1335;break}if((Cn&255)<58)ia=Bn;else{Gl=1334;break}}if((Gl|0)==1329){Gl=0;ia=Bn;if((Cn&255)<35)if(Cn<<24>>24==33){Gl=249;break m}else{pn=ia;Gl=1323;continue}else if((Cn&-2)<<24>>24==40){pn=ia;Gl=1323;continue}else{Gl=249;break m}}else if((Gl|0)==1334){Gl=0;if(Cn<<24>>24==58){Gl=249;break m}else{pn=Bn;Gl=1323;continue}}else if((Gl|0)==1335){Gl=0;if(Cn<<24>>24==95){rn=Bn;Gl=1498;continue}if((Cn&255)<127){Gl=249;break m}else{pn=Bn;Gl=1323;continue}}}if((Gl|0)==1327){Bn=c[Zk>>2]|0;pn=c[_k>>2]|0;Cn=c[$k>>2]|0;rn=c[al>>2]|0;qn=(c[Wk>>2]|0)+1-pn+Cn-rn|0;yn=1-pn+Cn-rn+(c[Vk>>2]|0)|0;c[oc>>2]=c[Yk>>2];c[oc+4>>2]=Bn;c[oc+8>>2]=qn;c[oc+12>>2]=yn;c[h>>2]=c[oc>>2];c[h+4>>2]=c[oc+4>>2];c[h+8>>2]=c[oc+8>>2];c[h+12>>2]=c[oc+12>>2];jm(b,h,13);l=g;return}else if((Gl|0)==1501){oc=c[Zk>>2]|0;yn=c[_k>>2]|0;qn=c[$k>>2]|0;Bn=c[al>>2]|0;rn=(c[Wk>>2]|0)+1-yn+qn-Bn|0;Cn=1-yn+qn-Bn+(c[Vk>>2]|0)|0;c[Hd>>2]=c[Yk>>2];c[Hd+4>>2]=oc;c[Hd+8>>2]=rn;c[Hd+12>>2]=Cn;c[h>>2]=c[Hd>>2];c[h+4>>2]=c[Hd+4>>2];c[h+8>>2]=c[Hd+8>>2];c[h+12>>2]=c[Hd+12>>2];jm(b,h,13);l=g;return}else if((Gl|0)==1503)if((An&255)<34)if(An<<24>>24==33){Gl=249;break}else{ln=zn;Gl=261;break}else if(An<<24>>24!=34&(An&255)<40){Gl=249;break}else{ln=zn;Gl=261;break}else if((Gl|0)==1509)if(An<<24>>24!=59&(An&255)<127){Gl=249;break}else{ln=zn;Gl=261;break}else if((Gl|0)==2616){l=g;return}}switch(hn<<24>>24){case 110:{zn=Bm+2|0;c[Vk>>2]=zn;An=a[zn>>0]|0;if(An<<24>>24!=121){on=An;Gl=254;break m}An=Bm+3|0;c[Vk>>2]=An;zn=a[An>>0]|0;if(zn<<24>>24!=102){on=zn;Gl=254;break m}zn=Bm+4|0;c[Vk>>2]=zn;An=a[zn>>0]|0;if(An<<24>>24!=117){on=An;Gl=254;break m}An=Bm+5|0;c[Vk>>2]=An;zn=a[An>>0]|0;if(zn<<24>>24!=110){on=zn;Gl=254;break m}zn=Bm+6|0;c[Vk>>2]=zn;An=a[zn>>0]|0;if(An<<24>>24!=99){on=An;Gl=254;break m}An=Bm+7|0;c[Vk>>2]=An;if(a[17798+(d[An>>0]|0)>>0]&8){Gl=249;break m}zn=c[Zk>>2]|0;Hd=c[_k>>2]|0;Cn=c[$k>>2]|0;rn=c[al>>2]|0;oc=(c[Wk>>2]|0)+1-Hd+Cn-rn|0;c[pc>>2]=c[Yk>>2];c[pc+4>>2]=zn;c[pc+8>>2]=oc;c[pc+12>>2]=1-Hd+Cn-rn+An;c[h>>2]=c[pc>>2];c[h+4>>2]=c[pc+4>>2];c[h+8>>2]=c[pc+8>>2];c[h+12>>2]=c[pc+12>>2];jm(b,h,1);l=g;return}case 115:break;default:{on=hn;Gl=254;break m}}hn=Bm+2|0;c[Vk>>2]=hn;pc=a[hn>>0]|0;if(pc<<24>>24!=115){on=pc;Gl=254;break}pc=Bm+3|0;c[Vk>>2]=pc;hn=a[pc>>0]|0;if(hn<<24>>24!=101){on=hn;Gl=254;break}hn=Bm+4|0;c[Vk>>2]=hn;pc=a[hn>>0]|0;if(pc<<24>>24!=114){on=pc;Gl=254;break}pc=Bm+5|0;c[Vk>>2]=pc;hn=a[pc>>0]|0;if(hn<<24>>24!=116){on=hn;Gl=254;break}hn=Bm+6|0;c[Vk>>2]=hn;pc=a[hn>>0]|0;if(pc<<24>>24!=95){on=pc;Gl=254;break}pc=Bm+7|0;c[Vk>>2]=pc;hn=a[pc>>0]|0;switch(hn<<24>>24){case 101:{pc=Bm+8|0;c[Vk>>2]=pc;An=a[pc>>0]|0;if(An<<24>>24!=120){on=An;Gl=254;break m}An=Bm+9|0;c[Vk>>2]=An;pc=a[An>>0]|0;if(pc<<24>>24!=104){on=pc;Gl=254;break m}pc=Bm+10|0;c[Vk>>2]=pc;An=a[pc>>0]|0;if(An<<24>>24!=97){on=An;Gl=254;break m}An=Bm+11|0;c[Vk>>2]=An;pc=a[An>>0]|0;if(pc<<24>>24!=117){on=pc;Gl=254;break m}pc=Bm+12|0;c[Vk>>2]=pc;An=a[pc>>0]|0;if(An<<24>>24!=115){on=An;Gl=254;break m}An=Bm+13|0;c[Vk>>2]=An;pc=a[An>>0]|0;if(pc<<24>>24!=116){on=pc;Gl=254;break m}pc=Bm+14|0;c[Vk>>2]=pc;An=a[pc>>0]|0;if(An<<24>>24!=105){on=An;Gl=254;break m}An=Bm+15|0;c[Vk>>2]=An;pc=a[An>>0]|0;if(pc<<24>>24!=111){on=pc;Gl=254;break m}pc=Bm+16|0;c[Vk>>2]=pc;An=a[pc>>0]|0;if(An<<24>>24!=110){on=An;Gl=254;break m}An=Bm+17|0;c[Vk>>2]=An;if(a[17798+(d[An>>0]|0)>>0]&8){Gl=249;break m}pc=c[Zk>>2]|0;rn=c[_k>>2]|0;Cn=c[$k>>2]|0;Hd=c[al>>2]|0;oc=(c[Wk>>2]|0)+1-rn+Cn-Hd|0;c[Vh>>2]=c[Yk>>2];c[Vh+4>>2]=pc;c[Vh+8>>2]=oc;c[Vh+12>>2]=1-rn+Cn-Hd+An;c[h>>2]=c[Vh>>2];c[h+4>>2]=c[Vh+4>>2];c[h+8>>2]=c[Vh+8>>2];c[h+12>>2]=c[Vh+12>>2];jm(b,h,2);l=g;return}case 105:{Vh=Bm+8|0;c[Vk>>2]=Vh;An=a[Vh>>0]|0;if(An<<24>>24!=110){on=An;Gl=254;break m}An=Bm+9|0;c[Vk>>2]=An;Vh=a[An>>0]|0;if(Vh<<24>>24!=118){on=Vh;Gl=254;break m}Vh=Bm+10|0;c[Vk>>2]=Vh;An=a[Vh>>0]|0;if(An<<24>>24!=97){on=An;Gl=254;break m}An=Bm+11|0;c[Vk>>2]=An;Vh=a[An>>0]|0;if(Vh<<24>>24!=108){on=Vh;Gl=254;break m}Vh=Bm+12|0;c[Vk>>2]=Vh;An=a[Vh>>0]|0;if(An<<24>>24!=105){on=An;Gl=254;break m}An=Bm+13|0;c[Vk>>2]=An;Vh=a[An>>0]|0;if(Vh<<24>>24!=100){on=Vh;Gl=254;break m}Vh=Bm+14|0;c[Vk>>2]=Vh;if(a[17798+(d[Vh>>0]|0)>>0]&8){Gl=249;break m}An=c[Zk>>2]|0;Hd=c[_k>>2]|0;Cn=c[$k>>2]|0;rn=c[al>>2]|0;oc=(c[Wk>>2]|0)+1-Hd+Cn-rn|0;c[fh>>2]=c[Yk>>2];c[fh+4>>2]=An;c[fh+8>>2]=oc;c[fh+12>>2]=1-Hd+Cn-rn+Vh;c[h>>2]=c[fh>>2];c[h+4>>2]=c[fh+4>>2];c[h+8>>2]=c[fh+8>>2];c[h+12>>2]=c[fh+12>>2];jm(b,h,3);l=g;return}case 109:{fh=Bm+8|0;c[Vk>>2]=fh;Vh=a[fh>>0]|0;if(Vh<<24>>24!=97){on=Vh;Gl=254;break m}Vh=Bm+9|0;c[Vk>>2]=Vh;fh=a[Vh>>0]|0;if(fh<<24>>24!=108){on=fh;Gl=254;break m}fh=Bm+10|0;c[Vk>>2]=fh;Vh=a[fh>>0]|0;if(Vh<<24>>24!=102){on=Vh;Gl=254;break m}Vh=Bm+11|0;c[Vk>>2]=Vh;fh=a[Vh>>0]|0;if(fh<<24>>24!=111){on=fh;Gl=254;break m}fh=Bm+12|0;c[Vk>>2]=fh;Vh=a[fh>>0]|0;if(Vh<<24>>24!=114){on=Vh;Gl=254;break m}Vh=Bm+13|0;c[Vk>>2]=Vh;fh=a[Vh>>0]|0;if(fh<<24>>24!=109){on=fh;Gl=254;break m}fh=Bm+14|0;c[Vk>>2]=fh;Vh=a[fh>>0]|0;if(Vh<<24>>24!=101){on=Vh;Gl=254;break m}Vh=Bm+15|0;c[Vk>>2]=Vh;fh=a[Vh>>0]|0;if(fh<<24>>24!=100){on=fh;Gl=254;break m}fh=Bm+16|0;c[Vk>>2]=fh;if(a[17798+(d[fh>>0]|0)>>0]&8){Gl=249;break m}Vh=c[Zk>>2]|0;rn=c[_k>>2]|0;Cn=c[$k>>2]|0;Hd=c[al>>2]|0;oc=(c[Wk>>2]|0)+1-rn+Cn-Hd|0;c[Mh>>2]=c[Yk>>2];c[Mh+4>>2]=Vh;c[Mh+8>>2]=oc;c[Mh+12>>2]=1-rn+Cn-Hd+fh;c[h>>2]=c[Mh>>2];c[h+4>>2]=c[Mh+4>>2];c[h+8>>2]=c[Mh+8>>2];c[h+12>>2]=c[Mh+12>>2];jm(b,h,4);l=g;return}case 114:{Mh=Bm+8|0;c[Vk>>2]=Mh;fh=a[Mh>>0]|0;if(fh<<24>>24!=101){on=fh;Gl=254;break m}fh=Bm+9|0;c[Vk>>2]=fh;Mh=a[fh>>0]|0;if(Mh<<24>>24!=116){on=Mh;Gl=254;break m}Mh=Bm+10|0;c[Vk>>2]=Mh;fh=a[Mh>>0]|0;if(fh<<24>>24!=117){on=fh;Gl=254;break m}fh=Bm+11|0;c[Vk>>2]=fh;Mh=a[fh>>0]|0;if(Mh<<24>>24!=114){on=Mh;Gl=254;break m}Mh=Bm+12|0;c[Vk>>2]=Mh;fh=a[Mh>>0]|0;if(fh<<24>>24!=110){on=fh;Gl=254;break m}fh=Bm+13|0;c[Vk>>2]=fh;Mh=a[fh>>0]|0;Hd=fh;do if((Mh&255)<42)if((Mh&255)<34)if(Mh<<24>>24==33){Gl=249;break m}else break;else if(Mh<<24>>24!=34&(Mh&255)<40){Gl=249;break m}else break;else{if((Mh&255)<95)if(Mh<<24>>24==59)break;else{Gl=249;break m}if(Mh<<24>>24!=95)if((Mh&255)<127){Gl=249;break m}else break;fh=Bm+14|0;c[Vk>>2]=fh;Cn=a[fh>>0]|0;switch(Cn<<24>>24){case 97:break;case 99:{fh=Bm+15|0;c[Vk>>2]=fh;rn=a[fh>>0]|0;if(rn<<24>>24!=97){on=rn;Gl=254;break m}rn=Bm+16|0;c[Vk>>2]=rn;fh=a[rn>>0]|0;if(fh<<24>>24!=110){on=fh;Gl=254;break m}fh=Bm+17|0;c[Vk>>2]=fh;rn=a[fh>>0]|0;if(rn<<24>>24!=111){on=rn;Gl=254;break m}rn=Bm+18|0;c[Vk>>2]=rn;fh=a[rn>>0]|0;if(fh<<24>>24!=110){on=fh;Gl=254;break m}fh=Bm+19|0;c[Vk>>2]=fh;rn=a[fh>>0]|0;if(rn<<24>>24!=105){on=rn;Gl=254;break m}rn=Bm+20|0;c[Vk>>2]=rn;fh=a[rn>>0]|0;if(fh<<24>>24!=99){on=fh;Gl=254;break m}fh=Bm+21|0;c[Vk>>2]=fh;rn=a[fh>>0]|0;if(rn<<24>>24!=97){on=rn;Gl=254;break m}rn=Bm+22|0;c[Vk>>2]=rn;fh=a[rn>>0]|0;if(fh<<24>>24!=108){on=fh;Gl=254;break m}fh=Bm+23|0;c[Vk>>2]=fh;rn=a[fh>>0]|0;if(rn<<24>>24!=95){on=rn;Gl=254;break m}rn=Bm+24|0;c[Vk>>2]=rn;fh=a[rn>>0]|0;if(fh<<24>>24!=110){on=fh;Gl=254;break m}fh=Bm+25|0;c[Vk>>2]=fh;rn=a[fh>>0]|0;if(rn<<24>>24!=97){on=rn;Gl=254;break m}rn=Bm+26|0;c[Vk>>2]=rn;fh=a[rn>>0]|0;if(fh<<24>>24!=110){on=fh;Gl=254;break m}fh=Bm+27|0;c[Vk>>2]=fh;if(a[17798+(d[fh>>0]|0)>>0]&8){Gl=249;break m}rn=c[Zk>>2]|0;oc=c[_k>>2]|0;Vh=c[$k>>2]|0;An=c[al>>2]|0;pc=(c[Wk>>2]|0)+1-oc+Vh-An|0;c[Tk>>2]=c[Yk>>2];c[Tk+4>>2]=rn;c[Tk+8>>2]=pc;c[Tk+12>>2]=1-oc+Vh-An+fh;c[h>>2]=c[Tk>>2];c[h+4>>2]=c[Tk+4>>2];c[h+8>>2]=c[Tk+8>>2];c[h+12>>2]=c[Tk+12>>2];jm(b,h,7);l=g;return}default:{on=Cn;Gl=254;break m}}Cn=Bm+15|0;c[Vk>>2]=Cn;fh=a[Cn>>0]|0;if(fh<<24>>24!=114){on=fh;Gl=254;break m}fh=Bm+16|0;c[Vk>>2]=fh;Cn=a[fh>>0]|0;if(Cn<<24>>24!=105){on=Cn;Gl=254;break m}Cn=Bm+17|0;c[Vk>>2]=Cn;fh=a[Cn>>0]|0;if(fh<<24>>24!=116){on=fh;Gl=254;break m}fh=Bm+18|0;c[Vk>>2]=fh;Cn=a[fh>>0]|0;if(Cn<<24>>24!=104){on=Cn;Gl=254;break m}Cn=Bm+19|0;c[Vk>>2]=Cn;fh=a[Cn>>0]|0;if(fh<<24>>24!=109){on=fh;Gl=254;break m}fh=Bm+20|0;c[Vk>>2]=fh;Cn=a[fh>>0]|0;if(Cn<<24>>24!=101){on=Cn;Gl=254;break m}Cn=Bm+21|0;c[Vk>>2]=Cn;fh=a[Cn>>0]|0;if(fh<<24>>24!=116){on=fh;Gl=254;break m}fh=Bm+22|0;c[Vk>>2]=fh;Cn=a[fh>>0]|0;if(Cn<<24>>24!=105){on=Cn;Gl=254;break m}Cn=Bm+23|0;c[Vk>>2]=Cn;fh=a[Cn>>0]|0;if(fh<<24>>24!=99){on=fh;Gl=254;break m}fh=Bm+24|0;c[Vk>>2]=fh;Cn=a[fh>>0]|0;if(Cn<<24>>24!=95){on=Cn;Gl=254;break m}Cn=Bm+25|0;c[Vk>>2]=Cn;fh=a[Cn>>0]|0;if(fh<<24>>24!=110){on=fh;Gl=254;break m}fh=Bm+26|0;c[Vk>>2]=fh;Cn=a[fh>>0]|0;if(Cn<<24>>24!=97){on=Cn;Gl=254;break m}Cn=Bm+27|0;c[Vk>>2]=Cn;fh=a[Cn>>0]|0;if(fh<<24>>24!=110){on=fh;Gl=254;break m}fh=Bm+28|0;c[Vk>>2]=fh;if(a[17798+(d[fh>>0]|0)>>0]&8){Gl=249;break m}Cn=c[Zk>>2]|0;An=c[_k>>2]|0;Vh=c[$k>>2]|0;oc=c[al>>2]|0;pc=(c[Wk>>2]|0)+1-An+Vh-oc|0;c[Uk>>2]=c[Yk>>2];c[Uk+4>>2]=Cn;c[Uk+8>>2]=pc;c[Uk+12>>2]=1-An+Vh-oc+fh;c[h>>2]=c[Uk>>2];c[h+4>>2]=c[Uk+4>>2];c[h+8>>2]=c[Uk+8>>2];c[h+12>>2]=c[Uk+12>>2];jm(b,h,6);l=g;return}while(0);Uk=c[Zk>>2]|0;Tk=c[_k>>2]|0;Mh=c[$k>>2]|0;fh=c[al>>2]|0;oc=(c[Wk>>2]|0)+1-Tk+Mh-fh|0;c[_g>>2]=c[Yk>>2];c[_g+4>>2]=Uk;c[_g+8>>2]=oc;c[_g+12>>2]=1-Tk+Mh-fh+Hd;c[h>>2]=c[_g>>2];c[h+4>>2]=c[_g+4>>2];c[h+8>>2]=c[_g+8>>2];c[h+12>>2]=c[_g+12>>2];jm(b,h,5);l=g;return}case 116:{_g=Bm+8|0;c[Vk>>2]=_g;Hd=a[_g>>0]|0;if(Hd<<24>>24!=114){on=Hd;Gl=254;break m}Hd=Bm+9|0;c[Vk>>2]=Hd;_g=a[Hd>>0]|0;if(_g<<24>>24!=97){on=_g;Gl=254;break m}_g=Bm+10|0;c[Vk>>2]=_g;Hd=a[_g>>0]|0;if(Hd<<24>>24!=112){on=Hd;Gl=254;break m}Hd=Bm+11|0;c[Vk>>2]=Hd;if(a[17798+(d[Hd>>0]|0)>>0]&8){Gl=249;break m}_g=c[Zk>>2]|0;fh=c[_k>>2]|0;Mh=c[$k>>2]|0;Tk=c[al>>2]|0;oc=(c[Wk>>2]|0)+1-fh+Mh-Tk|0;c[lg>>2]=c[Yk>>2];c[lg+4>>2]=_g;c[lg+8>>2]=oc;c[lg+12>>2]=1-fh+Mh-Tk+Hd;c[h>>2]=c[lg>>2];c[h+4>>2]=c[lg+4>>2];c[h+8>>2]=c[lg+8>>2];c[h+12>>2]=c[lg+12>>2];jm(b,h,8);l=g;return}case 117:{lg=Bm+8|0;c[Vk>>2]=lg;Hd=a[lg>>0]|0;if(Hd<<24>>24!=110){on=Hd;Gl=254;break m}Hd=Bm+9|0;c[Vk>>2]=Hd;lg=a[Hd>>0]|0;if(lg<<24>>24!=108){on=lg;Gl=254;break m}lg=Bm+10|0;c[Vk>>2]=lg;Hd=a[lg>>0]|0;if(Hd<<24>>24!=105){on=Hd;Gl=254;break m}Hd=Bm+11|0;c[Vk>>2]=Hd;lg=a[Hd>>0]|0;if(lg<<24>>24!=110){on=lg;Gl=254;break m}lg=Bm+12|0;c[Vk>>2]=lg;Hd=a[lg>>0]|0;if(Hd<<24>>24!=107){on=Hd;Gl=254;break m}Hd=Bm+13|0;c[Vk>>2]=Hd;lg=a[Hd>>0]|0;if(lg<<24>>24!=97){on=lg;Gl=254;break m}lg=Bm+14|0;c[Vk>>2]=lg;Hd=a[lg>>0]|0;if(Hd<<24>>24!=98){on=Hd;Gl=254;break m}Hd=Bm+15|0;c[Vk>>2]=Hd;lg=a[Hd>>0]|0;if(lg<<24>>24!=108){on=lg;Gl=254;break m}lg=Bm+16|0;c[Vk>>2]=lg;Hd=a[lg>>0]|0;if(Hd<<24>>24!=101){on=Hd;Gl=254;break m}Hd=Bm+17|0;c[Vk>>2]=Hd;if(a[17798+(d[Hd>>0]|0)>>0]&8){Gl=249;break m}lg=c[Zk>>2]|0;Tk=c[_k>>2]|0;Mh=c[$k>>2]|0;fh=c[al>>2]|0;oc=(c[Wk>>2]|0)+1-Tk+Mh-fh|0;c[Wh>>2]=c[Yk>>2];c[Wh+4>>2]=lg;c[Wh+8>>2]=oc;c[Wh+12>>2]=1-Tk+Mh-fh+Hd;c[h>>2]=c[Wh>>2];c[h+4>>2]=c[Wh+4>>2];c[h+8>>2]=c[Wh+8>>2];c[h+12>>2]=c[Wh+12>>2];jm(b,h,9);l=g;return}default:{on=hn;Gl=254;break m}}}hn=Bm+1|0;c[Vk>>2]=hn;Wh=a[hn>>0]|0;if(Cm<<24>>24==99){switch(Wh<<24>>24){case 97:break;case 117:{hn=Bm+2|0;c[Vk>>2]=hn;Hd=a[hn>>0]|0;if(Hd<<24>>24!=114){on=Hd;Gl=254;break m}Hd=Bm+3|0;c[Vk>>2]=Hd;hn=a[Hd>>0]|0;if(hn<<24>>24!=114){on=hn;Gl=254;break m}hn=Bm+4|0;c[Vk>>2]=hn;Hd=a[hn>>0]|0;if(Hd<<24>>24!=101){on=Hd;Gl=254;break m}Hd=Bm+5|0;c[Vk>>2]=Hd;hn=a[Hd>>0]|0;if(hn<<24>>24!=110){on=hn;Gl=254;break m}hn=Bm+6|0;c[Vk>>2]=hn;Hd=a[hn>>0]|0;if(Hd<<24>>24!=116){on=Hd;Gl=254;break m}Hd=Bm+7|0;c[Vk>>2]=Hd;hn=a[Hd>>0]|0;if(hn<<24>>24!=95){on=hn;Gl=254;break m}hn=Bm+8|0;c[Vk>>2]=hn;Hd=a[hn>>0]|0;if(Hd<<24>>24!=109){on=Hd;Gl=254;break m}Hd=Bm+9|0;c[Vk>>2]=Hd;hn=a[Hd>>0]|0;if(hn<<24>>24!=101){on=hn;Gl=254;break m}hn=Bm+10|0;c[Vk>>2]=hn;Hd=a[hn>>0]|0;if(Hd<<24>>24!=109){on=Hd;Gl=254;break m}Hd=Bm+11|0;c[Vk>>2]=Hd;hn=a[Hd>>0]|0;if(hn<<24>>24!=111){on=hn;Gl=254;break m}hn=Bm+12|0;c[Vk>>2]=hn;Hd=a[hn>>0]|0;if(Hd<<24>>24!=114){on=Hd;Gl=254;break m}Hd=Bm+13|0;c[Vk>>2]=Hd;hn=a[Hd>>0]|0;if(hn<<24>>24!=121){on=hn;Gl=254;break m}hn=Bm+14|0;c[Vk>>2]=hn;if(a[17798+(d[hn>>0]|0)>>0]&8){Gl=249;break m}Hd=c[Zk>>2]|0;fh=c[_k>>2]|0;Mh=c[$k>>2]|0;Tk=c[al>>2]|0;oc=(c[Wk>>2]|0)+1-fh+Mh-Tk|0;c[gh>>2]=c[Yk>>2];c[gh+4>>2]=Hd;c[gh+8>>2]=oc;c[gh+12>>2]=1-fh+Mh-Tk+hn;c[hh>>2]=48;c[i>>2]=c[gh>>2];c[i+4>>2]=c[gh+4>>2];c[i+8>>2]=c[gh+8>>2];c[i+12>>2]=c[gh+12>>2];c[h>>2]=c[hh>>2];mm(b,i,56,h);l=g;return}default:{on=Wh;Gl=254;break m}}hh=Bm+2|0;c[Vk>>2]=hh;gh=a[hh>>0]|0;switch(gh<<24>>24){case 108:break;case 116:{hh=Bm+3|0;c[Vk>>2]=hh;hn=a[hh>>0]|0;if(hn<<24>>24!=99){on=hn;Gl=254;break m}hn=Bm+4|0;c[Vk>>2]=hn;hh=a[hn>>0]|0;if(hh<<24>>24!=104){on=hh;Gl=254;break m}hh=Bm+5|0;c[Vk>>2]=hh;hn=a[hh>>0]|0;Tk=hh;do if((hn&255)<42)if((hn&255)<34)if(hn<<24>>24==33){Gl=249;break m}else break;else if(hn<<24>>24!=34&(hn&255)<40){Gl=249;break m}else break;else{if((hn&255)<95)if(hn<<24>>24==59)break;else{Gl=249;break m}if(hn<<24>>24!=95)if((hn&255)<127){Gl=249;break m}else break;hh=Bm+6|0;c[Vk>>2]=hh;Mh=a[hh>>0]|0;if(Mh<<24>>24!=97){on=Mh;Gl=254;break m}Mh=Bm+7|0;c[Vk>>2]=Mh;hh=a[Mh>>0]|0;if(hh<<24>>24!=108){on=hh;Gl=254;break m}hh=Bm+8|0;c[Vk>>2]=hh;Mh=a[hh>>0]|0;if(Mh<<24>>24!=108){on=Mh;Gl=254;break m}Mh=Bm+9|0;c[Vk>>2]=Mh;if(a[17798+(d[Mh>>0]|0)>>0]&8){Gl=249;break m}hh=c[Zk>>2]|0;fh=c[_k>>2]|0;oc=c[$k>>2]|0;Hd=c[al>>2]|0;lg=(c[Wk>>2]|0)+1-fh+oc-Hd|0;c[Ve>>2]=c[Yk>>2];c[Ve+4>>2]=hh;c[Ve+8>>2]=lg;c[Ve+12>>2]=1-fh+oc-Hd+Mh;c[We>>2]=10;c[i>>2]=c[Ve>>2];c[i+4>>2]=c[Ve+4>>2];c[i+8>>2]=c[Ve+8>>2];c[i+12>>2]=c[Ve+12>>2];c[h>>2]=c[We>>2];mm(b,i,52,h);l=g;return}while(0);We=c[Zk>>2]|0;Ve=c[_k>>2]|0;hn=c[$k>>2]|0;Mh=c[al>>2]|0;Hd=(c[Wk>>2]|0)+1-Ve+hn-Mh|0;c[db>>2]=c[Yk>>2];c[db+4>>2]=We;c[db+8>>2]=Hd;c[db+12>>2]=1-Ve+hn-Mh+Tk;c[eb>>2]=7;c[i>>2]=c[db>>2];c[i+4>>2]=c[db+4>>2];c[i+8>>2]=c[db+8>>2];c[i+12>>2]=c[db+12>>2];c[h>>2]=c[eb>>2];mm(b,i,51,h);l=g;return}default:{on=gh;Gl=254;break m}}gh=Bm+3|0;c[Vk>>2]=gh;eb=a[gh>>0]|0;if(eb<<24>>24!=108){on=eb;Gl=254;break}eb=Bm+4|0;c[Vk>>2]=eb;gh=a[eb>>0]|0;db=eb;do if((gh&255)<42)if((gh&255)<34)if(gh<<24>>24==33){Gl=249;break m}else break;else if(gh<<24>>24!=34&(gh&255)<40){Gl=249;break m}else break;else{if((gh&255)<95)if(gh<<24>>24==59)break;else{Gl=249;break m}if(gh<<24>>24!=95)if((gh&255)<127){Gl=249;break m}else break;eb=Bm+5|0;c[Vk>>2]=eb;Tk=a[eb>>0]|0;if(Tk<<24>>24!=105){on=Tk;Gl=254;break m}Tk=Bm+6|0;c[Vk>>2]=Tk;eb=a[Tk>>0]|0;if(eb<<24>>24!=110){on=eb;Gl=254;break m}eb=Bm+7|0;c[Vk>>2]=eb;Tk=a[eb>>0]|0;if(Tk<<24>>24!=100){on=Tk;Gl=254;break m}Tk=Bm+8|0;c[Vk>>2]=Tk;eb=a[Tk>>0]|0;if(eb<<24>>24!=105){on=eb;Gl=254;break m}eb=Bm+9|0;c[Vk>>2]=eb;Tk=a[eb>>0]|0;if(Tk<<24>>24!=114){on=Tk;Gl=254;break m}Tk=Bm+10|0;c[Vk>>2]=Tk;eb=a[Tk>>0]|0;if(eb<<24>>24!=101){on=eb;Gl=254;break m}eb=Bm+11|0;c[Vk>>2]=eb;Tk=a[eb>>0]|0;if(Tk<<24>>24!=99){on=Tk;Gl=254;break m}Tk=Bm+12|0;c[Vk>>2]=Tk;eb=a[Tk>>0]|0;if(eb<<24>>24!=116){on=eb;Gl=254;break m}eb=Bm+13|0;c[Vk>>2]=eb;if(a[17798+(d[eb>>0]|0)>>0]&8){Gl=249;break m}Tk=c[Zk>>2]|0;Mh=c[_k>>2]|0;hn=c[$k>>2]|0;Ve=c[al>>2]|0;Hd=(c[Wk>>2]|0)+1-Mh+hn-Ve|0;c[$g>>2]=c[Yk>>2];c[$g+4>>2]=Tk;c[$g+8>>2]=Hd;c[$g+12>>2]=1-Mh+hn-Ve+eb;c[ah>>2]=17;c[i>>2]=c[$g>>2];c[i+4>>2]=c[$g+4>>2];c[i+8>>2]=c[$g+8>>2];c[i+12>>2]=c[$g+12>>2];c[h>>2]=c[ah>>2];mm(b,i,50,h);l=g;return}while(0);ah=c[Zk>>2]|0;$g=c[_k>>2]|0;gh=c[$k>>2]|0;eb=c[al>>2]|0;Ve=(c[Wk>>2]|0)+1-$g+gh-eb|0;c[Ja>>2]=c[Yk>>2];c[Ja+4>>2]=ah;c[Ja+8>>2]=Ve;c[Ja+12>>2]=1-$g+gh-eb+db;c[Ka>>2]=16;c[i>>2]=c[Ja>>2];c[i+4>>2]=c[Ja+4>>2];c[i+8>>2]=c[Ja+8>>2];c[i+12>>2]=c[Ja+12>>2];c[h>>2]=c[Ka>>2];mm(b,i,49,h);l=g;return}if((Cm&255)<101)switch(Wh<<24>>24){case 97:{Ka=Bm+2|0;c[Vk>>2]=Ka;Ja=a[Ka>>0]|0;if(Ja<<24>>24!=116){on=Ja;Gl=254;break m}Ja=Bm+3|0;c[Vk>>2]=Ja;Ka=a[Ja>>0]|0;if(Ka<<24>>24!=97){on=Ka;Gl=254;break m}Ka=Bm+4|0;c[Vk>>2]=Ka;if(a[17798+(d[Ka>>0]|0)>>0]&8){Gl=249;break m}Ja=c[Zk>>2]|0;db=c[_k>>2]|0;eb=c[$k>>2]|0;gh=c[al>>2]|0;$g=(c[Wk>>2]|0)+1-db+eb-gh|0;c[La>>2]=c[Yk>>2];c[La+4>>2]=Ja;c[La+8>>2]=$g;c[La+12>>2]=1-db+eb-gh+Ka;c[h>>2]=c[La>>2];c[h+4>>2]=c[La+4>>2];c[h+8>>2]=c[La+8>>2];c[h+12>>2]=c[La+12>>2];jm(b,h,11);l=g;return}case 114:{La=Bm+2|0;c[Vk>>2]=La;Ka=a[La>>0]|0;if(Ka<<24>>24!=111){on=Ka;Gl=254;break m}Ka=Bm+3|0;c[Vk>>2]=Ka;La=a[Ka>>0]|0;if(La<<24>>24!=112){on=La;Gl=254;break m}La=Bm+4|0;c[Vk>>2]=La;if(a[17798+(d[La>>0]|0)>>0]&8){Gl=249;break m}Ka=c[Zk>>2]|0;gh=c[_k>>2]|0;eb=c[$k>>2]|0;db=c[al>>2]|0;$g=(c[Wk>>2]|0)+1-gh+eb-db|0;c[Ma>>2]=c[Yk>>2];c[Ma+4>>2]=Ka;c[Ma+8>>2]=$g;c[Ma+12>>2]=1-gh+eb-db+La;c[Na>>2]=18;c[i>>2]=c[Ma>>2];c[i+4>>2]=c[Ma+4>>2];c[i+8>>2]=c[Ma+8>>2];c[i+12>>2]=c[Ma+12>>2];c[h>>2]=c[Na>>2];mm(b,i,57,h);l=g;return}default:{on=Wh;Gl=254;break m}}if(Cm<<24>>24==101){if((Wh&255)<110){if(Wh<<24>>24!=108){on=Wh;Gl=254;break}Na=Bm+2|0;c[Vk>>2]=Na;Ma=a[Na>>0]|0;switch(Ma<<24>>24){case 101:{Na=Bm+3|0;c[Vk>>2]=Na;La=a[Na>>0]|0;if(La<<24>>24!=109){on=La;Gl=254;break m}La=Bm+4|0;c[Vk>>2]=La;if(a[17798+(d[La>>0]|0)>>0]&8){Gl=249;break m}Na=c[Zk>>2]|0;db=c[_k>>2]|0;eb=c[$k>>2]|0;gh=c[al>>2]|0;$g=(c[Wk>>2]|0)+1-db+eb-gh|0;c[Oa>>2]=c[Yk>>2];c[Oa+4>>2]=Na;c[Oa+8>>2]=$g;c[Oa+12>>2]=1-db+eb-gh+La;c[h>>2]=c[Oa>>2];c[h+4>>2]=c[Oa+4>>2];c[h+8>>2]=c[Oa+8>>2];c[h+12>>2]=c[Oa+12>>2];jm(b,h,12);l=g;return}case 115:{Oa=Bm+3|0;c[Vk>>2]=Oa;La=a[Oa>>0]|0;if(La<<24>>24!=101){on=La;Gl=254;break m}La=Bm+4|0;c[Vk>>2]=La;if(a[17798+(d[La>>0]|0)>>0]&8){Gl=249;break m}Oa=c[Zk>>2]|0;gh=c[_k>>2]|0;eb=c[$k>>2]|0;db=c[al>>2]|0;$g=(c[Wk>>2]|0)+1-gh+eb-db|0;c[Pa>>2]=c[Yk>>2];c[Pa+4>>2]=Oa;c[Pa+8>>2]=$g;c[Pa+12>>2]=1-gh+eb-db+La;c[Qa>>2]=5;c[i>>2]=c[Pa>>2];c[i+4>>2]=c[Pa+4>>2];c[i+8>>2]=c[Pa+8>>2];c[i+12>>2]=c[Pa+12>>2];c[h>>2]=c[Qa>>2];mm(b,i,58,h);l=g;return}default:{on=Ma;Gl=254;break m}}}switch(Wh<<24>>24){case 110:{Ma=Bm+2|0;c[Vk>>2]=Ma;Qa=a[Ma>>0]|0;if(Qa<<24>>24!=100){on=Qa;Gl=254;break m}Qa=Bm+3|0;c[Vk>>2]=Qa;if(a[17798+(d[Qa>>0]|0)>>0]&8){Gl=249;break m}Ma=c[Zk>>2]|0;Pa=c[_k>>2]|0;La=c[$k>>2]|0;db=c[al>>2]|0;eb=(c[Wk>>2]|0)+1-Pa+La-db|0;c[sa>>2]=c[Yk>>2];c[sa+4>>2]=Ma;c[sa+8>>2]=eb;c[sa+12>>2]=1-Pa+La-db+Qa;c[ta>>2]=11;c[i>>2]=c[sa>>2];c[i+4>>2]=c[sa+4>>2];c[i+8>>2]=c[sa+8>>2];c[i+12>>2]=c[sa+12>>2];c[h>>2]=c[ta>>2];mm(b,i,59,h);l=g;return}case 120:break;default:{on=Wh;Gl=254;break m}}ta=Bm+2|0;c[Vk>>2]=ta;sa=a[ta>>0]|0;switch(sa<<24>>24){case 99:{ta=Bm+3|0;c[Vk>>2]=ta;Qa=a[ta>>0]|0;if(Qa<<24>>24!=101){on=Qa;Gl=254;break m}Qa=Bm+4|0;c[Vk>>2]=Qa;ta=a[Qa>>0]|0;if(ta<<24>>24!=112){on=ta;Gl=254;break m}ta=Bm+5|0;c[Vk>>2]=ta;Qa=a[ta>>0]|0;if(Qa<<24>>24!=116){on=Qa;Gl=254;break m}Qa=Bm+6|0;c[Vk>>2]=Qa;if(a[17798+(d[Qa>>0]|0)>>0]&8){Gl=249;break m}ta=c[Zk>>2]|0;db=c[_k>>2]|0;La=c[$k>>2]|0;Pa=c[al>>2]|0;eb=(c[Wk>>2]|0)+1-db+La-Pa|0;c[ob>>2]=c[Yk>>2];c[ob+4>>2]=ta;c[ob+8>>2]=eb;c[ob+12>>2]=1-db+La-Pa+Qa;c[h>>2]=c[ob>>2];c[h+4>>2]=c[ob+4>>2];c[h+8>>2]=c[ob+8>>2];c[h+12>>2]=c[ob+12>>2];jm(b,h,14);l=g;return}case 112:{ob=Bm+3|0;c[Vk>>2]=ob;Qa=a[ob>>0]|0;if(Qa<<24>>24!=111){on=Qa;Gl=254;break m}Qa=Bm+4|0;c[Vk>>2]=Qa;ob=a[Qa>>0]|0;if(ob<<24>>24!=114){on=ob;Gl=254;break m}ob=Bm+5|0;c[Vk>>2]=ob;Qa=a[ob>>0]|0;if(Qa<<24>>24!=116){on=Qa;Gl=254;break m}Qa=Bm+6|0;c[Vk>>2]=Qa;if(a[17798+(d[Qa>>0]|0)>>0]&8){Gl=249;break m}ob=c[Zk>>2]|0;Pa=c[_k>>2]|0;La=c[$k>>2]|0;db=c[al>>2]|0;eb=(c[Wk>>2]|0)+1-Pa+La-db|0;c[pb>>2]=c[Yk>>2];c[pb+4>>2]=ob;c[pb+8>>2]=eb;c[pb+12>>2]=1-Pa+La-db+Qa;c[h>>2]=c[pb>>2];c[h+4>>2]=c[pb+4>>2];c[h+8>>2]=c[pb+8>>2];c[h+12>>2]=c[pb+12>>2];jm(b,h,15);l=g;return}default:{on=sa;Gl=254;break m}}}if((Wh&255)<54){if(Wh<<24>>24!=51){on=Wh;Gl=254;break}sa=Bm+2|0;c[Vk>>2]=sa;pb=a[sa>>0]|0;if(pb<<24>>24!=50){on=pb;Gl=254;break}pb=Bm+3|0;c[Vk>>2]=pb;sa=a[pb>>0]|0;Qa=pb;do if((sa&255)<42)if((sa&255)<34)if(sa<<24>>24==33){Gl=249;break m}else break;else if(sa<<24>>24!=34&(sa&255)<40){Gl=249;break m}else break;else{if((sa&255)>=59)if(sa<<24>>24!=59&(sa&255)<127){Gl=249;break m}else break;if(sa<<24>>24!=46){Gl=249;break m}pb=Bm+4|0;c[Vk>>2]=pb;db=a[pb>>0]|0;do switch(db<<24>>24){case 97:{pb=Bm+5|0;c[Vk>>2]=pb;La=a[pb>>0]|0;switch(La<<24>>24){case 98:{pb=Bm+6|0;c[Vk>>2]=pb;Pa=a[pb>>0]|0;if(Pa<<24>>24!=115){on=Pa;Gl=254;break m}Pa=Bm+7|0;c[Vk>>2]=Pa;if(a[17798+(d[Pa>>0]|0)>>0]&8){Gl=249;break m}pb=c[Zk>>2]|0;eb=c[_k>>2]|0;ob=c[$k>>2]|0;ta=c[al>>2]|0;Ma=(c[Wk>>2]|0)+1-eb+ob-ta|0;c[qc>>2]=c[Yk>>2];c[qc+4>>2]=pb;c[qc+8>>2]=Ma;c[qc+12>>2]=1-eb+ob-ta+Pa;c[rc>>2]=124;c[i>>2]=c[qc>>2];c[i+4>>2]=c[qc+4>>2];c[i+8>>2]=c[qc+8>>2];c[i+12>>2]=c[qc+12>>2];c[h>>2]=c[rc>>2];mm(b,i,76,h);l=g;return}case 100:{Pa=Bm+6|0;c[Vk>>2]=Pa;ta=a[Pa>>0]|0;if(ta<<24>>24!=100){on=ta;Gl=254;break m}ta=Bm+7|0;c[Vk>>2]=ta;if(a[17798+(d[ta>>0]|0)>>0]&8){Gl=249;break m}Pa=c[Zk>>2]|0;ob=c[_k>>2]|0;eb=c[$k>>2]|0;Ma=c[al>>2]|0;pb=(c[Wk>>2]|0)+1-ob+eb-Ma|0;c[sc>>2]=c[Yk>>2];c[sc+4>>2]=Pa;c[sc+8>>2]=pb;c[sc+12>>2]=1-ob+eb-Ma+ta;c[tc>>2]=131;c[i>>2]=c[sc>>2];c[i+4>>2]=c[sc+4>>2];c[i+8>>2]=c[sc+8>>2];c[i+12>>2]=c[sc+12>>2];c[h>>2]=c[tc>>2];mm(b,i,44,h);l=g;return}default:{on=La;Gl=254;break m}}break}case 99:{La=Bm+5|0;c[Vk>>2]=La;ta=a[La>>0]|0;switch(ta<<24>>24){case 101:{La=Bm+6|0;c[Vk>>2]=La;Ma=a[La>>0]|0;if(Ma<<24>>24!=105){on=Ma;Gl=254;break m}Ma=Bm+7|0;c[Vk>>2]=Ma;La=a[Ma>>0]|0;if(La<<24>>24!=108){on=La;Gl=254;break m}La=Bm+8|0;c[Vk>>2]=La;if(a[17798+(d[La>>0]|0)>>0]&8){Gl=249;break m}Ma=c[Zk>>2]|0;eb=c[_k>>2]|0;ob=c[$k>>2]|0;pb=c[al>>2]|0;Pa=(c[Wk>>2]|0)+1-eb+ob-pb|0;c[Ld>>2]=c[Yk>>2];c[Ld+4>>2]=Ma;c[Ld+8>>2]=Pa;c[Ld+12>>2]=1-eb+ob-pb+La;c[Md>>2]=126;c[i>>2]=c[Ld>>2];c[i+4>>2]=c[Ld+4>>2];c[i+8>>2]=c[Ld+8>>2];c[i+12>>2]=c[Ld+12>>2];c[h>>2]=c[Md>>2];mm(b,i,76,h);l=g;return}case 111:break;default:{on=ta;Gl=254;break m}}ta=Bm+6|0;c[Vk>>2]=ta;La=a[ta>>0]|0;switch(La<<24>>24){case 110:break;case 112:{ta=Bm+7|0;c[Vk>>2]=ta;pb=a[ta>>0]|0;if(pb<<24>>24!=121){on=pb;Gl=254;break m}pb=Bm+8|0;c[Vk>>2]=pb;ta=a[pb>>0]|0;if(ta<<24>>24!=115){on=ta;Gl=254;break m}ta=Bm+9|0;c[Vk>>2]=ta;pb=a[ta>>0]|0;if(pb<<24>>24!=105){on=pb;Gl=254;break m}pb=Bm+10|0;c[Vk>>2]=pb;ta=a[pb>>0]|0;if(ta<<24>>24!=103){on=ta;Gl=254;break m}ta=Bm+11|0;c[Vk>>2]=ta;pb=a[ta>>0]|0;if(pb<<24>>24!=110){on=pb;Gl=254;break m}pb=Bm+12|0;c[Vk>>2]=pb;if(a[17798+(d[pb>>0]|0)>>0]&8){Gl=249;break m}ta=c[Zk>>2]|0;ob=c[_k>>2]|0;eb=c[$k>>2]|0;Pa=c[al>>2]|0;Ma=(c[Wk>>2]|0)+1-ob+eb-Pa|0;c[Ig>>2]=c[Yk>>2];c[Ig+4>>2]=ta;c[Ig+8>>2]=Ma;c[Ig+12>>2]=1-ob+eb-Pa+pb;c[Jg>>2]=137;c[i>>2]=c[Ig>>2];c[i+4>>2]=c[Ig+4>>2];c[i+8>>2]=c[Ig+8>>2];c[i+12>>2]=c[Ig+12>>2];c[h>>2]=c[Jg>>2];mm(b,i,44,h);l=g;return}default:{on=La;Gl=254;break m}}La=Bm+7|0;c[Vk>>2]=La;pb=a[La>>0]|0;switch(pb<<24>>24){case 115:{La=Bm+8|0;c[Vk>>2]=La;Pa=a[La>>0]|0;if(Pa<<24>>24!=116){on=Pa;Gl=254;break m}Pa=Bm+9|0;c[Vk>>2]=Pa;if(a[17798+(d[Pa>>0]|0)>>0]&8){Gl=249;break m}La=c[Zk>>2]|0;eb=c[_k>>2]|0;ob=c[$k>>2]|0;Ma=c[al>>2]|0;ta=(c[Wk>>2]|0)+1-eb+ob-Ma|0;c[Xe>>2]=c[Yk>>2];c[Xe+4>>2]=La;c[Xe+8>>2]=ta;c[Xe+12>>2]=1-eb+ob-Ma+Pa;c[Ye>>2]=52;c[i>>2]=c[Xe>>2];c[i+4>>2]=c[Xe+4>>2];c[i+8>>2]=c[Xe+8>>2];c[i+12>>2]=c[Xe+12>>2];c[h>>2]=c[Ye>>2];mm(b,i,54,h);l=g;return}case 118:break;default:{on=pb;Gl=254;break m}}pb=Bm+8|0;c[Vk>>2]=pb;Pa=a[pb>>0]|0;if(Pa<<24>>24!=101){on=Pa;Gl=254;break m}Pa=Bm+9|0;c[Vk>>2]=Pa;pb=a[Pa>>0]|0;if(pb<<24>>24!=114){on=pb;Gl=254;break m}pb=Bm+10|0;c[Vk>>2]=pb;Pa=a[pb>>0]|0;if(Pa<<24>>24!=116){on=Pa;Gl=254;break m}Pa=Bm+11|0;c[Vk>>2]=Pa;pb=a[Pa>>0]|0;if(pb<<24>>24!=95){on=pb;Gl=254;break m}pb=Bm+12|0;c[Vk>>2]=pb;Pa=a[pb>>0]|0;switch(Pa<<24>>24){case 115:{pb=Bm+13|0;c[Vk>>2]=pb;Ma=a[pb>>0]|0;if(Ma<<24>>24!=47){on=Ma;Gl=254;break m}Ma=Bm+14|0;c[Vk>>2]=Ma;pb=a[Ma>>0]|0;if(pb<<24>>24!=105){on=pb;Gl=254;break m}pb=Bm+15|0;c[Vk>>2]=pb;Ma=a[pb>>0]|0;switch(Ma<<24>>24){case 51:{pb=Bm+16|0;c[Vk>>2]=pb;ob=a[pb>>0]|0;if(ob<<24>>24!=50){on=ob;Gl=254;break m}ob=Bm+17|0;c[Vk>>2]=ob;if(a[17798+(d[ob>>0]|0)>>0]&8){Gl=249;break m}pb=c[Zk>>2]|0;eb=c[_k>>2]|0;ta=c[$k>>2]|0;La=c[al>>2]|0;gh=(c[Wk>>2]|0)+1-eb+ta-La|0;c[Xh>>2]=c[Yk>>2];c[Xh+4>>2]=pb;c[Xh+8>>2]=gh;c[Xh+12>>2]=1-eb+ta-La+ob;c[Yh>>2]=163;c[i>>2]=c[Xh>>2];c[i+4>>2]=c[Xh+4>>2];c[i+8>>2]=c[Xh+8>>2];c[i+12>>2]=c[Xh+12>>2];c[h>>2]=c[Yh>>2];mm(b,i,55,h);l=g;return}case 54:{ob=Bm+16|0;c[Vk>>2]=ob;La=a[ob>>0]|0;if(La<<24>>24!=52){on=La;Gl=254;break m}La=Bm+17|0;c[Vk>>2]=La;if(a[17798+(d[La>>0]|0)>>0]&8){Gl=249;break m}ob=c[Zk>>2]|0;ta=c[_k>>2]|0;eb=c[$k>>2]|0;gh=c[al>>2]|0;pb=(c[Wk>>2]|0)+1-ta+eb-gh|0;c[Zh>>2]=c[Yk>>2];c[Zh+4>>2]=ob;c[Zh+8>>2]=pb;c[Zh+12>>2]=1-ta+eb-gh+La;c[_h>>2]=165;c[i>>2]=c[Zh>>2];c[i+4>>2]=c[Zh+4>>2];c[i+8>>2]=c[Zh+8>>2];c[i+12>>2]=c[Zh+12>>2];c[h>>2]=c[_h>>2];mm(b,i,55,h);l=g;return}default:{on=Ma;Gl=254;break m}}break}case 117:{Ma=Bm+13|0;c[Vk>>2]=Ma;La=a[Ma>>0]|0;if(La<<24>>24!=47){on=La;Gl=254;break m}La=Bm+14|0;c[Vk>>2]=La;Ma=a[La>>0]|0;if(Ma<<24>>24!=105){on=Ma;Gl=254;break m}Ma=Bm+15|0;c[Vk>>2]=Ma;La=a[Ma>>0]|0;switch(La<<24>>24){case 51:{Ma=Bm+16|0;c[Vk>>2]=Ma;gh=a[Ma>>0]|0;if(gh<<24>>24!=50){on=gh;Gl=254;break m}gh=Bm+17|0;c[Vk>>2]=gh;if(a[17798+(d[gh>>0]|0)>>0]&8){Gl=249;break m}Ma=c[Zk>>2]|0;eb=c[_k>>2]|0;ta=c[$k>>2]|0;pb=c[al>>2]|0;ob=(c[Wk>>2]|0)+1-eb+ta-pb|0;c[$h>>2]=c[Yk>>2];c[$h+4>>2]=Ma;c[$h+8>>2]=ob;c[$h+12>>2]=1-eb+ta-pb+gh;c[ai>>2]=164;c[i>>2]=c[$h>>2];c[i+4>>2]=c[$h+4>>2];c[i+8>>2]=c[$h+8>>2];c[i+12>>2]=c[$h+12>>2];c[h>>2]=c[ai>>2];mm(b,i,55,h);l=g;return}case 54:{gh=Bm+16|0;c[Vk>>2]=gh;pb=a[gh>>0]|0;if(pb<<24>>24!=52){on=pb;Gl=254;break m}pb=Bm+17|0;c[Vk>>2]=pb;if(a[17798+(d[pb>>0]|0)>>0]&8){Gl=249;break m}gh=c[Zk>>2]|0;ta=c[_k>>2]|0;eb=c[$k>>2]|0;ob=c[al>>2]|0;Ma=(c[Wk>>2]|0)+1-ta+eb-ob|0;c[bi>>2]=c[Yk>>2];c[bi+4>>2]=gh;c[bi+8>>2]=Ma;c[bi+12>>2]=1-ta+eb-ob+pb;c[ci>>2]=166;c[i>>2]=c[bi>>2];c[i+4>>2]=c[bi+4>>2];c[i+8>>2]=c[bi+8>>2];c[i+12>>2]=c[bi+12>>2];c[h>>2]=c[ci>>2];mm(b,i,55,h);l=g;return}default:{on=La;Gl=254;break m}}break}default:{on=Pa;Gl=254;break m}}break}case 100:{Pa=Bm+5|0;c[Vk>>2]=Pa;La=a[Pa>>0]|0;switch(La<<24>>24){case 101:break;case 105:{Pa=Bm+6|0;c[Vk>>2]=Pa;pb=a[Pa>>0]|0;if(pb<<24>>24!=118){on=pb;Gl=254;break m}pb=Bm+7|0;c[Vk>>2]=pb;if(a[17798+(d[pb>>0]|0)>>0]&8){Gl=249;break m}Pa=c[Zk>>2]|0;ob=c[_k>>2]|0;eb=c[$k>>2]|0;ta=c[al>>2]|0;Ma=(c[Wk>>2]|0)+1-ob+eb-ta|0;c[uc>>2]=c[Yk>>2];c[uc+4>>2]=Pa;c[uc+8>>2]=Ma;c[uc+12>>2]=1-ob+eb-ta+pb;c[vc>>2]=134;c[i>>2]=c[uc>>2];c[i+4>>2]=c[uc+4>>2];c[i+8>>2]=c[uc+8>>2];c[i+12>>2]=c[uc+12>>2];c[h>>2]=c[vc>>2];mm(b,i,44,h);l=g;return}default:{on=La;Gl=254;break m}}La=Bm+6|0;c[Vk>>2]=La;pb=a[La>>0]|0;if(pb<<24>>24!=109){on=pb;Gl=254;break m}pb=Bm+7|0;c[Vk>>2]=pb;La=a[pb>>0]|0;if(La<<24>>24!=111){on=La;Gl=254;break m}La=Bm+8|0;c[Vk>>2]=La;pb=a[La>>0]|0;if(pb<<24>>24!=116){on=pb;Gl=254;break m}pb=Bm+9|0;c[Vk>>2]=pb;La=a[pb>>0]|0;if(La<<24>>24!=101){on=La;Gl=254;break m}La=Bm+10|0;c[Vk>>2]=La;pb=a[La>>0]|0;if(pb<<24>>24!=47){on=pb;Gl=254;break m}pb=Bm+11|0;c[Vk>>2]=pb;La=a[pb>>0]|0;if(La<<24>>24!=102){on=La;Gl=254;break m}La=Bm+12|0;c[Vk>>2]=La;pb=a[La>>0]|0;if(pb<<24>>24!=54){on=pb;Gl=254;break m}pb=Bm+13|0;c[Vk>>2]=pb;La=a[pb>>0]|0;if(La<<24>>24!=52){on=La;Gl=254;break m}La=Bm+14|0;c[Vk>>2]=La;if(a[17798+(d[La>>0]|0)>>0]&8){Gl=249;break m}pb=c[Zk>>2]|0;ta=c[_k>>2]|0;eb=c[$k>>2]|0;ob=c[al>>2]|0;Ma=(c[Wk>>2]|0)+1-ta+eb-ob|0;c[ih>>2]=c[Yk>>2];c[ih+4>>2]=pb;c[ih+8>>2]=Ma;c[ih+12>>2]=1-ta+eb-ob+La;c[jh>>2]=167;c[i>>2]=c[ih>>2];c[i+4>>2]=c[ih+4>>2];c[i+8>>2]=c[ih+8>>2];c[i+12>>2]=c[ih+12>>2];c[h>>2]=c[jh>>2];mm(b,i,55,h);l=g;return}case 101:{La=Bm+5|0;c[Vk>>2]=La;ob=a[La>>0]|0;if(ob<<24>>24!=113){on=ob;Gl=254;break m}ob=Bm+6|0;c[Vk>>2]=ob;if(a[17798+(d[ob>>0]|0)>>0]&8){Gl=249;break m}La=c[Zk>>2]|0;eb=c[_k>>2]|0;ta=c[$k>>2]|0;Ma=c[al>>2]|0;pb=(c[Wk>>2]|0)+1-eb+ta-Ma|0;c[qb>>2]=c[Yk>>2];c[qb+4>>2]=La;c[qb+8>>2]=pb;c[qb+12>>2]=1-eb+ta-Ma+ob;c[rb>>2]=76;c[i>>2]=c[qb>>2];c[i+4>>2]=c[qb+4>>2];c[i+8>>2]=c[qb+8>>2];c[i+12>>2]=c[qb+12>>2];c[h>>2]=c[rb>>2];mm(b,i,53,h);l=g;return}case 102:{ob=Bm+5|0;c[Vk>>2]=ob;Ma=a[ob>>0]|0;if(Ma<<24>>24!=108){on=Ma;Gl=254;break m}Ma=Bm+6|0;c[Vk>>2]=Ma;ob=a[Ma>>0]|0;if(ob<<24>>24!=111){on=ob;Gl=254;break m}ob=Bm+7|0;c[Vk>>2]=ob;Ma=a[ob>>0]|0;if(Ma<<24>>24!=111){on=Ma;Gl=254;break m}Ma=Bm+8|0;c[Vk>>2]=Ma;ob=a[Ma>>0]|0;if(ob<<24>>24!=114){on=ob;Gl=254;break m}ob=Bm+9|0;c[Vk>>2]=ob;if(a[17798+(d[ob>>0]|0)>>0]&8){Gl=249;break m}Ma=c[Zk>>2]|0;ta=c[_k>>2]|0;eb=c[$k>>2]|0;pb=c[al>>2]|0;La=(c[Wk>>2]|0)+1-ta+eb-pb|0;c[Ze>>2]=c[Yk>>2];c[Ze+4>>2]=Ma;c[Ze+8>>2]=La;c[Ze+12>>2]=1-ta+eb-pb+ob;c[_e>>2]=127;c[i>>2]=c[Ze>>2];c[i+4>>2]=c[Ze+4>>2];c[i+8>>2]=c[Ze+8>>2];c[i+12>>2]=c[Ze+12>>2];c[h>>2]=c[_e>>2];mm(b,i,76,h);l=g;return}case 103:{ob=Bm+5|0;c[Vk>>2]=ob;pb=a[ob>>0]|0;switch(pb<<24>>24){case 101:{ob=Bm+6|0;c[Vk>>2]=ob;if(a[17798+(d[ob>>0]|0)>>0]&8){Gl=249;break m}eb=c[Zk>>2]|0;ta=c[_k>>2]|0;La=c[$k>>2]|0;Ma=c[al>>2]|0;Pa=(c[Wk>>2]|0)+1-ta+La-Ma|0;c[sb>>2]=c[Yk>>2];c[sb+4>>2]=eb;c[sb+8>>2]=Pa;c[sb+12>>2]=1-ta+La-Ma+ob;c[tb>>2]=81;c[i>>2]=c[sb>>2];c[i+4>>2]=c[sb+4>>2];c[i+8>>2]=c[sb+8>>2];c[i+12>>2]=c[sb+12>>2];c[h>>2]=c[tb>>2];mm(b,i,53,h);l=g;return}case 116:{ob=Bm+6|0;c[Vk>>2]=ob;if(a[17798+(d[ob>>0]|0)>>0]&8){Gl=249;break m}Ma=c[Zk>>2]|0;La=c[_k>>2]|0;ta=c[$k>>2]|0;Pa=c[al>>2]|0;eb=(c[Wk>>2]|0)+1-La+ta-Pa|0;c[ub>>2]=c[Yk>>2];c[ub+4>>2]=Ma;c[ub+8>>2]=eb;c[ub+12>>2]=1-La+ta-Pa+ob;c[vb>>2]=79;c[i>>2]=c[ub>>2];c[i+4>>2]=c[ub+4>>2];c[i+8>>2]=c[ub+8>>2];c[i+12>>2]=c[ub+12>>2];c[h>>2]=c[vb>>2];mm(b,i,53,h);l=g;return}default:{on=pb;Gl=254;break m}}break}case 108:{pb=Bm+5|0;c[Vk>>2]=pb;ob=a[pb>>0]|0;if((ob&255)<111){if(ob<<24>>24!=101){on=ob;Gl=254;break m}pb=Bm+6|0;c[Vk>>2]=pb;if(a[17798+(d[pb>>0]|0)>>0]&8){Gl=249;break m}Pa=c[Zk>>2]|0;ta=c[_k>>2]|0;La=c[$k>>2]|0;eb=c[al>>2]|0;Ma=(c[Wk>>2]|0)+1-ta+La-eb|0;c[wb>>2]=c[Yk>>2];c[wb+4>>2]=Pa;c[wb+8>>2]=Ma;c[wb+12>>2]=1-ta+La-eb+pb;c[xb>>2]=80;c[i>>2]=c[wb>>2];c[i+4>>2]=c[wb+4>>2];c[i+8>>2]=c[wb+8>>2];c[i+12>>2]=c[wb+12>>2];c[h>>2]=c[xb>>2];mm(b,i,53,h);l=g;return}switch(ob<<24>>24){case 111:break;case 116:{pb=Bm+6|0;c[Vk>>2]=pb;if(a[17798+(d[pb>>0]|0)>>0]&8){Gl=249;break m}eb=c[Zk>>2]|0;La=c[_k>>2]|0;ta=c[$k>>2]|0;Ma=c[al>>2]|0;Pa=(c[Wk>>2]|0)+1-La+ta-Ma|0;c[yb>>2]=c[Yk>>2];c[yb+4>>2]=eb;c[yb+8>>2]=Pa;c[yb+12>>2]=1-La+ta-Ma+pb;c[zb>>2]=78;c[i>>2]=c[yb>>2];c[i+4>>2]=c[yb+4>>2];c[i+8>>2]=c[yb+8>>2];c[i+12>>2]=c[yb+12>>2];c[h>>2]=c[zb>>2];mm(b,i,53,h);l=g;return}default:{on=ob;Gl=254;break m}}ob=Bm+6|0;c[Vk>>2]=ob;pb=a[ob>>0]|0;if(pb<<24>>24!=97){on=pb;Gl=254;break m}pb=Bm+7|0;c[Vk>>2]=pb;ob=a[pb>>0]|0;if(ob<<24>>24!=100){on=ob;Gl=254;break m}ob=Bm+8|0;c[Vk>>2]=ob;if(a[17798+(d[ob>>0]|0)>>0]&8){Gl=249;break m}pb=c[Zk>>2]|0;Ma=c[_k>>2]|0;ta=c[$k>>2]|0;La=c[al>>2]|0;Pa=(c[Wk>>2]|0)+1-Ma+ta-La|0;c[Nd>>2]=c[Yk>>2];c[Nd+4>>2]=pb;c[Nd+8>>2]=Pa;c[Nd+12>>2]=1-Ma+ta-La+ob;c[Od>>2]=27;c[i>>2]=c[Nd>>2];c[i+4>>2]=c[Nd+4>>2];c[i+8>>2]=c[Nd+8>>2];c[i+12>>2]=c[Nd+12>>2];c[h>>2]=c[Od>>2];mm(b,i,64,h);l=g;return}case 109:{ob=Bm+5|0;c[Vk>>2]=ob;La=a[ob>>0]|0;if((La&255)<105){if(La<<24>>24!=97){on=La;Gl=254;break m}ob=Bm+6|0;c[Vk>>2]=ob;ta=a[ob>>0]|0;if(ta<<24>>24!=120){on=ta;Gl=254;break m}ta=Bm+7|0;c[Vk>>2]=ta;if(a[17798+(d[ta>>0]|0)>>0]&8){Gl=249;break m}ob=c[Zk>>2]|0;Ma=c[_k>>2]|0;Pa=c[$k>>2]|0;pb=c[al>>2]|0;eb=(c[Wk>>2]|0)+1-Ma+Pa-pb|0;c[wc>>2]=c[Yk>>2];c[wc+4>>2]=ob;c[wc+8>>2]=eb;c[wc+12>>2]=1-Ma+Pa-pb+ta;c[xc>>2]=136;c[i>>2]=c[wc>>2];c[i+4>>2]=c[wc+4>>2];c[i+8>>2]=c[wc+8>>2];c[i+12>>2]=c[wc+12>>2];c[h>>2]=c[xc>>2];mm(b,i,44,h);l=g;return}switch(La<<24>>24){case 105:{ta=Bm+6|0;c[Vk>>2]=ta;pb=a[ta>>0]|0;if(pb<<24>>24!=110){on=pb;Gl=254;break m}pb=Bm+7|0;c[Vk>>2]=pb;if(a[17798+(d[pb>>0]|0)>>0]&8){Gl=249;break m}ta=c[Zk>>2]|0;Pa=c[_k>>2]|0;Ma=c[$k>>2]|0;eb=c[al>>2]|0;ob=(c[Wk>>2]|0)+1-Pa+Ma-eb|0;c[yc>>2]=c[Yk>>2];c[yc+4>>2]=ta;c[yc+8>>2]=ob;c[yc+12>>2]=1-Pa+Ma-eb+pb;c[zc>>2]=135;c[i>>2]=c[yc>>2];c[i+4>>2]=c[yc+4>>2];c[i+8>>2]=c[yc+8>>2];c[i+12>>2]=c[yc+12>>2];c[h>>2]=c[zc>>2];mm(b,i,44,h);l=g;return}case 117:{pb=Bm+6|0;c[Vk>>2]=pb;eb=a[pb>>0]|0;if(eb<<24>>24!=108){on=eb;Gl=254;break m}eb=Bm+7|0;c[Vk>>2]=eb;if(a[17798+(d[eb>>0]|0)>>0]&8){Gl=249;break m}pb=c[Zk>>2]|0;Ma=c[_k>>2]|0;Pa=c[$k>>2]|0;ob=c[al>>2]|0;ta=(c[Wk>>2]|0)+1-Ma+Pa-ob|0;c[Ac>>2]=c[Yk>>2];c[Ac+4>>2]=pb;c[Ac+8>>2]=ta;c[Ac+12>>2]=1-Ma+Pa-ob+eb;c[Bc>>2]=133;c[i>>2]=c[Ac>>2];c[i+4>>2]=c[Ac+4>>2];c[i+8>>2]=c[Ac+8>>2];c[i+12>>2]=c[Ac+12>>2];c[h>>2]=c[Bc>>2];mm(b,i,44,h);l=g;return}default:{on=La;Gl=254;break m}}break}case 110:{La=Bm+5|0;c[Vk>>2]=La;eb=a[La>>0]|0;if(eb<<24>>24!=101){on=eb;Gl=254;break m}eb=Bm+6|0;c[Vk>>2]=eb;La=a[eb>>0]|0;ob=eb;do if((La&255)<59)if((La&255)<35)if(La<<24>>24==33){Gl=249;break m}else break;else if((La&-2)<<24>>24==40)break;else{Gl=249;break m}else{if((La&255)>=98){if(La<<24>>24!=103)if((La&255)<127){Gl=249;break m}else break;eb=Bm+7|0;c[Vk>>2]=eb;if(a[17798+(d[eb>>0]|0)>>0]&8){Gl=249;break m}Pa=c[Zk>>2]|0;Ma=c[_k>>2]|0;ta=c[$k>>2]|0;pb=c[al>>2]|0;gh=(c[Wk>>2]|0)+1-Ma+ta-pb|0;c[Cc>>2]=c[Yk>>2];c[Cc+4>>2]=Pa;c[Cc+8>>2]=gh;c[Cc+12>>2]=1-Ma+ta-pb+eb;c[Dc>>2]=125;c[i>>2]=c[Cc>>2];c[i+4>>2]=c[Cc+4>>2];c[i+8>>2]=c[Cc+8>>2];c[i+12>>2]=c[Cc+12>>2];c[h>>2]=c[Dc>>2];mm(b,i,76,h);l=g;return}if((La&255)>=60){if((La&255)<97){Gl=249;break m}eb=Bm+7|0;c[Vk>>2]=eb;pb=a[eb>>0]|0;if(pb<<24>>24!=114){on=pb;Gl=254;break m}pb=Bm+8|0;c[Vk>>2]=pb;eb=a[pb>>0]|0;if(eb<<24>>24!=101){on=eb;Gl=254;break m}eb=Bm+9|0;c[Vk>>2]=eb;pb=a[eb>>0]|0;if(pb<<24>>24!=115){on=pb;Gl=254;break m}pb=Bm+10|0;c[Vk>>2]=pb;eb=a[pb>>0]|0;if(eb<<24>>24!=116){on=eb;Gl=254;break m}eb=Bm+11|0;c[Vk>>2]=eb;if(a[17798+(d[eb>>0]|0)>>0]&8){Gl=249;break m}pb=c[Zk>>2]|0;ta=c[_k>>2]|0;Ma=c[$k>>2]|0;gh=c[al>>2]|0;Pa=(c[Wk>>2]|0)+1-ta+Ma-gh|0;c[mg>>2]=c[Yk>>2];c[mg+4>>2]=pb;c[mg+8>>2]=Pa;c[mg+12>>2]=1-ta+Ma-gh+eb;c[ng>>2]=129;c[i>>2]=c[mg>>2];c[i+4>>2]=c[mg+4>>2];c[i+8>>2]=c[mg+8>>2];c[i+12>>2]=c[mg+12>>2];c[h>>2]=c[ng>>2];mm(b,i,76,h);l=g;return}}while(0);La=c[Zk>>2]|0;eb=c[_k>>2]|0;gh=c[$k>>2]|0;Ma=c[al>>2]|0;ta=(c[Wk>>2]|0)+1-eb+gh-Ma|0;c[Ab>>2]=c[Yk>>2];c[Ab+4>>2]=La;c[Ab+8>>2]=ta;c[Ab+12>>2]=1-eb+gh-Ma+ob;c[Bb>>2]=77;c[i>>2]=c[Ab>>2];c[i+4>>2]=c[Ab+4>>2];c[i+8>>2]=c[Ab+8>>2];c[i+12>>2]=c[Ab+12>>2];c[h>>2]=c[Bb>>2];mm(b,i,53,h);l=g;return}case 114:{Ma=Bm+5|0;c[Vk>>2]=Ma;gh=a[Ma>>0]|0;if(gh<<24>>24!=101){on=gh;Gl=254;break m}gh=Bm+6|0;c[Vk>>2]=gh;Ma=a[gh>>0]|0;if(Ma<<24>>24!=105){on=Ma;Gl=254;break m}Ma=Bm+7|0;c[Vk>>2]=Ma;gh=a[Ma>>0]|0;if(gh<<24>>24!=110){on=gh;Gl=254;break m}gh=Bm+8|0;c[Vk>>2]=gh;Ma=a[gh>>0]|0;if(Ma<<24>>24!=116){on=Ma;Gl=254;break m}Ma=Bm+9|0;c[Vk>>2]=Ma;gh=a[Ma>>0]|0;if(gh<<24>>24!=101){on=gh;Gl=254;break m}gh=Bm+10|0;c[Vk>>2]=gh;Ma=a[gh>>0]|0;if(Ma<<24>>24!=114){on=Ma;Gl=254;break m}Ma=Bm+11|0;c[Vk>>2]=Ma;gh=a[Ma>>0]|0;if(gh<<24>>24!=112){on=gh;Gl=254;break m}gh=Bm+12|0;c[Vk>>2]=gh;Ma=a[gh>>0]|0;if(Ma<<24>>24!=114){on=Ma;Gl=254;break m}Ma=Bm+13|0;c[Vk>>2]=Ma;gh=a[Ma>>0]|0;if(gh<<24>>24!=101){on=gh;Gl=254;break m}gh=Bm+14|0;c[Vk>>2]=gh;Ma=a[gh>>0]|0;if(Ma<<24>>24!=116){on=Ma;Gl=254;break m}Ma=Bm+15|0;c[Vk>>2]=Ma;gh=a[Ma>>0]|0;if(gh<<24>>24!=47){on=gh;Gl=254;break m}gh=Bm+16|0;c[Vk>>2]=gh;Ma=a[gh>>0]|0;if(Ma<<24>>24!=105){on=Ma;Gl=254;break m}Ma=Bm+17|0;c[Vk>>2]=Ma;gh=a[Ma>>0]|0;if(gh<<24>>24!=51){on=gh;Gl=254;break m}gh=Bm+18|0;c[Vk>>2]=gh;Ma=a[gh>>0]|0;if(Ma<<24>>24!=50){on=Ma;Gl=254;break m}Ma=Bm+19|0;c[Vk>>2]=Ma;if(a[17798+(d[Ma>>0]|0)>>0]&8){Gl=249;break m}gh=c[Zk>>2]|0;eb=c[_k>>2]|0;ta=c[$k>>2]|0;La=c[al>>2]|0;Pa=(c[Wk>>2]|0)+1-eb+ta-La|0;c[Ti>>2]=c[Yk>>2];c[Ti+4>>2]=gh;c[Ti+8>>2]=Pa;c[Ti+12>>2]=1-eb+ta-La+Ma;c[Ui>>2]=175;c[i>>2]=c[Ti>>2];c[i+4>>2]=c[Ti+4>>2];c[i+8>>2]=c[Ti+8>>2];c[i+12>>2]=c[Ti+12>>2];c[h>>2]=c[Ui>>2];mm(b,i,55,h);l=g;return}case 115:{Ma=Bm+5|0;c[Vk>>2]=Ma;La=a[Ma>>0]|0;if((La&255)<116){if(La<<24>>24!=113){on=La;Gl=254;break m}Ma=Bm+6|0;c[Vk>>2]=Ma;ta=a[Ma>>0]|0;if(ta<<24>>24!=114){on=ta;Gl=254;break m}ta=Bm+7|0;c[Vk>>2]=ta;Ma=a[ta>>0]|0;if(Ma<<24>>24!=116){on=Ma;Gl=254;break m}Ma=Bm+8|0;c[Vk>>2]=Ma;if(a[17798+(d[Ma>>0]|0)>>0]&8){Gl=249;break m}ta=c[Zk>>2]|0;eb=c[_k>>2]|0;Pa=c[$k>>2]|0;gh=c[al>>2]|0;pb=(c[Wk>>2]|0)+1-eb+Pa-gh|0;c[Pd>>2]=c[Yk>>2];c[Pd+4>>2]=ta;c[Pd+8>>2]=pb;c[Pd+12>>2]=1-eb+Pa-gh+Ma;c[Qd>>2]=130;c[i>>2]=c[Pd>>2];c[i+4>>2]=c[Pd+4>>2];c[i+8>>2]=c[Pd+8>>2];c[i+12>>2]=c[Pd+12>>2];c[h>>2]=c[Qd>>2];mm(b,i,76,h);l=g;return}if(La<<24>>24!=116){if((La&255)>=118){on=La;Gl=254;break m}La=Bm+6|0;c[Vk>>2]=La;Ma=a[La>>0]|0;if(Ma<<24>>24!=98){on=Ma;Gl=254;break m}Ma=Bm+7|0;c[Vk>>2]=Ma;if(a[17798+(d[Ma>>0]|0)>>0]&8){Gl=249;break m}La=c[Zk>>2]|0;gh=c[_k>>2]|0;Pa=c[$k>>2]|0;eb=c[al>>2]|0;pb=(c[Wk>>2]|0)+1-gh+Pa-eb|0;c[Ec>>2]=c[Yk>>2];c[Ec+4>>2]=La;c[Ec+8>>2]=pb;c[Ec+12>>2]=1-gh+Pa-eb+Ma;c[Fc>>2]=132;c[i>>2]=c[Ec>>2];c[i+4>>2]=c[Ec+4>>2];c[i+8>>2]=c[Ec+8>>2];c[i+12>>2]=c[Ec+12>>2];c[h>>2]=c[Fc>>2];mm(b,i,44,h);l=g;return}Ma=Bm+6|0;c[Vk>>2]=Ma;eb=a[Ma>>0]|0;if(eb<<24>>24!=111){on=eb;Gl=254;break m}eb=Bm+7|0;c[Vk>>2]=eb;Ma=a[eb>>0]|0;if(Ma<<24>>24!=114){on=Ma;Gl=254;break m}Ma=Bm+8|0;c[Vk>>2]=Ma;eb=a[Ma>>0]|0;if(eb<<24>>24!=101){on=eb;Gl=254;break m}eb=Bm+9|0;c[Vk>>2]=eb;if(a[17798+(d[eb>>0]|0)>>0]&8){Gl=249;break m}Ma=c[Zk>>2]|0;Pa=c[_k>>2]|0;gh=c[$k>>2]|0;pb=c[al>>2]|0;La=(c[Wk>>2]|0)+1-Pa+gh-pb|0;c[$e>>2]=c[Yk>>2];c[$e+4>>2]=Ma;c[$e+8>>2]=La;c[$e+12>>2]=1-Pa+gh-pb+eb;c[af>>2]=41;c[i>>2]=c[$e>>2];c[i+4>>2]=c[$e+4>>2];c[i+8>>2]=c[$e+8>>2];c[i+12>>2]=c[$e+12>>2];c[h>>2]=c[af>>2];mm(b,i,72,h);l=g;return}case 116:{eb=Bm+5|0;c[Vk>>2]=eb;pb=a[eb>>0]|0;if(pb<<24>>24!=114){on=pb;Gl=254;break m}pb=Bm+6|0;c[Vk>>2]=pb;eb=a[pb>>0]|0;if(eb<<24>>24!=117){on=eb;Gl=254;break m}eb=Bm+7|0;c[Vk>>2]=eb;pb=a[eb>>0]|0;if(pb<<24>>24!=110){on=pb;Gl=254;break m}pb=Bm+8|0;c[Vk>>2]=pb;eb=a[pb>>0]|0;if(eb<<24>>24!=99){on=eb;Gl=254;break m}eb=Bm+9|0;c[Vk>>2]=eb;if(a[17798+(d[eb>>0]|0)>>0]&8){Gl=249;break m}pb=c[Zk>>2]|0;gh=c[_k>>2]|0;Pa=c[$k>>2]|0;La=c[al>>2]|0;Ma=(c[Wk>>2]|0)+1-gh+Pa-La|0;c[bf>>2]=c[Yk>>2];c[bf+4>>2]=pb;c[bf+8>>2]=Ma;c[bf+12>>2]=1-gh+Pa-La+eb;c[cf>>2]=128;c[i>>2]=c[bf>>2];c[i+4>>2]=c[bf+4>>2];c[i+8>>2]=c[bf+8>>2];c[i+12>>2]=c[bf+12>>2];c[h>>2]=c[cf>>2];mm(b,i,76,h);l=g;return}default:{on=db;Gl=254;break m}}while(0)}while(0);cf=c[Zk>>2]|0;bf=c[_k>>2]|0;af=c[$k>>2]|0;$e=c[al>>2]|0;Fc=(c[Wk>>2]|0)+1-bf+af-$e|0;c[ua>>2]=c[Yk>>2];c[ua+4>>2]=cf;c[ua+8>>2]=Fc;c[ua+12>>2]=1-bf+af-$e+Qa;c[h>>2]=c[ua>>2];c[h+4>>2]=c[ua+4>>2];c[h+8>>2]=c[ua+8>>2];c[h+12>>2]=c[ua+12>>2];km(b,h,85,-3);l=g;return}switch(Wh<<24>>24){case 54:break;case 117:{ua=Bm+2|0;c[Vk>>2]=ua;Qa=a[ua>>0]|0;if(Qa<<24>>24!=110){on=Qa;Gl=254;break m}Qa=Bm+3|0;c[Vk>>2]=Qa;ua=a[Qa>>0]|0;if(ua<<24>>24!=99){on=ua;Gl=254;break m}ua=Bm+4|0;c[Vk>>2]=ua;if(a[17798+(d[ua>>0]|0)>>0]&8){Gl=249;break m}Qa=c[Zk>>2]|0;$e=c[_k>>2]|0;af=c[$k>>2]|0;bf=c[al>>2]|0;Fc=(c[Wk>>2]|0)+1-$e+af-bf|0;c[Ra>>2]=c[Yk>>2];c[Ra+4>>2]=Qa;c[Ra+8>>2]=Fc;c[Ra+12>>2]=1-$e+af-bf+ua;c[h>>2]=c[Ra>>2];c[h+4>>2]=c[Ra+4>>2];c[h+8>>2]=c[Ra+8>>2];c[h+12>>2]=c[Ra+12>>2];jm(b,h,16);l=g;return}default:{on=Wh;Gl=254;break m}}Wh=Bm+2|0;c[Vk>>2]=Wh;Ra=a[Wh>>0]|0;if(Ra<<24>>24==52){Wh=Bm+3|0;c[Vk>>2]=Wh;ua=a[Wh>>0]|0;bf=Wh;do if((ua&255)<42)if((ua&255)<34)if(ua<<24>>24==33){Gl=249;break m}else break;else if(ua<<24>>24!=34&(ua&255)<40){Gl=249;break m}else break;else{if((ua&255)>=59)if(ua<<24>>24!=59&(ua&255)<127){Gl=249;break m}else break;if(ua<<24>>24!=46){Gl=249;break m}Wh=Bm+4|0;c[Vk>>2]=Wh;af=a[Wh>>0]|0;do switch(af<<24>>24){case 97:{Wh=Bm+5|0;c[Vk>>2]=Wh;$e=a[Wh>>0]|0;switch($e<<24>>24){case 98:{Wh=Bm+6|0;c[Vk>>2]=Wh;Fc=a[Wh>>0]|0;if(Fc<<24>>24!=115){on=Fc;Gl=254;break m}Fc=Bm+7|0;c[Vk>>2]=Fc;if(a[17798+(d[Fc>>0]|0)>>0]&8){Gl=249;break m}Wh=c[Zk>>2]|0;Qa=c[_k>>2]|0;cf=c[$k>>2]|0;Ec=c[al>>2]|0;Qd=(c[Wk>>2]|0)+1-Qa+cf-Ec|0;c[Gc>>2]=c[Yk>>2];c[Gc+4>>2]=Wh;c[Gc+8>>2]=Qd;c[Gc+12>>2]=1-Qa+cf-Ec+Fc;c[Hc>>2]=138;c[i>>2]=c[Gc>>2];c[i+4>>2]=c[Gc+4>>2];c[i+8>>2]=c[Gc+8>>2];c[i+12>>2]=c[Gc+12>>2];c[h>>2]=c[Hc>>2];mm(b,i,76,h);l=g;return}case 100:{Fc=Bm+6|0;c[Vk>>2]=Fc;Ec=a[Fc>>0]|0;if(Ec<<24>>24!=100){on=Ec;Gl=254;break m}Ec=Bm+7|0;c[Vk>>2]=Ec;if(a[17798+(d[Ec>>0]|0)>>0]&8){Gl=249;break m}Fc=c[Zk>>2]|0;cf=c[_k>>2]|0;Qa=c[$k>>2]|0;Qd=c[al>>2]|0;Wh=(c[Wk>>2]|0)+1-cf+Qa-Qd|0;c[Ic>>2]=c[Yk>>2];c[Ic+4>>2]=Fc;c[Ic+8>>2]=Wh;c[Ic+12>>2]=1-cf+Qa-Qd+Ec;c[Jc>>2]=145;c[i>>2]=c[Ic>>2];c[i+4>>2]=c[Ic+4>>2];c[i+8>>2]=c[Ic+8>>2];c[i+12>>2]=c[Ic+12>>2];c[h>>2]=c[Jc>>2];mm(b,i,44,h);l=g;return}default:{on=$e;Gl=254;break m}}break}case 99:{$e=Bm+5|0;c[Vk>>2]=$e;Ec=a[$e>>0]|0;switch(Ec<<24>>24){case 101:{$e=Bm+6|0;c[Vk>>2]=$e;Qd=a[$e>>0]|0;if(Qd<<24>>24!=105){on=Qd;Gl=254;break m}Qd=Bm+7|0;c[Vk>>2]=Qd;$e=a[Qd>>0]|0;if($e<<24>>24!=108){on=$e;Gl=254;break m}$e=Bm+8|0;c[Vk>>2]=$e;if(a[17798+(d[$e>>0]|0)>>0]&8){Gl=249;break m}Qd=c[Zk>>2]|0;Qa=c[_k>>2]|0;cf=c[$k>>2]|0;Wh=c[al>>2]|0;Fc=(c[Wk>>2]|0)+1-Qa+cf-Wh|0;c[Rd>>2]=c[Yk>>2];c[Rd+4>>2]=Qd;c[Rd+8>>2]=Fc;c[Rd+12>>2]=1-Qa+cf-Wh+$e;c[Sd>>2]=140;c[i>>2]=c[Rd>>2];c[i+4>>2]=c[Rd+4>>2];c[i+8>>2]=c[Rd+8>>2];c[i+12>>2]=c[Rd+12>>2];c[h>>2]=c[Sd>>2];mm(b,i,76,h);l=g;return}case 111:break;default:{on=Ec;Gl=254;break m}}Ec=Bm+6|0;c[Vk>>2]=Ec;$e=a[Ec>>0]|0;switch($e<<24>>24){case 110:break;case 112:{Ec=Bm+7|0;c[Vk>>2]=Ec;Wh=a[Ec>>0]|0;if(Wh<<24>>24!=121){on=Wh;Gl=254;break m}Wh=Bm+8|0;c[Vk>>2]=Wh;Ec=a[Wh>>0]|0;if(Ec<<24>>24!=115){on=Ec;Gl=254;break m}Ec=Bm+9|0;c[Vk>>2]=Ec;Wh=a[Ec>>0]|0;if(Wh<<24>>24!=105){on=Wh;Gl=254;break m}Wh=Bm+10|0;c[Vk>>2]=Wh;Ec=a[Wh>>0]|0;if(Ec<<24>>24!=103){on=Ec;Gl=254;break m}Ec=Bm+11|0;c[Vk>>2]=Ec;Wh=a[Ec>>0]|0;if(Wh<<24>>24!=110){on=Wh;Gl=254;break m}Wh=Bm+12|0;c[Vk>>2]=Wh;if(a[17798+(d[Wh>>0]|0)>>0]&8){Gl=249;break m}Ec=c[Zk>>2]|0;cf=c[_k>>2]|0;Qa=c[$k>>2]|0;Fc=c[al>>2]|0;Qd=(c[Wk>>2]|0)+1-cf+Qa-Fc|0;c[Kg>>2]=c[Yk>>2];c[Kg+4>>2]=Ec;c[Kg+8>>2]=Qd;c[Kg+12>>2]=1-cf+Qa-Fc+Wh;c[Lg>>2]=151;c[i>>2]=c[Kg>>2];c[i+4>>2]=c[Kg+4>>2];c[i+8>>2]=c[Kg+8>>2];c[i+12>>2]=c[Kg+12>>2];c[h>>2]=c[Lg>>2];mm(b,i,44,h);l=g;return}default:{on=$e;Gl=254;break m}}$e=Bm+7|0;c[Vk>>2]=$e;Wh=a[$e>>0]|0;switch(Wh<<24>>24){case 115:{$e=Bm+8|0;c[Vk>>2]=$e;Fc=a[$e>>0]|0;if(Fc<<24>>24!=116){on=Fc;Gl=254;break m}Fc=Bm+9|0;c[Vk>>2]=Fc;if(a[17798+(d[Fc>>0]|0)>>0]&8){Gl=249;break m}$e=c[Zk>>2]|0;Qa=c[_k>>2]|0;cf=c[$k>>2]|0;Qd=c[al>>2]|0;Ec=(c[Wk>>2]|0)+1-Qa+cf-Qd|0;c[df>>2]=c[Yk>>2];c[df+4>>2]=$e;c[df+8>>2]=Ec;c[df+12>>2]=1-Qa+cf-Qd+Fc;c[ef>>2]=53;c[i>>2]=c[df>>2];c[i+4>>2]=c[df+4>>2];c[i+8>>2]=c[df+8>>2];c[i+12>>2]=c[df+12>>2];c[h>>2]=c[ef>>2];mm(b,i,54,h);l=g;return}case 118:break;default:{on=Wh;Gl=254;break m}}Wh=Bm+8|0;c[Vk>>2]=Wh;Fc=a[Wh>>0]|0;if(Fc<<24>>24!=101){on=Fc;Gl=254;break m}Fc=Bm+9|0;c[Vk>>2]=Fc;Wh=a[Fc>>0]|0;if(Wh<<24>>24!=114){on=Wh;Gl=254;break m}Wh=Bm+10|0;c[Vk>>2]=Wh;Fc=a[Wh>>0]|0;if(Fc<<24>>24!=116){on=Fc;Gl=254;break m}Fc=Bm+11|0;c[Vk>>2]=Fc;Wh=a[Fc>>0]|0;if(Wh<<24>>24!=95){on=Wh;Gl=254;break m}Wh=Bm+12|0;c[Vk>>2]=Wh;Fc=a[Wh>>0]|0;switch(Fc<<24>>24){case 115:{Wh=Bm+13|0;c[Vk>>2]=Wh;Qd=a[Wh>>0]|0;if(Qd<<24>>24!=47){on=Qd;Gl=254;break m}Qd=Bm+14|0;c[Vk>>2]=Qd;Wh=a[Qd>>0]|0;if(Wh<<24>>24!=105){on=Wh;Gl=254;break m}Wh=Bm+15|0;c[Vk>>2]=Wh;Qd=a[Wh>>0]|0;switch(Qd<<24>>24){case 51:{Wh=Bm+16|0;c[Vk>>2]=Wh;cf=a[Wh>>0]|0;if(cf<<24>>24!=50){on=cf;Gl=254;break m}cf=Bm+17|0;c[Vk>>2]=cf;if(a[17798+(d[cf>>0]|0)>>0]&8){Gl=249;break m}Wh=c[Zk>>2]|0;Qa=c[_k>>2]|0;Ec=c[$k>>2]|0;$e=c[al>>2]|0;Pd=(c[Wk>>2]|0)+1-Qa+Ec-$e|0;c[di>>2]=c[Yk>>2];c[di+4>>2]=Wh;c[di+8>>2]=Pd;c[di+12>>2]=1-Qa+Ec-$e+cf;c[ei>>2]=168;c[i>>2]=c[di>>2];c[i+4>>2]=c[di+4>>2];c[i+8>>2]=c[di+8>>2];c[i+12>>2]=c[di+12>>2];c[h>>2]=c[ei>>2];mm(b,i,55,h);l=g;return}case 54:{cf=Bm+16|0;c[Vk>>2]=cf;$e=a[cf>>0]|0;if($e<<24>>24!=52){on=$e;Gl=254;break m}$e=Bm+17|0;c[Vk>>2]=$e;if(a[17798+(d[$e>>0]|0)>>0]&8){Gl=249;break m}cf=c[Zk>>2]|0;Ec=c[_k>>2]|0;Qa=c[$k>>2]|0;Pd=c[al>>2]|0;Wh=(c[Wk>>2]|0)+1-Ec+Qa-Pd|0;c[fi>>2]=c[Yk>>2];c[fi+4>>2]=cf;c[fi+8>>2]=Wh;c[fi+12>>2]=1-Ec+Qa-Pd+$e;c[gi>>2]=170;c[i>>2]=c[fi>>2];c[i+4>>2]=c[fi+4>>2];c[i+8>>2]=c[fi+8>>2];c[i+12>>2]=c[fi+12>>2];c[h>>2]=c[gi>>2];mm(b,i,55,h);l=g;return}default:{on=Qd;Gl=254;break m}}break}case 117:{Qd=Bm+13|0;c[Vk>>2]=Qd;$e=a[Qd>>0]|0;if($e<<24>>24!=47){on=$e;Gl=254;break m}$e=Bm+14|0;c[Vk>>2]=$e;Qd=a[$e>>0]|0;if(Qd<<24>>24!=105){on=Qd;Gl=254;break m}Qd=Bm+15|0;c[Vk>>2]=Qd;$e=a[Qd>>0]|0;switch($e<<24>>24){case 51:{Qd=Bm+16|0;c[Vk>>2]=Qd;Pd=a[Qd>>0]|0;if(Pd<<24>>24!=50){on=Pd;Gl=254;break m}Pd=Bm+17|0;c[Vk>>2]=Pd;if(a[17798+(d[Pd>>0]|0)>>0]&8){Gl=249;break m}Qd=c[Zk>>2]|0;Qa=c[_k>>2]|0;Ec=c[$k>>2]|0;Wh=c[al>>2]|0;cf=(c[Wk>>2]|0)+1-Qa+Ec-Wh|0;c[hi>>2]=c[Yk>>2];c[hi+4>>2]=Qd;c[hi+8>>2]=cf;c[hi+12>>2]=1-Qa+Ec-Wh+Pd;c[ii>>2]=169;c[i>>2]=c[hi>>2];c[i+4>>2]=c[hi+4>>2];c[i+8>>2]=c[hi+8>>2];c[i+12>>2]=c[hi+12>>2];c[h>>2]=c[ii>>2];mm(b,i,55,h);l=g;return}case 54:{Pd=Bm+16|0;c[Vk>>2]=Pd;Wh=a[Pd>>0]|0;if(Wh<<24>>24!=52){on=Wh;Gl=254;break m}Wh=Bm+17|0;c[Vk>>2]=Wh;if(a[17798+(d[Wh>>0]|0)>>0]&8){Gl=249;break m}Pd=c[Zk>>2]|0;Ec=c[_k>>2]|0;Qa=c[$k>>2]|0;cf=c[al>>2]|0;Qd=(c[Wk>>2]|0)+1-Ec+Qa-cf|0;c[ji>>2]=c[Yk>>2];c[ji+4>>2]=Pd;c[ji+8>>2]=Qd;c[ji+12>>2]=1-Ec+Qa-cf+Wh;c[ki>>2]=171;c[i>>2]=c[ji>>2];c[i+4>>2]=c[ji+4>>2];c[i+8>>2]=c[ji+8>>2];c[i+12>>2]=c[ji+12>>2];c[h>>2]=c[ki>>2];mm(b,i,55,h);l=g;return}default:{on=$e;Gl=254;break m}}break}default:{on=Fc;Gl=254;break m}}break}case 100:{Fc=Bm+5|0;c[Vk>>2]=Fc;$e=a[Fc>>0]|0;if($e<<24>>24!=105){on=$e;Gl=254;break m}$e=Bm+6|0;c[Vk>>2]=$e;Fc=a[$e>>0]|0;if(Fc<<24>>24!=118){on=Fc;Gl=254;break m}Fc=Bm+7|0;c[Vk>>2]=Fc;if(a[17798+(d[Fc>>0]|0)>>0]&8){Gl=249;break m}$e=c[Zk>>2]|0;Wh=c[_k>>2]|0;cf=c[$k>>2]|0;Qa=c[al>>2]|0;Ec=(c[Wk>>2]|0)+1-Wh+cf-Qa|0;c[Kc>>2]=c[Yk>>2];c[Kc+4>>2]=$e;c[Kc+8>>2]=Ec;c[Kc+12>>2]=1-Wh+cf-Qa+Fc;c[Lc>>2]=148;c[i>>2]=c[Kc>>2];c[i+4>>2]=c[Kc+4>>2];c[i+8>>2]=c[Kc+8>>2];c[i+12>>2]=c[Kc+12>>2];c[h>>2]=c[Lc>>2];mm(b,i,44,h);l=g;return}case 101:{Fc=Bm+5|0;c[Vk>>2]=Fc;Qa=a[Fc>>0]|0;if(Qa<<24>>24!=113){on=Qa;Gl=254;break m}Qa=Bm+6|0;c[Vk>>2]=Qa;if(a[17798+(d[Qa>>0]|0)>>0]&8){Gl=249;break m}Fc=c[Zk>>2]|0;cf=c[_k>>2]|0;Wh=c[$k>>2]|0;Ec=c[al>>2]|0;$e=(c[Wk>>2]|0)+1-cf+Wh-Ec|0;c[Cb>>2]=c[Yk>>2];c[Cb+4>>2]=Fc;c[Cb+8>>2]=$e;c[Cb+12>>2]=1-cf+Wh-Ec+Qa;c[Db>>2]=82;c[i>>2]=c[Cb>>2];c[i+4>>2]=c[Cb+4>>2];c[i+8>>2]=c[Cb+8>>2];c[i+12>>2]=c[Cb+12>>2];c[h>>2]=c[Db>>2];mm(b,i,53,h);l=g;return}case 102:{Qa=Bm+5|0;c[Vk>>2]=Qa;Ec=a[Qa>>0]|0;if(Ec<<24>>24!=108){on=Ec;Gl=254;break m}Ec=Bm+6|0;c[Vk>>2]=Ec;Qa=a[Ec>>0]|0;if(Qa<<24>>24!=111){on=Qa;Gl=254;break m}Qa=Bm+7|0;c[Vk>>2]=Qa;Ec=a[Qa>>0]|0;if(Ec<<24>>24!=111){on=Ec;Gl=254;break m}Ec=Bm+8|0;c[Vk>>2]=Ec;Qa=a[Ec>>0]|0;if(Qa<<24>>24!=114){on=Qa;Gl=254;break m}Qa=Bm+9|0;c[Vk>>2]=Qa;if(a[17798+(d[Qa>>0]|0)>>0]&8){Gl=249;break m}Ec=c[Zk>>2]|0;Wh=c[_k>>2]|0;cf=c[$k>>2]|0;$e=c[al>>2]|0;Fc=(c[Wk>>2]|0)+1-Wh+cf-$e|0;c[ff>>2]=c[Yk>>2];c[ff+4>>2]=Ec;c[ff+8>>2]=Fc;c[ff+12>>2]=1-Wh+cf-$e+Qa;c[gf>>2]=141;c[i>>2]=c[ff>>2];c[i+4>>2]=c[ff+4>>2];c[i+8>>2]=c[ff+8>>2];c[i+12>>2]=c[ff+12>>2];c[h>>2]=c[gf>>2];mm(b,i,76,h);l=g;return}case 103:{Qa=Bm+5|0;c[Vk>>2]=Qa;$e=a[Qa>>0]|0;switch($e<<24>>24){case 101:{Qa=Bm+6|0;c[Vk>>2]=Qa;if(a[17798+(d[Qa>>0]|0)>>0]&8){Gl=249;break m}cf=c[Zk>>2]|0;Wh=c[_k>>2]|0;Fc=c[$k>>2]|0;Ec=c[al>>2]|0;Qd=(c[Wk>>2]|0)+1-Wh+Fc-Ec|0;c[Eb>>2]=c[Yk>>2];c[Eb+4>>2]=cf;c[Eb+8>>2]=Qd;c[Eb+12>>2]=1-Wh+Fc-Ec+Qa;c[Fb>>2]=87;c[i>>2]=c[Eb>>2];c[i+4>>2]=c[Eb+4>>2];c[i+8>>2]=c[Eb+8>>2];c[i+12>>2]=c[Eb+12>>2];c[h>>2]=c[Fb>>2];mm(b,i,53,h);l=g;return}case 116:{Qa=Bm+6|0;c[Vk>>2]=Qa;if(a[17798+(d[Qa>>0]|0)>>0]&8){Gl=249;break m}Ec=c[Zk>>2]|0;Fc=c[_k>>2]|0;Wh=c[$k>>2]|0;Qd=c[al>>2]|0;cf=(c[Wk>>2]|0)+1-Fc+Wh-Qd|0;c[Gb>>2]=c[Yk>>2];c[Gb+4>>2]=Ec;c[Gb+8>>2]=cf;c[Gb+12>>2]=1-Fc+Wh-Qd+Qa;c[Hb>>2]=85;c[i>>2]=c[Gb>>2];c[i+4>>2]=c[Gb+4>>2];c[i+8>>2]=c[Gb+8>>2];c[i+12>>2]=c[Gb+12>>2];c[h>>2]=c[Hb>>2];mm(b,i,53,h);l=g;return}default:{on=$e;Gl=254;break m}}break}case 108:{$e=Bm+5|0;c[Vk>>2]=$e;Qa=a[$e>>0]|0;if((Qa&255)<111){if(Qa<<24>>24!=101){on=Qa;Gl=254;break m}$e=Bm+6|0;c[Vk>>2]=$e;if(a[17798+(d[$e>>0]|0)>>0]&8){Gl=249;break m}Qd=c[Zk>>2]|0;Wh=c[_k>>2]|0;Fc=c[$k>>2]|0;cf=c[al>>2]|0;Ec=(c[Wk>>2]|0)+1-Wh+Fc-cf|0;c[Ib>>2]=c[Yk>>2];c[Ib+4>>2]=Qd;c[Ib+8>>2]=Ec;c[Ib+12>>2]=1-Wh+Fc-cf+$e;c[Jb>>2]=86;c[i>>2]=c[Ib>>2];c[i+4>>2]=c[Ib+4>>2];c[i+8>>2]=c[Ib+8>>2];c[i+12>>2]=c[Ib+12>>2];c[h>>2]=c[Jb>>2];mm(b,i,53,h);l=g;return}switch(Qa<<24>>24){case 111:break;case 116:{$e=Bm+6|0;c[Vk>>2]=$e;if(a[17798+(d[$e>>0]|0)>>0]&8){Gl=249;break m}cf=c[Zk>>2]|0;Fc=c[_k>>2]|0;Wh=c[$k>>2]|0;Ec=c[al>>2]|0;Qd=(c[Wk>>2]|0)+1-Fc+Wh-Ec|0;c[Kb>>2]=c[Yk>>2];c[Kb+4>>2]=cf;c[Kb+8>>2]=Qd;c[Kb+12>>2]=1-Fc+Wh-Ec+$e;c[Lb>>2]=84;c[i>>2]=c[Kb>>2];c[i+4>>2]=c[Kb+4>>2];c[i+8>>2]=c[Kb+8>>2];c[i+12>>2]=c[Kb+12>>2];c[h>>2]=c[Lb>>2];mm(b,i,53,h);l=g;return}default:{on=Qa;Gl=254;break m}}Qa=Bm+6|0;c[Vk>>2]=Qa;$e=a[Qa>>0]|0;if($e<<24>>24!=97){on=$e;Gl=254;break m}$e=Bm+7|0;c[Vk>>2]=$e;Qa=a[$e>>0]|0;if(Qa<<24>>24!=100){on=Qa;Gl=254;break m}Qa=Bm+8|0;c[Vk>>2]=Qa;if(a[17798+(d[Qa>>0]|0)>>0]&8){Gl=249;break m}$e=c[Zk>>2]|0;Ec=c[_k>>2]|0;Wh=c[$k>>2]|0;Fc=c[al>>2]|0;Qd=(c[Wk>>2]|0)+1-Ec+Wh-Fc|0;c[Td>>2]=c[Yk>>2];c[Td+4>>2]=$e;c[Td+8>>2]=Qd;c[Td+12>>2]=1-Ec+Wh-Fc+Qa;c[Ud>>2]=28;c[i>>2]=c[Td>>2];c[i+4>>2]=c[Td+4>>2];c[i+8>>2]=c[Td+8>>2];c[i+12>>2]=c[Td+12>>2];c[h>>2]=c[Ud>>2];mm(b,i,64,h);l=g;return}case 109:{Qa=Bm+5|0;c[Vk>>2]=Qa;Fc=a[Qa>>0]|0;if((Fc&255)<105){if(Fc<<24>>24!=97){on=Fc;Gl=254;break m}Qa=Bm+6|0;c[Vk>>2]=Qa;Wh=a[Qa>>0]|0;if(Wh<<24>>24!=120){on=Wh;Gl=254;break m}Wh=Bm+7|0;c[Vk>>2]=Wh;if(a[17798+(d[Wh>>0]|0)>>0]&8){Gl=249;break m}Qa=c[Zk>>2]|0;Ec=c[_k>>2]|0;Qd=c[$k>>2]|0;$e=c[al>>2]|0;cf=(c[Wk>>2]|0)+1-Ec+Qd-$e|0;c[Mc>>2]=c[Yk>>2];c[Mc+4>>2]=Qa;c[Mc+8>>2]=cf;c[Mc+12>>2]=1-Ec+Qd-$e+Wh;c[Nc>>2]=150;c[i>>2]=c[Mc>>2];c[i+4>>2]=c[Mc+4>>2];c[i+8>>2]=c[Mc+8>>2];c[i+12>>2]=c[Mc+12>>2];c[h>>2]=c[Nc>>2];mm(b,i,44,h);l=g;return}switch(Fc<<24>>24){case 105:{Wh=Bm+6|0;c[Vk>>2]=Wh;$e=a[Wh>>0]|0;if($e<<24>>24!=110){on=$e;Gl=254;break m}$e=Bm+7|0;c[Vk>>2]=$e;if(a[17798+(d[$e>>0]|0)>>0]&8){Gl=249;break m}Wh=c[Zk>>2]|0;Qd=c[_k>>2]|0;Ec=c[$k>>2]|0;cf=c[al>>2]|0;Qa=(c[Wk>>2]|0)+1-Qd+Ec-cf|0;c[Oc>>2]=c[Yk>>2];c[Oc+4>>2]=Wh;c[Oc+8>>2]=Qa;c[Oc+12>>2]=1-Qd+Ec-cf+$e;c[Pc>>2]=149;c[i>>2]=c[Oc>>2];c[i+4>>2]=c[Oc+4>>2];c[i+8>>2]=c[Oc+8>>2];c[i+12>>2]=c[Oc+12>>2];c[h>>2]=c[Pc>>2];mm(b,i,44,h);l=g;return}case 117:{$e=Bm+6|0;c[Vk>>2]=$e;cf=a[$e>>0]|0;if(cf<<24>>24!=108){on=cf;Gl=254;break m}cf=Bm+7|0;c[Vk>>2]=cf;if(a[17798+(d[cf>>0]|0)>>0]&8){Gl=249;break m}$e=c[Zk>>2]|0;Ec=c[_k>>2]|0;Qd=c[$k>>2]|0;Qa=c[al>>2]|0;Wh=(c[Wk>>2]|0)+1-Ec+Qd-Qa|0;c[Qc>>2]=c[Yk>>2];c[Qc+4>>2]=$e;c[Qc+8>>2]=Wh;c[Qc+12>>2]=1-Ec+Qd-Qa+cf;c[Rc>>2]=147;c[i>>2]=c[Qc>>2];c[i+4>>2]=c[Qc+4>>2];c[i+8>>2]=c[Qc+8>>2];c[i+12>>2]=c[Qc+12>>2];c[h>>2]=c[Rc>>2];mm(b,i,44,h);l=g;return}default:{on=Fc;Gl=254;break m}}break}case 110:{Fc=Bm+5|0;c[Vk>>2]=Fc;cf=a[Fc>>0]|0;if(cf<<24>>24!=101){on=cf;Gl=254;break m}cf=Bm+6|0;c[Vk>>2]=cf;Fc=a[cf>>0]|0;Qa=cf;do if((Fc&255)<59)if((Fc&255)<35)if(Fc<<24>>24==33){Gl=249;break m}else break;else if((Fc&-2)<<24>>24==40)break;else{Gl=249;break m}else{if((Fc&255)>=98){if(Fc<<24>>24!=103)if((Fc&255)<127){Gl=249;break m}else break;cf=Bm+7|0;c[Vk>>2]=cf;if(a[17798+(d[cf>>0]|0)>>0]&8){Gl=249;break m}Qd=c[Zk>>2]|0;Ec=c[_k>>2]|0;Wh=c[$k>>2]|0;$e=c[al>>2]|0;Pd=(c[Wk>>2]|0)+1-Ec+Wh-$e|0;c[Sc>>2]=c[Yk>>2];c[Sc+4>>2]=Qd;c[Sc+8>>2]=Pd;c[Sc+12>>2]=1-Ec+Wh-$e+cf;c[Tc>>2]=139;c[i>>2]=c[Sc>>2];c[i+4>>2]=c[Sc+4>>2];c[i+8>>2]=c[Sc+8>>2];c[i+12>>2]=c[Sc+12>>2];c[h>>2]=c[Tc>>2];mm(b,i,76,h);l=g;return}if((Fc&255)>=60){if((Fc&255)<97){Gl=249;break m}cf=Bm+7|0;c[Vk>>2]=cf;$e=a[cf>>0]|0;if($e<<24>>24!=114){on=$e;Gl=254;break m}$e=Bm+8|0;c[Vk>>2]=$e;cf=a[$e>>0]|0;if(cf<<24>>24!=101){on=cf;Gl=254;break m}cf=Bm+9|0;c[Vk>>2]=cf;$e=a[cf>>0]|0;if($e<<24>>24!=115){on=$e;Gl=254;break m}$e=Bm+10|0;c[Vk>>2]=$e;cf=a[$e>>0]|0;if(cf<<24>>24!=116){on=cf;Gl=254;break m}cf=Bm+11|0;c[Vk>>2]=cf;if(a[17798+(d[cf>>0]|0)>>0]&8){Gl=249;break m}$e=c[Zk>>2]|0;Wh=c[_k>>2]|0;Ec=c[$k>>2]|0;Pd=c[al>>2]|0;Qd=(c[Wk>>2]|0)+1-Wh+Ec-Pd|0;c[og>>2]=c[Yk>>2];c[og+4>>2]=$e;c[og+8>>2]=Qd;c[og+12>>2]=1-Wh+Ec-Pd+cf;c[pg>>2]=143;c[i>>2]=c[og>>2];c[i+4>>2]=c[og+4>>2];c[i+8>>2]=c[og+8>>2];c[i+12>>2]=c[og+12>>2];c[h>>2]=c[pg>>2];mm(b,i,76,h);l=g;return}}while(0);Fc=c[Zk>>2]|0;ob=c[_k>>2]|0;cf=c[$k>>2]|0;Pd=c[al>>2]|0;Ec=(c[Wk>>2]|0)+1-ob+cf-Pd|0;c[Mb>>2]=c[Yk>>2];c[Mb+4>>2]=Fc;c[Mb+8>>2]=Ec;c[Mb+12>>2]=1-ob+cf-Pd+Qa;c[Nb>>2]=83;c[i>>2]=c[Mb>>2];c[i+4>>2]=c[Mb+4>>2];c[i+8>>2]=c[Mb+8>>2];c[i+12>>2]=c[Mb+12>>2];c[h>>2]=c[Nb>>2];mm(b,i,53,h);l=g;return}case 112:{Pd=Bm+5|0;c[Vk>>2]=Pd;cf=a[Pd>>0]|0;if(cf<<24>>24!=114){on=cf;Gl=254;break m}cf=Bm+6|0;c[Vk>>2]=cf;Pd=a[cf>>0]|0;if(Pd<<24>>24!=111){on=Pd;Gl=254;break m}Pd=Bm+7|0;c[Vk>>2]=Pd;cf=a[Pd>>0]|0;if(cf<<24>>24!=109){on=cf;Gl=254;break m}cf=Bm+8|0;c[Vk>>2]=cf;Pd=a[cf>>0]|0;if(Pd<<24>>24!=111){on=Pd;Gl=254;break m}Pd=Bm+9|0;c[Vk>>2]=Pd;cf=a[Pd>>0]|0;if(cf<<24>>24!=116){on=cf;Gl=254;break m}cf=Bm+10|0;c[Vk>>2]=cf;Pd=a[cf>>0]|0;if(Pd<<24>>24!=101){on=Pd;Gl=254;break m}Pd=Bm+11|0;c[Vk>>2]=Pd;cf=a[Pd>>0]|0;if(cf<<24>>24!=47){on=cf;Gl=254;break m}cf=Bm+12|0;c[Vk>>2]=cf;Pd=a[cf>>0]|0;if(Pd<<24>>24!=102){on=Pd;Gl=254;break m}Pd=Bm+13|0;c[Vk>>2]=Pd;cf=a[Pd>>0]|0;if(cf<<24>>24!=51){on=cf;Gl=254;break m}cf=Bm+14|0;c[Vk>>2]=cf;Pd=a[cf>>0]|0;if(Pd<<24>>24!=50){on=Pd;Gl=254;break m}Pd=Bm+15|0;c[Vk>>2]=Pd;if(a[17798+(d[Pd>>0]|0)>>0]&8){Gl=249;break m}cf=c[Zk>>2]|0;ob=c[_k>>2]|0;Ec=c[$k>>2]|0;Fc=c[al>>2]|0;Wh=(c[Wk>>2]|0)+1-ob+Ec-Fc|0;c[qh>>2]=c[Yk>>2];c[qh+4>>2]=cf;c[qh+8>>2]=Wh;c[qh+12>>2]=1-ob+Ec-Fc+Pd;c[rh>>2]=172;c[i>>2]=c[qh>>2];c[i+4>>2]=c[qh+4>>2];c[i+8>>2]=c[qh+8>>2];c[i+12>>2]=c[qh+12>>2];c[h>>2]=c[rh>>2];mm(b,i,55,h);l=g;return}case 114:{Pd=Bm+5|0;c[Vk>>2]=Pd;Fc=a[Pd>>0]|0;if(Fc<<24>>24!=101){on=Fc;Gl=254;break m}Fc=Bm+6|0;c[Vk>>2]=Fc;Pd=a[Fc>>0]|0;if(Pd<<24>>24!=105){on=Pd;Gl=254;break m}Pd=Bm+7|0;c[Vk>>2]=Pd;Fc=a[Pd>>0]|0;if(Fc<<24>>24!=110){on=Fc;Gl=254;break m}Fc=Bm+8|0;c[Vk>>2]=Fc;Pd=a[Fc>>0]|0;if(Pd<<24>>24!=116){on=Pd;Gl=254;break m}Pd=Bm+9|0;c[Vk>>2]=Pd;Fc=a[Pd>>0]|0;if(Fc<<24>>24!=101){on=Fc;Gl=254;break m}Fc=Bm+10|0;c[Vk>>2]=Fc;Pd=a[Fc>>0]|0;if(Pd<<24>>24!=114){on=Pd;Gl=254;break m}Pd=Bm+11|0;c[Vk>>2]=Pd;Fc=a[Pd>>0]|0;if(Fc<<24>>24!=112){on=Fc;Gl=254;break m}Fc=Bm+12|0;c[Vk>>2]=Fc;Pd=a[Fc>>0]|0;if(Pd<<24>>24!=114){on=Pd;Gl=254;break m}Pd=Bm+13|0;c[Vk>>2]=Pd;Fc=a[Pd>>0]|0;if(Fc<<24>>24!=101){on=Fc;Gl=254;break m}Fc=Bm+14|0;c[Vk>>2]=Fc;Pd=a[Fc>>0]|0;if(Pd<<24>>24!=116){on=Pd;Gl=254;break m}Pd=Bm+15|0;c[Vk>>2]=Pd;Fc=a[Pd>>0]|0;if(Fc<<24>>24!=47){on=Fc;Gl=254;break m}Fc=Bm+16|0;c[Vk>>2]=Fc;Pd=a[Fc>>0]|0;if(Pd<<24>>24!=105){on=Pd;Gl=254;break m}Pd=Bm+17|0;c[Vk>>2]=Pd;Fc=a[Pd>>0]|0;if(Fc<<24>>24!=54){on=Fc;Gl=254;break m}Fc=Bm+18|0;c[Vk>>2]=Fc;Pd=a[Fc>>0]|0;if(Pd<<24>>24!=52){on=Pd;Gl=254;break m}Pd=Bm+19|0;c[Vk>>2]=Pd;if(a[17798+(d[Pd>>0]|0)>>0]&8){Gl=249;break m}Fc=c[Zk>>2]|0;Ec=c[_k>>2]|0;ob=c[$k>>2]|0;Wh=c[al>>2]|0;cf=(c[Wk>>2]|0)+1-Ec+ob-Wh|0;c[Vi>>2]=c[Yk>>2];c[Vi+4>>2]=Fc;c[Vi+8>>2]=cf;c[Vi+12>>2]=1-Ec+ob-Wh+Pd;c[Wi>>2]=176;c[i>>2]=c[Vi>>2];c[i+4>>2]=c[Vi+4>>2];c[i+8>>2]=c[Vi+8>>2];c[i+12>>2]=c[Vi+12>>2];c[h>>2]=c[Wi>>2];mm(b,i,55,h);l=g;return}case 115:{Pd=Bm+5|0;c[Vk>>2]=Pd;Wh=a[Pd>>0]|0;if((Wh&255)<116){if(Wh<<24>>24!=113){on=Wh;Gl=254;break m}Pd=Bm+6|0;c[Vk>>2]=Pd;ob=a[Pd>>0]|0;if(ob<<24>>24!=114){on=ob;Gl=254;break m}ob=Bm+7|0;c[Vk>>2]=ob;Pd=a[ob>>0]|0;if(Pd<<24>>24!=116){on=Pd;Gl=254;break m}Pd=Bm+8|0;c[Vk>>2]=Pd;if(a[17798+(d[Pd>>0]|0)>>0]&8){Gl=249;break m}ob=c[Zk>>2]|0;Ec=c[_k>>2]|0;cf=c[$k>>2]|0;Fc=c[al>>2]|0;Qd=(c[Wk>>2]|0)+1-Ec+cf-Fc|0;c[Vd>>2]=c[Yk>>2];c[Vd+4>>2]=ob;c[Vd+8>>2]=Qd;c[Vd+12>>2]=1-Ec+cf-Fc+Pd;c[Wd>>2]=144;c[i>>2]=c[Vd>>2];c[i+4>>2]=c[Vd+4>>2];c[i+8>>2]=c[Vd+8>>2];c[i+12>>2]=c[Vd+12>>2];c[h>>2]=c[Wd>>2];mm(b,i,76,h);l=g;return}if(Wh<<24>>24!=116){if((Wh&255)>=118){on=Wh;Gl=254;break m}Wh=Bm+6|0;c[Vk>>2]=Wh;Pd=a[Wh>>0]|0;if(Pd<<24>>24!=98){on=Pd;Gl=254;break m}Pd=Bm+7|0;c[Vk>>2]=Pd;if(a[17798+(d[Pd>>0]|0)>>0]&8){Gl=249;break m}Wh=c[Zk>>2]|0;Fc=c[_k>>2]|0;cf=c[$k>>2]|0;Ec=c[al>>2]|0;Qd=(c[Wk>>2]|0)+1-Fc+cf-Ec|0;c[Uc>>2]=c[Yk>>2];c[Uc+4>>2]=Wh;c[Uc+8>>2]=Qd;c[Uc+12>>2]=1-Fc+cf-Ec+Pd;c[Vc>>2]=146;c[i>>2]=c[Uc>>2];c[i+4>>2]=c[Uc+4>>2];c[i+8>>2]=c[Uc+8>>2];c[i+12>>2]=c[Uc+12>>2];c[h>>2]=c[Vc>>2];mm(b,i,44,h);l=g;return}Pd=Bm+6|0;c[Vk>>2]=Pd;Ec=a[Pd>>0]|0;if(Ec<<24>>24!=111){on=Ec;Gl=254;break m}Ec=Bm+7|0;c[Vk>>2]=Ec;Pd=a[Ec>>0]|0;if(Pd<<24>>24!=114){on=Pd;Gl=254;break m}Pd=Bm+8|0;c[Vk>>2]=Pd;Ec=a[Pd>>0]|0;if(Ec<<24>>24!=101){on=Ec;Gl=254;break m}Ec=Bm+9|0;c[Vk>>2]=Ec;if(a[17798+(d[Ec>>0]|0)>>0]&8){Gl=249;break m}Pd=c[Zk>>2]|0;cf=c[_k>>2]|0;Fc=c[$k>>2]|0;Qd=c[al>>2]|0;Wh=(c[Wk>>2]|0)+1-cf+Fc-Qd|0;c[hf>>2]=c[Yk>>2];c[hf+4>>2]=Pd;c[hf+8>>2]=Wh;c[hf+12>>2]=1-cf+Fc-Qd+Ec;c[jf>>2]=42;c[i>>2]=c[hf>>2];c[i+4>>2]=c[hf+4>>2];c[i+8>>2]=c[hf+8>>2];c[i+12>>2]=c[hf+12>>2];c[h>>2]=c[jf>>2];mm(b,i,72,h);l=g;return}case 116:{Ec=Bm+5|0;c[Vk>>2]=Ec;Qd=a[Ec>>0]|0;if(Qd<<24>>24!=114){on=Qd;Gl=254;break m}Qd=Bm+6|0;c[Vk>>2]=Qd;Ec=a[Qd>>0]|0;if(Ec<<24>>24!=117){on=Ec;Gl=254;break m}Ec=Bm+7|0;c[Vk>>2]=Ec;Qd=a[Ec>>0]|0;if(Qd<<24>>24!=110){on=Qd;Gl=254;break m}Qd=Bm+8|0;c[Vk>>2]=Qd;Ec=a[Qd>>0]|0;if(Ec<<24>>24!=99){on=Ec;Gl=254;break m}Ec=Bm+9|0;c[Vk>>2]=Ec;if(a[17798+(d[Ec>>0]|0)>>0]&8){Gl=249;break m}Qd=c[Zk>>2]|0;Fc=c[_k>>2]|0;cf=c[$k>>2]|0;Wh=c[al>>2]|0;Pd=(c[Wk>>2]|0)+1-Fc+cf-Wh|0;c[kf>>2]=c[Yk>>2];c[kf+4>>2]=Qd;c[kf+8>>2]=Pd;c[kf+12>>2]=1-Fc+cf-Wh+Ec;c[lf>>2]=142;c[i>>2]=c[kf>>2];c[i+4>>2]=c[kf+4>>2];c[i+8>>2]=c[kf+8>>2];c[i+12>>2]=c[kf+12>>2];c[h>>2]=c[lf>>2];mm(b,i,76,h);l=g;return}default:{on=af;Gl=254;break m}}while(0)}while(0);lf=c[Zk>>2]|0;kf=c[_k>>2]|0;jf=c[$k>>2]|0;hf=c[al>>2]|0;Vc=(c[Wk>>2]|0)+1-kf+jf-hf|0;c[va>>2]=c[Yk>>2];c[va+4>>2]=lf;c[va+8>>2]=Vc;c[va+12>>2]=1-kf+jf-hf+bf;c[h>>2]=c[va>>2];c[h+4>>2]=c[va+4>>2];c[h+8>>2]=c[va+8>>2];c[h+12>>2]=c[va+12>>2];km(b,h,85,-4);l=g;return}else{on=Ra;Gl=254}break}case 217:{if((Cm&255)>=110){Ra=Bm+1|0;c[Vk>>2]=Ra;va=a[Ra>>0]|0;if((Cm&255)<113){if((Cm&255)<111){switch(va<<24>>24){case 97:{Dn=Ra;Gl=560;break m;break}case 111:break;default:{on=va;Gl=254;break m}}Ra=Bm+2|0;c[Vk>>2]=Ra;bf=a[Ra>>0]|0;if(bf<<24>>24!=112){on=bf;Gl=254;break}bf=Bm+3|0;c[Vk>>2]=bf;if(a[17798+(d[bf>>0]|0)>>0]&8){Gl=249;break}Ra=c[Zk>>2]|0;hf=c[_k>>2]|0;jf=c[$k>>2]|0;kf=c[al>>2]|0;Vc=(c[Wk>>2]|0)+1-hf+jf-kf|0;c[Ca>>2]=c[Yk>>2];c[Ca+4>>2]=Ra;c[Ca+8>>2]=Vc;c[Ca+12>>2]=1-hf+jf-kf+bf;c[Da>>2]=1;c[i>>2]=c[Ca>>2];c[i+4>>2]=c[Ca+4>>2];c[i+8>>2]=c[Ca+8>>2];c[i+12>>2]=c[Ca+12>>2];c[h>>2]=c[Da>>2];mm(b,i,66,h);l=g;return}if(Cm<<24>>24!=111){if(va<<24>>24!=97){on=va;Gl=254;break}Da=Bm+2|0;c[Vk>>2]=Da;Ca=a[Da>>0]|0;if(Ca<<24>>24!=114){on=Ca;Gl=254;break}Ca=Bm+3|0;c[Vk>>2]=Ca;Da=a[Ca>>0]|0;if(Da<<24>>24!=97){on=Da;Gl=254;break}Da=Bm+4|0;c[Vk>>2]=Da;Ca=a[Da>>0]|0;if(Ca<<24>>24!=109){on=Ca;Gl=254;break}Ca=Bm+5|0;c[Vk>>2]=Ca;if(a[17798+(d[Ca>>0]|0)>>0]&8){Gl=249;break}Da=c[Zk>>2]|0;bf=c[_k>>2]|0;kf=c[$k>>2]|0;jf=c[al>>2]|0;hf=(c[Wk>>2]|0)+1-bf+kf-jf|0;c[gb>>2]=c[Yk>>2];c[gb+4>>2]=Da;c[gb+8>>2]=hf;c[gb+12>>2]=1-bf+kf-jf+Ca;c[h>>2]=c[gb>>2];c[h+4>>2]=c[gb+4>>2];c[h+8>>2]=c[gb+8>>2];c[h+12>>2]=c[gb+12>>2];jm(b,h,27);l=g;return}if(va<<24>>24!=102){on=va;Gl=254;break}gb=Bm+2|0;c[Vk>>2]=gb;Ca=a[gb>>0]|0;if(Ca<<24>>24!=102){on=Ca;Gl=254;break}Ca=Bm+3|0;c[Vk>>2]=Ca;gb=a[Ca>>0]|0;if(gb<<24>>24!=115){on=gb;Gl=254;break}gb=Bm+4|0;c[Vk>>2]=gb;Ca=a[gb>>0]|0;if(Ca<<24>>24!=101){on=Ca;Gl=254;break}Ca=Bm+5|0;c[Vk>>2]=Ca;gb=a[Ca>>0]|0;if(gb<<24>>24!=116){on=gb;Gl=254;break}gb=Bm+6|0;c[Vk>>2]=gb;Ca=a[gb>>0]|0;jf=gb;do if((Ca&255)<42)if((Ca&255)<34)if(Ca<<24>>24==33){Gl=249;break m}else break;else if(Ca<<24>>24!=34&(Ca&255)<40){Gl=249;break m}else break;else{if((Ca&255)<61)if(Ca<<24>>24==59)break;else{Gl=249;break m}if(Ca<<24>>24!=61)if((Ca&255)<127){Gl=249;break m}else break;gb=Bm+7|0;c[Vk>>2]=gb;kf=a[gb>>0]|0;if((kf&255)<48){on=kf;Gl=254;break m}do if(kf<<24>>24==48){bf=Bm+8|0;c[Vk>>2]=bf;hf=a[bf>>0]|0;Da=bf;if((hf&255)<58){if((hf&255)<35)if(hf<<24>>24==33){Gl=249;break m}else{En=Da;Gl=1667;break}if((hf&255)<40){Gl=249;break m}if((hf&255)<42){En=Da;Gl=1667;break}if((hf&255)<48){Gl=249;break m}else{Fn=bf;Gl=1817;break}}if((hf&255)<96){if(hf<<24>>24==59){En=Da;Gl=1667;break}if((hf&255)<95){Gl=249;break m}else{Gn=bf;Gl=1807;break}}if(hf<<24>>24!=120)if((hf&255)<127){Gl=249;break m}else{En=Da;Gl=1667;break}else Hn=bf;q:while(1){bf=Hn+1|0;c[Vk>>2]=bf;if((c[Xk>>2]|0)>>>0>bf>>>0)In=bf;else{if((Yb(e,1)|0)==1){Gl=1822;break}In=c[Vk>>2]|0}Jn=a[In>>0]|0;do if((Jn&255)<58){if((Jn&255)<35){Gl=1825;break q}if((Jn&255)<40){Gl=249;break m}if((Jn&255)<42){Gl=260;break q}if((Jn&255)<48){Gl=249;break m}else Kn=In}else if((Jn&255)<71){if(Jn<<24>>24==59){Gl=260;break q}if((Jn&255)<65){Gl=249;break m}else{Kn=In;break}}else{if((Jn&255)<97){Gl=249;break m}if((Jn&255)<103){Kn=In;break}else{Gl=1834;break q}}while(0);while(1){bf=Kn+1|0;c[Vk>>2]=bf;if((c[Xk>>2]|0)>>>0>bf>>>0)Ln=bf;else{if((Yb(e,1)|0)==1){Gl=1895;break q}Ln=c[Vk>>2]|0}Mn=a[Ln>>0]|0;if((Mn&255)<59){if((Mn&255)<40){Gl=1898;break q}if((Mn&255)<42){Gl=1666;break q}if((Mn+-48&255)<10){Kn=Ln;continue}else{Gl=249;break m}}if((Mn&255)<95){if((Mn&255)<60){Gl=1666;break q}if((Mn+-65&255)<6){Kn=Ln;continue}else{Gl=249;break m}}else{if((Mn&255)<97)break;if((Mn&255)<103){Kn=Ln;continue}else{Gl=1907;break q}}}if(Mn<<24>>24==96){Gl=249;break m}else Hn=Ln}if((Gl|0)==260){ln=In;Gl=261;break m}else if((Gl|0)==1666){En=Ln;Gl=1667;break}else if((Gl|0)==1822){Qa=c[Zk>>2]|0;bf=c[_k>>2]|0;Da=c[$k>>2]|0;hf=c[al>>2]|0;Vc=(c[Wk>>2]|0)+1-bf+Da-hf|0;Ra=1-bf+Da-hf+(c[Vk>>2]|0)|0;c[Vf>>2]=c[Yk>>2];c[Vf+4>>2]=Qa;c[Vf+8>>2]=Vc;c[Vf+12>>2]=Ra;c[h>>2]=c[Vf>>2];c[h+4>>2]=c[Vf+4>>2];c[h+8>>2]=c[Vf+8>>2];c[h+12>>2]=c[Vf+12>>2];jm(b,h,13);l=g;return}else if((Gl|0)==1825)if(Jn<<24>>24==33){Gl=249;break m}else{ln=In;Gl=261;break m}else if((Gl|0)==1834)if((Jn&255)<127){Gl=249;break m}else{ln=In;Gl=261;break m}else if((Gl|0)==1895){Ra=c[Zk>>2]|0;Vc=c[_k>>2]|0;Qa=c[$k>>2]|0;hf=c[al>>2]|0;Da=(c[Wk>>2]|0)+1-Vc+Qa-hf|0;bf=1-Vc+Qa-hf+(c[Vk>>2]|0)|0;c[ig>>2]=c[Yk>>2];c[ig+4>>2]=Ra;c[ig+8>>2]=Da;c[ig+12>>2]=bf;c[h>>2]=c[ig>>2];c[h+4>>2]=c[ig+4>>2];c[h+8>>2]=c[ig+8>>2];c[h+12>>2]=c[ig+12>>2];jm(b,h,13);l=g;return}else if((Gl|0)==1898)if(Mn<<24>>24!=33&(Mn&255)<35){En=Ln;Gl=1667;break}else{Gl=249;break m}else if((Gl|0)==1907)if((Mn&255)<127){Gl=249;break m}else{En=Ln;Gl=1667;break}}else if((kf&255)<58){Fn=gb;Gl=1817}else{on=kf;Gl=254;break m}while(0);r:while(1)if((Gl|0)==1667){Gl=0;kf=c[Zk>>2]|0;gb=c[Wk>>2]|0;bf=c[_k>>2]|0;Da=c[$k>>2]|0;Ra=c[al>>2]|0;c[Re>>2]=c[Yk>>2];c[Re+4>>2]=kf;c[Re+8>>2]=gb+1-bf+Da-Ra;c[Re+12>>2]=1-bf+Da-Ra+En;c[i>>2]=0;c[i+4>>2]=0;c[i+8>>2]=0;Rt(i,gb+7|0,-7-gb+En|0);c[h>>2]=c[Re>>2];c[h+4>>2]=c[Re+4>>2];c[h+8>>2]=c[Re+8>>2];c[h+12>>2]=c[Re+12>>2];lm(b,h,81,i);Wt(i);Gl=2616;break}else if((Gl|0)==1807){Gl=0;gb=Gn+1|0;c[Vk>>2]=gb;if((c[Xk>>2]|0)>>>0>gb>>>0)Nn=gb;else{if((Yb(e,1)|0)==1){Gl=1810;break}Nn=c[Vk>>2]|0}On=Nn;Pn=a[Nn>>0]|0;if((Pn&255)<42){Gl=1812;break}if((Pn&255)>=59){Gl=1818;break}if((Pn&255)>47&Pn<<24>>24!=58){Fn=Nn;Gl=1817;continue}else{Gl=249;break m}}else if((Gl|0)==1817){Gl=0;gb=Fn;while(1){Ra=gb+1|0;c[Vk>>2]=Ra;if((c[Xk>>2]|0)>>>0>Ra>>>0)Qn=Ra;else{if((Yb(e,1)|0)==1){Gl=1671;break r}Qn=c[Vk>>2]|0}Rn=a[Qn>>0]|0;if((Rn&255)<48){Gl=1673;break}if((Rn&255)>=60){Gl=1679;break}if((Rn&255)<58)gb=Qn;else{Gl=1678;break}}if((Gl|0)==1673){Gl=0;gb=Qn;if((Rn&255)<35)if(Rn<<24>>24==33){Gl=249;break m}else{En=gb;Gl=1667;continue}else if((Rn&-2)<<24>>24==40){En=gb;Gl=1667;continue}else{Gl=249;break m}}else if((Gl|0)==1678){Gl=0;if(Rn<<24>>24==58){Gl=249;break m}else{En=Qn;Gl=1667;continue}}else if((Gl|0)==1679){Gl=0;if(Rn<<24>>24==95){Gn=Qn;Gl=1807;continue}if((Rn&255)<127){Gl=249;break m}else{En=Qn;Gl=1667;continue}}}if((Gl|0)==1671){gb=c[Zk>>2]|0;Ra=c[_k>>2]|0;Da=c[$k>>2]|0;bf=c[al>>2]|0;kf=(c[Wk>>2]|0)+1-Ra+Da-bf|0;hf=1-Ra+Da-bf+(c[Vk>>2]|0)|0;c[Se>>2]=c[Yk>>2];c[Se+4>>2]=gb;c[Se+8>>2]=kf;c[Se+12>>2]=hf;c[h>>2]=c[Se>>2];c[h+4>>2]=c[Se+4>>2];c[h+8>>2]=c[Se+8>>2];c[h+12>>2]=c[Se+12>>2];jm(b,h,13);l=g;return}else if((Gl|0)==1810){hf=c[Zk>>2]|0;kf=c[_k>>2]|0;gb=c[$k>>2]|0;bf=c[al>>2]|0;Da=(c[Wk>>2]|0)+1-kf+gb-bf|0;Ra=1-kf+gb-bf+(c[Vk>>2]|0)|0;c[Uf>>2]=c[Yk>>2];c[Uf+4>>2]=hf;c[Uf+8>>2]=Da;c[Uf+12>>2]=Ra;c[h>>2]=c[Uf>>2];c[h+4>>2]=c[Uf+4>>2];c[h+8>>2]=c[Uf+8>>2];c[h+12>>2]=c[Uf+12>>2];jm(b,h,13);l=g;return}else if((Gl|0)==1812)if((Pn&255)<34)if(Pn<<24>>24==33){Gl=249;break m}else{ln=On;Gl=261;break m}else if(Pn<<24>>24!=34&(Pn&255)<40){Gl=249;break m}else{ln=On;Gl=261;break m}else if((Gl|0)==1818)if(Pn<<24>>24!=59&(Pn&255)<127){Gl=249;break m}else{ln=On;Gl=261;break m}else if((Gl|0)==2616){l=g;return}}while(0);On=c[Zk>>2]|0;Pn=c[_k>>2]|0;Uf=c[$k>>2]|0;Se=c[al>>2]|0;Qn=(c[Wk>>2]|0)+1-Pn+Uf-Se|0;c[gc>>2]=c[Yk>>2];c[gc+4>>2]=On;c[gc+8>>2]=Qn;c[gc+12>>2]=1-Pn+Uf-Se+jf;c[h>>2]=c[gc>>2];c[h+4>>2]=c[gc+4>>2];c[h+8>>2]=c[gc+8>>2];c[h+12>>2]=c[gc+12>>2];jm(b,h,26);l=g;return}if(Cm<<24>>24==113){if(va<<24>>24!=117){on=va;Gl=254;break}gc=Bm+2|0;c[Vk>>2]=gc;jf=a[gc>>0]|0;if(jf<<24>>24!=111){on=jf;Gl=254;break}jf=Bm+3|0;c[Vk>>2]=jf;gc=a[jf>>0]|0;if(gc<<24>>24!=116){on=gc;Gl=254;break}gc=Bm+4|0;c[Vk>>2]=gc;jf=a[gc>>0]|0;if(jf<<24>>24!=101){on=jf;Gl=254;break}jf=Bm+5|0;c[Vk>>2]=jf;if(a[17798+(d[jf>>0]|0)>>0]&8){Gl=249;break}gc=c[Zk>>2]|0;Se=c[_k>>2]|0;Uf=c[$k>>2]|0;Pn=c[al>>2]|0;Qn=(c[Wk>>2]|0)+1-Se+Uf-Pn|0;c[hb>>2]=c[Yk>>2];c[hb+4>>2]=gc;c[hb+8>>2]=Qn;c[hb+12>>2]=1-Se+Uf-Pn+jf;c[h>>2]=c[hb>>2];c[h+4>>2]=c[hb+4>>2];c[h+8>>2]=c[hb+8>>2];c[h+12>>2]=c[hb+12>>2];jm(b,h,28);l=g;return}if((Cm&255)<115){if(va<<24>>24!=101){on=va;Gl=254;break}hb=Bm+2|0;c[Vk>>2]=hb;jf=a[hb>>0]|0;if((jf&255)<115){if(jf<<24>>24!=103){on=jf;Gl=254;break}hb=Bm+3|0;c[Vk>>2]=hb;Pn=a[hb>>0]|0;if(Pn<<24>>24!=105){on=Pn;Gl=254;break}Pn=Bm+4|0;c[Vk>>2]=Pn;hb=a[Pn>>0]|0;if(hb<<24>>24!=115){on=hb;Gl=254;break}hb=Bm+5|0;c[Vk>>2]=hb;Pn=a[hb>>0]|0;if(Pn<<24>>24!=116){on=Pn;Gl=254;break}Pn=Bm+6|0;c[Vk>>2]=Pn;hb=a[Pn>>0]|0;if(hb<<24>>24!=101){on=hb;Gl=254;break}hb=Bm+7|0;c[Vk>>2]=hb;Pn=a[hb>>0]|0;if(Pn<<24>>24!=114){on=Pn;Gl=254;break}Pn=Bm+8|0;c[Vk>>2]=Pn;if(a[17798+(d[Pn>>0]|0)>>0]&8){Gl=249;break}hb=c[Zk>>2]|0;Uf=c[_k>>2]|0;Se=c[$k>>2]|0;Qn=c[al>>2]|0;gc=(c[Wk>>2]|0)+1-Uf+Se-Qn|0;c[Te>>2]=c[Yk>>2];c[Te+4>>2]=hb;c[Te+8>>2]=gc;c[Te+12>>2]=1-Uf+Se-Qn+Pn;c[h>>2]=c[Te>>2];c[h+4>>2]=c[Te+4>>2];c[h+8>>2]=c[Te+8>>2];c[h+12>>2]=c[Te+12>>2];jm(b,h,29);l=g;return}if(jf<<24>>24==115){Te=Bm+3|0;c[Vk>>2]=Te;Pn=a[Te>>0]|0;if(Pn<<24>>24!=117){on=Pn;Gl=254;break}Pn=Bm+4|0;c[Vk>>2]=Pn;Te=a[Pn>>0]|0;if(Te<<24>>24!=108){on=Te;Gl=254;break}Te=Bm+5|0;c[Vk>>2]=Te;Pn=a[Te>>0]|0;if(Pn<<24>>24!=116){on=Pn;Gl=254;break}Pn=Bm+6|0;c[Vk>>2]=Pn;if(a[17798+(d[Pn>>0]|0)>>0]&8){Gl=249;break}Te=c[Zk>>2]|0;Qn=c[_k>>2]|0;Se=c[$k>>2]|0;Uf=c[al>>2]|0;gc=(c[Wk>>2]|0)+1-Qn+Se-Uf|0;c[hc>>2]=c[Yk>>2];c[hc+4>>2]=Te;c[hc+8>>2]=gc;c[hc+12>>2]=1-Qn+Se-Uf+Pn;c[h>>2]=c[hc>>2];c[h+4>>2]=c[hc+4>>2];c[h+8>>2]=c[hc+8>>2];c[h+12>>2]=c[hc+12>>2];jm(b,h,30);l=g;return}if((jf&255)>=117){on=jf;Gl=254;break}jf=Bm+3|0;c[Vk>>2]=jf;hc=a[jf>>0]|0;switch(hc<<24>>24){case 104:break;case 117:{jf=Bm+4|0;c[Vk>>2]=jf;Pn=a[jf>>0]|0;if(Pn<<24>>24!=114){on=Pn;Gl=254;break m}Pn=Bm+5|0;c[Vk>>2]=Pn;jf=a[Pn>>0]|0;if(jf<<24>>24!=110){on=jf;Gl=254;break m}jf=Bm+6|0;c[Vk>>2]=jf;if(a[17798+(d[jf>>0]|0)>>0]&8){Gl=249;break m}Pn=c[Zk>>2]|0;Uf=c[_k>>2]|0;Se=c[$k>>2]|0;Qn=c[al>>2]|0;gc=(c[Wk>>2]|0)+1-Uf+Se-Qn|0;c[ic>>2]=c[Yk>>2];c[ic+4>>2]=Pn;c[ic+8>>2]=gc;c[ic+12>>2]=1-Uf+Se-Qn+jf;c[jc>>2]=15;c[i>>2]=c[ic>>2];c[i+4>>2]=c[ic+4>>2];c[i+8>>2]=c[ic+8>>2];c[i+12>>2]=c[ic+12>>2];c[h>>2]=c[jc>>2];mm(b,i,68,h);l=g;return}default:{on=hc;Gl=254;break m}}hc=Bm+4|0;c[Vk>>2]=hc;jc=a[hc>>0]|0;if(jc<<24>>24!=114){on=jc;Gl=254;break}jc=Bm+5|0;c[Vk>>2]=jc;hc=a[jc>>0]|0;if(hc<<24>>24!=111){on=hc;Gl=254;break}hc=Bm+6|0;c[Vk>>2]=hc;jc=a[hc>>0]|0;if(jc<<24>>24!=119){on=jc;Gl=254;break}jc=Bm+7|0;c[Vk>>2]=jc;if(a[17798+(d[jc>>0]|0)>>0]&8){Gl=249;break}hc=c[Zk>>2]|0;ic=c[_k>>2]|0;jf=c[$k>>2]|0;Qn=c[al>>2]|0;Se=(c[Wk>>2]|0)+1-ic+jf-Qn|0;c[Fd>>2]=c[Yk>>2];c[Fd+4>>2]=hc;c[Fd+8>>2]=Se;c[Fd+12>>2]=1-ic+jf-Qn+jc;c[Gd>>2]=9;c[i>>2]=c[Fd>>2];c[i+4>>2]=c[Fd+4>>2];c[i+8>>2]=c[Fd+8>>2];c[i+12>>2]=c[Fd+12>>2];c[h>>2]=c[Gd>>2];mm(b,i,67,h);l=g;return}if(Cm<<24>>24!=115)switch(va<<24>>24){case 97:{Gd=Bm+2|0;c[Vk>>2]=Gd;Fd=a[Gd>>0]|0;if(Fd<<24>>24!=98){on=Fd;Gl=254;break m}Fd=Bm+3|0;c[Vk>>2]=Fd;Gd=a[Fd>>0]|0;if(Gd<<24>>24!=108){on=Gd;Gl=254;break m}Gd=Bm+4|0;c[Vk>>2]=Gd;Fd=a[Gd>>0]|0;if(Fd<<24>>24!=101){on=Fd;Gl=254;break m}Fd=Bm+5|0;c[Vk>>2]=Fd;if(a[17798+(d[Fd>>0]|0)>>0]&8){Gl=249;break m}Gd=c[Zk>>2]|0;jc=c[_k>>2]|0;Qn=c[$k>>2]|0;jf=c[al>>2]|0;ic=(c[Wk>>2]|0)+1-jc+Qn-jf|0;c[jb>>2]=c[Yk>>2];c[jb+4>>2]=Gd;c[jb+8>>2]=ic;c[jb+12>>2]=1-jc+Qn-jf+Fd;c[h>>2]=c[jb>>2];c[h+4>>2]=c[jb+4>>2];c[h+8>>2]=c[jb+8>>2];c[h+12>>2]=c[jb+12>>2];jm(b,h,34);l=g;return}case 101:{jb=Bm+2|0;c[Vk>>2]=jb;Fd=a[jb>>0]|0;if(Fd<<24>>24!=101){on=Fd;Gl=254;break m}Fd=Bm+3|0;c[Vk>>2]=Fd;jb=a[Fd>>0]|0;if(jb<<24>>24!=95){on=jb;Gl=254;break m}jb=Bm+4|0;c[Vk>>2]=jb;Fd=a[jb>>0]|0;if(Fd<<24>>24!=108){on=Fd;Gl=254;break m}Fd=Bm+5|0;c[Vk>>2]=Fd;jb=a[Fd>>0]|0;if(jb<<24>>24!=111){on=jb;Gl=254;break m}jb=Bm+6|0;c[Vk>>2]=jb;Fd=a[jb>>0]|0;if(Fd<<24>>24!=99){on=Fd;Gl=254;break m}Fd=Bm+7|0;c[Vk>>2]=Fd;jb=a[Fd>>0]|0;if(jb<<24>>24!=97){on=jb;Gl=254;break m}jb=Bm+8|0;c[Vk>>2]=jb;Fd=a[jb>>0]|0;if(Fd<<24>>24!=108){on=Fd;Gl=254;break m}Fd=Bm+9|0;c[Vk>>2]=Fd;if(a[17798+(d[Fd>>0]|0)>>0]&8){Gl=249;break m}jb=c[Zk>>2]|0;jf=c[_k>>2]|0;Qn=c[$k>>2]|0;jc=c[al>>2]|0;ic=(c[Wk>>2]|0)+1-jf+Qn-jc|0;c[Yf>>2]=c[Yk>>2];c[Yf+4>>2]=jb;c[Yf+8>>2]=ic;c[Yf+12>>2]=1-jf+Qn-jc+Fd;c[Zf>>2]=22;c[i>>2]=c[Yf>>2];c[i+4>>2]=c[Yf+4>>2];c[i+8>>2]=c[Yf+8>>2];c[i+12>>2]=c[Yf+12>>2];c[h>>2]=c[Zf>>2];mm(b,i,73,h);l=g;return}case 104:{Zf=Bm+2|0;c[Vk>>2]=Zf;Yf=a[Zf>>0]|0;switch(Yf<<24>>24){case 101:{Zf=Bm+3|0;c[Vk>>2]=Zf;Fd=a[Zf>>0]|0;if(Fd<<24>>24!=110){on=Fd;Gl=254;break m}Fd=Bm+4|0;c[Vk>>2]=Fd;if(a[17798+(d[Fd>>0]|0)>>0]&8){Gl=249;break m}Zf=c[Zk>>2]|0;jc=c[_k>>2]|0;Qn=c[$k>>2]|0;jf=c[al>>2]|0;ic=(c[Wk>>2]|0)+1-jc+Qn-jf|0;c[Ua>>2]=c[Yk>>2];c[Ua+4>>2]=Zf;c[Ua+8>>2]=ic;c[Ua+12>>2]=1-jc+Qn-jf+Fd;c[h>>2]=c[Ua>>2];c[h+4>>2]=c[Ua+4>>2];c[h+8>>2]=c[Ua+8>>2];c[h+12>>2]=c[Ua+12>>2];jm(b,h,35);l=g;return}case 114:break;default:{on=Yf;Gl=254;break m}}Yf=Bm+3|0;c[Vk>>2]=Yf;Ua=a[Yf>>0]|0;if(Ua<<24>>24!=111){on=Ua;Gl=254;break m}Ua=Bm+4|0;c[Vk>>2]=Ua;Yf=a[Ua>>0]|0;if(Yf<<24>>24!=119){on=Yf;Gl=254;break m}Yf=Bm+5|0;c[Vk>>2]=Yf;if(a[17798+(d[Yf>>0]|0)>>0]&8){Gl=249;break m}Ua=c[Zk>>2]|0;Fd=c[_k>>2]|0;jf=c[$k>>2]|0;Qn=c[al>>2]|0;jc=(c[Wk>>2]|0)+1-Fd+jf-Qn|0;c[kb>>2]=c[Yk>>2];c[kb+4>>2]=Ua;c[kb+8>>2]=jc;c[kb+12>>2]=1-Fd+jf-Qn+Yf;c[lb>>2]=8;c[i>>2]=c[kb>>2];c[i+4>>2]=c[kb+4>>2];c[i+8>>2]=c[kb+8>>2];c[i+12>>2]=c[kb+12>>2];c[h>>2]=c[lb>>2];mm(b,i,74,h);l=g;return}case 114:{lb=Bm+2|0;c[Vk>>2]=lb;kb=a[lb>>0]|0;if(kb<<24>>24!=121){on=kb;Gl=254;break m}kb=Bm+3|0;c[Vk>>2]=kb;if(a[17798+(d[kb>>0]|0)>>0]&8){Gl=249;break m}lb=c[Zk>>2]|0;Yf=c[_k>>2]|0;Qn=c[$k>>2]|0;jf=c[al>>2]|0;Fd=(c[Wk>>2]|0)+1-Yf+Qn-jf|0;c[Ea>>2]=c[Yk>>2];c[Ea+4>>2]=lb;c[Ea+8>>2]=Fd;c[Ea+12>>2]=1-Yf+Qn-jf+kb;c[Fa>>2]=6;c[i>>2]=c[Ea>>2];c[i+4>>2]=c[Ea+4>>2];c[i+8>>2]=c[Ea+8>>2];c[i+12>>2]=c[Ea+12>>2];c[h>>2]=c[Fa>>2];mm(b,i,75,h);l=g;return}case 121:{Fa=Bm+2|0;c[Vk>>2]=Fa;Ea=a[Fa>>0]|0;if(Ea<<24>>24!=112){on=Ea;Gl=254;break m}Ea=Bm+3|0;c[Vk>>2]=Ea;Fa=a[Ea>>0]|0;if(Fa<<24>>24!=101){on=Fa;Gl=254;break m}Fa=Bm+4|0;c[Vk>>2]=Fa;if(a[17798+(d[Fa>>0]|0)>>0]&8){Gl=249;break m}Ea=c[Zk>>2]|0;kb=c[_k>>2]|0;jf=c[$k>>2]|0;Qn=c[al>>2]|0;Yf=(c[Wk>>2]|0)+1-kb+jf-Qn|0;c[Va>>2]=c[Yk>>2];c[Va+4>>2]=Ea;c[Va+8>>2]=Yf;c[Va+12>>2]=1-kb+jf-Qn+Fa;c[h>>2]=c[Va>>2];c[h+4>>2]=c[Va+4>>2];c[h+8>>2]=c[Va+8>>2];c[h+12>>2]=c[Va+12>>2];jm(b,h,36);l=g;return}default:{on=va;Gl=254;break m}}if((va&255)>=104){switch(va<<24>>24){case 104:break;case 116:{Va=Bm+2|0;c[Vk>>2]=Va;Fa=a[Va>>0]|0;if(Fa<<24>>24!=97){on=Fa;Gl=254;break m}Fa=Bm+3|0;c[Vk>>2]=Fa;Va=a[Fa>>0]|0;if(Va<<24>>24!=114){on=Va;Gl=254;break m}Va=Bm+4|0;c[Vk>>2]=Va;Fa=a[Va>>0]|0;if(Fa<<24>>24!=116){on=Fa;Gl=254;break m}Fa=Bm+5|0;c[Vk>>2]=Fa;if(a[17798+(d[Fa>>0]|0)>>0]&8){Gl=249;break m}Va=c[Zk>>2]|0;Qn=c[_k>>2]|0;jf=c[$k>>2]|0;kb=c[al>>2]|0;Yf=(c[Wk>>2]|0)+1-Qn+jf-kb|0;c[ib>>2]=c[Yk>>2];c[ib+4>>2]=Va;c[ib+8>>2]=Yf;c[ib+12>>2]=1-Qn+jf-kb+Fa;c[h>>2]=c[ib>>2];c[h+4>>2]=c[ib+4>>2];c[h+8>>2]=c[ib+8>>2];c[h+12>>2]=c[ib+12>>2];jm(b,h,33);l=g;return}default:{on=va;Gl=254;break m}}ib=Bm+2|0;c[Vk>>2]=ib;Fa=a[ib>>0]|0;if(Fa<<24>>24!=97){on=Fa;Gl=254;break}Fa=Bm+3|0;c[Vk>>2]=Fa;ib=a[Fa>>0]|0;if(ib<<24>>24!=114){on=ib;Gl=254;break}ib=Bm+4|0;c[Vk>>2]=ib;Fa=a[ib>>0]|0;if(Fa<<24>>24!=101){on=Fa;Gl=254;break}Fa=Bm+5|0;c[Vk>>2]=Fa;ib=a[Fa>>0]|0;if(ib<<24>>24!=100){on=ib;Gl=254;break}ib=Bm+6|0;c[Vk>>2]=ib;if(a[17798+(d[ib>>0]|0)>>0]&8){Gl=249;break}Fa=c[Zk>>2]|0;kb=c[_k>>2]|0;jf=c[$k>>2]|0;Qn=c[al>>2]|0;Yf=(c[Wk>>2]|0)+1-kb+jf-Qn|0;c[mc>>2]=c[Yk>>2];c[mc+4>>2]=Fa;c[mc+8>>2]=Yf;c[mc+12>>2]=1-kb+jf-Qn+ib;c[h>>2]=c[mc>>2];c[h+4>>2]=c[mc+4>>2];c[h+8>>2]=c[mc+8>>2];c[h+12>>2]=c[mc+12>>2];jm(b,h,32);l=g;return}if(va<<24>>24!=101){on=va;Gl=254;break}va=Bm+2|0;c[Vk>>2]=va;mc=a[va>>0]|0;switch(mc<<24>>24){case 108:{va=Bm+3|0;c[Vk>>2]=va;ib=a[va>>0]|0;if(ib<<24>>24!=101){on=ib;Gl=254;break m}ib=Bm+4|0;c[Vk>>2]=ib;va=a[ib>>0]|0;if(va<<24>>24!=99){on=va;Gl=254;break m}va=Bm+5|0;c[Vk>>2]=va;ib=a[va>>0]|0;if(ib<<24>>24!=116){on=ib;Gl=254;break m}ib=Bm+6|0;c[Vk>>2]=ib;if(a[17798+(d[ib>>0]|0)>>0]&8){Gl=249;break m}va=c[Zk>>2]|0;Qn=c[_k>>2]|0;jf=c[$k>>2]|0;kb=c[al>>2]|0;Yf=(c[Wk>>2]|0)+1-Qn+jf-kb|0;c[kc>>2]=c[Yk>>2];c[kc+4>>2]=va;c[kc+8>>2]=Yf;c[kc+12>>2]=1-Qn+jf-kb+ib;c[lc>>2]=19;c[i>>2]=c[kc>>2];c[i+4>>2]=c[kc+4>>2];c[i+8>>2]=c[kc+8>>2];c[i+12>>2]=c[kc+12>>2];c[h>>2]=c[lc>>2];mm(b,i,69,h);l=g;return}case 116:break;default:{on=mc;Gl=254;break m}}mc=Bm+3|0;c[Vk>>2]=mc;lc=a[mc>>0]|0;if(lc<<24>>24!=95){on=lc;Gl=254;break}lc=Bm+4|0;c[Vk>>2]=lc;mc=a[lc>>0]|0;switch(mc<<24>>24){case 103:break;case 108:{lc=Bm+5|0;c[Vk>>2]=lc;kc=a[lc>>0]|0;if(kc<<24>>24!=111){on=kc;Gl=254;break m}kc=Bm+6|0;c[Vk>>2]=kc;lc=a[kc>>0]|0;if(lc<<24>>24!=99){on=lc;Gl=254;break m}lc=Bm+7|0;c[Vk>>2]=lc;kc=a[lc>>0]|0;if(kc<<24>>24!=97){on=kc;Gl=254;break m}kc=Bm+8|0;c[Vk>>2]=kc;lc=a[kc>>0]|0;if(lc<<24>>24!=108){on=lc;Gl=254;break m}lc=Bm+9|0;c[Vk>>2]=lc;if(a[17798+(d[lc>>0]|0)>>0]&8){Gl=249;break m}kc=c[Zk>>2]|0;ib=c[_k>>2]|0;kb=c[$k>>2]|0;jf=c[al>>2]|0;Qn=(c[Wk>>2]|0)+1-ib+kb-jf|0;c[Wf>>2]=c[Yk>>2];c[Wf+4>>2]=kc;c[Wf+8>>2]=Qn;c[Wf+12>>2]=1-ib+kb-jf+lc;c[Xf>>2]=21;c[i>>2]=c[Wf>>2];c[i+4>>2]=c[Wf+4>>2];c[i+8>>2]=c[Wf+8>>2];c[i+12>>2]=c[Wf+12>>2];c[h>>2]=c[Xf>>2];mm(b,i,71,h);l=g;return}default:{on=mc;Gl=254;break m}}mc=Bm+5|0;c[Vk>>2]=mc;Xf=a[mc>>0]|0;if(Xf<<24>>24!=108){on=Xf;Gl=254;break}Xf=Bm+6|0;c[Vk>>2]=Xf;mc=a[Xf>>0]|0;if(mc<<24>>24!=111){on=mc;Gl=254;break}mc=Bm+7|0;c[Vk>>2]=mc;Xf=a[mc>>0]|0;if(Xf<<24>>24!=98){on=Xf;Gl=254;break}Xf=Bm+8|0;c[Vk>>2]=Xf;mc=a[Xf>>0]|0;if(mc<<24>>24!=97){on=mc;Gl=254;break}mc=Bm+9|0;c[Vk>>2]=mc;Xf=a[mc>>0]|0;if(Xf<<24>>24!=108){on=Xf;Gl=254;break}Xf=Bm+10|0;c[Vk>>2]=Xf;if(a[17798+(d[Xf>>0]|0)>>0]&8){Gl=249;break}mc=c[Zk>>2]|0;Wf=c[_k>>2]|0;lc=c[$k>>2]|0;jf=c[al>>2]|0;kb=(c[Wk>>2]|0)+1-Wf+lc-jf|0;c[jg>>2]=c[Yk>>2];c[jg+4>>2]=mc;c[jg+8>>2]=kb;c[jg+12>>2]=1-Wf+lc-jf+Xf;c[kg>>2]=24;c[i>>2]=c[jg>>2];c[i+4>>2]=c[jg+4>>2];c[i+8>>2]=c[jg+8>>2];c[i+12>>2]=c[jg+12>>2];c[h>>2]=c[kg>>2];mm(b,i,70,h);l=g;return}if((Cm&255)>=106){if((Cm&255)<108){Gl=249;break}kg=Bm+1|0;c[Vk>>2]=kg;jg=a[kg>>0]|0;if(Cm<<24>>24==108){if(jg<<24>>24!=111){on=jg;Gl=254;break}kg=Bm+2|0;c[Vk>>2]=kg;Xf=a[kg>>0]|0;switch(Xf<<24>>24){case 99:break;case 111:{kg=Bm+3|0;c[Vk>>2]=kg;jf=a[kg>>0]|0;if(jf<<24>>24!=112){on=jf;Gl=254;break m}jf=Bm+4|0;c[Vk>>2]=jf;if(a[17798+(d[jf>>0]|0)>>0]&8){Gl=249;break m}kg=c[Zk>>2]|0;lc=c[_k>>2]|0;Wf=c[$k>>2]|0;kb=c[al>>2]|0;mc=(c[Wk>>2]|0)+1-lc+Wf-kb|0;c[Sa>>2]=c[Yk>>2];c[Sa+4>>2]=kg;c[Sa+8>>2]=mc;c[Sa+12>>2]=1-lc+Wf-kb+jf;c[Ta>>2]=3;c[i>>2]=c[Sa>>2];c[i+4>>2]=c[Sa+4>>2];c[i+8>>2]=c[Sa+8>>2];c[i+12>>2]=c[Sa+12>>2];c[h>>2]=c[Ta>>2];mm(b,i,65,h);l=g;return}default:{on=Xf;Gl=254;break m}}Xf=Bm+3|0;c[Vk>>2]=Xf;Ta=a[Xf>>0]|0;if(Ta<<24>>24!=97){on=Ta;Gl=254;break}Ta=Bm+4|0;c[Vk>>2]=Ta;Xf=a[Ta>>0]|0;if(Xf<<24>>24!=108){on=Xf;Gl=254;break}Xf=Bm+5|0;c[Vk>>2]=Xf;if(a[17798+(d[Xf>>0]|0)>>0]&8){Gl=249;break}Ta=c[Zk>>2]|0;Sa=c[_k>>2]|0;jf=c[$k>>2]|0;kb=c[al>>2]|0;Wf=(c[Wk>>2]|0)+1-Sa+jf-kb|0;c[fb>>2]=c[Yk>>2];c[fb+4>>2]=Ta;c[fb+8>>2]=Wf;c[fb+12>>2]=1-Sa+jf-kb+Xf;c[h>>2]=c[fb>>2];c[h+4>>2]=c[fb+4>>2];c[h+8>>2]=c[fb+8>>2];c[h+12>>2]=c[fb+12>>2];jm(b,h,21);l=g;return}if((jg&255)<111){if(jg<<24>>24!=101){on=jg;Gl=254;break}fb=Bm+2|0;c[Vk>>2]=fb;Xf=a[fb>>0]|0;if(Xf<<24>>24!=109){on=Xf;Gl=254;break}Xf=Bm+3|0;c[Vk>>2]=Xf;fb=a[Xf>>0]|0;if(fb<<24>>24!=111){on=fb;Gl=254;break}fb=Bm+4|0;c[Vk>>2]=fb;Xf=a[fb>>0]|0;if(Xf<<24>>24!=114){on=Xf;Gl=254;break}Xf=Bm+5|0;c[Vk>>2]=Xf;fb=a[Xf>>0]|0;if(fb<<24>>24!=121){on=fb;Gl=254;break}fb=Bm+6|0;c[Vk>>2]=fb;if(a[17798+(d[fb>>0]|0)>>0]&8){Gl=249;break}Xf=c[Zk>>2]|0;kb=c[_k>>2]|0;jf=c[$k>>2]|0;Sa=c[al>>2]|0;Wf=(c[Wk>>2]|0)+1-kb+jf-Sa|0;c[dc>>2]=c[Yk>>2];c[dc+4>>2]=Xf;c[dc+8>>2]=Wf;c[dc+12>>2]=1-kb+jf-Sa+fb;c[h>>2]=c[dc>>2];c[h+4>>2]=c[dc+4>>2];c[h+8>>2]=c[dc+8>>2];c[h+12>>2]=c[dc+12>>2];jm(b,h,23);l=g;return}switch(jg<<24>>24){case 111:break;case 117:{dc=Bm+2|0;c[Vk>>2]=dc;fb=a[dc>>0]|0;if(fb<<24>>24!=116){on=fb;Gl=254;break m}fb=Bm+3|0;c[Vk>>2]=fb;if(a[17798+(d[fb>>0]|0)>>0]&8){Gl=249;break m}dc=c[Zk>>2]|0;Sa=c[_k>>2]|0;jf=c[$k>>2]|0;kb=c[al>>2]|0;Wf=(c[Wk>>2]|0)+1-Sa+jf-kb|0;c[Aa>>2]=c[Yk>>2];c[Aa+4>>2]=dc;c[Aa+8>>2]=Wf;c[Aa+12>>2]=1-Sa+jf-kb+fb;c[h>>2]=c[Aa>>2];c[h+4>>2]=c[Aa+4>>2];c[h+8>>2]=c[Aa+8>>2];c[h+12>>2]=c[Aa+12>>2];jm(b,h,25);l=g;return}default:{on=jg;Gl=254;break m}}jg=Bm+2|0;c[Vk>>2]=jg;Aa=a[jg>>0]|0;if(Aa<<24>>24!=100){on=Aa;Gl=254;break}Aa=Bm+3|0;c[Vk>>2]=Aa;jg=a[Aa>>0]|0;if(jg<<24>>24!=117){on=jg;Gl=254;break}jg=Bm+4|0;c[Vk>>2]=jg;Aa=a[jg>>0]|0;if(Aa<<24>>24!=108){on=Aa;Gl=254;break}Aa=Bm+5|0;c[Vk>>2]=Aa;jg=a[Aa>>0]|0;if(jg<<24>>24!=101){on=jg;Gl=254;break}jg=Bm+6|0;c[Vk>>2]=jg;if(a[17798+(d[jg>>0]|0)>>0]&8){Gl=249;break}Aa=c[Zk>>2]|0;fb=c[_k>>2]|0;kb=c[$k>>2]|0;jf=c[al>>2]|0;Sa=(c[Wk>>2]|0)+1-fb+kb-jf|0;c[ec>>2]=c[Yk>>2];c[ec+4>>2]=Aa;c[ec+8>>2]=Sa;c[ec+12>>2]=1-fb+kb-jf+jg;c[h>>2]=c[ec>>2];c[h+4>>2]=c[ec+4>>2];c[h+8>>2]=c[ec+8>>2];c[h+12>>2]=c[ec+12>>2];jm(b,h,24);l=g;return}if((Cm&255)<104){ec=Bm+1|0;c[Vk>>2]=ec;jg=a[ec>>0]|0;if((jg&255)>=108){switch(jg<<24>>24){case 108:{ec=Bm+2|0;c[Vk>>2]=ec;jf=a[ec>>0]|0;if(jf<<24>>24!=111){on=jf;Gl=254;break m}jf=Bm+3|0;c[Vk>>2]=jf;ec=a[jf>>0]|0;if(ec<<24>>24!=98){on=ec;Gl=254;break m}ec=Bm+4|0;c[Vk>>2]=ec;jf=a[ec>>0]|0;if(jf<<24>>24!=97){on=jf;Gl=254;break m}jf=Bm+5|0;c[Vk>>2]=jf;ec=a[jf>>0]|0;if(ec<<24>>24!=108){on=ec;Gl=254;break m}ec=Bm+6|0;c[Vk>>2]=ec;if(a[17798+(d[ec>>0]|0)>>0]&8){Gl=249;break m}jf=c[Zk>>2]|0;kb=c[_k>>2]|0;fb=c[$k>>2]|0;Sa=c[al>>2]|0;Aa=(c[Wk>>2]|0)+1-kb+fb-Sa|0;c[Ob>>2]=c[Yk>>2];c[Ob+4>>2]=jf;c[Ob+8>>2]=Aa;c[Ob+12>>2]=1-kb+fb-Sa+ec;c[h>>2]=c[Ob>>2];c[h+4>>2]=c[Ob+4>>2];c[h+8>>2]=c[Ob+8>>2];c[h+12>>2]=c[Ob+12>>2];jm(b,h,18);l=g;return}case 114:break;default:{on=jg;Gl=254;break m}}Ob=Bm+2|0;c[Vk>>2]=Ob;ec=a[Ob>>0]|0;if(ec<<24>>24!=111){on=ec;Gl=254;break}ec=Bm+3|0;c[Vk>>2]=ec;Ob=a[ec>>0]|0;if(Ob<<24>>24!=119){on=Ob;Gl=254;break}Ob=Bm+4|0;c[Vk>>2]=Ob;ec=a[Ob>>0]|0;if(ec<<24>>24!=95){on=ec;Gl=254;break}ec=Bm+5|0;c[Vk>>2]=ec;Ob=a[ec>>0]|0;if(Ob<<24>>24!=109){on=Ob;Gl=254;break}Ob=Bm+6|0;c[Vk>>2]=Ob;ec=a[Ob>>0]|0;if(ec<<24>>24!=101){on=ec;Gl=254;break}ec=Bm+7|0;c[Vk>>2]=ec;Ob=a[ec>>0]|0;if(Ob<<24>>24!=109){on=Ob;Gl=254;break}Ob=Bm+8|0;c[Vk>>2]=Ob;ec=a[Ob>>0]|0;if(ec<<24>>24!=111){on=ec;Gl=254;break}ec=Bm+9|0;c[Vk>>2]=ec;Ob=a[ec>>0]|0;if(Ob<<24>>24!=114){on=Ob;Gl=254;break}Ob=Bm+10|0;c[Vk>>2]=Ob;ec=a[Ob>>0]|0;if(ec<<24>>24!=121){on=ec;Gl=254;break}ec=Bm+11|0;c[Vk>>2]=ec;if(a[17798+(d[ec>>0]|0)>>0]&8){Gl=249;break}Ob=c[Zk>>2]|0;Sa=c[_k>>2]|0;fb=c[$k>>2]|0;kb=c[al>>2]|0;Aa=(c[Wk>>2]|0)+1-Sa+fb-kb|0;c[qg>>2]=c[Yk>>2];c[qg+4>>2]=Ob;c[qg+8>>2]=Aa;c[qg+12>>2]=1-Sa+fb-kb+ec;c[rg>>2]=49;c[i>>2]=c[qg>>2];c[i+4>>2]=c[qg+4>>2];c[i+8>>2]=c[qg+8>>2];c[i+12>>2]=c[qg+12>>2];c[h>>2]=c[rg>>2];mm(b,i,62,h);l=g;return}if(jg<<24>>24!=101){on=jg;Gl=254;break}jg=Bm+2|0;c[Vk>>2]=jg;rg=a[jg>>0]|0;if(rg<<24>>24!=116){on=rg;Gl=254;break}rg=Bm+3|0;c[Vk>>2]=rg;jg=a[rg>>0]|0;qg=rg;do if((jg&255)<42)if((jg&255)<34)if(jg<<24>>24==33){Gl=249;break m}else break;else if(jg<<24>>24!=34&(jg&255)<40){Gl=249;break m}else break;else{if((jg&255)<95)if(jg<<24>>24==59)break;else{Gl=249;break m}if(jg<<24>>24!=95)if((jg&255)<127){Gl=249;break m}else break;rg=Bm+4|0;c[Vk>>2]=rg;ec=a[rg>>0]|0;switch(ec<<24>>24){case 103:break;case 108:{rg=Bm+5|0;c[Vk>>2]=rg;kb=a[rg>>0]|0;if(kb<<24>>24!=111){on=kb;Gl=254;break m}kb=Bm+6|0;c[Vk>>2]=kb;rg=a[kb>>0]|0;if(rg<<24>>24!=99){on=rg;Gl=254;break m}rg=Bm+7|0;c[Vk>>2]=rg;kb=a[rg>>0]|0;if(kb<<24>>24!=97){on=kb;Gl=254;break m}kb=Bm+8|0;c[Vk>>2]=kb;rg=a[kb>>0]|0;if(rg<<24>>24!=108){on=rg;Gl=254;break m}rg=Bm+9|0;c[Vk>>2]=rg;if(a[17798+(d[rg>>0]|0)>>0]&8){Gl=249;break m}kb=c[Zk>>2]|0;fb=c[_k>>2]|0;Sa=c[$k>>2]|0;Aa=c[al>>2]|0;Ob=(c[Wk>>2]|0)+1-fb+Sa-Aa|0;c[mf>>2]=c[Yk>>2];c[mf+4>>2]=kb;c[mf+8>>2]=Ob;c[mf+12>>2]=1-fb+Sa-Aa+rg;c[nf>>2]=20;c[i>>2]=c[mf>>2];c[i+4>>2]=c[mf+4>>2];c[i+8>>2]=c[mf+8>>2];c[i+12>>2]=c[mf+12>>2];c[h>>2]=c[nf>>2];mm(b,i,61,h);l=g;return}default:{on=ec;Gl=254;break m}}ec=Bm+5|0;c[Vk>>2]=ec;rg=a[ec>>0]|0;if(rg<<24>>24!=108){on=rg;Gl=254;break m}rg=Bm+6|0;c[Vk>>2]=rg;ec=a[rg>>0]|0;if(ec<<24>>24!=111){on=ec;Gl=254;break m}ec=Bm+7|0;c[Vk>>2]=ec;rg=a[ec>>0]|0;if(rg<<24>>24!=98){on=rg;Gl=254;break m}rg=Bm+8|0;c[Vk>>2]=rg;ec=a[rg>>0]|0;if(ec<<24>>24!=97){on=ec;Gl=254;break m}ec=Bm+9|0;c[Vk>>2]=ec;rg=a[ec>>0]|0;if(rg<<24>>24!=108){on=rg;Gl=254;break m}rg=Bm+10|0;c[Vk>>2]=rg;if(a[17798+(d[rg>>0]|0)>>0]&8){Gl=249;break m}ec=c[Zk>>2]|0;Aa=c[_k>>2]|0;Sa=c[$k>>2]|0;fb=c[al>>2]|0;Ob=(c[Wk>>2]|0)+1-Aa+Sa-fb|0;c[_f>>2]=c[Yk>>2];c[_f+4>>2]=ec;c[_f+8>>2]=Ob;c[_f+12>>2]=1-Aa+Sa-fb+rg;c[$f>>2]=23;c[i>>2]=c[_f>>2];c[i+4>>2]=c[_f+4>>2];c[i+8>>2]=c[_f+8>>2];c[i+12>>2]=c[_f+12>>2];c[h>>2]=c[$f>>2];mm(b,i,60,h);l=g;return}while(0);$f=c[Zk>>2]|0;_f=c[_k>>2]|0;nf=c[$k>>2]|0;mf=c[al>>2]|0;jg=(c[Wk>>2]|0)+1-_f+nf-mf|0;c[wa>>2]=c[Yk>>2];c[wa+4>>2]=$f;c[wa+8>>2]=jg;c[wa+12>>2]=1-_f+nf-mf+qg;c[h>>2]=c[wa>>2];c[h+4>>2]=c[wa+4>>2];c[h+8>>2]=c[wa+8>>2];c[h+12>>2]=c[wa+12>>2];jm(b,h,17);l=g;return}if(Cm<<24>>24!=104){wa=Bm+1|0;c[Vk>>2]=wa;qg=a[wa>>0]|0;if((qg&255)>=102){if((qg&255)<109){if((qg&255)>=103){on=qg;Gl=254;break}wa=Bm+2|0;c[Vk>>2]=wa;if(a[17798+(d[wa>>0]|0)>>0]&8){Gl=249;break}mf=c[Zk>>2]|0;nf=c[_k>>2]|0;_f=c[$k>>2]|0;jg=c[al>>2]|0;$f=(c[Wk>>2]|0)+1-nf+_f-jg|0;c[ja>>2]=c[Yk>>2];c[ja+4>>2]=mf;c[ja+8>>2]=$f;c[ja+12>>2]=1-nf+_f-jg+wa;c[ka>>2]=4;c[i>>2]=c[ja>>2];c[i+4>>2]=c[ja+4>>2];c[i+8>>2]=c[ja+8>>2];c[i+12>>2]=c[ja+12>>2];c[h>>2]=c[ka>>2];mm(b,i,63,h);l=g;return}if(qg<<24>>24==109){ka=Bm+2|0;c[Vk>>2]=ka;ja=a[ka>>0]|0;if(ja<<24>>24!=112){on=ja;Gl=254;break}ja=Bm+3|0;c[Vk>>2]=ja;ka=a[ja>>0]|0;if(ka<<24>>24!=111){on=ka;Gl=254;break}ka=Bm+4|0;c[Vk>>2]=ka;ja=a[ka>>0]|0;if(ja<<24>>24!=114){on=ja;Gl=254;break}ja=Bm+5|0;c[Vk>>2]=ja;ka=a[ja>>0]|0;if(ka<<24>>24!=116){on=ka;Gl=254;break}ka=Bm+6|0;c[Vk>>2]=ka;if(a[17798+(d[ka>>0]|0)>>0]&8){Gl=249;break}ja=c[Zk>>2]|0;wa=c[_k>>2]|0;jg=c[$k>>2]|0;_f=c[al>>2]|0;nf=(c[Wk>>2]|0)+1-wa+jg-_f|0;c[bc>>2]=c[Yk>>2];c[bc+4>>2]=ja;c[bc+8>>2]=nf;c[bc+12>>2]=1-wa+jg-_f+ka;c[h>>2]=c[bc>>2];c[h+4>>2]=c[bc+4>>2];c[h+8>>2]=c[bc+8>>2];c[h+12>>2]=c[bc+12>>2];jm(b,h,19);l=g;return}if((qg&255)>=111){on=qg;Gl=254;break}bc=Bm+2|0;c[Vk>>2]=bc;ka=a[bc>>0]|0;switch(ka<<24>>24){case 102:{Sn=2;Gl=739;break m;break}case 118:break;default:{on=ka;Gl=254;break m}}ka=Bm+3|0;c[Vk>>2]=ka;bc=a[ka>>0]|0;if(bc<<24>>24!=111){on=bc;Gl=254;break}bc=Bm+4|0;c[Vk>>2]=bc;ka=a[bc>>0]|0;if(ka<<24>>24!=107){on=ka;Gl=254;break}ka=Bm+5|0;c[Vk>>2]=ka;bc=a[ka>>0]|0;if(bc<<24>>24!=101){on=bc;Gl=254;break}bc=Bm+6|0;c[Vk>>2]=bc;if(a[17798+(d[bc>>0]|0)>>0]&8){Gl=249;break}ka=c[Zk>>2]|0;_f=c[_k>>2]|0;jg=c[$k>>2]|0;wa=c[al>>2]|0;nf=(c[Wk>>2]|0)+1-_f+jg-wa|0;c[cc>>2]=c[Yk>>2];c[cc+4>>2]=ka;c[cc+8>>2]=nf;c[cc+12>>2]=1-_f+jg-wa+bc;c[h>>2]=c[cc>>2];c[h+4>>2]=c[cc+4>>2];c[h+8>>2]=c[cc+8>>2];c[h+12>>2]=c[cc+12>>2];jm(b,h,20);l=g;return}if((qg&255)<52){if(qg<<24>>24!=51){on=qg;Gl=254;break}cc=Bm+2|0;c[Vk>>2]=cc;bc=a[cc>>0]|0;if(bc<<24>>24!=50){on=bc;Gl=254;break}bc=Bm+3|0;c[Vk>>2]=bc;cc=a[bc>>0]|0;wa=bc;do if((cc&255)<42)if((cc&255)<34)if(cc<<24>>24==33){Gl=249;break m}else break;else if(cc<<24>>24!=34&(cc&255)<40){Gl=249;break m}else break;else{if((cc&255)>=59)if(cc<<24>>24!=59&(cc&255)<127){Gl=249;break m}else break;if(cc<<24>>24!=46){Gl=249;break m}bc=Bm+4|0;c[Vk>>2]=bc;jg=a[bc>>0]|0;do switch(jg<<24>>24){case 97:{bc=Bm+5|0;c[Vk>>2]=bc;_f=a[bc>>0]|0;if((_f&255)<110){if(_f<<24>>24!=100){on=_f;Gl=254;break m}bc=Bm+6|0;c[Vk>>2]=bc;nf=a[bc>>0]|0;if(nf<<24>>24!=100){on=nf;Gl=254;break m}nf=Bm+7|0;c[Vk>>2]=nf;if(a[17798+(d[nf>>0]|0)>>0]&8){Gl=249;break m}bc=c[Zk>>2]|0;ka=c[_k>>2]|0;ja=c[$k>>2]|0;$f=c[al>>2]|0;mf=(c[Wk>>2]|0)+1-ka+ja-$f|0;c[Wc>>2]=c[Yk>>2];c[Wc+4>>2]=bc;c[Wc+8>>2]=mf;c[Wc+12>>2]=1-ka+ja-$f+nf;c[Xc>>2]=91;c[i>>2]=c[Wc>>2];c[i+4>>2]=c[Wc+4>>2];c[i+8>>2]=c[Wc+8>>2];c[i+12>>2]=c[Wc+12>>2];c[h>>2]=c[Xc>>2];mm(b,i,44,h);l=g;return}switch(_f<<24>>24){case 110:{nf=Bm+6|0;c[Vk>>2]=nf;$f=a[nf>>0]|0;if($f<<24>>24!=100){on=$f;Gl=254;break m}$f=Bm+7|0;c[Vk>>2]=$f;if(a[17798+(d[$f>>0]|0)>>0]&8){Gl=249;break m}nf=c[Zk>>2]|0;ja=c[_k>>2]|0;ka=c[$k>>2]|0;mf=c[al>>2]|0;bc=(c[Wk>>2]|0)+1-ja+ka-mf|0;c[Yc>>2]=c[Yk>>2];c[Yc+4>>2]=nf;c[Yc+8>>2]=bc;c[Yc+12>>2]=1-ja+ka-mf+$f;c[Zc>>2]=98;c[i>>2]=c[Yc>>2];c[i+4>>2]=c[Yc+4>>2];c[i+8>>2]=c[Yc+8>>2];c[i+12>>2]=c[Yc+12>>2];c[h>>2]=c[Zc>>2];mm(b,i,44,h);l=g;return}case 116:break;default:{on=_f;Gl=254;break m}}_f=Bm+6|0;c[Vk>>2]=_f;$f=a[_f>>0]|0;if($f<<24>>24!=111){on=$f;Gl=254;break m}$f=Bm+7|0;c[Vk>>2]=$f;_f=a[$f>>0]|0;if(_f<<24>>24!=109){on=_f;Gl=254;break m}_f=Bm+8|0;c[Vk>>2]=_f;$f=a[_f>>0]|0;if($f<<24>>24!=105){on=$f;Gl=254;break m}$f=Bm+9|0;c[Vk>>2]=$f;_f=a[$f>>0]|0;if(_f<<24>>24!=99){on=_f;Gl=254;break m}_f=Bm+10|0;c[Vk>>2]=_f;$f=a[_f>>0]|0;if($f<<24>>24!=46){on=$f;Gl=254;break m}$f=Bm+11|0;c[Vk>>2]=$f;_f=a[$f>>0]|0;if((_f&255)<114){if(_f<<24>>24!=108){on=_f;Gl=254;break m}$f=Bm+12|0;c[Vk>>2]=$f;mf=a[$f>>0]|0;if(mf<<24>>24!=111){on=mf;Gl=254;break m}mf=Bm+13|0;c[Vk>>2]=mf;$f=a[mf>>0]|0;if($f<<24>>24!=97){on=$f;Gl=254;break m}$f=Bm+14|0;c[Vk>>2]=$f;mf=a[$f>>0]|0;if(mf<<24>>24!=100){on=mf;Gl=254;break m}mf=Bm+15|0;c[Vk>>2]=mf;$f=a[mf>>0]|0;ka=mf;do if(($f&255)<49)if(($f&255)<35)if($f<<24>>24==33){Gl=249;break m}else break;else if(($f&-2)<<24>>24==40)break;else{Gl=249;break m}else{if(($f&255)>=57)if($f<<24>>24!=59&($f&255)<127){Gl=249;break m}else break;if(($f&255)<50){mf=Bm+16|0;c[Vk>>2]=mf;ja=a[mf>>0]|0;if(ja<<24>>24!=54){on=ja;Gl=254;break m}ja=Bm+17|0;c[Vk>>2]=ja;mf=a[ja>>0]|0;if(mf<<24>>24!=95){on=mf;Gl=254;break m}mf=Bm+18|0;c[Vk>>2]=mf;ja=a[mf>>0]|0;if(ja<<24>>24!=117){on=ja;Gl=254;break m}ja=Bm+19|0;c[Vk>>2]=ja;if(a[17798+(d[ja>>0]|0)>>0]&8){Gl=249;break m}mf=c[Zk>>2]|0;bc=c[_k>>2]|0;nf=c[$k>>2]|0;rg=c[al>>2]|0;fb=(c[Wk>>2]|0)+1-bc+nf-rg|0;c[Xi>>2]=c[Yk>>2];c[Xi+4>>2]=mf;c[Xi+8>>2]=fb;c[Xi+12>>2]=1-bc+nf-rg+ja;c[Yi>>2]=201;c[i>>2]=c[Xi>>2];c[i+4>>2]=c[Xi+4>>2];c[i+8>>2]=c[Xi+8>>2];c[i+12>>2]=c[Xi+12>>2];c[h>>2]=c[Yi>>2];mm(b,i,40,h);l=g;return}else{if(($f&255)<56){Gl=249;break m}ja=Bm+16|0;c[Vk>>2]=ja;rg=a[ja>>0]|0;if(rg<<24>>24!=95){on=rg;Gl=254;break m}rg=Bm+17|0;c[Vk>>2]=rg;ja=a[rg>>0]|0;if(ja<<24>>24!=117){on=ja;Gl=254;break m}ja=Bm+18|0;c[Vk>>2]=ja;if(a[17798+(d[ja>>0]|0)>>0]&8){Gl=249;break m}rg=c[Zk>>2]|0;nf=c[_k>>2]|0;bc=c[$k>>2]|0;fb=c[al>>2]|0;mf=(c[Wk>>2]|0)+1-nf+bc-fb|0;c[ti>>2]=c[Yk>>2];c[ti+4>>2]=rg;c[ti+8>>2]=mf;c[ti+12>>2]=1-nf+bc-fb+ja;c[ui>>2]=200;c[i>>2]=c[ti>>2];c[i+4>>2]=c[ti+4>>2];c[i+8>>2]=c[ti+8>>2];c[i+12>>2]=c[ti+12>>2];c[h>>2]=c[ui>>2];mm(b,i,40,h);l=g;return}}while(0);$f=c[Zk>>2]|0;ja=c[_k>>2]|0;fb=c[$k>>2]|0;bc=c[al>>2]|0;nf=(c[Wk>>2]|0)+1-ja+fb-bc|0;c[sh>>2]=c[Yk>>2];c[sh+4>>2]=$f;c[sh+8>>2]=nf;c[sh+12>>2]=1-ja+fb-bc+ka;c[th>>2]=198;c[i>>2]=c[sh>>2];c[i+4>>2]=c[sh+4>>2];c[i+8>>2]=c[sh+8>>2];c[i+12>>2]=c[sh+12>>2];c[h>>2]=c[th>>2];mm(b,i,40,h);l=g;return}if(_f<<24>>24!=114){if((_f&255)>=116){on=_f;Gl=254;break m}bc=Bm+12|0;c[Vk>>2]=bc;fb=a[bc>>0]|0;if(fb<<24>>24!=116){on=fb;Gl=254;break m}fb=Bm+13|0;c[Vk>>2]=fb;bc=a[fb>>0]|0;if(bc<<24>>24!=111){on=bc;Gl=254;break m}bc=Bm+14|0;c[Vk>>2]=bc;fb=a[bc>>0]|0;if(fb<<24>>24!=114){on=fb;Gl=254;break m}fb=Bm+15|0;c[Vk>>2]=fb;bc=a[fb>>0]|0;if(bc<<24>>24!=101){on=bc;Gl=254;break m}bc=Bm+16|0;c[Vk>>2]=bc;fb=a[bc>>0]|0;ja=bc;do if((fb&255)<49)if((fb&255)<35)if(fb<<24>>24==33){Gl=249;break m}else break;else if((fb&-2)<<24>>24==40)break;else{Gl=249;break m}else{if((fb&255)>=57)if(fb<<24>>24!=59&(fb&255)<127){Gl=249;break m}else break;if((fb&255)<50){bc=Bm+17|0;c[Vk>>2]=bc;nf=a[bc>>0]|0;if(nf<<24>>24!=54){on=nf;Gl=254;break m}nf=Bm+18|0;c[Vk>>2]=nf;if(a[17798+(d[nf>>0]|0)>>0]&8){Gl=249;break m}bc=c[Zk>>2]|0;$f=c[_k>>2]|0;mf=c[$k>>2]|0;rg=c[al>>2]|0;Sa=(c[Wk>>2]|0)+1-$f+mf-rg|0;c[Di>>2]=c[Yk>>2];c[Di+4>>2]=bc;c[Di+8>>2]=Sa;c[Di+12>>2]=1-$f+mf-rg+nf;c[Ei>>2]=208;c[i>>2]=c[Di>>2];c[i+4>>2]=c[Di+4>>2];c[i+8>>2]=c[Di+8>>2];c[i+12>>2]=c[Di+12>>2];c[h>>2]=c[Ei>>2];mm(b,i,43,h);l=g;return}else{if((fb&255)<56){Gl=249;break m}nf=Bm+17|0;c[Vk>>2]=nf;if(a[17798+(d[nf>>0]|0)>>0]&8){Gl=249;break m}rg=c[Zk>>2]|0;mf=c[_k>>2]|0;$f=c[$k>>2]|0;Sa=c[al>>2]|0;bc=(c[Wk>>2]|0)+1-mf+$f-Sa|0;c[ni>>2]=c[Yk>>2];c[ni+4>>2]=rg;c[ni+8>>2]=bc;c[ni+12>>2]=1-mf+$f-Sa+nf;c[oi>>2]=207;c[i>>2]=c[ni>>2];c[i+4>>2]=c[ni+4>>2];c[i+8>>2]=c[ni+8>>2];c[i+12>>2]=c[ni+12>>2];c[h>>2]=c[oi>>2];mm(b,i,43,h);l=g;return}}while(0);fb=c[Zk>>2]|0;_f=c[_k>>2]|0;ka=c[$k>>2]|0;nf=c[al>>2]|0;Sa=(c[Wk>>2]|0)+1-_f+ka-nf|0;c[Nh>>2]=c[Yk>>2];c[Nh+4>>2]=fb;c[Nh+8>>2]=Sa;c[Nh+12>>2]=1-_f+ka-nf+ja;c[Oh>>2]=205;c[i>>2]=c[Nh>>2];c[i+4>>2]=c[Nh+4>>2];c[i+8>>2]=c[Nh+8>>2];c[i+12>>2]=c[Nh+12>>2];c[h>>2]=c[Oh>>2];mm(b,i,43,h);l=g;return}nf=Bm+12|0;c[Vk>>2]=nf;ka=a[nf>>0]|0;if(ka<<24>>24!=109){on=ka;Gl=254;break m}ka=Bm+13|0;c[Vk>>2]=ka;nf=a[ka>>0]|0;if(nf<<24>>24!=119){on=nf;Gl=254;break m}nf=Bm+14|0;c[Vk>>2]=nf;ka=a[nf>>0]|0;if((ka&255)<49){if(ka<<24>>24!=46){on=ka;Gl=254;break m}nf=Bm+15|0;c[Vk>>2]=nf;_f=a[nf>>0]|0;switch(_f<<24>>24){case 97:{nf=Bm+16|0;c[Vk>>2]=nf;Sa=a[nf>>0]|0;switch(Sa<<24>>24){case 100:{nf=Bm+17|0;c[Vk>>2]=nf;fb=a[nf>>0]|0;if(fb<<24>>24!=100){on=fb;Gl=254;break m}fb=Bm+18|0;c[Vk>>2]=fb;if(a[17798+(d[fb>>0]|0)>>0]&8){Gl=249;break m}nf=c[Zk>>2]|0;$f=c[_k>>2]|0;mf=c[$k>>2]|0;bc=c[al>>2]|0;rg=(c[Wk>>2]|0)+1-$f+mf-bc|0;c[vi>>2]=c[Yk>>2];c[vi+4>>2]=nf;c[vi+8>>2]=rg;c[vi+12>>2]=1-$f+mf-bc+fb;c[wi>>2]=212;c[i>>2]=c[vi>>2];c[i+4>>2]=c[vi+4>>2];c[i+8>>2]=c[vi+8>>2];c[i+12>>2]=c[vi+12>>2];c[h>>2]=c[wi>>2];mm(b,i,41,h);l=g;return}case 110:{fb=Bm+17|0;c[Vk>>2]=fb;bc=a[fb>>0]|0;if(bc<<24>>24!=100){on=bc;Gl=254;break m}bc=Bm+18|0;c[Vk>>2]=bc;if(a[17798+(d[bc>>0]|0)>>0]&8){Gl=249;break m}fb=c[Zk>>2]|0;mf=c[_k>>2]|0;$f=c[$k>>2]|0;rg=c[al>>2]|0;nf=(c[Wk>>2]|0)+1-mf+$f-rg|0;c[xi>>2]=c[Yk>>2];c[xi+4>>2]=fb;c[xi+8>>2]=nf;c[xi+12>>2]=1-mf+$f-rg+bc;c[yi>>2]=226;c[i>>2]=c[xi>>2];c[i+4>>2]=c[xi+4>>2];c[i+8>>2]=c[xi+8>>2];c[i+12>>2]=c[xi+12>>2];c[h>>2]=c[yi>>2];mm(b,i,41,h);l=g;return}default:{on=Sa;Gl=254;break m}}break}case 99:{Sa=Bm+16|0;c[Vk>>2]=Sa;bc=a[Sa>>0]|0;if(bc<<24>>24!=109){on=bc;Gl=254;break m}bc=Bm+17|0;c[Vk>>2]=bc;Sa=a[bc>>0]|0;if(Sa<<24>>24!=112){on=Sa;Gl=254;break m}Sa=Bm+18|0;c[Vk>>2]=Sa;bc=a[Sa>>0]|0;if(bc<<24>>24!=120){on=bc;Gl=254;break m}bc=Bm+19|0;c[Vk>>2]=bc;Sa=a[bc>>0]|0;if(Sa<<24>>24!=99){on=Sa;Gl=254;break m}Sa=Bm+20|0;c[Vk>>2]=Sa;bc=a[Sa>>0]|0;if(bc<<24>>24!=104){on=bc;Gl=254;break m}bc=Bm+21|0;c[Vk>>2]=bc;Sa=a[bc>>0]|0;if(Sa<<24>>24!=103){on=Sa;Gl=254;break m}Sa=Bm+22|0;c[Vk>>2]=Sa;if(a[17798+(d[Sa>>0]|0)>>0]&8){Gl=249;break m}bc=c[Zk>>2]|0;rg=c[_k>>2]|0;$f=c[$k>>2]|0;mf=c[al>>2]|0;nf=(c[Wk>>2]|0)+1-rg+$f-mf|0;c[Zj>>2]=c[Yk>>2];c[Zj+4>>2]=bc;c[Zj+8>>2]=nf;c[Zj+12>>2]=1-rg+$f-mf+Sa;c[_j>>2]=254;c[i>>2]=c[Zj>>2];c[i+4>>2]=c[Zj+4>>2];c[i+8>>2]=c[Zj+8>>2];c[i+12>>2]=c[Zj+12>>2];c[h>>2]=c[_j>>2];mm(b,i,42,h);l=g;return}case 111:{Sa=Bm+16|0;c[Vk>>2]=Sa;mf=a[Sa>>0]|0;if(mf<<24>>24!=114){on=mf;Gl=254;break m}mf=Bm+17|0;c[Vk>>2]=mf;if(a[17798+(d[mf>>0]|0)>>0]&8){Gl=249;break m}Sa=c[Zk>>2]|0;$f=c[_k>>2]|0;rg=c[$k>>2]|0;nf=c[al>>2]|0;bc=(c[Wk>>2]|0)+1-$f+rg-nf|0;c[li>>2]=c[Yk>>2];c[li+4>>2]=Sa;c[li+8>>2]=bc;c[li+12>>2]=1-$f+rg-nf+mf;c[mi>>2]=233;c[i>>2]=c[li>>2];c[i+4>>2]=c[li+4>>2];c[i+8>>2]=c[li+8>>2];c[i+12>>2]=c[li+12>>2];c[h>>2]=c[mi>>2];mm(b,i,41,h);l=g;return}case 115:{mf=Bm+16|0;c[Vk>>2]=mf;nf=a[mf>>0]|0;if(nf<<24>>24!=117){on=nf;Gl=254;break m}nf=Bm+17|0;c[Vk>>2]=nf;mf=a[nf>>0]|0;if(mf<<24>>24!=98){on=mf;Gl=254;break m}mf=Bm+18|0;c[Vk>>2]=mf;if(a[17798+(d[mf>>0]|0)>>0]&8){Gl=249;break m}nf=c[Zk>>2]|0;rg=c[_k>>2]|0;$f=c[$k>>2]|0;bc=c[al>>2]|0;Sa=(c[Wk>>2]|0)+1-rg+$f-bc|0;c[zi>>2]=c[Yk>>2];c[zi+4>>2]=nf;c[zi+8>>2]=Sa;c[zi+12>>2]=1-rg+$f-bc+mf;c[Ai>>2]=219;c[i>>2]=c[zi>>2];c[i+4>>2]=c[zi+4>>2];c[i+8>>2]=c[zi+8>>2];c[i+12>>2]=c[zi+12>>2];c[h>>2]=c[Ai>>2];mm(b,i,41,h);l=g;return}case 120:{mf=Bm+16|0;c[Vk>>2]=mf;bc=a[mf>>0]|0;switch(bc<<24>>24){case 99:break;case 111:{mf=Bm+17|0;c[Vk>>2]=mf;$f=a[mf>>0]|0;if($f<<24>>24!=114){on=$f;Gl=254;break m}$f=Bm+18|0;c[Vk>>2]=$f;if(a[17798+(d[$f>>0]|0)>>0]&8){Gl=249;break m}mf=c[Zk>>2]|0;rg=c[_k>>2]|0;Sa=c[$k>>2]|0;nf=c[al>>2]|0;fb=(c[Wk>>2]|0)+1-rg+Sa-nf|0;c[Bi>>2]=c[Yk>>2];c[Bi+4>>2]=mf;c[Bi+8>>2]=fb;c[Bi+12>>2]=1-rg+Sa-nf+$f;c[Ci>>2]=240;c[i>>2]=c[Bi>>2];c[i+4>>2]=c[Bi+4>>2];c[i+8>>2]=c[Bi+8>>2];c[i+12>>2]=c[Bi+12>>2];c[h>>2]=c[Ci>>2];mm(b,i,41,h);l=g;return}default:{on=bc;Gl=254;break m}}bc=Bm+17|0;c[Vk>>2]=bc;$f=a[bc>>0]|0;if($f<<24>>24!=104){on=$f;Gl=254;break m}$f=Bm+18|0;c[Vk>>2]=$f;bc=a[$f>>0]|0;if(bc<<24>>24!=103){on=bc;Gl=254;break m}bc=Bm+19|0;c[Vk>>2]=bc;if(a[17798+(d[bc>>0]|0)>>0]&8){Gl=249;break m}$f=c[Zk>>2]|0;nf=c[_k>>2]|0;Sa=c[$k>>2]|0;rg=c[al>>2]|0;fb=(c[Wk>>2]|0)+1-nf+Sa-rg|0;c[Zi>>2]=c[Yk>>2];c[Zi+4>>2]=$f;c[Zi+8>>2]=fb;c[Zi+12>>2]=1-nf+Sa-rg+bc;c[_i>>2]=247;c[i>>2]=c[Zi>>2];c[i+4>>2]=c[Zi+4>>2];c[i+8>>2]=c[Zi+8>>2];c[i+12>>2]=c[Zi+12>>2];c[h>>2]=c[_i>>2];mm(b,i,41,h);l=g;return}default:{on=_f;Gl=254;break m}}}switch(ka<<24>>24){case 49:break;case 56:{_f=Bm+15|0;c[Vk>>2]=_f;bc=a[_f>>0]|0;if(bc<<24>>24!=95){on=bc;Gl=254;break m}bc=Bm+16|0;c[Vk>>2]=bc;_f=a[bc>>0]|0;if(_f<<24>>24!=117){on=_f;Gl=254;break m}_f=Bm+17|0;c[Vk>>2]=_f;bc=a[_f>>0]|0;if(bc<<24>>24!=46){on=bc;Gl=254;break m}bc=Bm+18|0;c[Vk>>2]=bc;_f=a[bc>>0]|0;switch(_f<<24>>24){case 97:{bc=Bm+19|0;c[Vk>>2]=bc;rg=a[bc>>0]|0;switch(rg<<24>>24){case 100:{bc=Bm+20|0;c[Vk>>2]=bc;Sa=a[bc>>0]|0;if(Sa<<24>>24!=100){on=Sa;Gl=254;break m}Sa=Bm+21|0;c[Vk>>2]=Sa;if(a[17798+(d[Sa>>0]|0)>>0]&8){Gl=249;break m}bc=c[Zk>>2]|0;nf=c[_k>>2]|0;fb=c[$k>>2]|0;$f=c[al>>2]|0;mf=(c[Wk>>2]|0)+1-nf+fb-$f|0;c[Fj>>2]=c[Yk>>2];c[Fj+4>>2]=bc;c[Fj+8>>2]=mf;c[Fj+12>>2]=1-nf+fb-$f+Sa;c[Gj>>2]=214;c[i>>2]=c[Fj>>2];c[i+4>>2]=c[Fj+4>>2];c[i+8>>2]=c[Fj+8>>2];c[i+12>>2]=c[Fj+12>>2];c[h>>2]=c[Gj>>2];mm(b,i,41,h);l=g;return}case 110:{Sa=Bm+20|0;c[Vk>>2]=Sa;$f=a[Sa>>0]|0;if($f<<24>>24!=100){on=$f;Gl=254;break m}$f=Bm+21|0;c[Vk>>2]=$f;if(a[17798+(d[$f>>0]|0)>>0]&8){Gl=249;break m}Sa=c[Zk>>2]|0;fb=c[_k>>2]|0;nf=c[$k>>2]|0;mf=c[al>>2]|0;bc=(c[Wk>>2]|0)+1-fb+nf-mf|0;c[Hj>>2]=c[Yk>>2];c[Hj+4>>2]=Sa;c[Hj+8>>2]=bc;c[Hj+12>>2]=1-fb+nf-mf+$f;c[Ij>>2]=228;c[i>>2]=c[Hj>>2];c[i+4>>2]=c[Hj+4>>2];c[i+8>>2]=c[Hj+8>>2];c[i+12>>2]=c[Hj+12>>2];c[h>>2]=c[Ij>>2];mm(b,i,41,h);l=g;return}default:{on=rg;Gl=254;break m}}break}case 99:{rg=Bm+19|0;c[Vk>>2]=rg;$f=a[rg>>0]|0;if($f<<24>>24!=109){on=$f;Gl=254;break m}$f=Bm+20|0;c[Vk>>2]=$f;rg=a[$f>>0]|0;if(rg<<24>>24!=112){on=rg;Gl=254;break m}rg=Bm+21|0;c[Vk>>2]=rg;$f=a[rg>>0]|0;if($f<<24>>24!=120){on=$f;Gl=254;break m}$f=Bm+22|0;c[Vk>>2]=$f;rg=a[$f>>0]|0;if(rg<<24>>24!=99){on=rg;Gl=254;break m}rg=Bm+23|0;c[Vk>>2]=rg;$f=a[rg>>0]|0;if($f<<24>>24!=104){on=$f;Gl=254;break m}$f=Bm+24|0;c[Vk>>2]=$f;rg=a[$f>>0]|0;if(rg<<24>>24!=103){on=rg;Gl=254;break m}rg=Bm+25|0;c[Vk>>2]=rg;if(a[17798+(d[rg>>0]|0)>>0]&8){Gl=249;break m}$f=c[Zk>>2]|0;mf=c[_k>>2]|0;nf=c[$k>>2]|0;fb=c[al>>2]|0;bc=(c[Wk>>2]|0)+1-mf+nf-fb|0;c[Jk>>2]=c[Yk>>2];c[Jk+4>>2]=$f;c[Jk+8>>2]=bc;c[Jk+12>>2]=1-mf+nf-fb+rg;c[Kk>>2]=256;c[i>>2]=c[Jk>>2];c[i+4>>2]=c[Jk+4>>2];c[i+8>>2]=c[Jk+8>>2];c[i+12>>2]=c[Jk+12>>2];c[h>>2]=c[Kk>>2];mm(b,i,42,h);l=g;return}case 111:{rg=Bm+19|0;c[Vk>>2]=rg;fb=a[rg>>0]|0;if(fb<<24>>24!=114){on=fb;Gl=254;break m}fb=Bm+20|0;c[Vk>>2]=fb;if(a[17798+(d[fb>>0]|0)>>0]&8){Gl=249;break m}rg=c[Zk>>2]|0;nf=c[_k>>2]|0;mf=c[$k>>2]|0;bc=c[al>>2]|0;$f=(c[Wk>>2]|0)+1-nf+mf-bc|0;c[zj>>2]=c[Yk>>2];c[zj+4>>2]=rg;c[zj+8>>2]=$f;c[zj+12>>2]=1-nf+mf-bc+fb;c[Aj>>2]=235;c[i>>2]=c[zj>>2];c[i+4>>2]=c[zj+4>>2];c[i+8>>2]=c[zj+8>>2];c[i+12>>2]=c[zj+12>>2];c[h>>2]=c[Aj>>2];mm(b,i,41,h);l=g;return}case 115:{fb=Bm+19|0;c[Vk>>2]=fb;bc=a[fb>>0]|0;if(bc<<24>>24!=117){on=bc;Gl=254;break m}bc=Bm+20|0;c[Vk>>2]=bc;fb=a[bc>>0]|0;if(fb<<24>>24!=98){on=fb;Gl=254;break m}fb=Bm+21|0;c[Vk>>2]=fb;if(a[17798+(d[fb>>0]|0)>>0]&8){Gl=249;break m}bc=c[Zk>>2]|0;mf=c[_k>>2]|0;nf=c[$k>>2]|0;$f=c[al>>2]|0;rg=(c[Wk>>2]|0)+1-mf+nf-$f|0;c[Jj>>2]=c[Yk>>2];c[Jj+4>>2]=bc;c[Jj+8>>2]=rg;c[Jj+12>>2]=1-mf+nf-$f+fb;c[Kj>>2]=221;c[i>>2]=c[Jj>>2];c[i+4>>2]=c[Jj+4>>2];c[i+8>>2]=c[Jj+8>>2];c[i+12>>2]=c[Jj+12>>2];c[h>>2]=c[Kj>>2];mm(b,i,41,h);l=g;return}case 120:{fb=Bm+19|0;c[Vk>>2]=fb;$f=a[fb>>0]|0;switch($f<<24>>24){case 99:break;case 111:{fb=Bm+20|0;c[Vk>>2]=fb;nf=a[fb>>0]|0;if(nf<<24>>24!=114){on=nf;Gl=254;break m}nf=Bm+21|0;c[Vk>>2]=nf;if(a[17798+(d[nf>>0]|0)>>0]&8){Gl=249;break m}fb=c[Zk>>2]|0;mf=c[_k>>2]|0;rg=c[$k>>2]|0;bc=c[al>>2]|0;Sa=(c[Wk>>2]|0)+1-mf+rg-bc|0;c[Lj>>2]=c[Yk>>2];c[Lj+4>>2]=fb;c[Lj+8>>2]=Sa;c[Lj+12>>2]=1-mf+rg-bc+nf;c[Mj>>2]=242;c[i>>2]=c[Lj>>2];c[i+4>>2]=c[Lj+4>>2];c[i+8>>2]=c[Lj+8>>2];c[i+12>>2]=c[Lj+12>>2];c[h>>2]=c[Mj>>2];mm(b,i,41,h);l=g;return}default:{on=$f;Gl=254;break m}}$f=Bm+20|0;c[Vk>>2]=$f;nf=a[$f>>0]|0;if(nf<<24>>24!=104){on=nf;Gl=254;break m}nf=Bm+21|0;c[Vk>>2]=nf;$f=a[nf>>0]|0;if($f<<24>>24!=103){on=$f;Gl=254;break m}$f=Bm+22|0;c[Vk>>2]=$f;if(a[17798+(d[$f>>0]|0)>>0]&8){Gl=249;break m}nf=c[Zk>>2]|0;bc=c[_k>>2]|0;rg=c[$k>>2]|0;mf=c[al>>2]|0;Sa=(c[Wk>>2]|0)+1-bc+rg-mf|0;c[hk>>2]=c[Yk>>2];c[hk+4>>2]=nf;c[hk+8>>2]=Sa;c[hk+12>>2]=1-bc+rg-mf+$f;c[ik>>2]=249;c[i>>2]=c[hk>>2];c[i+4>>2]=c[hk+4>>2];c[i+8>>2]=c[hk+8>>2];c[i+12>>2]=c[hk+12>>2];c[h>>2]=c[ik>>2];mm(b,i,41,h);l=g;return}default:{on=_f;Gl=254;break m}}break}default:{on=ka;Gl=254;break m}}ka=Bm+15|0;c[Vk>>2]=ka;_f=a[ka>>0]|0;if(_f<<24>>24!=54){on=_f;Gl=254;break m}_f=Bm+16|0;c[Vk>>2]=_f;ka=a[_f>>0]|0;if(ka<<24>>24!=95){on=ka;Gl=254;break m}ka=Bm+17|0;c[Vk>>2]=ka;_f=a[ka>>0]|0;if(_f<<24>>24!=117){on=_f;Gl=254;break m}_f=Bm+18|0;c[Vk>>2]=_f;ka=a[_f>>0]|0;if(ka<<24>>24!=46){on=ka;Gl=254;break m}ka=Bm+19|0;c[Vk>>2]=ka;_f=a[ka>>0]|0;switch(_f<<24>>24){case 97:{ka=Bm+20|0;c[Vk>>2]=ka;$f=a[ka>>0]|0;switch($f<<24>>24){case 100:{ka=Bm+21|0;c[Vk>>2]=ka;mf=a[ka>>0]|0;if(mf<<24>>24!=100){on=mf;Gl=254;break m}mf=Bm+22|0;c[Vk>>2]=mf;if(a[17798+(d[mf>>0]|0)>>0]&8){Gl=249;break m}ka=c[Zk>>2]|0;rg=c[_k>>2]|0;bc=c[$k>>2]|0;Sa=c[al>>2]|0;nf=(c[Wk>>2]|0)+1-rg+bc-Sa|0;c[$j>>2]=c[Yk>>2];c[$j+4>>2]=ka;c[$j+8>>2]=nf;c[$j+12>>2]=1-rg+bc-Sa+mf;c[ak>>2]=215;c[i>>2]=c[$j>>2];c[i+4>>2]=c[$j+4>>2];c[i+8>>2]=c[$j+8>>2];c[i+12>>2]=c[$j+12>>2];c[h>>2]=c[ak>>2];mm(b,i,41,h);l=g;return}case 110:{mf=Bm+21|0;c[Vk>>2]=mf;Sa=a[mf>>0]|0;if(Sa<<24>>24!=100){on=Sa;Gl=254;break m}Sa=Bm+22|0;c[Vk>>2]=Sa;if(a[17798+(d[Sa>>0]|0)>>0]&8){Gl=249;break m}mf=c[Zk>>2]|0;bc=c[_k>>2]|0;rg=c[$k>>2]|0;nf=c[al>>2]|0;ka=(c[Wk>>2]|0)+1-bc+rg-nf|0;c[bk>>2]=c[Yk>>2];c[bk+4>>2]=mf;c[bk+8>>2]=ka;c[bk+12>>2]=1-bc+rg-nf+Sa;c[ck>>2]=229;c[i>>2]=c[bk>>2];c[i+4>>2]=c[bk+4>>2];c[i+8>>2]=c[bk+8>>2];c[i+12>>2]=c[bk+12>>2];c[h>>2]=c[ck>>2];mm(b,i,41,h);l=g;return}default:{on=$f;Gl=254;break m}}break}case 99:{$f=Bm+20|0;c[Vk>>2]=$f;Sa=a[$f>>0]|0;if(Sa<<24>>24!=109){on=Sa;Gl=254;break m}Sa=Bm+21|0;c[Vk>>2]=Sa;$f=a[Sa>>0]|0;if($f<<24>>24!=112){on=$f;Gl=254;break m}$f=Bm+22|0;c[Vk>>2]=$f;Sa=a[$f>>0]|0;if(Sa<<24>>24!=120){on=Sa;Gl=254;break m}Sa=Bm+23|0;c[Vk>>2]=Sa;$f=a[Sa>>0]|0;if($f<<24>>24!=99){on=$f;Gl=254;break m}$f=Bm+24|0;c[Vk>>2]=$f;Sa=a[$f>>0]|0;if(Sa<<24>>24!=104){on=Sa;Gl=254;break m}Sa=Bm+25|0;c[Vk>>2]=Sa;$f=a[Sa>>0]|0;if($f<<24>>24!=103){on=$f;Gl=254;break m}$f=Bm+26|0;c[Vk>>2]=$f;if(a[17798+(d[$f>>0]|0)>>0]&8){Gl=249;break m}Sa=c[Zk>>2]|0;nf=c[_k>>2]|0;rg=c[$k>>2]|0;bc=c[al>>2]|0;ka=(c[Wk>>2]|0)+1-nf+rg-bc|0;c[Nk>>2]=c[Yk>>2];c[Nk+4>>2]=Sa;c[Nk+8>>2]=ka;c[Nk+12>>2]=1-nf+rg-bc+$f;c[Ok>>2]=257;c[i>>2]=c[Nk>>2];c[i+4>>2]=c[Nk+4>>2];c[i+8>>2]=c[Nk+8>>2];c[i+12>>2]=c[Nk+12>>2];c[h>>2]=c[Ok>>2];mm(b,i,42,h);l=g;return}case 111:{$f=Bm+20|0;c[Vk>>2]=$f;bc=a[$f>>0]|0;if(bc<<24>>24!=114){on=bc;Gl=254;break m}bc=Bm+21|0;c[Vk>>2]=bc;if(a[17798+(d[bc>>0]|0)>>0]&8){Gl=249;break m}$f=c[Zk>>2]|0;rg=c[_k>>2]|0;nf=c[$k>>2]|0;ka=c[al>>2]|0;Sa=(c[Wk>>2]|0)+1-rg+nf-ka|0;c[Dj>>2]=c[Yk>>2];c[Dj+4>>2]=$f;c[Dj+8>>2]=Sa;c[Dj+12>>2]=1-rg+nf-ka+bc;c[Ej>>2]=236;c[i>>2]=c[Dj>>2];c[i+4>>2]=c[Dj+4>>2];c[i+8>>2]=c[Dj+8>>2];c[i+12>>2]=c[Dj+12>>2];c[h>>2]=c[Ej>>2];mm(b,i,41,h);l=g;return}case 115:{bc=Bm+20|0;c[Vk>>2]=bc;ka=a[bc>>0]|0;if(ka<<24>>24!=117){on=ka;Gl=254;break m}ka=Bm+21|0;c[Vk>>2]=ka;bc=a[ka>>0]|0;if(bc<<24>>24!=98){on=bc;Gl=254;break m}bc=Bm+22|0;c[Vk>>2]=bc;if(a[17798+(d[bc>>0]|0)>>0]&8){Gl=249;break m}ka=c[Zk>>2]|0;nf=c[_k>>2]|0;rg=c[$k>>2]|0;Sa=c[al>>2]|0;$f=(c[Wk>>2]|0)+1-nf+rg-Sa|0;c[dk>>2]=c[Yk>>2];c[dk+4>>2]=ka;c[dk+8>>2]=$f;c[dk+12>>2]=1-nf+rg-Sa+bc;c[ek>>2]=222;c[i>>2]=c[dk>>2];c[i+4>>2]=c[dk+4>>2];c[i+8>>2]=c[dk+8>>2];c[i+12>>2]=c[dk+12>>2];c[h>>2]=c[ek>>2];mm(b,i,41,h);l=g;return}case 120:{bc=Bm+20|0;c[Vk>>2]=bc;Sa=a[bc>>0]|0;switch(Sa<<24>>24){case 99:break;case 111:{bc=Bm+21|0;c[Vk>>2]=bc;rg=a[bc>>0]|0;if(rg<<24>>24!=114){on=rg;Gl=254;break m}rg=Bm+22|0;c[Vk>>2]=rg;if(a[17798+(d[rg>>0]|0)>>0]&8){Gl=249;break m}bc=c[Zk>>2]|0;nf=c[_k>>2]|0;$f=c[$k>>2]|0;ka=c[al>>2]|0;mf=(c[Wk>>2]|0)+1-nf+$f-ka|0;c[fk>>2]=c[Yk>>2];c[fk+4>>2]=bc;c[fk+8>>2]=mf;c[fk+12>>2]=1-nf+$f-ka+rg;c[gk>>2]=243;c[i>>2]=c[fk>>2];c[i+4>>2]=c[fk+4>>2];c[i+8>>2]=c[fk+8>>2];c[i+12>>2]=c[fk+12>>2];c[h>>2]=c[gk>>2];mm(b,i,41,h);l=g;return}default:{on=Sa;Gl=254;break m}}Sa=Bm+21|0;c[Vk>>2]=Sa;rg=a[Sa>>0]|0;if(rg<<24>>24!=104){on=rg;Gl=254;break m}rg=Bm+22|0;c[Vk>>2]=rg;Sa=a[rg>>0]|0;if(Sa<<24>>24!=103){on=Sa;Gl=254;break m}Sa=Bm+23|0;c[Vk>>2]=Sa;if(a[17798+(d[Sa>>0]|0)>>0]&8){Gl=249;break m}rg=c[Zk>>2]|0;ka=c[_k>>2]|0;$f=c[$k>>2]|0;nf=c[al>>2]|0;mf=(c[Wk>>2]|0)+1-ka+$f-nf|0;c[Dk>>2]=c[Yk>>2];c[Dk+4>>2]=rg;c[Dk+8>>2]=mf;c[Dk+12>>2]=1-ka+$f-nf+Sa;c[Ek>>2]=250;c[i>>2]=c[Dk>>2];c[i+4>>2]=c[Dk+4>>2];c[i+8>>2]=c[Dk+8>>2];c[i+12>>2]=c[Dk+12>>2];c[h>>2]=c[Ek>>2];mm(b,i,41,h);l=g;return}default:{on=_f;Gl=254;break m}}break}case 99:{_f=Bm+5|0;c[Vk>>2]=_f;Sa=a[_f>>0]|0;if((Sa&255)<111){if(Sa<<24>>24!=108){on=Sa;Gl=254;break m}_f=Bm+6|0;c[Vk>>2]=_f;nf=a[_f>>0]|0;if(nf<<24>>24!=122){on=nf;Gl=254;break m}nf=Bm+7|0;c[Vk>>2]=nf;if(a[17798+(d[nf>>0]|0)>>0]&8){Gl=249;break m}_f=c[Zk>>2]|0;$f=c[_k>>2]|0;ka=c[$k>>2]|0;mf=c[al>>2]|0;rg=(c[Wk>>2]|0)+1-$f+ka-mf|0;c[_c>>2]=c[Yk>>2];c[_c+4>>2]=_f;c[_c+8>>2]=rg;c[_c+12>>2]=1-$f+ka-mf+nf;c[$c>>2]=88;c[i>>2]=c[_c>>2];c[i+4>>2]=c[_c+4>>2];c[i+8>>2]=c[_c+8>>2];c[i+12>>2]=c[_c+12>>2];c[h>>2]=c[$c>>2];mm(b,i,76,h);l=g;return}switch(Sa<<24>>24){case 111:break;case 116:{nf=Bm+6|0;c[Vk>>2]=nf;mf=a[nf>>0]|0;if(mf<<24>>24!=122){on=mf;Gl=254;break m}mf=Bm+7|0;c[Vk>>2]=mf;if(a[17798+(d[mf>>0]|0)>>0]&8){Gl=249;break m}nf=c[Zk>>2]|0;ka=c[_k>>2]|0;$f=c[$k>>2]|0;rg=c[al>>2]|0;_f=(c[Wk>>2]|0)+1-ka+$f-rg|0;c[ad>>2]=c[Yk>>2];c[ad+4>>2]=nf;c[ad+8>>2]=_f;c[ad+12>>2]=1-ka+$f-rg+mf;c[bd>>2]=89;c[i>>2]=c[ad>>2];c[i+4>>2]=c[ad+4>>2];c[i+8>>2]=c[ad+8>>2];c[i+12>>2]=c[ad+12>>2];c[h>>2]=c[bd>>2];mm(b,i,76,h);l=g;return}default:{on=Sa;Gl=254;break m}}Sa=Bm+6|0;c[Vk>>2]=Sa;mf=a[Sa>>0]|0;if(mf<<24>>24!=110){on=mf;Gl=254;break m}mf=Bm+7|0;c[Vk>>2]=mf;Sa=a[mf>>0]|0;if(Sa<<24>>24!=115){on=Sa;Gl=254;break m}Sa=Bm+8|0;c[Vk>>2]=Sa;mf=a[Sa>>0]|0;if(mf<<24>>24!=116){on=mf;Gl=254;break m}mf=Bm+9|0;c[Vk>>2]=mf;if(a[17798+(d[mf>>0]|0)>>0]&8){Gl=249;break m}Sa=c[Zk>>2]|0;rg=c[_k>>2]|0;$f=c[$k>>2]|0;ka=c[al>>2]|0;_f=(c[Wk>>2]|0)+1-rg+$f-ka|0;c[of>>2]=c[Yk>>2];c[of+4>>2]=Sa;c[of+8>>2]=_f;c[of+12>>2]=1-rg+$f-ka+mf;c[pf>>2]=50;c[i>>2]=c[of>>2];c[i+4>>2]=c[of+4>>2];c[i+8>>2]=c[of+8>>2];c[i+12>>2]=c[of+12>>2];c[h>>2]=c[pf>>2];mm(b,i,54,h);l=g;return}case 100:{mf=Bm+5|0;c[Vk>>2]=mf;ka=a[mf>>0]|0;if(ka<<24>>24!=105){on=ka;Gl=254;break m}ka=Bm+6|0;c[Vk>>2]=ka;mf=a[ka>>0]|0;if(mf<<24>>24!=118){on=mf;Gl=254;break m}mf=Bm+7|0;c[Vk>>2]=mf;ka=a[mf>>0]|0;if(ka<<24>>24!=95){on=ka;Gl=254;break m}ka=Bm+8|0;c[Vk>>2]=ka;mf=a[ka>>0]|0;switch(mf<<24>>24){case 115:{ka=Bm+9|0;c[Vk>>2]=ka;if(a[17798+(d[ka>>0]|0)>>0]&8){Gl=249;break m}$f=c[Zk>>2]|0;rg=c[_k>>2]|0;_f=c[$k>>2]|0;Sa=c[al>>2]|0;nf=(c[Wk>>2]|0)+1-rg+_f-Sa|0;c[qf>>2]=c[Yk>>2];c[qf+4>>2]=$f;c[qf+8>>2]=nf;c[qf+12>>2]=1-rg+_f-Sa+ka;c[rf>>2]=94;c[i>>2]=c[qf>>2];c[i+4>>2]=c[qf+4>>2];c[i+8>>2]=c[qf+8>>2];c[i+12>>2]=c[qf+12>>2];c[h>>2]=c[rf>>2];mm(b,i,44,h);l=g;return}case 117:{ka=Bm+9|0;c[Vk>>2]=ka;if(a[17798+(d[ka>>0]|0)>>0]&8){Gl=249;break m}Sa=c[Zk>>2]|0;_f=c[_k>>2]|0;rg=c[$k>>2]|0;nf=c[al>>2]|0;$f=(c[Wk>>2]|0)+1-_f+rg-nf|0;c[sf>>2]=c[Yk>>2];c[sf+4>>2]=Sa;c[sf+8>>2]=$f;c[sf+12>>2]=1-_f+rg-nf+ka;c[tf>>2]=95;c[i>>2]=c[sf>>2];c[i+4>>2]=c[sf+4>>2];c[i+8>>2]=c[sf+8>>2];c[i+12>>2]=c[sf+12>>2];c[h>>2]=c[tf>>2];mm(b,i,44,h);l=g;return}default:{on=mf;Gl=254;break m}}break}case 101:{mf=Bm+5|0;c[Vk>>2]=mf;ka=a[mf>>0]|0;switch(ka<<24>>24){case 113:{mf=Bm+6|0;c[Vk>>2]=mf;nf=a[mf>>0]|0;rg=mf;do if((nf&255)<42)if((nf&255)<34)if(nf<<24>>24==33){Gl=249;break m}else break;else if(nf<<24>>24!=34&(nf&255)<40){Gl=249;break m}else break;else{if((nf&255)<122)if(nf<<24>>24==59)break;else{Gl=249;break m}if(nf<<24>>24!=122)if((nf&255)<127){Gl=249;break m}else break;mf=Bm+7|0;c[Vk>>2]=mf;if(a[17798+(d[mf>>0]|0)>>0]&8){Gl=249;break m}_f=c[Zk>>2]|0;$f=c[_k>>2]|0;Sa=c[$k>>2]|0;bc=c[al>>2]|0;fb=(c[Wk>>2]|0)+1-$f+Sa-bc|0;c[cd>>2]=c[Yk>>2];c[cd+4>>2]=_f;c[cd+8>>2]=fb;c[cd+12>>2]=1-$f+Sa-bc+mf;c[dd>>2]=54;c[i>>2]=c[cd>>2];c[i+4>>2]=c[cd+4>>2];c[i+8>>2]=c[cd+8>>2];c[i+12>>2]=c[cd+12>>2];c[h>>2]=c[dd>>2];mm(b,i,55,h);l=g;return}while(0);nf=c[Zk>>2]|0;ja=c[_k>>2]|0;mf=c[$k>>2]|0;bc=c[al>>2]|0;Sa=(c[Wk>>2]|0)+1-ja+mf-bc|0;c[Pb>>2]=c[Yk>>2];c[Pb+4>>2]=nf;c[Pb+8>>2]=Sa;c[Pb+12>>2]=1-ja+mf-bc+rg;c[Qb>>2]=55;c[i>>2]=c[Pb>>2];c[i+4>>2]=c[Pb+4>>2];c[i+8>>2]=c[Pb+8>>2];c[i+12>>2]=c[Pb+12>>2];c[h>>2]=c[Qb>>2];mm(b,i,53,h);l=g;return}case 120:break;default:{on=ka;Gl=254;break m}}bc=Bm+6|0;c[Vk>>2]=bc;mf=a[bc>>0]|0;if(mf<<24>>24!=116){on=mf;Gl=254;break m}mf=Bm+7|0;c[Vk>>2]=mf;bc=a[mf>>0]|0;if(bc<<24>>24!=101){on=bc;Gl=254;break m}bc=Bm+8|0;c[Vk>>2]=bc;mf=a[bc>>0]|0;if(mf<<24>>24!=110){on=mf;Gl=254;break m}mf=Bm+9|0;c[Vk>>2]=mf;bc=a[mf>>0]|0;if(bc<<24>>24!=100){on=bc;Gl=254;break m}bc=Bm+10|0;c[Vk>>2]=bc;mf=a[bc>>0]|0;switch(mf<<24>>24){case 49:break;case 56:{bc=Bm+11|0;c[Vk>>2]=bc;ja=a[bc>>0]|0;if(ja<<24>>24!=95){on=ja;Gl=254;break m}ja=Bm+12|0;c[Vk>>2]=ja;bc=a[ja>>0]|0;if(bc<<24>>24!=115){on=bc;Gl=254;break m}bc=Bm+13|0;c[Vk>>2]=bc;if(a[17798+(d[bc>>0]|0)>>0]&8){Gl=249;break m}ja=c[Zk>>2]|0;Sa=c[_k>>2]|0;nf=c[$k>>2]|0;$f=c[al>>2]|0;fb=(c[Wk>>2]|0)+1-Sa+nf-$f|0;c[bh>>2]=c[Yk>>2];c[bh+4>>2]=ja;c[bh+8>>2]=fb;c[bh+12>>2]=1-Sa+nf-$f+bc;c[ch>>2]=177;c[i>>2]=c[bh>>2];c[i+4>>2]=c[bh+4>>2];c[i+8>>2]=c[bh+8>>2];c[i+12>>2]=c[bh+12>>2];c[h>>2]=c[ch>>2];mm(b,i,76,h);l=g;return}default:{on=mf;Gl=254;break m}}mf=Bm+11|0;c[Vk>>2]=mf;bc=a[mf>>0]|0;if(bc<<24>>24!=54){on=bc;Gl=254;break m}bc=Bm+12|0;c[Vk>>2]=bc;mf=a[bc>>0]|0;if(mf<<24>>24!=95){on=mf;Gl=254;break m}mf=Bm+13|0;c[Vk>>2]=mf;bc=a[mf>>0]|0;if(bc<<24>>24!=115){on=bc;Gl=254;break m}bc=Bm+14|0;c[Vk>>2]=bc;if(a[17798+(d[bc>>0]|0)>>0]&8){Gl=249;break m}mf=c[Zk>>2]|0;$f=c[_k>>2]|0;nf=c[$k>>2]|0;Sa=c[al>>2]|0;fb=(c[Wk>>2]|0)+1-$f+nf-Sa|0;c[kh>>2]=c[Yk>>2];c[kh+4>>2]=mf;c[kh+8>>2]=fb;c[kh+12>>2]=1-$f+nf-Sa+bc;c[lh>>2]=178;c[i>>2]=c[kh>>2];c[i+4>>2]=c[kh+4>>2];c[i+8>>2]=c[kh+8>>2];c[i+12>>2]=c[kh+12>>2];c[h>>2]=c[lh>>2];mm(b,i,76,h);l=g;return}case 103:{bc=Bm+5|0;c[Vk>>2]=bc;Sa=a[bc>>0]|0;switch(Sa<<24>>24){case 101:{bc=Bm+6|0;c[Vk>>2]=bc;nf=a[bc>>0]|0;if(nf<<24>>24!=95){on=nf;Gl=254;break m}nf=Bm+7|0;c[Vk>>2]=nf;bc=a[nf>>0]|0;switch(bc<<24>>24){case 115:{nf=Bm+8|0;c[Vk>>2]=nf;if(a[17798+(d[nf>>0]|0)>>0]&8){Gl=249;break m}$f=c[Zk>>2]|0;fb=c[_k>>2]|0;mf=c[$k>>2]|0;ja=c[al>>2]|0;_f=(c[Wk>>2]|0)+1-fb+mf-ja|0;c[Xd>>2]=c[Yk>>2];c[Xd+4>>2]=$f;c[Xd+8>>2]=_f;c[Xd+12>>2]=1-fb+mf-ja+nf;c[Yd>>2]=63;c[i>>2]=c[Xd>>2];c[i+4>>2]=c[Xd+4>>2];c[i+8>>2]=c[Xd+8>>2];c[i+12>>2]=c[Xd+12>>2];c[h>>2]=c[Yd>>2];mm(b,i,53,h);l=g;return}case 117:{nf=Bm+8|0;c[Vk>>2]=nf;if(a[17798+(d[nf>>0]|0)>>0]&8){Gl=249;break m}ja=c[Zk>>2]|0;mf=c[_k>>2]|0;fb=c[$k>>2]|0;_f=c[al>>2]|0;$f=(c[Wk>>2]|0)+1-mf+fb-_f|0;c[Zd>>2]=c[Yk>>2];c[Zd+4>>2]=ja;c[Zd+8>>2]=$f;c[Zd+12>>2]=1-mf+fb-_f+nf;c[_d>>2]=64;c[i>>2]=c[Zd>>2];c[i+4>>2]=c[Zd+4>>2];c[i+8>>2]=c[Zd+8>>2];c[i+12>>2]=c[Zd+12>>2];c[h>>2]=c[_d>>2];mm(b,i,53,h);l=g;return}default:{on=bc;Gl=254;break m}}break}case 116:{bc=Bm+6|0;c[Vk>>2]=bc;nf=a[bc>>0]|0;if(nf<<24>>24!=95){on=nf;Gl=254;break m}nf=Bm+7|0;c[Vk>>2]=nf;bc=a[nf>>0]|0;switch(bc<<24>>24){case 115:{nf=Bm+8|0;c[Vk>>2]=nf;if(a[17798+(d[nf>>0]|0)>>0]&8){Gl=249;break m}_f=c[Zk>>2]|0;fb=c[_k>>2]|0;mf=c[$k>>2]|0;$f=c[al>>2]|0;ja=(c[Wk>>2]|0)+1-fb+mf-$f|0;c[$d>>2]=c[Yk>>2];c[$d+4>>2]=_f;c[$d+8>>2]=ja;c[$d+12>>2]=1-fb+mf-$f+nf;c[ae>>2]=59;c[i>>2]=c[$d>>2];c[i+4>>2]=c[$d+4>>2];c[i+8>>2]=c[$d+8>>2];c[i+12>>2]=c[$d+12>>2];c[h>>2]=c[ae>>2];mm(b,i,53,h);l=g;return}case 117:{nf=Bm+8|0;c[Vk>>2]=nf;if(a[17798+(d[nf>>0]|0)>>0]&8){Gl=249;break m}$f=c[Zk>>2]|0;mf=c[_k>>2]|0;fb=c[$k>>2]|0;ja=c[al>>2]|0;_f=(c[Wk>>2]|0)+1-mf+fb-ja|0;c[be>>2]=c[Yk>>2];c[be+4>>2]=$f;c[be+8>>2]=_f;c[be+12>>2]=1-mf+fb-ja+nf;c[ce>>2]=60;c[i>>2]=c[be>>2];c[i+4>>2]=c[be+4>>2];c[i+8>>2]=c[be+8>>2];c[i+12>>2]=c[be+12>>2];c[h>>2]=c[ce>>2];mm(b,i,53,h);l=g;return}default:{on=bc;Gl=254;break m}}break}default:{on=Sa;Gl=254;break m}}break}case 108:{Sa=Bm+5|0;c[Vk>>2]=Sa;bc=a[Sa>>0]|0;if((bc&255)<111){if(bc<<24>>24!=101){on=bc;Gl=254;break m}Sa=Bm+6|0;c[Vk>>2]=Sa;nf=a[Sa>>0]|0;if(nf<<24>>24!=95){on=nf;Gl=254;break m}nf=Bm+7|0;c[Vk>>2]=nf;Sa=a[nf>>0]|0;switch(Sa<<24>>24){case 115:{nf=Bm+8|0;c[Vk>>2]=nf;if(a[17798+(d[nf>>0]|0)>>0]&8){Gl=249;break m}ja=c[Zk>>2]|0;fb=c[_k>>2]|0;mf=c[$k>>2]|0;_f=c[al>>2]|0;$f=(c[Wk>>2]|0)+1-fb+mf-_f|0;c[de>>2]=c[Yk>>2];c[de+4>>2]=ja;c[de+8>>2]=$f;c[de+12>>2]=1-fb+mf-_f+nf;c[ee>>2]=61;c[i>>2]=c[de>>2];c[i+4>>2]=c[de+4>>2];c[i+8>>2]=c[de+8>>2];c[i+12>>2]=c[de+12>>2];c[h>>2]=c[ee>>2];mm(b,i,53,h);l=g;return}case 117:{nf=Bm+8|0;c[Vk>>2]=nf;if(a[17798+(d[nf>>0]|0)>>0]&8){Gl=249;break m}_f=c[Zk>>2]|0;mf=c[_k>>2]|0;fb=c[$k>>2]|0;$f=c[al>>2]|0;ja=(c[Wk>>2]|0)+1-mf+fb-$f|0;c[fe>>2]=c[Yk>>2];c[fe+4>>2]=_f;c[fe+8>>2]=ja;c[fe+12>>2]=1-mf+fb-$f+nf;c[ge>>2]=62;c[i>>2]=c[fe>>2];c[i+4>>2]=c[fe+4>>2];c[i+8>>2]=c[fe+8>>2];c[i+12>>2]=c[fe+12>>2];c[h>>2]=c[ge>>2];mm(b,i,53,h);l=g;return}default:{on=Sa;Gl=254;break m}}}switch(bc<<24>>24){case 111:break;case 116:{Sa=Bm+6|0;c[Vk>>2]=Sa;nf=a[Sa>>0]|0;if(nf<<24>>24!=95){on=nf;Gl=254;break m}nf=Bm+7|0;c[Vk>>2]=nf;Sa=a[nf>>0]|0;switch(Sa<<24>>24){case 115:{nf=Bm+8|0;c[Vk>>2]=nf;if(a[17798+(d[nf>>0]|0)>>0]&8){Gl=249;break m}$f=c[Zk>>2]|0;fb=c[_k>>2]|0;mf=c[$k>>2]|0;ja=c[al>>2]|0;_f=(c[Wk>>2]|0)+1-fb+mf-ja|0;c[je>>2]=c[Yk>>2];c[je+4>>2]=$f;c[je+8>>2]=_f;c[je+12>>2]=1-fb+mf-ja+nf;c[ke>>2]=57;c[i>>2]=c[je>>2];c[i+4>>2]=c[je+4>>2];c[i+8>>2]=c[je+8>>2];c[i+12>>2]=c[je+12>>2];c[h>>2]=c[ke>>2];mm(b,i,53,h);l=g;return}case 117:{nf=Bm+8|0;c[Vk>>2]=nf;if(a[17798+(d[nf>>0]|0)>>0]&8){Gl=249;break m}ja=c[Zk>>2]|0;mf=c[_k>>2]|0;fb=c[$k>>2]|0;_f=c[al>>2]|0;$f=(c[Wk>>2]|0)+1-mf+fb-_f|0;c[le>>2]=c[Yk>>2];c[le+4>>2]=ja;c[le+8>>2]=$f;c[le+12>>2]=1-mf+fb-_f+nf;c[me>>2]=58;c[i>>2]=c[le>>2];c[i+4>>2]=c[le+4>>2];c[i+8>>2]=c[le+8>>2];c[i+12>>2]=c[le+12>>2];c[h>>2]=c[me>>2];mm(b,i,53,h);l=g;return}default:{on=Sa;Gl=254;break m}}break}default:{on=bc;Gl=254;break m}}bc=Bm+6|0;c[Vk>>2]=bc;Sa=a[bc>>0]|0;if(Sa<<24>>24!=97){on=Sa;Gl=254;break m}Sa=Bm+7|0;c[Vk>>2]=Sa;bc=a[Sa>>0]|0;if(bc<<24>>24!=100){on=bc;Gl=254;break m}bc=Bm+8|0;c[Vk>>2]=bc;Sa=a[bc>>0]|0;nf=bc;do if((Sa&255)<49)if((Sa&255)<35)if(Sa<<24>>24==33){Gl=249;break m}else break;else if((Sa&-2)<<24>>24==40)break;else{Gl=249;break m}else{if((Sa&255)>=57)if(Sa<<24>>24!=59&(Sa&255)<127){Gl=249;break m}else break;if((Sa&255)<50){bc=Bm+9|0;c[Vk>>2]=bc;_f=a[bc>>0]|0;if(_f<<24>>24!=54){on=_f;Gl=254;break m}_f=Bm+10|0;c[Vk>>2]=_f;bc=a[_f>>0]|0;if(bc<<24>>24!=95){on=bc;Gl=254;break m}bc=Bm+11|0;c[Vk>>2]=bc;_f=a[bc>>0]|0;switch(_f<<24>>24){case 115:{bc=Bm+12|0;c[Vk>>2]=bc;if(a[17798+(d[bc>>0]|0)>>0]&8){Gl=249;break m}fb=c[Zk>>2]|0;mf=c[_k>>2]|0;$f=c[$k>>2]|0;ja=c[al>>2]|0;Aa=(c[Wk>>2]|0)+1-mf+$f-ja|0;c[Mg>>2]=c[Yk>>2];c[Mg+4>>2]=fb;c[Mg+8>>2]=Aa;c[Mg+12>>2]=1-mf+$f-ja+bc;c[Ng>>2]=31;c[i>>2]=c[Mg>>2];c[i+4>>2]=c[Mg+4>>2];c[i+8>>2]=c[Mg+8>>2];c[i+12>>2]=c[Mg+12>>2];c[h>>2]=c[Ng>>2];mm(b,i,64,h);l=g;return}case 117:{bc=Bm+12|0;c[Vk>>2]=bc;if(a[17798+(d[bc>>0]|0)>>0]&8){Gl=249;break m}ja=c[Zk>>2]|0;$f=c[_k>>2]|0;mf=c[$k>>2]|0;Aa=c[al>>2]|0;fb=(c[Wk>>2]|0)+1-$f+mf-Aa|0;c[Og>>2]=c[Yk>>2];c[Og+4>>2]=ja;c[Og+8>>2]=fb;c[Og+12>>2]=1-$f+mf-Aa+bc;c[Pg>>2]=32;c[i>>2]=c[Og>>2];c[i+4>>2]=c[Og+4>>2];c[i+8>>2]=c[Og+8>>2];c[i+12>>2]=c[Og+12>>2];c[h>>2]=c[Pg>>2];mm(b,i,64,h);l=g;return}default:{on=_f;Gl=254;break m}}}else{if((Sa&255)<56){Gl=249;break m}_f=Bm+9|0;c[Vk>>2]=_f;bc=a[_f>>0]|0;if(bc<<24>>24!=95){on=bc;Gl=254;break m}bc=Bm+10|0;c[Vk>>2]=bc;_f=a[bc>>0]|0;switch(_f<<24>>24){case 115:{bc=Bm+11|0;c[Vk>>2]=bc;if(a[17798+(d[bc>>0]|0)>>0]&8){Gl=249;break m}Aa=c[Zk>>2]|0;mf=c[_k>>2]|0;$f=c[$k>>2]|0;fb=c[al>>2]|0;ja=(c[Wk>>2]|0)+1-mf+$f-fb|0;c[sg>>2]=c[Yk>>2];c[sg+4>>2]=Aa;c[sg+8>>2]=ja;c[sg+12>>2]=1-mf+$f-fb+bc;c[tg>>2]=29;c[i>>2]=c[sg>>2];c[i+4>>2]=c[sg+4>>2];c[i+8>>2]=c[sg+8>>2];c[i+12>>2]=c[sg+12>>2];c[h>>2]=c[tg>>2];mm(b,i,64,h);l=g;return}case 117:{bc=Bm+11|0;c[Vk>>2]=bc;if(a[17798+(d[bc>>0]|0)>>0]&8){Gl=249;break m}fb=c[Zk>>2]|0;$f=c[_k>>2]|0;mf=c[$k>>2]|0;ja=c[al>>2]|0;Aa=(c[Wk>>2]|0)+1-$f+mf-ja|0;c[ug>>2]=c[Yk>>2];c[ug+4>>2]=fb;c[ug+8>>2]=Aa;c[ug+12>>2]=1-$f+mf-ja+bc;c[vg>>2]=30;c[i>>2]=c[ug>>2];c[i+4>>2]=c[ug+4>>2];c[i+8>>2]=c[ug+8>>2];c[i+12>>2]=c[ug+12>>2];c[h>>2]=c[vg>>2];mm(b,i,64,h);l=g;return}default:{on=_f;Gl=254;break m}}}}while(0);Sa=c[Zk>>2]|0;ka=c[_k>>2]|0;rg=c[$k>>2]|0;_f=c[al>>2]|0;bc=(c[Wk>>2]|0)+1-ka+rg-_f|0;c[he>>2]=c[Yk>>2];c[he+4>>2]=Sa;c[he+8>>2]=bc;c[he+12>>2]=1-ka+rg-_f+nf;c[ie>>2]=25;c[i>>2]=c[he>>2];c[i+4>>2]=c[he+4>>2];c[i+8>>2]=c[he+8>>2];c[i+12>>2]=c[he+12>>2];c[h>>2]=c[ie>>2];mm(b,i,64,h);l=g;return}case 109:{_f=Bm+5|0;c[Vk>>2]=_f;rg=a[_f>>0]|0;if(rg<<24>>24!=117){on=rg;Gl=254;break m}rg=Bm+6|0;c[Vk>>2]=rg;_f=a[rg>>0]|0;if(_f<<24>>24!=108){on=_f;Gl=254;break m}_f=Bm+7|0;c[Vk>>2]=_f;if(a[17798+(d[_f>>0]|0)>>0]&8){Gl=249;break m}rg=c[Zk>>2]|0;ka=c[_k>>2]|0;bc=c[$k>>2]|0;Sa=c[al>>2]|0;ja=(c[Wk>>2]|0)+1-ka+bc-Sa|0;c[ed>>2]=c[Yk>>2];c[ed+4>>2]=rg;c[ed+8>>2]=ja;c[ed+12>>2]=1-ka+bc-Sa+_f;c[fd>>2]=93;c[i>>2]=c[ed>>2];c[i+4>>2]=c[ed+4>>2];c[i+8>>2]=c[ed+8>>2];c[i+12>>2]=c[ed+12>>2];c[h>>2]=c[fd>>2];mm(b,i,44,h);l=g;return}case 110:{_f=Bm+5|0;c[Vk>>2]=_f;Sa=a[_f>>0]|0;if(Sa<<24>>24!=101){on=Sa;Gl=254;break m}Sa=Bm+6|0;c[Vk>>2]=Sa;if(a[17798+(d[Sa>>0]|0)>>0]&8){Gl=249;break m}_f=c[Zk>>2]|0;bc=c[_k>>2]|0;ka=c[$k>>2]|0;ja=c[al>>2]|0;rg=(c[Wk>>2]|0)+1-bc+ka-ja|0;c[Rb>>2]=c[Yk>>2];c[Rb+4>>2]=_f;c[Rb+8>>2]=rg;c[Rb+12>>2]=1-bc+ka-ja+Sa;c[Sb>>2]=56;c[i>>2]=c[Rb>>2];c[i+4>>2]=c[Rb+4>>2];c[i+8>>2]=c[Rb+8>>2];c[i+12>>2]=c[Rb+12>>2];c[h>>2]=c[Sb>>2];mm(b,i,53,h);l=g;return}case 111:{Sa=Bm+5|0;c[Vk>>2]=Sa;ja=a[Sa>>0]|0;if(ja<<24>>24!=114){on=ja;Gl=254;break m}ja=Bm+6|0;c[Vk>>2]=ja;if(a[17798+(d[ja>>0]|0)>>0]&8){Gl=249;break m}Sa=c[Zk>>2]|0;ka=c[_k>>2]|0;bc=c[$k>>2]|0;rg=c[al>>2]|0;_f=(c[Wk>>2]|0)+1-ka+bc-rg|0;c[Tb>>2]=c[Yk>>2];c[Tb+4>>2]=Sa;c[Tb+8>>2]=_f;c[Tb+12>>2]=1-ka+bc-rg+ja;c[Ub>>2]=99;c[i>>2]=c[Tb>>2];c[i+4>>2]=c[Tb+4>>2];c[i+8>>2]=c[Tb+8>>2];c[i+12>>2]=c[Tb+12>>2];c[h>>2]=c[Ub>>2];mm(b,i,44,h);l=g;return}case 112:{ja=Bm+5|0;c[Vk>>2]=ja;rg=a[ja>>0]|0;if(rg<<24>>24!=111){on=rg;Gl=254;break m}rg=Bm+6|0;c[Vk>>2]=rg;ja=a[rg>>0]|0;if(ja<<24>>24!=112){on=ja;Gl=254;break m}ja=Bm+7|0;c[Vk>>2]=ja;rg=a[ja>>0]|0;if(rg<<24>>24!=99){on=rg;Gl=254;break m}rg=Bm+8|0;c[Vk>>2]=rg;ja=a[rg>>0]|0;if(ja<<24>>24!=110){on=ja;Gl=254;break m}ja=Bm+9|0;c[Vk>>2]=ja;rg=a[ja>>0]|0;if(rg<<24>>24!=116){on=rg;Gl=254;break m}rg=Bm+10|0;c[Vk>>2]=rg;if(a[17798+(d[rg>>0]|0)>>0]&8){Gl=249;break m}ja=c[Zk>>2]|0;bc=c[_k>>2]|0;ka=c[$k>>2]|0;_f=c[al>>2]|0;Sa=(c[Wk>>2]|0)+1-bc+ka-_f|0;c[ag>>2]=c[Yk>>2];c[ag+4>>2]=ja;c[ag+8>>2]=Sa;c[ag+12>>2]=1-bc+ka-_f+rg;c[bg>>2]=90;c[i>>2]=c[ag>>2];c[i+4>>2]=c[ag+4>>2];c[i+8>>2]=c[ag+8>>2];c[i+12>>2]=c[ag+12>>2];c[h>>2]=c[bg>>2];mm(b,i,76,h);l=g;return}case 114:{rg=Bm+5|0;c[Vk>>2]=rg;_f=a[rg>>0]|0;switch(_f<<24>>24){case 101:break;case 111:{rg=Bm+6|0;c[Vk>>2]=rg;ka=a[rg>>0]|0;if(ka<<24>>24!=116){on=ka;Gl=254;break m}ka=Bm+7|0;c[Vk>>2]=ka;rg=a[ka>>0]|0;switch(rg<<24>>24){case 108:{ka=Bm+8|0;c[Vk>>2]=ka;if(a[17798+(d[ka>>0]|0)>>0]&8){Gl=249;break m}bc=c[Zk>>2]|0;Sa=c[_k>>2]|0;ja=c[$k>>2]|0;mf=c[al>>2]|0;$f=(c[Wk>>2]|0)+1-Sa+ja-mf|0;c[ne>>2]=c[Yk>>2];c[ne+4>>2]=bc;c[ne+8>>2]=$f;c[ne+12>>2]=1-Sa+ja-mf+ka;c[oe>>2]=104;c[i>>2]=c[ne>>2];c[i+4>>2]=c[ne+4>>2];c[i+8>>2]=c[ne+8>>2];c[i+12>>2]=c[ne+12>>2];c[h>>2]=c[oe>>2];mm(b,i,44,h);l=g;return}case 114:{ka=Bm+8|0;c[Vk>>2]=ka;if(a[17798+(d[ka>>0]|0)>>0]&8){Gl=249;break m}mf=c[Zk>>2]|0;ja=c[_k>>2]|0;Sa=c[$k>>2]|0;$f=c[al>>2]|0;bc=(c[Wk>>2]|0)+1-ja+Sa-$f|0;c[pe>>2]=c[Yk>>2];c[pe+4>>2]=mf;c[pe+8>>2]=bc;c[pe+12>>2]=1-ja+Sa-$f+ka;c[qe>>2]=105;c[i>>2]=c[pe>>2];c[i+4>>2]=c[pe+4>>2];c[i+8>>2]=c[pe+8>>2];c[i+12>>2]=c[pe+12>>2];c[h>>2]=c[qe>>2];mm(b,i,44,h);l=g;return}default:{on=rg;Gl=254;break m}}break}default:{on=_f;Gl=254;break m}}_f=Bm+6|0;c[Vk>>2]=_f;rg=a[_f>>0]|0;switch(rg<<24>>24){case 105:break;case 109:{_f=Bm+7|0;c[Vk>>2]=_f;ka=a[_f>>0]|0;if(ka<<24>>24!=95){on=ka;Gl=254;break m}ka=Bm+8|0;c[Vk>>2]=ka;_f=a[ka>>0]|0;switch(_f<<24>>24){case 115:{ka=Bm+9|0;c[Vk>>2]=ka;if(a[17798+(d[ka>>0]|0)>>0]&8){Gl=249;break m}$f=c[Zk>>2]|0;Sa=c[_k>>2]|0;ja=c[$k>>2]|0;bc=c[al>>2]|0;mf=(c[Wk>>2]|0)+1-Sa+ja-bc|0;c[uf>>2]=c[Yk>>2];c[uf+4>>2]=$f;c[uf+8>>2]=mf;c[uf+12>>2]=1-Sa+ja-bc+ka;c[vf>>2]=96;c[i>>2]=c[uf>>2];c[i+4>>2]=c[uf+4>>2];c[i+8>>2]=c[uf+8>>2];c[i+12>>2]=c[uf+12>>2];c[h>>2]=c[vf>>2];mm(b,i,44,h);l=g;return}case 117:{ka=Bm+9|0;c[Vk>>2]=ka;if(a[17798+(d[ka>>0]|0)>>0]&8){Gl=249;break m}bc=c[Zk>>2]|0;ja=c[_k>>2]|0;Sa=c[$k>>2]|0;mf=c[al>>2]|0;$f=(c[Wk>>2]|0)+1-ja+Sa-mf|0;c[wf>>2]=c[Yk>>2];c[wf+4>>2]=bc;c[wf+8>>2]=$f;c[wf+12>>2]=1-ja+Sa-mf+ka;c[xf>>2]=97;c[i>>2]=c[wf>>2];c[i+4>>2]=c[wf+4>>2];c[i+8>>2]=c[wf+8>>2];c[i+12>>2]=c[wf+12>>2];c[h>>2]=c[xf>>2];mm(b,i,44,h);l=g;return}default:{on=_f;Gl=254;break m}}break}default:{on=rg;Gl=254;break m}}rg=Bm+7|0;c[Vk>>2]=rg;_f=a[rg>>0]|0;if(_f<<24>>24!=110){on=_f;Gl=254;break m}_f=Bm+8|0;c[Vk>>2]=_f;rg=a[_f>>0]|0;if(rg<<24>>24!=116){on=rg;Gl=254;break m}rg=Bm+9|0;c[Vk>>2]=rg;_f=a[rg>>0]|0;if(_f<<24>>24!=101){on=_f;Gl=254;break m}_f=Bm+10|0;c[Vk>>2]=_f;rg=a[_f>>0]|0;if(rg<<24>>24!=114){on=rg;Gl=254;break m}rg=Bm+11|0;c[Vk>>2]=rg;_f=a[rg>>0]|0;if(_f<<24>>24!=112){on=_f;Gl=254;break m}_f=Bm+12|0;c[Vk>>2]=_f;rg=a[_f>>0]|0;if(rg<<24>>24!=114){on=rg;Gl=254;break m}rg=Bm+13|0;c[Vk>>2]=rg;_f=a[rg>>0]|0;if(_f<<24>>24!=101){on=_f;Gl=254;break m}_f=Bm+14|0;c[Vk>>2]=_f;rg=a[_f>>0]|0;if(rg<<24>>24!=116){on=rg;Gl=254;break m}rg=Bm+15|0;c[Vk>>2]=rg;_f=a[rg>>0]|0;if(_f<<24>>24!=47){on=_f;Gl=254;break m}_f=Bm+16|0;c[Vk>>2]=_f;rg=a[_f>>0]|0;if(rg<<24>>24!=102){on=rg;Gl=254;break m}rg=Bm+17|0;c[Vk>>2]=rg;_f=a[rg>>0]|0;if(_f<<24>>24!=51){on=_f;Gl=254;break m}_f=Bm+18|0;c[Vk>>2]=_f;rg=a[_f>>0]|0;if(rg<<24>>24!=50){on=rg;Gl=254;break m}rg=Bm+19|0;c[Vk>>2]=rg;if(a[17798+(d[rg>>0]|0)>>0]&8){Gl=249;break m}_f=c[Zk>>2]|0;ka=c[_k>>2]|0;mf=c[$k>>2]|0;Sa=c[al>>2]|0;ja=(c[Wk>>2]|0)+1-ka+mf-Sa|0;c[$i>>2]=c[Yk>>2];c[$i+4>>2]=_f;c[$i+8>>2]=ja;c[$i+12>>2]=1-ka+mf-Sa+rg;c[aj>>2]=173;c[i>>2]=c[$i>>2];c[i+4>>2]=c[$i+4>>2];c[i+8>>2]=c[$i+8>>2];c[i+12>>2]=c[$i+12>>2];c[h>>2]=c[aj>>2];mm(b,i,55,h);l=g;return}case 115:{rg=Bm+5|0;c[Vk>>2]=rg;Sa=a[rg>>0]|0;if((Sa&255)<116){if(Sa<<24>>24!=104){on=Sa;Gl=254;break m}rg=Bm+6|0;c[Vk>>2]=rg;mf=a[rg>>0]|0;switch(mf<<24>>24){case 108:{rg=Bm+7|0;c[Vk>>2]=rg;if(a[17798+(d[rg>>0]|0)>>0]&8){Gl=249;break m}ka=c[Zk>>2]|0;ja=c[_k>>2]|0;_f=c[$k>>2]|0;$f=c[al>>2]|0;bc=(c[Wk>>2]|0)+1-ja+_f-$f|0;c[gd>>2]=c[Yk>>2];c[gd+4>>2]=ka;c[gd+8>>2]=bc;c[gd+12>>2]=1-ja+_f-$f+rg;c[hd>>2]=101;c[i>>2]=c[gd>>2];c[i+4>>2]=c[gd+4>>2];c[i+8>>2]=c[gd+8>>2];c[i+12>>2]=c[gd+12>>2];c[h>>2]=c[hd>>2];mm(b,i,44,h);l=g;return}case 114:break;default:{on=mf;Gl=254;break m}}mf=Bm+7|0;c[Vk>>2]=mf;rg=a[mf>>0]|0;if(rg<<24>>24!=95){on=rg;Gl=254;break m}rg=Bm+8|0;c[Vk>>2]=rg;mf=a[rg>>0]|0;switch(mf<<24>>24){case 115:{rg=Bm+9|0;c[Vk>>2]=rg;if(a[17798+(d[rg>>0]|0)>>0]&8){Gl=249;break m}$f=c[Zk>>2]|0;_f=c[_k>>2]|0;ja=c[$k>>2]|0;bc=c[al>>2]|0;ka=(c[Wk>>2]|0)+1-_f+ja-bc|0;c[yf>>2]=c[Yk>>2];c[yf+4>>2]=$f;c[yf+8>>2]=ka;c[yf+12>>2]=1-_f+ja-bc+rg;c[zf>>2]=102;c[i>>2]=c[yf>>2];c[i+4>>2]=c[yf+4>>2];c[i+8>>2]=c[yf+8>>2];c[i+12>>2]=c[yf+12>>2];c[h>>2]=c[zf>>2];mm(b,i,44,h);l=g;return}case 117:{rg=Bm+9|0;c[Vk>>2]=rg;if(a[17798+(d[rg>>0]|0)>>0]&8){Gl=249;break m}bc=c[Zk>>2]|0;ja=c[_k>>2]|0;_f=c[$k>>2]|0;ka=c[al>>2]|0;$f=(c[Wk>>2]|0)+1-ja+_f-ka|0;c[Af>>2]=c[Yk>>2];c[Af+4>>2]=bc;c[Af+8>>2]=$f;c[Af+12>>2]=1-ja+_f-ka+rg;c[Bf>>2]=103;c[i>>2]=c[Af>>2];c[i+4>>2]=c[Af+4>>2];c[i+8>>2]=c[Af+8>>2];c[i+12>>2]=c[Af+12>>2];c[h>>2]=c[Bf>>2];mm(b,i,44,h);l=g;return}default:{on=mf;Gl=254;break m}}}if(Sa<<24>>24!=116){if((Sa&255)>=118){on=Sa;Gl=254;break m}Sa=Bm+6|0;c[Vk>>2]=Sa;mf=a[Sa>>0]|0;if(mf<<24>>24!=98){on=mf;Gl=254;break m}mf=Bm+7|0;c[Vk>>2]=mf;if(a[17798+(d[mf>>0]|0)>>0]&8){Gl=249;break m}Sa=c[Zk>>2]|0;rg=c[_k>>2]|0;ka=c[$k>>2]|0;_f=c[al>>2]|0;ja=(c[Wk>>2]|0)+1-rg+ka-_f|0;c[id>>2]=c[Yk>>2];c[id+4>>2]=Sa;c[id+8>>2]=ja;c[id+12>>2]=1-rg+ka-_f+mf;c[jd>>2]=92;c[i>>2]=c[id>>2];c[i+4>>2]=c[id+4>>2];c[i+8>>2]=c[id+8>>2];c[i+12>>2]=c[id+12>>2];c[h>>2]=c[jd>>2];mm(b,i,44,h);l=g;return}mf=Bm+6|0;c[Vk>>2]=mf;_f=a[mf>>0]|0;if(_f<<24>>24!=111){on=_f;Gl=254;break m}_f=Bm+7|0;c[Vk>>2]=_f;mf=a[_f>>0]|0;if(mf<<24>>24!=114){on=mf;Gl=254;break m}mf=Bm+8|0;c[Vk>>2]=mf;_f=a[mf>>0]|0;if(_f<<24>>24!=101){on=_f;Gl=254;break m}_f=Bm+9|0;c[Vk>>2]=_f;mf=a[_f>>0]|0;ka=_f;do if((mf&255)<49)if((mf&255)<35)if(mf<<24>>24==33){Gl=249;break m}else break;else if((mf&-2)<<24>>24==40)break;else{Gl=249;break m}else{if((mf&255)>=57)if(mf<<24>>24!=59&(mf&255)<127){Gl=249;break m}else break;if((mf&255)<50){_f=Bm+10|0;c[Vk>>2]=_f;rg=a[_f>>0]|0;if(rg<<24>>24!=54){on=rg;Gl=254;break m}rg=Bm+11|0;c[Vk>>2]=rg;if(a[17798+(d[rg>>0]|0)>>0]&8){Gl=249;break m}_f=c[Zk>>2]|0;ja=c[_k>>2]|0;Sa=c[$k>>2]|0;$f=c[al>>2]|0;bc=(c[Wk>>2]|0)+1-ja+Sa-$f|0;c[wg>>2]=c[Yk>>2];c[wg+4>>2]=_f;c[wg+8>>2]=bc;c[wg+12>>2]=1-ja+Sa-$f+rg;c[xg>>2]=44;c[i>>2]=c[wg>>2];c[i+4>>2]=c[wg+4>>2];c[i+8>>2]=c[wg+8>>2];c[i+12>>2]=c[wg+12>>2];c[h>>2]=c[xg>>2];mm(b,i,72,h);l=g;return}else{if((mf&255)<56){Gl=249;break m}rg=Bm+10|0;c[Vk>>2]=rg;if(a[17798+(d[rg>>0]|0)>>0]&8){Gl=249;break m}$f=c[Zk>>2]|0;Sa=c[_k>>2]|0;ja=c[$k>>2]|0;bc=c[al>>2]|0;_f=(c[Wk>>2]|0)+1-Sa+ja-bc|0;c[cg>>2]=c[Yk>>2];c[cg+4>>2]=$f;c[cg+8>>2]=_f;c[cg+12>>2]=1-Sa+ja-bc+rg;c[dg>>2]=43;c[i>>2]=c[cg>>2];c[i+4>>2]=c[cg+4>>2];c[i+8>>2]=c[cg+8>>2];c[i+12>>2]=c[cg+12>>2];c[h>>2]=c[dg>>2];mm(b,i,72,h);l=g;return}}while(0);mf=c[Zk>>2]|0;nf=c[_k>>2]|0;rg=c[$k>>2]|0;bc=c[al>>2]|0;ja=(c[Wk>>2]|0)+1-nf+rg-bc|0;c[Cf>>2]=c[Yk>>2];c[Cf+4>>2]=mf;c[Cf+8>>2]=ja;c[Cf+12>>2]=1-nf+rg-bc+ka;c[Df>>2]=39;c[i>>2]=c[Cf>>2];c[i+4>>2]=c[Cf+4>>2];c[i+8>>2]=c[Cf+8>>2];c[i+12>>2]=c[Cf+12>>2];c[h>>2]=c[Df>>2];mm(b,i,72,h);l=g;return}case 116:{bc=Bm+5|0;c[Vk>>2]=bc;rg=a[bc>>0]|0;if(rg<<24>>24!=114){on=rg;Gl=254;break m}rg=Bm+6|0;c[Vk>>2]=rg;bc=a[rg>>0]|0;if(bc<<24>>24!=117){on=bc;Gl=254;break m}bc=Bm+7|0;c[Vk>>2]=bc;rg=a[bc>>0]|0;if(rg<<24>>24!=110){on=rg;Gl=254;break m}rg=Bm+8|0;c[Vk>>2]=rg;bc=a[rg>>0]|0;if(bc<<24>>24!=99){on=bc;Gl=254;break m}bc=Bm+9|0;c[Vk>>2]=bc;rg=a[bc>>0]|0;if(rg<<24>>24!=95){on=rg;Gl=254;break m}rg=Bm+10|0;c[Vk>>2]=rg;bc=a[rg>>0]|0;switch(bc<<24>>24){case 115:{rg=Bm+11|0;c[Vk>>2]=rg;nf=a[rg>>0]|0;switch(nf<<24>>24){case 47:{rg=Bm+12|0;c[Vk>>2]=rg;ja=a[rg>>0]|0;if(ja<<24>>24!=102){on=ja;Gl=254;break m}ja=Bm+13|0;c[Vk>>2]=ja;rg=a[ja>>0]|0;switch(rg<<24>>24){case 51:{ja=Bm+14|0;c[Vk>>2]=ja;mf=a[ja>>0]|0;if(mf<<24>>24!=50){on=mf;Gl=254;break m}mf=Bm+15|0;c[Vk>>2]=mf;if(a[17798+(d[mf>>0]|0)>>0]&8){Gl=249;break m}ja=c[Zk>>2]|0;Sa=c[_k>>2]|0;_f=c[$k>>2]|0;$f=c[al>>2]|0;Aa=(c[Wk>>2]|0)+1-Sa+_f-$f|0;c[uh>>2]=c[Yk>>2];c[uh+4>>2]=ja;c[uh+8>>2]=Aa;c[uh+12>>2]=1-Sa+_f-$f+mf;c[vh>>2]=153;c[i>>2]=c[uh>>2];c[i+4>>2]=c[uh+4>>2];c[i+8>>2]=c[uh+8>>2];c[i+12>>2]=c[uh+12>>2];c[h>>2]=c[vh>>2];mm(b,i,55,h);l=g;return}case 54:{mf=Bm+14|0;c[Vk>>2]=mf;$f=a[mf>>0]|0;if($f<<24>>24!=52){on=$f;Gl=254;break m}$f=Bm+15|0;c[Vk>>2]=$f;if(a[17798+(d[$f>>0]|0)>>0]&8){Gl=249;break m}mf=c[Zk>>2]|0;_f=c[_k>>2]|0;Sa=c[$k>>2]|0;Aa=c[al>>2]|0;ja=(c[Wk>>2]|0)+1-_f+Sa-Aa|0;c[wh>>2]=c[Yk>>2];c[wh+4>>2]=mf;c[wh+8>>2]=ja;c[wh+12>>2]=1-_f+Sa-Aa+$f;c[xh>>2]=155;c[i>>2]=c[wh>>2];c[i+4>>2]=c[wh+4>>2];c[i+8>>2]=c[wh+8>>2];c[i+12>>2]=c[wh+12>>2];c[h>>2]=c[xh>>2];mm(b,i,55,h);l=g;return}default:{on=rg;Gl=254;break m}}break}case 58:break;default:{on=nf;Gl=254;break m}}nf=Bm+12|0;c[Vk>>2]=nf;rg=a[nf>>0]|0;if(rg<<24>>24!=115){on=rg;Gl=254;break m}rg=Bm+13|0;c[Vk>>2]=rg;nf=a[rg>>0]|0;if(nf<<24>>24!=97){on=nf;Gl=254;break m}nf=Bm+14|0;c[Vk>>2]=nf;rg=a[nf>>0]|0;if(rg<<24>>24!=116){on=rg;Gl=254;break m}rg=Bm+15|0;c[Vk>>2]=rg;nf=a[rg>>0]|0;if(nf<<24>>24!=47){on=nf;Gl=254;break m}nf=Bm+16|0;c[Vk>>2]=nf;rg=a[nf>>0]|0;if(rg<<24>>24!=102){on=rg;Gl=254;break m}rg=Bm+17|0;c[Vk>>2]=rg;nf=a[rg>>0]|0;switch(nf<<24>>24){case 51:{rg=Bm+18|0;c[Vk>>2]=rg;$f=a[rg>>0]|0;if($f<<24>>24!=50){on=$f;Gl=254;break m}$f=Bm+19|0;c[Vk>>2]=$f;if(a[17798+(d[$f>>0]|0)>>0]&8){Gl=249;break m}rg=c[Zk>>2]|0;Aa=c[_k>>2]|0;Sa=c[$k>>2]|0;_f=c[al>>2]|0;ja=(c[Wk>>2]|0)+1-Aa+Sa-_f|0;c[bj>>2]=c[Yk>>2];c[bj+4>>2]=rg;c[bj+8>>2]=ja;c[bj+12>>2]=1-Aa+Sa-_f+$f;c[cj>>2]=187;c[i>>2]=c[bj>>2];c[i+4>>2]=c[bj+4>>2];c[i+8>>2]=c[bj+8>>2];c[i+12>>2]=c[bj+12>>2];c[h>>2]=c[cj>>2];mm(b,i,55,h);l=g;return}case 54:{$f=Bm+18|0;c[Vk>>2]=$f;_f=a[$f>>0]|0;if(_f<<24>>24!=52){on=_f;Gl=254;break m}_f=Bm+19|0;c[Vk>>2]=_f;if(a[17798+(d[_f>>0]|0)>>0]&8){Gl=249;break m}$f=c[Zk>>2]|0;Sa=c[_k>>2]|0;Aa=c[$k>>2]|0;ja=c[al>>2]|0;rg=(c[Wk>>2]|0)+1-Sa+Aa-ja|0;c[dj>>2]=c[Yk>>2];c[dj+4>>2]=$f;c[dj+8>>2]=rg;c[dj+12>>2]=1-Sa+Aa-ja+_f;c[ej>>2]=189;c[i>>2]=c[dj>>2];c[i+4>>2]=c[dj+4>>2];c[i+8>>2]=c[dj+8>>2];c[i+12>>2]=c[dj+12>>2];c[h>>2]=c[ej>>2];mm(b,i,55,h);l=g;return}default:{on=nf;Gl=254;break m}}break}case 117:{nf=Bm+11|0;c[Vk>>2]=nf;_f=a[nf>>0]|0;switch(_f<<24>>24){case 47:{nf=Bm+12|0;c[Vk>>2]=nf;ja=a[nf>>0]|0;if(ja<<24>>24!=102){on=ja;Gl=254;break m}ja=Bm+13|0;c[Vk>>2]=ja;nf=a[ja>>0]|0;switch(nf<<24>>24){case 51:{ja=Bm+14|0;c[Vk>>2]=ja;Aa=a[ja>>0]|0;if(Aa<<24>>24!=50){on=Aa;Gl=254;break m}Aa=Bm+15|0;c[Vk>>2]=Aa;if(a[17798+(d[Aa>>0]|0)>>0]&8){Gl=249;break m}ja=c[Zk>>2]|0;Sa=c[_k>>2]|0;rg=c[$k>>2]|0;$f=c[al>>2]|0;mf=(c[Wk>>2]|0)+1-Sa+rg-$f|0;c[yh>>2]=c[Yk>>2];c[yh+4>>2]=ja;c[yh+8>>2]=mf;c[yh+12>>2]=1-Sa+rg-$f+Aa;c[zh>>2]=154;c[i>>2]=c[yh>>2];c[i+4>>2]=c[yh+4>>2];c[i+8>>2]=c[yh+8>>2];c[i+12>>2]=c[yh+12>>2];c[h>>2]=c[zh>>2];mm(b,i,55,h);l=g;return}case 54:{Aa=Bm+14|0;c[Vk>>2]=Aa;$f=a[Aa>>0]|0;if($f<<24>>24!=52){on=$f;Gl=254;break m}$f=Bm+15|0;c[Vk>>2]=$f;if(a[17798+(d[$f>>0]|0)>>0]&8){Gl=249;break m}Aa=c[Zk>>2]|0;rg=c[_k>>2]|0;Sa=c[$k>>2]|0;mf=c[al>>2]|0;ja=(c[Wk>>2]|0)+1-rg+Sa-mf|0;c[Ah>>2]=c[Yk>>2];c[Ah+4>>2]=Aa;c[Ah+8>>2]=ja;c[Ah+12>>2]=1-rg+Sa-mf+$f;c[Bh>>2]=156;c[i>>2]=c[Ah>>2];c[i+4>>2]=c[Ah+4>>2];c[i+8>>2]=c[Ah+8>>2];c[i+12>>2]=c[Ah+12>>2];c[h>>2]=c[Bh>>2];mm(b,i,55,h);l=g;return}default:{on=nf;Gl=254;break m}}break}case 58:break;default:{on=_f;Gl=254;break m}}_f=Bm+12|0;c[Vk>>2]=_f;nf=a[_f>>0]|0;if(nf<<24>>24!=115){on=nf;Gl=254;break m}nf=Bm+13|0;c[Vk>>2]=nf;_f=a[nf>>0]|0;if(_f<<24>>24!=97){on=_f;Gl=254;break m}_f=Bm+14|0;c[Vk>>2]=_f;nf=a[_f>>0]|0;if(nf<<24>>24!=116){on=nf;Gl=254;break m}nf=Bm+15|0;c[Vk>>2]=nf;_f=a[nf>>0]|0;if(_f<<24>>24!=47){on=_f;Gl=254;break m}_f=Bm+16|0;c[Vk>>2]=_f;nf=a[_f>>0]|0;if(nf<<24>>24!=102){on=nf;Gl=254;break m}nf=Bm+17|0;c[Vk>>2]=nf;_f=a[nf>>0]|0;switch(_f<<24>>24){case 51:{nf=Bm+18|0;c[Vk>>2]=nf;$f=a[nf>>0]|0;if($f<<24>>24!=50){on=$f;Gl=254;break m}$f=Bm+19|0;c[Vk>>2]=$f;if(a[17798+(d[$f>>0]|0)>>0]&8){Gl=249;break m}nf=c[Zk>>2]|0;mf=c[_k>>2]|0;Sa=c[$k>>2]|0;rg=c[al>>2]|0;ja=(c[Wk>>2]|0)+1-mf+Sa-rg|0;c[fj>>2]=c[Yk>>2];c[fj+4>>2]=nf;c[fj+8>>2]=ja;c[fj+12>>2]=1-mf+Sa-rg+$f;c[gj>>2]=188;c[i>>2]=c[fj>>2];c[i+4>>2]=c[fj+4>>2];c[i+8>>2]=c[fj+8>>2];c[i+12>>2]=c[fj+12>>2];c[h>>2]=c[gj>>2];mm(b,i,55,h);l=g;return}case 54:{$f=Bm+18|0;c[Vk>>2]=$f;rg=a[$f>>0]|0;if(rg<<24>>24!=52){on=rg;Gl=254;break m}rg=Bm+19|0;c[Vk>>2]=rg;if(a[17798+(d[rg>>0]|0)>>0]&8){Gl=249;break m}$f=c[Zk>>2]|0;Sa=c[_k>>2]|0;mf=c[$k>>2]|0;ja=c[al>>2]|0;nf=(c[Wk>>2]|0)+1-Sa+mf-ja|0;c[hj>>2]=c[Yk>>2];c[hj+4>>2]=$f;c[hj+8>>2]=nf;c[hj+12>>2]=1-Sa+mf-ja+rg;c[ij>>2]=190;c[i>>2]=c[hj>>2];c[i+4>>2]=c[hj+4>>2];c[i+8>>2]=c[hj+8>>2];c[i+12>>2]=c[hj+12>>2];c[h>>2]=c[ij>>2];mm(b,i,55,h);l=g;return}default:{on=_f;Gl=254;break m}}break}default:{on=bc;Gl=254;break m}}break}case 119:{bc=Bm+5|0;c[Vk>>2]=bc;_f=a[bc>>0]|0;switch(_f<<24>>24){case 97:{bc=Bm+6|0;c[Vk>>2]=bc;rg=a[bc>>0]|0;if(rg<<24>>24!=105){on=rg;Gl=254;break m}rg=Bm+7|0;c[Vk>>2]=rg;bc=a[rg>>0]|0;if(bc<<24>>24!=116){on=bc;Gl=254;break m}bc=Bm+8|0;c[Vk>>2]=bc;if(a[17798+(d[bc>>0]|0)>>0]&8){Gl=249;break m}rg=c[Zk>>2]|0;ja=c[_k>>2]|0;mf=c[$k>>2]|0;Sa=c[al>>2]|0;nf=(c[Wk>>2]|0)+1-ja+mf-Sa|0;c[re>>2]=c[Yk>>2];c[re+4>>2]=rg;c[re+8>>2]=nf;c[re+12>>2]=1-ja+mf-Sa+bc;c[se>>2]=196;c[i>>2]=c[re>>2];c[i+4>>2]=c[re+4>>2];c[i+8>>2]=c[re+8>>2];c[i+12>>2]=c[re+12>>2];c[h>>2]=c[se>>2];mm(b,i,78,h);l=g;return}case 114:break;default:{on=_f;Gl=254;break m}}_f=Bm+6|0;c[Vk>>2]=_f;bc=a[_f>>0]|0;if(bc<<24>>24!=97){on=bc;Gl=254;break m}bc=Bm+7|0;c[Vk>>2]=bc;_f=a[bc>>0]|0;if(_f<<24>>24!=112){on=_f;Gl=254;break m}_f=Bm+8|0;c[Vk>>2]=_f;bc=a[_f>>0]|0;if(bc<<24>>24!=47){on=bc;Gl=254;break m}bc=Bm+9|0;c[Vk>>2]=bc;_f=a[bc>>0]|0;if(_f<<24>>24!=105){on=_f;Gl=254;break m}_f=Bm+10|0;c[Vk>>2]=_f;bc=a[_f>>0]|0;if(bc<<24>>24!=54){on=bc;Gl=254;break m}bc=Bm+11|0;c[Vk>>2]=bc;_f=a[bc>>0]|0;if(_f<<24>>24!=52){on=_f;Gl=254;break m}_f=Bm+12|0;c[Vk>>2]=_f;if(a[17798+(d[_f>>0]|0)>>0]&8){Gl=249;break m}bc=c[Zk>>2]|0;Sa=c[_k>>2]|0;mf=c[$k>>2]|0;ja=c[al>>2]|0;nf=(c[Wk>>2]|0)+1-Sa+mf-ja|0;c[Qg>>2]=c[Yk>>2];c[Qg+4>>2]=bc;c[Qg+8>>2]=nf;c[Qg+12>>2]=1-Sa+mf-ja+_f;c[Rg>>2]=152;c[i>>2]=c[Qg>>2];c[i+4>>2]=c[Qg+4>>2];c[i+8>>2]=c[Qg+8>>2];c[i+12>>2]=c[Qg+12>>2];c[h>>2]=c[Rg>>2];mm(b,i,55,h);l=g;return}case 120:{_f=Bm+5|0;c[Vk>>2]=_f;ja=a[_f>>0]|0;if(ja<<24>>24!=111){on=ja;Gl=254;break m}ja=Bm+6|0;c[Vk>>2]=ja;_f=a[ja>>0]|0;if(_f<<24>>24!=114){on=_f;Gl=254;break m}_f=Bm+7|0;c[Vk>>2]=_f;if(a[17798+(d[_f>>0]|0)>>0]&8){Gl=249;break m}ja=c[Zk>>2]|0;mf=c[_k>>2]|0;Sa=c[$k>>2]|0;nf=c[al>>2]|0;bc=(c[Wk>>2]|0)+1-mf+Sa-nf|0;c[kd>>2]=c[Yk>>2];c[kd+4>>2]=ja;c[kd+8>>2]=bc;c[kd+12>>2]=1-mf+Sa-nf+_f;c[ld>>2]=100;c[i>>2]=c[kd>>2];c[i+4>>2]=c[kd+4>>2];c[i+8>>2]=c[kd+8>>2];c[i+12>>2]=c[kd+12>>2];c[h>>2]=c[ld>>2];mm(b,i,44,h);l=g;return}default:{on=jg;Gl=254;break m}}while(0)}while(0);ld=c[Zk>>2]|0;kd=c[_k>>2]|0;Rg=c[$k>>2]|0;Qg=c[al>>2]|0;se=(c[Wk>>2]|0)+1-kd+Rg-Qg|0;c[xa>>2]=c[Yk>>2];c[xa+4>>2]=ld;c[xa+8>>2]=se;c[xa+12>>2]=1-kd+Rg-Qg+wa;c[h>>2]=c[xa>>2];c[h+4>>2]=c[xa+4>>2];c[h+8>>2]=c[xa+8>>2];c[h+12>>2]=c[xa+12>>2];km(b,h,85,-1);l=g;return}if(qg<<24>>24==54){xa=Bm+2|0;c[Vk>>2]=xa;wa=a[xa>>0]|0;if(wa<<24>>24==52){xa=Bm+3|0;c[Vk>>2]=xa;Qg=a[xa>>0]|0;Rg=xa;do if((Qg&255)<42)if((Qg&255)<34)if(Qg<<24>>24==33){Gl=249;break m}else break;else if(Qg<<24>>24!=34&(Qg&255)<40){Gl=249;break m}else break;else{if((Qg&255)>=59)if(Qg<<24>>24!=59&(Qg&255)<127){Gl=249;break m}else break;if(Qg<<24>>24!=46){Gl=249;break m}xa=Bm+4|0;c[Vk>>2]=xa;kd=a[xa>>0]|0;do switch(kd<<24>>24){case 97:{xa=Bm+5|0;c[Vk>>2]=xa;se=a[xa>>0]|0;if((se&255)<110){if(se<<24>>24!=100){on=se;Gl=254;break m}xa=Bm+6|0;c[Vk>>2]=xa;ld=a[xa>>0]|0;if(ld<<24>>24!=100){on=ld;Gl=254;break m}ld=Bm+7|0;c[Vk>>2]=ld;if(a[17798+(d[ld>>0]|0)>>0]&8){Gl=249;break m}xa=c[Zk>>2]|0;re=c[_k>>2]|0;ij=c[$k>>2]|0;hj=c[al>>2]|0;gj=(c[Wk>>2]|0)+1-re+ij-hj|0;c[md>>2]=c[Yk>>2];c[md+4>>2]=xa;c[md+8>>2]=gj;c[md+12>>2]=1-re+ij-hj+ld;c[nd>>2]=109;c[i>>2]=c[md>>2];c[i+4>>2]=c[md+4>>2];c[i+8>>2]=c[md+8>>2];c[i+12>>2]=c[md+12>>2];c[h>>2]=c[nd>>2];mm(b,i,44,h);l=g;return}switch(se<<24>>24){case 110:{ld=Bm+6|0;c[Vk>>2]=ld;hj=a[ld>>0]|0;if(hj<<24>>24!=100){on=hj;Gl=254;break m}hj=Bm+7|0;c[Vk>>2]=hj;if(a[17798+(d[hj>>0]|0)>>0]&8){Gl=249;break m}ld=c[Zk>>2]|0;ij=c[_k>>2]|0;re=c[$k>>2]|0;gj=c[al>>2]|0;xa=(c[Wk>>2]|0)+1-ij+re-gj|0;c[od>>2]=c[Yk>>2];c[od+4>>2]=ld;c[od+8>>2]=xa;c[od+12>>2]=1-ij+re-gj+hj;c[pd>>2]=116;c[i>>2]=c[od>>2];c[i+4>>2]=c[od+4>>2];c[i+8>>2]=c[od+8>>2];c[i+12>>2]=c[od+12>>2];c[h>>2]=c[pd>>2];mm(b,i,44,h);l=g;return}case 116:break;default:{on=se;Gl=254;break m}}se=Bm+6|0;c[Vk>>2]=se;hj=a[se>>0]|0;if(hj<<24>>24!=111){on=hj;Gl=254;break m}hj=Bm+7|0;c[Vk>>2]=hj;se=a[hj>>0]|0;if(se<<24>>24!=109){on=se;Gl=254;break m}se=Bm+8|0;c[Vk>>2]=se;hj=a[se>>0]|0;if(hj<<24>>24!=105){on=hj;Gl=254;break m}hj=Bm+9|0;c[Vk>>2]=hj;se=a[hj>>0]|0;if(se<<24>>24!=99){on=se;Gl=254;break m}se=Bm+10|0;c[Vk>>2]=se;hj=a[se>>0]|0;if(hj<<24>>24!=46){on=hj;Gl=254;break m}hj=Bm+11|0;c[Vk>>2]=hj;se=a[hj>>0]|0;if((se&255)<114){if(se<<24>>24!=108){on=se;Gl=254;break m}hj=Bm+12|0;c[Vk>>2]=hj;gj=a[hj>>0]|0;if(gj<<24>>24!=111){on=gj;Gl=254;break m}gj=Bm+13|0;c[Vk>>2]=gj;hj=a[gj>>0]|0;if(hj<<24>>24!=97){on=hj;Gl=254;break m}hj=Bm+14|0;c[Vk>>2]=hj;gj=a[hj>>0]|0;if(gj<<24>>24!=100){on=gj;Gl=254;break m}gj=Bm+15|0;c[Vk>>2]=gj;hj=a[gj>>0]|0;re=gj;do if((hj&255)>=50){if((hj&255)>=57)if(hj<<24>>24!=59&(hj&255)<127){Gl=249;break m}else break;if(hj<<24>>24==51){gj=Bm+16|0;c[Vk>>2]=gj;ij=a[gj>>0]|0;if(ij<<24>>24!=50){on=ij;Gl=254;break m}ij=Bm+17|0;c[Vk>>2]=ij;gj=a[ij>>0]|0;if(gj<<24>>24!=95){on=gj;Gl=254;break m}gj=Bm+18|0;c[Vk>>2]=gj;ij=a[gj>>0]|0;if(ij<<24>>24!=117){on=ij;Gl=254;break m}ij=Bm+19|0;c[Vk>>2]=ij;if(a[17798+(d[ij>>0]|0)>>0]&8){Gl=249;break m}gj=c[Zk>>2]|0;xa=c[_k>>2]|0;ld=c[$k>>2]|0;fj=c[al>>2]|0;Bh=(c[Wk>>2]|0)+1-xa+ld-fj|0;c[lj>>2]=c[Yk>>2];c[lj+4>>2]=gj;c[lj+8>>2]=Bh;c[lj+12>>2]=1-xa+ld-fj+ij;c[mj>>2]=204;c[i>>2]=c[lj>>2];c[i+4>>2]=c[lj+4>>2];c[i+8>>2]=c[lj+8>>2];c[i+12>>2]=c[lj+12>>2];c[h>>2]=c[mj>>2];mm(b,i,40,h);l=g;return}else{if((hj&255)<56){Gl=249;break m}ij=Bm+16|0;c[Vk>>2]=ij;fj=a[ij>>0]|0;if(fj<<24>>24!=95){on=fj;Gl=254;break m}fj=Bm+17|0;c[Vk>>2]=fj;ij=a[fj>>0]|0;if(ij<<24>>24!=117){on=ij;Gl=254;break m}ij=Bm+18|0;c[Vk>>2]=ij;if(a[17798+(d[ij>>0]|0)>>0]&8){Gl=249;break m}fj=c[Zk>>2]|0;ld=c[_k>>2]|0;xa=c[$k>>2]|0;Bh=c[al>>2]|0;gj=(c[Wk>>2]|0)+1-ld+xa-Bh|0;c[Fi>>2]=c[Yk>>2];c[Fi+4>>2]=fj;c[Fi+8>>2]=gj;c[Fi+12>>2]=1-ld+xa-Bh+ij;c[Gi>>2]=202;c[i>>2]=c[Fi>>2];c[i+4>>2]=c[Fi+4>>2];c[i+8>>2]=c[Fi+8>>2];c[i+12>>2]=c[Fi+12>>2];c[h>>2]=c[Gi>>2];mm(b,i,40,h);l=g;return}}else{if((hj&255)<35)if(hj<<24>>24==33){Gl=249;break m}else break;if((hj&255)<40){Gl=249;break m}if((hj&255)<42)break;if((hj&255)<49){Gl=249;break m}ij=Bm+16|0;c[Vk>>2]=ij;Bh=a[ij>>0]|0;if(Bh<<24>>24!=54){on=Bh;Gl=254;break m}Bh=Bm+17|0;c[Vk>>2]=Bh;ij=a[Bh>>0]|0;if(ij<<24>>24!=95){on=ij;Gl=254;break m}ij=Bm+18|0;c[Vk>>2]=ij;Bh=a[ij>>0]|0;if(Bh<<24>>24!=117){on=Bh;Gl=254;break m}Bh=Bm+19|0;c[Vk>>2]=Bh;if(a[17798+(d[Bh>>0]|0)>>0]&8){Gl=249;break m}ij=c[Zk>>2]|0;xa=c[_k>>2]|0;ld=c[$k>>2]|0;gj=c[al>>2]|0;fj=(c[Wk>>2]|0)+1-xa+ld-gj|0;c[jj>>2]=c[Yk>>2];c[jj+4>>2]=ij;c[jj+8>>2]=fj;c[jj+12>>2]=1-xa+ld-gj+Bh;c[kj>>2]=203;c[i>>2]=c[jj>>2];c[i+4>>2]=c[jj+4>>2];c[i+8>>2]=c[jj+8>>2];c[i+12>>2]=c[jj+12>>2];c[h>>2]=c[kj>>2];mm(b,i,40,h);l=g;return}while(0);hj=c[Zk>>2]|0;ka=c[_k>>2]|0;Bh=c[$k>>2]|0;gj=c[al>>2]|0;ld=(c[Wk>>2]|0)+1-ka+Bh-gj|0;c[Ch>>2]=c[Yk>>2];c[Ch+4>>2]=hj;c[Ch+8>>2]=ld;c[Ch+12>>2]=1-ka+Bh-gj+re;c[Dh>>2]=199;c[i>>2]=c[Ch>>2];c[i+4>>2]=c[Ch+4>>2];c[i+8>>2]=c[Ch+8>>2];c[i+12>>2]=c[Ch+12>>2];c[h>>2]=c[Dh>>2];mm(b,i,40,h);l=g;return}if(se<<24>>24!=114){if((se&255)>=116){on=se;Gl=254;break m}gj=Bm+12|0;c[Vk>>2]=gj;Bh=a[gj>>0]|0;if(Bh<<24>>24!=116){on=Bh;Gl=254;break m}Bh=Bm+13|0;c[Vk>>2]=Bh;gj=a[Bh>>0]|0;if(gj<<24>>24!=111){on=gj;Gl=254;break m}gj=Bm+14|0;c[Vk>>2]=gj;Bh=a[gj>>0]|0;if(Bh<<24>>24!=114){on=Bh;Gl=254;break m}Bh=Bm+15|0;c[Vk>>2]=Bh;gj=a[Bh>>0]|0;if(gj<<24>>24!=101){on=gj;Gl=254;break m}gj=Bm+16|0;c[Vk>>2]=gj;Bh=a[gj>>0]|0;ka=gj;do if((Bh&255)>=50){if((Bh&255)>=57)if(Bh<<24>>24!=59&(Bh&255)<127){Gl=249;break m}else break;if(Bh<<24>>24==51){gj=Bm+17|0;c[Vk>>2]=gj;ld=a[gj>>0]|0;if(ld<<24>>24!=50){on=ld;Gl=254;break m}ld=Bm+18|0;c[Vk>>2]=ld;if(a[17798+(d[ld>>0]|0)>>0]&8){Gl=249;break m}gj=c[Zk>>2]|0;hj=c[_k>>2]|0;xa=c[$k>>2]|0;fj=c[al>>2]|0;ij=(c[Wk>>2]|0)+1-hj+xa-fj|0;c[Ri>>2]=c[Yk>>2];c[Ri+4>>2]=gj;c[Ri+8>>2]=ij;c[Ri+12>>2]=1-hj+xa-fj+ld;c[Si>>2]=211;c[i>>2]=c[Ri>>2];c[i+4>>2]=c[Ri+4>>2];c[i+8>>2]=c[Ri+8>>2];c[i+12>>2]=c[Ri+12>>2];c[h>>2]=c[Si>>2];mm(b,i,43,h);l=g;return}else{if((Bh&255)<56){Gl=249;break m}ld=Bm+17|0;c[Vk>>2]=ld;if(a[17798+(d[ld>>0]|0)>>0]&8){Gl=249;break m}fj=c[Zk>>2]|0;xa=c[_k>>2]|0;hj=c[$k>>2]|0;ij=c[al>>2]|0;gj=(c[Wk>>2]|0)+1-xa+hj-ij|0;c[ri>>2]=c[Yk>>2];c[ri+4>>2]=fj;c[ri+8>>2]=gj;c[ri+12>>2]=1-xa+hj-ij+ld;c[si>>2]=209;c[i>>2]=c[ri>>2];c[i+4>>2]=c[ri+4>>2];c[i+8>>2]=c[ri+8>>2];c[i+12>>2]=c[ri+12>>2];c[h>>2]=c[si>>2];mm(b,i,43,h);l=g;return}}else{if((Bh&255)<35)if(Bh<<24>>24==33){Gl=249;break m}else break;if((Bh&255)<40){Gl=249;break m}if((Bh&255)<42)break;if((Bh&255)<49){Gl=249;break m}ld=Bm+17|0;c[Vk>>2]=ld;ij=a[ld>>0]|0;if(ij<<24>>24!=54){on=ij;Gl=254;break m}ij=Bm+18|0;c[Vk>>2]=ij;if(a[17798+(d[ij>>0]|0)>>0]&8){Gl=249;break m}ld=c[Zk>>2]|0;hj=c[_k>>2]|0;xa=c[$k>>2]|0;gj=c[al>>2]|0;fj=(c[Wk>>2]|0)+1-hj+xa-gj|0;c[Pi>>2]=c[Yk>>2];c[Pi+4>>2]=ld;c[Pi+8>>2]=fj;c[Pi+12>>2]=1-hj+xa-gj+ij;c[Qi>>2]=210;c[i>>2]=c[Pi>>2];c[i+4>>2]=c[Pi+4>>2];c[i+8>>2]=c[Pi+8>>2];c[i+12>>2]=c[Pi+12>>2];c[h>>2]=c[Qi>>2];mm(b,i,43,h);l=g;return}while(0);Bh=c[Zk>>2]|0;se=c[_k>>2]|0;re=c[$k>>2]|0;ij=c[al>>2]|0;gj=(c[Wk>>2]|0)+1-se+re-ij|0;c[Ph>>2]=c[Yk>>2];c[Ph+4>>2]=Bh;c[Ph+8>>2]=gj;c[Ph+12>>2]=1-se+re-ij+ka;c[Qh>>2]=206;c[i>>2]=c[Ph>>2];c[i+4>>2]=c[Ph+4>>2];c[i+8>>2]=c[Ph+8>>2];c[i+12>>2]=c[Ph+12>>2];c[h>>2]=c[Qh>>2];mm(b,i,43,h);l=g;return}ij=Bm+12|0;c[Vk>>2]=ij;re=a[ij>>0]|0;if(re<<24>>24!=109){on=re;Gl=254;break m}re=Bm+13|0;c[Vk>>2]=re;ij=a[re>>0]|0;if(ij<<24>>24!=119){on=ij;Gl=254;break m}ij=Bm+14|0;c[Vk>>2]=ij;re=a[ij>>0]|0;switch(re<<24>>24){case 46:{ij=Bm+15|0;c[Vk>>2]=ij;se=a[ij>>0]|0;switch(se<<24>>24){case 97:{ij=Bm+16|0;c[Vk>>2]=ij;gj=a[ij>>0]|0;switch(gj<<24>>24){case 100:{ij=Bm+17|0;c[Vk>>2]=ij;Bh=a[ij>>0]|0;if(Bh<<24>>24!=100){on=Bh;Gl=254;break m}Bh=Bm+18|0;c[Vk>>2]=Bh;if(a[17798+(d[Bh>>0]|0)>>0]&8){Gl=249;break m}ij=c[Zk>>2]|0;xa=c[_k>>2]|0;hj=c[$k>>2]|0;fj=c[al>>2]|0;ld=(c[Wk>>2]|0)+1-xa+hj-fj|0;c[Hi>>2]=c[Yk>>2];c[Hi+4>>2]=ij;c[Hi+8>>2]=ld;c[Hi+12>>2]=1-xa+hj-fj+Bh;c[Ii>>2]=213;c[i>>2]=c[Hi>>2];c[i+4>>2]=c[Hi+4>>2];c[i+8>>2]=c[Hi+8>>2];c[i+12>>2]=c[Hi+12>>2];c[h>>2]=c[Ii>>2];mm(b,i,41,h);l=g;return}case 110:{Bh=Bm+17|0;c[Vk>>2]=Bh;fj=a[Bh>>0]|0;if(fj<<24>>24!=100){on=fj;Gl=254;break m}fj=Bm+18|0;c[Vk>>2]=fj;if(a[17798+(d[fj>>0]|0)>>0]&8){Gl=249;break m}Bh=c[Zk>>2]|0;hj=c[_k>>2]|0;xa=c[$k>>2]|0;ld=c[al>>2]|0;ij=(c[Wk>>2]|0)+1-hj+xa-ld|0;c[Ji>>2]=c[Yk>>2];c[Ji+4>>2]=Bh;c[Ji+8>>2]=ij;c[Ji+12>>2]=1-hj+xa-ld+fj;c[Ki>>2]=227;c[i>>2]=c[Ji>>2];c[i+4>>2]=c[Ji+4>>2];c[i+8>>2]=c[Ji+8>>2];c[i+12>>2]=c[Ji+12>>2];c[h>>2]=c[Ki>>2];mm(b,i,41,h);l=g;return}default:{on=gj;Gl=254;break m}}break}case 99:{gj=Bm+16|0;c[Vk>>2]=gj;fj=a[gj>>0]|0;if(fj<<24>>24!=109){on=fj;Gl=254;break m}fj=Bm+17|0;c[Vk>>2]=fj;gj=a[fj>>0]|0;if(gj<<24>>24!=112){on=gj;Gl=254;break m}gj=Bm+18|0;c[Vk>>2]=gj;fj=a[gj>>0]|0;if(fj<<24>>24!=120){on=fj;Gl=254;break m}fj=Bm+19|0;c[Vk>>2]=fj;gj=a[fj>>0]|0;if(gj<<24>>24!=99){on=gj;Gl=254;break m}gj=Bm+20|0;c[Vk>>2]=gj;fj=a[gj>>0]|0;if(fj<<24>>24!=104){on=fj;Gl=254;break m}fj=Bm+21|0;c[Vk>>2]=fj;gj=a[fj>>0]|0;if(gj<<24>>24!=103){on=gj;Gl=254;break m}gj=Bm+22|0;c[Vk>>2]=gj;if(a[17798+(d[gj>>0]|0)>>0]&8){Gl=249;break m}fj=c[Zk>>2]|0;ld=c[_k>>2]|0;xa=c[$k>>2]|0;hj=c[al>>2]|0;ij=(c[Wk>>2]|0)+1-ld+xa-hj|0;c[jk>>2]=c[Yk>>2];c[jk+4>>2]=fj;c[jk+8>>2]=ij;c[jk+12>>2]=1-ld+xa-hj+gj;c[kk>>2]=255;c[i>>2]=c[jk>>2];c[i+4>>2]=c[jk+4>>2];c[i+8>>2]=c[jk+8>>2];c[i+12>>2]=c[jk+12>>2];c[h>>2]=c[kk>>2];mm(b,i,42,h);l=g;return}case 111:{gj=Bm+16|0;c[Vk>>2]=gj;hj=a[gj>>0]|0;if(hj<<24>>24!=114){on=hj;Gl=254;break m}hj=Bm+17|0;c[Vk>>2]=hj;if(a[17798+(d[hj>>0]|0)>>0]&8){Gl=249;break m}gj=c[Zk>>2]|0;xa=c[_k>>2]|0;ld=c[$k>>2]|0;ij=c[al>>2]|0;fj=(c[Wk>>2]|0)+1-xa+ld-ij|0;c[pi>>2]=c[Yk>>2];c[pi+4>>2]=gj;c[pi+8>>2]=fj;c[pi+12>>2]=1-xa+ld-ij+hj;c[qi>>2]=234;c[i>>2]=c[pi>>2];c[i+4>>2]=c[pi+4>>2];c[i+8>>2]=c[pi+8>>2];c[i+12>>2]=c[pi+12>>2];c[h>>2]=c[qi>>2];mm(b,i,41,h);l=g;return}case 115:{hj=Bm+16|0;c[Vk>>2]=hj;ij=a[hj>>0]|0;if(ij<<24>>24!=117){on=ij;Gl=254;break m}ij=Bm+17|0;c[Vk>>2]=ij;hj=a[ij>>0]|0;if(hj<<24>>24!=98){on=hj;Gl=254;break m}hj=Bm+18|0;c[Vk>>2]=hj;if(a[17798+(d[hj>>0]|0)>>0]&8){Gl=249;break m}ij=c[Zk>>2]|0;ld=c[_k>>2]|0;xa=c[$k>>2]|0;fj=c[al>>2]|0;gj=(c[Wk>>2]|0)+1-ld+xa-fj|0;c[Li>>2]=c[Yk>>2];c[Li+4>>2]=ij;c[Li+8>>2]=gj;c[Li+12>>2]=1-ld+xa-fj+hj;c[Mi>>2]=220;c[i>>2]=c[Li>>2];c[i+4>>2]=c[Li+4>>2];c[i+8>>2]=c[Li+8>>2];c[i+12>>2]=c[Li+12>>2];c[h>>2]=c[Mi>>2];mm(b,i,41,h);l=g;return}case 120:{hj=Bm+16|0;c[Vk>>2]=hj;fj=a[hj>>0]|0;switch(fj<<24>>24){case 99:break;case 111:{hj=Bm+17|0;c[Vk>>2]=hj;xa=a[hj>>0]|0;if(xa<<24>>24!=114){on=xa;Gl=254;break m}xa=Bm+18|0;c[Vk>>2]=xa;if(a[17798+(d[xa>>0]|0)>>0]&8){Gl=249;break m}hj=c[Zk>>2]|0;ld=c[_k>>2]|0;gj=c[$k>>2]|0;ij=c[al>>2]|0;Bh=(c[Wk>>2]|0)+1-ld+gj-ij|0;c[Ni>>2]=c[Yk>>2];c[Ni+4>>2]=hj;c[Ni+8>>2]=Bh;c[Ni+12>>2]=1-ld+gj-ij+xa;c[Oi>>2]=241;c[i>>2]=c[Ni>>2];c[i+4>>2]=c[Ni+4>>2];c[i+8>>2]=c[Ni+8>>2];c[i+12>>2]=c[Ni+12>>2];c[h>>2]=c[Oi>>2];mm(b,i,41,h);l=g;return}default:{on=fj;Gl=254;break m}}fj=Bm+17|0;c[Vk>>2]=fj;xa=a[fj>>0]|0;if(xa<<24>>24!=104){on=xa;Gl=254;break m}xa=Bm+18|0;c[Vk>>2]=xa;fj=a[xa>>0]|0;if(fj<<24>>24!=103){on=fj;Gl=254;break m}fj=Bm+19|0;c[Vk>>2]=fj;if(a[17798+(d[fj>>0]|0)>>0]&8){Gl=249;break m}xa=c[Zk>>2]|0;ij=c[_k>>2]|0;gj=c[$k>>2]|0;ld=c[al>>2]|0;Bh=(c[Wk>>2]|0)+1-ij+gj-ld|0;c[nj>>2]=c[Yk>>2];c[nj+4>>2]=xa;c[nj+8>>2]=Bh;c[nj+12>>2]=1-ij+gj-ld+fj;c[oj>>2]=248;c[i>>2]=c[nj>>2];c[i+4>>2]=c[nj+4>>2];c[i+8>>2]=c[nj+8>>2];c[i+12>>2]=c[nj+12>>2];c[h>>2]=c[oj>>2];mm(b,i,41,h);l=g;return}default:{on=se;Gl=254;break m}}break}case 49:{se=Bm+15|0;c[Vk>>2]=se;fj=a[se>>0]|0;if(fj<<24>>24!=54){on=fj;Gl=254;break m}fj=Bm+16|0;c[Vk>>2]=fj;se=a[fj>>0]|0;if(se<<24>>24!=95){on=se;Gl=254;break m}se=Bm+17|0;c[Vk>>2]=se;fj=a[se>>0]|0;if(fj<<24>>24!=117){on=fj;Gl=254;break m}fj=Bm+18|0;c[Vk>>2]=fj;se=a[fj>>0]|0;if(se<<24>>24!=46){on=se;Gl=254;break m}se=Bm+19|0;c[Vk>>2]=se;fj=a[se>>0]|0;switch(fj<<24>>24){case 97:{se=Bm+20|0;c[Vk>>2]=se;ld=a[se>>0]|0;switch(ld<<24>>24){case 100:{se=Bm+21|0;c[Vk>>2]=se;gj=a[se>>0]|0;if(gj<<24>>24!=100){on=gj;Gl=254;break m}gj=Bm+22|0;c[Vk>>2]=gj;if(a[17798+(d[gj>>0]|0)>>0]&8){Gl=249;break m}se=c[Zk>>2]|0;ij=c[_k>>2]|0;Bh=c[$k>>2]|0;xa=c[al>>2]|0;hj=(c[Wk>>2]|0)+1-ij+Bh-xa|0;c[lk>>2]=c[Yk>>2];c[lk+4>>2]=se;c[lk+8>>2]=hj;c[lk+12>>2]=1-ij+Bh-xa+gj;c[mk>>2]=217;c[i>>2]=c[lk>>2];c[i+4>>2]=c[lk+4>>2];c[i+8>>2]=c[lk+8>>2];c[i+12>>2]=c[lk+12>>2];c[h>>2]=c[mk>>2];mm(b,i,41,h);l=g;return}case 110:{gj=Bm+21|0;c[Vk>>2]=gj;xa=a[gj>>0]|0;if(xa<<24>>24!=100){on=xa;Gl=254;break m}xa=Bm+22|0;c[Vk>>2]=xa;if(a[17798+(d[xa>>0]|0)>>0]&8){Gl=249;break m}gj=c[Zk>>2]|0;Bh=c[_k>>2]|0;ij=c[$k>>2]|0;hj=c[al>>2]|0;se=(c[Wk>>2]|0)+1-Bh+ij-hj|0;c[nk>>2]=c[Yk>>2];c[nk+4>>2]=gj;c[nk+8>>2]=se;c[nk+12>>2]=1-Bh+ij-hj+xa;c[ok>>2]=231;c[i>>2]=c[nk>>2];c[i+4>>2]=c[nk+4>>2];c[i+8>>2]=c[nk+8>>2];c[i+12>>2]=c[nk+12>>2];c[h>>2]=c[ok>>2];mm(b,i,41,h);l=g;return}default:{on=ld;Gl=254;break m}}break}case 99:{ld=Bm+20|0;c[Vk>>2]=ld;xa=a[ld>>0]|0;if(xa<<24>>24!=109){on=xa;Gl=254;break m}xa=Bm+21|0;c[Vk>>2]=xa;ld=a[xa>>0]|0;if(ld<<24>>24!=112){on=ld;Gl=254;break m}ld=Bm+22|0;c[Vk>>2]=ld;xa=a[ld>>0]|0;if(xa<<24>>24!=120){on=xa;Gl=254;break m}xa=Bm+23|0;c[Vk>>2]=xa;ld=a[xa>>0]|0;if(ld<<24>>24!=99){on=ld;Gl=254;break m}ld=Bm+24|0;c[Vk>>2]=ld;xa=a[ld>>0]|0;if(xa<<24>>24!=104){on=xa;Gl=254;break m}xa=Bm+25|0;c[Vk>>2]=xa;ld=a[xa>>0]|0;if(ld<<24>>24!=103){on=ld;Gl=254;break m}ld=Bm+26|0;c[Vk>>2]=ld;if(a[17798+(d[ld>>0]|0)>>0]&8){Gl=249;break m}xa=c[Zk>>2]|0;hj=c[_k>>2]|0;ij=c[$k>>2]|0;Bh=c[al>>2]|0;se=(c[Wk>>2]|0)+1-hj+ij-Bh|0;c[Pk>>2]=c[Yk>>2];c[Pk+4>>2]=xa;c[Pk+8>>2]=se;c[Pk+12>>2]=1-hj+ij-Bh+ld;c[Qk>>2]=259;c[i>>2]=c[Pk>>2];c[i+4>>2]=c[Pk+4>>2];c[i+8>>2]=c[Pk+8>>2];c[i+12>>2]=c[Pk+12>>2];c[h>>2]=c[Qk>>2];mm(b,i,42,h);l=g;return}case 111:{ld=Bm+20|0;c[Vk>>2]=ld;Bh=a[ld>>0]|0;if(Bh<<24>>24!=114){on=Bh;Gl=254;break m}Bh=Bm+21|0;c[Vk>>2]=Bh;if(a[17798+(d[Bh>>0]|0)>>0]&8){Gl=249;break m}ld=c[Zk>>2]|0;ij=c[_k>>2]|0;hj=c[$k>>2]|0;se=c[al>>2]|0;xa=(c[Wk>>2]|0)+1-ij+hj-se|0;c[Nj>>2]=c[Yk>>2];c[Nj+4>>2]=ld;c[Nj+8>>2]=xa;c[Nj+12>>2]=1-ij+hj-se+Bh;c[Oj>>2]=238;c[i>>2]=c[Nj>>2];c[i+4>>2]=c[Nj+4>>2];c[i+8>>2]=c[Nj+8>>2];c[i+12>>2]=c[Nj+12>>2];c[h>>2]=c[Oj>>2];mm(b,i,41,h);l=g;return}case 115:{Bh=Bm+20|0;c[Vk>>2]=Bh;se=a[Bh>>0]|0;if(se<<24>>24!=117){on=se;Gl=254;break m}se=Bm+21|0;c[Vk>>2]=se;Bh=a[se>>0]|0;if(Bh<<24>>24!=98){on=Bh;Gl=254;break m}Bh=Bm+22|0;c[Vk>>2]=Bh;if(a[17798+(d[Bh>>0]|0)>>0]&8){Gl=249;break m}se=c[Zk>>2]|0;hj=c[_k>>2]|0;ij=c[$k>>2]|0;xa=c[al>>2]|0;ld=(c[Wk>>2]|0)+1-hj+ij-xa|0;c[pk>>2]=c[Yk>>2];c[pk+4>>2]=se;c[pk+8>>2]=ld;c[pk+12>>2]=1-hj+ij-xa+Bh;c[qk>>2]=224;c[i>>2]=c[pk>>2];c[i+4>>2]=c[pk+4>>2];c[i+8>>2]=c[pk+8>>2];c[i+12>>2]=c[pk+12>>2];c[h>>2]=c[qk>>2];mm(b,i,41,h);l=g;return}case 120:{Bh=Bm+20|0;c[Vk>>2]=Bh;xa=a[Bh>>0]|0;switch(xa<<24>>24){case 99:break;case 111:{Bh=Bm+21|0;c[Vk>>2]=Bh;ij=a[Bh>>0]|0;if(ij<<24>>24!=114){on=ij;Gl=254;break m}ij=Bm+22|0;c[Vk>>2]=ij;if(a[17798+(d[ij>>0]|0)>>0]&8){Gl=249;break m}Bh=c[Zk>>2]|0;hj=c[_k>>2]|0;ld=c[$k>>2]|0;se=c[al>>2]|0;gj=(c[Wk>>2]|0)+1-hj+ld-se|0;c[rk>>2]=c[Yk>>2];c[rk+4>>2]=Bh;c[rk+8>>2]=gj;c[rk+12>>2]=1-hj+ld-se+ij;c[sk>>2]=245;c[i>>2]=c[rk>>2];c[i+4>>2]=c[rk+4>>2];c[i+8>>2]=c[rk+8>>2];c[i+12>>2]=c[rk+12>>2];c[h>>2]=c[sk>>2];mm(b,i,41,h);l=g;return}default:{on=xa;Gl=254;break m}}xa=Bm+21|0;c[Vk>>2]=xa;ij=a[xa>>0]|0;if(ij<<24>>24!=104){on=ij;Gl=254;break m}ij=Bm+22|0;c[Vk>>2]=ij;xa=a[ij>>0]|0;if(xa<<24>>24!=103){on=xa;Gl=254;break m}xa=Bm+23|0;c[Vk>>2]=xa;if(a[17798+(d[xa>>0]|0)>>0]&8){Gl=249;break m}ij=c[Zk>>2]|0;se=c[_k>>2]|0;ld=c[$k>>2]|0;hj=c[al>>2]|0;gj=(c[Wk>>2]|0)+1-se+ld-hj|0;c[Fk>>2]=c[Yk>>2];c[Fk+4>>2]=ij;c[Fk+8>>2]=gj;c[Fk+12>>2]=1-se+ld-hj+xa;c[Gk>>2]=252;c[i>>2]=c[Fk>>2];c[i+4>>2]=c[Fk+4>>2];c[i+8>>2]=c[Fk+8>>2];c[i+12>>2]=c[Fk+12>>2];c[h>>2]=c[Gk>>2];mm(b,i,41,h);l=g;return}default:{on=fj;Gl=254;break m}}break}case 51:{fj=Bm+15|0;c[Vk>>2]=fj;xa=a[fj>>0]|0;if(xa<<24>>24!=50){on=xa;Gl=254;break m}xa=Bm+16|0;c[Vk>>2]=xa;fj=a[xa>>0]|0;if(fj<<24>>24!=95){on=fj;Gl=254;break m}fj=Bm+17|0;c[Vk>>2]=fj;xa=a[fj>>0]|0;if(xa<<24>>24!=117){on=xa;Gl=254;break m}xa=Bm+18|0;c[Vk>>2]=xa;fj=a[xa>>0]|0;if(fj<<24>>24!=46){on=fj;Gl=254;break m}fj=Bm+19|0;c[Vk>>2]=fj;xa=a[fj>>0]|0;switch(xa<<24>>24){case 97:{fj=Bm+20|0;c[Vk>>2]=fj;hj=a[fj>>0]|0;switch(hj<<24>>24){case 100:{fj=Bm+21|0;c[Vk>>2]=fj;ld=a[fj>>0]|0;if(ld<<24>>24!=100){on=ld;Gl=254;break m}ld=Bm+22|0;c[Vk>>2]=ld;if(a[17798+(d[ld>>0]|0)>>0]&8){Gl=249;break m}fj=c[Zk>>2]|0;se=c[_k>>2]|0;gj=c[$k>>2]|0;ij=c[al>>2]|0;Bh=(c[Wk>>2]|0)+1-se+gj-ij|0;c[tk>>2]=c[Yk>>2];c[tk+4>>2]=fj;c[tk+8>>2]=Bh;c[tk+12>>2]=1-se+gj-ij+ld;c[uk>>2]=218;c[i>>2]=c[tk>>2];c[i+4>>2]=c[tk+4>>2];c[i+8>>2]=c[tk+8>>2];c[i+12>>2]=c[tk+12>>2];c[h>>2]=c[uk>>2];mm(b,i,41,h);l=g;return}case 110:{ld=Bm+21|0;c[Vk>>2]=ld;ij=a[ld>>0]|0;if(ij<<24>>24!=100){on=ij;Gl=254;break m}ij=Bm+22|0;c[Vk>>2]=ij;if(a[17798+(d[ij>>0]|0)>>0]&8){Gl=249;break m}ld=c[Zk>>2]|0;gj=c[_k>>2]|0;se=c[$k>>2]|0;Bh=c[al>>2]|0;fj=(c[Wk>>2]|0)+1-gj+se-Bh|0;c[vk>>2]=c[Yk>>2];c[vk+4>>2]=ld;c[vk+8>>2]=fj;c[vk+12>>2]=1-gj+se-Bh+ij;c[wk>>2]=232;c[i>>2]=c[vk>>2];c[i+4>>2]=c[vk+4>>2];c[i+8>>2]=c[vk+8>>2];c[i+12>>2]=c[vk+12>>2];c[h>>2]=c[wk>>2];mm(b,i,41,h);l=g;return}default:{on=hj;Gl=254;break m}}break}case 99:{hj=Bm+20|0;c[Vk>>2]=hj;ij=a[hj>>0]|0;if(ij<<24>>24!=109){on=ij;Gl=254;break m}ij=Bm+21|0;c[Vk>>2]=ij;hj=a[ij>>0]|0;if(hj<<24>>24!=112){on=hj;Gl=254;break m}hj=Bm+22|0;c[Vk>>2]=hj;ij=a[hj>>0]|0;if(ij<<24>>24!=120){on=ij;Gl=254;break m}ij=Bm+23|0;c[Vk>>2]=ij;hj=a[ij>>0]|0;if(hj<<24>>24!=99){on=hj;Gl=254;break m}hj=Bm+24|0;c[Vk>>2]=hj;ij=a[hj>>0]|0;if(ij<<24>>24!=104){on=ij;Gl=254;break m}ij=Bm+25|0;c[Vk>>2]=ij;hj=a[ij>>0]|0;if(hj<<24>>24!=103){on=hj;Gl=254;break m}hj=Bm+26|0;c[Vk>>2]=hj;if(a[17798+(d[hj>>0]|0)>>0]&8){Gl=249;break m}ij=c[Zk>>2]|0;Bh=c[_k>>2]|0;se=c[$k>>2]|0;gj=c[al>>2]|0;fj=(c[Wk>>2]|0)+1-Bh+se-gj|0;c[Rk>>2]=c[Yk>>2];c[Rk+4>>2]=ij;c[Rk+8>>2]=fj;c[Rk+12>>2]=1-Bh+se-gj+hj;c[Sk>>2]=260;c[i>>2]=c[Rk>>2];c[i+4>>2]=c[Rk+4>>2];c[i+8>>2]=c[Rk+8>>2];c[i+12>>2]=c[Rk+12>>2];c[h>>2]=c[Sk>>2];mm(b,i,42,h);l=g;return}case 111:{hj=Bm+20|0;c[Vk>>2]=hj;gj=a[hj>>0]|0;if(gj<<24>>24!=114){on=gj;Gl=254;break m}gj=Bm+21|0;c[Vk>>2]=gj;if(a[17798+(d[gj>>0]|0)>>0]&8){Gl=249;break m}hj=c[Zk>>2]|0;se=c[_k>>2]|0;Bh=c[$k>>2]|0;fj=c[al>>2]|0;ij=(c[Wk>>2]|0)+1-se+Bh-fj|0;c[Pj>>2]=c[Yk>>2];c[Pj+4>>2]=hj;c[Pj+8>>2]=ij;c[Pj+12>>2]=1-se+Bh-fj+gj;c[Qj>>2]=239;c[i>>2]=c[Pj>>2];c[i+4>>2]=c[Pj+4>>2];c[i+8>>2]=c[Pj+8>>2];c[i+12>>2]=c[Pj+12>>2];c[h>>2]=c[Qj>>2];mm(b,i,41,h);l=g;return}case 115:{gj=Bm+20|0;c[Vk>>2]=gj;fj=a[gj>>0]|0;if(fj<<24>>24!=117){on=fj;Gl=254;break m}fj=Bm+21|0;c[Vk>>2]=fj;gj=a[fj>>0]|0;if(gj<<24>>24!=98){on=gj;Gl=254;break m}gj=Bm+22|0;c[Vk>>2]=gj;if(a[17798+(d[gj>>0]|0)>>0]&8){Gl=249;break m}fj=c[Zk>>2]|0;Bh=c[_k>>2]|0;se=c[$k>>2]|0;ij=c[al>>2]|0;hj=(c[Wk>>2]|0)+1-Bh+se-ij|0;c[xk>>2]=c[Yk>>2];c[xk+4>>2]=fj;c[xk+8>>2]=hj;c[xk+12>>2]=1-Bh+se-ij+gj;c[yk>>2]=225;c[i>>2]=c[xk>>2];c[i+4>>2]=c[xk+4>>2];c[i+8>>2]=c[xk+8>>2];c[i+12>>2]=c[xk+12>>2];c[h>>2]=c[yk>>2];mm(b,i,41,h);l=g;return}case 120:{gj=Bm+20|0;c[Vk>>2]=gj;ij=a[gj>>0]|0;switch(ij<<24>>24){case 99:break;case 111:{gj=Bm+21|0;c[Vk>>2]=gj;se=a[gj>>0]|0;if(se<<24>>24!=114){on=se;Gl=254;break m}se=Bm+22|0;c[Vk>>2]=se;if(a[17798+(d[se>>0]|0)>>0]&8){Gl=249;break m}gj=c[Zk>>2]|0;Bh=c[_k>>2]|0;hj=c[$k>>2]|0;fj=c[al>>2]|0;ld=(c[Wk>>2]|0)+1-Bh+hj-fj|0;c[zk>>2]=c[Yk>>2];c[zk+4>>2]=gj;c[zk+8>>2]=ld;c[zk+12>>2]=1-Bh+hj-fj+se;c[Ak>>2]=246;c[i>>2]=c[zk>>2];c[i+4>>2]=c[zk+4>>2];c[i+8>>2]=c[zk+8>>2];c[i+12>>2]=c[zk+12>>2];c[h>>2]=c[Ak>>2];mm(b,i,41,h);l=g;return}default:{on=ij;Gl=254;break m}}ij=Bm+21|0;c[Vk>>2]=ij;se=a[ij>>0]|0;if(se<<24>>24!=104){on=se;Gl=254;break m}se=Bm+22|0;c[Vk>>2]=se;ij=a[se>>0]|0;if(ij<<24>>24!=103){on=ij;Gl=254;break m}ij=Bm+23|0;c[Vk>>2]=ij;if(a[17798+(d[ij>>0]|0)>>0]&8){Gl=249;break m}se=c[Zk>>2]|0;fj=c[_k>>2]|0;hj=c[$k>>2]|0;Bh=c[al>>2]|0;ld=(c[Wk>>2]|0)+1-fj+hj-Bh|0;c[Hk>>2]=c[Yk>>2];c[Hk+4>>2]=se;c[Hk+8>>2]=ld;c[Hk+12>>2]=1-fj+hj-Bh+ij;c[Ik>>2]=253;c[i>>2]=c[Hk>>2];c[i+4>>2]=c[Hk+4>>2];c[i+8>>2]=c[Hk+8>>2];c[i+12>>2]=c[Hk+12>>2];c[h>>2]=c[Ik>>2];mm(b,i,41,h);l=g;return}default:{on=xa;Gl=254;break m}}break}case 56:{xa=Bm+15|0;c[Vk>>2]=xa;ij=a[xa>>0]|0;if(ij<<24>>24!=95){on=ij;Gl=254;break m}ij=Bm+16|0;c[Vk>>2]=ij;xa=a[ij>>0]|0;if(xa<<24>>24!=117){on=xa;Gl=254;break m}xa=Bm+17|0;c[Vk>>2]=xa;ij=a[xa>>0]|0;if(ij<<24>>24!=46){on=ij;Gl=254;break m}ij=Bm+18|0;c[Vk>>2]=ij;xa=a[ij>>0]|0;switch(xa<<24>>24){case 97:{ij=Bm+19|0;c[Vk>>2]=ij;Bh=a[ij>>0]|0;switch(Bh<<24>>24){case 100:{ij=Bm+20|0;c[Vk>>2]=ij;hj=a[ij>>0]|0;if(hj<<24>>24!=100){on=hj;Gl=254;break m}hj=Bm+21|0;c[Vk>>2]=hj;if(a[17798+(d[hj>>0]|0)>>0]&8){Gl=249;break m}ij=c[Zk>>2]|0;fj=c[_k>>2]|0;ld=c[$k>>2]|0;se=c[al>>2]|0;gj=(c[Wk>>2]|0)+1-fj+ld-se|0;c[Rj>>2]=c[Yk>>2];c[Rj+4>>2]=ij;c[Rj+8>>2]=gj;c[Rj+12>>2]=1-fj+ld-se+hj;c[Sj>>2]=216;c[i>>2]=c[Rj>>2];c[i+4>>2]=c[Rj+4>>2];c[i+8>>2]=c[Rj+8>>2];c[i+12>>2]=c[Rj+12>>2];c[h>>2]=c[Sj>>2];mm(b,i,41,h);l=g;return}case 110:{hj=Bm+20|0;c[Vk>>2]=hj;se=a[hj>>0]|0;if(se<<24>>24!=100){on=se;Gl=254;break m}se=Bm+21|0;c[Vk>>2]=se;if(a[17798+(d[se>>0]|0)>>0]&8){Gl=249;break m}hj=c[Zk>>2]|0;ld=c[_k>>2]|0;fj=c[$k>>2]|0;gj=c[al>>2]|0;ij=(c[Wk>>2]|0)+1-ld+fj-gj|0;c[Tj>>2]=c[Yk>>2];c[Tj+4>>2]=hj;c[Tj+8>>2]=ij;c[Tj+12>>2]=1-ld+fj-gj+se;c[Uj>>2]=230;c[i>>2]=c[Tj>>2];c[i+4>>2]=c[Tj+4>>2];c[i+8>>2]=c[Tj+8>>2];c[i+12>>2]=c[Tj+12>>2];c[h>>2]=c[Uj>>2];mm(b,i,41,h);l=g;return}default:{on=Bh;Gl=254;break m}}break}case 99:{Bh=Bm+19|0;c[Vk>>2]=Bh;se=a[Bh>>0]|0;if(se<<24>>24!=109){on=se;Gl=254;break m}se=Bm+20|0;c[Vk>>2]=se;Bh=a[se>>0]|0;if(Bh<<24>>24!=112){on=Bh;Gl=254;break m}Bh=Bm+21|0;c[Vk>>2]=Bh;se=a[Bh>>0]|0;if(se<<24>>24!=120){on=se;Gl=254;break m}se=Bm+22|0;c[Vk>>2]=se;Bh=a[se>>0]|0;if(Bh<<24>>24!=99){on=Bh;Gl=254;break m}Bh=Bm+23|0;c[Vk>>2]=Bh;se=a[Bh>>0]|0;if(se<<24>>24!=104){on=se;Gl=254;break m}se=Bm+24|0;c[Vk>>2]=se;Bh=a[se>>0]|0;if(Bh<<24>>24!=103){on=Bh;Gl=254;break m}Bh=Bm+25|0;c[Vk>>2]=Bh;if(a[17798+(d[Bh>>0]|0)>>0]&8){Gl=249;break m}se=c[Zk>>2]|0;gj=c[_k>>2]|0;fj=c[$k>>2]|0;ld=c[al>>2]|0;ij=(c[Wk>>2]|0)+1-gj+fj-ld|0;c[Lk>>2]=c[Yk>>2];c[Lk+4>>2]=se;c[Lk+8>>2]=ij;c[Lk+12>>2]=1-gj+fj-ld+Bh;c[Mk>>2]=258;c[i>>2]=c[Lk>>2];c[i+4>>2]=c[Lk+4>>2];c[i+8>>2]=c[Lk+8>>2];c[i+12>>2]=c[Lk+12>>2];c[h>>2]=c[Mk>>2];mm(b,i,42,h);l=g;return}case 111:{Bh=Bm+19|0;c[Vk>>2]=Bh;ld=a[Bh>>0]|0;if(ld<<24>>24!=114){on=ld;Gl=254;break m}ld=Bm+20|0;c[Vk>>2]=ld;if(a[17798+(d[ld>>0]|0)>>0]&8){Gl=249;break m}Bh=c[Zk>>2]|0;fj=c[_k>>2]|0;gj=c[$k>>2]|0;ij=c[al>>2]|0;se=(c[Wk>>2]|0)+1-fj+gj-ij|0;c[Bj>>2]=c[Yk>>2];c[Bj+4>>2]=Bh;c[Bj+8>>2]=se;c[Bj+12>>2]=1-fj+gj-ij+ld;c[Cj>>2]=237;c[i>>2]=c[Bj>>2];c[i+4>>2]=c[Bj+4>>2];c[i+8>>2]=c[Bj+8>>2];c[i+12>>2]=c[Bj+12>>2];c[h>>2]=c[Cj>>2];mm(b,i,41,h);l=g;return}case 115:{ld=Bm+19|0;c[Vk>>2]=ld;ij=a[ld>>0]|0;if(ij<<24>>24!=117){on=ij;Gl=254;break m}ij=Bm+20|0;c[Vk>>2]=ij;ld=a[ij>>0]|0;if(ld<<24>>24!=98){on=ld;Gl=254;break m}ld=Bm+21|0;c[Vk>>2]=ld;if(a[17798+(d[ld>>0]|0)>>0]&8){Gl=249;break m}ij=c[Zk>>2]|0;gj=c[_k>>2]|0;fj=c[$k>>2]|0;se=c[al>>2]|0;Bh=(c[Wk>>2]|0)+1-gj+fj-se|0;c[Vj>>2]=c[Yk>>2];c[Vj+4>>2]=ij;c[Vj+8>>2]=Bh;c[Vj+12>>2]=1-gj+fj-se+ld;c[Wj>>2]=223;c[i>>2]=c[Vj>>2];c[i+4>>2]=c[Vj+4>>2];c[i+8>>2]=c[Vj+8>>2];c[i+12>>2]=c[Vj+12>>2];c[h>>2]=c[Wj>>2];mm(b,i,41,h);l=g;return}case 120:{ld=Bm+19|0;c[Vk>>2]=ld;se=a[ld>>0]|0;switch(se<<24>>24){case 99:break;case 111:{ld=Bm+20|0;c[Vk>>2]=ld;fj=a[ld>>0]|0;if(fj<<24>>24!=114){on=fj;Gl=254;break m}fj=Bm+21|0;c[Vk>>2]=fj;if(a[17798+(d[fj>>0]|0)>>0]&8){Gl=249;break m}ld=c[Zk>>2]|0;gj=c[_k>>2]|0;Bh=c[$k>>2]|0;ij=c[al>>2]|0;hj=(c[Wk>>2]|0)+1-gj+Bh-ij|0;c[Xj>>2]=c[Yk>>2];c[Xj+4>>2]=ld;c[Xj+8>>2]=hj;c[Xj+12>>2]=1-gj+Bh-ij+fj;c[Yj>>2]=244;c[i>>2]=c[Xj>>2];c[i+4>>2]=c[Xj+4>>2];c[i+8>>2]=c[Xj+8>>2];c[i+12>>2]=c[Xj+12>>2];c[h>>2]=c[Yj>>2];mm(b,i,41,h);l=g;return}default:{on=se;Gl=254;break m}}se=Bm+20|0;c[Vk>>2]=se;fj=a[se>>0]|0;if(fj<<24>>24!=104){on=fj;Gl=254;break m}fj=Bm+21|0;c[Vk>>2]=fj;se=a[fj>>0]|0;if(se<<24>>24!=103){on=se;Gl=254;break m}se=Bm+22|0;c[Vk>>2]=se;if(a[17798+(d[se>>0]|0)>>0]&8){Gl=249;break m}fj=c[Zk>>2]|0;ij=c[_k>>2]|0;Bh=c[$k>>2]|0;gj=c[al>>2]|0;hj=(c[Wk>>2]|0)+1-ij+Bh-gj|0;c[Bk>>2]=c[Yk>>2];c[Bk+4>>2]=fj;c[Bk+8>>2]=hj;c[Bk+12>>2]=1-ij+Bh-gj+se;c[Ck>>2]=251;c[i>>2]=c[Bk>>2];c[i+4>>2]=c[Bk+4>>2];c[i+8>>2]=c[Bk+8>>2];c[i+12>>2]=c[Bk+12>>2];c[h>>2]=c[Ck>>2];mm(b,i,41,h);l=g;return}default:{on=xa;Gl=254;break m}}break}default:{on=re;Gl=254;break m}}break}case 99:{re=Bm+5|0;c[Vk>>2]=re;xa=a[re>>0]|0;if((xa&255)<111){if(xa<<24>>24!=108){on=xa;Gl=254;break m}re=Bm+6|0;c[Vk>>2]=re;se=a[re>>0]|0;if(se<<24>>24!=122){on=se;Gl=254;break m}se=Bm+7|0;c[Vk>>2]=se;if(a[17798+(d[se>>0]|0)>>0]&8){Gl=249;break m}re=c[Zk>>2]|0;gj=c[_k>>2]|0;Bh=c[$k>>2]|0;ij=c[al>>2]|0;hj=(c[Wk>>2]|0)+1-gj+Bh-ij|0;c[qd>>2]=c[Yk>>2];c[qd+4>>2]=re;c[qd+8>>2]=hj;c[qd+12>>2]=1-gj+Bh-ij+se;c[rd>>2]=106;c[i>>2]=c[qd>>2];c[i+4>>2]=c[qd+4>>2];c[i+8>>2]=c[qd+8>>2];c[i+12>>2]=c[qd+12>>2];c[h>>2]=c[rd>>2];mm(b,i,76,h);l=g;return}switch(xa<<24>>24){case 111:break;case 116:{se=Bm+6|0;c[Vk>>2]=se;ij=a[se>>0]|0;if(ij<<24>>24!=122){on=ij;Gl=254;break m}ij=Bm+7|0;c[Vk>>2]=ij;if(a[17798+(d[ij>>0]|0)>>0]&8){Gl=249;break m}se=c[Zk>>2]|0;Bh=c[_k>>2]|0;gj=c[$k>>2]|0;hj=c[al>>2]|0;re=(c[Wk>>2]|0)+1-Bh+gj-hj|0;c[sd>>2]=c[Yk>>2];c[sd+4>>2]=se;c[sd+8>>2]=re;c[sd+12>>2]=1-Bh+gj-hj+ij;c[td>>2]=107;c[i>>2]=c[sd>>2];c[i+4>>2]=c[sd+4>>2];c[i+8>>2]=c[sd+8>>2];c[i+12>>2]=c[sd+12>>2];c[h>>2]=c[td>>2];mm(b,i,76,h);l=g;return}default:{on=xa;Gl=254;break m}}xa=Bm+6|0;c[Vk>>2]=xa;ij=a[xa>>0]|0;if(ij<<24>>24!=110){on=ij;Gl=254;break m}ij=Bm+7|0;c[Vk>>2]=ij;xa=a[ij>>0]|0;if(xa<<24>>24!=115){on=xa;Gl=254;break m}xa=Bm+8|0;c[Vk>>2]=xa;ij=a[xa>>0]|0;if(ij<<24>>24!=116){on=ij;Gl=254;break m}ij=Bm+9|0;c[Vk>>2]=ij;if(a[17798+(d[ij>>0]|0)>>0]&8){Gl=249;break m}xa=c[Zk>>2]|0;hj=c[_k>>2]|0;gj=c[$k>>2]|0;Bh=c[al>>2]|0;re=(c[Wk>>2]|0)+1-hj+gj-Bh|0;c[Ef>>2]=c[Yk>>2];c[Ef+4>>2]=xa;c[Ef+8>>2]=re;c[Ef+12>>2]=1-hj+gj-Bh+ij;c[Ff>>2]=51;c[i>>2]=c[Ef>>2];c[i+4>>2]=c[Ef+4>>2];c[i+8>>2]=c[Ef+8>>2];c[i+12>>2]=c[Ef+12>>2];c[h>>2]=c[Ff>>2];mm(b,i,54,h);l=g;return}case 100:{ij=Bm+5|0;c[Vk>>2]=ij;Bh=a[ij>>0]|0;if(Bh<<24>>24!=105){on=Bh;Gl=254;break m}Bh=Bm+6|0;c[Vk>>2]=Bh;ij=a[Bh>>0]|0;if(ij<<24>>24!=118){on=ij;Gl=254;break m}ij=Bm+7|0;c[Vk>>2]=ij;Bh=a[ij>>0]|0;if(Bh<<24>>24!=95){on=Bh;Gl=254;break m}Bh=Bm+8|0;c[Vk>>2]=Bh;ij=a[Bh>>0]|0;switch(ij<<24>>24){case 115:{Bh=Bm+9|0;c[Vk>>2]=Bh;if(a[17798+(d[Bh>>0]|0)>>0]&8){Gl=249;break m}gj=c[Zk>>2]|0;hj=c[_k>>2]|0;re=c[$k>>2]|0;xa=c[al>>2]|0;se=(c[Wk>>2]|0)+1-hj+re-xa|0;c[Gf>>2]=c[Yk>>2];c[Gf+4>>2]=gj;c[Gf+8>>2]=se;c[Gf+12>>2]=1-hj+re-xa+Bh;c[Hf>>2]=112;c[i>>2]=c[Gf>>2];c[i+4>>2]=c[Gf+4>>2];c[i+8>>2]=c[Gf+8>>2];c[i+12>>2]=c[Gf+12>>2];c[h>>2]=c[Hf>>2];mm(b,i,44,h);l=g;return}case 117:{Bh=Bm+9|0;c[Vk>>2]=Bh;if(a[17798+(d[Bh>>0]|0)>>0]&8){Gl=249;break m}xa=c[Zk>>2]|0;re=c[_k>>2]|0;hj=c[$k>>2]|0;se=c[al>>2]|0;gj=(c[Wk>>2]|0)+1-re+hj-se|0;c[If>>2]=c[Yk>>2];c[If+4>>2]=xa;c[If+8>>2]=gj;c[If+12>>2]=1-re+hj-se+Bh;c[Jf>>2]=113;c[i>>2]=c[If>>2];c[i+4>>2]=c[If+4>>2];c[i+8>>2]=c[If+8>>2];c[i+12>>2]=c[If+12>>2];c[h>>2]=c[Jf>>2];mm(b,i,44,h);l=g;return}default:{on=ij;Gl=254;break m}}break}case 101:{ij=Bm+5|0;c[Vk>>2]=ij;Bh=a[ij>>0]|0;switch(Bh<<24>>24){case 113:{ij=Bm+6|0;c[Vk>>2]=ij;se=a[ij>>0]|0;hj=ij;do if((se&255)<42)if((se&255)<34)if(se<<24>>24==33){Gl=249;break m}else break;else if(se<<24>>24!=34&(se&255)<40){Gl=249;break m}else break;else{if((se&255)<122)if(se<<24>>24==59)break;else{Gl=249;break m}if(se<<24>>24!=122)if((se&255)<127){Gl=249;break m}else break;ij=Bm+7|0;c[Vk>>2]=ij;if(a[17798+(d[ij>>0]|0)>>0]&8){Gl=249;break m}re=c[Zk>>2]|0;gj=c[_k>>2]|0;xa=c[$k>>2]|0;fj=c[al>>2]|0;ld=(c[Wk>>2]|0)+1-gj+xa-fj|0;c[ud>>2]=c[Yk>>2];c[ud+4>>2]=re;c[ud+8>>2]=ld;c[ud+12>>2]=1-gj+xa-fj+ij;c[vd>>2]=65;c[i>>2]=c[ud>>2];c[i+4>>2]=c[ud+4>>2];c[i+8>>2]=c[ud+8>>2];c[i+12>>2]=c[ud+12>>2];c[h>>2]=c[vd>>2];mm(b,i,55,h);l=g;return}while(0);se=c[Zk>>2]|0;ka=c[_k>>2]|0;ij=c[$k>>2]|0;fj=c[al>>2]|0;xa=(c[Wk>>2]|0)+1-ka+ij-fj|0;c[Vb>>2]=c[Yk>>2];c[Vb+4>>2]=se;c[Vb+8>>2]=xa;c[Vb+12>>2]=1-ka+ij-fj+hj;c[Wb>>2]=66;c[i>>2]=c[Vb>>2];c[i+4>>2]=c[Vb+4>>2];c[i+8>>2]=c[Vb+8>>2];c[i+12>>2]=c[Vb+12>>2];c[h>>2]=c[Wb>>2];mm(b,i,53,h);l=g;return}case 120:break;default:{on=Bh;Gl=254;break m}}fj=Bm+6|0;c[Vk>>2]=fj;ij=a[fj>>0]|0;if(ij<<24>>24!=116){on=ij;Gl=254;break m}ij=Bm+7|0;c[Vk>>2]=ij;fj=a[ij>>0]|0;if(fj<<24>>24!=101){on=fj;Gl=254;break m}fj=Bm+8|0;c[Vk>>2]=fj;ij=a[fj>>0]|0;if(ij<<24>>24!=110){on=ij;Gl=254;break m}ij=Bm+9|0;c[Vk>>2]=ij;fj=a[ij>>0]|0;if(fj<<24>>24!=100){on=fj;Gl=254;break m}fj=Bm+10|0;c[Vk>>2]=fj;ij=a[fj>>0]|0;if((ij&255)<52){if(ij<<24>>24==49){fj=Bm+11|0;c[Vk>>2]=fj;ka=a[fj>>0]|0;if(ka<<24>>24!=54){on=ka;Gl=254;break m}ka=Bm+12|0;c[Vk>>2]=ka;fj=a[ka>>0]|0;if(fj<<24>>24!=95){on=fj;Gl=254;break m}fj=Bm+13|0;c[Vk>>2]=fj;ka=a[fj>>0]|0;if(ka<<24>>24!=115){on=ka;Gl=254;break m}ka=Bm+14|0;c[Vk>>2]=ka;if(a[17798+(d[ka>>0]|0)>>0]&8){Gl=249;break m}fj=c[Zk>>2]|0;xa=c[_k>>2]|0;se=c[$k>>2]|0;gj=c[al>>2]|0;ld=(c[Wk>>2]|0)+1-xa+se-gj|0;c[mh>>2]=c[Yk>>2];c[mh+4>>2]=fj;c[mh+8>>2]=ld;c[mh+12>>2]=1-xa+se-gj+ka;c[nh>>2]=180;c[i>>2]=c[mh>>2];c[i+4>>2]=c[mh+4>>2];c[i+8>>2]=c[mh+8>>2];c[i+12>>2]=c[mh+12>>2];c[h>>2]=c[nh>>2];mm(b,i,76,h);l=g;return}if((ij&255)<51){on=ij;Gl=254;break m}ka=Bm+11|0;c[Vk>>2]=ka;gj=a[ka>>0]|0;if(gj<<24>>24!=50){on=gj;Gl=254;break m}gj=Bm+12|0;c[Vk>>2]=gj;ka=a[gj>>0]|0;if(ka<<24>>24!=95){on=ka;Gl=254;break m}ka=Bm+13|0;c[Vk>>2]=ka;gj=a[ka>>0]|0;if(gj<<24>>24!=115){on=gj;Gl=254;break m}gj=Bm+14|0;c[Vk>>2]=gj;if(a[17798+(d[gj>>0]|0)>>0]&8){Gl=249;break m}ka=c[Zk>>2]|0;se=c[_k>>2]|0;xa=c[$k>>2]|0;ld=c[al>>2]|0;fj=(c[Wk>>2]|0)+1-se+xa-ld|0;c[oh>>2]=c[Yk>>2];c[oh+4>>2]=ka;c[oh+8>>2]=fj;c[oh+12>>2]=1-se+xa-ld+gj;c[ph>>2]=181;c[i>>2]=c[oh>>2];c[i+4>>2]=c[oh+4>>2];c[i+8>>2]=c[oh+8>>2];c[i+12>>2]=c[oh+12>>2];c[h>>2]=c[ph>>2];mm(b,i,76,h);l=g;return}if((ij&255)<57){if(ij<<24>>24!=56){on=ij;Gl=254;break m}gj=Bm+11|0;c[Vk>>2]=gj;ld=a[gj>>0]|0;if(ld<<24>>24!=95){on=ld;Gl=254;break m}ld=Bm+12|0;c[Vk>>2]=ld;gj=a[ld>>0]|0;if(gj<<24>>24!=115){on=gj;Gl=254;break m}gj=Bm+13|0;c[Vk>>2]=gj;if(a[17798+(d[gj>>0]|0)>>0]&8){Gl=249;break m}ld=c[Zk>>2]|0;xa=c[_k>>2]|0;se=c[$k>>2]|0;fj=c[al>>2]|0;ka=(c[Wk>>2]|0)+1-xa+se-fj|0;c[dh>>2]=c[Yk>>2];c[dh+4>>2]=ld;c[dh+8>>2]=ka;c[dh+12>>2]=1-xa+se-fj+gj;c[eh>>2]=179;c[i>>2]=c[dh>>2];c[i+4>>2]=c[dh+4>>2];c[i+8>>2]=c[dh+8>>2];c[i+12>>2]=c[dh+12>>2];c[h>>2]=c[eh>>2];mm(b,i,76,h);l=g;return}if(ij<<24>>24!=95){on=ij;Gl=254;break m}ij=Bm+11|0;c[Vk>>2]=ij;gj=a[ij>>0]|0;switch(gj<<24>>24){case 115:{ij=Bm+12|0;c[Vk>>2]=ij;fj=a[ij>>0]|0;if(fj<<24>>24!=47){on=fj;Gl=254;break m}fj=Bm+13|0;c[Vk>>2]=fj;ij=a[fj>>0]|0;if(ij<<24>>24!=105){on=ij;Gl=254;break m}ij=Bm+14|0;c[Vk>>2]=ij;fj=a[ij>>0]|0;if(fj<<24>>24!=51){on=fj;Gl=254;break m}fj=Bm+15|0;c[Vk>>2]=fj;ij=a[fj>>0]|0;if(ij<<24>>24!=50){on=ij;Gl=254;break m}ij=Bm+16|0;c[Vk>>2]=ij;if(a[17798+(d[ij>>0]|0)>>0]&8){Gl=249;break m}fj=c[Zk>>2]|0;se=c[_k>>2]|0;xa=c[$k>>2]|0;ka=c[al>>2]|0;ld=(c[Wk>>2]|0)+1-se+xa-ka|0;c[Rh>>2]=c[Yk>>2];c[Rh+4>>2]=fj;c[Rh+8>>2]=ld;c[Rh+12>>2]=1-se+xa-ka+ij;c[Sh>>2]=157;c[i>>2]=c[Rh>>2];c[i+4>>2]=c[Rh+4>>2];c[i+8>>2]=c[Rh+8>>2];c[i+12>>2]=c[Rh+12>>2];c[h>>2]=c[Sh>>2];mm(b,i,55,h);l=g;return}case 117:{ij=Bm+12|0;c[Vk>>2]=ij;ka=a[ij>>0]|0;if(ka<<24>>24!=47){on=ka;Gl=254;break m}ka=Bm+13|0;c[Vk>>2]=ka;ij=a[ka>>0]|0;if(ij<<24>>24!=105){on=ij;Gl=254;break m}ij=Bm+14|0;c[Vk>>2]=ij;ka=a[ij>>0]|0;if(ka<<24>>24!=51){on=ka;Gl=254;break m}ka=Bm+15|0;c[Vk>>2]=ka;ij=a[ka>>0]|0;if(ij<<24>>24!=50){on=ij;Gl=254;break m}ij=Bm+16|0;c[Vk>>2]=ij;if(a[17798+(d[ij>>0]|0)>>0]&8){Gl=249;break m}ka=c[Zk>>2]|0;xa=c[_k>>2]|0;se=c[$k>>2]|0;ld=c[al>>2]|0;fj=(c[Wk>>2]|0)+1-xa+se-ld|0;c[Th>>2]=c[Yk>>2];c[Th+4>>2]=ka;c[Th+8>>2]=fj;c[Th+12>>2]=1-xa+se-ld+ij;c[Uh>>2]=158;c[i>>2]=c[Th>>2];c[i+4>>2]=c[Th+4>>2];c[i+8>>2]=c[Th+8>>2];c[i+12>>2]=c[Th+12>>2];c[h>>2]=c[Uh>>2];mm(b,i,55,h);l=g;return}default:{on=gj;Gl=254;break m}}break}case 103:{gj=Bm+5|0;c[Vk>>2]=gj;ij=a[gj>>0]|0;switch(ij<<24>>24){case 101:{gj=Bm+6|0;c[Vk>>2]=gj;ld=a[gj>>0]|0;if(ld<<24>>24!=95){on=ld;Gl=254;break m}ld=Bm+7|0;c[Vk>>2]=ld;gj=a[ld>>0]|0;switch(gj<<24>>24){case 115:{ld=Bm+8|0;c[Vk>>2]=ld;if(a[17798+(d[ld>>0]|0)>>0]&8){Gl=249;break m}se=c[Zk>>2]|0;xa=c[_k>>2]|0;fj=c[$k>>2]|0;ka=c[al>>2]|0;re=(c[Wk>>2]|0)+1-xa+fj-ka|0;c[te>>2]=c[Yk>>2];c[te+4>>2]=se;c[te+8>>2]=re;c[te+12>>2]=1-xa+fj-ka+ld;c[ue>>2]=74;c[i>>2]=c[te>>2];c[i+4>>2]=c[te+4>>2];c[i+8>>2]=c[te+8>>2];c[i+12>>2]=c[te+12>>2];c[h>>2]=c[ue>>2];mm(b,i,53,h);l=g;return}case 117:{ld=Bm+8|0;c[Vk>>2]=ld;if(a[17798+(d[ld>>0]|0)>>0]&8){Gl=249;break m}ka=c[Zk>>2]|0;fj=c[_k>>2]|0;xa=c[$k>>2]|0;re=c[al>>2]|0;se=(c[Wk>>2]|0)+1-fj+xa-re|0;c[ve>>2]=c[Yk>>2];c[ve+4>>2]=ka;c[ve+8>>2]=se;c[ve+12>>2]=1-fj+xa-re+ld;c[we>>2]=75;c[i>>2]=c[ve>>2];c[i+4>>2]=c[ve+4>>2];c[i+8>>2]=c[ve+8>>2];c[i+12>>2]=c[ve+12>>2];c[h>>2]=c[we>>2];mm(b,i,53,h);l=g;return}default:{on=gj;Gl=254;break m}}break}case 116:{gj=Bm+6|0;c[Vk>>2]=gj;ld=a[gj>>0]|0;if(ld<<24>>24!=95){on=ld;Gl=254;break m}ld=Bm+7|0;c[Vk>>2]=ld;gj=a[ld>>0]|0;switch(gj<<24>>24){case 115:{ld=Bm+8|0;c[Vk>>2]=ld;if(a[17798+(d[ld>>0]|0)>>0]&8){Gl=249;break m}re=c[Zk>>2]|0;xa=c[_k>>2]|0;fj=c[$k>>2]|0;se=c[al>>2]|0;ka=(c[Wk>>2]|0)+1-xa+fj-se|0;c[xe>>2]=c[Yk>>2];c[xe+4>>2]=re;c[xe+8>>2]=ka;c[xe+12>>2]=1-xa+fj-se+ld;c[ye>>2]=70;c[i>>2]=c[xe>>2];c[i+4>>2]=c[xe+4>>2];c[i+8>>2]=c[xe+8>>2];c[i+12>>2]=c[xe+12>>2];c[h>>2]=c[ye>>2];mm(b,i,53,h);l=g;return}case 117:{ld=Bm+8|0;c[Vk>>2]=ld;if(a[17798+(d[ld>>0]|0)>>0]&8){Gl=249;break m}se=c[Zk>>2]|0;fj=c[_k>>2]|0;xa=c[$k>>2]|0;ka=c[al>>2]|0;re=(c[Wk>>2]|0)+1-fj+xa-ka|0;c[ze>>2]=c[Yk>>2];c[ze+4>>2]=se;c[ze+8>>2]=re;c[ze+12>>2]=1-fj+xa-ka+ld;c[Ae>>2]=71;c[i>>2]=c[ze>>2];c[i+4>>2]=c[ze+4>>2];c[i+8>>2]=c[ze+8>>2];c[i+12>>2]=c[ze+12>>2];c[h>>2]=c[Ae>>2];mm(b,i,53,h);l=g;return}default:{on=gj;Gl=254;break m}}break}default:{on=ij;Gl=254;break m}}break}case 108:{ij=Bm+5|0;c[Vk>>2]=ij;gj=a[ij>>0]|0;if((gj&255)<111){if(gj<<24>>24!=101){on=gj;Gl=254;break m}ij=Bm+6|0;c[Vk>>2]=ij;ld=a[ij>>0]|0;if(ld<<24>>24!=95){on=ld;Gl=254;break m}ld=Bm+7|0;c[Vk>>2]=ld;ij=a[ld>>0]|0;switch(ij<<24>>24){case 115:{ld=Bm+8|0;c[Vk>>2]=ld;if(a[17798+(d[ld>>0]|0)>>0]&8){Gl=249;break m}ka=c[Zk>>2]|0;xa=c[_k>>2]|0;fj=c[$k>>2]|0;re=c[al>>2]|0;se=(c[Wk>>2]|0)+1-xa+fj-re|0;c[Be>>2]=c[Yk>>2];c[Be+4>>2]=ka;c[Be+8>>2]=se;c[Be+12>>2]=1-xa+fj-re+ld;c[Ce>>2]=72;c[i>>2]=c[Be>>2];c[i+4>>2]=c[Be+4>>2];c[i+8>>2]=c[Be+8>>2];c[i+12>>2]=c[Be+12>>2];c[h>>2]=c[Ce>>2];mm(b,i,53,h);l=g;return}case 117:{ld=Bm+8|0;c[Vk>>2]=ld;if(a[17798+(d[ld>>0]|0)>>0]&8){Gl=249;break m}re=c[Zk>>2]|0;fj=c[_k>>2]|0;xa=c[$k>>2]|0;se=c[al>>2]|0;ka=(c[Wk>>2]|0)+1-fj+xa-se|0;c[De>>2]=c[Yk>>2];c[De+4>>2]=re;c[De+8>>2]=ka;c[De+12>>2]=1-fj+xa-se+ld;c[Ee>>2]=73;c[i>>2]=c[De>>2];c[i+4>>2]=c[De+4>>2];c[i+8>>2]=c[De+8>>2];c[i+12>>2]=c[De+12>>2];c[h>>2]=c[Ee>>2];mm(b,i,53,h);l=g;return}default:{on=ij;Gl=254;break m}}}switch(gj<<24>>24){case 111:break;case 116:{ij=Bm+6|0;c[Vk>>2]=ij;ld=a[ij>>0]|0;if(ld<<24>>24!=95){on=ld;Gl=254;break m}ld=Bm+7|0;c[Vk>>2]=ld;ij=a[ld>>0]|0;switch(ij<<24>>24){case 115:{ld=Bm+8|0;c[Vk>>2]=ld;if(a[17798+(d[ld>>0]|0)>>0]&8){Gl=249;break m}se=c[Zk>>2]|0;xa=c[_k>>2]|0;fj=c[$k>>2]|0;ka=c[al>>2]|0;re=(c[Wk>>2]|0)+1-xa+fj-ka|0;c[He>>2]=c[Yk>>2];c[He+4>>2]=se;c[He+8>>2]=re;c[He+12>>2]=1-xa+fj-ka+ld;c[Ie>>2]=68;c[i>>2]=c[He>>2];c[i+4>>2]=c[He+4>>2];c[i+8>>2]=c[He+8>>2];c[i+12>>2]=c[He+12>>2];c[h>>2]=c[Ie>>2];mm(b,i,53,h);l=g;return}case 117:{ld=Bm+8|0;c[Vk>>2]=ld;if(a[17798+(d[ld>>0]|0)>>0]&8){Gl=249;break m}ka=c[Zk>>2]|0;fj=c[_k>>2]|0;xa=c[$k>>2]|0;re=c[al>>2]|0;se=(c[Wk>>2]|0)+1-fj+xa-re|0;c[Je>>2]=c[Yk>>2];c[Je+4>>2]=ka;c[Je+8>>2]=se;c[Je+12>>2]=1-fj+xa-re+ld;c[Ke>>2]=69;c[i>>2]=c[Je>>2];c[i+4>>2]=c[Je+4>>2];c[i+8>>2]=c[Je+8>>2];c[i+12>>2]=c[Je+12>>2];c[h>>2]=c[Ke>>2];mm(b,i,53,h);l=g;return}default:{on=ij;Gl=254;break m}}break}default:{on=gj;Gl=254;break m}}gj=Bm+6|0;c[Vk>>2]=gj;ij=a[gj>>0]|0;if(ij<<24>>24!=97){on=ij;Gl=254;break m}ij=Bm+7|0;c[Vk>>2]=ij;gj=a[ij>>0]|0;if(gj<<24>>24!=100){on=gj;Gl=254;break m}gj=Bm+8|0;c[Vk>>2]=gj;ij=a[gj>>0]|0;ld=gj;do if((ij&255)>=50){if((ij&255)>=57)if(ij<<24>>24!=59&(ij&255)<127){Gl=249;break m}else break;if(ij<<24>>24==51){gj=Bm+9|0;c[Vk>>2]=gj;re=a[gj>>0]|0;if(re<<24>>24!=50){on=re;Gl=254;break m}re=Bm+10|0;c[Vk>>2]=re;gj=a[re>>0]|0;if(gj<<24>>24!=95){on=gj;Gl=254;break m}gj=Bm+11|0;c[Vk>>2]=gj;re=a[gj>>0]|0;switch(re<<24>>24){case 115:{gj=Bm+12|0;c[Vk>>2]=gj;if(a[17798+(d[gj>>0]|0)>>0]&8){Gl=249;break m}xa=c[Zk>>2]|0;fj=c[_k>>2]|0;se=c[$k>>2]|0;ka=c[al>>2]|0;Ah=(c[Wk>>2]|0)+1-fj+se-ka|0;c[Wg>>2]=c[Yk>>2];c[Wg+4>>2]=xa;c[Wg+8>>2]=Ah;c[Wg+12>>2]=1-fj+se-ka+gj;c[Xg>>2]=37;c[i>>2]=c[Wg>>2];c[i+4>>2]=c[Wg+4>>2];c[i+8>>2]=c[Wg+8>>2];c[i+12>>2]=c[Wg+12>>2];c[h>>2]=c[Xg>>2];mm(b,i,64,h);l=g;return}case 117:{gj=Bm+12|0;c[Vk>>2]=gj;if(a[17798+(d[gj>>0]|0)>>0]&8){Gl=249;break m}ka=c[Zk>>2]|0;se=c[_k>>2]|0;fj=c[$k>>2]|0;Ah=c[al>>2]|0;xa=(c[Wk>>2]|0)+1-se+fj-Ah|0;c[Yg>>2]=c[Yk>>2];c[Yg+4>>2]=ka;c[Yg+8>>2]=xa;c[Yg+12>>2]=1-se+fj-Ah+gj;c[Zg>>2]=38;c[i>>2]=c[Yg>>2];c[i+4>>2]=c[Yg+4>>2];c[i+8>>2]=c[Yg+8>>2];c[i+12>>2]=c[Yg+12>>2];c[h>>2]=c[Zg>>2];mm(b,i,64,h);l=g;return}default:{on=re;Gl=254;break m}}}else{if((ij&255)<56){Gl=249;break m}re=Bm+9|0;c[Vk>>2]=re;gj=a[re>>0]|0;if(gj<<24>>24!=95){on=gj;Gl=254;break m}gj=Bm+10|0;c[Vk>>2]=gj;re=a[gj>>0]|0;switch(re<<24>>24){case 115:{gj=Bm+11|0;c[Vk>>2]=gj;if(a[17798+(d[gj>>0]|0)>>0]&8){Gl=249;break m}Ah=c[Zk>>2]|0;fj=c[_k>>2]|0;se=c[$k>>2]|0;xa=c[al>>2]|0;ka=(c[Wk>>2]|0)+1-fj+se-xa|0;c[yg>>2]=c[Yk>>2];c[yg+4>>2]=Ah;c[yg+8>>2]=ka;c[yg+12>>2]=1-fj+se-xa+gj;c[zg>>2]=33;c[i>>2]=c[yg>>2];c[i+4>>2]=c[yg+4>>2];c[i+8>>2]=c[yg+8>>2];c[i+12>>2]=c[yg+12>>2];c[h>>2]=c[zg>>2];mm(b,i,64,h);l=g;return}case 117:{gj=Bm+11|0;c[Vk>>2]=gj;if(a[17798+(d[gj>>0]|0)>>0]&8){Gl=249;break m}xa=c[Zk>>2]|0;se=c[_k>>2]|0;fj=c[$k>>2]|0;ka=c[al>>2]|0;Ah=(c[Wk>>2]|0)+1-se+fj-ka|0;c[Ag>>2]=c[Yk>>2];c[Ag+4>>2]=xa;c[Ag+8>>2]=Ah;c[Ag+12>>2]=1-se+fj-ka+gj;c[Bg>>2]=34;c[i>>2]=c[Ag>>2];c[i+4>>2]=c[Ag+4>>2];c[i+8>>2]=c[Ag+8>>2];c[i+12>>2]=c[Ag+12>>2];c[h>>2]=c[Bg>>2];mm(b,i,64,h);l=g;return}default:{on=re;Gl=254;break m}}}}else{if((ij&255)<35)if(ij<<24>>24==33){Gl=249;break m}else break;if((ij&255)<40){Gl=249;break m}if((ij&255)<42)break;if((ij&255)<49){Gl=249;break m}re=Bm+9|0;c[Vk>>2]=re;gj=a[re>>0]|0;if(gj<<24>>24!=54){on=gj;Gl=254;break m}gj=Bm+10|0;c[Vk>>2]=gj;re=a[gj>>0]|0;if(re<<24>>24!=95){on=re;Gl=254;break m}re=Bm+11|0;c[Vk>>2]=re;gj=a[re>>0]|0;switch(gj<<24>>24){case 115:{re=Bm+12|0;c[Vk>>2]=re;if(a[17798+(d[re>>0]|0)>>0]&8){Gl=249;break m}ka=c[Zk>>2]|0;fj=c[_k>>2]|0;se=c[$k>>2]|0;Ah=c[al>>2]|0;xa=(c[Wk>>2]|0)+1-fj+se-Ah|0;c[Sg>>2]=c[Yk>>2];c[Sg+4>>2]=ka;c[Sg+8>>2]=xa;c[Sg+12>>2]=1-fj+se-Ah+re;c[Tg>>2]=35;c[i>>2]=c[Sg>>2];c[i+4>>2]=c[Sg+4>>2];c[i+8>>2]=c[Sg+8>>2];c[i+12>>2]=c[Sg+12>>2];c[h>>2]=c[Tg>>2];mm(b,i,64,h);l=g;return}case 117:{re=Bm+12|0;c[Vk>>2]=re;if(a[17798+(d[re>>0]|0)>>0]&8){Gl=249;break m}Ah=c[Zk>>2]|0;se=c[_k>>2]|0;fj=c[$k>>2]|0;xa=c[al>>2]|0;ka=(c[Wk>>2]|0)+1-se+fj-xa|0;c[Ug>>2]=c[Yk>>2];c[Ug+4>>2]=Ah;c[Ug+8>>2]=ka;c[Ug+12>>2]=1-se+fj-xa+re;c[Vg>>2]=36;c[i>>2]=c[Ug>>2];c[i+4>>2]=c[Ug+4>>2];c[i+8>>2]=c[Ug+8>>2];c[i+12>>2]=c[Ug+12>>2];c[h>>2]=c[Vg>>2];mm(b,i,64,h);l=g;return}default:{on=gj;Gl=254;break m}}}while(0);ij=c[Zk>>2]|0;Bh=c[_k>>2]|0;hj=c[$k>>2]|0;gj=c[al>>2]|0;re=(c[Wk>>2]|0)+1-Bh+hj-gj|0;c[Fe>>2]=c[Yk>>2];c[Fe+4>>2]=ij;c[Fe+8>>2]=re;c[Fe+12>>2]=1-Bh+hj-gj+ld;c[Ge>>2]=26;c[i>>2]=c[Fe>>2];c[i+4>>2]=c[Fe+4>>2];c[i+8>>2]=c[Fe+8>>2];c[i+12>>2]=c[Fe+12>>2];c[h>>2]=c[Ge>>2];mm(b,i,64,h);l=g;return}case 109:{gj=Bm+5|0;c[Vk>>2]=gj;hj=a[gj>>0]|0;if(hj<<24>>24!=117){on=hj;Gl=254;break m}hj=Bm+6|0;c[Vk>>2]=hj;gj=a[hj>>0]|0;if(gj<<24>>24!=108){on=gj;Gl=254;break m}gj=Bm+7|0;c[Vk>>2]=gj;if(a[17798+(d[gj>>0]|0)>>0]&8){Gl=249;break m}hj=c[Zk>>2]|0;Bh=c[_k>>2]|0;re=c[$k>>2]|0;ij=c[al>>2]|0;xa=(c[Wk>>2]|0)+1-Bh+re-ij|0;c[wd>>2]=c[Yk>>2];c[wd+4>>2]=hj;c[wd+8>>2]=xa;c[wd+12>>2]=1-Bh+re-ij+gj;c[xd>>2]=111;c[i>>2]=c[wd>>2];c[i+4>>2]=c[wd+4>>2];c[i+8>>2]=c[wd+8>>2];c[i+12>>2]=c[wd+12>>2];c[h>>2]=c[xd>>2];mm(b,i,44,h);l=g;return}case 110:{gj=Bm+5|0;c[Vk>>2]=gj;ij=a[gj>>0]|0;if(ij<<24>>24!=101){on=ij;Gl=254;break m}ij=Bm+6|0;c[Vk>>2]=ij;if(a[17798+(d[ij>>0]|0)>>0]&8){Gl=249;break m}gj=c[Zk>>2]|0;re=c[_k>>2]|0;Bh=c[$k>>2]|0;xa=c[al>>2]|0;hj=(c[Wk>>2]|0)+1-re+Bh-xa|0;c[Xb>>2]=c[Yk>>2];c[Xb+4>>2]=gj;c[Xb+8>>2]=hj;c[Xb+12>>2]=1-re+Bh-xa+ij;c[Zb>>2]=67;c[i>>2]=c[Xb>>2];c[i+4>>2]=c[Xb+4>>2];c[i+8>>2]=c[Xb+8>>2];c[i+12>>2]=c[Xb+12>>2];c[h>>2]=c[Zb>>2];mm(b,i,53,h);l=g;return}case 111:{ij=Bm+5|0;c[Vk>>2]=ij;xa=a[ij>>0]|0;if(xa<<24>>24!=114){on=xa;Gl=254;break m}xa=Bm+6|0;c[Vk>>2]=xa;if(a[17798+(d[xa>>0]|0)>>0]&8){Gl=249;break m}ij=c[Zk>>2]|0;Bh=c[_k>>2]|0;re=c[$k>>2]|0;hj=c[al>>2]|0;gj=(c[Wk>>2]|0)+1-Bh+re-hj|0;c[$b>>2]=c[Yk>>2];c[$b+4>>2]=ij;c[$b+8>>2]=gj;c[$b+12>>2]=1-Bh+re-hj+xa;c[ac>>2]=117;c[i>>2]=c[$b>>2];c[i+4>>2]=c[$b+4>>2];c[i+8>>2]=c[$b+8>>2];c[i+12>>2]=c[$b+12>>2];c[h>>2]=c[ac>>2];mm(b,i,44,h);l=g;return}case 112:{xa=Bm+5|0;c[Vk>>2]=xa;hj=a[xa>>0]|0;if(hj<<24>>24!=111){on=hj;Gl=254;break m}hj=Bm+6|0;c[Vk>>2]=hj;xa=a[hj>>0]|0;if(xa<<24>>24!=112){on=xa;Gl=254;break m}xa=Bm+7|0;c[Vk>>2]=xa;hj=a[xa>>0]|0;if(hj<<24>>24!=99){on=hj;Gl=254;break m}hj=Bm+8|0;c[Vk>>2]=hj;xa=a[hj>>0]|0;if(xa<<24>>24!=110){on=xa;Gl=254;break m}xa=Bm+9|0;c[Vk>>2]=xa;hj=a[xa>>0]|0;if(hj<<24>>24!=116){on=hj;Gl=254;break m}hj=Bm+10|0;c[Vk>>2]=hj;if(a[17798+(d[hj>>0]|0)>>0]&8){Gl=249;break m}xa=c[Zk>>2]|0;re=c[_k>>2]|0;Bh=c[$k>>2]|0;gj=c[al>>2]|0;ij=(c[Wk>>2]|0)+1-re+Bh-gj|0;c[eg>>2]=c[Yk>>2];c[eg+4>>2]=xa;c[eg+8>>2]=ij;c[eg+12>>2]=1-re+Bh-gj+hj;c[fg>>2]=108;c[i>>2]=c[eg>>2];c[i+4>>2]=c[eg+4>>2];c[i+8>>2]=c[eg+8>>2];c[i+12>>2]=c[eg+12>>2];c[h>>2]=c[fg>>2];mm(b,i,76,h);l=g;return}case 114:{hj=Bm+5|0;c[Vk>>2]=hj;gj=a[hj>>0]|0;switch(gj<<24>>24){case 101:break;case 111:{hj=Bm+6|0;c[Vk>>2]=hj;Bh=a[hj>>0]|0;if(Bh<<24>>24!=116){on=Bh;Gl=254;break m}Bh=Bm+7|0;c[Vk>>2]=Bh;hj=a[Bh>>0]|0;switch(hj<<24>>24){case 108:{Bh=Bm+8|0;c[Vk>>2]=Bh;if(a[17798+(d[Bh>>0]|0)>>0]&8){Gl=249;break m}re=c[Zk>>2]|0;ij=c[_k>>2]|0;xa=c[$k>>2]|0;fj=c[al>>2]|0;se=(c[Wk>>2]|0)+1-ij+xa-fj|0;c[Le>>2]=c[Yk>>2];c[Le+4>>2]=re;c[Le+8>>2]=se;c[Le+12>>2]=1-ij+xa-fj+Bh;c[Me>>2]=122;c[i>>2]=c[Le>>2];c[i+4>>2]=c[Le+4>>2];c[i+8>>2]=c[Le+8>>2];c[i+12>>2]=c[Le+12>>2];c[h>>2]=c[Me>>2];mm(b,i,44,h);l=g;return}case 114:{Bh=Bm+8|0;c[Vk>>2]=Bh;if(a[17798+(d[Bh>>0]|0)>>0]&8){Gl=249;break m}fj=c[Zk>>2]|0;xa=c[_k>>2]|0;ij=c[$k>>2]|0;se=c[al>>2]|0;re=(c[Wk>>2]|0)+1-xa+ij-se|0;c[Ne>>2]=c[Yk>>2];c[Ne+4>>2]=fj;c[Ne+8>>2]=re;c[Ne+12>>2]=1-xa+ij-se+Bh;c[Oe>>2]=123;c[i>>2]=c[Ne>>2];c[i+4>>2]=c[Ne+4>>2];c[i+8>>2]=c[Ne+8>>2];c[i+12>>2]=c[Ne+12>>2];c[h>>2]=c[Oe>>2];mm(b,i,44,h);l=g;return}default:{on=hj;Gl=254;break m}}break}default:{on=gj;Gl=254;break m}}gj=Bm+6|0;c[Vk>>2]=gj;hj=a[gj>>0]|0;switch(hj<<24>>24){case 105:break;case 109:{gj=Bm+7|0;c[Vk>>2]=gj;Bh=a[gj>>0]|0;if(Bh<<24>>24!=95){on=Bh;Gl=254;break m}Bh=Bm+8|0;c[Vk>>2]=Bh;gj=a[Bh>>0]|0;switch(gj<<24>>24){case 115:{Bh=Bm+9|0;c[Vk>>2]=Bh;if(a[17798+(d[Bh>>0]|0)>>0]&8){Gl=249;break m}se=c[Zk>>2]|0;ij=c[_k>>2]|0;xa=c[$k>>2]|0;re=c[al>>2]|0;fj=(c[Wk>>2]|0)+1-ij+xa-re|0;c[Kf>>2]=c[Yk>>2];c[Kf+4>>2]=se;c[Kf+8>>2]=fj;c[Kf+12>>2]=1-ij+xa-re+Bh;c[Lf>>2]=114;c[i>>2]=c[Kf>>2];c[i+4>>2]=c[Kf+4>>2];c[i+8>>2]=c[Kf+8>>2];c[i+12>>2]=c[Kf+12>>2];c[h>>2]=c[Lf>>2];mm(b,i,44,h);l=g;return}case 117:{Bh=Bm+9|0;c[Vk>>2]=Bh;if(a[17798+(d[Bh>>0]|0)>>0]&8){Gl=249;break m}re=c[Zk>>2]|0;xa=c[_k>>2]|0;ij=c[$k>>2]|0;fj=c[al>>2]|0;se=(c[Wk>>2]|0)+1-xa+ij-fj|0;c[Mf>>2]=c[Yk>>2];c[Mf+4>>2]=re;c[Mf+8>>2]=se;c[Mf+12>>2]=1-xa+ij-fj+Bh;c[Nf>>2]=115;c[i>>2]=c[Mf>>2];c[i+4>>2]=c[Mf+4>>2];c[i+8>>2]=c[Mf+8>>2];c[i+12>>2]=c[Mf+12>>2];c[h>>2]=c[Nf>>2];mm(b,i,44,h);l=g;return}default:{on=gj;Gl=254;break m}}break}default:{on=hj;Gl=254;break m}}hj=Bm+7|0;c[Vk>>2]=hj;gj=a[hj>>0]|0;if(gj<<24>>24!=110){on=gj;Gl=254;break m}gj=Bm+8|0;c[Vk>>2]=gj;hj=a[gj>>0]|0;if(hj<<24>>24!=116){on=hj;Gl=254;break m}hj=Bm+9|0;c[Vk>>2]=hj;gj=a[hj>>0]|0;if(gj<<24>>24!=101){on=gj;Gl=254;break m}gj=Bm+10|0;c[Vk>>2]=gj;hj=a[gj>>0]|0;if(hj<<24>>24!=114){on=hj;Gl=254;break m}hj=Bm+11|0;c[Vk>>2]=hj;gj=a[hj>>0]|0;if(gj<<24>>24!=112){on=gj;Gl=254;break m}gj=Bm+12|0;c[Vk>>2]=gj;hj=a[gj>>0]|0;if(hj<<24>>24!=114){on=hj;Gl=254;break m}hj=Bm+13|0;c[Vk>>2]=hj;gj=a[hj>>0]|0;if(gj<<24>>24!=101){on=gj;Gl=254;break m}gj=Bm+14|0;c[Vk>>2]=gj;hj=a[gj>>0]|0;if(hj<<24>>24!=116){on=hj;Gl=254;break m}hj=Bm+15|0;c[Vk>>2]=hj;gj=a[hj>>0]|0;if(gj<<24>>24!=47){on=gj;Gl=254;break m}gj=Bm+16|0;c[Vk>>2]=gj;hj=a[gj>>0]|0;if(hj<<24>>24!=102){on=hj;Gl=254;break m}hj=Bm+17|0;c[Vk>>2]=hj;gj=a[hj>>0]|0;if(gj<<24>>24!=54){on=gj;Gl=254;break m}gj=Bm+18|0;c[Vk>>2]=gj;hj=a[gj>>0]|0;if(hj<<24>>24!=52){on=hj;Gl=254;break m}hj=Bm+19|0;c[Vk>>2]=hj;if(a[17798+(d[hj>>0]|0)>>0]&8){Gl=249;break m}gj=c[Zk>>2]|0;Bh=c[_k>>2]|0;fj=c[$k>>2]|0;ij=c[al>>2]|0;xa=(c[Wk>>2]|0)+1-Bh+fj-ij|0;c[pj>>2]=c[Yk>>2];c[pj+4>>2]=gj;c[pj+8>>2]=xa;c[pj+12>>2]=1-Bh+fj-ij+hj;c[qj>>2]=174;c[i>>2]=c[pj>>2];c[i+4>>2]=c[pj+4>>2];c[i+8>>2]=c[pj+8>>2];c[i+12>>2]=c[pj+12>>2];c[h>>2]=c[qj>>2];mm(b,i,55,h);l=g;return}case 115:{hj=Bm+5|0;c[Vk>>2]=hj;ij=a[hj>>0]|0;if((ij&255)<116){if(ij<<24>>24!=104){on=ij;Gl=254;break m}hj=Bm+6|0;c[Vk>>2]=hj;fj=a[hj>>0]|0;switch(fj<<24>>24){case 108:{hj=Bm+7|0;c[Vk>>2]=hj;if(a[17798+(d[hj>>0]|0)>>0]&8){Gl=249;break m}Bh=c[Zk>>2]|0;xa=c[_k>>2]|0;gj=c[$k>>2]|0;se=c[al>>2]|0;re=(c[Wk>>2]|0)+1-xa+gj-se|0;c[yd>>2]=c[Yk>>2];c[yd+4>>2]=Bh;c[yd+8>>2]=re;c[yd+12>>2]=1-xa+gj-se+hj;c[zd>>2]=119;c[i>>2]=c[yd>>2];c[i+4>>2]=c[yd+4>>2];c[i+8>>2]=c[yd+8>>2];c[i+12>>2]=c[yd+12>>2];c[h>>2]=c[zd>>2];mm(b,i,44,h);l=g;return}case 114:break;default:{on=fj;Gl=254;break m}}fj=Bm+7|0;c[Vk>>2]=fj;hj=a[fj>>0]|0;if(hj<<24>>24!=95){on=hj;Gl=254;break m}hj=Bm+8|0;c[Vk>>2]=hj;fj=a[hj>>0]|0;switch(fj<<24>>24){case 115:{hj=Bm+9|0;c[Vk>>2]=hj;if(a[17798+(d[hj>>0]|0)>>0]&8){Gl=249;break m}se=c[Zk>>2]|0;gj=c[_k>>2]|0;xa=c[$k>>2]|0;re=c[al>>2]|0;Bh=(c[Wk>>2]|0)+1-gj+xa-re|0;c[Of>>2]=c[Yk>>2];c[Of+4>>2]=se;c[Of+8>>2]=Bh;c[Of+12>>2]=1-gj+xa-re+hj;c[Pf>>2]=120;c[i>>2]=c[Of>>2];c[i+4>>2]=c[Of+4>>2];c[i+8>>2]=c[Of+8>>2];c[i+12>>2]=c[Of+12>>2];c[h>>2]=c[Pf>>2];mm(b,i,44,h);l=g;return}case 117:{hj=Bm+9|0;c[Vk>>2]=hj;if(a[17798+(d[hj>>0]|0)>>0]&8){Gl=249;break m}re=c[Zk>>2]|0;xa=c[_k>>2]|0;gj=c[$k>>2]|0;Bh=c[al>>2]|0;se=(c[Wk>>2]|0)+1-xa+gj-Bh|0;c[Qf>>2]=c[Yk>>2];c[Qf+4>>2]=re;c[Qf+8>>2]=se;c[Qf+12>>2]=1-xa+gj-Bh+hj;c[Rf>>2]=121;c[i>>2]=c[Qf>>2];c[i+4>>2]=c[Qf+4>>2];c[i+8>>2]=c[Qf+8>>2];c[i+12>>2]=c[Qf+12>>2];c[h>>2]=c[Rf>>2];mm(b,i,44,h);l=g;return}default:{on=fj;Gl=254;break m}}}if(ij<<24>>24!=116){if((ij&255)>=118){on=ij;Gl=254;break m}ij=Bm+6|0;c[Vk>>2]=ij;fj=a[ij>>0]|0;if(fj<<24>>24!=98){on=fj;Gl=254;break m}fj=Bm+7|0;c[Vk>>2]=fj;if(a[17798+(d[fj>>0]|0)>>0]&8){Gl=249;break m}ij=c[Zk>>2]|0;hj=c[_k>>2]|0;Bh=c[$k>>2]|0;gj=c[al>>2]|0;xa=(c[Wk>>2]|0)+1-hj+Bh-gj|0;c[Ad>>2]=c[Yk>>2];c[Ad+4>>2]=ij;c[Ad+8>>2]=xa;c[Ad+12>>2]=1-hj+Bh-gj+fj;c[Bd>>2]=110;c[i>>2]=c[Ad>>2];c[i+4>>2]=c[Ad+4>>2];c[i+8>>2]=c[Ad+8>>2];c[i+12>>2]=c[Ad+12>>2];c[h>>2]=c[Bd>>2];mm(b,i,44,h);l=g;return}fj=Bm+6|0;c[Vk>>2]=fj;gj=a[fj>>0]|0;if(gj<<24>>24!=111){on=gj;Gl=254;break m}gj=Bm+7|0;c[Vk>>2]=gj;fj=a[gj>>0]|0;if(fj<<24>>24!=114){on=fj;Gl=254;break m}fj=Bm+8|0;c[Vk>>2]=fj;gj=a[fj>>0]|0;if(gj<<24>>24!=101){on=gj;Gl=254;break m}gj=Bm+9|0;c[Vk>>2]=gj;fj=a[gj>>0]|0;Bh=gj;do if((fj&255)>=50){if((fj&255)>=57)if(fj<<24>>24!=59&(fj&255)<127){Gl=249;break m}else break;if(fj<<24>>24==51){gj=Bm+10|0;c[Vk>>2]=gj;hj=a[gj>>0]|0;if(hj<<24>>24!=50){on=hj;Gl=254;break m}hj=Bm+11|0;c[Vk>>2]=hj;if(a[17798+(d[hj>>0]|0)>>0]&8){Gl=249;break m}gj=c[Zk>>2]|0;xa=c[_k>>2]|0;ij=c[$k>>2]|0;se=c[al>>2]|0;re=(c[Wk>>2]|0)+1-xa+ij-se|0;c[Eg>>2]=c[Yk>>2];c[Eg+4>>2]=gj;c[Eg+8>>2]=re;c[Eg+12>>2]=1-xa+ij-se+hj;c[Fg>>2]=47;c[i>>2]=c[Eg>>2];c[i+4>>2]=c[Eg+4>>2];c[i+8>>2]=c[Eg+8>>2];c[i+12>>2]=c[Eg+12>>2];c[h>>2]=c[Fg>>2];mm(b,i,72,h);l=g;return}else{if((fj&255)<56){Gl=249;break m}hj=Bm+10|0;c[Vk>>2]=hj;if(a[17798+(d[hj>>0]|0)>>0]&8){Gl=249;break m}se=c[Zk>>2]|0;ij=c[_k>>2]|0;xa=c[$k>>2]|0;re=c[al>>2]|0;gj=(c[Wk>>2]|0)+1-ij+xa-re|0;c[gg>>2]=c[Yk>>2];c[gg+4>>2]=se;c[gg+8>>2]=gj;c[gg+12>>2]=1-ij+xa-re+hj;c[hg>>2]=45;c[i>>2]=c[gg>>2];c[i+4>>2]=c[gg+4>>2];c[i+8>>2]=c[gg+8>>2];c[i+12>>2]=c[gg+12>>2];c[h>>2]=c[hg>>2];mm(b,i,72,h);l=g;return}}else{if((fj&255)<35)if(fj<<24>>24==33){Gl=249;break m}else break;if((fj&255)<40){Gl=249;break m}if((fj&255)<42)break;if((fj&255)<49){Gl=249;break m}hj=Bm+10|0;c[Vk>>2]=hj;re=a[hj>>0]|0;if(re<<24>>24!=54){on=re;Gl=254;break m}re=Bm+11|0;c[Vk>>2]=re;if(a[17798+(d[re>>0]|0)>>0]&8){Gl=249;break m}hj=c[Zk>>2]|0;xa=c[_k>>2]|0;ij=c[$k>>2]|0;gj=c[al>>2]|0;se=(c[Wk>>2]|0)+1-xa+ij-gj|0;c[Cg>>2]=c[Yk>>2];c[Cg+4>>2]=hj;c[Cg+8>>2]=se;c[Cg+12>>2]=1-xa+ij-gj+re;c[Dg>>2]=46;c[i>>2]=c[Cg>>2];c[i+4>>2]=c[Cg+4>>2];c[i+8>>2]=c[Cg+8>>2];c[i+12>>2]=c[Cg+12>>2];c[h>>2]=c[Dg>>2];mm(b,i,72,h);l=g;return}while(0);fj=c[Zk>>2]|0;ld=c[_k>>2]|0;re=c[$k>>2]|0;gj=c[al>>2]|0;ij=(c[Wk>>2]|0)+1-ld+re-gj|0;c[Sf>>2]=c[Yk>>2];c[Sf+4>>2]=fj;c[Sf+8>>2]=ij;c[Sf+12>>2]=1-ld+re-gj+Bh;c[Tf>>2]=40;c[i>>2]=c[Sf>>2];c[i+4>>2]=c[Sf+4>>2];c[i+8>>2]=c[Sf+8>>2];c[i+12>>2]=c[Sf+12>>2];c[h>>2]=c[Tf>>2];mm(b,i,72,h);l=g;return}case 116:{gj=Bm+5|0;c[Vk>>2]=gj;re=a[gj>>0]|0;if(re<<24>>24!=114){on=re;Gl=254;break m}re=Bm+6|0;c[Vk>>2]=re;gj=a[re>>0]|0;if(gj<<24>>24!=117){on=gj;Gl=254;break m}gj=Bm+7|0;c[Vk>>2]=gj;re=a[gj>>0]|0;if(re<<24>>24!=110){on=re;Gl=254;break m}re=Bm+8|0;c[Vk>>2]=re;gj=a[re>>0]|0;if(gj<<24>>24!=99){on=gj;Gl=254;break m}gj=Bm+9|0;c[Vk>>2]=gj;re=a[gj>>0]|0;if(re<<24>>24!=95){on=re;Gl=254;break m}re=Bm+10|0;c[Vk>>2]=re;gj=a[re>>0]|0;switch(gj<<24>>24){case 115:{re=Bm+11|0;c[Vk>>2]=re;ld=a[re>>0]|0;switch(ld<<24>>24){case 47:{re=Bm+12|0;c[Vk>>2]=re;ij=a[re>>0]|0;if(ij<<24>>24!=102){on=ij;Gl=254;break m}ij=Bm+13|0;c[Vk>>2]=ij;re=a[ij>>0]|0;switch(re<<24>>24){case 51:{ij=Bm+14|0;c[Vk>>2]=ij;fj=a[ij>>0]|0;if(fj<<24>>24!=50){on=fj;Gl=254;break m}fj=Bm+15|0;c[Vk>>2]=fj;if(a[17798+(d[fj>>0]|0)>>0]&8){Gl=249;break m}ij=c[Zk>>2]|0;xa=c[_k>>2]|0;se=c[$k>>2]|0;hj=c[al>>2]|0;ka=(c[Wk>>2]|0)+1-xa+se-hj|0;c[Eh>>2]=c[Yk>>2];c[Eh+4>>2]=ij;c[Eh+8>>2]=ka;c[Eh+12>>2]=1-xa+se-hj+fj;c[Fh>>2]=159;c[i>>2]=c[Eh>>2];c[i+4>>2]=c[Eh+4>>2];c[i+8>>2]=c[Eh+8>>2];c[i+12>>2]=c[Eh+12>>2];c[h>>2]=c[Fh>>2];mm(b,i,55,h);l=g;return}case 54:{fj=Bm+14|0;c[Vk>>2]=fj;hj=a[fj>>0]|0;if(hj<<24>>24!=52){on=hj;Gl=254;break m}hj=Bm+15|0;c[Vk>>2]=hj;if(a[17798+(d[hj>>0]|0)>>0]&8){Gl=249;break m}fj=c[Zk>>2]|0;se=c[_k>>2]|0;xa=c[$k>>2]|0;ka=c[al>>2]|0;ij=(c[Wk>>2]|0)+1-se+xa-ka|0;c[Gh>>2]=c[Yk>>2];c[Gh+4>>2]=fj;c[Gh+8>>2]=ij;c[Gh+12>>2]=1-se+xa-ka+hj;c[Hh>>2]=161;c[i>>2]=c[Gh>>2];c[i+4>>2]=c[Gh+4>>2];c[i+8>>2]=c[Gh+8>>2];c[i+12>>2]=c[Gh+12>>2];c[h>>2]=c[Hh>>2];mm(b,i,55,h);l=g;return}default:{on=re;Gl=254;break m}}break}case 58:break;default:{on=ld;Gl=254;break m}}ld=Bm+12|0;c[Vk>>2]=ld;re=a[ld>>0]|0;if(re<<24>>24!=115){on=re;Gl=254;break m}re=Bm+13|0;c[Vk>>2]=re;ld=a[re>>0]|0;if(ld<<24>>24!=97){on=ld;Gl=254;break m}ld=Bm+14|0;c[Vk>>2]=ld;re=a[ld>>0]|0;if(re<<24>>24!=116){on=re;Gl=254;break m}re=Bm+15|0;c[Vk>>2]=re;ld=a[re>>0]|0;if(ld<<24>>24!=47){on=ld;Gl=254;break m}ld=Bm+16|0;c[Vk>>2]=ld;re=a[ld>>0]|0;if(re<<24>>24!=102){on=re;Gl=254;break m}re=Bm+17|0;c[Vk>>2]=re;ld=a[re>>0]|0;switch(ld<<24>>24){case 51:{re=Bm+18|0;c[Vk>>2]=re;hj=a[re>>0]|0;if(hj<<24>>24!=50){on=hj;Gl=254;break m}hj=Bm+19|0;c[Vk>>2]=hj;if(a[17798+(d[hj>>0]|0)>>0]&8){Gl=249;break m}re=c[Zk>>2]|0;ka=c[_k>>2]|0;xa=c[$k>>2]|0;se=c[al>>2]|0;ij=(c[Wk>>2]|0)+1-ka+xa-se|0;c[rj>>2]=c[Yk>>2];c[rj+4>>2]=re;c[rj+8>>2]=ij;c[rj+12>>2]=1-ka+xa-se+hj;c[sj>>2]=191;c[i>>2]=c[rj>>2];c[i+4>>2]=c[rj+4>>2];c[i+8>>2]=c[rj+8>>2];c[i+12>>2]=c[rj+12>>2];c[h>>2]=c[sj>>2];mm(b,i,55,h);l=g;return}case 54:{hj=Bm+18|0;c[Vk>>2]=hj;se=a[hj>>0]|0;if(se<<24>>24!=52){on=se;Gl=254;break m}se=Bm+19|0;c[Vk>>2]=se;if(a[17798+(d[se>>0]|0)>>0]&8){Gl=249;break m}hj=c[Zk>>2]|0;xa=c[_k>>2]|0;ka=c[$k>>2]|0;ij=c[al>>2]|0;re=(c[Wk>>2]|0)+1-xa+ka-ij|0;c[tj>>2]=c[Yk>>2];c[tj+4>>2]=hj;c[tj+8>>2]=re;c[tj+12>>2]=1-xa+ka-ij+se;c[uj>>2]=193;c[i>>2]=c[tj>>2];c[i+4>>2]=c[tj+4>>2];c[i+8>>2]=c[tj+8>>2];c[i+12>>2]=c[tj+12>>2];c[h>>2]=c[uj>>2];mm(b,i,55,h);l=g;return}default:{on=ld;Gl=254;break m}}break}case 117:{ld=Bm+11|0;c[Vk>>2]=ld;se=a[ld>>0]|0;switch(se<<24>>24){case 47:{ld=Bm+12|0;c[Vk>>2]=ld;ij=a[ld>>0]|0;if(ij<<24>>24!=102){on=ij;Gl=254;break m}ij=Bm+13|0;c[Vk>>2]=ij;ld=a[ij>>0]|0;switch(ld<<24>>24){case 51:{ij=Bm+14|0;c[Vk>>2]=ij;ka=a[ij>>0]|0;if(ka<<24>>24!=50){on=ka;Gl=254;break m}ka=Bm+15|0;c[Vk>>2]=ka;if(a[17798+(d[ka>>0]|0)>>0]&8){Gl=249;break m}ij=c[Zk>>2]|0;xa=c[_k>>2]|0;re=c[$k>>2]|0;hj=c[al>>2]|0;fj=(c[Wk>>2]|0)+1-xa+re-hj|0;c[Ih>>2]=c[Yk>>2];c[Ih+4>>2]=ij;c[Ih+8>>2]=fj;c[Ih+12>>2]=1-xa+re-hj+ka;c[Jh>>2]=160;c[i>>2]=c[Ih>>2];c[i+4>>2]=c[Ih+4>>2];c[i+8>>2]=c[Ih+8>>2];c[i+12>>2]=c[Ih+12>>2];c[h>>2]=c[Jh>>2];mm(b,i,55,h);l=g;return}case 54:{ka=Bm+14|0;c[Vk>>2]=ka;hj=a[ka>>0]|0;if(hj<<24>>24!=52){on=hj;Gl=254;break m}hj=Bm+15|0;c[Vk>>2]=hj;if(a[17798+(d[hj>>0]|0)>>0]&8){Gl=249;break m}ka=c[Zk>>2]|0;re=c[_k>>2]|0;xa=c[$k>>2]|0;fj=c[al>>2]|0;ij=(c[Wk>>2]|0)+1-re+xa-fj|0;c[Kh>>2]=c[Yk>>2];c[Kh+4>>2]=ka;c[Kh+8>>2]=ij;c[Kh+12>>2]=1-re+xa-fj+hj;c[Lh>>2]=162;c[i>>2]=c[Kh>>2];c[i+4>>2]=c[Kh+4>>2];c[i+8>>2]=c[Kh+8>>2];c[i+12>>2]=c[Kh+12>>2];c[h>>2]=c[Lh>>2];mm(b,i,55,h);l=g;return}default:{on=ld;Gl=254;break m}}break}case 58:break;default:{on=se;Gl=254;break m}}se=Bm+12|0;c[Vk>>2]=se;ld=a[se>>0]|0;if(ld<<24>>24!=115){on=ld;Gl=254;break m}ld=Bm+13|0;c[Vk>>2]=ld;se=a[ld>>0]|0;if(se<<24>>24!=97){on=se;Gl=254;break m}se=Bm+14|0;c[Vk>>2]=se;ld=a[se>>0]|0;if(ld<<24>>24!=116){on=ld;Gl=254;break m}ld=Bm+15|0;c[Vk>>2]=ld;se=a[ld>>0]|0;if(se<<24>>24!=47){on=se;Gl=254;break m}se=Bm+16|0;c[Vk>>2]=se;ld=a[se>>0]|0;if(ld<<24>>24!=102){on=ld;Gl=254;break m}ld=Bm+17|0;c[Vk>>2]=ld;se=a[ld>>0]|0;switch(se<<24>>24){case 51:{ld=Bm+18|0;c[Vk>>2]=ld;hj=a[ld>>0]|0;if(hj<<24>>24!=50){on=hj;Gl=254;break m}hj=Bm+19|0;c[Vk>>2]=hj;if(a[17798+(d[hj>>0]|0)>>0]&8){Gl=249;break m}ld=c[Zk>>2]|0;fj=c[_k>>2]|0;xa=c[$k>>2]|0;re=c[al>>2]|0;ij=(c[Wk>>2]|0)+1-fj+xa-re|0;c[vj>>2]=c[Yk>>2];c[vj+4>>2]=ld;c[vj+8>>2]=ij;c[vj+12>>2]=1-fj+xa-re+hj;c[wj>>2]=192;c[i>>2]=c[vj>>2];c[i+4>>2]=c[vj+4>>2];c[i+8>>2]=c[vj+8>>2];c[i+12>>2]=c[vj+12>>2];c[h>>2]=c[wj>>2];mm(b,i,55,h);l=g;return}case 54:{hj=Bm+18|0;c[Vk>>2]=hj;re=a[hj>>0]|0;if(re<<24>>24!=52){on=re;Gl=254;break m}re=Bm+19|0;c[Vk>>2]=re;if(a[17798+(d[re>>0]|0)>>0]&8){Gl=249;break m}hj=c[Zk>>2]|0;xa=c[_k>>2]|0;fj=c[$k>>2]|0;ij=c[al>>2]|0;ld=(c[Wk>>2]|0)+1-xa+fj-ij|0;c[xj>>2]=c[Yk>>2];c[xj+4>>2]=hj;c[xj+8>>2]=ld;c[xj+12>>2]=1-xa+fj-ij+re;c[yj>>2]=194;c[i>>2]=c[xj>>2];c[i+4>>2]=c[xj+4>>2];c[i+8>>2]=c[xj+8>>2];c[i+12>>2]=c[xj+12>>2];c[h>>2]=c[yj>>2];mm(b,i,55,h);l=g;return}default:{on=se;Gl=254;break m}}break}default:{on=gj;Gl=254;break m}}break}case 119:{gj=Bm+5|0;c[Vk>>2]=gj;se=a[gj>>0]|0;if(se<<24>>24!=97){on=se;Gl=254;break m}se=Bm+6|0;c[Vk>>2]=se;gj=a[se>>0]|0;if(gj<<24>>24!=105){on=gj;Gl=254;break m}gj=Bm+7|0;c[Vk>>2]=gj;se=a[gj>>0]|0;if(se<<24>>24!=116){on=se;Gl=254;break m}se=Bm+8|0;c[Vk>>2]=se;if(a[17798+(d[se>>0]|0)>>0]&8){Gl=249;break m}gj=c[Zk>>2]|0;re=c[_k>>2]|0;ij=c[$k>>2]|0;fj=c[al>>2]|0;xa=(c[Wk>>2]|0)+1-re+ij-fj|0;c[Pe>>2]=c[Yk>>2];c[Pe+4>>2]=gj;c[Pe+8>>2]=xa;c[Pe+12>>2]=1-re+ij-fj+se;c[Qe>>2]=197;c[i>>2]=c[Pe>>2];c[i+4>>2]=c[Pe+4>>2];c[i+8>>2]=c[Pe+8>>2];c[i+12>>2]=c[Pe+12>>2];c[h>>2]=c[Qe>>2];mm(b,i,78,h);l=g;return}case 120:{se=Bm+5|0;c[Vk>>2]=se;fj=a[se>>0]|0;if(fj<<24>>24!=111){on=fj;Gl=254;break m}fj=Bm+6|0;c[Vk>>2]=fj;se=a[fj>>0]|0;if(se<<24>>24!=114){on=se;Gl=254;break m}se=Bm+7|0;c[Vk>>2]=se;if(a[17798+(d[se>>0]|0)>>0]&8){Gl=249;break m}fj=c[Zk>>2]|0;ij=c[_k>>2]|0;re=c[$k>>2]|0;xa=c[al>>2]|0;gj=(c[Wk>>2]|0)+1-ij+re-xa|0;c[Cd>>2]=c[Yk>>2];c[Cd+4>>2]=fj;c[Cd+8>>2]=gj;c[Cd+12>>2]=1-ij+re-xa+se;c[Dd>>2]=118;c[i>>2]=c[Cd>>2];c[i+4>>2]=c[Cd+4>>2];c[i+8>>2]=c[Cd+8>>2];c[i+12>>2]=c[Cd+12>>2];c[h>>2]=c[Dd>>2];mm(b,i,44,h);l=g;return}default:{on=kd;Gl=254;break m}}while(0)}while(0);Dd=c[Zk>>2]|0;Cd=c[_k>>2]|0;Qe=c[$k>>2]|0;Pe=c[al>>2]|0;yj=(c[Wk>>2]|0)+1-Cd+Qe-Pe|0;c[ya>>2]=c[Yk>>2];c[ya+4>>2]=Dd;c[ya+8>>2]=yj;c[ya+12>>2]=1-Cd+Qe-Pe+Rg;c[h>>2]=c[ya>>2];c[h+4>>2]=c[ya+4>>2];c[h+8>>2]=c[ya+8>>2];c[h+12>>2]=c[ya+12>>2];km(b,h,85,-2);l=g;return}else{on=wa;Gl=254}}else{on=qg;Gl=254}}else Gl=249;break}case 231:{if((Cm&255)>=118){if(Cm<<24>>24==118){Gl=249;break}Cm=Bm+1|0;c[Vk>>2]=Cm;qg=a[Cm>>0]|0;if(qg<<24>>24!=97){on=qg;Gl=254;break}qg=Bm+2|0;c[Vk>>2]=qg;Cm=a[qg>>0]|0;if(Cm<<24>>24!=107){on=Cm;Gl=254;break}Cm=Bm+3|0;c[Vk>>2]=Cm;qg=a[Cm>>0]|0;if(qg<<24>>24!=101){on=qg;Gl=254;break}qg=Bm+4|0;c[Vk>>2]=qg;if(a[17798+(d[qg>>0]|0)>>0]&8){Gl=249;break}Cm=c[Zk>>2]|0;wa=c[_k>>2]|0;ya=c[$k>>2]|0;Rg=c[al>>2]|0;Pe=(c[Wk>>2]|0)+1-wa+ya-Rg|0;c[Wa>>2]=c[Yk>>2];c[Wa+4>>2]=Cm;c[Wa+8>>2]=Pe;c[Wa+12>>2]=1-wa+ya-Rg+qg;c[Xa>>2]=195;c[i>>2]=c[Wa>>2];c[i+4>>2]=c[Wa+4>>2];c[i+8>>2]=c[Wa+8>>2];c[i+12>>2]=c[Wa+12>>2];c[h>>2]=c[Xa>>2];mm(b,i,79,h);l=g;return}Xa=Bm+1|0;c[Vk>>2]=Xa;Wa=a[Xa>>0]|0;if(Wa<<24>>24==110){Xa=Bm+2|0;c[Vk>>2]=Xa;qg=a[Xa>>0]|0;if(qg<<24>>24==114){Xa=Bm+3|0;c[Vk>>2]=Xa;Rg=a[Xa>>0]|0;if(Rg<<24>>24==101){Xa=Bm+4|0;c[Vk>>2]=Xa;ya=a[Xa>>0]|0;if(ya<<24>>24==97){Xa=Bm+5|0;c[Vk>>2]=Xa;wa=a[Xa>>0]|0;if(wa<<24>>24==99){Xa=Bm+6|0;c[Vk>>2]=Xa;Pe=a[Xa>>0]|0;if(Pe<<24>>24==104){Xa=Bm+7|0;c[Vk>>2]=Xa;Cm=a[Xa>>0]|0;if(Cm<<24>>24==97){Xa=Bm+8|0;c[Vk>>2]=Xa;Qe=a[Xa>>0]|0;if(Qe<<24>>24==98){Xa=Bm+9|0;c[Vk>>2]=Xa;Cd=a[Xa>>0]|0;if(Cd<<24>>24==108){Xa=Bm+10|0;c[Vk>>2]=Xa;yj=a[Xa>>0]|0;if(yj<<24>>24==101){Xa=Bm+11|0;c[Vk>>2]=Xa;if(!(a[17798+(d[Xa>>0]|0)>>0]&8)){Dd=c[Zk>>2]|0;xj=c[_k>>2]|0;wj=c[$k>>2]|0;vj=c[al>>2]|0;Lh=(c[Wk>>2]|0)+1-xj+wj-vj|0;c[Gg>>2]=c[Yk>>2];c[Gg+4>>2]=Dd;c[Gg+8>>2]=Lh;c[Gg+12>>2]=1-xj+wj-vj+Xa;c[Hg>>2]=0;c[i>>2]=c[Gg>>2];c[i+4>>2]=c[Gg+4>>2];c[i+8>>2]=c[Gg+8>>2];c[i+12>>2]=c[Gg+12>>2];c[h>>2]=c[Hg>>2];mm(b,i,77,h);l=g;return}else Gl=249}else{on=yj;Gl=254}}else{on=Cd;Gl=254}}else{on=Qe;Gl=254}}else{on=Cm;Gl=254}}else{on=Pe;Gl=254}}else{on=wa;Gl=254}}else{on=ya;Gl=254}}else{on=Rg;Gl=254}}else{on=qg;Gl=254}}else{on=Wa;Gl=254}break}case 246:{Wa=c[Zk>>2]|0;qg=c[_k>>2]|0;Rg=c[$k>>2]|0;ya=c[al>>2]|0;wa=(c[Wk>>2]|0)+1-qg+Rg-ya|0;Pe=1-qg+Rg-ya+(c[Vk>>2]|0)|0;c[L>>2]=c[Yk>>2];c[L+4>>2]=Wa;c[L+8>>2]=wa;c[L+12>>2]=Pe;c[h>>2]=c[L>>2];c[h+4>>2]=c[L+4>>2];c[h+8>>2]=c[L+8>>2];c[h+12>>2]=c[L+12>>2];jm(b,h,13);l=g;return}case 264:{L=Bm+1|0;c[Vk>>2]=L;Pe=a[L>>0]|0;wa=L;do if((Pe&255)<40){if(Pe<<24>>24!=33&(Pe&255)<35){ln=wa;Gl=261;break m}}else if((Pe&255)<59)if((Pe&255)<42){ln=wa;Gl=261;break m}else break;else if(Pe<<24>>24!=59&(Pe&255)<127)break;else{ln=wa;Gl=261;break m}while(0);do if(!(a[17798+(Pe&255)>>0]&64)){Tn=Pe;Un=wa}else{Wa=L;while(1){ya=Wa+1|0;c[Vk>>2]=ya;if((c[Xk>>2]|0)>>>0>ya>>>0)Vn=ya;else{if((Yb(e,1)|0)==1)break;Vn=c[Vk>>2]|0}Wn=a[Vn>>0]|0;if(!(a[17798+(Wn&255)>>0]&64)){Gl=441;break}else Wa=Vn}if((Gl|0)==441){Tn=Wn;Un=Vn;break}Wa=c[Zk>>2]|0;ya=c[_k>>2]|0;Rg=c[$k>>2]|0;qg=c[al>>2]|0;Cm=(c[Wk>>2]|0)+1-ya+Rg-qg|0;Qe=1-ya+Rg-qg+(c[Vk>>2]|0)|0;c[aa>>2]=c[Yk>>2];c[aa+4>>2]=Wa;c[aa+8>>2]=Cm;c[aa+12>>2]=Qe;c[h>>2]=c[aa>>2];c[h+4>>2]=c[aa+4>>2];c[h+8>>2]=c[aa+8>>2];c[h+12>>2]=c[aa+12>>2];jm(b,h,13);l=g;return}while(0);if((Tn&255)>=42?(Tn&255)<45|(Tn+-60&255)<66:0){Gl=249;break}Tn=c[Zk>>2]|0;aa=c[Wk>>2]|0;Vn=c[_k>>2]|0;Wn=c[$k>>2]|0;L=c[al>>2]|0;c[ba>>2]=c[Yk>>2];c[ba+4>>2]=Tn;c[ba+8>>2]=aa+1-Vn+Wn-L;c[ba+12>>2]=1-Vn+Wn-L+Un;c[i>>2]=0;c[i+4>>2]=0;c[i+8>>2]=0;Rt(i,aa,Un-aa|0);c[h>>2]=c[ba>>2];c[h+4>>2]=c[ba+4>>2];c[h+8>>2]=c[ba+8>>2];c[h+12>>2]=c[ba+12>>2];lm(b,h,84,i);Wt(i);l=g;return}case 271:{ba=c[Zk>>2]|0;aa=c[_k>>2]|0;Un=c[$k>>2]|0;L=c[al>>2]|0;Wn=(c[Wk>>2]|0)+1-aa+Un-L|0;c[O>>2]=c[Yk>>2];c[O+4>>2]=ba;c[O+8>>2]=Wn;c[O+12>>2]=1-aa+Un-L+Gm;c[h>>2]=c[O>>2];c[h+4>>2]=c[O+4>>2];c[h+8>>2]=c[O+8>>2];c[h+12>>2]=c[O+12>>2];jm(b,h,22);l=g;return}case 366:{O=c[Zk>>2]|0;Gm=c[_k>>2]|0;L=c[$k>>2]|0;Un=c[al>>2]|0;aa=(c[Wk>>2]|0)+1-Gm+L-Un|0;Wn=1-Gm+L-Un+(c[Vk>>2]|0)|0;c[T>>2]=c[Yk>>2];c[T+4>>2]=O;c[T+8>>2]=aa;c[T+12>>2]=Wn;c[h>>2]=c[T>>2];c[h+4>>2]=c[T+4>>2];c[h+8>>2]=c[T+8>>2];c[h+12>>2]=c[T+12>>2];jm(b,h,13);l=g;return}case 380:{T=Jm+1|0;c[Vk>>2]=T;Jm=c[Zk>>2]|0;Wn=c[Wk>>2]|0;aa=c[_k>>2]|0;O=c[$k>>2]|0;Un=c[al>>2]|0;L=T;c[U>>2]=c[Yk>>2];c[U+4>>2]=Jm;c[U+8>>2]=Wn+1-aa+O-Un;c[U+12>>2]=1-aa+O-Un+L;c[i>>2]=0;c[i+4>>2]=0;c[i+8>>2]=0;Rt(i,Wn,L-Wn|0);c[h>>2]=c[U>>2];c[h+4>>2]=c[U+4>>2];c[h+8>>2]=c[U+8>>2];c[h+12>>2]=c[U+12>>2];lm(b,h,83,i);Wt(i);l=g;return}case 384:{U=c[Zk>>2]|0;Wn=c[_k>>2]|0;L=c[$k>>2]|0;Un=c[al>>2]|0;O=(c[Wk>>2]|0)+1-Wn+L-Un|0;aa=1-Wn+L-Un+(c[Vk>>2]|0)|0;c[V>>2]=c[Yk>>2];c[V+4>>2]=U;c[V+8>>2]=O;c[V+12>>2]=aa;c[h>>2]=c[V>>2];c[h+4>>2]=c[V+4>>2];c[h+8>>2]=c[V+8>>2];c[h+12>>2]=c[V+12>>2];jm(b,h,13);l=g;return}case 403:{V=c[Zk>>2]|0;aa=c[_k>>2]|0;O=c[$k>>2]|0;U=c[al>>2]|0;Un=(c[Wk>>2]|0)+1-aa+O-U|0;L=1-aa+O-U+(c[Vk>>2]|0)|0;c[W>>2]=c[Yk>>2];c[W+4>>2]=V;c[W+8>>2]=Un;c[W+12>>2]=L;c[h>>2]=c[W>>2];c[h+4>>2]=c[W+4>>2];c[h+8>>2]=c[W+8>>2];c[h+12>>2]=c[W+12>>2];jm(b,h,13);l=g;return}case 409:{W=c[Zk>>2]|0;L=c[_k>>2]|0;Un=c[$k>>2]|0;V=c[al>>2]|0;U=(c[Wk>>2]|0)+1-L+Un-V|0;O=1-L+Un-V+(c[Vk>>2]|0)|0;c[X>>2]=c[Yk>>2];c[X+4>>2]=W;c[X+8>>2]=U;c[X+12>>2]=O;c[h>>2]=c[X>>2];c[h+4>>2]=c[X+4>>2];c[h+8>>2]=c[X+8>>2];c[h+12>>2]=c[X+12>>2];jm(b,h,13);l=g;return}case 415:{X=c[Zk>>2]|0;O=c[_k>>2]|0;U=c[$k>>2]|0;W=c[al>>2]|0;V=(c[Wk>>2]|0)+1-O+U-W|0;Un=1-O+U-W+(c[Vk>>2]|0)|0;c[Y>>2]=c[Yk>>2];c[Y+4>>2]=X;c[Y+8>>2]=V;c[Y+12>>2]=Un;c[h>>2]=c[Y>>2];c[h+4>>2]=c[Y+4>>2];c[h+8>>2]=c[Y+8>>2];c[h+12>>2]=c[Y+12>>2];jm(b,h,13);l=g;return}case 421:{Y=c[Zk>>2]|0;Un=c[_k>>2]|0;V=c[$k>>2]|0;X=c[al>>2]|0;W=(c[Wk>>2]|0)+1-Un+V-X|0;U=1-Un+V-X+(c[Vk>>2]|0)|0;c[Z>>2]=c[Yk>>2];c[Z+4>>2]=Y;c[Z+8>>2]=W;c[Z+12>>2]=U;c[h>>2]=c[Z>>2];c[h+4>>2]=c[Z+4>>2];c[h+8>>2]=c[Z+8>>2];c[h+12>>2]=c[Z+12>>2];jm(b,h,13);l=g;return}case 427:{Z=c[Zk>>2]|0;U=c[_k>>2]|0;W=c[$k>>2]|0;Y=c[al>>2]|0;X=(c[Wk>>2]|0)+1-U+W-Y|0;V=1-U+W-Y+(c[Vk>>2]|0)|0;c[_>>2]=c[Yk>>2];c[_+4>>2]=Z;c[_+8>>2]=X;c[_+12>>2]=V;c[h>>2]=c[_>>2];c[h+4>>2]=c[_+4>>2];c[h+8>>2]=c[_+8>>2];c[h+12>>2]=c[_+12>>2];jm(b,h,13);l=g;return}case 433:{_=c[Zk>>2]|0;V=c[_k>>2]|0;X=c[$k>>2]|0;Z=c[al>>2]|0;Y=(c[Wk>>2]|0)+1-V+X-Z|0;W=1-V+X-Z+(c[Vk>>2]|0)|0;c[$>>2]=c[Yk>>2];c[$+4>>2]=_;c[$+8>>2]=Y;c[$+12>>2]=W;c[h>>2]=c[$>>2];c[h+4>>2]=c[$+4>>2];c[h+8>>2]=c[$+8>>2];c[h+12>>2]=c[$+12>>2];jm(b,h,13);l=g;return}case 584:{$=c[Zk>>2]|0;W=c[_k>>2]|0;Y=c[$k>>2]|0;_=c[al>>2]|0;Z=(c[Wk>>2]|0)+1-W+Y-_|0;X=1-W+Y-_+(c[Vk>>2]|0)|0;c[la>>2]=c[Yk>>2];c[la+4>>2]=$;c[la+8>>2]=Z;c[la+12>>2]=X;c[h>>2]=c[la>>2];c[h+4>>2]=c[la+4>>2];c[h+8>>2]=c[la+8>>2];c[h+12>>2]=c[la+12>>2];jm(b,h,13);l=g;return}}s:do if((Gl|0)==273){la=Bm+1|0;c[Vk>>2]=la;X=a[la>>0]|0;if((X&255)>=105){switch(X<<24>>24){case 105:break;case 110:{Z=Bm+2|0;c[Vk>>2]=Z;$=a[Z>>0]|0;if($<<24>>24==97){Dn=Z;Gl=560;break s}else{on=$;Gl=254;break s}break}default:{on=X;Gl=254;break s}}$=Bm+2|0;c[Vk>>2]=$;Z=a[$>>0]|0;if(Z<<24>>24!=110){on=Z;Gl=254;break}Z=Bm+3|0;c[Vk>>2]=Z;$=a[Z>>0]|0;if($<<24>>24==102){Sn=3;Gl=739;break}else{on=$;Gl=254;break}}if((X&255)>=48){do if(X<<24>>24==48){$=Bm+2|0;c[Vk>>2]=$;Z=a[$>>0]|0;_=$;if((Z&255)<59)if((Z&255)<42)if((Z&255)<34)if(Z<<24>>24==33){Gl=249;break s}else{Xn=_;Gl=463;break}else if(Z<<24>>24!=34&(Z&255)<40){Gl=249;break s}else{Xn=_;Gl=463;break}else if((Z&255)<47)if(Z<<24>>24==46){an=$;Gl=485;break s}else{Gl=249;break s}else if(Z<<24>>24!=47&(Z&255)<58){Yn=$;Gl=601;break}else{Gl=249;break s}if((Z&255)<96){if((Z&255)<69)if((Z&255)>59){Gl=249;break s}else{Xn=_;Gl=463;break}if(Z<<24>>24==69){bn=$;Gl=497;break s}if((Z&255)<95){Gl=249;break s}else{Zn=$;Gl=591;break}}if((Z&255)<120)if(Z<<24>>24==101){bn=$;Gl=497;break s}else{Gl=249;break s}if(Z<<24>>24!=120)if((Z&255)<127){Gl=249;break s}else{Xn=_;Gl=463;break}else _n=$;t:while(1){$=_n+1|0;c[Vk>>2]=$;if((c[Xk>>2]|0)>>>0>$>>>0)$n=$;else{if((Yb(e,1)|0)==1){Gl=606;break}$n=c[Vk>>2]|0}ao=a[$n>>0]|0;do if((ao&255)<58){if((ao&255)<35){Gl=609;break t}if((ao&255)<40){Gl=249;break s}if((ao&255)<42){Gl=257;break t}if((ao&255)<48){Gl=249;break s}else bo=$n}else if((ao&255)<71){if(ao<<24>>24==59){Gl=257;break t}if((ao&255)<65){Gl=249;break s}else{bo=$n;break}}else{if((ao&255)<97){Gl=249;break s}if((ao&255)<103){bo=$n;break}else{Gl=618;break t}}while(0);while(1){$=bo+1|0;c[Vk>>2]=$;_=$;if(((c[Xk>>2]|0)-_|0)<3){if((Yb(e,3)|0)==1){Gl=781;break t}Z=c[Vk>>2]|0;co=Z;eo=Z}else{co=_;eo=$}fo=a[eo>>0]|0;if((fo&255)<60){if((fo&255)<42){Gl=784;break t}if((fo&255)<48){Gl=788;break t}if((fo&255)<58){bo=eo;continue}else{Gl=790;break t}}if((fo&255)<96){if((fo&255)>=80)break;if((fo+-65&255)<6){bo=eo;continue}else{Gl=249;break s}}else{if((fo&255)>=112){Gl=798;break t}if((fo+-97&255)<6){bo=eo;continue}else{Gl=249;break s}}}if(fo<<24>>24==80){nn=eo;Gl=827;break s}if((fo&255)<95){Gl=249;break s}else _n=eo}if((Gl|0)==257){ln=$n;Gl=261;break s}else if((Gl|0)==606){Bh=c[Zk>>2]|0;$=c[_k>>2]|0;_=c[$k>>2]|0;Z=c[al>>2]|0;Y=(c[Wk>>2]|0)+1-$+_-Z|0;W=1-$+_-Z+(c[Vk>>2]|0)|0;c[na>>2]=c[Yk>>2];c[na+4>>2]=Bh;c[na+8>>2]=Y;c[na+12>>2]=W;c[h>>2]=c[na>>2];c[h+4>>2]=c[na+4>>2];c[h+8>>2]=c[na+8>>2];c[h+12>>2]=c[na+12>>2];jm(b,h,13);l=g;return}else if((Gl|0)==609)if(ao<<24>>24==33){Gl=249;break s}else{ln=$n;Gl=261;break s}else if((Gl|0)==618)if((ao&255)<127){Gl=249;break s}else{ln=$n;Gl=261;break s}else if((Gl|0)==781){W=c[Zk>>2]|0;Y=c[_k>>2]|0;Bh=c[$k>>2]|0;Z=c[al>>2]|0;_=(c[Wk>>2]|0)+1-Y+Bh-Z|0;$=1-Y+Bh-Z+(c[Vk>>2]|0)|0;c[Ga>>2]=c[Yk>>2];c[Ga+4>>2]=W;c[Ga+8>>2]=_;c[Ga+12>>2]=$;c[h>>2]=c[Ga>>2];c[h+4>>2]=c[Ga+4>>2];c[h+8>>2]=c[Ga+8>>2];c[h+12>>2]=c[Ga+12>>2];jm(b,h,13);l=g;return}else if((Gl|0)==784)if((fo&255)<34)if(fo<<24>>24==33){Gl=249;break s}else{Xn=co;Gl=463;break}else if(fo<<24>>24!=34&(fo&255)<40){Gl=249;break s}else{Xn=co;Gl=463;break}else if((Gl|0)==788)if(fo<<24>>24==46){mn=eo;Gl=811;break s}else{Gl=249;break s}else if((Gl|0)==790)if(fo<<24>>24==58){Gl=249;break s}else{Xn=co;Gl=463;break}else if((Gl|0)==798){if(fo<<24>>24==112){nn=eo;Gl=827;break s}if((fo&255)<127){Gl=249;break s}else{Xn=co;Gl=463;break}}}else if((X&255)<58){Yn=la;Gl=601}else{on=X;Gl=254;break s}while(0);u:while(1)if((Gl|0)==463){Gl=0;la=c[Zk>>2]|0;$=c[Wk>>2]|0;_=c[_k>>2]|0;W=c[$k>>2]|0;Z=c[al>>2]|0;c[ca>>2]=c[Yk>>2];c[ca+4>>2]=la;c[ca+8>>2]=$+1-_+W-Z;c[ca+12>>2]=1-_+W-Z+Xn;c[h>>2]=0;c[h+4>>2]=0;c[h+8>>2]=0;Rt(h,$,Xn-$|0);c[i>>2]=0;$=i+4|0;Qt($,h);Wt(h);c[h>>2]=c[ca>>2];c[h+4>>2]=c[ca+4>>2];c[h+8>>2]=c[ca+8>>2];c[h+12>>2]=c[ca+12>>2];nm(b,h,38,i);Wt($);Gl=2616;break}else if((Gl|0)==591){Gl=0;$=Zn+1|0;c[Vk>>2]=$;if((c[Xk>>2]|0)>>>0>$>>>0)go=$;else{if((Yb(e,1)|0)==1){Gl=594;break}go=c[Vk>>2]|0}ho=go;io=a[go>>0]|0;if((io&255)<42){Gl=596;break}if((io&255)>=59){Gl=602;break}if((io&255)>47&io<<24>>24!=58){Yn=go;Gl=601;continue}else{Gl=249;break s}}else if((Gl|0)==601){Gl=0;$=Yn;while(1){Z=$+1|0;c[Vk>>2]=Z;W=Z;if(((c[Xk>>2]|0)-W|0)<3){if((Yb(e,3)|0)==1){Gl=467;break u}_=c[Vk>>2]|0;jo=_;ko=_}else{jo=W;ko=Z}lo=a[ko>>0]|0;if((lo&255)>=58){Gl=475;break}if((lo&255)<40){Gl=470;break}if((lo&255)<46){Gl=472;break}if(lo<<24>>24==46){an=ko;Gl=485;break s}if((lo&255)<48){Gl=249;break s}else $=ko}if((Gl|0)==470){Gl=0;if(lo<<24>>24!=33&(lo&255)<35){Xn=jo;Gl=463;continue}else{Gl=249;break s}}else if((Gl|0)==472){Gl=0;if((lo&255)<42){Xn=jo;Gl=463;continue}else{Gl=249;break s}}else if((Gl|0)==475){Gl=0;if((lo&255)<95){if((lo&255)>=60){Gl=478;break}if(lo<<24>>24==59){Xn=jo;Gl=463;continue}else{Gl=249;break s}}if((lo&255)<101)if((lo&255)<96){Zn=ko;Gl=591;continue}else{Gl=249;break s}if(lo<<24>>24==101){bn=ko;Gl=497;break s}if((lo&255)<127){Gl=249;break s}else{Xn=jo;Gl=463;continue}}}if((Gl|0)==467){$=c[Zk>>2]|0;Z=c[_k>>2]|0;W=c[$k>>2]|0;_=c[al>>2]|0;la=(c[Wk>>2]|0)+1-Z+W-_|0;Bh=1-Z+W-_+(c[Vk>>2]|0)|0;c[da>>2]=c[Yk>>2];c[da+4>>2]=$;c[da+8>>2]=la;c[da+12>>2]=Bh;c[h>>2]=c[da>>2];c[h+4>>2]=c[da+4>>2];c[h+8>>2]=c[da+8>>2];c[h+12>>2]=c[da+12>>2];jm(b,h,13);l=g;return}else if((Gl|0)==478)if(lo<<24>>24==69){bn=ko;Gl=497;break}else{Gl=249;break}else if((Gl|0)==594){Bh=c[Zk>>2]|0;la=c[_k>>2]|0;$=c[$k>>2]|0;_=c[al>>2]|0;W=(c[Wk>>2]|0)+1-la+$-_|0;Z=1-la+$-_+(c[Vk>>2]|0)|0;c[ma>>2]=c[Yk>>2];c[ma+4>>2]=Bh;c[ma+8>>2]=W;c[ma+12>>2]=Z;c[h>>2]=c[ma>>2];c[h+4>>2]=c[ma+4>>2];c[h+8>>2]=c[ma+8>>2];c[h+12>>2]=c[ma+12>>2];jm(b,h,13);l=g;return}else if((Gl|0)==596)if((io&255)<34)if(io<<24>>24==33){Gl=249;break}else{ln=ho;Gl=261;break}else if(io<<24>>24!=34&(io&255)<40){Gl=249;break}else{ln=ho;Gl=261;break}else if((Gl|0)==602)if(io<<24>>24!=59&(io&255)<127){Gl=249;break}else{ln=ho;Gl=261;break}else if((Gl|0)==2616){l=g;return}}else{on=X;Gl=254}}while(0);v:do if((Gl|0)==560){ho=Dn+1|0;c[Vk>>2]=ho;io=a[ho>>0]|0;if(io<<24>>24==110){ho=Dn+2|0;c[Vk>>2]=ho;ma=a[ho>>0]|0;ko=ho;do if((ma&255)<42)if((ma&255)<34)if(ma<<24>>24==33){Gl=249;break v}else{mo=ko;break}else if(ma<<24>>24!=34&(ma&255)<40){Gl=249;break v}else{mo=ko;break}else{if((ma&255)>=59)if(ma<<24>>24!=59&(ma&255)<127){Gl=249;break v}else{mo=ko;break}if(ma<<24>>24!=58){Gl=249;break v}ho=Dn+3|0;c[Vk>>2]=ho;lo=a[ho>>0]|0;if(lo<<24>>24!=48){on=lo;Gl=254;break v}lo=Dn+4|0;c[Vk>>2]=lo;ho=a[lo>>0]|0;if(ho<<24>>24==120)no=lo;else{on=ho;Gl=254;break v}w:while(1){ho=no+1|0;c[Vk>>2]=ho;if((c[Xk>>2]|0)>>>0>ho>>>0)oo=ho;else{if((Yb(e,1)|0)==1){Gl=1275;break}oo=c[Vk>>2]|0}po=a[oo>>0]|0;do if((po&255)<58){if((po&255)<35){Gl=1278;break w}if((po&255)<40){Gl=249;break v}if((po&255)<42){Gl=258;break w}if((po&255)<48){Gl=249;break v}else qo=oo}else if((po&255)<71){if(po<<24>>24==59){Gl=258;break w}if((po&255)<65){Gl=249;break v}else{qo=oo;break}}else{if((po&255)<97){Gl=249;break v}if((po&255)<103){qo=oo;break}else{Gl=1287;break w}}while(0);while(1){ho=qo+1|0;c[Vk>>2]=ho;if((c[Xk>>2]|0)>>>0>ho>>>0)ro=ho;else{if((Yb(e,1)|0)==1){Gl=1475;break w}ro=c[Vk>>2]|0}so=a[ro>>0]|0;if((so&255)<59){if((so&255)<40){Gl=1478;break w}if((so&255)<42){Gl=755;break w}if((so+-48&255)<10){qo=ro;continue}else{Gl=249;break v}}if((so&255)<95){if((so&255)<60){Gl=755;break w}if((so+-65&255)<6){qo=ro;continue}else{Gl=249;break v}}else{if((so&255)<97)break;if((so&255)<103){qo=ro;continue}else{Gl=1487;break w}}}if(so<<24>>24==96){Gl=249;break v}else no=ro}if((Gl|0)==258){ln=oo;Gl=261;break v}else if((Gl|0)==755){mo=ro;break}else if((Gl|0)==1275){ho=c[Zk>>2]|0;lo=c[_k>>2]|0;da=c[$k>>2]|0;jo=c[al>>2]|0;Xn=(c[Wk>>2]|0)+1-lo+da-jo|0;Zn=1-lo+da-jo+(c[Vk>>2]|0)|0;c[fc>>2]=c[Yk>>2];c[fc+4>>2]=ho;c[fc+8>>2]=Xn;c[fc+12>>2]=Zn;c[h>>2]=c[fc>>2];c[h+4>>2]=c[fc+4>>2];c[h+8>>2]=c[fc+8>>2];c[h+12>>2]=c[fc+12>>2];jm(b,h,13);l=g;return}else if((Gl|0)==1278)if(po<<24>>24==33){Gl=249;break v}else{ln=oo;Gl=261;break v}else if((Gl|0)==1287)if((po&255)<127){Gl=249;break v}else{ln=oo;Gl=261;break v}else if((Gl|0)==1475){Zn=c[Zk>>2]|0;Xn=c[_k>>2]|0;ho=c[$k>>2]|0;jo=c[al>>2]|0;da=(c[Wk>>2]|0)+1-Xn+ho-jo|0;lo=1-Xn+ho-jo+(c[Vk>>2]|0)|0;c[Ed>>2]=c[Yk>>2];c[Ed+4>>2]=Zn;c[Ed+8>>2]=da;c[Ed+12>>2]=lo;c[h>>2]=c[Ed>>2];c[h+4>>2]=c[Ed+4>>2];c[h+8>>2]=c[Ed+8>>2];c[h+12>>2]=c[Ed+12>>2];jm(b,h,13);l=g;return}else if((Gl|0)==1478)if(so<<24>>24!=33&(so&255)<35){mo=ro;break}else{Gl=249;break v}else if((Gl|0)==1487)if((so&255)<127){Gl=249;break v}else{mo=ro;break}}while(0);ma=c[Zk>>2]|0;ko=c[Wk>>2]|0;X=c[_k>>2]|0;lo=c[$k>>2]|0;da=c[al>>2]|0;c[Ba>>2]=c[Yk>>2];c[Ba+4>>2]=ma;c[Ba+8>>2]=ko+1-X+lo-da;c[Ba+12>>2]=1-X+lo-da+mo;c[h>>2]=0;c[h+4>>2]=0;c[h+8>>2]=0;Rt(h,ko,mo-ko|0);c[i>>2]=4;ko=i+4|0;Qt(ko,h);Wt(h);c[h>>2]=c[Ba>>2];c[h+4>>2]=c[Ba+4>>2];c[h+8>>2]=c[Ba+8>>2];c[h+12>>2]=c[Ba+12>>2];nm(b,h,37,i);Wt(ko);l=g;return}else{on=io;Gl=254}}else if((Gl|0)==739){ko=Bm+Sn+1|0;c[Vk>>2]=ko;da=ko;if(!(a[17798+(d[ko>>0]|0)>>0]&8)){ko=c[Zk>>2]|0;lo=c[Wk>>2]|0;X=c[_k>>2]|0;ma=c[$k>>2]|0;Zn=c[al>>2]|0;c[za>>2]=c[Yk>>2];c[za+4>>2]=ko;c[za+8>>2]=lo+1-X+ma-Zn;c[za+12>>2]=1-X+ma-Zn+da;c[h>>2]=0;c[h+4>>2]=0;c[h+8>>2]=0;Rt(h,lo,da-lo|0);c[i>>2]=3;lo=i+4|0;Qt(lo,h);Wt(h);c[h>>2]=c[za>>2];c[h+4>>2]=c[za+4>>2];c[h+8>>2]=c[za+8>>2];c[h+12>>2]=c[za+12>>2];nm(b,h,37,i);Wt(lo);l=g;return}else Gl=249}else if((Gl|0)==811){lo=mn+1|0;c[Vk>>2]=lo;da=a[lo>>0]|0;Zn=lo;do if((da&255)<60){if((da&255)<40)if(da<<24>>24==33|(da&255)>34){Gl=249;break v}else{to=Zn;Gl=826;break v}if((da&255)<48)if((da&255)>41){Gl=249;break v}else{to=Zn;Gl=826;break v}if((da&255)>=58)if(da<<24>>24==58){Gl=249;break v}else{to=Zn;Gl=826;break v}else uo=lo}else{if((da&255)<97)if((da&255)<71)if((da&255)<65){Gl=249;break v}else{uo=lo;break}else if(da<<24>>24==80){nn=lo;Gl=827;break v}else{Gl=249;break v}if((da&255)<112)if((da&255)<103){uo=lo;break}else{Gl=249;break v}if(da<<24>>24==112){nn=lo;Gl=827;break v}if((da&255)<127){Gl=249;break v}else{to=Zn;Gl=826;break v}}while(0);while(1){Zn=uo+1|0;c[Vk>>2]=Zn;da=Zn;if(((c[Xk>>2]|0)-da|0)<2){if((Yb(e,2)|0)==1){Gl=900;break}lo=c[Vk>>2]|0;vo=lo;wo=lo}else{vo=da;wo=Zn}xo=a[wo>>0]|0;if((xo&255)<65){if((xo&255)<42){Gl=903;break}if((xo&255)>=58){Gl=908;break}if((xo&255)<48){Gl=249;break v}else{uo=wo;continue}}if((xo&255)>=96){if((xo&255)>=112){Gl=916;break}if((xo+-97&255)<6){uo=wo;continue}else{Gl=249;break v}}if((xo&255)<80)if((xo&255)<71){uo=wo;continue}else{Gl=249;break v}if(xo<<24>>24==80){nn=wo;Gl=827;break v}if((xo&255)<95){Gl=249;break v}Zn=wo+1|0;c[Vk>>2]=Zn;if((c[Xk>>2]|0)>>>0>Zn>>>0)yo=Zn;else{if((Yb(e,1)|0)==1){Gl=1086;break}yo=c[Vk>>2]|0}zo=a[yo>>0]|0;if((zo&255)<58){if((zo&255)<35){Gl=1089;break}if((zo&255)<40){Gl=249;break v}if((zo&255)<42){Gl=256;break}if((zo&255)<48){Gl=249;break v}else{uo=yo;continue}}if((zo&255)<71){if(zo<<24>>24==59){Gl=256;break}if((zo&255)<65){Gl=249;break v}else{uo=yo;continue}}else{if((zo&255)<97){Gl=249;break v}if((zo&255)<103){uo=yo;continue}else{Gl=1098;break}}}if((Gl|0)==256){ln=yo;Gl=261;break}else if((Gl|0)==900){Zn=c[Zk>>2]|0;da=c[_k>>2]|0;lo=c[$k>>2]|0;io=c[al>>2]|0;ma=(c[Wk>>2]|0)+1-da+lo-io|0;X=1-da+lo-io+(c[Vk>>2]|0)|0;c[Ya>>2]=c[Yk>>2];c[Ya+4>>2]=Zn;c[Ya+8>>2]=ma;c[Ya+12>>2]=X;c[h>>2]=c[Ya>>2];c[h+4>>2]=c[Ya+4>>2];c[h+8>>2]=c[Ya+8>>2];c[h+12>>2]=c[Ya+12>>2];jm(b,h,13);l=g;return}else if((Gl|0)==903)if((xo&255)<34)if(xo<<24>>24==33){Gl=249;break}else{to=vo;Gl=826;break}else if(xo<<24>>24!=34&(xo&255)<40){Gl=249;break}else{to=vo;Gl=826;break}else if((Gl|0)==908)if(xo<<24>>24==59){to=vo;Gl=826;break}else{Gl=249;break}else if((Gl|0)==916){if(xo<<24>>24==112){nn=wo;Gl=827;break}if((xo&255)<127){Gl=249;break}else{to=vo;Gl=826;break}}else if((Gl|0)==1086){X=c[Zk>>2]|0;ma=c[_k>>2]|0;Zn=c[$k>>2]|0;io=c[al>>2]|0;lo=(c[Wk>>2]|0)+1-ma+Zn-io|0;da=1-ma+Zn-io+(c[Vk>>2]|0)|0;c[mb>>2]=c[Yk>>2];c[mb+4>>2]=X;c[mb+8>>2]=lo;c[mb+12>>2]=da;c[h>>2]=c[mb>>2];c[h+4>>2]=c[mb+4>>2];c[h+8>>2]=c[mb+8>>2];c[h+12>>2]=c[mb+12>>2];jm(b,h,13);l=g;return}else if((Gl|0)==1089)if(zo<<24>>24==33){Gl=249;break}else{ln=yo;Gl=261;break}else if((Gl|0)==1098)if((zo&255)<127){Gl=249;break}else{ln=yo;Gl=261;break}}while(0);x:do if((Gl|0)==827){yo=nn+1|0;c[Vk>>2]=yo;zo=a[yo>>0]|0;if((zo&255)<45)if(zo<<24>>24==43){Ao=yo;Gl=918}else{on=zo;Gl=254;break}else if(zo<<24>>24!=45)if((zo+-48&255)<10)Bo=yo;else{on=zo;Gl=254;break}else{Ao=yo;Gl=918}while(1){if((Gl|0)==918){Gl=0;yo=Ao+1|0;c[Vk>>2]=yo;if((c[Xk>>2]|0)>>>0>yo>>>0)Co=yo;else{if((Yb(e,1)|0)==1){Gl=921;break}Co=c[Vk>>2]|0}Do=Co;Eo=a[Co>>0]|0;if((Eo&255)<42){Gl=923;break}if((Eo&255)>=59){Gl=928;break}if((Eo&255)<48|Eo<<24>>24==58){Gl=249;break x}else Bo=Co}yo=Bo+1|0;c[Vk>>2]=yo;if((c[Xk>>2]|0)>>>0>yo>>>0)Fo=yo;else{if((Yb(e,1)|0)==1){Gl=932;break}Fo=c[Vk>>2]|0}Go=a[Fo>>0]|0;if((Go&255)<48){Gl=934;break}if((Go&255)<60)if((Go&255)<58){Bo=Fo;continue}else{Gl=939;break}else{Ho=Fo;if(Go<<24>>24==95){Ao=Fo;Gl=918;continue}else{Gl=941;break}}}if((Gl|0)==921){yo=c[Zk>>2]|0;zo=c[_k>>2]|0;mb=c[$k>>2]|0;vo=c[al>>2]|0;xo=(c[Wk>>2]|0)+1-zo+mb-vo|0;wo=1-zo+mb-vo+(c[Vk>>2]|0)|0;c[Za>>2]=c[Yk>>2];c[Za+4>>2]=yo;c[Za+8>>2]=xo;c[Za+12>>2]=wo;c[h>>2]=c[Za>>2];c[h+4>>2]=c[Za+4>>2];c[h+8>>2]=c[Za+8>>2];c[h+12>>2]=c[Za+12>>2];jm(b,h,13);l=g;return}else if((Gl|0)==923)if((Eo&255)<34)if(Eo<<24>>24==33){Gl=249;break}else{ln=Do;Gl=261;break}else if(Eo<<24>>24!=34&(Eo&255)<40){Gl=249;break}else{ln=Do;Gl=261;break}else if((Gl|0)==928)if(Eo<<24>>24!=59&(Eo&255)<127){Gl=249;break}else{ln=Do;Gl=261;break}else if((Gl|0)==932){wo=c[Zk>>2]|0;xo=c[_k>>2]|0;yo=c[$k>>2]|0;vo=c[al>>2]|0;mb=(c[Wk>>2]|0)+1-xo+yo-vo|0;zo=1-xo+yo-vo+(c[Vk>>2]|0)|0;c[_a>>2]=c[Yk>>2];c[_a+4>>2]=wo;c[_a+8>>2]=mb;c[_a+12>>2]=zo;c[h>>2]=c[_a>>2];c[h+4>>2]=c[_a+4>>2];c[h+8>>2]=c[_a+8>>2];c[h+12>>2]=c[_a+12>>2];jm(b,h,13);l=g;return}else if((Gl|0)==934){zo=Fo;if((Go&255)<35)if(Go<<24>>24==33){Gl=249;break}else{to=zo;Gl=826;break}else if((Go&-2)<<24>>24==40){to=zo;Gl=826;break}else{Gl=249;break}}else if((Gl|0)==939)if(Go<<24>>24==58){Gl=249;break}else{to=Fo;Gl=826;break}else if((Gl|0)==941)if((Go&255)<127){Gl=249;break}else{to=Ho;Gl=826;break}}while(0);if((Gl|0)==826){Ho=c[Zk>>2]|0;Go=c[Wk>>2]|0;Fo=c[_k>>2]|0;_a=c[$k>>2]|0;Do=c[al>>2]|0;c[Ia>>2]=c[Yk>>2];c[Ia+4>>2]=Ho;c[Ia+8>>2]=Go+1-Fo+_a-Do;c[Ia+12>>2]=1-Fo+_a-Do+to;c[h>>2]=0;c[h+4>>2]=0;c[h+8>>2]=0;Rt(h,Go,to-Go|0);c[i>>2]=2;Go=i+4|0;Qt(Go,h);Wt(h);c[h>>2]=c[Ia>>2];c[h+4>>2]=c[Ia+4>>2];c[h+8>>2]=c[Ia+8>>2];c[h+12>>2]=c[Ia+12>>2];nm(b,h,37,i);Wt(Go);l=g;return}y:while(1)if((Gl|0)==249){Gl=0;Go=(c[Vk>>2]|0)+1|0;c[Vk>>2]=Go;if((c[Xk>>2]|0)>>>0>Go>>>0)Io=Go;else{if((Yb(e,1)|0)==1){Gl=252;break}Io=c[Vk>>2]|0}on=a[Io>>0]|0;Gl=254;continue}else if((Gl|0)==254){Gl=0;if(a[17798+(on&255)>>0]&8){Gl=249;continue}ln=c[Vk>>2]|0;Gl=261;continue}else if((Gl|0)==261){Gl=0;Go=c[Zk>>2]|0;Ia=c[Wk>>2]|0;to=c[_k>>2]|0;Do=c[$k>>2]|0;_a=c[al>>2]|0;c[N>>2]=c[Yk>>2];c[N+4>>2]=Go;c[N+8>>2]=Ia+1-to+Do-_a;c[N+12>>2]=1-to+Do-_a+ln;c[i>>2]=0;c[i+4>>2]=0;c[i+8>>2]=0;Rt(i,Ia,ln-Ia|0);c[h>>2]=c[N>>2];c[h+4>>2]=c[N+4>>2];c[h+8>>2]=c[N+8>>2];c[h+12>>2]=c[N+12>>2];lm(b,h,82,i);Wt(i);Gl=2616;break}else if((Gl|0)==294){Gl=0;Ia=c[Zk>>2]|0;_a=c[Wk>>2]|0;Do=c[_k>>2]|0;to=c[$k>>2]|0;Go=c[al>>2]|0;c[Q>>2]=c[Yk>>2];c[Q+4>>2]=Ia;c[Q+8>>2]=_a+1-Do+to-Go;c[Q+12>>2]=1-Do+to-Go+$m;c[h>>2]=0;c[h+4>>2]=0;c[h+8>>2]=0;Rt(h,_a,$m-_a|0);c[i>>2]=0;_a=i+4|0;Qt(_a,h);Wt(h);c[h>>2]=c[Q>>2];c[h+4>>2]=c[Q+4>>2];c[h+8>>2]=c[Q+8>>2];c[h+12>>2]=c[Q+12>>2];nm(b,h,39,i);Wt(_a);Gl=2616;break}else if((Gl|0)==485){Gl=0;_a=an+1|0;c[Vk>>2]=_a;Go=a[_a>>0]|0;to=_a;if((Go&255)>=58)if((Go&255)<70){if(Go<<24>>24==59){Jo=to;Gl=496;break}if((Go&255)<69){Gl=249;continue}else{bn=_a;Gl=497;continue}}else{if(Go<<24>>24==101){bn=_a;Gl=497;continue}if((Go&255)<127){Gl=249;continue}else{Jo=to;Gl=496;break}}if((Go&255)<35)if(Go<<24>>24==33){Gl=249;continue}else{Jo=to;Gl=496;break}if((Go&255)<40){Gl=249;continue}if((Go&255)<42){Jo=to;Gl=496;break}if((Go&255)<48){Gl=249;continue}else Ko=_a;while(1){_a=Ko+1|0;c[Vk>>2]=_a;Go=_a;if(((c[Xk>>2]|0)-Go|0)<2){if((Yb(e,2)|0)==1){Gl=623;break y}to=c[Vk>>2]|0;Lo=to;Mo=to}else{Lo=Go;Mo=_a}No=a[Mo>>0]|0;if((No&255)<59){if((No&255)<40){Gl=626;break}if((No&255)<42){Jo=Lo;Gl=496;break y}if((No+-48&255)<10){Ko=Mo;continue}else{Gl=249;continue y}}if((No&255)<95){Gl=630;break}if((No&255)>=101){Gl=634;break}if((No&255)>=96){Gl=249;continue y}_a=Mo+1|0;c[Vk>>2]=_a;if((c[Xk>>2]|0)>>>0>_a>>>0)Oo=_a;else{if((Yb(e,1)|0)==1){Gl=803;break y}Oo=c[Vk>>2]|0}Po=a[Oo>>0]|0;if((Po&255)<42){Gl=805;break}if((Po&255)>=59){Gl=810;break}if((Po&255)>47&Po<<24>>24!=58)Ko=Oo;else{Gl=249;continue y}}if((Gl|0)==626){Gl=0;if(No<<24>>24!=33&(No&255)<35){Jo=Lo;Gl=496;break}else{Gl=249;continue}}else if((Gl|0)==630){Gl=0;if((No&255)<60){Jo=Lo;Gl=496;break}if(No<<24>>24==69){bn=Mo;Gl=497;continue}else{Gl=249;continue}}else if((Gl|0)==634){Gl=0;if(No<<24>>24==101){bn=Mo;Gl=497;continue}if((No&255)<127){Gl=249;continue}else{Jo=Lo;Gl=496;break}}else if((Gl|0)==805){Gl=0;_a=Oo;if((Po&255)<34)if(Po<<24>>24==33){Gl=249;continue}else{ln=_a;Gl=261;continue}else if(Po<<24>>24!=34&(Po&255)<40){Gl=249;continue}else{ln=_a;Gl=261;continue}}else if((Gl|0)==810){Gl=0;if(Po<<24>>24!=59&(Po&255)<127){Gl=249;continue}else{ln=Oo;Gl=261;continue}}}else if((Gl|0)==497){Gl=0;_a=bn+1|0;c[Vk>>2]=_a;Go=a[_a>>0]|0;if((Go&255)<45)if(Go<<24>>24==43){Qo=_a;Gl=636}else{on=Go;Gl=254;continue}else if(Go<<24>>24!=45)if((Go+-48&255)<10)Ro=_a;else{on=Go;Gl=254;continue}else{Qo=_a;Gl=636}while(1){if((Gl|0)==636){Gl=0;_a=Qo+1|0;c[Vk>>2]=_a;if((c[Xk>>2]|0)>>>0>_a>>>0)So=_a;else{if((Yb(e,1)|0)==1){Gl=639;break y}So=c[Vk>>2]|0}To=So;Uo=a[So>>0]|0;if((Uo&255)<42){Gl=641;break}if((Uo&255)>=59){Gl=646;break}if((Uo&255)<48|Uo<<24>>24==58){Gl=249;continue y}else Ro=So}_a=Ro+1|0;c[Vk>>2]=_a;if((c[Xk>>2]|0)>>>0>_a>>>0)Vo=_a;else{if((Yb(e,1)|0)==1){Gl=650;break y}Vo=c[Vk>>2]|0}Wo=a[Vo>>0]|0;if((Wo&255)<48){Gl=652;break}if((Wo&255)<60)if((Wo&255)<58){Ro=Vo;continue}else{Gl=657;break}else{Xo=Vo;if(Wo<<24>>24==95){Qo=Vo;Gl=636;continue}else{Gl=659;break}}}if((Gl|0)==641){Gl=0;if((Uo&255)<34)if(Uo<<24>>24==33){Gl=249;continue}else{ln=To;Gl=261;continue}else if(Uo<<24>>24!=34&(Uo&255)<40){Gl=249;continue}else{ln=To;Gl=261;continue}}else if((Gl|0)==646){Gl=0;if(Uo<<24>>24!=59&(Uo&255)<127){Gl=249;continue}else{ln=To;Gl=261;continue}}else if((Gl|0)==652){Gl=0;_a=Vo;if((Wo&255)<35)if(Wo<<24>>24==33){Gl=249;continue}else{Jo=_a;Gl=496;break}else if((Wo&-2)<<24>>24==40){Jo=_a;Gl=496;break}else{Gl=249;continue}}else if((Gl|0)==657){Gl=0;if(Wo<<24>>24==58){Gl=249;continue}else{Jo=Vo;Gl=496;break}}else if((Gl|0)==659){Gl=0;if((Wo&255)<127){Gl=249;continue}else{Jo=Xo;Gl=496;break}}}else if((Gl|0)==501){Gl=0;_a=cn+1|0;c[Vk>>2]=_a;if((c[Xk>>2]|0)>>>0>_a>>>0)Yo=_a;else{if((Yb(e,1)|0)==1){Gl=504;break}Yo=c[Vk>>2]|0}_a=Yo;Go=a[Yo>>0]|0;if(((Go&255)+-48|0)>>>0<10){Em=Yo;Gl=506;continue}if((Go&255)<40)if(Go<<24>>24!=33&(Go&255)<35){ln=_a;Gl=261;continue}else{Gl=249;continue}if((Go&255)<59)if((Go&255)<42){ln=_a;Gl=261;continue}else{Gl=249;continue}else if(Go<<24>>24!=59&(Go&255)<127){Gl=249;continue}else{ln=_a;Gl=261;continue}}else if((Gl|0)==506){Gl=0;_a=Em;while(1){Go=_a+1|0;c[Vk>>2]=Go;to=Go;if(((c[Xk>>2]|0)-to|0)<3){if((Yb(e,3)|0)==1){Gl=298;break y}Do=c[Vk>>2]|0;Zo=Do;_o=Do}else{Zo=to;_o=Go}$o=a[_o>>0]|0;if((($o&255)+-48|0)>>>0<10)_a=_o;else break}if(($o&255)<59){if(($o&255)<40)if($o<<24>>24!=33&($o&255)<35){$m=Zo;Gl=294;continue}else{Gl=249;continue}if(($o&255)<42){$m=Zo;Gl=294;continue}if($o<<24>>24==46){an=_o;Gl=485;continue}else{Gl=249;continue}}if(($o&255)<95){if(($o&255)<60){$m=Zo;Gl=294;continue}if($o<<24>>24==69){bn=_o;Gl=497;continue}else{Gl=249;continue}}if(($o&255)<101)if(($o&255)<96){cn=_o;Gl=501;continue}else{Gl=249;continue}if($o<<24>>24==101){bn=_o;Gl=497;continue}if(($o&255)<127){Gl=249;continue}else{$m=Zo;Gl=294;continue}}if((Gl|0)==252){Zo=c[Zk>>2]|0;$m=c[_k>>2]|0;$o=c[$k>>2]|0;_o=c[al>>2]|0;bn=(c[Wk>>2]|0)+1-$m+$o-_o|0;cn=1-$m+$o-_o+(c[Vk>>2]|0)|0;c[M>>2]=c[Yk>>2];c[M+4>>2]=Zo;c[M+8>>2]=bn;c[M+12>>2]=cn;c[h>>2]=c[M>>2];c[h+4>>2]=c[M+4>>2];c[h+8>>2]=c[M+8>>2];c[h+12>>2]=c[M+12>>2];jm(b,h,13);l=g;return}else if((Gl|0)==298){M=c[Zk>>2]|0;cn=c[_k>>2]|0;bn=c[$k>>2]|0;Zo=c[al>>2]|0;_o=(c[Wk>>2]|0)+1-cn+bn-Zo|0;$o=1-cn+bn-Zo+(c[Vk>>2]|0)|0;c[R>>2]=c[Yk>>2];c[R+4>>2]=M;c[R+8>>2]=_o;c[R+12>>2]=$o;c[h>>2]=c[R>>2];c[h+4>>2]=c[R+4>>2];c[h+8>>2]=c[R+8>>2];c[h+12>>2]=c[R+12>>2];jm(b,h,13);l=g;return}else if((Gl|0)==496){R=c[Zk>>2]|0;$o=c[Wk>>2]|0;_o=c[_k>>2]|0;M=c[$k>>2]|0;Zo=c[al>>2]|0;c[ea>>2]=c[Yk>>2];c[ea+4>>2]=R;c[ea+8>>2]=$o+1-_o+M-Zo;c[ea+12>>2]=1-_o+M-Zo+Jo;c[h>>2]=0;c[h+4>>2]=0;c[h+8>>2]=0;Rt(h,$o,Jo-$o|0);c[i>>2]=1;$o=i+4|0;Qt($o,h);Wt(h);c[h>>2]=c[ea>>2];c[h+4>>2]=c[ea+4>>2];c[h+8>>2]=c[ea+8>>2];c[h+12>>2]=c[ea+12>>2];nm(b,h,37,i);Wt($o);l=g;return}else if((Gl|0)==504){$o=c[Zk>>2]|0;i=c[_k>>2]|0;ea=c[$k>>2]|0;Jo=c[al>>2]|0;Zo=(c[Wk>>2]|0)+1-i+ea-Jo|0;M=1-i+ea-Jo+(c[Vk>>2]|0)|0;c[fa>>2]=c[Yk>>2];c[fa+4>>2]=$o;c[fa+8>>2]=Zo;c[fa+12>>2]=M;c[h>>2]=c[fa>>2];c[h+4>>2]=c[fa+4>>2];c[h+8>>2]=c[fa+8>>2];c[h+12>>2]=c[fa+12>>2];jm(b,h,13);l=g;return}else if((Gl|0)==623){fa=c[Zk>>2]|0;M=c[_k>>2]|0;Zo=c[$k>>2]|0;$o=c[al>>2]|0;Jo=(c[Wk>>2]|0)+1-M+Zo-$o|0;ea=1-M+Zo-$o+(c[Vk>>2]|0)|0;c[oa>>2]=c[Yk>>2];c[oa+4>>2]=fa;c[oa+8>>2]=Jo;c[oa+12>>2]=ea;c[h>>2]=c[oa>>2];c[h+4>>2]=c[oa+4>>2];c[h+8>>2]=c[oa+8>>2];c[h+12>>2]=c[oa+12>>2];jm(b,h,13);l=g;return}else if((Gl|0)==639){oa=c[Zk>>2]|0;ea=c[_k>>2]|0;Jo=c[$k>>2]|0;fa=c[al>>2]|0;$o=(c[Wk>>2]|0)+1-ea+Jo-fa|0;Zo=1-ea+Jo-fa+(c[Vk>>2]|0)|0;c[pa>>2]=c[Yk>>2];c[pa+4>>2]=oa;c[pa+8>>2]=$o;c[pa+12>>2]=Zo;c[h>>2]=c[pa>>2];c[h+4>>2]=c[pa+4>>2];c[h+8>>2]=c[pa+8>>2];c[h+12>>2]=c[pa+12>>2];jm(b,h,13);l=g;return}else if((Gl|0)==650){pa=c[Zk>>2]|0;Zo=c[_k>>2]|0;$o=c[$k>>2]|0;oa=c[al>>2]|0;fa=(c[Wk>>2]|0)+1-Zo+$o-oa|0;Jo=1-Zo+$o-oa+(c[Vk>>2]|0)|0;c[qa>>2]=c[Yk>>2];c[qa+4>>2]=pa;c[qa+8>>2]=fa;c[qa+12>>2]=Jo;c[h>>2]=c[qa>>2];c[h+4>>2]=c[qa+4>>2];c[h+8>>2]=c[qa+8>>2];c[h+12>>2]=c[qa+12>>2];jm(b,h,13);l=g;return}else if((Gl|0)==803){qa=c[Zk>>2]|0;Zk=c[_k>>2]|0;_k=c[$k>>2]|0;$k=c[al>>2]|0;al=(c[Wk>>2]|0)+1-Zk+_k-$k|0;Wk=1-Zk+_k-$k+(c[Vk>>2]|0)|0;c[Ha>>2]=c[Yk>>2];c[Ha+4>>2]=qa;c[Ha+8>>2]=al;c[Ha+12>>2]=Wk;c[h>>2]=c[Ha>>2];c[h+4>>2]=c[Ha+4>>2];c[h+8>>2]=c[Ha+8>>2];c[h+12>>2]=c[Ha+12>>2];jm(b,h,13);l=g;return}else if((Gl|0)==2616){l=g;return}}
function hp(d){d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Ra=0,Sa=0,Ta=0,Wa=0,Xa=0,Za=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0,ld=0,md=0,nd=0,od=0,pd=0,qd=0,rd=0,sd=0,td=0,ud=0,vd=0,wd=0,xd=0,yd=0,zd=0,Ad=0,Bd=0,Cd=0,Dd=0,Ed=0,Fd=0,Gd=0,Hd=0,Id=0,Jd=0,Kd=0,Ld=0,Md=0,Nd=0,Od=0,Pd=0,Qd=0,Rd=0,Sd=0,Td=0,Ud=0,Vd=0,Wd=0,Xd=0,Yd=0,Zd=0,_d=0,$d=0,ae=0,be=0,ce=0,de=0,ee=0,fe=0,ge=0,he=0,ie=0,je=0,ke=0,le=0,me=0,ne=0,oe=0,pe=0,qe=0,re=0,se=0,te=0,ue=0,ve=0,we=0,xe=0,ye=0,ze=0,Ae=0,Be=0,Ce=0,De=0,Ee=0,Fe=0,Ge=0,He=0,Ie=0,Je=0,Ke=0,Le=0,Me=0,Ne=0,Oe=0,Pe=0,Qe=0,Re=0,Se=0,Te=0,Ue=0,Ve=0,We=0,Xe=0,Ye=0,Ze=0,_e=0,$e=0,af=0,bf=0,cf=0,df=0,ef=0,ff=0;e=l;l=l+1856|0;f=e+1816|0;g=e+1792|0;h=e+1784|0;i=e+1776|0;j=e+1768|0;k=e+1760|0;m=e+1752|0;n=e+1744|0;o=e+1736|0;p=e+1728|0;q=e+1720|0;r=e+1712|0;s=e+1704|0;t=e+1696|0;u=e+1688|0;v=e+1680|0;w=e+1672|0;x=e+1664|0;y=e+1656|0;z=e+1648|0;A=e+1640|0;B=e+1632|0;C=e+1624|0;D=e+1616|0;E=e+1608|0;F=e+1600|0;G=e+1592|0;H=e+1584|0;I=e+1576|0;J=e+1568|0;K=e+1560|0;L=e+1552|0;M=e+1544|0;N=e+1536|0;O=e+1528|0;P=e+1520|0;Q=e+1512|0;R=e+1504|0;S=e+1496|0;T=e+1488|0;U=e+1480|0;V=e+1472|0;W=e+1464|0;X=e+1456|0;Y=e+1448|0;Z=e+1440|0;_=e+1432|0;$=e+1424|0;aa=e+1416|0;ba=e+1408|0;ca=e+1400|0;da=e+1392|0;ea=e+1384|0;fa=e+1376|0;ga=e+1368|0;ha=e+1360|0;ia=e+1352|0;ja=e+1344|0;ka=e+1336|0;la=e+1328|0;ma=e+1320|0;na=e+1312|0;oa=e+1304|0;pa=e+1296|0;qa=e+1288|0;ra=e+1280|0;sa=e+1272|0;ta=e+1264|0;ua=e+1256|0;va=e+1248|0;wa=e+1240|0;xa=e+1232|0;ya=e+1224|0;za=e+1216|0;Aa=e+1208|0;Ba=e+1200|0;Ca=e+1192|0;Da=e+1184|0;Ea=e+1176|0;Fa=e+1168|0;Ga=e+1160|0;Ha=e+1152|0;Ia=e+1144|0;Ja=e+1136|0;Ka=e+1128|0;La=e+1120|0;Ma=e+1112|0;Na=e+1104|0;Oa=e+1096|0;Ra=e+1088|0;Sa=e+1080|0;Ta=e+1072|0;Wa=e+1064|0;Xa=e+1056|0;Za=e+1048|0;ab=e+1040|0;bb=e+1032|0;cb=e+1024|0;db=e+1016|0;eb=e+1008|0;fb=e+1e3|0;gb=e+992|0;hb=e+984|0;ib=e+976|0;jb=e+968|0;kb=e+960|0;lb=e+952|0;mb=e+944|0;nb=e+936|0;ob=e+928|0;pb=e+920|0;qb=e+912|0;rb=e+904|0;sb=e+896|0;tb=e+888|0;ub=e+880|0;vb=e+872|0;wb=e+864|0;xb=e+856|0;yb=e+848|0;zb=e+840|0;Ab=e+832|0;Bb=e+824|0;Cb=e+816|0;Db=e+808|0;Eb=e+800|0;Fb=e+792|0;Gb=e+784|0;Hb=e+776|0;Ib=e+768|0;Jb=e+760|0;Kb=e+752|0;Lb=e+744|0;Mb=e+736|0;Nb=e+728|0;Ob=e+720|0;Pb=e+712|0;Qb=e+704|0;Rb=e+696|0;Sb=e+688|0;Tb=e+680|0;Ub=e+672|0;Vb=e+664|0;Wb=e+656|0;Xb=e+648|0;Yb=e+640|0;Zb=e+632|0;_b=e+624|0;$b=e+616|0;ac=e+608|0;bc=e+600|0;cc=e+592|0;dc=e+584|0;ec=e+576|0;fc=e+568|0;gc=e+560|0;hc=e+552|0;ic=e+544|0;jc=e+536|0;kc=e+528|0;lc=e+520|0;mc=e+512|0;nc=e+504|0;oc=e+496|0;pc=e+488|0;qc=e+480|0;rc=e+472|0;sc=e+464|0;tc=e+456|0;uc=e+448|0;vc=e+440|0;wc=e+432|0;xc=e+424|0;yc=e+416|0;zc=e+408|0;Ac=e+400|0;Bc=e+392|0;Cc=e+384|0;Dc=e+376|0;Ec=e+368|0;Fc=e+360|0;Gc=e+352|0;Hc=e+344|0;Ic=e+336|0;Jc=e+328|0;Kc=e+320|0;Lc=e+312|0;Mc=e+304|0;Nc=e+296|0;Oc=e+288|0;Pc=e+280|0;Qc=e+272|0;Rc=e+264|0;Sc=e+256|0;Tc=e+248|0;Uc=e+240|0;Vc=e+232|0;Wc=e+224|0;Xc=e+216|0;Yc=e+208|0;Zc=e+200|0;_c=e+192|0;$c=e+184|0;ad=e+176|0;bd=e+152|0;cd=e+128|0;dd=e+120|0;ed=e+112|0;fd=e+104|0;gd=e+96|0;hd=e+88|0;id=e+80|0;jd=e+72|0;kd=e+64|0;ld=e+56|0;md=e+48|0;nd=e+40|0;od=e+32|0;pd=e+24|0;qd=e+16|0;rd=e+8|0;sd=e;td=e+1840|0;ud=d+12|0;vd=d+8|0;if((c[ud>>2]|0)>>>0>=(c[vd>>2]|0)>>>0){wd=0;l=e;return wd|0}xd=d+4|0;yd=d+68|0;zd=d+36|0;Ad=d+64|0;Bd=ad+4|0;Cd=Wc+4|0;Dd=g+4|0;Ed=Xc+4|0;Fd=Xc+4|0;Gd=g+4|0;Hd=d+124|0;Id=f+4|0;Jd=f+8|0;Kd=g+4|0;Ld=Wc+4|0;Md=d+80|0;Nd=d+100|0;Od=Wc+4|0;Pd=d+72|0;Qd=d+40|0;Rd=d+44|0;Sd=d+76|0;Td=Wc+4|0;Ud=Xc+4|0;Vd=d+84|0;Wd=d+88|0;Xd=d+92|0;Yd=bd+4|0;Zd=bd+8|0;_d=d+96|0;$d=d+104|0;ae=d+108|0;be=d+112|0;ce=d+116|0;de=g+4|0;ee=d+120|0;fe=0;ge=c[vd>>2]|0;he=c[ud>>2]|0;while(1){c[d>>2]=ge;ie=c[xd>>2]|0;je=Kl(ie+he|0,ie+ge|0,td)|0;if(!je){ke=4;break}ie=(c[ud>>2]|0)+je|0;c[ud>>2]=ie;je=c[xd>>2]|0;le=Kl(je+ie|0,je+(c[d>>2]|0)|0,f)|0;if(!le){ke=6;break}je=(c[ud>>2]|0)+le|0;c[ud>>2]=je;le=c[f>>2]|0;ie=le+je|0;c[d>>2]=ie;me=c[td>>2]|0;if(me>>>0>11){ke=8;break}if(ie>>>0>(c[vd>>2]|0)>>>0){ke=10;break}ie=c[yd>>2]|0;je=(me|0)==0;if(!((me|0)>(ie|0)|(je|(ie|0)==12))){ke=12;break}ie=c[zd>>2]|0;if(Qa[c[(c[ie>>2]|0)+24>>2]&127](ie,me,le)|0){ke=14;break}a:do switch(me|0){case 0:{c[ad>>2]=0;c[Bd>>2]=0;b:do if((ip(d,ad,32856)|0)!=1){ie=c[zd>>2]|0;ne=c[(c[ie>>2]|0)+28>>2]|0;oe=ad;pe=c[oe+4>>2]|0;qe=bd;c[qe>>2]=c[oe>>2];c[qe+4>>2]=pe;c[f>>2]=c[bd>>2];c[f+4>>2]=c[bd+4>>2];if(Qa[ne&127](ie,le,f)|0){gp(d,32869,Pc);re=1;break}c:do if(((a[(c[Ad>>2]|0)+8>>0]|0)!=0?(c[yd>>2]|0)>1:0)?(ie=ad,ne=c[ie+4>>2]|0,pe=Wc,c[pe>>2]=c[ie>>2],c[pe+4>>2]=ne,c[g>>2]=32904,c[Kd>>2]=4,c[f>>2]=c[g>>2],c[f+4>>2]=c[g+4>>2],(Dm(Wc,f)|0)==0):0){ne=c[zd>>2]|0;d:do if(!(_a[c[(c[ne>>2]|0)+500>>2]&255](ne,le)|0)){pe=c[d>>2]|0;ie=c[ud>>2]|0;e:do if(ie>>>0<pe>>>0){qe=0;oe=0;se=ie;f:while(1){te=c[xd>>2]|0;ue=Kl(te+se|0,te+pe|0,g)|0;if(!ue){ke=26;break}te=(c[ud>>2]|0)+ue|0;c[ud>>2]=te;ue=oe;oe=c[g>>2]|0;if(qe|0){if((oe|0)==(ue|0)){ke=29;break}if(oe>>>0<ue>>>0){ke=31;break}}ue=c[xd>>2]|0;ve=Kl(ue+te|0,ue+(c[d>>2]|0)|0,f)|0;if(!ve){ke=33;break}ue=(c[ud>>2]|0)+ve|0;c[ud>>2]=ue;ve=c[f>>2]|0;se=ve+ue|0;if(se>>>0>(c[d>>2]|0)>>>0){ke=35;break}c[d>>2]=se;g:do switch(c[g>>2]|0){case 1:{ue=c[zd>>2]|0;if(Ya[c[(c[ue>>2]|0)+504>>2]&63](ue,qe,1,ve)|0){ke=38;break f}if(!ve)break g;ue=c[xd>>2]|0;te=Kl(ue+(c[ud>>2]|0)|0,ue+(c[d>>2]|0)|0,f)|0;if(!te){ke=41;break f}c[ud>>2]=(c[ud>>2]|0)+te;te=c[f>>2]|0;ue=c[zd>>2]|0;if(_a[c[(c[ue>>2]|0)+508>>2]&255](ue,te)|0){ke=44;break f}if(!te)break g;else{we=0;xe=-1}while(1){c[Wc>>2]=0;c[Ld>>2]=0;ue=c[xd>>2]|0;ye=Kl(ue+(c[ud>>2]|0)|0,ue+(c[d>>2]|0)|0,f)|0;if(!ye){ke=46;break f}c[ud>>2]=(c[ud>>2]|0)+ye;ze=c[f>>2]|0;if((ze|0)==(xe|0)){ke=48;break f}if(!((xe|0)==-1|ze>>>0>xe>>>0)){ke=50;break f}if(ze>>>0>=((c[Nd>>2]|0)+(c[Md>>2]|0)|0)>>>0){ke=52;break f}if((ip(d,Wc,33250)|0)==1){ke=57;break f}ye=c[zd>>2]|0;ue=c[(c[ye>>2]|0)+512>>2]|0;Ae=Wc;Be=c[Ae+4>>2]|0;Ce=Xc;c[Ce>>2]=c[Ae>>2];c[Ce+4>>2]=Be;c[f>>2]=c[Xc>>2];c[f+4>>2]=c[Xc+4>>2];if(Qa[ue&127](ye,ze,f)|0){ke=55;break f}we=we+1|0;if(we>>>0>=te>>>0)break;else xe=ze}break}case 2:{te=c[zd>>2]|0;if(Ya[c[(c[te>>2]|0)+516>>2]&63](te,qe,2,ve)|0){ke=59;break f}if(!ve)break g;te=c[xd>>2]|0;ye=Kl(te+(c[ud>>2]|0)|0,te+(c[d>>2]|0)|0,f)|0;if(!ye){ke=62;break f}c[ud>>2]=(c[ud>>2]|0)+ye;ye=c[f>>2]|0;te=c[zd>>2]|0;if(_a[c[(c[te>>2]|0)+520>>2]&255](te,ye)|0){ke=65;break f}if(!ye)break g;else{De=0;Ee=-1}do{te=c[xd>>2]|0;ue=Kl(te+(c[ud>>2]|0)|0,te+(c[d>>2]|0)|0,f)|0;if(!ue){ke=67;break f}te=(c[ud>>2]|0)+ue|0;c[ud>>2]=te;ue=Ee;Ee=c[f>>2]|0;if(Ee>>>0>=((c[Nd>>2]|0)+(c[Md>>2]|0)|0)>>>0){ke=69;break f}if(!((ue|0)==-1|Ee>>>0>ue>>>0)){ke=71;break f}ue=c[xd>>2]|0;Be=Kl(ue+te|0,ue+(c[d>>2]|0)|0,f)|0;if(!Be){ke=73;break f}c[ud>>2]=(c[ud>>2]|0)+Be;Be=c[f>>2]|0;ue=c[zd>>2]|0;if(Qa[c[(c[ue>>2]|0)+524>>2]&127](ue,Ee,Be)|0){ke=76;break f}if(Be|0){ue=0;Fe=-1;while(1){c[Wc>>2]=0;c[Od>>2]=0;te=c[xd>>2]|0;Ce=Kl(te+(c[ud>>2]|0)|0,te+(c[d>>2]|0)|0,f)|0;if(!Ce){ke=78;break f}c[ud>>2]=(c[ud>>2]|0)+Ce;Ge=c[f>>2]|0;if((Ge|0)==(Fe|0)){ke=80;break f}if(!((Fe|0)==-1|Ge>>>0>Fe>>>0)){ke=82;break f}if((ip(d,Wc,32904)|0)==1){ke=87;break f}Ce=c[zd>>2]|0;te=c[(c[Ce>>2]|0)+528>>2]|0;Ae=Wc;He=c[Ae+4>>2]|0;Ie=Yc;c[Ie>>2]=c[Ae>>2];c[Ie+4>>2]=He;c[f>>2]=c[Yc>>2];c[f+4>>2]=c[Yc+4>>2];if(Ya[te&63](Ce,Ee,Ge,f)|0){ke=85;break f}ue=ue+1|0;if(ue>>>0>=Be>>>0)break;else Fe=Ge}}De=De+1|0}while(De>>>0<ye>>>0);break}default:c[ud>>2]=se}while(0);if((c[ud>>2]|0)!=(se|0)){ke=91;break}c[d>>2]=pe;if(se>>>0>=pe>>>0)break e;else qe=qe+1|0}switch(ke|0){case 26:{ke=0;c[Nc>>2]=32943;gp(d,32685,Nc);break}case 29:{ke=0;gp(d,32953,Mc);break}case 31:{ke=0;gp(d,32975,Lc);break}case 33:{ke=0;c[Kc>>2]=33e3;gp(d,32685,Kc);break}case 35:{ke=0;gp(d,33016,Jc);break}case 38:{ke=0;gp(d,33059,Ic);break}case 41:{ke=0;c[Hc>>2]=33100;gp(d,32685,Hc);break}case 44:{ke=0;gp(d,33111,Gc);break}case 46:{ke=0;c[Fc>>2]=33148;gp(d,32685,Fc);ke=57;break}case 48:{ke=0;c[Ec>>2]=xe;gp(d,33163,Ec);ke=57;break}case 50:{ke=0;c[Dc>>2]=ze;gp(d,33191,Dc);ke=57;break}case 52:{ke=0;c[Cc>>2]=ze;gp(d,33223,Cc);ke=57;break}case 55:{ke=0;gp(d,33264,Bc);ke=57;break}case 59:{ke=0;gp(d,33295,Ac);break}case 62:{ke=0;c[zc>>2]=33333;gp(d,32685,zc);break}case 65:{ke=0;gp(d,33348,yc);break}case 67:{ke=0;c[xc>>2]=33148;gp(d,32685,xc);break}case 69:{ke=0;c[wc>>2]=Ee;gp(d,33223,wc);break}case 71:{ke=0;c[vc>>2]=Ee;gp(d,33389,vc);break}case 73:{ke=0;c[uc>>2]=33428;gp(d,32685,uc);break}case 76:{ke=0;gp(d,33440,tc);break}case 78:{ke=0;c[sc>>2]=33478;gp(d,32685,sc);ke=87;break}case 80:{ke=0;c[rc>>2]=Fe;gp(d,33490,rc);ke=87;break}case 82:{ke=0;c[qc>>2]=Ge;gp(d,33516,qc);ke=87;break}case 85:{ke=0;gp(d,33545,pc);ke=87;break}case 91:{ke=0;c[oc>>2]=se;gp(d,33573,oc);break}}if((ke|0)==57)ke=0;else if((ke|0)==87)ke=0;break d}while(0);pe=c[zd>>2]|0;if(!(Va[c[(c[pe>>2]|0)+532>>2]&127](pe)|0))break c;else{gp(d,33618,nc);break}}else gp(d,32909,Oc);while(0);re=1;break b}else ke=98;while(0);h:do if((ke|0)==98){ke=0;if(!(Em(ad,33650,0)|0)){ne=c[zd>>2]|0;if(_a[c[(c[ne>>2]|0)+536>>2]&255](ne,le)|0){gp(d,33656,mc);re=1;break b}ne=c[xd>>2]|0;pe=Kl(ne+(c[ud>>2]|0)|0,ne+(c[d>>2]|0)|0,g)|0;if(!pe){c[lc>>2]=33690;gp(d,32685,lc);re=1;break b}ne=(c[ud>>2]|0)+pe|0;c[ud>>2]=ne;c[Wc>>2]=0;c[Cd>>2]=0;do if(!(c[g>>2]|0))if((ip(d,Wc,32856)|0)==1){re=1;break b}else{Je=c[ud>>2]|0;break}else Je=ne;while(0);ne=c[xd>>2]|0;pe=Kl(ne+Je|0,ne+(c[d>>2]|0)|0,f)|0;if(!pe){c[kc>>2]=33698;gp(d,32685,kc);re=1;break b}c[ud>>2]=(c[ud>>2]|0)+pe;pe=c[f>>2]|0;ne=c[zd>>2]|0;ie=c[(c[ne>>2]|0)+540>>2]|0;qe=c[g>>2]|0;oe=Wc;ve=c[oe+4>>2]|0;ye=Xc;c[ye>>2]=c[oe>>2];c[ye+4>>2]=ve;c[f>>2]=c[Xc>>2];c[f+4>>2]=c[Xc+4>>2];if(Ya[ie&63](ne,pe,qe,f)|0){gp(d,33715,jc);re=1;break b}i:do if(pe|0){qe=0;while(1){c[Zc>>2]=0;ne=c[xd>>2]|0;ie=Kl(ne+(c[ud>>2]|0)|0,ne+(c[d>>2]|0)|0,Yc)|0;if(!ie){ke=112;break}ne=(c[ud>>2]|0)+ie|0;c[ud>>2]=ne;ie=c[xd>>2]|0;ve=Kl(ie+ne|0,ie+(c[d>>2]|0)|0,f)|0;if(!ve){ke=114;break}ie=(c[ud>>2]|0)+ve|0;c[ud>>2]=ie;ve=c[f>>2]|0;ne=c[xd>>2]|0;ye=Kl(ne+ie|0,ne+(c[d>>2]|0)|0,f)|0;if(!ye){ke=116;break}ne=(c[ud>>2]|0)+ye|0;c[ud>>2]=ne;ye=c[f>>2]|0;ie=c[Yc>>2]|0;if((ie+-3|0)>>>0<3){oe=c[xd>>2]|0;Be=Ll(oe+ne|0,oe+(c[d>>2]|0)|0,Zc)|0;if(!Be){ke=120;break}c[ud>>2]=(c[ud>>2]|0)+Be}Be=c[zd>>2]|0;if($a[c[(c[Be>>2]|0)+544>>2]&31](Be,ie,ve,ye,c[Zc>>2]|0)|0){ke=122;break}qe=qe+1|0;if(qe>>>0>=pe>>>0)break i}if((ke|0)==112){ke=0;c[ic>>2]=33744;gp(d,32685,ic)}else if((ke|0)==114){ke=0;c[hc>>2]=33760;gp(d,32685,hc)}else if((ke|0)==116){ke=0;c[gc>>2]=33767;gp(d,32685,gc)}else if((ke|0)==120){ke=0;c[fc>>2]=33773;gp(d,33780,fc)}else if((ke|0)==122){ke=0;gp(d,33810,ec)}re=1;break b}while(0);pe=c[zd>>2]|0;if(!(Va[c[(c[pe>>2]|0)+548>>2]&127](pe)|0))break;else{gp(d,33834,dc);re=1;break b}}pe=ad;qe=c[pe+4>>2]|0;ye=Wc;c[ye>>2]=c[pe>>2];c[ye+4>>2]=qe;c[g>>2]=33866;c[Dd>>2]=7;c[f>>2]=c[g>>2];c[f+4>>2]=c[g+4>>2];if(Dm(Wc,f)|0){if(a[c[Ad>>2]>>0]|0?(qe=ad,ye=c[qe+4>>2]|0,pe=Wc,c[pe>>2]=c[qe>>2],c[pe+4>>2]=ye,c[g>>2]=34289,c[Gd>>2]=9,c[f>>2]=c[g>>2],c[f+4>>2]=c[g+4>>2],(Dm(Wc,f)|0)==0):0){ye=c[zd>>2]|0;if(_a[c[(c[ye>>2]|0)+588>>2]&255](ye,le)|0){gp(d,34299,Jb);re=1;break b}ye=c[xd>>2]|0;pe=Kl(ye+(c[ud>>2]|0)|0,ye+(c[d>>2]|0)|0,f)|0;if(!pe){c[Ib>>2]=34337;gp(d,32685,Ib);re=1;break b}c[ud>>2]=(c[ud>>2]|0)+pe;pe=c[f>>2]|0;c[Hd>>2]=pe;ye=c[zd>>2]|0;if(_a[c[(c[ye>>2]|0)+592>>2]&255](ye,pe)|0){gp(d,34353,Hb);re=1;break b}if(c[Hd>>2]|0){pe=0;do{c[f>>2]=0;c[Id>>2]=0;c[Jd>>2]=0;do if((jp(d,f)|0)==1)Ke=1;else{ye=c[zd>>2]|0;if(!(Qa[c[(c[ye>>2]|0)+596>>2]&127](ye,pe,f)|0)){Ke=0;break}gp(d,34386,Gb);Ke=1}while(0);ye=c[f>>2]|0;if(ye|0){qe=c[Id>>2]|0;if((qe|0)!=(ye|0))c[Id>>2]=qe+(~((qe+-4-ye|0)>>>2)<<2);Mt(ye)}pe=pe+1|0;if(Ke|0){re=1;break b}}while(pe>>>0<(c[Hd>>2]|0)>>>0)}pe=c[zd>>2]|0;if(!(Va[c[(c[pe>>2]|0)+600>>2]&127](pe)|0))break;gp(d,34418,Fb);re=1;break b}c[ud>>2]=c[d>>2];break}pe=c[zd>>2]|0;j:do if(!(_a[c[(c[pe>>2]|0)+552>>2]&255](pe,le)|0)){ye=c[d>>2]|0;qe=c[ud>>2]|0;k:do if(qe>>>0<ye>>>0){ve=qe;l:while(1){ie=c[xd>>2]|0;Be=Kl(ie+ve|0,ie+ye|0,g)|0;if(!Be){ke=133;break}ie=(c[ud>>2]|0)+Be|0;c[ud>>2]=ie;Be=c[xd>>2]|0;oe=Kl(Be+ie|0,Be+(c[d>>2]|0)|0,f)|0;if(!oe){ke=135;break}Be=(c[ud>>2]|0)+oe|0;c[ud>>2]=Be;ve=(c[f>>2]|0)+Be|0;if(ve>>>0>(c[d>>2]|0)>>>0){ke=137;break}c[d>>2]=ve;switch(c[g>>2]|0){case 1:{oe=c[xd>>2]|0;ie=Kl(oe+Be|0,oe+ve|0,f)|0;if(!ie){ke=140;break l}c[ud>>2]=(c[ud>>2]|0)+ie;ie=c[zd>>2]|0;if(_a[c[(c[ie>>2]|0)+556>>2]&255](ie,c[f>>2]|0)|0){ke=142;break l}break}case 2:{ie=c[xd>>2]|0;oe=Kl(ie+Be|0,ie+ve|0,Wc)|0;if(!oe){ke=146;break l}c[ud>>2]=(c[ud>>2]|0)+oe;oe=c[zd>>2]|0;if(_a[c[(c[oe>>2]|0)+560>>2]&255](oe,c[Wc>>2]|0)|0){ke=149;break l}oe=c[Wc>>2]|0;c[Wc>>2]=oe+-1;if(oe|0)do{c[Xc>>2]=0;c[Ed>>2]=0;if((ip(d,Xc,34010)|0)==1){ke=155;break l}oe=c[xd>>2]|0;ie=Kl(oe+(c[ud>>2]|0)|0,oe+(c[d>>2]|0)|0,Yc)|0;if(!ie){ke=152;break l}c[ud>>2]=(c[ud>>2]|0)+ie;ie=c[zd>>2]|0;oe=c[(c[ie>>2]|0)+564>>2]|0;ne=Xc;ue=c[ne+4>>2]|0;Ce=Zc;c[Ce>>2]=c[ne>>2];c[Ce+4>>2]=ue;ue=c[Yc>>2]|0;c[f>>2]=c[Zc>>2];c[f+4>>2]=c[Zc+4>>2];if(Qa[oe&127](ie,f,ue)|0){ke=154;break l}ue=c[Wc>>2]|0;c[Wc>>2]=ue+-1}while((ue|0)!=0);break}case 3:{ue=c[xd>>2]|0;ie=Kl(ue+Be|0,ue+ve|0,f)|0;if(!ie){ke=160;break l}c[ud>>2]=(c[ud>>2]|0)+ie;ie=c[zd>>2]|0;if(_a[c[(c[ie>>2]|0)+568>>2]&255](ie,c[f>>2]|0)|0){ke=162;break l}break}case 4:{ie=c[xd>>2]|0;ue=Kl(ie+Be|0,ie+ve|0,f)|0;if(!ue){ke=166;break l}c[ud>>2]=(c[ud>>2]|0)+ue;ue=c[zd>>2]|0;if(_a[c[(c[ue>>2]|0)+572>>2]&255](ue,c[f>>2]|0)|0){ke=168;break l}break}case 5:{ue=c[xd>>2]|0;ie=Kl(ue+Be|0,ue+ve|0,Wc)|0;if(!ie){ke=172;break l}c[ud>>2]=(c[ud>>2]|0)+ie;ie=c[zd>>2]|0;if(_a[c[(c[ie>>2]|0)+576>>2]&255](ie,c[Wc>>2]|0)|0){ke=175;break l}if(c[Wc>>2]|0){ie=0;do{c[Xc>>2]=0;c[Fd>>2]=0;do if((ip(d,Xc,34180)|0)==1)Le=0;else{ue=c[xd>>2]|0;oe=Kl(ue+(c[ud>>2]|0)|0,ue+(c[d>>2]|0)|0,Yc)|0;if(!oe){c[Ob>>2]=34193;gp(d,32685,Ob);Le=0;break}ue=(c[ud>>2]|0)+oe|0;c[ud>>2]=ue;oe=c[xd>>2]|0;Ce=Kl(oe+ue|0,oe+(c[d>>2]|0)|0,_c)|0;if(!Ce){c[Nb>>2]=34211;gp(d,32685,Nb);Le=0;break}c[ud>>2]=(c[ud>>2]|0)+Ce;Ce=c[zd>>2]|0;oe=c[(c[Ce>>2]|0)+580>>2]|0;ue=Xc;ne=c[ue+4>>2]|0;te=$c;c[te>>2]=c[ue>>2];c[te+4>>2]=ne;ne=c[Yc>>2]|0;te=c[_c>>2]|0;c[f>>2]=c[$c>>2];c[f+4>>2]=c[$c+4>>2];if(!($a[oe&31](Ce,ie,f,ne,te)|0)){Le=1;break}gp(d,34225,Mb);Le=0}while(0);ie=ie+1|0;if(!Le){ke=185;break l}}while(ie>>>0<(c[Wc>>2]|0)>>>0)}break}default:c[ud>>2]=ve}if((c[ud>>2]|0)!=(ve|0)){ke=189;break}c[d>>2]=ye;if(ve>>>0>=ye>>>0)break k}switch(ke|0){case 133:{ke=0;c[bc>>2]=33910;gp(d,32685,bc);break}case 135:{ke=0;c[ac>>2]=33e3;gp(d,32685,ac);break}case 137:{ke=0;gp(d,33016,$b);break}case 140:{ke=0;c[_b>>2]=33915;gp(d,32685,_b);ke=143;break}case 142:{ke=0;gp(d,33935,Zb);ke=143;break}case 146:{ke=0;c[Yb>>2]=33965;gp(d,32685,Yb);ke=157;break}case 149:{ke=0;gp(d,33976,Xb);ke=157;break}case 152:{ke=0;c[Wb>>2]=34022;gp(d,32685,Wb);ke=155;break}case 154:{ke=0;gp(d,34032,Vb);ke=155;break}case 160:{ke=0;c[Ub>>2]=34061;gp(d,32685,Ub);ke=163;break}case 162:{ke=0;gp(d,34071,Tb);ke=163;break}case 166:{ke=0;c[Sb>>2]=34098;gp(d,32685,Sb);ke=169;break}case 168:{ke=0;gp(d,34113,Rb);ke=169;break}case 172:{ke=0;c[Qb>>2]=33965;gp(d,32685,Qb);ke=185;break}case 175:{ke=0;gp(d,34145,Pb);ke=185;break}case 189:{ke=0;c[Lb>>2]=ve;gp(d,33573,Lb);break}}if((ke|0)==143)ke=0;else if((ke|0)==155){ke=0;ke=157}else if((ke|0)==163)ke=0;else if((ke|0)==169)ke=0;else if((ke|0)==185)ke=0;if((ke|0)==157)ke=0;break j}while(0);ye=c[zd>>2]|0;if(!(Va[c[(c[ye>>2]|0)+584>>2]&127](ye)|0))break h;else{gp(d,34255,Kb);break}}else gp(d,33874,cc);while(0);re=1;break b}while(0);pe=c[zd>>2]|0;if(!(Va[c[(c[pe>>2]|0)+32>>2]&127](pe)|0))re=0;else{gp(d,34454,Eb);re=1}}else re=1;while(0);Me=re;ke=546;break}case 1:{pe=c[zd>>2]|0;if(_a[c[(c[pe>>2]|0)+36>>2]&255](pe,le)|0){gp(d,34487,Db);Ne=1;ke=547;break a}pe=c[xd>>2]|0;ye=Kl(pe+(c[ud>>2]|0)|0,pe+(c[d>>2]|0)|0,f)|0;if(!ye){c[Cb>>2]=34520;gp(d,32685,Cb);Ne=1;ke=547;break a}c[ud>>2]=(c[ud>>2]|0)+ye;ye=c[f>>2]|0;c[Pd>>2]=ye;pe=c[zd>>2]|0;if(_a[c[(c[pe>>2]|0)+40>>2]&255](pe,ye)|0){gp(d,34531,Bb);Ne=1;ke=547;break a}m:do if(c[Pd>>2]|0){ye=0;n:while(1){c[f>>2]=0;pe=c[xd>>2]|0;qe=Ll(pe+(c[ud>>2]|0)|0,pe+(c[d>>2]|0)|0,f)|0;if(!qe){ke=229;break}pe=(c[ud>>2]|0)+qe|0;c[ud>>2]=pe;Oe=c[f>>2]|0;if((Oe+128|0)>>>0>=256){ke=231;break}if((Oe|0)!=-32){ke=234;break}qe=c[xd>>2]|0;se=Kl(qe+pe|0,qe+(c[d>>2]|0)|0,f)|0;if(!se){ke=236;break}qe=(c[ud>>2]|0)+se|0;c[ud>>2]=qe;se=c[f>>2]|0;pe=c[Rd>>2]|0;ie=c[Qd>>2]|0;Be=pe-ie>>2;te=ie;ie=pe;if(se>>>0<=Be>>>0){do if(se>>>0<Be>>>0){pe=te+(se<<2)|0;if((ie|0)==(pe|0))break;c[Rd>>2]=ie+(~((ie+-4-pe|0)>>>2)<<2)}while(0);if(!se){Pe=1;Qe=qe}else{Re=0;Se=qe;ke=243}}else{bo(Qd,se-Be|0);Re=0;Se=c[ud>>2]|0;ke=243}if((ke|0)==243)while(1){ke=0;c[f>>2]=0;ie=c[xd>>2]|0;te=Ll(ie+Se|0,ie+(c[d>>2]|0)|0,f)|0;if(!te){ke=244;break n}ie=(c[ud>>2]|0)+te|0;c[ud>>2]=ie;Te=c[f>>2]|0;if((Te+128|0)>>>0>=256){ke=246;break n}if(Te>>>0<=4294967291){ke=249;break n}c[(c[Qd>>2]|0)+(Re<<2)>>2]=Te;Re=Re+1|0;if(Re>>>0>=se>>>0){Pe=0;Qe=ie;break}else{Se=ie;ke=243}}Be=c[xd>>2]|0;qe=Kl(Be+Qe|0,Be+(c[d>>2]|0)|0,f)|0;if(!qe){ke=252;break}Be=(c[ud>>2]|0)+qe|0;c[ud>>2]=Be;qe=c[f>>2]|0;if(qe>>>0>=2){ke=254;break}c[g>>2]=-64;if(qe|0){c[f>>2]=0;ie=c[xd>>2]|0;te=Ll(ie+Be|0,ie+(c[d>>2]|0)|0,f)|0;if(!te){ke=257;break}c[ud>>2]=(c[ud>>2]|0)+te;Ue=c[f>>2]|0;if((Ue+128|0)>>>0>=256){ke=259;break}c[g>>2]=Ue;if(Ue>>>0<=4294967291){ke=262;break}}if(Pe)Ve=0;else Ve=c[Qd>>2]|0;te=c[zd>>2]|0;if(Ua[c[(c[te>>2]|0)+44>>2]&31](te,ye,se,Ve,qe,g)|0){ke=266;break}ye=ye+1|0;if(ye>>>0>=(c[Pd>>2]|0)>>>0)break m}switch(ke|0){case 229:{ke=0;c[Ab>>2]=34559;gp(d,33780,Ab);ke=232;break}case 231:{ke=0;c[zb>>2]=Oe;gp(d,34569,zb);ke=232;break}case 234:{ke=0;c[yb>>2]=Oe;gp(d,34586,yb);Ne=1;ke=547;break a;break}case 236:{ke=0;c[xb>>2]=34611;gp(d,32685,xb);Ne=1;ke=547;break a;break}case 244:{ke=0;c[wb>>2]=34632;gp(d,33780,wb);ke=247;break}case 246:{ke=0;c[vb>>2]=Te;gp(d,34569,vb);ke=247;break}case 249:{ke=0;c[ub>>2]=Te;gp(d,34652,ub);Ne=1;ke=547;break a;break}case 252:{ke=0;c[tb>>2]=34687;gp(d,32685,tb);Ne=1;ke=547;break a;break}case 254:{ke=0;gp(d,34709,sb);Ne=1;ke=547;break a;break}case 257:{ke=0;c[rb>>2]=34737;gp(d,33780,rb);ke=260;break}case 259:{ke=0;c[qb>>2]=Ue;gp(d,34569,qb);ke=260;break}case 262:{ke=0;c[pb>>2]=Ue;gp(d,34758,pb);break}case 266:{ke=0;gp(d,34789,ob);break}}if((ke|0)==232){ke=0;Ne=1;ke=547;break a}else if((ke|0)==247){ke=0;Ne=1;ke=547;break a}else if((ke|0)==260)ke=0;Ne=1;ke=547;break a}while(0);ye=c[zd>>2]|0;if(!(Va[c[(c[ye>>2]|0)+48>>2]&127](ye)|0))ke=545;else{gp(d,34812,nb);Ne=1;ke=547}break}case 2:{ye=c[zd>>2]|0;o:do if(!(_a[c[(c[ye>>2]|0)+52>>2]&255](ye,le)|0)){qe=c[xd>>2]|0;te=Kl(qe+(c[ud>>2]|0)|0,qe+(c[d>>2]|0)|0,f)|0;if(!te){c[lb>>2]=34878;gp(d,32685,lb);We=1;break}c[ud>>2]=(c[ud>>2]|0)+te;te=c[f>>2]|0;c[Sd>>2]=te;qe=c[zd>>2]|0;if(_a[c[(c[qe>>2]|0)+56>>2]&255](qe,te)|0){gp(d,34891,kb);We=1;break}p:do if(c[Sd>>2]|0){te=0;while(1){c[Wc>>2]=0;c[Td>>2]=0;if((ip(d,Wc,34921)|0)==1){ke=280;break}c[Xc>>2]=0;c[Ud>>2]=0;if((ip(d,Xc,34940)|0)==1){ke=282;break}qe=c[xd>>2]|0;ie=Kl(qe+(c[ud>>2]|0)|0,qe+(c[d>>2]|0)|0,Yc)|0;q:do if(!ie){c[jb>>2]=34958;gp(d,32685,jb);Xe=0}else{qe=(c[ud>>2]|0)+ie|0;c[ud>>2]=qe;r:do switch(c[Yc>>2]|0){case 0:{Be=c[xd>>2]|0;pe=Kl(Be+qe|0,Be+(c[d>>2]|0)|0,f)|0;if(!pe){c[ib>>2]=34970;gp(d,32685,ib);Xe=0;break q}c[ud>>2]=(c[ud>>2]|0)+pe;pe=c[f>>2]|0;if(pe>>>0>=(c[Pd>>2]|0)>>>0){gp(d,34993,hb);Xe=0;break q}Be=c[zd>>2]|0;ne=c[(c[Be>>2]|0)+60>>2]|0;Ce=Wc;oe=c[Ce>>2]|0;ue=c[Ce+4>>2]|0;Ce=Zc;c[Ce>>2]=oe;c[Ce+4>>2]=ue;Ce=Xc;He=c[Ce>>2]|0;Ie=c[Ce+4>>2]|0;Ce=_c;c[Ce>>2]=He;c[Ce+4>>2]=Ie;c[g>>2]=c[Zc>>2];c[g+4>>2]=c[Zc+4>>2];c[f>>2]=c[_c>>2];c[f+4>>2]=c[_c+4>>2];if(Ya[ne&63](Be,te,g,f)|0){gp(d,35024,gb);Xe=0;break q}Be=c[zd>>2]|0;ne=c[(c[Be>>2]|0)+64>>2]|0;Ce=$c;c[Ce>>2]=oe;c[Ce+4>>2]=ue;ue=ad;c[ue>>2]=He;c[ue+4>>2]=Ie;Ie=c[Md>>2]|0;c[g>>2]=c[$c>>2];c[g+4>>2]=c[$c+4>>2];c[f>>2]=c[ad>>2];c[f+4>>2]=c[ad+4>>2];if(!(Ua[ne&31](Be,te,g,f,Ie,pe)|0)){c[Md>>2]=(c[Md>>2]|0)+1;break r}else{gp(d,35049,fb);Xe=0;break q}break}case 1:{c[cd>>2]=0;c[cd+4>>2]=0;c[cd+8>>2]=0;c[cd+12>>2]=0;b[cd+16>>1]=0;do if((kp(d,bd,cd)|0)!=1){pe=c[zd>>2]|0;Ie=c[(c[pe>>2]|0)+60>>2]|0;Be=Wc;ne=c[Be>>2]|0;ue=c[Be+4>>2]|0;Be=dd;c[Be>>2]=ne;c[Be+4>>2]=ue;Be=Xc;He=c[Be>>2]|0;Ce=c[Be+4>>2]|0;Be=ed;c[Be>>2]=He;c[Be+4>>2]=Ce;c[g>>2]=c[dd>>2];c[g+4>>2]=c[dd+4>>2];c[f>>2]=c[ed>>2];c[f+4>>2]=c[ed+4>>2];if(Ya[Ie&63](pe,te,g,f)|0){gp(d,35024,eb);break}pe=c[zd>>2]|0;Ie=c[(c[pe>>2]|0)+68>>2]|0;Be=fd;c[Be>>2]=ne;c[Be+4>>2]=ue;ue=gd;c[ue>>2]=He;c[ue+4>>2]=Ce;Ce=c[Vd>>2]|0;ue=c[bd>>2]|0;c[g>>2]=c[fd>>2];c[g+4>>2]=c[fd+4>>2];c[f>>2]=c[gd>>2];c[f+4>>2]=c[gd+4>>2];if(!(Pa[Ie&31](pe,te,g,f,Ce,ue,cd)|0)){c[Vd>>2]=(c[Vd>>2]|0)+1;break r}else{gp(d,35078,db);break}}while(0);Xe=0;break q;break}case 2:{c[bd>>2]=0;c[bd+4>>2]=0;c[bd+8>>2]=0;c[bd+12>>2]=0;b[bd+16>>1]=0;do if((lp(d,bd)|0)!=1){ue=c[zd>>2]|0;Ce=c[(c[ue>>2]|0)+60>>2]|0;pe=Wc;Ie=c[pe>>2]|0;He=c[pe+4>>2]|0;pe=hd;c[pe>>2]=Ie;c[pe+4>>2]=He;pe=Xc;Be=c[pe>>2]|0;ne=c[pe+4>>2]|0;pe=id;c[pe>>2]=Be;c[pe+4>>2]=ne;c[g>>2]=c[hd>>2];c[g+4>>2]=c[hd+4>>2];c[f>>2]=c[id>>2];c[f+4>>2]=c[id+4>>2];if(Ya[Ce&63](ue,te,g,f)|0){gp(d,35024,cb);break}ue=c[zd>>2]|0;Ce=c[(c[ue>>2]|0)+72>>2]|0;pe=jd;c[pe>>2]=Ie;c[pe+4>>2]=He;He=kd;c[He>>2]=Be;c[He+4>>2]=ne;ne=c[Wd>>2]|0;c[g>>2]=c[jd>>2];c[g+4>>2]=c[jd+4>>2];c[f>>2]=c[kd>>2];c[f+4>>2]=c[kd+4>>2];if(!(Ua[Ce&31](ue,te,g,f,ne,bd)|0)){c[Wd>>2]=(c[Wd>>2]|0)+1;break r}else{gp(d,35108,bb);break}}while(0);Xe=0;break q;break}case 3:{do if((mp(d,bd,cd)|0)!=1){ne=c[zd>>2]|0;ue=c[(c[ne>>2]|0)+60>>2]|0;Ce=Wc;He=c[Ce>>2]|0;Be=c[Ce+4>>2]|0;Ce=ld;c[Ce>>2]=He;c[Ce+4>>2]=Be;Ce=Xc;pe=c[Ce>>2]|0;Ie=c[Ce+4>>2]|0;Ce=md;c[Ce>>2]=pe;c[Ce+4>>2]=Ie;c[g>>2]=c[ld>>2];c[g+4>>2]=c[ld+4>>2];c[f>>2]=c[md>>2];c[f+4>>2]=c[md+4>>2];if(Ya[ue&63](ne,te,g,f)|0){gp(d,35024,ab);break}ne=c[zd>>2]|0;ue=c[(c[ne>>2]|0)+76>>2]|0;Ce=nd;c[Ce>>2]=He;c[Ce+4>>2]=Be;Be=od;c[Be>>2]=pe;c[Be+4>>2]=Ie;Ie=c[Xd>>2]|0;Be=c[bd>>2]|0;pe=(a[cd>>0]|0)!=0;c[g>>2]=c[nd>>2];c[g+4>>2]=c[nd+4>>2];c[f>>2]=c[od>>2];c[f+4>>2]=c[od+4>>2];if(!(Pa[ue&31](ne,te,g,f,Ie,Be,pe)|0)){c[Xd>>2]=(c[Xd>>2]|0)+1;break r}else{gp(d,35139,Za);break}}while(0);Xe=0;break q;break}case 4:{if(!(a[c[Ad>>2]>>0]|0)){gp(d,35170,Xa);Xe=0;break q}c[bd>>2]=0;c[Yd>>2]=0;c[Zd>>2]=0;do if((jp(d,bd)|0)!=1){pe=c[zd>>2]|0;Be=c[(c[pe>>2]|0)+60>>2]|0;Ie=Wc;ne=c[Ie>>2]|0;ue=c[Ie+4>>2]|0;Ie=pd;c[Ie>>2]=ne;c[Ie+4>>2]=ue;Ie=Xc;Ce=c[Ie>>2]|0;He=c[Ie+4>>2]|0;Ie=qd;c[Ie>>2]=Ce;c[Ie+4>>2]=He;c[g>>2]=c[pd>>2];c[g+4>>2]=c[pd+4>>2];c[f>>2]=c[qd>>2];c[f+4>>2]=c[qd+4>>2];if(Ya[Be&63](pe,te,g,f)|0){gp(d,35024,Wa);Ye=1;break}pe=c[zd>>2]|0;Be=c[(c[pe>>2]|0)+80>>2]|0;Ie=rd;c[Ie>>2]=ne;c[Ie+4>>2]=ue;ue=sd;c[ue>>2]=Ce;c[ue+4>>2]=He;He=c[_d>>2]|0;c[g>>2]=c[rd>>2];c[g+4>>2]=c[rd+4>>2];c[f>>2]=c[sd>>2];c[f+4>>2]=c[sd+4>>2];if(!(Ua[Be&31](pe,te,g,f,He,bd)|0)){c[_d>>2]=(c[_d>>2]|0)+1;Ye=17;break}else{gp(d,35224,Ta);Ye=1;break}}else Ye=1;while(0);He=c[bd>>2]|0;if(He|0){pe=c[Yd>>2]|0;if((pe|0)!=(He|0))c[Yd>>2]=pe+(~((pe+-4-He|0)>>>2)<<2);Mt(He)}if((Ye|0)!=17){Xe=0;break q}break}default:{}}while(0);Xe=1}while(0);te=te+1|0;if(!Xe){We=1;break o}if(te>>>0>=(c[Sd>>2]|0)>>>0)break p}if((ke|0)==280){ke=0;We=1;break o}else if((ke|0)==282){ke=0;We=1;break o}}while(0);te=c[zd>>2]|0;if(!(Va[c[(c[te>>2]|0)+84>>2]&127](te)|0))We=0;else{gp(d,35258,Sa);We=1}}else{gp(d,34843,mb);We=1}while(0);Me=We;ke=546;break}case 3:{ye=c[zd>>2]|0;if(_a[c[(c[ye>>2]|0)+88>>2]&255](ye,le)|0){gp(d,35291,Ra);Ne=1;ke=547;break a}ye=c[xd>>2]|0;te=Kl(ye+(c[ud>>2]|0)|0,ye+(c[d>>2]|0)|0,f)|0;if(!te){c[Oa>>2]=35328;gp(d,32685,Oa);Ne=1;ke=547;break a}c[ud>>2]=(c[ud>>2]|0)+te;te=c[f>>2]|0;c[Nd>>2]=te;ye=c[zd>>2]|0;if(_a[c[(c[ye>>2]|0)+92>>2]&255](ye,te)|0){gp(d,35353,Na);Ne=1;ke=547;break a}s:do if(c[Nd>>2]|0){te=0;while(1){ye=(c[Md>>2]|0)+te|0;se=c[xd>>2]|0;ie=Kl(se+(c[ud>>2]|0)|0,se+(c[d>>2]|0)|0,f)|0;if(!ie){ke=343;break}c[ud>>2]=(c[ud>>2]|0)+ie;Ze=c[f>>2]|0;if(Ze>>>0>=(c[Pd>>2]|0)>>>0){ke=345;break}ie=c[zd>>2]|0;te=te+1|0;if(Qa[c[(c[ie>>2]|0)+96>>2]&127](ie,ye,Ze)|0){ke=347;break}if(te>>>0>=(c[Nd>>2]|0)>>>0)break s}if((ke|0)==343){ke=0;c[Ma>>2]=35385;gp(d,32685,Ma);Ne=1;ke=547;break a}else if((ke|0)==345){ke=0;c[La>>2]=Ze;gp(d,35410,La);Ne=1;ke=547;break a}else if((ke|0)==347){ke=0;gp(d,35447,Ka);Ne=1;ke=547;break a}}while(0);te=c[zd>>2]|0;if(!(Va[c[(c[te>>2]|0)+100>>2]&127](te)|0))ke=545;else{gp(d,35474,Ja);Ne=1;ke=547}break}case 4:{te=c[zd>>2]|0;if(_a[c[(c[te>>2]|0)+104>>2]&255](te,le)|0){gp(d,35509,Ia);Ne=1;ke=547;break a}te=c[xd>>2]|0;ye=Kl(te+(c[ud>>2]|0)|0,te+(c[d>>2]|0)|0,f)|0;if(!ye){c[Ha>>2]=35543;gp(d,32685,Ha);Ne=1;ke=547;break a}c[ud>>2]=(c[ud>>2]|0)+ye;ye=c[f>>2]|0;c[$d>>2]=ye;if(ye>>>0>=2){c[Ga>>2]=ye;gp(d,35555,Ga);Ne=1;ke=547;break a}te=c[zd>>2]|0;if(_a[c[(c[te>>2]|0)+108>>2]&255](te,ye)|0){gp(d,35587,Fa);Ne=1;ke=547;break a}t:do if(c[$d>>2]|0){ye=0;while(1){te=c[Vd>>2]|0;c[g>>2]=0;c[g+4>>2]=0;c[g+8>>2]=0;c[g+12>>2]=0;b[g+16>>1]=0;if((kp(d,f,g)|0)==1)break;ie=c[zd>>2]|0;if(Ya[c[(c[ie>>2]|0)+112>>2]&63](ie,te+ye|0,c[f>>2]|0,g)|0){ke=361;break}ye=ye+1|0;if(ye>>>0>=(c[$d>>2]|0)>>>0)break t}if((ke|0)==361){ke=0;gp(d,35616,Ea)}Ne=1;ke=547;break a}while(0);ye=c[zd>>2]|0;if(!(Va[c[(c[ye>>2]|0)+116>>2]&127](ye)|0))ke=545;else{gp(d,35640,Da);Ne=1;ke=547}break}case 5:{ye=c[zd>>2]|0;if(_a[c[(c[ye>>2]|0)+120>>2]&255](ye,le)|0){gp(d,35672,Ca);Ne=1;ke=547;break a}ye=c[xd>>2]|0;te=Kl(ye+(c[ud>>2]|0)|0,ye+(c[d>>2]|0)|0,f)|0;if(!te){c[Ba>>2]=35707;gp(d,32685,Ba);Ne=1;ke=547;break a}c[ud>>2]=(c[ud>>2]|0)+te;te=c[f>>2]|0;c[ae>>2]=te;if(te>>>0>=2){gp(d,35720,Aa);Ne=1;ke=547;break a}ye=c[zd>>2]|0;if(_a[c[(c[ye>>2]|0)+124>>2]&255](ye,te)|0){gp(d,35748,za);Ne=1;ke=547;break a}u:do if(c[ae>>2]|0){te=0;while(1){ye=c[Wd>>2]|0;c[f>>2]=0;c[f+4>>2]=0;c[f+8>>2]=0;c[f+12>>2]=0;b[f+16>>1]=0;if((lp(d,f)|0)==1)break;ie=c[zd>>2]|0;if(Qa[c[(c[ie>>2]|0)+128>>2]&127](ie,ye+te|0,f)|0){ke=377;break}te=te+1|0;if(te>>>0>=(c[ae>>2]|0)>>>0)break u}if((ke|0)==377){ke=0;gp(d,35778,ya)}Ne=1;ke=547;break a}while(0);te=c[zd>>2]|0;if(!(Va[c[(c[te>>2]|0)+132>>2]&127](te)|0))ke=545;else{gp(d,35803,xa);Ne=1;ke=547}break}case 6:{te=c[zd>>2]|0;if(_a[c[(c[te>>2]|0)+136>>2]&255](te,le)|0){gp(d,35836,wa);Ne=1;ke=547;break a}te=c[xd>>2]|0;ye=Kl(te+(c[ud>>2]|0)|0,te+(c[d>>2]|0)|0,f)|0;if(!ye){c[va>>2]=35871;gp(d,32685,va);Ne=1;ke=547;break a}c[ud>>2]=(c[ud>>2]|0)+ye;ye=c[f>>2]|0;c[be>>2]=ye;te=c[zd>>2]|0;if(_a[c[(c[te>>2]|0)+140>>2]&255](te,ye)|0){gp(d,35884,ua);Ne=1;ke=547;break a}v:do if(c[be>>2]|0){ye=0;while(1){te=(c[Xd>>2]|0)+ye|0;if((mp(d,f,g)|0)==1)break;ie=c[zd>>2]|0;if(Ya[c[(c[ie>>2]|0)+144>>2]&63](ie,te,c[f>>2]|0,(a[g>>0]|0)!=0)|0){ke=391;break}ie=c[zd>>2]|0;if(_a[c[(c[ie>>2]|0)+148>>2]&255](ie,te)|0){ke=393;break}if((np(d,te,0)|0)==1)break;ie=c[zd>>2]|0;if(_a[c[(c[ie>>2]|0)+152>>2]&255](ie,te)|0){ke=396;break}ie=c[zd>>2]|0;if(_a[c[(c[ie>>2]|0)+156>>2]&255](ie,te)|0){ke=398;break}ye=ye+1|0;if(ye>>>0>=(c[be>>2]|0)>>>0)break v}if((ke|0)==391){ke=0;gp(d,35914,ta)}else if((ke|0)==393){ke=0;gp(d,35942,sa)}else if((ke|0)==396){ke=0;gp(d,35978,ra)}else if((ke|0)==398){ke=0;gp(d,36012,qa)}Ne=1;ke=547;break a}while(0);ye=c[zd>>2]|0;if(!(Va[c[(c[ye>>2]|0)+160>>2]&127](ye)|0))ke=545;else{gp(d,36038,pa);Ne=1;ke=547}break}case 7:{ye=c[zd>>2]|0;w:do if(!(_a[c[(c[ye>>2]|0)+164>>2]&255](ye,le)|0)){te=c[xd>>2]|0;ie=Kl(te+(c[ud>>2]|0)|0,te+(c[d>>2]|0)|0,f)|0;if(!ie){c[na>>2]=36106;gp(d,32685,na);_e=1;break}c[ud>>2]=(c[ud>>2]|0)+ie;ie=c[f>>2]|0;c[ce>>2]=ie;te=c[zd>>2]|0;if(_a[c[(c[te>>2]|0)+168>>2]&255](te,ie)|0){gp(d,36119,ma);_e=1;break}x:do if(c[ce>>2]|0){ie=0;y:while(1){c[g>>2]=0;c[de>>2]=0;if((ip(d,g,36149)|0)==1)break;te=c[ud>>2]|0;se=te+1|0;qe=c[d>>2]|0;if(se>>>0>qe>>>0){ke=412;break}ve=c[xd>>2]|0;$e=a[ve+te>>0]|0;c[ud>>2]=se;if(($e&255)>=5){ke=414;break}te=Kl(ve+se|0,ve+qe|0,f)|0;if(!te){ke=416;break}c[ud>>2]=(c[ud>>2]|0)+te;af=c[f>>2]|0;switch($e<<24>>24){case 0:{if(af>>>0>=((c[Nd>>2]|0)+(c[Md>>2]|0)|0)>>>0){ke=419;break y}break}case 1:{if(af>>>0>=((c[$d>>2]|0)+(c[Vd>>2]|0)|0)>>>0){ke=421;break y}break}case 2:{if(af>>>0>=((c[ae>>2]|0)+(c[Wd>>2]|0)|0)>>>0){ke=423;break y}break}case 3:{if(af>>>0>=((c[be>>2]|0)+(c[Xd>>2]|0)|0)>>>0){ke=425;break y}break}case 4:{if(!(a[c[Ad>>2]>>0]|0)){ke=427;break y}break}default:{}}te=c[zd>>2]|0;qe=c[(c[te>>2]|0)+172>>2]|0;ve=g;se=c[ve+4>>2]|0;He=Wc;c[He>>2]=c[ve>>2];c[He+4>>2]=se;c[f>>2]=c[Wc>>2];c[f+4>>2]=c[Wc+4>>2];if($a[qe&31](te,ie,$e&255,af,f)|0){ke=429;break}ie=ie+1|0;if(ie>>>0>=(c[ce>>2]|0)>>>0)break x}if((ke|0)==412){ke=0;c[la>>2]=36187;c[la+4>>2]=36166;gp(d,32530,la)}else if((ke|0)==414){ke=0;c[ka>>2]=$e&255;gp(d,36195,ka)}else if((ke|0)==416){ke=0;c[ja>>2]=36228;gp(d,32685,ja)}else if((ke|0)==419){ke=0;c[ia>>2]=af;gp(d,36246,ia)}else if((ke|0)==421){ke=0;c[ha>>2]=af;gp(d,36276,ha)}else if((ke|0)==423){ke=0;c[ga>>2]=af;gp(d,36307,ga)}else if((ke|0)==425){ke=0;c[fa>>2]=af;gp(d,36339,fa)}else if((ke|0)==427){ke=0;gp(d,36371,ea)}else if((ke|0)==429){ke=0;gp(d,36425,da)}_e=1;break w}while(0);ie=c[zd>>2]|0;if(!(Va[c[(c[ie>>2]|0)+176>>2]&127](ie)|0))_e=0;else{gp(d,36450,ca);_e=1}}else{gp(d,36071,oa);_e=1}while(0);Me=_e;ke=546;break}case 8:{ye=c[zd>>2]|0;if(_a[c[(c[ye>>2]|0)+180>>2]&255](ye,le)|0){gp(d,36483,ba);Ne=1;ke=547;break a}ye=c[xd>>2]|0;ie=Kl(ye+(c[ud>>2]|0)|0,ye+(c[d>>2]|0)|0,f)|0;if(!ie){c[aa>>2]=36517;gp(d,32685,aa);Ne=1;ke=547;break a}c[ud>>2]=(c[ud>>2]|0)+ie;ie=c[f>>2]|0;if(ie>>>0>=((c[Nd>>2]|0)+(c[Md>>2]|0)|0)>>>0){c[$>>2]=ie;gp(d,36538,$);Ne=1;ke=547;break a}ye=c[zd>>2]|0;if(_a[c[(c[ye>>2]|0)+184>>2]&255](ye,ie)|0){gp(d,36571,_);Ne=1;ke=547;break a}ie=c[zd>>2]|0;if(!(Va[c[(c[ie>>2]|0)+188>>2]&127](ie)|0))ke=545;else{gp(d,36603,Z);Ne=1;ke=547}break}case 9:{ie=c[zd>>2]|0;if(_a[c[(c[ie>>2]|0)+432>>2]&255](ie,le)|0){gp(d,36635,Y);Ne=1;ke=547;break a}ie=c[xd>>2]|0;ye=Kl(ie+(c[ud>>2]|0)|0,ie+(c[d>>2]|0)|0,f)|0;if(!ye){c[X>>2]=36668;gp(d,32685,X);Ne=1;ke=547;break a}c[ud>>2]=(c[ud>>2]|0)+ye;ye=c[f>>2]|0;ie=c[zd>>2]|0;if(_a[c[(c[ie>>2]|0)+436>>2]&255](ie,ye)|0){gp(d,36687,W);Ne=1;ke=547;break a}z:do if(ye|0){if((c[$d>>2]|0)==(0-(c[Vd>>2]|0)|0)){gp(d,36722,V);Ne=1;ke=547;break a}else bf=0;A:while(1){ie=c[xd>>2]|0;te=Kl(ie+(c[ud>>2]|0)|0,ie+(c[d>>2]|0)|0,f)|0;if(!te){ke=456;break}c[ud>>2]=(c[ud>>2]|0)+te;te=c[zd>>2]|0;if(Qa[c[(c[te>>2]|0)+440>>2]&127](te,bf,c[f>>2]|0)|0){ke=458;break}te=c[zd>>2]|0;if(_a[c[(c[te>>2]|0)+444>>2]&255](te,bf)|0){ke=460;break}if((np(d,bf,1)|0)==1){Ne=1;ke=547;break a}te=c[zd>>2]|0;if(_a[c[(c[te>>2]|0)+448>>2]&255](te,bf)|0){ke=463;break}te=c[xd>>2]|0;ie=Kl(te+(c[ud>>2]|0)|0,te+(c[d>>2]|0)|0,f)|0;if(!ie){ke=465;break}c[ud>>2]=(c[ud>>2]|0)+ie;ie=c[f>>2]|0;te=c[zd>>2]|0;if(Qa[c[(c[te>>2]|0)+452>>2]&127](te,bf,ie)|0){ke=468;break}if(ie|0){te=0;do{qe=c[xd>>2]|0;se=Kl(qe+(c[ud>>2]|0)|0,qe+(c[d>>2]|0)|0,f)|0;if(!se){ke=471;break A}c[ud>>2]=(c[ud>>2]|0)+se;se=c[zd>>2]|0;te=te+1|0;if(Qa[c[(c[se>>2]|0)+456>>2]&127](se,bf,c[f>>2]|0)|0){ke=473;break A}}while(te>>>0<ie>>>0)}ie=c[zd>>2]|0;if(_a[c[(c[ie>>2]|0)+460>>2]&255](ie,bf)|0){ke=475;break}bf=bf+1|0;if(bf>>>0>=ye>>>0)break z}if((ke|0)==456){ke=0;c[U>>2]=36757;gp(d,32685,U);Ne=1;ke=547;break a}else if((ke|0)==458){ke=0;gp(d,36782,T);Ne=1;ke=547;break a}else if((ke|0)==460){ke=0;gp(d,36815,S);Ne=1;ke=547;break a}else if((ke|0)==463){ke=0;gp(d,36856,R);Ne=1;ke=547;break a}else if((ke|0)==465){ke=0;c[Q>>2]=36895;gp(d,32685,Q);Ne=1;ke=547;break a}else if((ke|0)==468){ke=0;gp(d,36929,P);Ne=1;ke=547;break a}else if((ke|0)==471){ke=0;c[O>>2]=36977;gp(d,32685,O);Ne=1;ke=547;break a}else if((ke|0)==473){ke=0;gp(d,37005,N);Ne=1;ke=547;break a}else if((ke|0)==475){ke=0;gp(d,37048,M);Ne=1;ke=547;break a}}while(0);ye=c[zd>>2]|0;if(!(Va[c[(c[ye>>2]|0)+464>>2]&127](ye)|0))ke=545;else{gp(d,37079,L);Ne=1;ke=547}break}case 10:{ye=c[zd>>2]|0;if(_a[c[(c[ye>>2]|0)+192>>2]&255](ye,le)|0){gp(d,37110,K);Ne=1;ke=547;break a}ye=c[xd>>2]|0;ie=Kl(ye+(c[ud>>2]|0)|0,ye+(c[d>>2]|0)|0,f)|0;if(!ie){c[J>>2]=37143;gp(d,32685,J);Ne=1;ke=547;break a}c[ud>>2]=(c[ud>>2]|0)+ie;ie=c[f>>2]|0;c[ee>>2]=ie;if((c[Nd>>2]|0)!=(ie|0)){gp(d,37163,I);Ne=1;ke=547;break a}ye=c[zd>>2]|0;if(_a[c[(c[ye>>2]|0)+196>>2]&255](ye,ie)|0){gp(d,37211,H);Ne=1;ke=547;break a}B:do if(c[ee>>2]|0){ie=0;C:while(1){ye=(c[Md>>2]|0)+ie|0;te=c[zd>>2]|0;if(_a[c[(c[te>>2]|0)+200>>2]&255](te,ye)|0){ke=488;break}te=c[xd>>2]|0;se=Kl(te+(c[ud>>2]|0)|0,te+(c[d>>2]|0)|0,g)|0;if(!se){ke=490;break}te=(c[ud>>2]|0)+se|0;c[ud>>2]=te;se=(c[g>>2]|0)+te|0;qe=c[xd>>2]|0;He=Kl(qe+te|0,qe+(c[d>>2]|0)|0,f)|0;if(!He){ke=492;break}c[ud>>2]=(c[ud>>2]|0)+He;He=c[f>>2]|0;qe=c[zd>>2]|0;if(_a[c[(c[qe>>2]|0)+204>>2]&255](qe,He)|0){ke=495;break}if(He|0){qe=0;do{te=c[xd>>2]|0;ve=Kl(te+(c[ud>>2]|0)|0,te+(c[d>>2]|0)|0,f)|0;if(!ve){ke=498;break C}te=(c[ud>>2]|0)+ve|0;c[ud>>2]=te;ve=c[f>>2]|0;c[f>>2]=0;pe=c[xd>>2]|0;Be=Ll(pe+te|0,pe+(c[d>>2]|0)|0,f)|0;if(!Be){ke=500;break C}c[ud>>2]=(c[ud>>2]|0)+Be;cf=c[f>>2]|0;if((cf+128|0)>>>0>=256){ke=502;break C}if(cf>>>0<=4294967291){ke=505;break C}Be=c[zd>>2]|0;if(Ya[c[(c[Be>>2]|0)+208>>2]&63](Be,qe,ve,cf)|0){ke=507;break C}qe=qe+1|0}while(qe>>>0<He>>>0)}if((op(d,se)|0)==1)break;He=c[zd>>2]|0;if(_a[c[(c[He>>2]|0)+424>>2]&255](He,ye)|0){ke=510;break}ie=ie+1|0;if(ie>>>0>=(c[ee>>2]|0)>>>0)break B}switch(ke|0){case 488:{ke=0;gp(d,37247,G);Ne=1;ke=547;break a;break}case 490:{ke=0;c[F>>2]=37281;gp(d,32685,F);break}case 492:{ke=0;c[E>>2]=37300;gp(d,32685,E);break}case 495:{ke=0;gp(d,37324,D);break}case 498:{ke=0;c[C>>2]=37357;gp(d,32685,C);break}case 500:{ke=0;c[B>>2]=37374;gp(d,33780,B);ke=503;break}case 502:{ke=0;c[A>>2]=cf;gp(d,34569,A);ke=503;break}case 505:{ke=0;gp(d,37385,z);break}case 507:{ke=0;gp(d,37411,y);break}case 510:{ke=0;gp(d,37439,x);break}}if((ke|0)==503)ke=0;Ne=1;ke=547;break a}while(0);ie=c[zd>>2]|0;if(!(Va[c[(c[ie>>2]|0)+428>>2]&127](ie)|0))ke=545;else{gp(d,37471,w);Ne=1;ke=547}break}case 11:{ie=c[zd>>2]|0;if(_a[c[(c[ie>>2]|0)+468>>2]&255](ie,le)|0){gp(d,37502,v);Ne=1;ke=547;break a}ie=c[xd>>2]|0;He=Kl(ie+(c[ud>>2]|0)|0,ie+(c[d>>2]|0)|0,f)|0;if(!He){c[u>>2]=37535;gp(d,32685,u);Ne=1;ke=547;break a}c[ud>>2]=(c[ud>>2]|0)+He;He=c[f>>2]|0;ie=c[zd>>2]|0;if(_a[c[(c[ie>>2]|0)+472>>2]&255](ie,He)|0){gp(d,37554,t);Ne=1;ke=547;break a}D:do if(He|0){if((c[ae>>2]|0)==(0-(c[Wd>>2]|0)|0)){gp(d,37589,s);Ne=1;ke=547;break a}else df=0;while(1){ie=c[xd>>2]|0;qe=Kl(ie+(c[ud>>2]|0)|0,ie+(c[d>>2]|0)|0,f)|0;if(!qe){ke=526;break}c[ud>>2]=(c[ud>>2]|0)+qe;qe=c[zd>>2]|0;if(Qa[c[(c[qe>>2]|0)+476>>2]&127](qe,df,c[f>>2]|0)|0){ke=528;break}qe=c[zd>>2]|0;if(_a[c[(c[qe>>2]|0)+480>>2]&255](qe,df)|0){ke=530;break}if((np(d,df,1)|0)==1){Ne=1;ke=547;break a}qe=c[zd>>2]|0;if(_a[c[(c[qe>>2]|0)+484>>2]&255](qe,df)|0){ke=533;break}c[f>>2]=0;qe=c[xd>>2]|0;ie=Kl(qe+(c[ud>>2]|0)|0,qe+(c[d>>2]|0)|0,f)|0;if(!ie){ke=535;break}qe=(c[ud>>2]|0)+ie|0;c[ud>>2]=qe;ie=c[f>>2]|0;ve=ie+qe|0;if(ve>>>0>(c[d>>2]|0)>>>0){ke=537;break}Be=(c[xd>>2]|0)+qe|0;c[ud>>2]=ve;ve=c[zd>>2]|0;if(Ya[c[(c[ve>>2]|0)+488>>2]&63](ve,df,Be,ie)|0){ke=540;break}ie=c[zd>>2]|0;if(_a[c[(c[ie>>2]|0)+492>>2]&255](ie,df)|0){ke=542;break}df=df+1|0;if(df>>>0>=He>>>0)break D}if((ke|0)==526){ke=0;c[r>>2]=37625;gp(d,32685,r);Ne=1;ke=547;break a}else if((ke|0)==528){ke=0;gp(d,37651,q);Ne=1;ke=547;break a}else if((ke|0)==530){ke=0;gp(d,37684,p);Ne=1;ke=547;break a}else if((ke|0)==533){ke=0;gp(d,37725,o);Ne=1;ke=547;break a}else if((ke|0)==535){ke=0;c[n>>2]=34061;gp(d,32685,n)}else if((ke|0)==537){ke=0;c[m>>2]=37764;gp(d,37782,m)}else if((ke|0)==540){ke=0;gp(d,37806,k);Ne=1;ke=547;break a}else if((ke|0)==542){ke=0;gp(d,37840,j);Ne=1;ke=547;break a}Ne=1;ke=547;break a}while(0);He=c[zd>>2]|0;if(!(Va[c[(c[He>>2]|0)+496>>2]&127](He)|0))ke=545;else{gp(d,37871,i);Ne=1;ke=547}break}default:{Ne=fe;ke=547}}while(0);if((ke|0)==545){ke=0;ef=(fe|0)==1&1}else if((ke|0)==546){ke=0;le=(Me|0)==1;He=((fe|0)==1|le)&1;if(le){Ne=He;ke=547}else ef=He}if((ke|0)==547){ke=0;if(a[(c[Ad>>2]|0)+9>>0]|0)break;c[ud>>2]=c[d>>2];ef=Ne}he=c[ud>>2]|0;ff=c[d>>2]|0;if((he|0)!=(ff|0)){ke=550;break}if(!je)c[yd>>2]=me;ge=c[vd>>2]|0;if(he>>>0>=ge>>>0){wd=ef;ke=555;break}else fe=ef}if((ke|0)==4){c[Vc>>2]=32672;gp(d,32685,Vc)}else if((ke|0)==6){c[Uc>>2]=32715;gp(d,32685,Uc)}else if((ke|0)==8){c[Tc>>2]=me;c[Tc+4>>2]=11;gp(d,32728,Tc)}else if((ke|0)==10)gp(d,32764,Sc);else if((ke|0)==12){c[Rc>>2]=c[4464+(me<<2)>>2];gp(d,32803,Rc)}else if((ke|0)==14)gp(d,32827,Qc);else if((ke|0)==550){c[h>>2]=ff;gp(d,37902,h)}else if((ke|0)==555){l=e;return wd|0}wd=1;l=e;return wd|0}function ip(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0;e=l;l=l+32|0;f=e+16|0;g=e+8|0;h=e;i=e+20|0;c[i>>2]=0;j=a+4|0;k=c[j>>2]|0;m=a+12|0;n=Kl(k+(c[m>>2]|0)|0,k+(c[a>>2]|0)|0,i)|0;if(!n){c[h>>2]=41498;gp(a,32685,h);o=1;l=e;return o|0}h=(c[m>>2]|0)+n|0;c[m>>2]=h;n=c[i>>2]|0;if((n+h|0)>>>0>(c[a>>2]|0)>>>0){c[g>>2]=d;gp(a,41512,g);o=1;l=e;return o|0}g=(c[j>>2]|0)+h|0;c[b>>2]=g;c[b+4>>2]=n;c[m>>2]=(c[m>>2]|0)+n;if(hm(g,n)|0){o=0;l=e;return o|0}c[f>>2]=d;gp(a,41538,f);o=1;l=e;return o|0}function jp(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;d=l;l=l+32|0;e=d+24|0;f=d+16|0;g=d+8|0;h=d;i=d+28|0;j=a+4|0;k=c[j>>2]|0;m=a+12|0;n=Kl(k+(c[m>>2]|0)|0,k+(c[a>>2]|0)|0,i)|0;if(!n){c[h>>2]=41411;gp(a,32685,h);o=1;l=d;return o|0}c[m>>2]=(c[m>>2]|0)+n;n=c[i>>2]|0;h=b+4|0;k=c[h>>2]|0;p=c[b>>2]|0;q=k-p>>2;r=p;p=k;if(n>>>0<=q>>>0){if(n>>>0<q>>>0?(k=r+(n<<2)|0,(p|0)!=(k|0)):0)c[h>>2]=p+(~((p+-4-k|0)>>>2)<<2);if(!n){o=0;l=d;return o|0}}else bo(b,n-q|0);q=0;k=c[m>>2]|0;while(1){c[i>>2]=0;p=c[j>>2]|0;h=Ll(p+k|0,p+(c[a>>2]|0)|0,i)|0;if(!h){s=11;break}k=(c[m>>2]|0)+h|0;c[m>>2]=k;t=c[i>>2]|0;if((t+128|0)>>>0>=256){s=13;break}if(t>>>0<=4294967291){s=16;break}c[(c[b>>2]|0)+(q<<2)>>2]=t;q=q+1|0;if(q>>>0>=n>>>0){o=0;s=18;break}}if((s|0)==11){c[g>>2]=41432;gp(a,33780,g)}else if((s|0)==13){c[f>>2]=t;gp(a,34569,f)}else if((s|0)==16){c[e>>2]=t;gp(a,41453,e);o=1;l=d;return o|0}else if((s|0)==18){l=d;return o|0}o=1;l=d;return o|0}function kp(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;f=l;l=l+80|0;g=f+56|0;h=f+48|0;i=f+40|0;j=f+32|0;k=f+24|0;m=f+16|0;n=f+8|0;o=f;p=f+68|0;q=f+64|0;r=f+60|0;c[p>>2]=0;s=b+4|0;t=c[s>>2]|0;u=b+12|0;v=Ll(t+(c[u>>2]|0)|0,t+(c[b>>2]|0)|0,p)|0;do if(!v){c[o>>2]=41229;gp(b,33780,o)}else{t=(c[u>>2]|0)+v|0;c[u>>2]=t;w=c[p>>2]|0;if((w+128|0)>>>0>=256){c[n>>2]=w;gp(b,34569,n);break}c[d>>2]=w;if((w|0)!=-16){gp(b,41245,m);x=1;l=f;return x|0}c[r>>2]=0;w=c[s>>2]|0;y=Kl(w+t|0,w+(c[b>>2]|0)|0,p)|0;do if(!y){c[k>>2]=41277;gp(b,32685,k);z=1}else{w=(c[u>>2]|0)+y|0;c[u>>2]=w;t=c[s>>2]|0;A=Kl(t+w|0,t+(c[b>>2]|0)|0,q)|0;if(!A){c[j>>2]=41289;gp(b,32685,j);z=1;break}t=(c[u>>2]|0)+A|0;c[u>>2]=t;A=c[p>>2]|0;w=A&1;B=w&255;if(A&2|0){gp(b,41314,i);z=1;break}if(w){w=c[s>>2]|0;A=Kl(w+t|0,w+(c[b>>2]|0)|0,r)|0;if(!A){c[h>>2]=41339;gp(b,32685,h);z=1;break}c[u>>2]=(c[u>>2]|0)+A;A=c[q>>2]|0;w=c[r>>2]|0;if(A>>>0>w>>>0){gp(b,41360,g);z=1;break}else{C=A;D=w}}else{C=c[q>>2]|0;D=0}a[e+16>>0]=B;B=e;c[B>>2]=C;c[B+4>>2]=0;B=e+8|0;c[B>>2]=D;c[B+4>>2]=0;z=0}while(0);x=z;l=f;return x|0}while(0);x=1;l=f;return x|0}function lp(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;e=l;l=l+64|0;f=e+48|0;g=e+40|0;h=e+32|0;i=e+8|0;j=e;k=e+60|0;m=e+56|0;n=e+52|0;c[n>>2]=0;o=b+4|0;p=c[o>>2]|0;q=b+12|0;r=Kl(p+(c[q>>2]|0)|0,p+(c[b>>2]|0)|0,k)|0;if(!r){c[j>>2]=41041;gp(b,32685,j);s=1;l=e;return s|0}j=(c[q>>2]|0)+r|0;c[q>>2]=j;r=c[o>>2]|0;p=Kl(r+j|0,r+(c[b>>2]|0)|0,m)|0;if(!p){c[i>>2]=41054;gp(b,32685,i);s=1;l=e;return s|0}i=(c[q>>2]|0)+p|0;c[q>>2]=i;p=c[m>>2]|0;if(p>>>0>=65537){gp(b,41080,e+16|0);s=1;l=e;return s|0}r=c[k>>2]|0;k=r&1;j=k&255;t=r>>>1&1;if((r&3|0)==2){gp(b,41108,e+24|0);s=1;l=e;return s|0}if(k){k=c[o>>2]|0;o=Kl(k+i|0,k+(c[b>>2]|0)|0,n)|0;if(!o){c[h>>2]=41143;gp(b,32685,h);s=1;l=e;return s|0}c[q>>2]=(c[q>>2]|0)+o;o=c[n>>2]|0;if(o>>>0>=65537){gp(b,41165,g);s=1;l=e;return s|0}g=c[m>>2]|0;if(g>>>0>o>>>0){gp(b,41189,f);s=1;l=e;return s|0}else{u=g;v=o}}else{u=p;v=0}a[d+16>>0]=j;a[d+17>>0]=t;t=d;c[t>>2]=u;c[t+4>>2]=0;t=d+8|0;c[t>>2]=v;c[t+4>>2]=0;s=0;l=e;return s|0}function mp(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;f=l;l=l+48|0;g=f+32|0;h=f+24|0;i=f+16|0;j=f+8|0;k=f;m=f+36|0;c[m>>2]=0;n=b+4|0;o=c[n>>2]|0;p=b+12|0;q=Ll(o+(c[p>>2]|0)|0,o+(c[b>>2]|0)|0,m)|0;do if(q){o=(c[p>>2]|0)+q|0;c[p>>2]=o;r=c[m>>2]|0;if((r+128|0)>>>0>=256){c[j>>2]=r;gp(b,34569,j);break}if(r>>>0<=4294967291){c[i>>2]=r;gp(b,40965,i);s=1;l=f;return s|0}t=o+1|0;if(t>>>0>(c[b>>2]|0)>>>0){c[h>>2]=36187;c[h+4>>2]=40990;gp(b,32530,h);s=1;l=f;return s|0}u=a[(c[n>>2]|0)+o>>0]|0;c[p>>2]=t;if((u&255)<2){c[d>>2]=r;a[e>>0]=u<<24>>24!=0&1;s=0;l=f;return s|0}else{gp(b,41008,g);s=1;l=f;return s|0}}else{c[k>>2]=40953;gp(b,33780,k)}while(0);s=1;l=f;return s|0}function np(a,b,e){a=a|0;b=b|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;f=l;l=l+112|0;g=f+96|0;h=f+88|0;i=f+72|0;j=f+56|0;k=f+40|0;m=f+24|0;n=f+8|0;o=f;p=f+100|0;if((pp(a,p)|0)==1){q=1;l=f;return q|0}r=c[p>>2]|0;a:do switch(r|0){case 50:{c[o>>2]=0;s=c[a+4>>2]|0;t=a+12|0;u=Ll(s+(c[t>>2]|0)|0,s+(c[a>>2]|0)|0,o)|0;if(!u){c[n>>2]=40528;gp(a,33780,n);q=1;l=f;return q|0}c[t>>2]=(c[t>>2]|0)+u;u=c[a+36>>2]|0;if(!(Qa[c[(c[u>>2]|0)+616>>2]&127](u,b,c[o>>2]|0)|0))break a;gp(a,40554,f+16|0);q=1;l=f;return q|0}case 51:{u=o;c[u>>2]=0;c[u+4>>2]=0;u=c[a+4>>2]|0;t=a+12|0;s=Ml(u+(c[t>>2]|0)|0,u+(c[a>>2]|0)|0,o)|0;if(!s){c[m>>2]=40593;gp(a,38730,m);q=1;l=f;return q|0}c[t>>2]=(c[t>>2]|0)+s;s=c[a+36>>2]|0;t=o;if(!(Ya[c[(c[s>>2]|0)+620>>2]&63](s,b,c[t>>2]|0,c[t+4>>2]|0)|0))break a;gp(a,40619,f+32|0);q=1;l=f;return q|0}case 52:{t=a+12|0;s=c[t>>2]|0;u=s+4|0;if(u>>>0>(c[a>>2]|0)>>>0){c[k>>2]=38838;c[k+4>>2]=40658;gp(a,32530,k);q=1;l=f;return q|0}v=(c[a+4>>2]|0)+s|0;s=d[v>>0]|d[v+1>>0]<<8|d[v+2>>0]<<16|d[v+3>>0]<<24;c[t>>2]=u;u=c[a+36>>2]|0;if(Qa[c[(c[u>>2]|0)+604>>2]&127](u,b,s)|0){gp(a,40684,f+48|0);q=1;l=f;return q|0}break}case 53:{s=a+12|0;u=c[s>>2]|0;t=u+8|0;if(t>>>0>(c[a>>2]|0)>>>0){c[j>>2]=38919;c[j+4>>2]=40723;gp(a,32530,j);q=1;l=f;return q|0}v=(c[a+4>>2]|0)+u|0;u=v;w=d[u>>0]|d[u+1>>0]<<8|d[u+2>>0]<<16|d[u+3>>0]<<24;u=v+4|0;v=d[u>>0]|d[u+1>>0]<<8|d[u+2>>0]<<16|d[u+3>>0]<<24;c[s>>2]=t;t=c[a+36>>2]|0;if(Ya[c[(c[t>>2]|0)+608>>2]&63](t,b,w,v)|0){gp(a,40749,f+64|0);q=1;l=f;return q|0}break}case 23:{v=c[a+4>>2]|0;w=a+12|0;t=Kl(v+(c[w>>2]|0)|0,v+(c[a>>2]|0)|0,o)|0;if(!t){c[i>>2]=40788;gp(a,32685,i);q=1;l=f;return q|0}c[w>>2]=(c[w>>2]|0)+t;t=c[a+36>>2]|0;if(Qa[c[(c[t>>2]|0)+612>>2]&127](t,b,c[o>>2]|0)|0){gp(a,40815,f+80|0);q=1;l=f;return q|0}break}case 11:{q=0;l=f;return q|0}default:{q=rp(a,r,40855)|0;l=f;return q|0}}while(0);b:do if(e){switch(r|0){case 23:case 50:{break b;break}default:{}}gp(a,40881,h);q=1;l=f;return q|0}while(0);if((pp(a,p)|0)==1){q=1;l=f;return q|0}if((c[p>>2]|0)==11){q=0;l=f;return q|0}gp(a,40904,g);q=1;l=f;return q|0}function op(a,b){a=a|0;b=b|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Ra=0,Sa=0,Ta=0,Ua=0,Wa=0,Xa=0,Za=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0;e=l;l=l+1264|0;f=e+1176|0;g=e+1168|0;h=e+1160|0;i=e+1152|0;j=e+1144|0;k=e+1136|0;m=e+1128|0;n=e+1120|0;o=e+1112|0;p=e+1104|0;q=e+1096|0;r=e+1088|0;s=e+1080|0;t=e+1072|0;u=e+1064|0;v=e+1056|0;w=e+1048|0;x=e+1040|0;y=e+1032|0;z=e+1024|0;A=e+1016|0;B=e+1008|0;C=e+1e3|0;D=e+992|0;E=e+984|0;F=e+976|0;G=e+968|0;H=e+960|0;I=e+952|0;J=e+944|0;K=e+936|0;L=e+928|0;M=e+920|0;N=e+912|0;O=e+904|0;P=e+896|0;Q=e+888|0;R=e+880|0;S=e+872|0;T=e+864|0;U=e+856|0;V=e+848|0;W=e+840|0;X=e+832|0;Y=e+824|0;Z=e+816|0;_=e+808|0;$=e+800|0;aa=e+792|0;ba=e+784|0;ca=e+776|0;da=e+768|0;ea=e+760|0;fa=e+752|0;ga=e+744|0;ha=e+736|0;ia=e+728|0;ja=e+720|0;ka=e+712|0;la=e+704|0;ma=e+696|0;na=e+688|0;oa=e+680|0;pa=e+672|0;qa=e+664|0;ra=e+656|0;sa=e+648|0;ta=e+640|0;ua=e+632|0;va=e+624|0;wa=e+616|0;xa=e+608|0;ya=e+600|0;za=e+592|0;Aa=e+584|0;Ba=e+576|0;Ca=e+568|0;Da=e+560|0;Ea=e+552|0;Fa=e+544|0;Ga=e+536|0;Ha=e+528|0;Ia=e+520|0;Ja=e+512|0;Ka=e+504|0;La=e+496|0;Ma=e+488|0;Na=e+480|0;Oa=e+472|0;Pa=e+464|0;Ra=e+456|0;Sa=e+448|0;Ta=e+440|0;Ua=e+432|0;Wa=e+424|0;Xa=e+416|0;Za=e+408|0;$a=e+400|0;ab=e+392|0;bb=e+384|0;cb=e+376|0;db=e+368|0;eb=e+360|0;fb=e+352|0;gb=e+344|0;hb=e+336|0;ib=e+328|0;jb=e+320|0;kb=e+312|0;lb=e+304|0;mb=e+296|0;nb=e+288|0;ob=e+280|0;pb=e+272|0;qb=e+264|0;rb=e+256|0;sb=e+248|0;tb=e+240|0;ub=e+232|0;vb=e+224|0;wb=e+216|0;xb=e+208|0;yb=e+200|0;zb=e+192|0;Ab=e+184|0;Bb=e+176|0;Cb=e+168|0;Db=e+160|0;Eb=e+152|0;Fb=e+144|0;Gb=e+136|0;Hb=e+128|0;Ib=e+120|0;Jb=e+112|0;Kb=e+104|0;Lb=e+96|0;Mb=e+88|0;Nb=e+80|0;Ob=e+72|0;Pb=e+64|0;Qb=e+56|0;Rb=e+48|0;Sb=e+40|0;Tb=e+32|0;Ub=e+24|0;Vb=e+16|0;Wb=e+8|0;Xb=e;Yb=e+1192|0;Zb=e+1252|0;_b=e+1188|0;$b=e+1184|0;ac=e+1248|0;bc=e+1244|0;cc=e+1240|0;dc=e+1236|0;ec=e+1232|0;fc=e+1228|0;gc=e+1224|0;hc=e+1220|0;ic=e+1216|0;jc=e+1212|0;kc=e+1208|0;lc=e+1204|0;mc=e+1200|0;nc=e+1196|0;oc=a+12|0;pc=c[oc>>2]|0;a:do if(pc>>>0<b>>>0){qc=a+36|0;rc=a+4|0;sc=a+52|0;tc=a+56|0;uc=a+80|0;vc=a+100|0;wc=a+72|0;xc=a+64|0;yc=0;b:while(1){if((pp(a,Yb)|0)==1){zc=1;break}Ac=c[qc>>2]|0;Bc=c[(c[Ac>>2]|0)+212>>2]|0;c[Zb>>2]=c[Yb>>2];c[f>>2]=c[Zb>>2];if(_a[Bc&255](Ac,f)|0){Cc=5;break}Dc=c[Yb>>2]|0;c:do switch(Dc|0){case 0:{Ac=c[qc>>2]|0;if(Va[c[(c[Ac>>2]|0)+412>>2]&127](Ac)|0){Cc=8;break b}Ac=c[qc>>2]|0;if(!(Va[c[(c[Ac>>2]|0)+216>>2]&127](Ac)|0))Ec=yc;else{Cc=10;break b}break}case 2:{c[f>>2]=0;Ac=c[rc>>2]|0;Bc=Ll(Ac+(c[oc>>2]|0)|0,Ac+(c[a>>2]|0)|0,f)|0;if(!Bc){Cc=12;break b}c[oc>>2]=(c[oc>>2]|0)+Bc;Fc=c[f>>2]|0;if((Fc+128|0)>>>0>=256){Cc=14;break b}c[_b>>2]=Fc;switch(Fc|0){case -64:case -4:case -3:case -2:case -1:break;default:{Cc=17;break b}}Bc=(Fc|0)!=-64&1;Ac=c[qc>>2]|0;if(Qa[c[(c[Ac>>2]|0)+268>>2]&127](Ac,Bc,_b)|0){Cc=19;break b}Ac=c[qc>>2]|0;if(Qa[c[(c[Ac>>2]|0)+244>>2]&127](Ac,Bc,_b)|0){Cc=21;break b}Ec=yc;break}case 3:{c[f>>2]=0;Bc=c[rc>>2]|0;Ac=Ll(Bc+(c[oc>>2]|0)|0,Bc+(c[a>>2]|0)|0,f)|0;if(!Ac){Cc=25;break b}c[oc>>2]=(c[oc>>2]|0)+Ac;Gc=c[f>>2]|0;if((Gc+128|0)>>>0>=256){Cc=27;break b}c[_b>>2]=Gc;switch(Gc|0){case -64:case -4:case -3:case -2:case -1:break;default:{Cc=30;break b}}Ac=(Gc|0)!=-64&1;Bc=c[qc>>2]|0;if(Qa[c[(c[Bc>>2]|0)+364>>2]&127](Bc,Ac,_b)|0){Cc=32;break b}Bc=c[qc>>2]|0;if(Qa[c[(c[Bc>>2]|0)+244>>2]&127](Bc,Ac,_b)|0){Cc=34;break b}Ec=yc;break}case 4:{c[f>>2]=0;Ac=c[rc>>2]|0;Bc=Ll(Ac+(c[oc>>2]|0)|0,Ac+(c[a>>2]|0)|0,f)|0;if(!Bc){Cc=38;break b}c[oc>>2]=(c[oc>>2]|0)+Bc;Hc=c[f>>2]|0;if((Hc+128|0)>>>0>=256){Cc=40;break b}c[_b>>2]=Hc;switch(Hc|0){case -64:case -4:case -3:case -2:case -1:break;default:{Cc=43;break b}}Bc=(Hc|0)!=-64&1;Ac=c[qc>>2]|0;if(Qa[c[(c[Ac>>2]|0)+356>>2]&127](Ac,Bc,_b)|0){Cc=45;break b}Ac=c[qc>>2]|0;if(Qa[c[(c[Ac>>2]|0)+244>>2]&127](Ac,Bc,_b)|0){Cc=47;break b}Ec=yc;break}case 5:{Bc=c[qc>>2]|0;if(Va[c[(c[Bc>>2]|0)+316>>2]&127](Bc)|0){Cc=51;break b}Bc=c[qc>>2]|0;if(!(Va[c[(c[Bc>>2]|0)+216>>2]&127](Bc)|0))Ec=yc;else{Cc=53;break b}break}case 19:{Bc=c[qc>>2]|0;if(Va[c[(c[Bc>>2]|0)+380>>2]&127](Bc)|0){Cc=55;break b}Bc=c[qc>>2]|0;if(!(Va[c[(c[Bc>>2]|0)+216>>2]&127](Bc)|0))Ec=yc;else{Cc=57;break b}break}case 12:{Bc=c[rc>>2]|0;Ac=Kl(Bc+(c[oc>>2]|0)|0,Bc+(c[a>>2]|0)|0,f)|0;if(!Ac){Cc=59;break b}c[oc>>2]=(c[oc>>2]|0)+Ac;Ac=c[f>>2]|0;Bc=c[qc>>2]|0;if(_a[c[(c[Bc>>2]|0)+272>>2]&255](Bc,Ac)|0){Cc=61;break b}Bc=c[qc>>2]|0;if(!(_a[c[(c[Bc>>2]|0)+224>>2]&255](Bc,Ac)|0))Ec=yc;else{Cc=63;break b}break}case 13:{Ac=c[rc>>2]|0;Bc=Kl(Ac+(c[oc>>2]|0)|0,Ac+(c[a>>2]|0)|0,f)|0;if(!Bc){Cc=65;break b}c[oc>>2]=(c[oc>>2]|0)+Bc;Bc=c[f>>2]|0;Ac=c[qc>>2]|0;if(_a[c[(c[Ac>>2]|0)+276>>2]&255](Ac,Bc)|0){Cc=67;break b}Ac=c[qc>>2]|0;if(!(_a[c[(c[Ac>>2]|0)+224>>2]&255](Ac,Bc)|0))Ec=yc;else{Cc=69;break b}break}case 14:{Bc=c[rc>>2]|0;Ac=Kl(Bc+(c[oc>>2]|0)|0,Bc+(c[a>>2]|0)|0,f)|0;if(!Ac){Cc=71;break b}c[oc>>2]=(c[oc>>2]|0)+Ac;Ac=c[f>>2]|0;Bc=c[tc>>2]|0;Ic=c[sc>>2]|0;Jc=Bc-Ic>>2;Kc=Ic;Ic=Bc;if(Ac>>>0<=Jc>>>0){if(Ac>>>0<Jc>>>0?(Bc=Kc+(Ac<<2)|0,(Ic|0)!=(Bc|0)):0)c[tc>>2]=Ic+(~((Ic+-4-Bc|0)>>>2)<<2);if(!Ac)Lc=1;else{Mc=0;Cc=78}}else{qp(sc,Ac-Jc|0);Mc=0;Cc=78}if((Cc|0)==78)while(1){Cc=0;Jc=c[rc>>2]|0;Bc=Kl(Jc+(c[oc>>2]|0)|0,Jc+(c[a>>2]|0)|0,f)|0;if(!Bc){Cc=80;break b}c[oc>>2]=(c[oc>>2]|0)+Bc;c[(c[sc>>2]|0)+(Mc<<2)>>2]=c[f>>2];Mc=Mc+1|0;if(Mc>>>0>=Ac>>>0){Lc=0;break}else Cc=78}Bc=c[rc>>2]|0;Jc=Kl(Bc+(c[oc>>2]|0)|0,Bc+(c[a>>2]|0)|0,f)|0;if(!Jc){Cc=82;break b}c[oc>>2]=(c[oc>>2]|0)+Jc;if(Lc)Nc=0;else Nc=c[sc>>2]|0;Jc=c[qc>>2]|0;if(!(Ya[c[(c[Jc>>2]|0)+280>>2]&63](Jc,Ac,Nc,c[f>>2]|0)|0))Ec=yc;else{Cc=86;break b}break}case 15:{Jc=c[qc>>2]|0;if(Va[c[(c[Jc>>2]|0)+376>>2]&127](Jc)|0){Cc=88;break b}Jc=c[qc>>2]|0;if(!(Va[c[(c[Jc>>2]|0)+216>>2]&127](Jc)|0))Ec=yc;else{Cc=90;break b}break}case 1:{Jc=c[qc>>2]|0;if(Va[c[(c[Jc>>2]|0)+368>>2]&127](Jc)|0){Cc=92;break b}Jc=c[qc>>2]|0;if(!(Va[c[(c[Jc>>2]|0)+216>>2]&127](Jc)|0))Ec=yc;else{Cc=94;break b}break}case 18:{Jc=c[qc>>2]|0;if(Va[c[(c[Jc>>2]|0)+312>>2]&127](Jc)|0){Cc=96;break b}Jc=c[qc>>2]|0;if(!(Va[c[(c[Jc>>2]|0)+216>>2]&127](Jc)|0))Ec=yc;else{Cc=98;break b}break}case 11:{Jc=c[qc>>2]|0;Bc=c[Jc>>2]|0;if((c[oc>>2]|0)==(b|0))if(!(Va[c[Bc+324>>2]&127](Jc)|0)){Ec=1;break c}else{Cc=101;break b}else if(!(Va[c[Bc+320>>2]&127](Jc)|0)){Ec=yc;break c}else{Cc=103;break b}break}case 50:{Jc=c[rc>>2]|0;Bc=Ll(Jc+(c[oc>>2]|0)|0,Jc+(c[a>>2]|0)|0,f)|0;if(!Bc){Cc=105;break b}c[oc>>2]=(c[oc>>2]|0)+Bc;Bc=c[qc>>2]|0;if(_a[c[(c[Bc>>2]|0)+348>>2]&255](Bc,c[f>>2]|0)|0){Cc=107;break b}Bc=c[qc>>2]|0;if(_a[c[(c[Bc>>2]|0)+220>>2]&255](Bc,c[f>>2]|0)|0){Cc=109;break b}Ec=yc;break}case 51:{Bc=c[rc>>2]|0;Jc=Ml(Bc+(c[oc>>2]|0)|0,Bc+(c[a>>2]|0)|0,f)|0;if(!Jc){Cc=112;break b}c[oc>>2]=(c[oc>>2]|0)+Jc;Jc=c[qc>>2]|0;Bc=f;if(Qa[c[(c[Jc>>2]|0)+352>>2]&127](Jc,c[Bc>>2]|0,c[Bc+4>>2]|0)|0){Cc=114;break b}Bc=c[qc>>2]|0;Jc=f;if(Qa[c[(c[Bc>>2]|0)+232>>2]&127](Bc,c[Jc>>2]|0,c[Jc+4>>2]|0)|0){Cc=116;break b}Ec=yc;break}case 52:{Jc=c[oc>>2]|0;Bc=Jc+4|0;if(Bc>>>0>(c[a>>2]|0)>>>0){Cc=119;break b}Ic=(c[rc>>2]|0)+Jc|0;Jc=d[Ic>>0]|d[Ic+1>>0]<<8|d[Ic+2>>0]<<16|d[Ic+3>>0]<<24;c[oc>>2]=Bc;Bc=c[qc>>2]|0;if(_a[c[(c[Bc>>2]|0)+328>>2]&255](Bc,Jc)|0){Cc=121;break b}Bc=c[qc>>2]|0;if(!(_a[c[(c[Bc>>2]|0)+236>>2]&255](Bc,Jc)|0))Ec=yc;else{Cc=123;break b}break}case 53:{Jc=c[oc>>2]|0;Bc=Jc+8|0;if(Bc>>>0>(c[a>>2]|0)>>>0){Cc=125;break b}Ic=(c[rc>>2]|0)+Jc|0;Jc=Ic;Kc=d[Jc>>0]|d[Jc+1>>0]<<8|d[Jc+2>>0]<<16|d[Jc+3>>0]<<24;Jc=Ic+4|0;Ic=d[Jc>>0]|d[Jc+1>>0]<<8|d[Jc+2>>0]<<16|d[Jc+3>>0]<<24;c[oc>>2]=Bc;Bc=c[qc>>2]|0;if(Qa[c[(c[Bc>>2]|0)+332>>2]&127](Bc,Kc,Ic)|0){Cc=127;break b}Bc=c[qc>>2]|0;if(!(Qa[c[(c[Bc>>2]|0)+240>>2]&127](Bc,Kc,Ic)|0))Ec=yc;else{Cc=129;break b}break}case 23:{Ic=c[rc>>2]|0;Kc=Kl(Ic+(c[oc>>2]|0)|0,Ic+(c[a>>2]|0)|0,f)|0;if(!Kc){Cc=131;break b}c[oc>>2]=(c[oc>>2]|0)+Kc;Kc=c[f>>2]|0;Ic=c[qc>>2]|0;if(_a[c[(c[Ic>>2]|0)+336>>2]&255](Ic,Kc)|0){Cc=133;break b}Ic=c[qc>>2]|0;if(!(_a[c[(c[Ic>>2]|0)+224>>2]&255](Ic,Kc)|0))Ec=yc;else{Cc=135;break b}break}case 20:{Kc=c[rc>>2]|0;Ic=Kl(Kc+(c[oc>>2]|0)|0,Kc+(c[a>>2]|0)|0,f)|0;if(!Ic){Cc=137;break b}c[oc>>2]=(c[oc>>2]|0)+Ic;Ic=c[f>>2]|0;Kc=c[qc>>2]|0;if(_a[c[(c[Kc>>2]|0)+340>>2]&255](Kc,Ic)|0){Cc=139;break b}Kc=c[qc>>2]|0;if(!(_a[c[(c[Kc>>2]|0)+224>>2]&255](Kc,Ic)|0))Ec=yc;else{Cc=141;break b}break}case 24:{Ic=c[rc>>2]|0;Kc=Kl(Ic+(c[oc>>2]|0)|0,Ic+(c[a>>2]|0)|0,f)|0;if(!Kc){Cc=143;break b}c[oc>>2]=(c[oc>>2]|0)+Kc;Kc=c[f>>2]|0;Ic=c[qc>>2]|0;if(_a[c[(c[Ic>>2]|0)+384>>2]&255](Ic,Kc)|0){Cc=145;break b}Ic=c[qc>>2]|0;if(!(_a[c[(c[Ic>>2]|0)+224>>2]&255](Ic,Kc)|0))Ec=yc;else{Cc=147;break b}break}case 21:{Kc=c[rc>>2]|0;Ic=Kl(Kc+(c[oc>>2]|0)|0,Kc+(c[a>>2]|0)|0,f)|0;if(!Ic){Cc=149;break b}c[oc>>2]=(c[oc>>2]|0)+Ic;Ic=c[f>>2]|0;Kc=c[qc>>2]|0;if(_a[c[(c[Kc>>2]|0)+388>>2]&255](Kc,Ic)|0){Cc=151;break b}Kc=c[qc>>2]|0;if(!(_a[c[(c[Kc>>2]|0)+224>>2]&255](Kc,Ic)|0))Ec=yc;else{Cc=153;break b}break}case 16:{Ic=c[rc>>2]|0;Kc=Kl(Ic+(c[oc>>2]|0)|0,Ic+(c[a>>2]|0)|0,f)|0;if(!Kc){Cc=155;break b}c[oc>>2]=(c[oc>>2]|0)+Kc;Oc=c[f>>2]|0;if(Oc>>>0>=((c[vc>>2]|0)+(c[uc>>2]|0)|0)>>>0){Cc=157;break b}Kc=c[qc>>2]|0;if(_a[c[(c[Kc>>2]|0)+284>>2]&255](Kc,Oc)|0){Cc=159;break b}Kc=c[qc>>2]|0;if(!(_a[c[(c[Kc>>2]|0)+224>>2]&255](Kc,Oc)|0))Ec=yc;else{Cc=161;break b}break}case 17:{Kc=c[rc>>2]|0;Ic=Kl(Kc+(c[oc>>2]|0)|0,Kc+(c[a>>2]|0)|0,f)|0;if(!Ic){Cc=163;break b}Kc=(c[oc>>2]|0)+Ic|0;c[oc>>2]=Kc;Ic=c[f>>2]|0;if(Ic>>>0>=(c[wc>>2]|0)>>>0){Cc=165;break b}Bc=c[rc>>2]|0;Jc=Kl(Bc+Kc|0,Bc+(c[a>>2]|0)|0,f)|0;if(!Jc){Cc=167;break b}c[oc>>2]=(c[oc>>2]|0)+Jc;if(c[f>>2]|0){Cc=169;break b}Jc=c[qc>>2]|0;if(_a[c[(c[Jc>>2]|0)+288>>2]&255](Jc,Ic)|0){Cc=171;break b}Jc=c[qc>>2]|0;if(Qa[c[(c[Jc>>2]|0)+228>>2]&127](Jc,Ic,c[f>>2]|0)|0){Cc=173;break b}Ec=yc;break}case 22:{Ic=c[rc>>2]|0;Jc=Kl(Ic+(c[oc>>2]|0)|0,Ic+(c[a>>2]|0)|0,f)|0;if(!Jc){Cc=177;break b}c[oc>>2]=(c[oc>>2]|0)+Jc;Jc=c[f>>2]|0;Ic=c[qc>>2]|0;if(_a[c[(c[Ic>>2]|0)+396>>2]&255](Ic,Jc)|0){Cc=179;break b}Ic=c[qc>>2]|0;if(!(_a[c[(c[Ic>>2]|0)+224>>2]&255](Ic,Jc)|0))Ec=yc;else{Cc=181;break b}break}case 28:case 27:case 26:case 25:case 38:case 37:case 36:case 35:case 34:case 33:case 32:case 31:case 30:case 29:{Jc=c[rc>>2]|0;Ic=Kl(Jc+(c[oc>>2]|0)|0,Jc+(c[a>>2]|0)|0,_b)|0;if(!Ic){Cc=183;break b}Jc=(c[oc>>2]|0)+Ic|0;c[oc>>2]=Jc;Ic=c[rc>>2]|0;Bc=Kl(Ic+Jc|0,Ic+(c[a>>2]|0)|0,$b)|0;if(!Bc){Cc=185;break b}c[oc>>2]=(c[oc>>2]|0)+Bc;Bc=c[qc>>2]|0;Ic=c[(c[Bc>>2]|0)+360>>2]|0;c[ac>>2]=c[Yb>>2];Jc=c[_b>>2]|0;Kc=c[$b>>2]|0;c[f>>2]=c[ac>>2];if(Ya[Ic&63](Bc,f,Jc,Kc)|0){Cc=187;break b}Kc=c[qc>>2]|0;if(Qa[c[(c[Kc>>2]|0)+228>>2]&127](Kc,c[_b>>2]|0,c[$b>>2]|0)|0){Cc=189;break b}Ec=yc;break}case 42:case 41:case 40:case 39:case 47:case 46:case 45:case 44:case 43:{Kc=c[rc>>2]|0;Jc=Kl(Kc+(c[oc>>2]|0)|0,Kc+(c[a>>2]|0)|0,_b)|0;if(!Jc){Cc=193;break b}Kc=(c[oc>>2]|0)+Jc|0;c[oc>>2]=Kc;Jc=c[rc>>2]|0;Bc=Kl(Jc+Kc|0,Jc+(c[a>>2]|0)|0,$b)|0;if(!Bc){Cc=195;break b}c[oc>>2]=(c[oc>>2]|0)+Bc;Bc=c[qc>>2]|0;Jc=c[(c[Bc>>2]|0)+392>>2]|0;c[bc>>2]=c[Yb>>2];Kc=c[_b>>2]|0;Ic=c[$b>>2]|0;c[f>>2]=c[bc>>2];if(Ya[Jc&63](Bc,f,Kc,Ic)|0){Cc=197;break b}Ic=c[qc>>2]|0;if(Qa[c[(c[Ic>>2]|0)+228>>2]&127](Ic,c[_b>>2]|0,c[$b>>2]|0)|0){Cc=199;break b}Ec=yc;break}case 48:{Ic=c[rc>>2]|0;Kc=Kl(Ic+(c[oc>>2]|0)|0,Ic+(c[a>>2]|0)|0,f)|0;if(!Kc){Cc=203;break b}c[oc>>2]=(c[oc>>2]|0)+Kc;if(c[f>>2]|0){Cc=205;break b}Kc=c[qc>>2]|0;if(Va[c[(c[Kc>>2]|0)+308>>2]&127](Kc)|0){Cc=207;break b}Kc=c[qc>>2]|0;if(_a[c[(c[Kc>>2]|0)+220>>2]&255](Kc,c[f>>2]|0)|0){Cc=209;break b}Ec=yc;break}case 49:{Kc=c[rc>>2]|0;Ic=Kl(Kc+(c[oc>>2]|0)|0,Kc+(c[a>>2]|0)|0,f)|0;if(!Ic){Cc=212;break b}c[oc>>2]=(c[oc>>2]|0)+Ic;if(c[f>>2]|0){Cc=214;break b}Ic=c[qc>>2]|0;if(Va[c[(c[Ic>>2]|0)+344>>2]&127](Ic)|0){Cc=216;break b}Ic=c[qc>>2]|0;if(_a[c[(c[Ic>>2]|0)+220>>2]&255](Ic,c[f>>2]|0)|0){Cc=218;break b}Ec=yc;break}case 151:case 150:case 149:case 148:case 147:case 146:case 145:case 137:case 136:case 135:case 134:case 133:case 132:case 131:case 122:case 123:case 120:case 121:case 119:case 118:case 117:case 116:case 115:case 114:case 113:case 112:case 111:case 110:case 109:case 104:case 105:case 102:case 103:case 101:case 100:case 99:case 98:case 97:case 96:case 95:case 94:case 93:case 92:case 91:{Ic=c[qc>>2]|0;Kc=c[(c[Ic>>2]|0)+264>>2]|0;c[cc>>2]=Dc;c[f>>2]=c[cc>>2];if(_a[Kc&255](Ic,f)|0){Cc=221;break b}Ic=c[qc>>2]|0;if(!(Va[c[(c[Ic>>2]|0)+216>>2]&127](Ic)|0))Ec=yc;else{Cc=223;break b}break}case 87:case 85:case 86:case 84:case 83:case 82:case 81:case 79:case 80:case 78:case 77:case 76:case 75:case 71:case 74:case 70:case 73:case 69:case 72:case 68:case 67:case 66:case 64:case 60:case 63:case 59:case 62:case 58:case 61:case 57:case 56:case 55:{Ic=c[qc>>2]|0;Kc=c[(c[Ic>>2]|0)+300>>2]|0;c[dc>>2]=Dc;c[f>>2]=c[dc>>2];if(_a[Kc&255](Ic,f)|0){Cc=225;break b}Ic=c[qc>>2]|0;if(!(Va[c[(c[Ic>>2]|0)+216>>2]&127](Ic)|0))Ec=yc;else{Cc=227;break b}break}case 144:case 143:case 142:case 141:case 140:case 139:case 138:case 130:case 129:case 128:case 127:case 126:case 125:case 124:case 108:case 107:case 106:case 90:case 89:case 88:{Ic=c[qc>>2]|0;Kc=c[(c[Ic>>2]|0)+408>>2]|0;c[ec>>2]=Dc;c[f>>2]=c[ec>>2];if(_a[Kc&255](Ic,f)|0){Cc=229;break b}Ic=c[qc>>2]|0;if(!(Va[c[(c[Ic>>2]|0)+216>>2]&127](Ic)|0))Ec=yc;else{Cc=231;break b}break}case 65:case 54:case 174:case 173:case 176:case 172:case 171:case 170:case 169:case 168:case 175:case 167:case 166:case 165:case 164:case 163:case 158:case 157:case 162:case 160:case 161:case 159:case 152:case 156:case 154:case 155:case 153:{Ic=c[qc>>2]|0;Kc=c[(c[Ic>>2]|0)+304>>2]|0;c[fc>>2]=Dc;c[f>>2]=c[fc>>2];if(_a[Kc&255](Ic,f)|0){Cc=233;break b}Ic=c[qc>>2]|0;if(!(Va[c[(c[Ic>>2]|0)+216>>2]&127](Ic)|0))Ec=yc;else{Cc=235;break b}break}case 6:{if(!(ym(Yb,c[xc>>2]|0)|0)){Cc=237;break b}c[f>>2]=0;Ic=c[rc>>2]|0;Kc=Ll(Ic+(c[oc>>2]|0)|0,Ic+(c[a>>2]|0)|0,f)|0;if(!Kc){Cc=239;break b}c[oc>>2]=(c[oc>>2]|0)+Kc;Pc=c[f>>2]|0;if((Pc+128|0)>>>0>=256){Cc=241;break b}c[_b>>2]=Pc;switch(Pc|0){case -64:case -4:case -3:case -2:case -1:break;default:{Cc=244;break b}}Kc=(Pc|0)!=-64&1;Ic=c[qc>>2]|0;if(Qa[c[(c[Ic>>2]|0)+404>>2]&127](Ic,Kc,_b)|0){Cc=246;break b}Ic=c[qc>>2]|0;if(Qa[c[(c[Ic>>2]|0)+244>>2]&127](Ic,Kc,_b)|0){Cc=248;break b}Ec=yc;break}case 7:{if(!(ym(Yb,c[xc>>2]|0)|0)){Cc=252;break b}Kc=c[rc>>2]|0;Ic=Kl(Kc+(c[oc>>2]|0)|0,Kc+(c[a>>2]|0)|0,f)|0;if(!Ic){Cc=254;break b}c[oc>>2]=(c[oc>>2]|0)+Ic;Ic=c[f>>2]|0;Kc=c[qc>>2]|0;if(_a[c[(c[Kc>>2]|0)+292>>2]&255](Kc,Ic)|0){Cc=256;break b}Kc=c[qc>>2]|0;if(!(_a[c[(c[Kc>>2]|0)+224>>2]&255](Kc,Ic)|0))Ec=yc;else{Cc=258;break b}break}case 10:{if(!(ym(Yb,c[xc>>2]|0)|0)){Cc=260;break b}Ic=c[qc>>2]|0;if(Va[c[(c[Ic>>2]|0)+296>>2]&127](Ic)|0){Cc=262;break b}Ic=c[qc>>2]|0;if(!(Va[c[(c[Ic>>2]|0)+216>>2]&127](Ic)|0))Ec=yc;else{Cc=264;break b}break}case 9:{if(!(ym(Yb,c[xc>>2]|0)|0)){Cc=266;break b}Ic=c[rc>>2]|0;Kc=Kl(Ic+(c[oc>>2]|0)|0,Ic+(c[a>>2]|0)|0,f)|0;if(!Kc){Cc=268;break b}c[oc>>2]=(c[oc>>2]|0)+Kc;Kc=c[f>>2]|0;Ic=c[qc>>2]|0;if(_a[c[(c[Ic>>2]|0)+372>>2]&255](Ic,Kc)|0){Cc=270;break b}Ic=c[qc>>2]|0;if(!(_a[c[(c[Ic>>2]|0)+224>>2]&255](Ic,Kc)|0))Ec=yc;else{Cc=272;break b}break}case 8:{if(!(ym(Yb,c[xc>>2]|0)|0)){Cc=274;break b}Kc=c[rc>>2]|0;Ic=Kl(Kc+(c[oc>>2]|0)|0,Kc+(c[a>>2]|0)|0,f)|0;if(!Ic){Cc=276;break b}c[oc>>2]=(c[oc>>2]|0)+Ic;Ic=c[f>>2]|0;Kc=c[qc>>2]|0;if(_a[c[(c[Kc>>2]|0)+400>>2]&255](Kc,Ic)|0){Cc=278;break b}Kc=c[qc>>2]|0;if(!(_a[c[(c[Kc>>2]|0)+224>>2]&255](Kc,Ic)|0))Ec=yc;else{Cc=280;break b}break}case 181:case 180:case 179:case 178:case 177:{if(!(ym(Yb,c[xc>>2]|0)|0)){Cc=282;break b}Ic=c[qc>>2]|0;Kc=c[(c[Ic>>2]|0)+408>>2]|0;c[gc>>2]=c[Yb>>2];c[f>>2]=c[gc>>2];if(_a[Kc&255](Ic,f)|0){Cc=284;break b}Ic=c[qc>>2]|0;if(!(Va[c[(c[Ic>>2]|0)+216>>2]&127](Ic)|0))Ec=yc;else{Cc=286;break b}break}case 194:case 193:case 192:case 191:case 190:case 189:case 188:case 187:{if(!(ym(Yb,c[xc>>2]|0)|0)){Cc=288;break b}Ic=c[qc>>2]|0;Kc=c[(c[Ic>>2]|0)+304>>2]|0;c[hc>>2]=c[Yb>>2];c[f>>2]=c[hc>>2];if(_a[Kc&255](Ic,f)|0){Cc=290;break b}Ic=c[qc>>2]|0;if(!(Va[c[(c[Ic>>2]|0)+216>>2]&127](Ic)|0))Ec=yc;else{Cc=292;break b}break}case 195:{Ic=c[rc>>2]|0;Kc=Kl(Ic+(c[oc>>2]|0)|0,Ic+(c[a>>2]|0)|0,_b)|0;if(!Kc){Cc=294;break b}Ic=(c[oc>>2]|0)+Kc|0;c[oc>>2]=Ic;Kc=c[rc>>2]|0;Bc=Kl(Kc+Ic|0,Kc+(c[a>>2]|0)|0,$b)|0;if(!Bc){Cc=296;break b}c[oc>>2]=(c[oc>>2]|0)+Bc;Bc=c[qc>>2]|0;Kc=c[(c[Bc>>2]|0)+420>>2]|0;c[ic>>2]=c[Yb>>2];Ic=c[_b>>2]|0;Jc=c[$b>>2]|0;c[f>>2]=c[ic>>2];if(Ya[Kc&63](Bc,f,Ic,Jc)|0){Cc=298;break b}Jc=c[qc>>2]|0;if(Qa[c[(c[Jc>>2]|0)+228>>2]&127](Jc,c[_b>>2]|0,c[$b>>2]|0)|0){Cc=300;break b}Ec=yc;break}case 197:case 196:{Jc=c[rc>>2]|0;Ic=Kl(Jc+(c[oc>>2]|0)|0,Jc+(c[a>>2]|0)|0,_b)|0;if(!Ic){Cc=304;break b}Jc=(c[oc>>2]|0)+Ic|0;c[oc>>2]=Jc;Ic=c[rc>>2]|0;Bc=Kl(Ic+Jc|0,Ic+(c[a>>2]|0)|0,$b)|0;if(!Bc){Cc=306;break b}c[oc>>2]=(c[oc>>2]|0)+Bc;Bc=c[qc>>2]|0;Ic=c[(c[Bc>>2]|0)+416>>2]|0;c[jc>>2]=c[Yb>>2];Jc=c[_b>>2]|0;Kc=c[$b>>2]|0;c[f>>2]=c[jc>>2];if(Ya[Ic&63](Bc,f,Jc,Kc)|0){Cc=308;break b}Kc=c[qc>>2]|0;if(Qa[c[(c[Kc>>2]|0)+228>>2]&127](Kc,c[_b>>2]|0,c[$b>>2]|0)|0){Cc=310;break b}Ec=yc;break}case 199:case 198:case 204:case 203:case 202:case 201:case 200:{Kc=c[rc>>2]|0;Jc=Kl(Kc+(c[oc>>2]|0)|0,Kc+(c[a>>2]|0)|0,_b)|0;if(!Jc){Cc=314;break b}Kc=(c[oc>>2]|0)+Jc|0;c[oc>>2]=Kc;Jc=c[rc>>2]|0;Bc=Kl(Jc+Kc|0,Jc+(c[a>>2]|0)|0,$b)|0;if(!Bc){Cc=316;break b}c[oc>>2]=(c[oc>>2]|0)+Bc;Bc=c[qc>>2]|0;Jc=c[(c[Bc>>2]|0)+248>>2]|0;c[kc>>2]=c[Yb>>2];Kc=c[_b>>2]|0;Ic=c[$b>>2]|0;c[f>>2]=c[kc>>2];if(Ya[Jc&63](Bc,f,Kc,Ic)|0){Cc=318;break b}Ic=c[qc>>2]|0;if(Qa[c[(c[Ic>>2]|0)+228>>2]&127](Ic,c[_b>>2]|0,c[$b>>2]|0)|0){Cc=320;break b}Ec=yc;break}case 206:case 205:case 211:case 210:case 209:case 208:case 207:{Ic=c[rc>>2]|0;Kc=Kl(Ic+(c[oc>>2]|0)|0,Ic+(c[a>>2]|0)|0,_b)|0;if(!Kc){Cc=324;break b}Ic=(c[oc>>2]|0)+Kc|0;c[oc>>2]=Ic;Kc=c[rc>>2]|0;Bc=Kl(Kc+Ic|0,Kc+(c[a>>2]|0)|0,$b)|0;if(!Bc){Cc=326;break b}c[oc>>2]=(c[oc>>2]|0)+Bc;Bc=c[qc>>2]|0;Kc=c[(c[Bc>>2]|0)+252>>2]|0;c[lc>>2]=c[Yb>>2];Ic=c[_b>>2]|0;Jc=c[$b>>2]|0;c[f>>2]=c[lc>>2];if(Ya[Kc&63](Bc,f,Ic,Jc)|0){Cc=328;break b}Jc=c[qc>>2]|0;if(Qa[c[(c[Jc>>2]|0)+228>>2]&127](Jc,c[_b>>2]|0,c[$b>>2]|0)|0){Cc=330;break b}Ec=yc;break}case 253:case 252:case 251:case 250:case 249:case 248:case 247:case 246:case 245:case 244:case 243:case 242:case 241:case 240:case 239:case 238:case 237:case 236:case 235:case 234:case 233:case 232:case 231:case 230:case 229:case 228:case 227:case 226:case 225:case 224:case 223:case 222:case 221:case 220:case 219:case 218:case 217:case 216:case 215:case 214:case 213:case 212:{Jc=c[rc>>2]|0;Ic=Kl(Jc+(c[oc>>2]|0)|0,Jc+(c[a>>2]|0)|0,_b)|0;if(!Ic){Cc=334;break b}Jc=(c[oc>>2]|0)+Ic|0;c[oc>>2]=Jc;Ic=c[rc>>2]|0;Bc=Kl(Ic+Jc|0,Ic+(c[a>>2]|0)|0,$b)|0;if(!Bc){Cc=336;break b}c[oc>>2]=(c[oc>>2]|0)+Bc;Bc=c[qc>>2]|0;Ic=c[(c[Bc>>2]|0)+256>>2]|0;c[mc>>2]=c[Yb>>2];Jc=c[_b>>2]|0;Kc=c[$b>>2]|0;c[f>>2]=c[mc>>2];if(Ya[Ic&63](Bc,f,Jc,Kc)|0){Cc=338;break b}Kc=c[qc>>2]|0;if(Qa[c[(c[Kc>>2]|0)+228>>2]&127](Kc,c[_b>>2]|0,c[$b>>2]|0)|0){Cc=340;break b}Ec=yc;break}case 260:case 259:case 258:case 257:case 256:case 255:case 254:{Kc=c[rc>>2]|0;Jc=Kl(Kc+(c[oc>>2]|0)|0,Kc+(c[a>>2]|0)|0,_b)|0;if(!Jc){Cc=344;break b}Kc=(c[oc>>2]|0)+Jc|0;c[oc>>2]=Kc;Jc=c[rc>>2]|0;Bc=Kl(Jc+Kc|0,Jc+(c[a>>2]|0)|0,$b)|0;if(!Bc){Cc=346;break b}c[oc>>2]=(c[oc>>2]|0)+Bc;Bc=c[qc>>2]|0;Jc=c[(c[Bc>>2]|0)+260>>2]|0;c[nc>>2]=c[Yb>>2];Kc=c[_b>>2]|0;Ic=c[$b>>2]|0;c[f>>2]=c[nc>>2];if(Ya[Jc&63](Bc,f,Kc,Ic)|0){Cc=348;break b}Ic=c[qc>>2]|0;if(Qa[c[(c[Ic>>2]|0)+228>>2]&127](Ic,c[_b>>2]|0,c[$b>>2]|0)|0){Cc=350;break b}Ec=yc;break}default:{Cc=353;break b}}while(0);Ic=c[oc>>2]|0;if(Ic>>>0<b>>>0)yc=Ec;else{Qc=Ec;Rc=Ic;break a}}switch(Cc|0){case 5:{gp(a,37943,Xb);zc=1;break}case 8:{gp(a,37968,Wb);zc=1;break}case 10:{gp(a,38002,Vb);zc=1;break}case 12:{c[Ub>>2]=38031;gp(a,33780,Ub);Cc=15;break}case 14:{c[Tb>>2]=Fc;gp(a,34569,Tb);Cc=15;break}case 17:{gp(a,38052,Sb);Cc=22;break}case 19:{gp(a,38088,Rb);Cc=22;break}case 21:{gp(a,38116,Qb);Cc=22;break}case 25:{c[Pb>>2]=38149;gp(a,33780,Pb);Cc=28;break}case 27:{c[Ob>>2]=Gc;gp(a,34569,Ob);Cc=28;break}case 30:{gp(a,38052,Nb);Cc=35;break}case 32:{gp(a,38169,Mb);Cc=35;break}case 34:{gp(a,38116,Lb);Cc=35;break}case 38:{c[Kb>>2]=38196;gp(a,33780,Kb);Cc=41;break}case 40:{c[Jb>>2]=Hc;gp(a,34569,Jb);Cc=41;break}case 43:{gp(a,38052,Ib);Cc=48;break}case 45:{gp(a,38214,Hb);Cc=48;break}case 47:{gp(a,38116,Gb);Cc=48;break}case 51:{gp(a,38239,Fb);zc=1;break}case 53:{gp(a,38002,Eb);zc=1;break}case 55:{gp(a,38266,Db);zc=1;break}case 57:{gp(a,38002,Cb);zc=1;break}case 59:{c[Bb>>2]=38295;gp(a,32685,Bb);zc=1;break}case 61:{gp(a,38304,Ab);zc=1;break}case 63:{gp(a,38329,zb);zc=1;break}case 65:{c[yb>>2]=38359;gp(a,32685,yb);zc=1;break}case 67:{gp(a,38371,xb);zc=1;break}case 69:{gp(a,38329,wb);zc=1;break}case 71:{c[vb>>2]=38398;gp(a,32685,vb);zc=1;break}case 80:{c[ub>>2]=38420;gp(a,32685,ub);zc=1;break}case 82:{c[tb>>2]=38442;gp(a,32685,tb);zc=1;break}case 86:{gp(a,38472,sb);zc=1;break}case 88:{gp(a,38502,rb);zc=1;break}case 90:{gp(a,38002,qb);zc=1;break}case 92:{gp(a,38531,pb);zc=1;break}case 94:{gp(a,38002,ob);zc=1;break}case 96:{gp(a,38557,nb);zc=1;break}case 98:{gp(a,38002,mb);zc=1;break}case 101:{gp(a,38584,lb);zc=1;break}case 103:{gp(a,38610,kb);zc=1;break}case 105:{c[jb>>2]=38636;gp(a,33780,jb);zc=1;break}case 107:{gp(a,38652,ib);zc=1;break}case 109:{gp(a,38683,hb);zc=1;break}case 112:{c[gb>>2]=38714;gp(a,38730,gb);zc=1;break}case 114:{gp(a,38760,fb);zc=1;break}case 116:{gp(a,38791,eb);zc=1;break}case 119:{c[db>>2]=38838;c[db+4>>2]=38822;gp(a,32530,db);zc=1;break}case 121:{gp(a,38844,cb);zc=1;break}case 123:{gp(a,38875,bb);zc=1;break}case 125:{c[ab>>2]=38919;c[ab+4>>2]=38903;gp(a,32530,ab);zc=1;break}case 127:{gp(a,38926,$a);zc=1;break}case 129:{gp(a,38957,Za);zc=1;break}case 131:{c[Xa>>2]=38985;gp(a,32685,Xa);zc=1;break}case 133:{gp(a,39009,Wa);zc=1;break}case 135:{gp(a,38329,Ua);zc=1;break}case 137:{c[Ta>>2]=39041;gp(a,32685,Ta);zc=1;break}case 139:{gp(a,39063,Sa);zc=1;break}case 141:{gp(a,38329,Ra);zc=1;break}case 143:{c[Pa>>2]=39094;gp(a,32685,Pa);zc=1;break}case 145:{gp(a,39118,Oa);zc=1;break}case 147:{gp(a,38329,Na);zc=1;break}case 149:{c[Ma>>2]=39150;gp(a,32685,Ma);zc=1;break}case 151:{gp(a,39172,La);zc=1;break}case 153:{gp(a,38329,Ka);zc=1;break}case 155:{c[Ja>>2]=39203;gp(a,32685,Ja);zc=1;break}case 157:{c[Ia>>2]=Oc;gp(a,39223,Ia);zc=1;break}case 159:{gp(a,39255,Ha);zc=1;break}case 161:{gp(a,38329,Ga);zc=1;break}case 163:{c[Fa>>2]=39282;gp(a,32685,Fa);zc=1;break}case 165:{gp(a,39312,Ea);zc=1;break}case 167:{c[Da>>2]=39350;gp(a,32685,Da);Cc=174;break}case 169:{gp(a,39373,Ca);Cc=174;break}case 171:{gp(a,39412,Ba);Cc=174;break}case 173:{gp(a,39447,Aa);Cc=174;break}case 177:{c[za>>2]=39484;gp(a,32685,za);zc=1;break}case 179:{gp(a,39506,ya);zc=1;break}case 181:{gp(a,38329,xa);zc=1;break}case 183:{c[wa>>2]=39537;gp(a,32685,wa);zc=1;break}case 185:{c[va>>2]=39552;gp(a,32685,va);Cc=190;break}case 187:{gp(a,39564,ua);Cc=190;break}case 189:{gp(a,39447,ta);Cc=190;break}case 193:{c[sa>>2]=39591;gp(a,32685,sa);zc=1;break}case 195:{c[ra>>2]=39607;gp(a,32685,ra);Cc=200;break}case 197:{gp(a,39620,qa);Cc=200;break}case 199:{gp(a,39447,pa);Cc=200;break}case 203:{c[oa>>2]=39648;gp(a,32685,oa);zc=1;break}case 205:{gp(a,39672,na);zc=1;break}case 207:{gp(a,39712,ma);zc=1;break}case 209:{gp(a,38683,la);zc=1;break}case 212:{c[ka>>2]=39748;gp(a,32685,ka);zc=1;break}case 214:{gp(a,39769,ja);zc=1;break}case 216:{gp(a,39806,ia);zc=1;break}case 218:{gp(a,38683,ha);zc=1;break}case 221:{gp(a,39839,ga);zc=1;break}case 223:{gp(a,38002,fa);zc=1;break}case 225:{gp(a,39868,ea);zc=1;break}case 227:{gp(a,38002,da);zc=1;break}case 229:{gp(a,39898,ca);zc=1;break}case 231:{gp(a,38002,ba);zc=1;break}case 233:{gp(a,39926,aa);zc=1;break}case 235:{gp(a,38002,$);zc=1;break}case 237:{zc=rp(a,c[Yb>>2]|0,0)|0;break}case 239:{c[_>>2]=39956;gp(a,33780,_);Cc=242;break}case 241:{c[Z>>2]=Pc;gp(a,34569,Z);Cc=242;break}case 244:{gp(a,38052,Y);Cc=249;break}case 246:{gp(a,39975,X);Cc=249;break}case 248:{gp(a,38116,W);Cc=249;break}case 252:{zc=rp(a,c[Yb>>2]|0,0)|0;break}case 254:{c[V>>2]=40001;gp(a,32685,V);zc=1;break}case 256:{gp(a,40017,U);zc=1;break}case 258:{gp(a,38329,T);zc=1;break}case 260:{zc=rp(a,c[Yb>>2]|0,0)|0;break}case 262:{gp(a,40045,S);zc=1;break}case 264:{gp(a,38002,R);zc=1;break}case 266:{zc=rp(a,c[Yb>>2]|0,0)|0;break}case 268:{c[Q>>2]=40076;gp(a,32685,Q);zc=1;break}case 270:{gp(a,40088,P);zc=1;break}case 272:{gp(a,38329,O);zc=1;break}case 274:{zc=rp(a,c[Yb>>2]|0,0)|0;break}case 276:{c[N>>2]=40001;gp(a,32685,N);zc=1;break}case 278:{gp(a,40118,M);zc=1;break}case 280:{gp(a,38329,L);zc=1;break}case 282:{zc=rp(a,c[Yb>>2]|0,0)|0;break}case 284:{gp(a,39898,K);zc=1;break}case 286:{gp(a,38002,J);zc=1;break}case 288:{zc=rp(a,c[Yb>>2]|0,0)|0;break}case 290:{gp(a,39926,I);zc=1;break}case 292:{gp(a,38002,H);zc=1;break}case 294:{c[G>>2]=39537;gp(a,32685,G);zc=1;break}case 296:{c[F>>2]=39552;gp(a,32685,F);Cc=301;break}case 298:{gp(a,40146,E);Cc=301;break}case 300:{gp(a,39447,D);Cc=301;break}case 304:{c[C>>2]=39537;gp(a,32685,C);zc=1;break}case 306:{c[B>>2]=39552;gp(a,32685,B);Cc=311;break}case 308:{gp(a,40173,A);Cc=311;break}case 310:{gp(a,39447,z);Cc=311;break}case 314:{c[y>>2]=39537;gp(a,32685,y);zc=1;break}case 316:{c[x>>2]=39552;gp(a,32685,x);Cc=321;break}case 318:{gp(a,40200,w);Cc=321;break}case 320:{gp(a,39447,v);Cc=321;break}case 324:{c[u>>2]=39591;gp(a,32685,u);zc=1;break}case 326:{c[t>>2]=39607;gp(a,32685,t);Cc=331;break}case 328:{gp(a,40233,s);Cc=331;break}case 330:{gp(a,39447,r);Cc=331;break}case 334:{c[q>>2]=40267;gp(a,32685,q);zc=1;break}case 336:{c[p>>2]=40284;gp(a,32685,p);Cc=341;break}case 338:{gp(a,40298,o);Cc=341;break}case 340:{gp(a,39447,n);Cc=341;break}case 344:{c[m>>2]=40267;gp(a,32685,m);zc=1;break}case 346:{c[k>>2]=40284;gp(a,32685,k);Cc=351;break}case 348:{gp(a,40330,j);Cc=351;break}case 350:{gp(a,39447,i);Cc=351;break}case 353:{zc=rp(a,Dc,0)|0;break}}switch(Cc|0){case 15:{Cc=22;break}case 28:{Cc=35;break}case 41:{Cc=48;break}case 174:{zc=1;break}case 190:{zc=1;break}case 200:{zc=1;break}case 242:{Cc=249;break}case 301:{zc=1;break}case 311:{zc=1;break}case 321:{zc=1;break}case 331:{zc=1;break}case 341:{zc=1;break}case 351:{zc=1;break}}if((Cc|0)==22)zc=1;else if((Cc|0)==35)zc=1;else if((Cc|0)==48)zc=1;else if((Cc|0)==249)zc=1;Sc=zc;l=e;return Sc|0}else{Qc=0;Rc=pc}while(0);if((Rc|0)!=(b|0)){gp(a,40369,h);Sc=1;l=e;return Sc|0}if(Qc){Sc=0;l=e;return Sc|0}gp(a,40406,g);Sc=1;l=e;return Sc|0}function pp(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0;e=l;l=l+16|0;f=e+8|0;g=e;h=e+12|0;i=b+12|0;j=c[i>>2]|0;k=j+1|0;m=c[b>>2]|0;if(k>>>0>m>>>0){c[g>>2]=36187;c[g+4>>2]=40521;gp(b,32530,g);n=1;l=e;return n|0}g=c[b+4>>2]|0;o=a[g+j>>0]|0;c[i>>2]=k;if((o|2)<<24>>24!=-2){c[d>>2]=tm(o&255)|0;n=0;l=e;return n|0}j=Kl(g+k|0,g+m|0,h)|0;if(!j){c[f>>2]=40521;gp(b,32685,f);n=1;l=e;return n|0}else{c[i>>2]=(c[i>>2]|0)+j;c[d>>2]=um(o,c[h>>2]|0)|0;n=0;l=e;return n|0}return 0}function qp(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=a+8|0;e=c[d>>2]|0;f=a+4|0;g=c[f>>2]|0;if(e-g>>2>>>0>=b>>>0){Tu(g|0,0,b<<2|0)|0;c[f>>2]=g+(b<<2);return}h=c[a>>2]|0;i=(g-h>>2)+b|0;if(i>>>0>1073741823){Jt(a);j=c[a>>2]|0;k=c[d>>2]|0;l=c[f>>2]|0}else{j=h;k=e;l=g}g=k-j|0;k=g>>1;e=g>>2>>>0<536870911?(k>>>0<i>>>0?i:k):1073741823;if(!e)m=0;else m=Kt(e<<2)|0;k=m+(l-j>>2<<2)|0;Tu(k|0,0,b<<2|0)|0;i=l-j|0;l=k+(0-(i>>2)<<2)|0;if((i|0)>0)Wu(l|0,j|0,i|0)|0;c[a>>2]=l;c[f>>2]=k+(b<<2);c[d>>2]=m+(e<<2);if(!j)return;Mt(j);return}function rp(b,e,f){b=b|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,m=0,n=0;g=l;l=l+96|0;h=g+32|0;i=g+8|0;j=g;c[j>>2]=e;e=g+48|0;k=(f|0)==0;m=k?49720:f;f=k?49720:40445;vm(e,j);if(!(a[e+24>>0]|0)){vm(e,j);k=c[e+28>>2]|0;vm(e,j);n=c[e+28>>2]|0;c[h>>2]=f;c[h+4>>2]=m;c[h+8>>2]=k;c[h+12>>2]=n;gp(b,40488,h);l=g;return 1}else{vm(e,j);h=d[e+24>>0]|0;vm(e,j);n=c[e+28>>2]|0;vm(e,j);k=d[e+24>>0]|0;vm(e,j);j=c[e+28>>2]|0;c[i>>2]=f;c[i+4>>2]=m;c[i+8>>2]=h;c[i+12>>2]=n;c[i+16>>2]=k;c[i+20>>2]=j;gp(b,40447,i);l=g;return 1}return 0}function sp(a){a=a|0;return}function tp(a){a=a|0;Mt(a);return}function up(a,b){a=a|0;b=b|0;var d=0;d=c[a+12>>2]|0;return _a[c[(c[d>>2]|0)+8>>2]&255](d,b)|0}function vp(a,b){a=a|0;b=b|0;var d=0;c[a+4>>2]=b;d=c[a+12>>2]|0;Ta[c[(c[d>>2]|0)+12>>2]&31](d,b);return}function wp(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,46220,e);c[f>>2]=(c[f>>2]|0)+2;f=c[a+12>>2]|0;a=_a[c[(c[f>>2]|0)+16>>2]&255](f,b)|0;l=d;return a|0}function xp(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;b=l;l=l+16|0;d=b;e=a+16|0;f=(c[e>>2]|0)+-2|0;c[e>>2]=f;if(f>>>0<=142){g=a+8|0;if(!f)h=g;else{i=g;j=f;k=6}}else{g=a+8|0;m=f;do{dm(c[g>>2]|0,41588,142,0,0);m=m+-142|0}while(m>>>0>142);i=g;j=c[e>>2]|0;k=6}if((k|0)==6){dm(c[i>>2]|0,41588,j,0,0);h=i}cm(c[h>>2]|0,46209,d);d=c[a+12>>2]|0;a=Va[c[(c[d>>2]|0)+20>>2]&127](d)|0;l=b;return a|0}function yp(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;e=c[a+12>>2]|0;return Qa[c[(c[e>>2]|0)+24>>2]&127](e,b,d)|0}function zp(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0;e=l;l=l+32|0;f=e+8|0;g=e;h=a+16|0;i=c[h>>2]|0;if(i>>>0<=142){j=a+8|0;if(!i)k=j;else{m=j;n=i;o=6}}else{j=a+8|0;p=i;do{dm(c[j>>2]|0,41588,142,0,0);p=p+-142|0}while(p>>>0>142);m=j;n=c[h>>2]|0;o=6}if((o|0)==6){dm(c[m>>2]|0,41588,n,0,0);k=m}m=c[k>>2]|0;k=c[d>>2]|0;c[f>>2]=c[d+4>>2];c[f+4>>2]=k;c[f+8>>2]=b;cm(m,46170,f);c[h>>2]=(c[h>>2]|0)+2;h=c[a+12>>2]|0;a=c[(c[h>>2]|0)+28>>2]|0;m=d;d=c[m+4>>2]|0;k=g;c[k>>2]=c[m>>2];c[k+4>>2]=d;c[f>>2]=c[g>>2];c[f+4>>2]=c[g+4>>2];g=Qa[a&127](h,b,f)|0;l=e;return g|0}function Ap(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;b=l;l=l+16|0;d=b;e=a+16|0;f=(c[e>>2]|0)+-2|0;c[e>>2]=f;if(f>>>0<=142){g=a+8|0;if(!f)h=g;else{i=g;j=f;k=6}}else{g=a+8|0;m=f;do{dm(c[g>>2]|0,41588,142,0,0);m=m+-142|0}while(m>>>0>142);i=g;j=c[e>>2]|0;k=6}if((k|0)==6){dm(c[i>>2]|0,41588,j,0,0);h=i}cm(c[h>>2]|0,46152,d);d=c[a+12>>2]|0;a=Va[c[(c[d>>2]|0)+32>>2]&127](d)|0;l=b;return a|0}function Bp(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,46129,e);c[f>>2]=(c[f>>2]|0)+2;f=c[a+12>>2]|0;a=_a[c[(c[f>>2]|0)+36>>2]&255](f,b)|0;l=d;return a|0}function Cp(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,46112,e);e=c[a+12>>2]|0;a=_a[c[(c[e>>2]|0)+40>>2]&255](e,b)|0;l=d;return a|0}function Dp(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;h=l;l=l+96|0;i=h+80|0;j=h+72|0;k=h+64|0;m=h+56|0;n=h+48|0;o=h+40|0;p=h+32|0;q=h+24|0;r=h+16|0;s=h+8|0;t=h;u=a+16|0;v=c[u>>2]|0;if(v>>>0<=142){w=a+8|0;if(!v)x=w;else{y=w;z=v;A=6}}else{w=a+8|0;B=v;do{dm(c[w>>2]|0,41588,142,0,0);B=B+-142|0}while(B>>>0>142);y=w;z=c[u>>2]|0;A=6}if((A|0)==6){dm(c[y>>2]|0,41588,z,0,0);x=y}y=c[x>>2]|0;c[t>>2]=b;cm(y,46073,t);cm(c[x>>2]|0,42041,s);s=c[x>>2]|0;a:do if(!d)C=s;else{t=d+-1|0;y=0;z=s;b:while(1){switch(c[e+(y<<2)>>2]|0){case -1:{D=42077;break}case -2:{D=42073;break}case -3:{D=42069;break}case -4:{D=42065;break}case -16:{D=42057;break}case -32:{D=42052;break}case -64:{D=42047;break}case 0:{D=42043;break}default:break b}c[r>>2]=D;cm(z,42081,r);if((y|0)!=(t|0))cm(c[x>>2]|0,42084,q);y=y+1|0;u=c[x>>2]|0;if(y>>>0>=d>>>0){C=u;break a}else z=u}}while(0);cm(C,42087,p);cm(c[x>>2]|0,46100,o);cm(c[x>>2]|0,42041,n);n=c[x>>2]|0;if(!f){E=n;cm(E,42087,j);F=c[x>>2]|0;cm(F,42038,i);G=a+12|0;H=c[G>>2]|0;I=c[H>>2]|0;J=I+44|0;K=c[J>>2]|0;L=Ua[K&31](H,b,d,e,f,g)|0;l=h;return L|0}o=f+-1|0;p=0;C=n;c:while(1){switch(c[g+(p<<2)>>2]|0){case -1:{M=42077;break}case -2:{M=42073;break}case -3:{M=42069;break}case -4:{M=42065;break}case -16:{M=42057;break}case -32:{M=42052;break}case -64:{M=42047;break}case 0:{M=42043;break}default:{A=31;break c}}c[m>>2]=M;cm(C,42081,m);if((p|0)!=(o|0))cm(c[x>>2]|0,42084,k);p=p+1|0;n=c[x>>2]|0;if(p>>>0>=f>>>0){E=n;A=35;break}else C=n}if((A|0)!=31)if((A|0)==35){cm(E,42087,j);F=c[x>>2]|0;cm(F,42038,i);G=a+12|0;H=c[G>>2]|0;I=c[H>>2]|0;J=I+44|0;K=c[J>>2]|0;L=Ua[K&31](H,b,d,e,f,g)|0;l=h;return L|0}return 0}function Ep(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;b=l;l=l+16|0;d=b;e=a+16|0;f=(c[e>>2]|0)+-2|0;c[e>>2]=f;if(f>>>0<=142){g=a+8|0;if(!f)h=g;else{i=g;j=f;k=6}}else{g=a+8|0;m=f;do{dm(c[g>>2]|0,41588,142,0,0);m=m+-142|0}while(m>>>0>142);i=g;j=c[e>>2]|0;k=6}if((k|0)==6){dm(c[i>>2]|0,41588,j,0,0);h=i}cm(c[h>>2]|0,46057,d);d=c[a+12>>2]|0;a=Va[c[(c[d>>2]|0)+48>>2]&127](d)|0;l=b;return a|0}function Fp(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,46032,e);c[f>>2]=(c[f>>2]|0)+2;f=c[a+12>>2]|0;a=_a[c[(c[f>>2]|0)+52>>2]&255](f,b)|0;l=d;return a|0}function Gp(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,46013,e);e=c[a+12>>2]|0;a=_a[c[(c[e>>2]|0)+56>>2]&255](e,b)|0;l=d;return a|0}function Hp(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;f=l;l=l+48|0;g=f+16|0;h=f+40|0;i=f+8|0;j=f;k=a+16|0;m=c[k>>2]|0;if(m>>>0<=142){n=a+8|0;if(!m)o=n;else{p=n;q=m;r=6}}else{n=a+8|0;s=m;do{dm(c[n>>2]|0,41588,142,0,0);s=s+-142|0}while(s>>>0>142);p=n;q=c[k>>2]|0;r=6}if((r|0)==6){dm(c[p>>2]|0,41588,q,0,0);o=p}p=c[o>>2]|0;o=c[d+4>>2]|0;q=c[d>>2]|0;r=c[e+4>>2]|0;k=c[e>>2]|0;c[g>>2]=b;c[g+4>>2]=o;c[g+8>>2]=q;c[g+12>>2]=r;c[g+16>>2]=k;cm(p,45961,g);p=c[a+12>>2]|0;a=c[(c[p>>2]|0)+60>>2]|0;k=d;d=c[k+4>>2]|0;r=i;c[r>>2]=c[k>>2];c[r+4>>2]=d;d=e;e=c[d+4>>2]|0;r=j;c[r>>2]=c[d>>2];c[r+4>>2]=e;c[h>>2]=c[i>>2];c[h+4>>2]=c[i+4>>2];c[g>>2]=c[j>>2];c[g+4>>2]=c[j+4>>2];j=Ya[a&63](p,b,h,g)|0;l=f;return j|0}function Ip(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;h=l;l=l+48|0;i=h+16|0;j=h+32|0;k=h+8|0;m=h;n=a+16|0;o=c[n>>2]|0;if(o>>>0<=142){p=a+8|0;if(!o)q=p;else{r=p;s=o;t=6}}else{p=a+8|0;u=o;do{dm(c[p>>2]|0,41588,142,0,0);u=u+-142|0}while(u>>>0>142);r=p;s=c[n>>2]|0;t=6}if((t|0)==6){dm(c[r>>2]|0,41588,s,0,0);q=r}r=c[q>>2]|0;c[i>>2]=b;c[i+4>>2]=f;c[i+8>>2]=g;cm(r,45898,i);r=c[a+12>>2]|0;a=c[(c[r>>2]|0)+64>>2]|0;q=d;d=c[q+4>>2]|0;s=k;c[s>>2]=c[q>>2];c[s+4>>2]=d;d=e;e=c[d+4>>2]|0;s=m;c[s>>2]=c[d>>2];c[s+4>>2]=e;c[j>>2]=c[k>>2];c[j+4>>2]=c[k+4>>2];c[i>>2]=c[m>>2];c[i+4>>2]=c[m+4>>2];m=Ua[a&31](r,b,j,i,f,g)|0;l=h;return m|0}function Jp(b,d,e,f,g,h,i){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;j=l;l=l+176|0;k=j+40|0;m=j+56|0;n=j+32|0;o=j+16|0;p=j+64|0;q=j+8|0;r=j;s=i;t=c[s>>2]|0;u=c[s+4>>2]|0;if(!(a[i+16>>0]|0)){s=n;c[s>>2]=t;c[s+4>>2]=u;tt(p,100,45333,n)|0}else{n=i+8|0;s=c[n>>2]|0;v=c[n+4>>2]|0;n=o;c[n>>2]=t;c[n+4>>2]=u;u=o+8|0;c[u>>2]=s;c[u+4>>2]=v;tt(p,100,45308,o)|0}o=b+16|0;v=c[o>>2]|0;if(v>>>0<=142){u=b+8|0;if(!v)w=u;else{x=u;y=v;z=9}}else{u=b+8|0;s=v;do{dm(c[u>>2]|0,41588,142,0,0);s=s+-142|0}while(s>>>0>142);x=u;y=c[o>>2]|0;z=9}if((z|0)==9){dm(c[x>>2]|0,41588,y,0,0);w=x}x=c[w>>2]|0;switch(h|0){case -1:{A=42077;break}case -2:{A=42073;break}case -3:{A=42069;break}case -4:{A=42065;break}case -16:{A=42057;break}case -32:{A=42052;break}case -64:{A=42047;break}case 0:{A=42043;break}default:{}}c[k>>2]=d;c[k+4>>2]=g;c[k+8>>2]=A;c[k+12>>2]=p;cm(x,45829,k);x=c[b+12>>2]|0;b=c[(c[x>>2]|0)+68>>2]|0;p=e;e=c[p+4>>2]|0;A=q;c[A>>2]=c[p>>2];c[A+4>>2]=e;e=f;f=c[e+4>>2]|0;A=r;c[A>>2]=c[e>>2];c[A+4>>2]=f;c[m>>2]=c[q>>2];c[m+4>>2]=c[q+4>>2];c[k>>2]=c[r>>2];c[k+4>>2]=c[r+4>>2];r=Pa[b&31](x,d,m,k,g,h,i)|0;l=j;return r|0}function Kp(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;i=l;l=l+176|0;j=i+40|0;k=i+56|0;m=i+32|0;n=i+16|0;o=i+64|0;p=i+8|0;q=i;r=h;s=c[r>>2]|0;t=c[r+4>>2]|0;if(!(a[h+16>>0]|0)){r=m;c[r>>2]=s;c[r+4>>2]=t;tt(o,100,45333,m)|0}else{m=h+8|0;r=c[m>>2]|0;u=c[m+4>>2]|0;m=n;c[m>>2]=s;c[m+4>>2]=t;t=n+8|0;c[t>>2]=r;c[t+4>>2]=u;tt(o,100,45308,n)|0}n=b+16|0;u=c[n>>2]|0;if(u>>>0<=142){t=b+8|0;if(!u)v=t;else{w=t;x=u;y=9}}else{t=b+8|0;r=u;do{dm(c[t>>2]|0,41588,142,0,0);r=r+-142|0}while(r>>>0>142);w=t;x=c[n>>2]|0;y=9}if((y|0)==9){dm(c[w>>2]|0,41588,x,0,0);v=w}w=c[v>>2]|0;c[j>>2]=d;c[j+4>>2]=g;c[j+8>>2]=o;cm(w,45773,j);w=c[b+12>>2]|0;b=c[(c[w>>2]|0)+72>>2]|0;o=e;e=c[o+4>>2]|0;v=p;c[v>>2]=c[o>>2];c[v+4>>2]=e;e=f;f=c[e+4>>2]|0;v=q;c[v>>2]=c[e>>2];c[v+4>>2]=f;c[k>>2]=c[p>>2];c[k+4>>2]=c[p+4>>2];c[j>>2]=c[q>>2];c[j+4>>2]=c[q+4>>2];q=Ua[b&31](w,d,k,j,g,h)|0;l=i;return q|0}function Lp(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;i=l;l=l+48|0;j=i+16|0;k=i+32|0;m=i+8|0;n=i;o=a+16|0;p=c[o>>2]|0;if(p>>>0<=142){q=a+8|0;if(!p)r=q;else{s=q;t=p;u=6}}else{q=a+8|0;v=p;do{dm(c[q>>2]|0,41588,142,0,0);v=v+-142|0}while(v>>>0>142);s=q;t=c[o>>2]|0;u=6}if((u|0)==6){dm(c[s>>2]|0,41588,t,0,0);r=s}s=c[r>>2]|0;switch(g|0){case -1:{w=42077;break}case -2:{w=42073;break}case -3:{w=42069;break}case -4:{w=42065;break}case -16:{w=42057;break}case -32:{w=42052;break}case -64:{w=42047;break}case 0:{w=42043;break}default:{}}c[j>>2]=b;c[j+4>>2]=f;c[j+8>>2]=w;c[j+12>>2]=h?45188:45193;cm(s,45698,j);s=c[a+12>>2]|0;a=c[(c[s>>2]|0)+76>>2]|0;w=d;d=c[w+4>>2]|0;r=m;c[r>>2]=c[w>>2];c[r+4>>2]=d;d=e;e=c[d+4>>2]|0;r=n;c[r>>2]=c[d>>2];c[r+4>>2]=e;c[k>>2]=c[m>>2];c[k+4>>2]=c[m+4>>2];c[j>>2]=c[n>>2];c[j+4>>2]=c[n+4>>2];n=Pa[a&31](s,b,k,j,f,g,h)|0;l=i;return n|0}function Mp(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;h=l;l=l+32|0;i=h+24|0;j=h+16|0;k=h+8|0;m=h;n=a+16|0;o=c[n>>2]|0;if(o>>>0<=142){p=a+8|0;if(!o)q=p;else{r=p;s=o;t=6}}else{p=a+8|0;u=o;do{dm(c[p>>2]|0,41588,142,0,0);u=u+-142|0}while(u>>>0>142);r=p;s=c[n>>2]|0;t=6}if((t|0)==6){dm(c[r>>2]|0,41588,s,0,0);q=r}r=c[q>>2]|0;c[j>>2]=b;c[j+4>>2]=f;cm(r,45638,j);ms(a,g);cm(c[q>>2]|0,42038,i);q=c[a+12>>2]|0;a=c[(c[q>>2]|0)+80>>2]|0;r=d;d=c[r+4>>2]|0;s=k;c[s>>2]=c[r>>2];c[s+4>>2]=d;d=e;e=c[d+4>>2]|0;s=m;c[s>>2]=c[d>>2];c[s+4>>2]=e;c[j>>2]=c[k>>2];c[j+4>>2]=c[k+4>>2];c[i>>2]=c[m>>2];c[i+4>>2]=c[m+4>>2];m=Ua[a&31](q,b,j,i,f,g)|0;l=h;return m|0}function Np(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;b=l;l=l+16|0;d=b;e=a+16|0;f=(c[e>>2]|0)+-2|0;c[e>>2]=f;if(f>>>0<=142){g=a+8|0;if(!f)h=g;else{i=g;j=f;k=6}}else{g=a+8|0;m=f;do{dm(c[g>>2]|0,41588,142,0,0);m=m+-142|0}while(m>>>0>142);i=g;j=c[e>>2]|0;k=6}if((k|0)==6){dm(c[i>>2]|0,41588,j,0,0);h=i}cm(c[h>>2]|0,45620,d);d=c[a+12>>2]|0;a=Va[c[(c[d>>2]|0)+84>>2]&127](d)|0;l=b;return a|0}function Op(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,45593,e);c[f>>2]=(c[f>>2]|0)+2;f=c[a+12>>2]|0;a=_a[c[(c[f>>2]|0)+88>>2]&255](f,b)|0;l=d;return a|0}function Pp(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,45572,e);e=c[a+12>>2]|0;a=_a[c[(c[e>>2]|0)+92>>2]&255](e,b)|0;l=d;return a|0}function Qp(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0;e=l;l=l+16|0;f=e;g=a+16|0;h=c[g>>2]|0;if(h>>>0<=142){i=a+8|0;if(!h)j=i;else{k=i;m=h;n=6}}else{i=a+8|0;o=h;do{dm(c[i>>2]|0,41588,142,0,0);o=o+-142|0}while(o>>>0>142);k=i;m=c[g>>2]|0;n=6}if((n|0)==6){dm(c[k>>2]|0,41588,m,0,0);j=k}k=c[j>>2]|0;c[f>>2]=b;c[f+4>>2]=d;cm(k,45534,f);f=c[a+12>>2]|0;a=Qa[c[(c[f>>2]|0)+96>>2]&127](f,b,d)|0;l=e;return a|0}function Rp(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;b=l;l=l+16|0;d=b;e=a+16|0;f=(c[e>>2]|0)+-2|0;c[e>>2]=f;if(f>>>0<=142){g=a+8|0;if(!f)h=g;else{i=g;j=f;k=6}}else{g=a+8|0;m=f;do{dm(c[g>>2]|0,41588,142,0,0);m=m+-142|0}while(m>>>0>142);i=g;j=c[e>>2]|0;k=6}if((k|0)==6){dm(c[i>>2]|0,41588,j,0,0);h=i}cm(c[h>>2]|0,45514,d);d=c[a+12>>2]|0;a=Va[c[(c[d>>2]|0)+100>>2]&127](d)|0;l=b;return a|0}function Sp(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,45490,e);c[f>>2]=(c[f>>2]|0)+2;f=c[a+12>>2]|0;a=_a[c[(c[f>>2]|0)+104>>2]&255](f,b)|0;l=d;return a|0}function Tp(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,45472,e);e=c[a+12>>2]|0;a=_a[c[(c[e>>2]|0)+108>>2]&255](e,b)|0;l=d;return a|0}function Up(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;g=l;l=l+144|0;h=g+24|0;i=g+16|0;j=g;k=g+36|0;m=f;n=c[m>>2]|0;o=c[m+4>>2]|0;if(!(a[f+16>>0]|0)){m=i;c[m>>2]=n;c[m+4>>2]=o;tt(k,100,45333,i)|0}else{i=f+8|0;m=c[i>>2]|0;p=c[i+4>>2]|0;i=j;c[i>>2]=n;c[i+4>>2]=o;o=j+8|0;c[o>>2]=m;c[o+4>>2]=p;tt(k,100,45308,j)|0}j=b+16|0;p=c[j>>2]|0;if(p>>>0<=142){o=b+8|0;if(!p)q=o;else{r=o;s=p;t=9}}else{o=b+8|0;m=p;do{dm(c[o>>2]|0,41588,142,0,0);m=m+-142|0}while(m>>>0>142);r=o;s=c[j>>2]|0;t=9}if((t|0)==9){dm(c[r>>2]|0,41588,s,0,0);q=r}r=c[q>>2]|0;switch(e|0){case -1:{u=42077;break}case -2:{u=42073;break}case -3:{u=42069;break}case -4:{u=42065;break}case -16:{u=42057;break}case -32:{u=42052;break}case -64:{u=42047;break}case 0:{u=42043;break}default:{}}c[h>>2]=d;c[h+4>>2]=u;c[h+8>>2]=k;cm(r,45433,h);h=c[b+12>>2]|0;b=Ya[c[(c[h>>2]|0)+112>>2]&63](h,d,e,f)|0;l=g;return b|0}function Vp(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;b=l;l=l+16|0;d=b;e=a+16|0;f=(c[e>>2]|0)+-2|0;c[e>>2]=f;if(f>>>0<=142){g=a+8|0;if(!f)h=g;else{i=g;j=f;k=6}}else{g=a+8|0;m=f;do{dm(c[g>>2]|0,41588,142,0,0);m=m+-142|0}while(m>>>0>142);i=g;j=c[e>>2]|0;k=6}if((k|0)==6){dm(c[i>>2]|0,41588,j,0,0);h=i}cm(c[h>>2]|0,45416,d);d=c[a+12>>2]|0;a=Va[c[(c[d>>2]|0)+116>>2]&127](d)|0;l=b;return a|0}function Wp(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,45391,e);c[f>>2]=(c[f>>2]|0)+2;f=c[a+12>>2]|0;a=_a[c[(c[f>>2]|0)+120>>2]&255](f,b)|0;l=d;return a|0}function Xp(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,45372,e);e=c[a+12>>2]|0;a=_a[c[(c[e>>2]|0)+124>>2]&255](e,b)|0;l=d;return a|0}function Yp(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;f=l;l=l+144|0;g=f+24|0;h=f+16|0;i=f;j=f+32|0;k=e;m=c[k>>2]|0;n=c[k+4>>2]|0;if(!(a[e+16>>0]|0)){k=h;c[k>>2]=m;c[k+4>>2]=n;tt(j,100,45333,h)|0}else{h=e+8|0;k=c[h>>2]|0;o=c[h+4>>2]|0;h=i;c[h>>2]=m;c[h+4>>2]=n;n=i+8|0;c[n>>2]=k;c[n+4>>2]=o;tt(j,100,45308,i)|0}i=b+16|0;o=c[i>>2]|0;if(o>>>0<=142){n=b+8|0;if(!o)p=n;else{q=n;r=o;s=9}}else{n=b+8|0;k=o;do{dm(c[n>>2]|0,41588,142,0,0);k=k+-142|0}while(k>>>0>142);q=n;r=c[i>>2]|0;s=9}if((s|0)==9){dm(c[q>>2]|0,41588,r,0,0);p=q}q=c[p>>2]|0;c[g>>2]=d;c[g+4>>2]=j;cm(q,45347,g);g=c[b+12>>2]|0;b=Qa[c[(c[g>>2]|0)+128>>2]&127](g,d,e)|0;l=f;return b|0}function Zp(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;b=l;l=l+16|0;d=b;e=a+16|0;f=(c[e>>2]|0)+-2|0;c[e>>2]=f;if(f>>>0<=142){g=a+8|0;if(!f)h=g;else{i=g;j=f;k=6}}else{g=a+8|0;m=f;do{dm(c[g>>2]|0,41588,142,0,0);m=m+-142|0}while(m>>>0>142);i=g;j=c[e>>2]|0;k=6}if((k|0)==6){dm(c[i>>2]|0,41588,j,0,0);h=i}cm(c[h>>2]|0,45290,d);d=c[a+12>>2]|0;a=Va[c[(c[d>>2]|0)+132>>2]&127](d)|0;l=b;return a|0}function _p(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,45265,e);c[f>>2]=(c[f>>2]|0)+2;f=c[a+12>>2]|0;a=_a[c[(c[f>>2]|0)+136>>2]&255](f,b)|0;l=d;return a|0}function $p(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,45246,e);e=c[a+12>>2]|0;a=_a[c[(c[e>>2]|0)+140>>2]&255](e,b)|0;l=d;return a|0}function aq(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0;f=l;l=l+16|0;g=f;h=a+16|0;i=c[h>>2]|0;if(i>>>0<=142){j=a+8|0;if(!i)k=j;else{m=j;n=i;o=6}}else{j=a+8|0;p=i;do{dm(c[j>>2]|0,41588,142,0,0);p=p+-142|0}while(p>>>0>142);m=j;n=c[h>>2]|0;o=6}if((o|0)==6){dm(c[m>>2]|0,41588,n,0,0);k=m}m=c[k>>2]|0;switch(d|0){case -1:{q=42077;break}case -2:{q=42073;break}case -3:{q=42069;break}case -4:{q=42065;break}case -16:{q=42057;break}case -32:{q=42052;break}case -64:{q=42047;break}case 0:{q=42043;break}default:{}}c[g>>2]=b;c[g+4>>2]=q;c[g+8>>2]=e?45188:45193;cm(m,45199,g);g=c[a+12>>2]|0;a=Ya[c[(c[g>>2]|0)+144>>2]&63](g,b,d,e)|0;l=f;return a|0}function bq(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,45163,e);e=c[a+12>>2]|0;a=_a[c[(c[e>>2]|0)+148>>2]&255](e,b)|0;l=d;return a|0}function cq(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,45140,e);e=c[a+12>>2]|0;a=_a[c[(c[e>>2]|0)+152>>2]&255](e,b)|0;l=d;return a|0}function dq(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,45125,e);e=c[a+12>>2]|0;a=_a[c[(c[e>>2]|0)+156>>2]&255](e,b)|0;l=d;return a|0}function eq(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;b=l;l=l+16|0;d=b;e=a+16|0;f=(c[e>>2]|0)+-2|0;c[e>>2]=f;if(f>>>0<=142){g=a+8|0;if(!f)h=g;else{i=g;j=f;k=6}}else{g=a+8|0;m=f;do{dm(c[g>>2]|0,41588,142,0,0);m=m+-142|0}while(m>>>0>142);i=g;j=c[e>>2]|0;k=6}if((k|0)==6){dm(c[i>>2]|0,41588,j,0,0);h=i}cm(c[h>>2]|0,45107,d);d=c[a+12>>2]|0;a=Va[c[(c[d>>2]|0)+160>>2]&127](d)|0;l=b;return a|0}function fq(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,45082,e);c[f>>2]=(c[f>>2]|0)+2;f=c[a+12>>2]|0;a=_a[c[(c[f>>2]|0)+164>>2]&255](f,b)|0;l=d;return a|0}function gq(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,45063,e);e=c[a+12>>2]|0;a=_a[c[(c[e>>2]|0)+168>>2]&255](e,b)|0;l=d;return a|0}function hq(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0;g=l;l=l+32|0;h=g+8|0;i=g;j=a+16|0;k=c[j>>2]|0;if(k>>>0<=142){m=a+8|0;if(!k)n=m;else{o=m;p=k;q=6}}else{m=a+8|0;r=k;do{dm(c[m>>2]|0,41588,142,0,0);r=r+-142|0}while(r>>>0>142);o=m;p=c[j>>2]|0;q=6}if((q|0)==6){dm(c[o>>2]|0,41588,p,0,0);n=o}o=c[n>>2]|0;n=c[4512+(d<<2)>>2]|0;p=c[f+4>>2]|0;q=c[f>>2]|0;c[h>>2]=b;c[h+4>>2]=n;c[h+8>>2]=e;c[h+12>>2]=p;c[h+16>>2]=q;cm(o,45002,h);o=c[a+12>>2]|0;a=c[(c[o>>2]|0)+172>>2]|0;q=f;f=c[q+4>>2]|0;p=i;c[p>>2]=c[q>>2];c[p+4>>2]=f;c[h>>2]=c[i>>2];c[h+4>>2]=c[i+4>>2];i=$a[a&31](o,b,d,e,h)|0;l=g;return i|0}function iq(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;b=l;l=l+16|0;d=b;e=a+16|0;f=(c[e>>2]|0)+-2|0;c[e>>2]=f;if(f>>>0<=142){g=a+8|0;if(!f)h=g;else{i=g;j=f;k=6}}else{g=a+8|0;m=f;do{dm(c[g>>2]|0,41588,142,0,0);m=m+-142|0}while(m>>>0>142);i=g;j=c[e>>2]|0;k=6}if((k|0)==6){dm(c[i>>2]|0,41588,j,0,0);h=i}cm(c[h>>2]|0,44984,d);d=c[a+12>>2]|0;a=Va[c[(c[d>>2]|0)+176>>2]&127](d)|0;l=b;return a|0}function jq(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,44960,e);c[f>>2]=(c[f>>2]|0)+2;f=c[a+12>>2]|0;a=_a[c[(c[f>>2]|0)+180>>2]&255](f,b)|0;l=d;return a|0}function kq(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,44939,e);e=c[a+12>>2]|0;a=_a[c[(c[e>>2]|0)+184>>2]&255](e,b)|0;l=d;return a|0}function lq(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;b=l;l=l+16|0;d=b;e=a+16|0;f=(c[e>>2]|0)+-2|0;c[e>>2]=f;if(f>>>0<=142){g=a+8|0;if(!f)h=g;else{i=g;j=f;k=6}}else{g=a+8|0;m=f;do{dm(c[g>>2]|0,41588,142,0,0);m=m+-142|0}while(m>>>0>142);i=g;j=c[e>>2]|0;k=6}if((k|0)==6){dm(c[i>>2]|0,41588,j,0,0);h=i}cm(c[h>>2]|0,44922,d);d=c[a+12>>2]|0;a=Va[c[(c[d>>2]|0)+188>>2]&127](d)|0;l=b;return a|0}function mq(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,44899,e);c[f>>2]=(c[f>>2]|0)+2;f=c[a+12>>2]|0;a=_a[c[(c[f>>2]|0)+192>>2]&255](f,b)|0;l=d;return a|0}function nq(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,44874,e);e=c[a+12>>2]|0;a=_a[c[(c[e>>2]|0)+196>>2]&255](e,b)|0;l=d;return a|0}function oq(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,44851,e);e=c[a+12>>2]|0;a=_a[c[(c[e>>2]|0)+200>>2]&255](e,b)|0;l=d;return a|0}function pq(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,44829,e);e=c[a+12>>2]|0;a=_a[c[(c[e>>2]|0)+204>>2]&255](e,b)|0;l=d;return a|0}function qq(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0;f=l;l=l+16|0;g=f;h=a+16|0;i=c[h>>2]|0;if(i>>>0<=142){j=a+8|0;if(!i)k=j;else{m=j;n=i;o=6}}else{j=a+8|0;p=i;do{dm(c[j>>2]|0,41588,142,0,0);p=p+-142|0}while(p>>>0>142);m=j;n=c[h>>2]|0;o=6}if((o|0)==6){dm(c[m>>2]|0,41588,n,0,0);k=m}m=c[k>>2]|0;switch(e|0){case -1:{q=42077;break}case -2:{q=42073;break}case -3:{q=42069;break}case -4:{q=42065;break}case -16:{q=42057;break}case -32:{q=42052;break}case -64:{q=42047;break}case 0:{q=42043;break}default:{}}c[g>>2]=b;c[g+4>>2]=d;c[g+8>>2]=q;cm(m,44784,g);g=c[a+12>>2]|0;a=Ya[c[(c[g>>2]|0)+208>>2]&63](g,b,d,e)|0;l=f;return a|0}function rq(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=l;l=l+16|0;e=d+4|0;f=d;g=c[a+12>>2]|0;a=c[(c[g>>2]|0)+212>>2]|0;c[f>>2]=c[b>>2];c[e>>2]=c[f>>2];f=_a[a&255](g,e)|0;l=d;return f|0}function sq(a){a=a|0;var b=0;b=c[a+12>>2]|0;return Va[c[(c[b>>2]|0)+216>>2]&127](b)|0}function tq(a,b){a=a|0;b=b|0;var d=0;d=c[a+12>>2]|0;return _a[c[(c[d>>2]|0)+220>>2]&255](d,b)|0}function uq(a,b){a=a|0;b=b|0;var d=0;d=c[a+12>>2]|0;return _a[c[(c[d>>2]|0)+224>>2]&255](d,b)|0}function vq(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;e=c[a+12>>2]|0;return Qa[c[(c[e>>2]|0)+228>>2]&127](e,b,d)|0}function wq(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;e=c[a+12>>2]|0;return Qa[c[(c[e>>2]|0)+232>>2]&127](e,b,d)|0}function xq(a,b){a=a|0;b=b|0;var d=0;d=c[a+12>>2]|0;return _a[c[(c[d>>2]|0)+236>>2]&255](d,b)|0}function yq(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;e=c[a+12>>2]|0;return Qa[c[(c[e>>2]|0)+240>>2]&127](e,b,d)|0}function zq(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;e=c[a+12>>2]|0;return Qa[c[(c[e>>2]|0)+244>>2]&127](e,b,d)|0}function Aq(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0;f=l;l=l+64|0;g=f;h=f+16|0;i=f+52|0;j=a+16|0;k=c[j>>2]|0;if(k>>>0<=142){m=a+8|0;if(!k)n=m;else{o=m;p=k;q=6}}else{m=a+8|0;r=k;do{dm(c[m>>2]|0,41588,142,0,0);r=r+-142|0}while(r>>>0>142);o=m;p=c[j>>2]|0;q=6}if((q|0)==6){dm(c[o>>2]|0,41588,p,0,0);n=o}o=c[n>>2]|0;vm(h,b);n=c[h>>2]|0;vm(h,b);p=c[h+28>>2]|0;c[g>>2]=n;c[g+4>>2]=p;c[g+8>>2]=d;c[g+12>>2]=e;cm(o,44719,g);o=c[a+12>>2]|0;a=c[(c[o>>2]|0)+248>>2]|0;c[i>>2]=c[b>>2];c[g>>2]=c[i>>2];i=Ya[a&63](o,g,d,e)|0;l=f;return i|0}function Bq(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0;f=l;l=l+64|0;g=f;h=f+16|0;i=f+52|0;j=a+16|0;k=c[j>>2]|0;if(k>>>0<=142){m=a+8|0;if(!k)n=m;else{o=m;p=k;q=6}}else{m=a+8|0;r=k;do{dm(c[m>>2]|0,41588,142,0,0);r=r+-142|0}while(r>>>0>142);o=m;p=c[j>>2]|0;q=6}if((q|0)==6){dm(c[o>>2]|0,41588,p,0,0);n=o}o=c[n>>2]|0;vm(h,b);n=c[h>>2]|0;vm(h,b);p=c[h+28>>2]|0;c[g>>2]=n;c[g+4>>2]=p;c[g+8>>2]=d;c[g+12>>2]=e;cm(o,44653,g);o=c[a+12>>2]|0;a=c[(c[o>>2]|0)+252>>2]|0;c[i>>2]=c[b>>2];c[g>>2]=c[i>>2];i=Ya[a&63](o,g,d,e)|0;l=f;return i|0}function Cq(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0;f=l;l=l+64|0;g=f;h=f+16|0;i=f+52|0;j=a+16|0;k=c[j>>2]|0;if(k>>>0<=142){m=a+8|0;if(!k)n=m;else{o=m;p=k;q=6}}else{m=a+8|0;r=k;do{dm(c[m>>2]|0,41588,142,0,0);r=r+-142|0}while(r>>>0>142);o=m;p=c[j>>2]|0;q=6}if((q|0)==6){dm(c[o>>2]|0,41588,p,0,0);n=o}o=c[n>>2]|0;vm(h,b);n=c[h>>2]|0;vm(h,b);p=c[h+28>>2]|0;c[g>>2]=n;c[g+4>>2]=p;c[g+8>>2]=d;c[g+12>>2]=e;cm(o,44589,g);o=c[a+12>>2]|0;a=c[(c[o>>2]|0)+256>>2]|0;c[i>>2]=c[b>>2];c[g>>2]=c[i>>2];i=Ya[a&63](o,g,d,e)|0;l=f;return i|0}function Dq(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0;f=l;l=l+64|0;g=f;h=f+16|0;i=f+52|0;j=a+16|0;k=c[j>>2]|0;if(k>>>0<=142){m=a+8|0;if(!k)n=m;else{o=m;p=k;q=6}}else{m=a+8|0;r=k;do{dm(c[m>>2]|0,41588,142,0,0);r=r+-142|0}while(r>>>0>142);o=m;p=c[j>>2]|0;q=6}if((q|0)==6){dm(c[o>>2]|0,41588,p,0,0);n=o}o=c[n>>2]|0;vm(h,b);n=c[h>>2]|0;vm(h,b);p=c[h+28>>2]|0;c[g>>2]=n;c[g+4>>2]=p;c[g+8>>2]=d;c[g+12>>2]=e;cm(o,44518,g);o=c[a+12>>2]|0;a=c[(c[o>>2]|0)+260>>2]|0;c[i>>2]=c[b>>2];c[g>>2]=c[i>>2];i=Ya[a&63](o,g,d,e)|0;l=f;return i|0}function Eq(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0;d=l;l=l+48|0;e=d;f=d+8|0;g=d+44|0;h=a+16|0;i=c[h>>2]|0;if(i>>>0<=142){j=a+8|0;if(!i)k=j;else{m=j;n=i;o=6}}else{j=a+8|0;p=i;do{dm(c[j>>2]|0,41588,142,0,0);p=p+-142|0}while(p>>>0>142);m=j;n=c[h>>2]|0;o=6}if((o|0)==6){dm(c[m>>2]|0,41588,n,0,0);k=m}m=c[k>>2]|0;vm(f,b);k=c[f>>2]|0;vm(f,b);n=c[f+28>>2]|0;c[e>>2]=k;c[e+4>>2]=n;cm(m,44493,e);m=c[a+12>>2]|0;a=c[(c[m>>2]|0)+264>>2]|0;c[g>>2]=c[b>>2];c[e>>2]=c[g>>2];g=_a[a&255](m,e)|0;l=d;return g|0}function Fq(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;e=l;l=l+48|0;f=e+40|0;g=e+32|0;h=e+24|0;i=e+16|0;j=e+8|0;k=e;m=a+16|0;n=c[m>>2]|0;if(n>>>0<=142){o=a+8|0;if(!n)p=o;else{q=o;r=n;s=6}}else{o=a+8|0;t=n;do{dm(c[o>>2]|0,41588,142,0,0);t=t+-142|0}while(t>>>0>142);q=o;r=c[m>>2]|0;s=6}if((s|0)==6){dm(c[q>>2]|0,41588,r,0,0);p=q}cm(c[p>>2]|0,44475,k);cm(c[p>>2]|0,42041,j);j=c[p>>2]|0;a:do if(!b)u=j;else{k=b+-1|0;q=0;r=j;b:while(1){switch(c[d+(q<<2)>>2]|0){case -1:{v=42077;break}case -2:{v=42073;break}case -3:{v=42069;break}case -4:{v=42065;break}case -16:{v=42057;break}case -32:{v=42052;break}case -64:{v=42047;break}case 0:{v=42043;break}default:break b}c[i>>2]=v;cm(r,42081,i);if((q|0)!=(k|0))cm(c[p>>2]|0,42084,h);q=q+1|0;s=c[p>>2]|0;if(q>>>0>=b>>>0){u=s;break a}else r=s}}while(0);cm(u,42087,g);cm(c[p>>2]|0,42038,f);f=c[a+12>>2]|0;a=Qa[c[(c[f>>2]|0)+268>>2]&127](f,b,d)|0;l=e;return a|0}function Gq(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,44454,e);e=c[a+12>>2]|0;a=_a[c[(c[e>>2]|0)+272>>2]&255](e,b)|0;l=d;return a|0}function Hq(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,44431,e);e=c[a+12>>2]|0;a=_a[c[(c[e>>2]|0)+276>>2]&255](e,b)|0;l=d;return a|0}function Iq(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;f=l;l=l+32|0;g=f+24|0;h=f+16|0;i=f+8|0;j=f;k=a+16|0;m=c[k>>2]|0;if(m>>>0<=142){n=a+8|0;if(!m)o=n;else{p=n;q=m;r=6}}else{n=a+8|0;s=m;do{dm(c[n>>2]|0,41588,142,0,0);s=s+-142|0}while(s>>>0>142);p=n;q=c[k>>2]|0;r=6}if((r|0)==6){dm(c[p>>2]|0,41588,q,0,0);o=p}p=c[o>>2]|0;c[j>>2]=b;cm(p,44373,j);j=c[o>>2]|0;if(!b)t=j;else{p=b+-1|0;q=0;r=j;while(1){c[h>>2]=c[d+(q<<2)>>2];cm(r,48990,h);if((q|0)!=(p|0))cm(c[o>>2]|0,42084,g);q=q+1|0;j=c[o>>2]|0;if((q|0)==(b|0)){t=j;break}else r=j}}c[i>>2]=e;cm(t,44414,i);i=c[a+12>>2]|0;a=Ya[c[(c[i>>2]|0)+280>>2]&63](i,b,d,e)|0;l=f;return a|0}function Jq(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,44345,e);e=c[a+12>>2]|0;a=_a[c[(c[e>>2]|0)+284>>2]&255](e,b)|0;l=d;return a|0}function Kq(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,44310,e);e=c[a+12>>2]|0;a=_a[c[(c[e>>2]|0)+288>>2]&255](e,b)|0;l=d;return a|0}function Lq(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,44279,e);e=c[a+12>>2]|0;a=_a[c[(c[e>>2]|0)+292>>2]&255](e,b)|0;l=d;return a|0}function Mq(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;b=l;l=l+16|0;d=b;e=a+16|0;f=c[e>>2]|0;if(f>>>0<=142){g=a+8|0;if(!f)h=g;else{i=g;j=f;k=6}}else{g=a+8|0;m=f;do{dm(c[g>>2]|0,41588,142,0,0);m=m+-142|0}while(m>>>0>142);i=g;j=c[e>>2]|0;k=6}if((k|0)==6){dm(c[i>>2]|0,41588,j,0,0);h=i}cm(c[h>>2]|0,44263,d);d=c[a+12>>2]|0;a=Va[c[(c[d>>2]|0)+296>>2]&127](d)|0;l=b;return a|0}function Nq(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0;d=l;l=l+48|0;e=d;f=d+8|0;g=d+44|0;h=a+16|0;i=c[h>>2]|0;if(i>>>0<=142){j=a+8|0;if(!i)k=j;else{m=j;n=i;o=6}}else{j=a+8|0;p=i;do{dm(c[j>>2]|0,41588,142,0,0);p=p+-142|0}while(p>>>0>142);m=j;n=c[h>>2]|0;o=6}if((o|0)==6){dm(c[m>>2]|0,41588,n,0,0);k=m}m=c[k>>2]|0;vm(f,b);k=c[f>>2]|0;vm(f,b);n=c[f+28>>2]|0;c[e>>2]=k;c[e+4>>2]=n;cm(m,44237,e);m=c[a+12>>2]|0;a=c[(c[m>>2]|0)+300>>2]|0;c[g>>2]=c[b>>2];c[e>>2]=c[g>>2];g=_a[a&255](m,e)|0;l=d;return g|0}function Oq(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0;d=l;l=l+48|0;e=d;f=d+8|0;g=d+44|0;h=a+16|0;i=c[h>>2]|0;if(i>>>0<=142){j=a+8|0;if(!i)k=j;else{m=j;n=i;o=6}}else{j=a+8|0;p=i;do{dm(c[j>>2]|0,41588,142,0,0);p=p+-142|0}while(p>>>0>142);m=j;n=c[h>>2]|0;o=6}if((o|0)==6){dm(c[m>>2]|0,41588,n,0,0);k=m}m=c[k>>2]|0;vm(f,b);k=c[f>>2]|0;vm(f,b);n=c[f+28>>2]|0;c[e>>2]=k;c[e+4>>2]=n;cm(m,44211,e);m=c[a+12>>2]|0;a=c[(c[m>>2]|0)+304>>2]|0;c[g>>2]=c[b>>2];c[e>>2]=c[g>>2];g=_a[a&255](m,e)|0;l=d;return g|0}function Pq(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;b=l;l=l+16|0;d=b;e=a+16|0;f=c[e>>2]|0;if(f>>>0<=142){g=a+8|0;if(!f)h=g;else{i=g;j=f;k=6}}else{g=a+8|0;m=f;do{dm(c[g>>2]|0,41588,142,0,0);m=m+-142|0}while(m>>>0>142);i=g;j=c[e>>2]|0;k=6}if((k|0)==6){dm(c[i>>2]|0,41588,j,0,0);h=i}cm(c[h>>2]|0,44190,d);d=c[a+12>>2]|0;a=Va[c[(c[d>>2]|0)+308>>2]&127](d)|0;l=b;return a|0}function Qq(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;b=l;l=l+16|0;d=b;e=a+16|0;f=c[e>>2]|0;if(f>>>0<=142){g=a+8|0;if(!f)h=g;else{i=g;j=f;k=6}}else{g=a+8|0;m=f;do{dm(c[g>>2]|0,41588,142,0,0);m=m+-142|0}while(m>>>0>142);i=g;j=c[e>>2]|0;k=6}if((k|0)==6){dm(c[i>>2]|0,41588,j,0,0);h=i}cm(c[h>>2]|0,44178,d);d=c[a+12>>2]|0;a=Va[c[(c[d>>2]|0)+312>>2]&127](d)|0;l=b;return a|0}function Rq(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;b=l;l=l+16|0;d=b;e=a+16|0;f=c[e>>2]|0;if(f>>>0<=142){g=a+8|0;if(!f)h=g;else{i=g;j=f;k=6}}else{g=a+8|0;m=f;do{dm(c[g>>2]|0,41588,142,0,0);m=m+-142|0}while(m>>>0>142);i=g;j=c[e>>2]|0;k=6}if((k|0)==6){dm(c[i>>2]|0,41588,j,0,0);h=i}cm(c[h>>2]|0,44166,d);d=c[a+12>>2]|0;a=Va[c[(c[d>>2]|0)+316>>2]&127](d)|0;l=b;return a|0}function Sq(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;b=l;l=l+16|0;d=b;e=a+16|0;f=c[e>>2]|0;if(f>>>0<=142){g=a+8|0;if(!f)h=g;else{i=g;j=f;k=6}}else{g=a+8|0;m=f;do{dm(c[g>>2]|0,41588,142,0,0);m=m+-142|0}while(m>>>0>142);i=g;j=c[e>>2]|0;k=6}if((k|0)==6){dm(c[i>>2]|0,41588,j,0,0);h=i}cm(c[h>>2]|0,44155,d);d=c[a+12>>2]|0;a=Va[c[(c[d>>2]|0)+320>>2]&127](d)|0;l=b;return a|0}function Tq(a){a=a|0;var b=0;b=c[a+12>>2]|0;return Va[c[(c[b>>2]|0)+324>>2]&127](b)|0}function Uq(a,b){a=a|0;b=b|0;var d=0,e=0,f=0.0,i=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0;d=l;l=l+16|0;e=d;f=(c[j>>2]=b,+g[j>>2]);i=a+16|0;k=c[i>>2]|0;if(k>>>0<=142){m=a+8|0;if(!k)n=m;else{o=m;p=k;q=6}}else{m=a+8|0;r=k;do{dm(c[m>>2]|0,41588,142,0,0);r=r+-142|0}while(r>>>0>142);o=m;p=c[i>>2]|0;q=6}if((q|0)==6){dm(c[o>>2]|0,41588,p,0,0);n=o}o=c[n>>2]|0;h[e>>3]=f;c[e+8>>2]=b;cm(o,44126,e);e=c[a+12>>2]|0;a=_a[c[(c[e>>2]|0)+328>>2]&255](e,b)|0;l=d;return a|0}function Vq(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0.0,i=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0;e=l;l=l+16|0;f=e;c[j>>2]=b;c[j+4>>2]=d;g=+h[j>>3];i=a+16|0;k=c[i>>2]|0;if(k>>>0<=142){m=a+8|0;if(!k)n=m;else{o=m;p=k;q=6}}else{m=a+8|0;r=k;do{dm(c[m>>2]|0,41588,142,0,0);r=r+-142|0}while(r>>>0>142);o=m;p=c[i>>2]|0;q=6}if((q|0)==6){dm(c[o>>2]|0,41588,p,0,0);n=o}o=c[n>>2]|0;h[f>>3]=g;n=f+8|0;c[n>>2]=b;c[n+4>>2]=d;cm(o,44095,f);f=c[a+12>>2]|0;a=Qa[c[(c[f>>2]|0)+332>>2]&127](f,b,d)|0;l=e;return a|0}function Wq(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,44067,e);e=c[a+12>>2]|0;a=_a[c[(c[e>>2]|0)+336>>2]&255](e,b)|0;l=d;return a|0}function Xq(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,44040,e);e=c[a+12>>2]|0;a=_a[c[(c[e>>2]|0)+340>>2]&255](e,b)|0;l=d;return a|0}function Yq(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;b=l;l=l+16|0;d=b;e=a+16|0;f=c[e>>2]|0;if(f>>>0<=142){g=a+8|0;if(!f)h=g;else{i=g;j=f;k=6}}else{g=a+8|0;m=f;do{dm(c[g>>2]|0,41588,142,0,0);m=m+-142|0}while(m>>>0>142);i=g;j=c[e>>2]|0;k=6}if((k|0)==6){dm(c[i>>2]|0,41588,j,0,0);h=i}cm(c[h>>2]|0,44022,d);d=c[a+12>>2]|0;a=Va[c[(c[d>>2]|0)+344>>2]&127](d)|0;l=b;return a|0}function Zq(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;c[e+4>>2]=b;cm(j,43995,e);e=c[a+12>>2]|0;a=_a[c[(c[e>>2]|0)+348>>2]&255](e,b)|0;l=d;return a|0}function _q(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0;e=l;l=l+16|0;f=e;g=a+16|0;h=c[g>>2]|0;if(h>>>0<=142){i=a+8|0;if(!h)j=i;else{k=i;m=h;n=6}}else{i=a+8|0;o=h;do{dm(c[i>>2]|0,41588,142,0,0);o=o+-142|0}while(o>>>0>142);k=i;m=c[g>>2]|0;n=6}if((n|0)==6){dm(c[k>>2]|0,41588,m,0,0);j=k}k=c[j>>2]|0;j=f;c[j>>2]=b;c[j+4>>2]=d;j=f+8|0;c[j>>2]=b;c[j+4>>2]=d;cm(k,43964,f);f=c[a+12>>2]|0;a=Qa[c[(c[f>>2]|0)+352>>2]&127](f,b,d)|0;l=e;return a|0}function $q(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;e=l;l=l+48|0;f=e+40|0;g=e+32|0;h=e+24|0;i=e+16|0;j=e+8|0;k=e;m=a+16|0;n=c[m>>2]|0;if(n>>>0<=142){o=a+8|0;if(!n)p=o;else{q=o;r=n;s=6}}else{o=a+8|0;t=n;do{dm(c[o>>2]|0,41588,142,0,0);t=t+-142|0}while(t>>>0>142);q=o;r=c[m>>2]|0;s=6}if((s|0)==6){dm(c[q>>2]|0,41588,r,0,0);p=q}cm(c[p>>2]|0,43949,k);cm(c[p>>2]|0,42041,j);j=c[p>>2]|0;a:do if(!b)u=j;else{k=b+-1|0;q=0;r=j;b:while(1){switch(c[d+(q<<2)>>2]|0){case -1:{v=42077;break}case -2:{v=42073;break}case -3:{v=42069;break}case -4:{v=42065;break}case -16:{v=42057;break}case -32:{v=42052;break}case -64:{v=42047;break}case 0:{v=42043;break}default:break b}c[i>>2]=v;cm(r,42081,i);if((q|0)!=(k|0))cm(c[p>>2]|0,42084,h);q=q+1|0;s=c[p>>2]|0;if(q>>>0>=b>>>0){u=s;break a}else r=s}}while(0);cm(u,42087,g);cm(c[p>>2]|0,42038,f);f=c[a+12>>2]|0;a=Qa[c[(c[f>>2]|0)+356>>2]&127](f,b,d)|0;l=e;return a|0}function ar(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0;f=l;l=l+64|0;g=f;h=f+16|0;i=f+52|0;j=a+16|0;k=c[j>>2]|0;if(k>>>0<=142){m=a+8|0;if(!k)n=m;else{o=m;p=k;q=6}}else{m=a+8|0;r=k;do{dm(c[m>>2]|0,41588,142,0,0);r=r+-142|0}while(r>>>0>142);o=m;p=c[j>>2]|0;q=6}if((q|0)==6){dm(c[o>>2]|0,41588,p,0,0);n=o}o=c[n>>2]|0;vm(h,b);n=c[h>>2]|0;vm(h,b);p=c[h+28>>2]|0;c[g>>2]=n;c[g+4>>2]=p;c[g+8>>2]=d;c[g+12>>2]=e;cm(o,43890,g);o=c[a+12>>2]|0;a=c[(c[o>>2]|0)+360>>2]|0;c[i>>2]=c[b>>2];c[g>>2]=c[i>>2];i=Ya[a&63](o,g,d,e)|0;l=f;return i|0}function br(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;e=l;l=l+48|0;f=e+40|0;g=e+32|0;h=e+24|0;i=e+16|0;j=e+8|0;k=e;m=a+16|0;n=c[m>>2]|0;if(n>>>0<=142){o=a+8|0;if(!n)p=o;else{q=o;r=n;s=6}}else{o=a+8|0;t=n;do{dm(c[o>>2]|0,41588,142,0,0);t=t+-142|0}while(t>>>0>142);q=o;r=c[m>>2]|0;s=6}if((s|0)==6){dm(c[q>>2]|0,41588,r,0,0);p=q}cm(c[p>>2]|0,43873,k);cm(c[p>>2]|0,42041,j);j=c[p>>2]|0;a:do if(!b)u=j;else{k=b+-1|0;q=0;r=j;b:while(1){switch(c[d+(q<<2)>>2]|0){case -1:{v=42077;break}case -2:{v=42073;break}case -3:{v=42069;break}case -4:{v=42065;break}case -16:{v=42057;break}case -32:{v=42052;break}case -64:{v=42047;break}case 0:{v=42043;break}default:break b}c[i>>2]=v;cm(r,42081,i);if((q|0)!=(k|0))cm(c[p>>2]|0,42084,h);q=q+1|0;s=c[p>>2]|0;if(q>>>0>=b>>>0){u=s;break a}else r=s}}while(0);cm(u,42087,g);cm(c[p>>2]|0,42038,f);f=c[a+12>>2]|0;a=Qa[c[(c[f>>2]|0)+364>>2]&127](f,b,d)|0;l=e;return a|0}function cr(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;b=l;l=l+16|0;d=b;e=a+16|0;f=c[e>>2]|0;if(f>>>0<=142){g=a+8|0;if(!f)h=g;else{i=g;j=f;k=6}}else{g=a+8|0;m=f;do{dm(c[g>>2]|0,41588,142,0,0);m=m+-142|0}while(m>>>0>142);i=g;j=c[e>>2]|0;k=6}if((k|0)==6){dm(c[i>>2]|0,41588,j,0,0);h=i}cm(c[h>>2]|0,43862,d);d=c[a+12>>2]|0;a=Va[c[(c[d>>2]|0)+368>>2]&127](d)|0;l=b;return a|0}function dr(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,43836,e);e=c[a+12>>2]|0;a=_a[c[(c[e>>2]|0)+372>>2]&255](e,b)|0;l=d;return a|0}function er(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;b=l;l=l+16|0;d=b;e=a+16|0;f=c[e>>2]|0;if(f>>>0<=142){g=a+8|0;if(!f)h=g;else{i=g;j=f;k=6}}else{g=a+8|0;m=f;do{dm(c[g>>2]|0,41588,142,0,0);m=m+-142|0}while(m>>>0>142);i=g;j=c[e>>2]|0;k=6}if((k|0)==6){dm(c[i>>2]|0,41588,j,0,0);h=i}cm(c[h>>2]|0,43822,d);d=c[a+12>>2]|0;a=Va[c[(c[d>>2]|0)+376>>2]&127](d)|0;l=b;return a|0}function fr(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;b=l;l=l+16|0;d=b;e=a+16|0;f=c[e>>2]|0;if(f>>>0<=142){g=a+8|0;if(!f)h=g;else{i=g;j=f;k=6}}else{g=a+8|0;m=f;do{dm(c[g>>2]|0,41588,142,0,0);m=m+-142|0}while(m>>>0>142);i=g;j=c[e>>2]|0;k=6}if((k|0)==6){dm(c[i>>2]|0,41588,j,0,0);h=i}cm(c[h>>2]|0,43808,d);d=c[a+12>>2]|0;a=Va[c[(c[d>>2]|0)+380>>2]&127](d)|0;l=b;return a|0}function gr(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,43780,e);e=c[a+12>>2]|0;a=_a[c[(c[e>>2]|0)+384>>2]&255](e,b)|0;l=d;return a|0}function hr(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,43753,e);e=c[a+12>>2]|0;a=_a[c[(c[e>>2]|0)+388>>2]&255](e,b)|0;l=d;return a|0}function ir(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0;f=l;l=l+64|0;g=f;h=f+16|0;i=f+52|0;j=a+16|0;k=c[j>>2]|0;if(k>>>0<=142){m=a+8|0;if(!k)n=m;else{o=m;p=k;q=6}}else{m=a+8|0;r=k;do{dm(c[m>>2]|0,41588,142,0,0);r=r+-142|0}while(r>>>0>142);o=m;p=c[j>>2]|0;q=6}if((q|0)==6){dm(c[o>>2]|0,41588,p,0,0);n=o}o=c[n>>2]|0;vm(h,b);n=c[h>>2]|0;vm(h,b);p=c[h+28>>2]|0;c[g>>2]=n;c[g+4>>2]=p;c[g+8>>2]=d;c[g+12>>2]=e;cm(o,43693,g);o=c[a+12>>2]|0;a=c[(c[o>>2]|0)+392>>2]|0;c[i>>2]=c[b>>2];c[g>>2]=c[i>>2];i=Ya[a&63](o,g,d,e)|0;l=f;return i|0}function jr(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,43666,e);e=c[a+12>>2]|0;a=_a[c[(c[e>>2]|0)+396>>2]&255](e,b)|0;l=d;return a|0}function kr(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,43635,e);e=c[a+12>>2]|0;a=_a[c[(c[e>>2]|0)+400>>2]&255](e,b)|0;l=d;return a|0}function lr(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;e=l;l=l+48|0;f=e+40|0;g=e+32|0;h=e+24|0;i=e+16|0;j=e+8|0;k=e;m=a+16|0;n=c[m>>2]|0;if(n>>>0<=142){o=a+8|0;if(!n)p=o;else{q=o;r=n;s=6}}else{o=a+8|0;t=n;do{dm(c[o>>2]|0,41588,142,0,0);t=t+-142|0}while(t>>>0>142);q=o;r=c[m>>2]|0;s=6}if((s|0)==6){dm(c[q>>2]|0,41588,r,0,0);p=q}cm(c[p>>2]|0,43619,k);cm(c[p>>2]|0,42041,j);j=c[p>>2]|0;a:do if(!b)u=j;else{k=b+-1|0;q=0;r=j;b:while(1){switch(c[d+(q<<2)>>2]|0){case -1:{v=42077;break}case -2:{v=42073;break}case -3:{v=42069;break}case -4:{v=42065;break}case -16:{v=42057;break}case -32:{v=42052;break}case -64:{v=42047;break}case 0:{v=42043;break}default:break b}c[i>>2]=v;cm(r,42081,i);if((q|0)!=(k|0))cm(c[p>>2]|0,42084,h);q=q+1|0;s=c[p>>2]|0;if(q>>>0>=b>>>0){u=s;break a}else r=s}}while(0);cm(u,42087,g);cm(c[p>>2]|0,42038,f);f=c[a+12>>2]|0;a=Qa[c[(c[f>>2]|0)+404>>2]&127](f,b,d)|0;l=e;return a|0}function mr(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0;d=l;l=l+48|0;e=d;f=d+8|0;g=d+44|0;h=a+16|0;i=c[h>>2]|0;if(i>>>0<=142){j=a+8|0;if(!i)k=j;else{m=j;n=i;o=6}}else{j=a+8|0;p=i;do{dm(c[j>>2]|0,41588,142,0,0);p=p+-142|0}while(p>>>0>142);m=j;n=c[h>>2]|0;o=6}if((o|0)==6){dm(c[m>>2]|0,41588,n,0,0);k=m}m=c[k>>2]|0;vm(f,b);k=c[f>>2]|0;vm(f,b);n=c[f+28>>2]|0;c[e>>2]=k;c[e+4>>2]=n;cm(m,43595,e);m=c[a+12>>2]|0;a=c[(c[m>>2]|0)+408>>2]|0;c[g>>2]=c[b>>2];c[e>>2]=c[g>>2];g=_a[a&255](m,e)|0;l=d;return g|0}function nr(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;b=l;l=l+16|0;d=b;e=a+16|0;f=c[e>>2]|0;if(f>>>0<=142){g=a+8|0;if(!f)h=g;else{i=g;j=f;k=6}}else{g=a+8|0;m=f;do{dm(c[g>>2]|0,41588,142,0,0);m=m+-142|0}while(m>>>0>142);i=g;j=c[e>>2]|0;k=6}if((k|0)==6){dm(c[i>>2]|0,41588,j,0,0);h=i}cm(c[h>>2]|0,43576,d);d=c[a+12>>2]|0;a=Va[c[(c[d>>2]|0)+412>>2]&127](d)|0;l=b;return a|0}function or(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0;f=l;l=l+64|0;g=f;h=f+16|0;i=f+52|0;j=a+16|0;k=c[j>>2]|0;if(k>>>0<=142){m=a+8|0;if(!k)n=m;else{o=m;p=k;q=6}}else{m=a+8|0;r=k;do{dm(c[m>>2]|0,41588,142,0,0);r=r+-142|0}while(r>>>0>142);o=m;p=c[j>>2]|0;q=6}if((q|0)==6){dm(c[o>>2]|0,41588,p,0,0);n=o}o=c[n>>2]|0;vm(h,b);n=c[h>>2]|0;vm(h,b);p=c[h+28>>2]|0;c[g>>2]=n;c[g+4>>2]=p;c[g+8>>2]=d;c[g+12>>2]=e;cm(o,43517,g);o=c[a+12>>2]|0;a=c[(c[o>>2]|0)+416>>2]|0;c[i>>2]=c[b>>2];c[g>>2]=c[i>>2];i=Ya[a&63](o,g,d,e)|0;l=f;return i|0}function pr(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0;f=l;l=l+64|0;g=f;h=f+16|0;i=f+52|0;j=a+16|0;k=c[j>>2]|0;if(k>>>0<=142){m=a+8|0;if(!k)n=m;else{o=m;p=k;q=6}}else{m=a+8|0;r=k;do{dm(c[m>>2]|0,41588,142,0,0);r=r+-142|0}while(r>>>0>142);o=m;p=c[j>>2]|0;q=6}if((q|0)==6){dm(c[o>>2]|0,41588,p,0,0);n=o}o=c[n>>2]|0;vm(h,b);n=c[h>>2]|0;vm(h,b);p=c[h+28>>2]|0;c[g>>2]=n;c[g+4>>2]=p;c[g+8>>2]=d;c[g+12>>2]=e;cm(o,43458,g);o=c[a+12>>2]|0;a=c[(c[o>>2]|0)+420>>2]|0;c[i>>2]=c[b>>2];c[g>>2]=c[i>>2];i=Ya[a&63](o,g,d,e)|0;l=f;return i|0}function qr(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,43437,e);e=c[a+12>>2]|0;a=_a[c[(c[e>>2]|0)+424>>2]&255](e,b)|0;l=d;return a|0}function rr(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;b=l;l=l+16|0;d=b;e=a+16|0;f=(c[e>>2]|0)+-2|0;c[e>>2]=f;if(f>>>0<=142){g=a+8|0;if(!f)h=g;else{i=g;j=f;k=6}}else{g=a+8|0;m=f;do{dm(c[g>>2]|0,41588,142,0,0);m=m+-142|0}while(m>>>0>142);i=g;j=c[e>>2]|0;k=6}if((k|0)==6){dm(c[i>>2]|0,41588,j,0,0);h=i}cm(c[h>>2]|0,43421,d);d=c[a+12>>2]|0;a=Va[c[(c[d>>2]|0)+428>>2]&127](d)|0;l=b;return a|0}function sr(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,43398,e);c[f>>2]=(c[f>>2]|0)+2;f=c[a+12>>2]|0;a=_a[c[(c[f>>2]|0)+432>>2]&255](f,b)|0;l=d;return a|0}function tr(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,43374,e);e=c[a+12>>2]|0;a=_a[c[(c[e>>2]|0)+436>>2]&255](e,b)|0;l=d;return a|0}function ur(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0;e=l;l=l+16|0;f=e;g=a+16|0;h=c[g>>2]|0;if(h>>>0<=142){i=a+8|0;if(!h)j=i;else{k=i;m=h;n=6}}else{i=a+8|0;o=h;do{dm(c[i>>2]|0,41588,142,0,0);o=o+-142|0}while(o>>>0>142);k=i;m=c[g>>2]|0;n=6}if((n|0)==6){dm(c[k>>2]|0,41588,m,0,0);j=k}k=c[j>>2]|0;c[f>>2]=b;c[f+4>>2]=d;cm(k,43328,f);f=c[a+12>>2]|0;a=Qa[c[(c[f>>2]|0)+440>>2]&127](f,b,d)|0;l=e;return a|0}function vr(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,43298,e);e=c[a+12>>2]|0;a=_a[c[(c[e>>2]|0)+444>>2]&255](e,b)|0;l=d;return a|0}function wr(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,43270,e);e=c[a+12>>2]|0;a=_a[c[(c[e>>2]|0)+448>>2]&255](e,b)|0;l=d;return a|0}function xr(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0;e=l;l=l+16|0;f=e;g=a+16|0;h=c[g>>2]|0;if(h>>>0<=142){i=a+8|0;if(!h)j=i;else{k=i;m=h;n=6}}else{i=a+8|0;o=h;do{dm(c[i>>2]|0,41588,142,0,0);o=o+-142|0}while(o>>>0>142);k=i;m=c[g>>2]|0;n=6}if((n|0)==6){dm(c[k>>2]|0,41588,m,0,0);j=k}k=c[j>>2]|0;c[f>>2]=b;c[f+4>>2]=d;cm(k,43215,f);f=c[a+12>>2]|0;a=Qa[c[(c[f>>2]|0)+452>>2]&127](f,b,d)|0;l=e;return a|0}function yr(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0;e=l;l=l+16|0;f=e;g=a+16|0;h=c[g>>2]|0;if(h>>>0<=142){i=a+8|0;if(!h)j=i;else{k=i;m=h;n=6}}else{i=a+8|0;o=h;do{dm(c[i>>2]|0,41588,142,0,0);o=o+-142|0}while(o>>>0>142);k=i;m=c[g>>2]|0;n=6}if((n|0)==6){dm(c[k>>2]|0,41588,m,0,0);j=k}k=c[j>>2]|0;c[f>>2]=b;c[f+4>>2]=d;cm(k,43160,f);f=c[a+12>>2]|0;a=Qa[c[(c[f>>2]|0)+456>>2]&127](f,b,d)|0;l=e;return a|0}function zr(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,43140,e);e=c[a+12>>2]|0;a=_a[c[(c[e>>2]|0)+460>>2]&255](e,b)|0;l=d;return a|0}function Ar(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;b=l;l=l+16|0;d=b;e=a+16|0;f=(c[e>>2]|0)+-2|0;c[e>>2]=f;if(f>>>0<=142){g=a+8|0;if(!f)h=g;else{i=g;j=f;k=6}}else{g=a+8|0;m=f;do{dm(c[g>>2]|0,41588,142,0,0);m=m+-142|0}while(m>>>0>142);i=g;j=c[e>>2]|0;k=6}if((k|0)==6){dm(c[i>>2]|0,41588,j,0,0);h=i}cm(c[h>>2]|0,43124,d);d=c[a+12>>2]|0;a=Va[c[(c[d>>2]|0)+464>>2]&127](d)|0;l=b;return a|0}function Br(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,43101,e);c[f>>2]=(c[f>>2]|0)+2;f=c[a+12>>2]|0;a=_a[c[(c[f>>2]|0)+468>>2]&255](f,b)|0;l=d;return a|0}function Cr(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,43077,e);e=c[a+12>>2]|0;a=_a[c[(c[e>>2]|0)+472>>2]&255](e,b)|0;l=d;return a|0}function Dr(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0;e=l;l=l+16|0;f=e;g=a+16|0;h=c[g>>2]|0;if(h>>>0<=142){i=a+8|0;if(!h)j=i;else{k=i;m=h;n=6}}else{i=a+8|0;o=h;do{dm(c[i>>2]|0,41588,142,0,0);o=o+-142|0}while(o>>>0>142);k=i;m=c[g>>2]|0;n=6}if((n|0)==6){dm(c[k>>2]|0,41588,m,0,0);j=k}k=c[j>>2]|0;c[f>>2]=b;c[f+4>>2]=d;cm(k,43030,f);f=c[a+12>>2]|0;a=Qa[c[(c[f>>2]|0)+476>>2]&127](f,b,d)|0;l=e;return a|0}function Er(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,43e3,e);e=c[a+12>>2]|0;a=_a[c[(c[e>>2]|0)+480>>2]&255](e,b)|0;l=d;return a|0}function Fr(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,42972,e);e=c[a+12>>2]|0;a=_a[c[(c[e>>2]|0)+484>>2]&255](e,b)|0;l=d;return a|0}
function _b(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=l;l=l+16|0;g=f;h=a+12|0;c[h>>2]=(c[h>>2]|0)+1;c[g>>2]=e;$n(c[a+8>>2]|0,b,c[a>>2]|0,d,g);l=f;return}function $b(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;d=l;l=l+80|0;e=d+36|0;f=d;g=b+92|0;if(!(c[g>>2]|0)){Zb(e,c[b>>2]|0,b);h=c[g>>2]|0;c[g>>2]=h+1;g=b+96|0;i=b+20+(((c[g>>2]|0)+h&1)*36|0)|0;qm(i);om(i,e);qm(e);j=g}else j=b+96|0;om(f,b+20+((c[j>>2]&1)*36|0)|0);c[a>>2]=c[f>>2];c[a+4>>2]=c[f+4>>2];c[a+8>>2]=c[f+8>>2];c[a+12>>2]=c[f+12>>2];qm(f);l=d;return}function ac(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=l;l=l+48|0;e=d;f=b+92|0;g=c[f>>2]|0;if(!g){h=b+96|0;do{Zb(e,c[b>>2]|0,b);i=c[f>>2]|0;c[f>>2]=i+1;j=b+20+(((c[h>>2]|0)+i&1)*36|0)|0;qm(j);om(j,e);qm(e);j=c[f>>2]|0}while(!(j|0));k=h;m=j}else{k=b+96|0;m=g}c[a>>2]=c[b+20+((c[k>>2]&1)*36|0)+16>>2];k=a+4|0;if(m>>>0>1){n=b+96|0;o=c[n>>2]|0;p=o&1;q=p^1;r=b+20+(q*36|0)+16|0;s=c[r>>2]|0;c[k>>2]=s;l=d;return}m=b+96|0;do{Zb(e,c[b>>2]|0,b);a=c[f>>2]|0;c[f>>2]=a+1;g=b+20+(((c[m>>2]|0)+a&1)*36|0)|0;qm(g);om(g,e);qm(e)}while((c[f>>2]|0)>>>0<=1);n=m;o=c[n>>2]|0;p=o&1;q=p^1;r=b+20+(q*36|0)+16|0;s=c[r>>2]|0;c[k>>2]=s;l=d;return}function bc(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0;d=l;l=l+48|0;e=d;f=a+92|0;g=c[f>>2]|0;if(!g){h=a+96|0;do{Zb(e,c[a>>2]|0,a);i=c[f>>2]|0;c[f>>2]=i+1;j=a+20+(((c[h>>2]|0)+i&1)*36|0)|0;qm(j);om(j,e);qm(e);j=c[f>>2]|0}while(!(j|0));k=h;m=j}else{k=a+96|0;m=g}if((c[a+20+((c[k>>2]&1)*36|0)+16>>2]|0)!=22){n=0;l=d;return n|0}if(m>>>0>1)o=a+96|0;else{m=a+96|0;do{Zb(e,c[a>>2]|0,a);k=c[f>>2]|0;c[f>>2]=k+1;g=a+20+(((c[m>>2]|0)+k&1)*36|0)|0;qm(g);om(g,e);qm(e)}while((c[f>>2]|0)>>>0<=1);o=m}n=(c[a+20+((c[o>>2]&1^1)*36|0)+16>>2]|0)==(b|0);l=d;return n|0}function cc(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;d=l;l=l+80|0;e=d+36|0;f=d;g=a+92|0;if(!(c[g>>2]|0)){h=a+96|0;do{Zb(e,c[a>>2]|0,a);i=c[g>>2]|0;c[g>>2]=i+1;j=a+20+(((c[h>>2]|0)+i&1)*36|0)|0;qm(j);om(j,e);qm(e)}while(!(c[g>>2]|0));k=h}else k=a+96|0;if((c[a+20+((c[k>>2]&1)*36|0)+16>>2]|0)!=(b|0)){m=0;l=d;return m|0}b=a+96|0;om(f,a+20+((c[b>>2]&1)*36|0)|0);k=a+20+((c[b>>2]&1)*36|0)|0;qm(k);c[k>>2]=0;c[k+4>>2]=0;c[k+8>>2]=0;c[k+12>>2]=0;c[k+16>>2]=0;c[b>>2]=c[b>>2]&1^1;c[g>>2]=(c[g>>2]|0)+-1;qm(f);m=1;l=d;return m|0}function dc(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=l;l=l+80|0;e=d+36|0;f=d;if(!(bc(a,b)|0)){g=0;l=d;return g|0}b=a+96|0;om(e,a+20+((c[b>>2]&1)*36|0)|0);h=a+20+((c[b>>2]&1)*36|0)|0;qm(h);c[h>>2]=0;c[h+4>>2]=0;c[h+8>>2]=0;c[h+12>>2]=0;c[h+16>>2]=0;c[b>>2]=c[b>>2]&1^1;h=a+92|0;c[h>>2]=(c[h>>2]|0)+-1;qm(e);om(f,a+20+((c[b>>2]&1)*36|0)|0);e=a+20+((c[b>>2]&1)*36|0)|0;qm(e);c[e>>2]=0;c[e+4>>2]=0;c[e+8>>2]=0;c[e+12>>2]=0;c[e+16>>2]=0;c[b>>2]=c[b>>2]&1^1;c[h>>2]=(c[h>>2]|0)+-1;qm(f);g=1;l=d;return g|0}function ec(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;e=l;l=l+96|0;f=e+72|0;g=e;h=e+36|0;i=e+8|0;j=e+24|0;if(cc(b,d)|0){k=0;l=e;return k|0}m=b+96|0;om(h,b+20+((c[m>>2]&1)*36|0)|0);n=b+20+((c[m>>2]&1)*36|0)|0;qm(n);c[n>>2]=0;c[n+4>>2]=0;c[n+8>>2]=0;c[n+12>>2]=0;c[n+16>>2]=0;c[m>>2]=c[m>>2]&1^1;m=b+92|0;c[m>>2]=(c[m>>2]|0)+-1;c[i>>2]=c[h>>2];c[i+4>>2]=c[h+4>>2];c[i+8>>2]=c[h+8>>2];c[i+12>>2]=c[h+12>>2];sm(j,h,80);m=(a[j+11>>0]|0)<0?c[j>>2]|0:j;n=im(d)|0;c[g>>2]=m;c[g+4>>2]=n;c[f>>2]=c[i>>2];c[f+4>>2]=c[i+4>>2];c[f+8>>2]=c[i+8>>2];c[f+12>>2]=c[i+12>>2];_b(b,f,18070,g);Wt(j);qm(h);k=1;l=e;return k|0}function fc(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;e=l;l=l+96|0;f=e+80|0;g=e;h=e+72|0;i=e+36|0;j=e+8|0;k=e+24|0;m=b+96|0;n=b+92|0;o=i+16|0;p=k+11|0;q=0;while(1){ac(h,b);c[f>>2]=c[h>>2];c[f+4>>2]=c[h+4>>2];if(Va[d&127](f)|0){r=0;s=6;break}om(i,b+20+((c[m>>2]&1)*36|0)|0);t=b+20+((c[m>>2]&1)*36|0)|0;qm(t);c[t>>2]=0;c[t+4>>2]=0;c[t+8>>2]=0;c[t+12>>2]=0;c[t+16>>2]=0;c[m>>2]=c[m>>2]&1^1;c[n>>2]=(c[n>>2]|0)+-1;if((c[o>>2]|0)==82){c[j>>2]=c[i>>2];c[j+4>>2]=c[i+4>>2];c[j+8>>2]=c[i+8>>2];c[j+12>>2]=c[i+12>>2];sm(k,i,80);c[g>>2]=(a[p>>0]|0)<0?c[k>>2]|0:k;c[f>>2]=c[j>>2];c[f+4>>2]=c[j+4>>2];c[f+8>>2]=c[j+8>>2];c[f+12>>2]=c[j+12>>2];_b(b,f,18104,g);Wt(k)}qm(i);q=q+1|0;if((q|0)>=10){r=1;s=6;break}}if((s|0)==6){l=e;return r|0}return 0}function gc(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;f=l;l=l+112|0;g=f+88|0;h=f;i=f+48|0;j=f+36|0;k=f+8|0;m=f+24|0;n=b+96|0;om(i,b+20+((c[n>>2]&1)*36|0)|0);o=b+20+((c[n>>2]&1)*36|0)|0;qm(o);c[o>>2]=0;c[o+4>>2]=0;c[o+8>>2]=0;c[o+12>>2]=0;c[o+16>>2]=0;c[n>>2]=c[n>>2]&1^1;n=b+92|0;c[n>>2]=(c[n>>2]|0)+-1;c[j>>2]=0;c[j+4>>2]=0;c[j+8>>2]=0;n=d+4|0;if((c[d>>2]|0)!=(c[n>>2]|0)){au(j,32186)|0;o=(c[n>>2]|0)-(c[d>>2]|0)|0;if(o|0){p=0;q=(o|0)/12|0;do{do if(p|0)if((p|0)==(q+-1|0)){fu(j,18148)|0;break}else{fu(j,42084)|0;break}while(0);o=c[d>>2]|0;r=o+(p*12|0)|0;s=a[r+11>>0]|0;t=s<<24>>24<0;eu(j,t?c[r>>2]|0:r,t?c[o+(p*12|0)+4>>2]|0:s&255)|0;p=p+1|0;q=((c[n>>2]|0)-(c[d>>2]|0)|0)/12|0}while(p>>>0<q>>>0)}if(e|0){fu(j,18153)|0;fu(j,e)|0;fu(j,28305)|0}};c[k>>2]=c[i>>2];c[k+4>>2]=c[i+4>>2];c[k+8>>2]=c[i+8>>2];c[k+12>>2]=c[i+12>>2];sm(m,i,80);e=(a[j+11>>0]|0)<0?c[j>>2]|0:j;c[h>>2]=(a[m+11>>0]|0)<0?c[m>>2]|0:m;c[h+4>>2]=e;c[g>>2]=c[k>>2];c[g+4>>2]=c[k+4>>2];c[g+8>>2]=c[k+8>>2];c[g+12>>2]=c[k+12>>2];_b(b,g,18161,h);Wt(m);Wt(j);qm(i);l=f;return 1}function hc(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;e=l;l=l+80|0;f=e+36|0;g=e;if(!(cc(a,22)|0)){h=0;l=e;return h|0}i=a+92|0;if(!(c[i>>2]|0)){Zb(f,c[a>>2]|0,a);j=c[i>>2]|0;c[i>>2]=j+1;i=a+96|0;k=a+20+(((c[i>>2]|0)+j&1)*36|0)|0;qm(k);om(k,f);qm(f);m=i}else m=a+96|0;om(g,a+20+((c[m>>2]&1)*36|0)|0);qm(g);h=gc(a,b,d)|0;l=e;return h|0}function ic(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;d=l;l=l+48|0;e=d;f=a+92|0;if(!(c[f>>2]|0)){g=a+96|0;do{Zb(e,c[a>>2]|0,a);h=c[f>>2]|0;c[f>>2]=h+1;i=a+20+(((c[g>>2]|0)+h&1)*36|0)|0;qm(i);om(i,e);qm(e)}while(!(c[f>>2]|0));j=g}else j=a+96|0;if((c[a+20+((c[j>>2]&1)*36|0)+16>>2]|0)!=84){l=d;return}j=a+96|0;om(e,a+20+((c[j>>2]&1)*36|0)|0);g=a+20+((c[j>>2]&1)*36|0)|0;qm(g);c[g>>2]=0;c[g+4>>2]=0;c[g+8>>2]=0;c[g+12>>2]=0;c[g+16>>2]=0;c[j>>2]=c[j>>2]&1^1;c[f>>2]=(c[f>>2]|0)+-1;Xt(b,e+20|0)|0;qm(e);l=d;return}function jc(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0;e=l;l=l+128|0;f=e+88|0;g=e+32|0;h=e+40|0;i=e;j=e+80|0;k=b+92|0;if(!(c[k>>2]|0)){m=b+96|0;do{Zb(f,c[b>>2]|0,b);n=c[k>>2]|0;c[k>>2]=n+1;o=b+20+(((c[m>>2]|0)+n&1)*36|0)|0;qm(o);om(o,f);qm(f)}while(!(c[k>>2]|0));p=m}else p=b+96|0;if((c[b+20+((c[p>>2]&1)*36|0)+16>>2]|0)==39){p=b+96|0;om(h,b+20+((c[p>>2]&1)*36|0)|0);m=b+20+((c[p>>2]&1)*36|0)|0;qm(m);c[m>>2]=0;c[m+4>>2]=0;c[m+8>>2]=0;c[m+12>>2]=0;c[m+16>>2]=0;c[p>>2]=c[p>>2]&1^1;c[k>>2]=(c[k>>2]|0)+-1;p=h+24|0;m=a[p+11>>0]|0;o=m<<24>>24<0;n=o?c[p>>2]|0:p;p=o?c[h+28>>2]|0:m&255;m=i;c[m>>2]=-1;c[m+4>>2]=0;if((Ol(n,n+p|0,i)|0)==1){c[g>>2]=p;c[g+4>>2]=n;c[f>>2]=c[h>>2];c[f+4>>2]=c[h+4>>2];c[f+8>>2]=c[h+8>>2];c[f+12>>2]=c[h+12>>2];_b(b,f,18186,g)}xn(f,c[i>>2]|0,h);An(d,f)|0;Fn(f);qm(h);q=0;l=e;return q|0}if((c[b+20+((c[b+96>>2]&1)*36|0)+16>>2]|0)==84){g=b+96|0;om(h,b+20+((c[g>>2]&1)*36|0)|0);n=b+20+((c[g>>2]&1)*36|0)|0;qm(n);c[n>>2]=0;c[n+4>>2]=0;c[n+8>>2]=0;c[n+12>>2]=0;c[n+16>>2]=0;c[g>>2]=c[g>>2]&1^1;c[k>>2]=(c[k>>2]|0)+-1;k=h+20|0;g=a[k+11>>0]|0;n=g<<24>>24<0;c[j>>2]=n?c[k>>2]|0:k;c[j+4>>2]=n?c[h+24>>2]|0:g&255;c[f>>2]=c[j>>2];c[f+4>>2]=c[j+4>>2];yn(i,f,h);An(d,i)|0;Fn(i);qm(h);q=0;l=e;return q|0}else{c[h>>2]=0;c[h+4>>2]=0;c[h+8>>2]=0;Rt(h,18205,15);i=h+12|0;c[i>>2]=0;c[i+4>>2]=0;c[i+8>>2]=0;Rt(i,18221,6);i=Kt(24)|0;c[f>>2]=i;c[f+8>>2]=i+24;Qt(i,h);Qt(i+12|0,h+12|0);c[f+4>>2]=i+24;d=gc(b,f,18228)|0;Wt(i+12|0);Wt(i);Mt(i);Wt(h+12|0);Wt(h);q=d;l=e;return q|0}return 0}function kc(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;e=l;l=l+48|0;f=e;g=a+92|0;if(!(c[g>>2]|0)){h=a+96|0;do{Zb(f,c[a>>2]|0,a);i=c[g>>2]|0;c[g>>2]=i+1;j=a+20+(((c[h>>2]|0)+i&1)*36|0)|0;qm(j);om(j,f);qm(f)}while(!(c[g>>2]|0));k=h}else k=a+96|0;if((c[a+20+((c[k>>2]&1)*36|0)+16>>2]|0)!=39?(c[a+20+((c[a+96>>2]&1)*36|0)+16>>2]|0)!=84:0){Cn(b,d)|0;m=0;l=e;return m|0}jc(a,b)|0;m=1;l=e;return m|0}function lc(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;d=l;l=l+32|0;e=d+12|0;f=d;a:do if(dc(a,26)|0){if((mc(a,b)|0)==1){g=1;l=d;return g|0}if((ec(a,31)|0)==1){g=1;l=d;return g|0}}else{ac(e,a);b:do if((c[e>>2]|0)==22){h=c[e+4>>2]|0;switch(h|0){case 42:case 41:case 43:case 40:case 78:case 79:case 67:case 74:case 62:case 56:case 55:case 53:case 44:case 76:case 54:case 72:case 64:case 70:case 60:case 73:case 71:case 61:case 50:case 49:case 68:case 48:case 47:case 46:case 69:case 57:case 66:case 77:break;default:{i=h+-45|0;if(i>>>0>=31){j=7;break b}if(!(1075052545>>>(i&2147483647)&1))break b}}if((nc(a,b)|0)==1)g=1;else break a;l=d;return g|0}else j=7;while(0);c[f>>2]=0;c[f+4>>2]=0;c[f+8>>2]=0;Rt(f,18239,14);i=Kt(12)|0;c[e>>2]=i;c[e+8>>2]=i+12;Qt(i,f);c[e+4>>2]=i+12;h=gc(a,e,18254)|0;Wt(i);Mt(i);Wt(f);g=h;l=d;return g|0}while(0);g=0;l=d;return g|0}function mc(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=l;l=l+32|0;e=d+12|0;f=d;g=sc(a,b)|0;c[f>>2]=0;c[f+4>>2]=0;c[f+8>>2]=0;Rt(f,20913,8);b=Kt(12)|0;c[e>>2]=b;c[e+8>>2]=b+12;Qt(b,f);c[e+4>>2]=b+12;h=(hc(a,e,0)|0)==1;Wt(b);Mt(b);Wt(f);l=d;return (h?1:g)|0}function nc(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;d=l;l=l+432|0;e=d+384|0;f=d;g=d+372|0;h=d+320|0;i=d+336|0;j=d+40|0;k=d+284|0;m=d+248|0;n=d+212|0;o=d+176|0;p=d+140|0;q=d+104|0;r=d+96|0;s=d+56|0;t=d+4|0;u=a+92|0;v=c[u>>2]|0;if(!v){w=a+96|0;do{Zb(e,c[a>>2]|0,a);x=c[u>>2]|0;c[u>>2]=x+1;y=a+20+(((c[w>>2]|0)+x&1)*36|0)|0;qm(y);om(y,e);qm(e);y=c[u>>2]|0}while(!(y|0));z=w;A=y}else{z=a+96|0;A=v}if((c[a+20+((c[z>>2]&1)*36|0)+16>>2]|0)!=22){B=1;l=d;return B|0}if(A>>>0>1)C=a+96|0;else{A=a+96|0;do{Zb(e,c[a>>2]|0,a);z=c[u>>2]|0;c[u>>2]=z+1;v=a+20+(((c[A>>2]|0)+z&1)*36|0)|0;qm(v);om(v,e);qm(e)}while((c[u>>2]|0)>>>0<=1);C=A}switch(c[a+20+((c[C>>2]&1^1)*36|0)+16>>2]|0){case 42:case 41:case 43:case 40:case 78:case 79:case 67:case 74:case 62:case 56:case 55:case 53:case 44:case 76:case 54:case 72:case 64:case 70:case 60:case 73:case 71:case 61:case 50:case 49:case 68:case 48:case 47:case 46:case 69:case 57:case 66:case 77:{C=a+96|0;om(i,a+20+((c[C>>2]&1)*36|0)|0);A=a+20+((c[C>>2]&1)*36|0)|0;qm(A);c[A>>2]=0;c[A+4>>2]=0;c[A+8>>2]=0;c[A+12>>2]=0;c[A+16>>2]=0;c[C>>2]=c[C>>2]&1^1;c[u>>2]=(c[u>>2]|0)+-1;qm(i);c[e>>2]=0;if((oc(a,e)|0)==1){i=c[e>>2]|0;c[e>>2]=0;if(i|0)Sa[c[(c[i>>2]|0)+4>>2]&255](i);B=1;l=d;return B|0}if((pc(a,b)|0)==1){i=c[e>>2]|0;c[e>>2]=0;if(i|0)Sa[c[(c[i>>2]|0)+4>>2]&255](i);B=1;l=d;return B|0};c[h>>2]=0;c[h+4>>2]=0;c[h+8>>2]=0;Rt(h,18270,7);i=Kt(12)|0;c[g>>2]=i;c[g+8>>2]=i+12;Qt(i,h);c[g+4>>2]=i+12;C=(hc(a,g,0)|0)==1;Wt(i);Mt(i);Wt(h);i=c[e>>2]|0;c[e>>2]=0;if(C){if(i|0)Sa[c[(c[i>>2]|0)+4>>2]&255](i);B=1;l=d;return B|0}C=b+4|0;A=c[C>>2]|0;if(!A)D=b;else{c[i+8>>2]=A;D=A+4|0}c[D>>2]=i;c[C>>2]=i;i=b+8|0;c[i>>2]=(c[i>>2]|0)+1;E=ec(a,31)|0;F=(E|0)==1;G=F&1;l=d;return G|0}default:{}}$b(j,a);if((c[u>>2]|0)>>>0>1)H=a+96|0;else{i=a+96|0;do{Zb(e,c[a>>2]|0,a);C=c[u>>2]|0;c[u>>2]=C+1;D=a+20+(((c[i>>2]|0)+C&1)*36|0)|0;qm(D);om(D,e);qm(e)}while((c[u>>2]|0)>>>0<=1);H=i}a:do switch(c[a+20+((c[H>>2]&1^1)*36|0)+16>>2]|0){case 45:{i=a+96|0;om(k,a+20+((c[i>>2]&1)*36|0)|0);D=a+20+((c[i>>2]&1)*36|0)|0;qm(D);c[D>>2]=0;c[D+4>>2]=0;c[D+8>>2]=0;c[D+12>>2]=0;c[D+16>>2]=0;c[i>>2]=c[i>>2]&1^1;c[u>>2]=(c[u>>2]|0)+-1;qm(k);om(m,a+20+((c[i>>2]&1)*36|0)|0);D=a+20+((c[i>>2]&1)*36|0)|0;qm(D);c[D>>2]=0;c[D+4>>2]=0;c[D+8>>2]=0;c[D+12>>2]=0;c[D+16>>2]=0;c[i>>2]=c[i>>2]&1^1;c[u>>2]=(c[u>>2]|0)+-1;qm(m);i=Kt(68)|0;c[i+4>>2]=0;D=i+8|0;c[D>>2]=0;C=i+12|0;c[C>>2]=c[j>>2];c[C+4>>2]=c[j+4>>2];c[C+8>>2]=c[j+8>>2];c[C+12>>2]=c[j+12>>2];c[i+28>>2]=5;c[i>>2]=2208;C=i+32|0;I=C;J=I+36|0;do{c[I>>2]=0;I=I+4|0}while((I|0)<(J|0));if((qc(a,C)|0)==1){Sa[c[(c[i>>2]|0)+4>>2]&255](i);K=1;L=120;break a}A=i+44|0;do{if(!(dc(a,30)|0)){L=38;break}if((rc(a,A)|0)==1)break}while((ec(a,31)|0)!=1);if((L|0)==38?(sc(a,i+56|0)|0)!=1:0){A=b+4|0;C=c[A>>2]|0;if(!C){M=b;N=A;O=i;L=121;break a}else{c[D>>2]=C;M=C+4|0;N=A;O=i;L=121;break a}}Sa[c[(c[i>>2]|0)+4>>2]&255](i);K=1;L=120;break}case 65:{A=a+96|0;om(n,a+20+((c[A>>2]&1)*36|0)|0);C=a+20+((c[A>>2]&1)*36|0)|0;qm(C);c[C>>2]=0;c[C+4>>2]=0;c[C+8>>2]=0;c[C+12>>2]=0;c[C+16>>2]=0;c[A>>2]=c[A>>2]&1^1;c[u>>2]=(c[u>>2]|0)+-1;qm(n);om(o,a+20+((c[A>>2]&1)*36|0)|0);C=a+20+((c[A>>2]&1)*36|0)|0;qm(C);c[C>>2]=0;c[C+4>>2]=0;c[C+8>>2]=0;c[C+12>>2]=0;c[C+16>>2]=0;c[A>>2]=c[A>>2]&1^1;c[u>>2]=(c[u>>2]|0)+-1;qm(o);A=Kt(68)|0;C=A+4|0;v=A+8|0;c[C>>2]=0;c[C+4>>2]=0;c[C+8>>2]=0;c[C+12>>2]=0;c[C+16>>2]=0;c[C+20>>2]=0;c[A+28>>2]=21;c[A>>2]=2224;C=A+32|0;I=C;J=I+36|0;do{c[I>>2]=0;I=I+4|0}while((I|0)<(J|0));if((qc(a,C)|0)==1){Sa[c[(c[A>>2]|0)+4>>2]&255](A);K=1;L=120;break a}i=A+44|0;do{if(!(dc(a,30)|0)){L=49;break}if((rc(a,i)|0)==1)break}while((ec(a,31)|0)!=1);if((L|0)==49?(sc(a,A+56|0)|0)!=1:0){i=b+4|0;C=c[i>>2]|0;if(!C){M=b;N=i;O=A;L=121;break a}else{c[v>>2]=C;M=C+4|0;N=i;O=A;L=121;break a}}Sa[c[(c[A>>2]|0)+4>>2]&255](A);K=1;L=120;break}case 63:{i=a+96|0;om(p,a+20+((c[i>>2]&1)*36|0)|0);C=a+20+((c[i>>2]&1)*36|0)|0;qm(C);c[C>>2]=0;c[C+4>>2]=0;c[C+8>>2]=0;c[C+12>>2]=0;c[C+16>>2]=0;c[i>>2]=c[i>>2]&1^1;c[u>>2]=(c[u>>2]|0)+-1;qm(p);om(q,a+20+((c[i>>2]&1)*36|0)|0);C=a+20+((c[i>>2]&1)*36|0)|0;qm(C);c[C>>2]=0;c[C+4>>2]=0;c[C+8>>2]=0;c[C+12>>2]=0;c[C+16>>2]=0;c[i>>2]=c[i>>2]&1^1;c[u>>2]=(c[u>>2]|0)+-1;qm(q);i=Kt(80)|0;c[i+4>>2]=0;C=i+8|0;c[C>>2]=0;D=i+12|0;c[D>>2]=c[j>>2];c[D+4>>2]=c[j+4>>2];c[D+8>>2]=c[j+8>>2];c[D+12>>2]=c[j+12>>2];c[i+28>>2]=19;c[i>>2]=2240;D=i+32|0;I=D;J=I+48|0;do{c[I>>2]=0;I=I+4|0}while((I|0)<(J|0));b:do if((qc(a,D)|0)!=1){A=i+44|0;while(1){if(!(dc(a,30)|0))break;if((rc(a,A)|0)==1){P=1;break b}if((ec(a,31)|0)==1){P=1;break b}}ac(e,a);c:do if((c[e>>2]|0)==22){A=c[e+4>>2]|0;switch(A|0){case 42:case 41:case 43:case 40:case 78:case 79:case 67:case 74:case 62:case 56:case 55:case 53:case 44:case 76:case 54:case 72:case 64:case 70:case 60:case 73:case 71:case 61:case 50:case 49:case 68:case 48:case 47:case 46:case 69:case 57:case 66:case 77:break;default:{v=A+-45|0;if(v>>>0>=31){L=62;break c}if(!(1075052545>>>(v&2147483647)&1))break c}}c[g>>2]=0;c[g+4>>2]=0;c[g+8>>2]=0;if((nc(a,g)|0)==1)Q=1;else{c[r>>2]=b;c[r+4>>2]=0;c[e>>2]=c[r>>2];c[e+4>>2]=c[r+4>>2];tc(b,e,g);Q=0}v=c[g>>2]|0;if(v|0){A=v;do{v=A;A=c[A+4>>2]|0;Sa[c[(c[v>>2]|0)+4>>2]&255](v)}while((A|0)!=0)}if(Q|0){P=1;break b}}else L=62;while(0);d:do if(dc(a,35)|0){if((mc(a,i+56|0)|0)==1){P=1;break b}if((ec(a,31)|0)==1){P=1;break b}if(dc(a,58)|0){if((mc(a,i+68|0)|0)==1){P=1;break b}if((ec(a,31)|0)==1){P=1;break b}else break}ac(e,a);e:do if((c[e>>2]|0)==22){A=c[e+4>>2]|0;switch(A|0){case 42:case 41:case 43:case 40:case 78:case 79:case 67:case 74:case 62:case 56:case 55:case 53:case 44:case 76:case 54:case 72:case 64:case 70:case 60:case 73:case 71:case 61:case 50:case 49:case 68:case 48:case 47:case 46:case 69:case 57:case 66:case 77:break;default:{v=A+-45|0;if(v>>>0>=31)break e;if(!(1075052545>>>(v&2147483647)&1))break d}}if((nc(a,i+68|0)|0)==1){P=1;break b}else break d}while(0)}else{ac(e,a);f:do if((c[e>>2]|0)==22){v=c[e+4>>2]|0;switch(v|0){case 42:case 41:case 43:case 40:case 78:case 79:case 67:case 74:case 62:case 56:case 55:case 53:case 44:case 76:case 54:case 72:case 64:case 70:case 60:case 73:case 71:case 61:case 50:case 49:case 68:case 48:case 47:case 46:case 69:case 57:case 66:case 77:break;default:{A=v+-45|0;if(A>>>0>=31){L=86;break f}if(!(1075052545>>>(A&2147483647)&1))break f}}if((nc(a,i+56|0)|0)==1){P=1;break b}ac(e,a);g:do if((c[e>>2]|0)==22){A=c[e+4>>2]|0;switch(A|0){case 42:case 41:case 43:case 40:case 78:case 79:case 67:case 74:case 62:case 56:case 55:case 53:case 44:case 76:case 54:case 72:case 64:case 70:case 60:case 73:case 71:case 61:case 50:case 49:case 68:case 48:case 47:case 46:case 69:case 57:case 66:case 77:break;default:{v=A+-45|0;if(v>>>0>=31)break g;if(!(1075052545>>>(v&2147483647)&1))break d}}if((nc(a,i+68|0)|0)==1){P=1;break b}else break d}while(0);break d}else L=86;while(0);cc(a,22)|0;c[g>>2]=0;c[g+4>>2]=0;c[g+8>>2]=0;Rt(g,18278,10);v=Kt(12)|0;c[e>>2]=v;c[e+8>>2]=v+12;Qt(v,g);c[e+4>>2]=v+12;A=gc(a,e,18289)|0;Wt(v);Mt(v);Wt(g);P=A;break b}while(0);A=b+4|0;v=c[A>>2]|0;if(!v){M=b;N=A;O=i;L=121;break a}else{c[C>>2]=v;M=v+4|0;N=A;O=i;L=121;break a}}else P=1;while(0);Sa[c[(c[i>>2]|0)+4>>2]&255](i);K=P;L=120;break}case 75:{C=a+96|0;om(s,a+20+((c[C>>2]&1)*36|0)|0);D=a+20+((c[C>>2]&1)*36|0)|0;qm(D);c[D>>2]=0;c[D+4>>2]=0;c[D+8>>2]=0;c[D+12>>2]=0;c[D+16>>2]=0;c[C>>2]=c[C>>2]&1^1;c[u>>2]=(c[u>>2]|0)+-1;qm(s);om(t,a+20+((c[C>>2]&1)*36|0)|0);D=a+20+((c[C>>2]&1)*36|0)|0;qm(D);c[D>>2]=0;c[D+4>>2]=0;c[D+8>>2]=0;c[D+12>>2]=0;c[D+16>>2]=0;c[C>>2]=c[C>>2]&1^1;c[u>>2]=(c[u>>2]|0)+-1;c[g>>2]=c[t+20>>2];if(!(ym(g,c[a+16>>2]|0)|0)){c[h>>2]=c[t>>2];c[h+4>>2]=c[t+4>>2];c[h+8>>2]=c[t+8>>2];c[h+12>>2]=c[t+12>>2];vm(e,g);c[f>>2]=c[e>>2];c[e>>2]=c[h>>2];c[e+4>>2]=c[h+4>>2];c[e+8>>2]=c[h+8>>2];c[e+12>>2]=c[h+12>>2];_b(a,e,18125,f)}qm(t);C=Kt(80)|0;c[C+4>>2]=0;D=C+8|0;c[D>>2]=0;A=C+12|0;c[A>>2]=c[j>>2];c[A+4>>2]=c[j+4>>2];c[A+8>>2]=c[j+8>>2];c[A+12>>2]=c[j+12>>2];c[C+28>>2]=31;c[C>>2]=2256;A=C+32|0;I=A;J=I+48|0;do{c[I>>2]=0;I=I+4|0}while((I|0)<(J|0));if((qc(a,A)|0)==1){Sa[c[(c[C>>2]|0)+4>>2]&255](C);K=1;L=120;break a}i=C+44|0;while(1){if(!(dc(a,30)|0))break;if((rc(a,i)|0)==1){L=110;break}if((ec(a,31)|0)==1){L=110;break}}if((L|0)==110){Sa[c[(c[C>>2]|0)+4>>2]&255](C);K=1;L=120;break a}if((sc(a,C+56|0)|0)==1){Sa[c[(c[C>>2]|0)+4>>2]&255](C);K=1;L=120;break a}if((uc(a,C+68|0)|0)==1){Sa[c[(c[C>>2]|0)+4>>2]&255](C);K=1;L=120;break a};c[g>>2]=0;c[g+4>>2]=0;c[g+8>>2]=0;Rt(g,18300,12);i=Kt(12)|0;c[e>>2]=i;c[e+8>>2]=i+12;Qt(i,g);c[e+4>>2]=i+12;A=(hc(a,e,0)|0)==1;Wt(i);Mt(i);Wt(g);if(A){Sa[c[(c[C>>2]|0)+4>>2]&255](C);K=1;L=120;break a}A=b+4|0;i=c[A>>2]|0;if(!i){M=b;N=A;O=C;L=121;break a}else{c[D>>2]=i;M=i+4|0;N=A;O=C;L=121;break a}break}default:{K=1;L=120}}while(0);if((L|0)==120){B=K;l=d;return B|0}else if((L|0)==121){c[M>>2]=O;c[N>>2]=O;O=b+8|0;c[O>>2]=(c[O>>2]|0)+1;E=ec(a,31)|0;F=(E|0)==1;G=F&1;l=d;return G|0}return 0}function oc(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0;e=l;l=l+1264|0;f=e+1228|0;g=e+128|0;h=e+120|0;i=e+112|0;j=e+104|0;k=e+96|0;m=e+88|0;n=e+80|0;o=e+72|0;p=e+64|0;q=e+56|0;r=e+888|0;s=e+40|0;t=e+136|0;u=e+1192|0;v=e+1156|0;w=e+1120|0;x=e+1084|0;y=e+1048|0;z=e+1012|0;A=e+976|0;B=e+940|0;C=e+904|0;D=e+852|0;E=e+816|0;F=e+780|0;G=e+744|0;H=e+708|0;I=e+672|0;J=e+656|0;K=e+616|0;L=e+600|0;M=e+560|0;N=e;O=e+524|0;P=e+488|0;Q=e+472|0;R=e+432|0;S=e+416|0;T=e+376|0;U=e+360|0;V=e+320|0;W=e+304|0;X=e+264|0;Y=e+248|0;Z=e+208|0;_=e+192|0;$=e+152|0;$b(t,b);aa=b+92|0;if(!(c[aa>>2]|0)){ba=b+96|0;do{Zb(f,c[b>>2]|0,b);ca=c[aa>>2]|0;c[aa>>2]=ca+1;da=b+20+(((c[ba>>2]|0)+ca&1)*36|0)|0;qm(da);om(da,f);qm(f)}while(!(c[aa>>2]|0));ea=ba}else ea=b+96|0;do switch(c[b+20+((c[ea>>2]&1)*36|0)+16>>2]|0){case 77:{ba=b+96|0;om(u,b+20+((c[ba>>2]&1)*36|0)|0);da=b+20+((c[ba>>2]&1)*36|0)|0;qm(da);c[da>>2]=0;c[da+4>>2]=0;c[da+8>>2]=0;c[da+12>>2]=0;c[da+16>>2]=0;c[ba>>2]=c[ba>>2]&1^1;c[aa>>2]=(c[aa>>2]|0)+-1;qm(u);ba=Kt(32)|0;c[ba+4>>2]=0;c[ba+8>>2]=0;da=ba+12|0;c[da>>2]=c[t>>2];c[da+4>>2]=c[t+4>>2];c[da+8>>2]=c[t+8>>2];c[da+12>>2]=c[t+12>>2];c[ba+28>>2]=33;c[ba>>2]=2272;da=c[d>>2]|0;c[d>>2]=ba;if(!da){fa=0;l=e;return fa|0}Sa[c[(c[da>>2]|0)+4>>2]&255](da);fa=0;l=e;return fa|0}case 66:{da=b+96|0;om(v,b+20+((c[da>>2]&1)*36|0)|0);ba=b+20+((c[da>>2]&1)*36|0)|0;qm(ba);c[ba>>2]=0;c[ba+4>>2]=0;c[ba+8>>2]=0;c[ba+12>>2]=0;c[ba+16>>2]=0;c[da>>2]=c[da>>2]&1^1;c[aa>>2]=(c[aa>>2]|0)+-1;qm(v);da=Kt(32)|0;c[da+4>>2]=0;c[da+8>>2]=0;ba=da+12|0;c[ba>>2]=c[t>>2];c[ba+4>>2]=c[t+4>>2];c[ba+8>>2]=c[t+8>>2];c[ba+12>>2]=c[t+12>>2];c[da+28>>2]=22;c[da>>2]=2288;ba=c[d>>2]|0;c[d>>2]=da;if(!ba){fa=0;l=e;return fa|0}Sa[c[(c[ba>>2]|0)+4>>2]&255](ba);fa=0;l=e;return fa|0}case 57:{ba=b+96|0;om(w,b+20+((c[ba>>2]&1)*36|0)|0);da=b+20+((c[ba>>2]&1)*36|0)|0;qm(da);c[da>>2]=0;c[da+4>>2]=0;c[da+8>>2]=0;c[da+12>>2]=0;c[da+16>>2]=0;c[ba>>2]=c[ba>>2]&1^1;c[aa>>2]=(c[aa>>2]|0)+-1;qm(w);ba=Kt(32)|0;c[ba+4>>2]=0;c[ba+8>>2]=0;da=ba+12|0;c[da>>2]=c[t>>2];c[da+4>>2]=c[t+4>>2];c[da+8>>2]=c[t+8>>2];c[da+12>>2]=c[t+12>>2];c[ba+28>>2]=15;c[ba>>2]=2304;da=c[d>>2]|0;c[d>>2]=ba;if(!da){fa=0;l=e;return fa|0}Sa[c[(c[da>>2]|0)+4>>2]&255](da);fa=0;l=e;return fa|0}case 69:{da=b+96|0;om(x,b+20+((c[da>>2]&1)*36|0)|0);ba=b+20+((c[da>>2]&1)*36|0)|0;qm(ba);c[ba>>2]=0;c[ba+4>>2]=0;c[ba+8>>2]=0;c[ba+12>>2]=0;c[ba+16>>2]=0;c[da>>2]=c[da>>2]&1^1;c[aa>>2]=(c[aa>>2]|0)+-1;qm(x);da=Kt(32)|0;c[da+4>>2]=0;c[da+8>>2]=0;ba=da+12|0;c[ba>>2]=c[t>>2];c[ba+4>>2]=c[t+4>>2];c[ba+8>>2]=c[t+8>>2];c[ba+12>>2]=c[t+12>>2];c[da+28>>2]=25;c[da>>2]=2320;ba=c[d>>2]|0;c[d>>2]=da;if(!ba){fa=0;l=e;return fa|0}Sa[c[(c[ba>>2]|0)+4>>2]&255](ba);fa=0;l=e;return fa|0}case 46:{ba=b+96|0;om(y,b+20+((c[ba>>2]&1)*36|0)|0);da=b+20+((c[ba>>2]&1)*36|0)|0;qm(da);c[da>>2]=0;c[da+4>>2]=0;c[da+8>>2]=0;c[da+12>>2]=0;c[da+16>>2]=0;c[ba>>2]=c[ba>>2]&1^1;c[aa>>2]=(c[aa>>2]|0)+-1;qm(y);c[s>>2]=c[t>>2];c[s+4>>2]=c[t+4>>2];c[s+8>>2]=c[t+8>>2];c[s+12>>2]=c[t+12>>2];c[r>>2]=0;c[r+4>>2]=0;c[r+8>>2]=0;c[r+12>>2]=0;xn(f,-1,r);if((jc(b,f)|0)==1){Fn(f);fa=1;l=e;return fa|0}ba=Kt(64)|0;c[ba+4>>2]=0;c[ba+8>>2]=0;da=ba+12|0;c[da>>2]=c[s>>2];c[da+4>>2]=c[s+4>>2];c[da+8>>2]=c[s+8>>2];c[da+12>>2]=c[s+12>>2];c[ba+28>>2]=6;c[ba>>2]=2336;Bn(ba+32|0,f);da=c[d>>2]|0;c[d>>2]=ba;if(da|0)Sa[c[(c[da>>2]|0)+4>>2]&255](da);Fn(f);fa=0;l=e;return fa|0}case 47:{da=b+96|0;om(z,b+20+((c[da>>2]&1)*36|0)|0);ba=b+20+((c[da>>2]&1)*36|0)|0;qm(ba);c[ba>>2]=0;c[ba+4>>2]=0;c[ba+8>>2]=0;c[ba+12>>2]=0;c[ba+16>>2]=0;c[da>>2]=c[da>>2]&1^1;c[aa>>2]=(c[aa>>2]|0)+-1;qm(z);c[s>>2]=c[t>>2];c[s+4>>2]=c[t+4>>2];c[s+8>>2]=c[t+8>>2];c[s+12>>2]=c[t+12>>2];c[r>>2]=0;c[r+4>>2]=0;c[r+8>>2]=0;c[r+12>>2]=0;xn(f,-1,r);if((jc(b,f)|0)==1){Fn(f);fa=1;l=e;return fa|0}da=Kt(64)|0;c[da+4>>2]=0;c[da+8>>2]=0;ba=da+12|0;c[ba>>2]=c[s>>2];c[ba+4>>2]=c[s+4>>2];c[ba+8>>2]=c[s+8>>2];c[ba+12>>2]=c[s+12>>2];c[da+28>>2]=7;c[da>>2]=2352;Bn(da+32|0,f);ba=c[d>>2]|0;c[d>>2]=da;if(ba|0)Sa[c[(c[ba>>2]|0)+4>>2]&255](ba);Fn(f);fa=0;l=e;return fa|0}case 48:{ba=b+96|0;om(A,b+20+((c[ba>>2]&1)*36|0)|0);da=b+20+((c[ba>>2]&1)*36|0)|0;qm(da);c[da>>2]=0;c[da+4>>2]=0;c[da+8>>2]=0;c[da+12>>2]=0;c[da+16>>2]=0;c[ba>>2]=c[ba>>2]&1^1;c[aa>>2]=(c[aa>>2]|0)+-1;qm(A);ba=Kt(76)|0;c[ba+4>>2]=0;c[ba+8>>2]=0;da=ba+12|0;c[da>>2]=c[t>>2];c[da+4>>2]=c[t+4>>2];c[da+8>>2]=c[t+8>>2];c[da+12>>2]=c[t+12>>2];c[ba+28>>2]=8;c[ba>>2]=2368;da=ba+32|0;c[da>>2]=0;ca=ba+36|0;c[ca>>2]=0;c[ba+40>>2]=0;ga=ba+44|0;c[f>>2]=0;c[f+4>>2]=0;c[f+8>>2]=0;c[f+12>>2]=0;xn(ga,-1,f);if(!(Lc(b,da)|0)){Sa[c[(c[ba>>2]|0)+4>>2]&255](ba);fa=1;l=e;return fa|0}Cn(ga,(c[ca>>2]|0)+-32|0)|0;ga=c[ca>>2]|0;da=ga+-32|0;ha=ga;do{ga=ha+-32|0;c[ca>>2]=ga;Fn(ga);ha=c[ca>>2]|0}while((ha|0)!=(da|0));da=c[d>>2]|0;c[d>>2]=ba;if(!da){fa=0;l=e;return fa|0}Sa[c[(c[da>>2]|0)+4>>2]&255](da);fa=0;l=e;return fa|0}case 68:{da=b+96|0;om(B,b+20+((c[da>>2]&1)*36|0)|0);ha=b+20+((c[da>>2]&1)*36|0)|0;qm(ha);c[ha>>2]=0;c[ha+4>>2]=0;c[ha+8>>2]=0;c[ha+12>>2]=0;c[ha+16>>2]=0;c[da>>2]=c[da>>2]&1^1;c[aa>>2]=(c[aa>>2]|0)+-1;qm(B);da=Kt(32)|0;c[da+4>>2]=0;c[da+8>>2]=0;ha=da+12|0;c[ha>>2]=c[t>>2];c[ha+4>>2]=c[t+4>>2];c[ha+8>>2]=c[t+8>>2];c[ha+12>>2]=c[t+12>>2];c[da+28>>2]=24;c[da>>2]=2384;ha=c[d>>2]|0;c[d>>2]=da;if(!ha){fa=0;l=e;return fa|0}Sa[c[(c[ha>>2]|0)+4>>2]&255](ha);fa=0;l=e;return fa|0}case 49:{ha=b+96|0;om(C,b+20+((c[ha>>2]&1)*36|0)|0);da=b+20+((c[ha>>2]&1)*36|0)|0;qm(da);c[da>>2]=0;c[da+4>>2]=0;c[da+8>>2]=0;c[da+12>>2]=0;c[da+16>>2]=0;c[ha>>2]=c[ha>>2]&1^1;c[aa>>2]=(c[aa>>2]|0)+-1;qm(C);c[s>>2]=c[t>>2];c[s+4>>2]=c[t+4>>2];c[s+8>>2]=c[t+8>>2];c[s+12>>2]=c[t+12>>2];c[r>>2]=0;c[r+4>>2]=0;c[r+8>>2]=0;c[r+12>>2]=0;xn(f,-1,r);if((jc(b,f)|0)==1){Fn(f);fa=1;l=e;return fa|0}ha=Kt(64)|0;c[ha+4>>2]=0;c[ha+8>>2]=0;da=ha+12|0;c[da>>2]=c[s>>2];c[da+4>>2]=c[s+4>>2];c[da+8>>2]=c[s+8>>2];c[da+12>>2]=c[s+12>>2];c[ha+28>>2]=9;c[ha>>2]=2400;Bn(ha+32|0,f);da=c[d>>2]|0;c[d>>2]=ha;if(da|0)Sa[c[(c[da>>2]|0)+4>>2]&255](da);Fn(f);fa=0;l=e;return fa|0}case 50:{da=b+96|0;om(D,b+20+((c[da>>2]&1)*36|0)|0);ha=b+20+((c[da>>2]&1)*36|0)|0;qm(ha);c[ha>>2]=0;c[ha+4>>2]=0;c[ha+8>>2]=0;c[ha+12>>2]=0;c[ha+16>>2]=0;c[da>>2]=c[da>>2]&1^1;c[aa>>2]=(c[aa>>2]|0)+-1;qm(D);c[s>>2]=c[t>>2];c[s+4>>2]=c[t+4>>2];c[s+8>>2]=c[t+8>>2];c[s+12>>2]=c[t+12>>2];c[r>>2]=0;c[r+4>>2]=0;c[r+8>>2]=0;c[r+12>>2]=0;xn(f,-1,r);if((jc(b,f)|0)==1){Fn(f);fa=1;l=e;return fa|0}da=Kt(64)|0;c[da+4>>2]=0;c[da+8>>2]=0;ha=da+12|0;c[ha>>2]=c[s>>2];c[ha+4>>2]=c[s+4>>2];c[ha+8>>2]=c[s+8>>2];c[ha+12>>2]=c[s+12>>2];c[da+28>>2]=10;c[da>>2]=2416;Bn(da+32|0,f);ha=c[d>>2]|0;c[d>>2]=da;if(ha|0)Sa[c[(c[ha>>2]|0)+4>>2]&255](ha);Fn(f);fa=0;l=e;return fa|0}case 61:{ha=b+96|0;om(E,b+20+((c[ha>>2]&1)*36|0)|0);da=b+20+((c[ha>>2]&1)*36|0)|0;qm(da);c[da>>2]=0;c[da+4>>2]=0;c[da+8>>2]=0;c[da+12>>2]=0;c[da+16>>2]=0;c[ha>>2]=c[ha>>2]&1^1;c[aa>>2]=(c[aa>>2]|0)+-1;qm(E);c[s>>2]=c[t>>2];c[s+4>>2]=c[t+4>>2];c[s+8>>2]=c[t+8>>2];c[s+12>>2]=c[t+12>>2];c[r>>2]=0;c[r+4>>2]=0;c[r+8>>2]=0;c[r+12>>2]=0;xn(f,-1,r);if((jc(b,f)|0)==1){Fn(f);fa=1;l=e;return fa|0}ha=Kt(64)|0;c[ha+4>>2]=0;c[ha+8>>2]=0;da=ha+12|0;c[da>>2]=c[s>>2];c[da+4>>2]=c[s+4>>2];c[da+8>>2]=c[s+8>>2];c[da+12>>2]=c[s+12>>2];c[ha+28>>2]=17;c[ha>>2]=2432;Bn(ha+32|0,f);da=c[d>>2]|0;c[d>>2]=ha;if(da|0)Sa[c[(c[da>>2]|0)+4>>2]&255](da);Fn(f);fa=0;l=e;return fa|0}case 71:{da=b+96|0;om(F,b+20+((c[da>>2]&1)*36|0)|0);ha=b+20+((c[da>>2]&1)*36|0)|0;qm(ha);c[ha>>2]=0;c[ha+4>>2]=0;c[ha+8>>2]=0;c[ha+12>>2]=0;c[ha+16>>2]=0;c[da>>2]=c[da>>2]&1^1;c[aa>>2]=(c[aa>>2]|0)+-1;qm(F);c[s>>2]=c[t>>2];c[s+4>>2]=c[t+4>>2];c[s+8>>2]=c[t+8>>2];c[s+12>>2]=c[t+12>>2];c[r>>2]=0;c[r+4>>2]=0;c[r+8>>2]=0;c[r+12>>2]=0;xn(f,-1,r);if((jc(b,f)|0)==1){Fn(f);fa=1;l=e;return fa|0}da=Kt(64)|0;c[da+4>>2]=0;c[da+8>>2]=0;ha=da+12|0;c[ha>>2]=c[s>>2];c[ha+4>>2]=c[s+4>>2];c[ha+8>>2]=c[s+8>>2];c[ha+12>>2]=c[s+12>>2];c[da+28>>2]=27;c[da>>2]=2448;Bn(da+32|0,f);ha=c[d>>2]|0;c[d>>2]=da;if(ha|0)Sa[c[(c[ha>>2]|0)+4>>2]&255](ha);Fn(f);fa=0;l=e;return fa|0}case 73:{ha=b+96|0;om(G,b+20+((c[ha>>2]&1)*36|0)|0);da=b+20+((c[ha>>2]&1)*36|0)|0;qm(da);c[da>>2]=0;c[da+4>>2]=0;c[da+8>>2]=0;c[da+12>>2]=0;c[da+16>>2]=0;c[ha>>2]=c[ha>>2]&1^1;c[aa>>2]=(c[aa>>2]|0)+-1;qm(G);c[s>>2]=c[t>>2];c[s+4>>2]=c[t+4>>2];c[s+8>>2]=c[t+8>>2];c[s+12>>2]=c[t+12>>2];c[r>>2]=0;c[r+4>>2]=0;c[r+8>>2]=0;c[r+12>>2]=0;xn(f,-1,r);if((jc(b,f)|0)==1){Fn(f);fa=1;l=e;return fa|0}ha=Kt(64)|0;c[ha+4>>2]=0;c[ha+8>>2]=0;da=ha+12|0;c[da>>2]=c[s>>2];c[da+4>>2]=c[s+4>>2];c[da+8>>2]=c[s+8>>2];c[da+12>>2]=c[s+12>>2];c[ha+28>>2]=29;c[ha>>2]=2464;Bn(ha+32|0,f);da=c[d>>2]|0;c[d>>2]=ha;if(da|0)Sa[c[(c[da>>2]|0)+4>>2]&255](da);Fn(f);fa=0;l=e;return fa|0}case 60:{da=b+96|0;om(H,b+20+((c[da>>2]&1)*36|0)|0);ha=b+20+((c[da>>2]&1)*36|0)|0;qm(ha);c[ha>>2]=0;c[ha+4>>2]=0;c[ha+8>>2]=0;c[ha+12>>2]=0;c[ha+16>>2]=0;c[da>>2]=c[da>>2]&1^1;c[aa>>2]=(c[aa>>2]|0)+-1;qm(H);c[s>>2]=c[t>>2];c[s+4>>2]=c[t+4>>2];c[s+8>>2]=c[t+8>>2];c[s+12>>2]=c[t+12>>2];c[r>>2]=0;c[r+4>>2]=0;c[r+8>>2]=0;c[r+12>>2]=0;xn(f,-1,r);if((jc(b,f)|0)==1){Fn(f);fa=1;l=e;return fa|0}da=Kt(64)|0;c[da+4>>2]=0;c[da+8>>2]=0;ha=da+12|0;c[ha>>2]=c[s>>2];c[ha+4>>2]=c[s+4>>2];c[ha+8>>2]=c[s+8>>2];c[ha+12>>2]=c[s+12>>2];c[da+28>>2]=16;c[da>>2]=2480;Bn(da+32|0,f);ha=c[d>>2]|0;c[d>>2]=da;if(ha|0)Sa[c[(c[ha>>2]|0)+4>>2]&255](ha);Fn(f);fa=0;l=e;return fa|0}case 70:{ha=b+96|0;om(I,b+20+((c[ha>>2]&1)*36|0)|0);da=b+20+((c[ha>>2]&1)*36|0)|0;qm(da);c[da>>2]=0;c[da+4>>2]=0;c[da+8>>2]=0;c[da+12>>2]=0;c[da+16>>2]=0;c[ha>>2]=c[ha>>2]&1^1;c[aa>>2]=(c[aa>>2]|0)+-1;qm(I);c[s>>2]=c[t>>2];c[s+4>>2]=c[t+4>>2];c[s+8>>2]=c[t+8>>2];c[s+12>>2]=c[t+12>>2];c[r>>2]=0;c[r+4>>2]=0;c[r+8>>2]=0;c[r+12>>2]=0;xn(f,-1,r);if((jc(b,f)|0)==1){Fn(f);fa=1;l=e;return fa|0}ha=Kt(64)|0;c[ha+4>>2]=0;c[ha+8>>2]=0;da=ha+12|0;c[da>>2]=c[s>>2];c[da+4>>2]=c[s+4>>2];c[da+8>>2]=c[s+8>>2];c[da+12>>2]=c[s+12>>2];c[ha+28>>2]=26;c[ha>>2]=2496;Bn(ha+32|0,f);da=c[d>>2]|0;c[d>>2]=ha;if(da|0)Sa[c[(c[da>>2]|0)+4>>2]&255](da);Fn(f);fa=0;l=e;return fa|0}case 64:{c[J>>2]=c[t>>2];c[J+4>>2]=c[t+4>>2];c[J+8>>2]=c[t+8>>2];c[J+12>>2]=c[t+12>>2];da=b+96|0;om(K,b+20+((c[da>>2]&1)*36|0)|0);ha=b+20+((c[da>>2]&1)*36|0)|0;qm(ha);c[ha>>2]=0;c[ha+4>>2]=0;c[ha+8>>2]=0;c[ha+12>>2]=0;c[ha+16>>2]=0;c[da>>2]=c[da>>2]&1^1;c[aa>>2]=(c[aa>>2]|0)+-1;da=c[K+20>>2]|0;Mc(b,f)|0;Nc(b,r)|0;ha=Kt(44)|0;ca=c[r>>2]|0;ga=c[f>>2]|0;c[ha+4>>2]=0;c[ha+8>>2]=0;ia=ha+12|0;c[ia>>2]=c[J>>2];c[ia+4>>2]=c[J+4>>2];c[ia+8>>2]=c[J+8>>2];c[ia+12>>2]=c[J+12>>2];c[ha+28>>2]=20;c[ha>>2]=2512;c[ha+32>>2]=da;c[ha+36>>2]=ca;c[ha+40>>2]=ga;ga=c[d>>2]|0;c[d>>2]=ha;if(ga|0)Sa[c[(c[ga>>2]|0)+4>>2]&255](ga);qm(K);fa=0;l=e;return fa|0}case 72:{c[L>>2]=c[t>>2];c[L+4>>2]=c[t+4>>2];c[L+8>>2]=c[t+8>>2];c[L+12>>2]=c[t+12>>2];ga=b+96|0;om(M,b+20+((c[ga>>2]&1)*36|0)|0);ha=b+20+((c[ga>>2]&1)*36|0)|0;qm(ha);c[ha>>2]=0;c[ha+4>>2]=0;c[ha+8>>2]=0;c[ha+12>>2]=0;c[ha+16>>2]=0;c[ga>>2]=c[ga>>2]&1^1;c[aa>>2]=(c[aa>>2]|0)+-1;ga=c[M+20>>2]|0;Mc(b,f)|0;Nc(b,r)|0;ha=Kt(44)|0;ca=c[r>>2]|0;da=c[f>>2]|0;c[ha+4>>2]=0;c[ha+8>>2]=0;ia=ha+12|0;c[ia>>2]=c[L>>2];c[ia+4>>2]=c[L+4>>2];c[ia+8>>2]=c[L+8>>2];c[ia+12>>2]=c[L+12>>2];c[ha+28>>2]=28;c[ha>>2]=2528;c[ha+32>>2]=ga;c[ha+36>>2]=ca;c[ha+40>>2]=da;da=c[d>>2]|0;c[d>>2]=ha;if(da|0)Sa[c[(c[da>>2]|0)+4>>2]&255](da);qm(M);fa=0;l=e;return fa|0}case 54:{c[s>>2]=0;c[s+4>>2]=0;c[s+8>>2]=0;c[s+12>>2]=0;a[f>>0]=a[r>>0]|0;Gn(N,f,0,s);if((Oc(b,N)|0)==1){fa=1;l=e;return fa|0}da=Kt(64)|0;c[da+4>>2]=0;c[da+8>>2]=0;ha=da+12|0;c[ha>>2]=c[t>>2];c[ha+4>>2]=c[t+4>>2];c[ha+8>>2]=c[t+8>>2];c[ha+12>>2]=c[t+12>>2];c[da+28>>2]=12;c[da>>2]=2544;ha=da+32|0;c[ha>>2]=c[N>>2];c[ha+4>>2]=c[N+4>>2];c[ha+8>>2]=c[N+8>>2];c[ha+12>>2]=c[N+12>>2];c[ha+16>>2]=c[N+16>>2];c[ha+20>>2]=c[N+20>>2];c[ha+24>>2]=c[N+24>>2];c[ha+28>>2]=c[N+28>>2];ha=c[d>>2]|0;c[d>>2]=da;if(ha|0)Sa[c[(c[ha>>2]|0)+4>>2]&255](ha);fa=0;l=e;return fa|0}case 76:{ha=b+96|0;om(N,b+20+((c[ha>>2]&1)*36|0)|0);da=b+20+((c[ha>>2]&1)*36|0)|0;qm(da);c[da>>2]=0;c[da+4>>2]=0;c[da+8>>2]=0;c[da+12>>2]=0;c[da+16>>2]=0;c[ha>>2]=c[ha>>2]&1^1;c[aa>>2]=(c[aa>>2]|0)+-1;ha=N+20|0;c[r>>2]=c[ha>>2];if(!(ym(r,c[b+16>>2]|0)|0)){c[s>>2]=c[N>>2];c[s+4>>2]=c[N+4>>2];c[s+8>>2]=c[N+8>>2];c[s+12>>2]=c[N+12>>2];vm(f,r);c[q>>2]=c[f>>2];c[f>>2]=c[s>>2];c[f+4>>2]=c[s+4>>2];c[f+8>>2]=c[s+8>>2];c[f+12>>2]=c[s+12>>2];_b(b,f,18125,q)}da=Kt(36)|0;ca=c[ha>>2]|0;c[da+4>>2]=0;c[da+8>>2]=0;ha=da+12|0;c[ha>>2]=c[t>>2];c[ha+4>>2]=c[t+4>>2];c[ha+8>>2]=c[t+8>>2];c[ha+12>>2]=c[t+12>>2];c[da+28>>2]=32;c[da>>2]=2560;c[da+32>>2]=ca;ca=c[d>>2]|0;c[d>>2]=da;if(ca|0)Sa[c[(c[ca>>2]|0)+4>>2]&255](ca);qm(N);fa=0;l=e;return fa|0}case 44:{ca=Kt(36)|0;da=b+96|0;om(f,b+20+((c[da>>2]&1)*36|0)|0);ha=b+20+((c[da>>2]&1)*36|0)|0;qm(ha);c[ha>>2]=0;c[ha+4>>2]=0;c[ha+8>>2]=0;c[ha+12>>2]=0;c[ha+16>>2]=0;c[da>>2]=c[da>>2]&1^1;c[aa>>2]=(c[aa>>2]|0)+-1;da=c[f+20>>2]|0;c[ca+4>>2]=0;c[ca+8>>2]=0;ha=ca+12|0;c[ha>>2]=c[t>>2];c[ha+4>>2]=c[t+4>>2];c[ha+8>>2]=c[t+8>>2];c[ha+12>>2]=c[t+12>>2];c[ca+28>>2]=4;c[ca>>2]=2576;c[ca+32>>2]=da;da=c[d>>2]|0;c[d>>2]=ca;if(da|0)Sa[c[(c[da>>2]|0)+4>>2]&255](da);qm(f);fa=0;l=e;return fa|0}case 53:{da=Kt(36)|0;ca=b+96|0;om(f,b+20+((c[ca>>2]&1)*36|0)|0);ha=b+20+((c[ca>>2]&1)*36|0)|0;qm(ha);c[ha>>2]=0;c[ha+4>>2]=0;c[ha+8>>2]=0;c[ha+12>>2]=0;c[ha+16>>2]=0;c[ca>>2]=c[ca>>2]&1^1;c[aa>>2]=(c[aa>>2]|0)+-1;ca=c[f+20>>2]|0;c[da+4>>2]=0;c[da+8>>2]=0;ha=da+12|0;c[ha>>2]=c[t>>2];c[ha+4>>2]=c[t+4>>2];c[ha+8>>2]=c[t+8>>2];c[ha+12>>2]=c[t+12>>2];c[da+28>>2]=11;c[da>>2]=2592;c[da+32>>2]=ca;ca=c[d>>2]|0;c[d>>2]=da;if(ca|0)Sa[c[(c[ca>>2]|0)+4>>2]&255](ca);qm(f);fa=0;l=e;return fa|0}case 55:{ca=b+96|0;om(N,b+20+((c[ca>>2]&1)*36|0)|0);da=b+20+((c[ca>>2]&1)*36|0)|0;qm(da);c[da>>2]=0;c[da+4>>2]=0;c[da+8>>2]=0;c[da+12>>2]=0;c[da+16>>2]=0;c[ca>>2]=c[ca>>2]&1^1;c[aa>>2]=(c[aa>>2]|0)+-1;ca=N+20|0;c[r>>2]=c[ca>>2];if(!(ym(r,c[b+16>>2]|0)|0)){c[s>>2]=c[N>>2];c[s+4>>2]=c[N+4>>2];c[s+8>>2]=c[N+8>>2];c[s+12>>2]=c[N+12>>2];vm(f,r);c[p>>2]=c[f>>2];c[f>>2]=c[s>>2];c[f+4>>2]=c[s+4>>2];c[f+8>>2]=c[s+8>>2];c[f+12>>2]=c[s+12>>2];_b(b,f,18125,p)}da=Kt(36)|0;ha=c[ca>>2]|0;c[da+4>>2]=0;c[da+8>>2]=0;ca=da+12|0;c[ca>>2]=c[t>>2];c[ca+4>>2]=c[t+4>>2];c[ca+8>>2]=c[t+8>>2];c[ca+12>>2]=c[t+12>>2];c[da+28>>2]=13;c[da>>2]=2608;c[da+32>>2]=ha;ha=c[d>>2]|0;c[d>>2]=da;if(ha|0)Sa[c[(c[ha>>2]|0)+4>>2]&255](ha);qm(N);fa=0;l=e;return fa|0}case 56:{ha=b+96|0;om(O,b+20+((c[ha>>2]&1)*36|0)|0);da=b+20+((c[ha>>2]&1)*36|0)|0;qm(da);c[da>>2]=0;c[da+4>>2]=0;c[da+8>>2]=0;c[da+12>>2]=0;c[da+16>>2]=0;c[ha>>2]=c[ha>>2]&1^1;c[aa>>2]=(c[aa>>2]|0)+-1;qm(O);ha=Kt(32)|0;c[ha+4>>2]=0;c[ha+8>>2]=0;da=ha+12|0;c[da>>2]=c[t>>2];c[da+4>>2]=c[t+4>>2];c[da+8>>2]=c[t+8>>2];c[da+12>>2]=c[t+12>>2];c[ha+28>>2]=14;c[ha>>2]=2624;da=c[d>>2]|0;c[d>>2]=ha;if(!da){fa=0;l=e;return fa|0}Sa[c[(c[da>>2]|0)+4>>2]&255](da);fa=0;l=e;return fa|0}case 62:{da=b+96|0;om(P,b+20+((c[da>>2]&1)*36|0)|0);ha=b+20+((c[da>>2]&1)*36|0)|0;qm(ha);c[ha>>2]=0;c[ha+4>>2]=0;c[ha+8>>2]=0;c[ha+12>>2]=0;c[ha+16>>2]=0;c[da>>2]=c[da>>2]&1^1;c[aa>>2]=(c[aa>>2]|0)+-1;qm(P);da=Kt(32)|0;c[da+4>>2]=0;c[da+8>>2]=0;ha=da+12|0;c[ha>>2]=c[t>>2];c[ha+4>>2]=c[t+4>>2];c[ha+8>>2]=c[t+8>>2];c[ha+12>>2]=c[t+12>>2];c[da+28>>2]=18;c[da>>2]=2640;ha=c[d>>2]|0;c[d>>2]=da;if(!ha){fa=0;l=e;return fa|0}Sa[c[(c[ha>>2]|0)+4>>2]&255](ha);fa=0;l=e;return fa|0}case 74:{ha=b+96|0;om(N,b+20+((c[ha>>2]&1)*36|0)|0);da=b+20+((c[ha>>2]&1)*36|0)|0;qm(da);c[da>>2]=0;c[da+4>>2]=0;c[da+8>>2]=0;c[da+12>>2]=0;c[da+16>>2]=0;c[ha>>2]=c[ha>>2]&1^1;c[aa>>2]=(c[aa>>2]|0)+-1;c[r>>2]=c[N+20>>2];if(!(ym(r,c[b+16>>2]|0)|0)){c[s>>2]=c[N>>2];c[s+4>>2]=c[N+4>>2];c[s+8>>2]=c[N+8>>2];c[s+12>>2]=c[N+12>>2];vm(f,r);c[o>>2]=c[f>>2];c[f>>2]=c[s>>2];c[f+4>>2]=c[s+4>>2];c[f+8>>2]=c[s+8>>2];c[f+12>>2]=c[s+12>>2];_b(b,f,18125,o)}qm(N);c[s>>2]=c[t>>2];c[s+4>>2]=c[t+4>>2];c[s+8>>2]=c[t+8>>2];c[s+12>>2]=c[t+12>>2];c[r>>2]=0;c[r+4>>2]=0;c[r+8>>2]=0;c[r+12>>2]=0;xn(f,-1,r);if((jc(b,f)|0)==1){Fn(f);fa=1;l=e;return fa|0}ha=Kt(64)|0;c[ha+4>>2]=0;c[ha+8>>2]=0;da=ha+12|0;c[da>>2]=c[s>>2];c[da+4>>2]=c[s+4>>2];c[da+8>>2]=c[s+8>>2];c[da+12>>2]=c[s+12>>2];c[ha+28>>2]=30;c[ha>>2]=2656;Bn(ha+32|0,f);da=c[d>>2]|0;c[d>>2]=ha;if(da|0)Sa[c[(c[da>>2]|0)+4>>2]&255](da);Fn(f);fa=0;l=e;return fa|0}case 67:{da=b+96|0;om(N,b+20+((c[da>>2]&1)*36|0)|0);ha=b+20+((c[da>>2]&1)*36|0)|0;qm(ha);c[ha>>2]=0;c[ha+4>>2]=0;c[ha+8>>2]=0;c[ha+12>>2]=0;c[ha+16>>2]=0;c[da>>2]=c[da>>2]&1^1;c[aa>>2]=(c[aa>>2]|0)+-1;c[r>>2]=c[N+20>>2];if(!(ym(r,c[b+16>>2]|0)|0)){c[s>>2]=c[N>>2];c[s+4>>2]=c[N+4>>2];c[s+8>>2]=c[N+8>>2];c[s+12>>2]=c[N+12>>2];vm(f,r);c[n>>2]=c[f>>2];c[f>>2]=c[s>>2];c[f+4>>2]=c[s+4>>2];c[f+8>>2]=c[s+8>>2];c[f+12>>2]=c[s+12>>2];_b(b,f,18125,n)}qm(N);c[s>>2]=c[t>>2];c[s+4>>2]=c[t+4>>2];c[s+8>>2]=c[t+8>>2];c[s+12>>2]=c[t+12>>2];c[r>>2]=0;c[r+4>>2]=0;c[r+8>>2]=0;c[r+12>>2]=0;xn(f,-1,r);if((jc(b,f)|0)==1){Fn(f);fa=1;l=e;return fa|0}da=Kt(64)|0;c[da+4>>2]=0;c[da+8>>2]=0;ha=da+12|0;c[ha>>2]=c[s>>2];c[ha+4>>2]=c[s+4>>2];c[ha+8>>2]=c[s+8>>2];c[ha+12>>2]=c[s+12>>2];c[da+28>>2]=23;c[da>>2]=2672;Bn(da+32|0,f);ha=c[d>>2]|0;c[d>>2]=da;if(ha|0)Sa[c[(c[ha>>2]|0)+4>>2]&255](ha);Fn(f);fa=0;l=e;return fa|0}case 79:{ha=b+96|0;om(N,b+20+((c[ha>>2]&1)*36|0)|0);da=b+20+((c[ha>>2]&1)*36|0)|0;qm(da);c[da>>2]=0;c[da+4>>2]=0;c[da+8>>2]=0;c[da+12>>2]=0;c[da+16>>2]=0;c[ha>>2]=c[ha>>2]&1^1;c[aa>>2]=(c[aa>>2]|0)+-1;c[r>>2]=c[N+20>>2];if(!(ym(r,c[b+16>>2]|0)|0)){c[s>>2]=c[N>>2];c[s+4>>2]=c[N+4>>2];c[s+8>>2]=c[N+8>>2];c[s+12>>2]=c[N+12>>2];vm(f,r);c[m>>2]=c[f>>2];c[f>>2]=c[s>>2];c[f+4>>2]=c[s+4>>2];c[f+8>>2]=c[s+8>>2];c[f+12>>2]=c[s+12>>2];_b(b,f,18125,m)};c[Q>>2]=c[t>>2];c[Q+4>>2]=c[t+4>>2];c[Q+8>>2]=c[t+8>>2];c[Q+12>>2]=c[t+12>>2];om(R,N);ha=c[R+20>>2]|0;Mc(b,f)|0;Nc(b,r)|0;da=Kt(44)|0;ca=c[r>>2]|0;ga=c[f>>2]|0;c[da+4>>2]=0;c[da+8>>2]=0;ia=da+12|0;c[ia>>2]=c[Q>>2];c[ia+4>>2]=c[Q+4>>2];c[ia+8>>2]=c[Q+8>>2];c[ia+12>>2]=c[Q+12>>2];c[da+28>>2]=35;c[da>>2]=2688;c[da+32>>2]=ha;c[da+36>>2]=ca;c[da+40>>2]=ga;ga=c[d>>2]|0;c[d>>2]=da;if(ga|0)Sa[c[(c[ga>>2]|0)+4>>2]&255](ga);qm(R);qm(N);fa=0;l=e;return fa|0}case 78:{ga=b+96|0;om(N,b+20+((c[ga>>2]&1)*36|0)|0);da=b+20+((c[ga>>2]&1)*36|0)|0;qm(da);c[da>>2]=0;c[da+4>>2]=0;c[da+8>>2]=0;c[da+12>>2]=0;c[da+16>>2]=0;c[ga>>2]=c[ga>>2]&1^1;c[aa>>2]=(c[aa>>2]|0)+-1;c[r>>2]=c[N+20>>2];if(!(ym(r,c[b+16>>2]|0)|0)){c[s>>2]=c[N>>2];c[s+4>>2]=c[N+4>>2];c[s+8>>2]=c[N+8>>2];c[s+12>>2]=c[N+12>>2];vm(f,r);c[k>>2]=c[f>>2];c[f>>2]=c[s>>2];c[f+4>>2]=c[s+4>>2];c[f+8>>2]=c[s+8>>2];c[f+12>>2]=c[s+12>>2];_b(b,f,18125,k)};c[S>>2]=c[t>>2];c[S+4>>2]=c[t+4>>2];c[S+8>>2]=c[t+8>>2];c[S+12>>2]=c[t+12>>2];om(T,N);ga=c[T+20>>2]|0;Mc(b,f)|0;Nc(b,r)|0;da=Kt(44)|0;ca=c[r>>2]|0;ha=c[f>>2]|0;c[da+4>>2]=0;c[da+8>>2]=0;ia=da+12|0;c[ia>>2]=c[S>>2];c[ia+4>>2]=c[S+4>>2];c[ia+8>>2]=c[S+8>>2];c[ia+12>>2]=c[S+12>>2];c[da+28>>2]=34;c[da>>2]=2704;c[da+32>>2]=ga;c[da+36>>2]=ca;c[da+40>>2]=ha;ha=c[d>>2]|0;c[d>>2]=da;if(ha|0)Sa[c[(c[ha>>2]|0)+4>>2]&255](ha);qm(T);qm(N);fa=0;l=e;return fa|0}case 40:{ha=b+96|0;om(N,b+20+((c[ha>>2]&1)*36|0)|0);da=b+20+((c[ha>>2]&1)*36|0)|0;qm(da);c[da>>2]=0;c[da+4>>2]=0;c[da+8>>2]=0;c[da+12>>2]=0;c[da+16>>2]=0;c[ha>>2]=c[ha>>2]&1^1;c[aa>>2]=(c[aa>>2]|0)+-1;c[r>>2]=c[N+20>>2];if(!(ym(r,c[b+16>>2]|0)|0)){c[s>>2]=c[N>>2];c[s+4>>2]=c[N+4>>2];c[s+8>>2]=c[N+8>>2];c[s+12>>2]=c[N+12>>2];vm(f,r);c[j>>2]=c[f>>2];c[f>>2]=c[s>>2];c[f+4>>2]=c[s+4>>2];c[f+8>>2]=c[s+8>>2];c[f+12>>2]=c[s+12>>2];_b(b,f,18125,j)};c[U>>2]=c[t>>2];c[U+4>>2]=c[t+4>>2];c[U+8>>2]=c[t+8>>2];c[U+12>>2]=c[t+12>>2];om(V,N);ha=c[V+20>>2]|0;Mc(b,f)|0;Nc(b,r)|0;da=Kt(44)|0;ca=c[r>>2]|0;ga=c[f>>2]|0;c[da+4>>2]=0;c[da+8>>2]=0;ia=da+12|0;c[ia>>2]=c[U>>2];c[ia+4>>2]=c[U+4>>2];c[ia+8>>2]=c[U+8>>2];c[ia+12>>2]=c[U+12>>2];c[da+28>>2]=0;c[da>>2]=2720;c[da+32>>2]=ha;c[da+36>>2]=ca;c[da+40>>2]=ga;ga=c[d>>2]|0;c[d>>2]=da;if(ga|0)Sa[c[(c[ga>>2]|0)+4>>2]&255](ga);qm(V);qm(N);fa=0;l=e;return fa|0}case 43:{ga=b+96|0;om(N,b+20+((c[ga>>2]&1)*36|0)|0);da=b+20+((c[ga>>2]&1)*36|0)|0;qm(da);c[da>>2]=0;c[da+4>>2]=0;c[da+8>>2]=0;c[da+12>>2]=0;c[da+16>>2]=0;c[ga>>2]=c[ga>>2]&1^1;c[aa>>2]=(c[aa>>2]|0)+-1;c[r>>2]=c[N+20>>2];if(!(ym(r,c[b+16>>2]|0)|0)){c[s>>2]=c[N>>2];c[s+4>>2]=c[N+4>>2];c[s+8>>2]=c[N+8>>2];c[s+12>>2]=c[N+12>>2];vm(f,r);c[i>>2]=c[f>>2];c[f>>2]=c[s>>2];c[f+4>>2]=c[s+4>>2];c[f+8>>2]=c[s+8>>2];c[f+12>>2]=c[s+12>>2];_b(b,f,18125,i)};c[W>>2]=c[t>>2];c[W+4>>2]=c[t+4>>2];c[W+8>>2]=c[t+8>>2];c[W+12>>2]=c[t+12>>2];om(X,N);ga=c[X+20>>2]|0;Mc(b,f)|0;Nc(b,r)|0;da=Kt(44)|0;ca=c[r>>2]|0;ha=c[f>>2]|0;c[da+4>>2]=0;c[da+8>>2]=0;ia=da+12|0;c[ia>>2]=c[W>>2];c[ia+4>>2]=c[W+4>>2];c[ia+8>>2]=c[W+8>>2];c[ia+12>>2]=c[W+12>>2];c[da+28>>2]=1;c[da>>2]=2736;c[da+32>>2]=ga;c[da+36>>2]=ca;c[da+40>>2]=ha;ha=c[d>>2]|0;c[d>>2]=da;if(ha|0)Sa[c[(c[ha>>2]|0)+4>>2]&255](ha);qm(X);qm(N);fa=0;l=e;return fa|0}case 41:{ha=b+96|0;om(N,b+20+((c[ha>>2]&1)*36|0)|0);da=b+20+((c[ha>>2]&1)*36|0)|0;qm(da);c[da>>2]=0;c[da+4>>2]=0;c[da+8>>2]=0;c[da+12>>2]=0;c[da+16>>2]=0;c[ha>>2]=c[ha>>2]&1^1;c[aa>>2]=(c[aa>>2]|0)+-1;c[r>>2]=c[N+20>>2];if(!(ym(r,c[b+16>>2]|0)|0)){c[s>>2]=c[N>>2];c[s+4>>2]=c[N+4>>2];c[s+8>>2]=c[N+8>>2];c[s+12>>2]=c[N+12>>2];vm(f,r);c[h>>2]=c[f>>2];c[f>>2]=c[s>>2];c[f+4>>2]=c[s+4>>2];c[f+8>>2]=c[s+8>>2];c[f+12>>2]=c[s+12>>2];_b(b,f,18125,h)};c[Y>>2]=c[t>>2];c[Y+4>>2]=c[t+4>>2];c[Y+8>>2]=c[t+8>>2];c[Y+12>>2]=c[t+12>>2];om(Z,N);ha=c[Z+20>>2]|0;Mc(b,f)|0;Nc(b,r)|0;da=Kt(44)|0;ca=c[r>>2]|0;ga=c[f>>2]|0;c[da+4>>2]=0;c[da+8>>2]=0;ia=da+12|0;c[ia>>2]=c[Y>>2];c[ia+4>>2]=c[Y+4>>2];c[ia+8>>2]=c[Y+8>>2];c[ia+12>>2]=c[Y+12>>2];c[da+28>>2]=2;c[da>>2]=2752;c[da+32>>2]=ha;c[da+36>>2]=ca;c[da+40>>2]=ga;ga=c[d>>2]|0;c[d>>2]=da;if(ga|0)Sa[c[(c[ga>>2]|0)+4>>2]&255](ga);qm(Z);qm(N);fa=0;l=e;return fa|0}case 42:{ga=b+96|0;om(N,b+20+((c[ga>>2]&1)*36|0)|0);da=b+20+((c[ga>>2]&1)*36|0)|0;qm(da);c[da>>2]=0;c[da+4>>2]=0;c[da+8>>2]=0;c[da+12>>2]=0;c[da+16>>2]=0;c[ga>>2]=c[ga>>2]&1^1;c[aa>>2]=(c[aa>>2]|0)+-1;c[r>>2]=c[N+20>>2];if(!(ym(r,c[b+16>>2]|0)|0)){c[s>>2]=c[N>>2];c[s+4>>2]=c[N+4>>2];c[s+8>>2]=c[N+8>>2];c[s+12>>2]=c[N+12>>2];vm(f,r);c[g>>2]=c[f>>2];c[f>>2]=c[s>>2];c[f+4>>2]=c[s+4>>2];c[f+8>>2]=c[s+8>>2];c[f+12>>2]=c[s+12>>2];_b(b,f,18125,g)};c[_>>2]=c[t>>2];c[_+4>>2]=c[t+4>>2];c[_+8>>2]=c[t+8>>2];c[_+12>>2]=c[t+12>>2];om($,N);ga=c[$+20>>2]|0;Mc(b,f)|0;Nc(b,r)|0;da=Kt(44)|0;ca=c[r>>2]|0;ha=c[f>>2]|0;c[da+4>>2]=0;c[da+8>>2]=0;ia=da+12|0;c[ia>>2]=c[_>>2];c[ia+4>>2]=c[_+4>>2];c[ia+8>>2]=c[_+8>>2];c[ia+12>>2]=c[_+12>>2];c[da+28>>2]=3;c[da>>2]=2768;c[da+32>>2]=ga;c[da+36>>2]=ca;c[da+40>>2]=ha;ha=c[d>>2]|0;c[d>>2]=da;if(ha|0)Sa[c[(c[ha>>2]|0)+4>>2]&255](ha);qm($);qm(N);fa=0;l=e;return fa|0}default:{fa=1;l=e;return fa|0}}while(0);return 0}function pc(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0;d=l;l=l+32|0;e=d+24|0;f=d;g=d+16|0;c[f>>2]=0;c[f+4>>2]=0;c[f+8>>2]=0;ac(e,a);a:do if((c[e>>2]|0)==22){h=e+4|0;i=g+4|0;while(1){j=c[h>>2]|0;switch(j|0){case 42:case 41:case 43:case 40:case 78:case 79:case 67:case 74:case 62:case 56:case 55:case 53:case 44:case 76:case 54:case 72:case 64:case 70:case 60:case 73:case 71:case 61:case 50:case 49:case 68:case 48:case 47:case 46:case 69:case 57:case 66:case 77:break;default:{k=j+-45|0;if(k>>>0>=31){m=5;break a}if(!(1075052545>>>(k&2147483647)&1)){n=0;break a}}}if(nc(a,f)|0){if((fc(a,93)|0)==1){n=1;break a}}else{c[g>>2]=b;c[i>>2]=0;c[e>>2]=c[g>>2];c[e+4>>2]=c[g+4>>2];tc(b,e,f)}ac(e,a);if((c[e>>2]|0)!=22){m=5;break a}}}else m=5;while(0);if((m|0)==5)n=0;m=c[f>>2]|0;if(!m){l=d;return n|0}else o=m;do{m=o;o=c[o+4>>2]|0;Sa[c[(c[m>>2]|0)+4>>2]&255](m)}while((o|0)!=0);l=d;return n|0}function qc(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;e=l;l=l+48|0;f=e;g=b+92|0;if(!(c[g>>2]|0)){h=b+96|0;do{Zb(f,c[b>>2]|0,b);i=c[g>>2]|0;c[g>>2]=i+1;j=b+20+(((c[h>>2]|0)+i&1)*36|0)|0;qm(j);om(j,f);qm(f)}while(!(c[g>>2]|0));k=h}else k=b+96|0;if((c[b+20+((c[k>>2]&1)*36|0)+16>>2]|0)==84){k=b+96|0;om(f,b+20+((c[k>>2]&1)*36|0)|0);h=b+20+((c[k>>2]&1)*36|0)|0;qm(h);c[h>>2]=0;c[h+4>>2]=0;c[h+8>>2]=0;c[h+12>>2]=0;c[h+16>>2]=0;c[k>>2]=c[k>>2]&1^1;c[g>>2]=(c[g>>2]|0)+-1;Xt(d,f+20|0)|0;qm(f);l=e;return 0}f=d+11|0;if((a[f>>0]|0)<0){a[c[d>>2]>>0]=0;c[d+4>>2]=0;l=e;return 0}else{a[d>>0]=0;a[f>>0]=0;l=e;return 0}return 0}function rc(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+80|0;e=d+36|0;f=d;g=a+92|0;h=a+96|0;i=f+20|0;j=b+4|0;k=b+8|0;while(1){if(!(c[g>>2]|0))do{Zb(e,c[a>>2]|0,a);m=c[g>>2]|0;c[g>>2]=m+1;n=a+20+(((c[h>>2]|0)+m&1)*36|0)|0;qm(n);om(n,e);qm(e)}while(!(c[g>>2]|0));n=c[h>>2]&1;if((c[a+20+(n*36|0)+16>>2]|0)!=85)break;om(f,a+20+(n*36|0)|0);n=a+20+((c[h>>2]&1)*36|0)|0;qm(n);c[n>>2]=0;c[n+4>>2]=0;c[n+8>>2]=0;c[n+12>>2]=0;c[n+16>>2]=0;c[h>>2]=c[h>>2]&1^1;c[g>>2]=(c[g>>2]|0)+-1;n=c[i>>2]|0;c[e>>2]=n;m=c[j>>2]|0;if(m>>>0<(c[k>>2]|0)>>>0){c[m>>2]=n;c[j>>2]=m+4}else Hc(b,e);qm(f)}l=d;return 0}function sc(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0;d=l;l=l+48|0;e=d+32|0;f=d+16|0;g=d;h=d+8|0;c[f>>2]=0;c[f+4>>2]=0;c[f+8>>2]=0;i=h+4|0;a:while(1){ac(g,a);j=c[g>>2]|0;b:do switch(j|0){case 42:case 41:case 43:case 40:case 78:case 79:case 67:case 74:case 62:case 56:case 55:case 53:case 44:case 76:case 54:case 72:case 64:case 70:case 60:case 73:case 71:case 61:case 50:case 49:case 68:case 48:case 47:case 46:case 69:case 57:case 66:case 77:break;default:{k=j+-45|0;if(k>>>0<31?1075052545>>>(k&2147483647)&1|0:0)break b;k=g;m=c[k+4>>2]|0;if((c[k>>2]|0)!=22){n=0;break a}switch(m|0){case 42:case 41:case 43:case 40:case 78:case 79:case 67:case 74:case 62:case 56:case 55:case 53:case 44:case 76:case 54:case 72:case 64:case 70:case 60:case 73:case 71:case 61:case 50:case 49:case 68:case 48:case 47:case 46:case 69:case 57:case 66:case 77:{break b;break}default:{}}k=m+-45|0;if(k>>>0>=31){n=0;break a}if(!(1075052545>>>(k&2147483647)&1)){n=0;break a}}}while(0);if(Cc(a,f)|0)if((fc(a,94)|0)==1){n=1;break}else continue;else{c[h>>2]=b;c[i>>2]=0;c[e>>2]=c[h>>2];c[e+4>>2]=c[h+4>>2];tc(b,e,f);continue}}e=c[f>>2]|0;if(!e){l=d;return n|0}else o=e;do{e=o;o=c[o+4>>2]|0;Sa[c[(c[e>>2]|0)+4>>2]&255](e)}while((o|0)!=0);l=d;return n|0}function tc(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;e=c[d>>2]|0;f=e;if(!e)return;g=c[b+4>>2]|0;b=d+4|0;h=d+8|0;i=a+4|0;j=a+8|0;k=g+8|0;if(!g){l=e;m=f}else{n=e;e=f;while(1){f=n;o=c[f+4>>2]|0;if((e|0)==(c[b>>2]|0)){c[b>>2]=0;c[d>>2]=0;p=f+8|0;q=p;r=p;s=f+4|0}else{p=f+8|0;t=c[p>>2]|0;u=f+4|0;c[((t|0)==0?d:t+4|0)>>2]=o;t=c[u>>2]|0;c[((t|0)==0?b:t+8|0)>>2]=c[p>>2];q=p;r=p;s=u}c[q>>2]=0;c[s>>2]=0;c[h>>2]=(c[h>>2]|0)+-1;c[r>>2]=c[k>>2];c[s>>2]=g;u=c[k>>2]|0;c[((u|0)==0?a:u+4|0)>>2]=f;c[k>>2]=f;c[j>>2]=(c[j>>2]|0)+1;if(!o)break;n=o;e=c[d>>2]|0}return}while(1){e=l;n=c[e+4>>2]|0;if((m|0)==(c[b>>2]|0)){c[b>>2]=0;c[d>>2]=0;v=e+8|0;w=e+4|0}else{k=e+8|0;g=c[k>>2]|0;s=e+4|0;c[((g|0)==0?d:g+4|0)>>2]=n;g=c[s>>2]|0;c[((g|0)==0?b:g+8|0)>>2]=c[k>>2];v=k;w=s}c[v>>2]=0;c[w>>2]=0;c[h>>2]=(c[h>>2]|0)+-1;s=c[i>>2]|0;if(!s)x=a;else{c[e+8>>2]=s;x=s+4|0}c[x>>2]=e;c[i>>2]=e;c[j>>2]=(c[j>>2]|0)+1;if(!n)break;l=n;m=c[d>>2]|0}return}function uc(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;d=l;l=l+160|0;e=d+112|0;f=d+76|0;g=d+16|0;h=d;i=a+92|0;j=a+96|0;k=g+16|0;m=g+48|0;n=g+52|0;o=g+56|0;p=e+16|0;q=g+48|0;r=b+4|0;s=b+8|0;while(1){t=c[i>>2]|0;if(!t){do{Zb(e,c[a>>2]|0,a);u=c[i>>2]|0;c[i>>2]=u+1;v=a+20+(((c[j>>2]|0)+u&1)*36|0)|0;qm(v);om(v,e);qm(e);v=c[i>>2]|0}while(!(v|0));w=v}else w=t;v=c[j>>2]|0;if((c[a+20+((v&1)*36|0)+16>>2]|0)!=22){x=0;y=27;break}if(w>>>0>1)z=v;else{do{Zb(e,c[a>>2]|0,a);v=c[i>>2]|0;c[i>>2]=v+1;u=a+20+(((c[j>>2]|0)+v&1)*36|0)|0;qm(u);om(u,e);qm(e)}while((c[i>>2]|0)>>>0<=1);z=c[j>>2]|0}t=z&1;if(((c[a+20+((t^1)*36|0)+16>>2]|0)+-51|0)>>>0>=2){x=0;y=27;break}om(f,a+20+(t*36|0)|0);t=a+20+((c[j>>2]&1)*36|0)|0;qm(t);c[t>>2]=0;c[t+4>>2]=0;c[t+8>>2]=0;c[t+12>>2]=0;c[t+16>>2]=0;c[j>>2]=c[j>>2]&1^1;c[i>>2]=(c[i>>2]|0)+-1;qm(f);$b(h,a);c[g>>2]=c[h>>2];c[g+4>>2]=c[h+4>>2];c[g+8>>2]=c[h+8>>2];c[g+12>>2]=c[h+12>>2];c[e>>2]=0;c[e+4>>2]=0;c[e+8>>2]=0;c[e+12>>2]=0;xn(k,-1,e);c[m>>2]=0;c[n>>2]=0;c[o>>2]=0;om(e,a+20+((c[j>>2]&1)*36|0)|0);t=a+20+((c[j>>2]&1)*36|0)|0;qm(t);c[t>>2]=0;c[t+4>>2]=0;c[t+8>>2]=0;c[t+12>>2]=0;c[t+16>>2]=0;c[j>>2]=c[j>>2]&1^1;c[i>>2]=(c[i>>2]|0)+-1;t=(c[p>>2]|0)==51;qm(e);if(t?(jc(a,k)|0)==1:0){y=11;break}if((mc(a,q)|0)==1){y=15;break}if((ec(a,31)|0)==1){y=19;break}t=c[r>>2]|0;if(t>>>0>=(c[s>>2]|0)>>>0){vc(b,g);u=c[m>>2]|0;if(u|0){v=u;do{u=v;v=c[v+4>>2]|0;Sa[c[(c[u>>2]|0)+4>>2]&255](u)}while((v|0)!=0)}}else{c[t>>2]=c[g>>2];c[t+4>>2]=c[g+4>>2];c[t+8>>2]=c[g+8>>2];c[t+12>>2]=c[g+12>>2];zn(t+16|0,k);c[t+48>>2]=c[q>>2];c[t+52>>2]=c[n>>2];c[t+56>>2]=c[o>>2];c[n>>2]=0;c[q>>2]=0;c[o>>2]=0;c[r>>2]=(c[r>>2]|0)+60}c[n>>2]=0;c[m>>2]=0;c[o>>2]=0;Fn(k)}if((y|0)==11){r=c[m>>2]|0;if(r|0){q=r;do{r=q;q=c[q+4>>2]|0;Sa[c[(c[r>>2]|0)+4>>2]&255](r)}while((q|0)!=0)}c[n>>2]=0;c[m>>2]=0;c[o>>2]=0;Fn(k);x=1;l=d;return x|0}else if((y|0)==15){q=c[m>>2]|0;if(q|0){r=q;do{q=r;r=c[r+4>>2]|0;Sa[c[(c[q>>2]|0)+4>>2]&255](q)}while((r|0)!=0)}c[n>>2]=0;c[m>>2]=0;c[o>>2]=0;Fn(k);x=1;l=d;return x|0}else if((y|0)==19){r=c[m>>2]|0;if(r|0){q=r;do{r=q;q=c[q+4>>2]|0;Sa[c[(c[r>>2]|0)+4>>2]&255](r)}while((q|0)!=0)}c[n>>2]=0;c[m>>2]=0;c[o>>2]=0;Fn(k);x=1;l=d;return x|0}else if((y|0)==27){l=d;return x|0}return 0}function vc(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=a+4|0;e=c[d>>2]|0;f=c[a>>2]|0;g=((e-f|0)/60|0)+1|0;if(g>>>0>71582788){Jt(a);h=c[a>>2]|0;i=c[d>>2]|0}else{h=f;i=e}e=a+8|0;f=((c[e>>2]|0)-h|0)/60|0;j=f<<1;k=f>>>0<35791394?(j>>>0<g>>>0?g:j):71582788;j=(i-h|0)/60|0;if(!k)l=0;else l=Kt(k*60|0)|0;h=l+(j*60|0)|0;i=h;g=l+(k*60|0)|0;c[h>>2]=c[b>>2];c[h+4>>2]=c[b+4>>2];c[h+8>>2]=c[b+8>>2];c[h+12>>2]=c[b+12>>2];zn(l+(j*60|0)+16|0,b+16|0);k=b+48|0;c[l+(j*60|0)+48>>2]=c[k>>2];f=b+52|0;c[l+(j*60|0)+52>>2]=c[f>>2];m=b+56|0;c[l+(j*60|0)+56>>2]=c[m>>2];c[f>>2]=0;c[k>>2]=0;c[m>>2]=0;m=h+60|0;k=c[a>>2]|0;f=c[d>>2]|0;if((f|0)==(k|0)){n=i;o=k;p=k}else{j=f;f=i;i=h;do{h=i+-60|0;l=j;j=j+-60|0;c[h>>2]=c[j>>2];c[h+4>>2]=c[j+4>>2];c[h+8>>2]=c[j+8>>2];c[h+12>>2]=c[j+12>>2];zn(i+-44|0,l+-44|0);h=l+-12|0;c[i+-12>>2]=c[h>>2];b=l+-8|0;c[i+-8>>2]=c[b>>2];q=l+-4|0;c[i+-4>>2]=c[q>>2];c[b>>2]=0;c[h>>2]=0;c[q>>2]=0;i=f+-60|0;f=i}while((j|0)!=(k|0));n=f;o=c[a>>2]|0;p=c[d>>2]|0}c[a>>2]=n;c[d>>2]=m;c[e>>2]=g;g=o;if((p|0)!=(g|0)){e=p;do{p=e+-12|0;m=c[p>>2]|0;if(m|0){d=m;do{m=d;d=c[d+4>>2]|0;Sa[c[(c[m>>2]|0)+4>>2]&255](m)}while((d|0)!=0)}c[e+-8>>2]=0;c[p>>2]=0;c[e+-4>>2]=0;Fn(e+-44|0);e=e+-60|0}while((e|0)!=(g|0))}if(!o)return;Mt(o);return}function wc(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;c[a>>2]=2256;b=a+68|0;d=c[b>>2]|0;if(d|0){e=a+72|0;f=c[e>>2]|0;if((f|0)==(d|0))g=d;else{h=f;do{c[e>>2]=h+-60;f=h+-12|0;i=c[f>>2]|0;if(i|0){j=i;do{i=j;j=c[j+4>>2]|0;Sa[c[(c[i>>2]|0)+4>>2]&255](i)}while((j|0)!=0)}c[h+-8>>2]=0;c[f>>2]=0;c[h+-4>>2]=0;Fn(h+-44|0);h=c[e>>2]|0}while((h|0)!=(d|0));g=c[b>>2]|0}Mt(g)}g=a+56|0;b=c[g>>2]|0;if(b|0){d=b;do{b=d;d=c[d+4>>2]|0;Sa[c[(c[b>>2]|0)+4>>2]&255](b)}while((d|0)!=0)}c[a+60>>2]=0;c[g>>2]=0;c[a+64>>2]=0;g=c[a+44>>2]|0;if(!g){k=a+32|0;Wt(k);return}d=a+48|0;b=c[d>>2]|0;if((b|0)!=(g|0))c[d>>2]=b+(~((b+-4-g|0)>>>2)<<2);Mt(g);k=a+32|0;Wt(k);return}function xc(a){a=a|0;wc(a);Mt(a);return}function yc(a){a=a|0;var b=0,d=0,e=0,f=0;c[a>>2]=2240;b=a+68|0;d=c[b>>2]|0;if(d|0){e=d;do{d=e;e=c[e+4>>2]|0;Sa[c[(c[d>>2]|0)+4>>2]&255](d)}while((e|0)!=0)}c[a+72>>2]=0;c[b>>2]=0;c[a+76>>2]=0;b=a+56|0;e=c[b>>2]|0;if(e|0){d=e;do{e=d;d=c[d+4>>2]|0;Sa[c[(c[e>>2]|0)+4>>2]&255](e)}while((d|0)!=0)}c[a+60>>2]=0;c[b>>2]=0;c[a+64>>2]=0;b=c[a+44>>2]|0;if(!b){f=a+32|0;Wt(f);return}d=a+48|0;e=c[d>>2]|0;if((e|0)!=(b|0))c[d>>2]=e+(~((e+-4-b|0)>>>2)<<2);Mt(b);f=a+32|0;Wt(f);return}function zc(a){a=a|0;var b=0,d=0,e=0,f=0;c[a>>2]=2240;b=a+68|0;d=c[b>>2]|0;if(d|0){e=d;do{d=e;e=c[e+4>>2]|0;Sa[c[(c[d>>2]|0)+4>>2]&255](d)}while((e|0)!=0)}c[a+72>>2]=0;c[b>>2]=0;c[a+76>>2]=0;b=a+56|0;e=c[b>>2]|0;if(e|0){d=e;do{e=d;d=c[d+4>>2]|0;Sa[c[(c[e>>2]|0)+4>>2]&255](e)}while((d|0)!=0)}c[a+60>>2]=0;c[b>>2]=0;c[a+64>>2]=0;b=c[a+44>>2]|0;if(!b){f=a+32|0;Wt(f);Mt(a);return}d=a+48|0;e=c[d>>2]|0;if((e|0)!=(b|0))c[d>>2]=e+(~((e+-4-b|0)>>>2)<<2);Mt(b);f=a+32|0;Wt(f);Mt(a);return}function Ac(a){a=a|0;var b=0,d=0,e=0,f=0;c[a>>2]=2224;b=a+56|0;d=c[b>>2]|0;if(d|0){e=d;do{d=e;e=c[e+4>>2]|0;Sa[c[(c[d>>2]|0)+4>>2]&255](d)}while((e|0)!=0)}c[a+60>>2]=0;c[b>>2]=0;c[a+64>>2]=0;b=c[a+44>>2]|0;if(!b){f=a+32|0;Wt(f);return}e=a+48|0;d=c[e>>2]|0;if((d|0)!=(b|0))c[e>>2]=d+(~((d+-4-b|0)>>>2)<<2);Mt(b);f=a+32|0;Wt(f);return}function Bc(a){a=a|0;var b=0,d=0,e=0,f=0;c[a>>2]=2224;b=a+56|0;d=c[b>>2]|0;if(d|0){e=d;do{d=e;e=c[e+4>>2]|0;Sa[c[(c[d>>2]|0)+4>>2]&255](d)}while((e|0)!=0)}c[a+60>>2]=0;c[b>>2]=0;c[a+64>>2]=0;b=c[a+44>>2]|0;if(!b){f=a+32|0;Wt(f);Mt(a);return}e=a+48|0;d=c[e>>2]|0;if((d|0)!=(b|0))c[e>>2]=d+(~((d+-4-b|0)>>>2)<<2);Mt(b);f=a+32|0;Wt(f);Mt(a);return}function Cc(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0;d=l;l=l+48|0;e=d;f=a+92|0;if(!(c[f>>2]|0)){g=a+96|0;do{Zb(e,c[a>>2]|0,a);h=c[f>>2]|0;c[f>>2]=h+1;i=a+20+(((c[g>>2]|0)+h&1)*36|0)|0;qm(i);om(i,e);qm(e)}while(!(c[f>>2]|0));j=g}else j=a+96|0;switch(c[a+20+((c[j>>2]&1)*36|0)+16>>2]|0){case 42:case 41:case 43:case 40:case 78:case 79:case 67:case 74:case 62:case 56:case 55:case 53:case 44:case 76:case 54:case 72:case 64:case 70:case 60:case 73:case 71:case 61:case 50:case 49:case 68:case 48:case 47:case 46:case 69:case 57:case 66:case 77:{c[e>>2]=0;j=(oc(a,e)|0)==1;g=c[e>>2]|0;c[e>>2]=0;if(j)if(!g)k=1;else{Sa[c[(c[g>>2]|0)+4>>2]&255](g);k=1}else{j=b+4|0;f=c[j>>2]|0;if(!f)m=b;else{c[g+8>>2]=f;m=f+4|0}c[m>>2]=g;c[j>>2]=g;g=b+8|0;c[g>>2]=(c[g>>2]|0)+1;c[e>>2]=0;k=0}n=k;l=d;return n|0}default:{}}k=(c[a+20+((c[a+96>>2]&1)*36|0)+16>>2]|0)+-45|0;if(k>>>0<31?1075052545>>>(k&2147483647)&1|0:0){c[e>>2]=0;k=(Ec(a,e)|0)==1;g=c[e>>2]|0;c[e>>2]=0;if(k)if(!g)o=1;else{Sa[c[(c[g>>2]|0)+4>>2]&255](g);o=1}else{k=b+4|0;j=c[k>>2]|0;if(!j)p=b;else{c[g+8>>2]=j;p=j+4|0}c[p>>2]=g;c[k>>2]=g;g=b+8|0;c[g>>2]=(c[g>>2]|0)+1;c[e>>2]=0;o=0}n=o;l=d;return n|0}ac(e,a);a:do if((c[e>>2]|0)==22){o=c[e+4>>2]|0;switch(o|0){case 42:case 41:case 43:case 40:case 78:case 79:case 67:case 74:case 62:case 56:case 55:case 53:case 44:case 76:case 54:case 72:case 64:case 70:case 60:case 73:case 71:case 61:case 50:case 49:case 68:case 48:case 47:case 46:case 69:case 57:case 66:case 77:break;default:{g=o+-45|0;if(g>>>0>=31)break a;if(!(1075052545>>>(g&2147483647)&1)){n=1;l=d;return n|0}}}n=nc(a,b)|0;l=d;return n|0}while(0);n=1;l=d;return n|0}function Dc(a){a=a|0;var b=0,d=0,e=0;b=c[a>>2]|0;switch(b|0){case 42:case 41:case 43:case 40:case 78:case 79:case 67:case 74:case 62:case 56:case 55:case 53:case 44:case 76:case 54:case 72:case 64:case 70:case 60:case 73:case 71:case 61:case 50:case 49:case 68:case 48:case 47:case 46:case 69:case 57:case 66:case 77:{d=1;return d|0}default:{}}e=b+-45|0;if(e>>>0<31?1075052545>>>(e&2147483647)&1|0:0){d=1;return d|0}e=a;a=c[e+4>>2]|0;if((c[e>>2]|0)!=22){d=0;return d|0}switch(a|0){case 42:case 41:case 43:case 40:case 78:case 79:case 67:case 74:case 62:case 56:case 55:case 53:case 44:case 76:case 54:case 72:case 64:case 70:case 60:case 73:case 71:case 61:case 50:case 49:case 68:case 48:case 47:case 46:case 69:case 57:case 66:case 77:{d=1;return d|0}default:{}}e=a+-45|0;if(e>>>0>=31){d=0;return d|0}d=(1075052545>>>(e&2147483647)&1|0)!=0;return d|0}function Ec(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;d=l;l=l+240|0;e=d+196|0;f=d;g=d+184|0;h=d+168|0;i=d+80|0;j=d+132|0;k=d+96|0;m=d+4|0;n=d+40|0;$b(i,a);o=a+92|0;if(!(c[o>>2]|0)){p=a+96|0;do{Zb(e,c[a>>2]|0,a);q=c[o>>2]|0;c[o>>2]=q+1;r=a+20+(((c[p>>2]|0)+q&1)*36|0)|0;qm(r);om(r,e);qm(e)}while(!(c[o>>2]|0));s=p}else s=a+96|0;switch(c[a+20+((c[s>>2]&1)*36|0)+16>>2]|0){case 45:{s=a+96|0;om(j,a+20+((c[s>>2]&1)*36|0)|0);p=a+20+((c[s>>2]&1)*36|0)|0;qm(p);c[p>>2]=0;c[p+4>>2]=0;c[p+8>>2]=0;c[p+12>>2]=0;c[p+16>>2]=0;c[s>>2]=c[s>>2]&1^1;c[o>>2]=(c[o>>2]|0)+-1;qm(j);j=Kt(68)|0;c[j+4>>2]=0;c[j+8>>2]=0;s=j+12|0;c[s>>2]=c[i>>2];c[s+4>>2]=c[i+4>>2];c[s+8>>2]=c[i+8>>2];c[s+12>>2]=c[i+12>>2];c[j+28>>2]=5;c[j>>2]=2208;s=j+32|0;t=s;u=t+36|0;do{c[t>>2]=0;t=t+4|0}while((t|0)<(u|0));if((qc(a,s)|0)==1){Sa[c[(c[j>>2]|0)+4>>2]&255](j);v=1;l=d;return v|0}p=j+44|0;do{if(!(dc(a,30)|0)){w=12;break}if((rc(a,p)|0)==1)break}while((ec(a,31)|0)!=1);if((w|0)==12?(sc(a,j+56|0)|0)!=1:0){if((ec(a,59)|0)==1){Sa[c[(c[j>>2]|0)+4>>2]&255](j);v=1;l=d;return v|0}if((Fc(a,s)|0)==1){Sa[c[(c[j>>2]|0)+4>>2]&255](j);v=1;l=d;return v|0}s=c[b>>2]|0;c[b>>2]=j;if(!s){v=0;l=d;return v|0}Sa[c[(c[s>>2]|0)+4>>2]&255](s);v=0;l=d;return v|0}Sa[c[(c[j>>2]|0)+4>>2]&255](j);v=1;l=d;return v|0}case 65:{j=a+96|0;om(k,a+20+((c[j>>2]&1)*36|0)|0);s=a+20+((c[j>>2]&1)*36|0)|0;qm(s);c[s>>2]=0;c[s+4>>2]=0;c[s+8>>2]=0;c[s+12>>2]=0;c[s+16>>2]=0;c[j>>2]=c[j>>2]&1^1;c[o>>2]=(c[o>>2]|0)+-1;qm(k);k=Kt(68)|0;c[k+4>>2]=0;c[k+8>>2]=0;j=k+12|0;c[j>>2]=c[i>>2];c[j+4>>2]=c[i+4>>2];c[j+8>>2]=c[i+8>>2];c[j+12>>2]=c[i+12>>2];c[k+28>>2]=21;c[k>>2]=2224;j=k+32|0;t=j;u=t+36|0;do{c[t>>2]=0;t=t+4|0}while((t|0)<(u|0));if((qc(a,j)|0)==1){Sa[c[(c[k>>2]|0)+4>>2]&255](k);v=1;l=d;return v|0}s=k+44|0;do{if(!(dc(a,30)|0)){w=26;break}if((rc(a,s)|0)==1)break}while((ec(a,31)|0)!=1);if((w|0)==26?(sc(a,k+56|0)|0)!=1:0){if((ec(a,59)|0)==1){Sa[c[(c[k>>2]|0)+4>>2]&255](k);v=1;l=d;return v|0}if((Fc(a,j)|0)==1){Sa[c[(c[k>>2]|0)+4>>2]&255](k);v=1;l=d;return v|0}j=c[b>>2]|0;c[b>>2]=k;if(!j){v=0;l=d;return v|0}Sa[c[(c[j>>2]|0)+4>>2]&255](j);v=0;l=d;return v|0}Sa[c[(c[k>>2]|0)+4>>2]&255](k);v=1;l=d;return v|0}case 63:{k=a+96|0;om(m,a+20+((c[k>>2]&1)*36|0)|0);j=a+20+((c[k>>2]&1)*36|0)|0;qm(j);c[j>>2]=0;c[j+4>>2]=0;c[j+8>>2]=0;c[j+12>>2]=0;c[j+16>>2]=0;c[k>>2]=c[k>>2]&1^1;c[o>>2]=(c[o>>2]|0)+-1;qm(m);m=Kt(80)|0;c[m+4>>2]=0;c[m+8>>2]=0;k=m+12|0;c[k>>2]=c[i>>2];c[k+4>>2]=c[i+4>>2];c[k+8>>2]=c[i+8>>2];c[k+12>>2]=c[i+12>>2];c[m+28>>2]=19;c[m>>2]=2240;k=m+32|0;t=k;u=t+48|0;do{c[t>>2]=0;t=t+4|0}while((t|0)<(u|0));if((qc(a,k)|0)==1){Sa[c[(c[m>>2]|0)+4>>2]&255](m);v=1;l=d;return v|0}j=m+44|0;do{if(!(dc(a,30)|0)){w=40;break}if((rc(a,j)|0)==1)break}while((ec(a,31)|0)!=1);if((w|0)==40?(sc(a,m+56|0)|0)!=1:0){if(cc(a,58)|0){if((Fc(a,k)|0)==1){Sa[c[(c[m>>2]|0)+4>>2]&255](m);v=1;l=d;return v|0}if((mc(a,m+68|0)|0)==1){Sa[c[(c[m>>2]|0)+4>>2]&255](m);v=1;l=d;return v|0}}if((ec(a,59)|0)==1){Sa[c[(c[m>>2]|0)+4>>2]&255](m);v=1;l=d;return v|0}if((Fc(a,k)|0)==1){Sa[c[(c[m>>2]|0)+4>>2]&255](m);v=1;l=d;return v|0}k=c[b>>2]|0;c[b>>2]=m;if(!k){v=0;l=d;return v|0}Sa[c[(c[k>>2]|0)+4>>2]&255](k);v=0;l=d;return v|0}Sa[c[(c[m>>2]|0)+4>>2]&255](m);v=1;l=d;return v|0}case 75:{m=a+96|0;om(n,a+20+((c[m>>2]&1)*36|0)|0);k=a+20+((c[m>>2]&1)*36|0)|0;qm(k);c[k>>2]=0;c[k+4>>2]=0;c[k+8>>2]=0;c[k+12>>2]=0;c[k+16>>2]=0;c[m>>2]=c[m>>2]&1^1;c[o>>2]=(c[o>>2]|0)+-1;c[g>>2]=c[n+20>>2];if(!(ym(g,c[a+16>>2]|0)|0)){c[h>>2]=c[n>>2];c[h+4>>2]=c[n+4>>2];c[h+8>>2]=c[n+8>>2];c[h+12>>2]=c[n+12>>2];vm(e,g);c[f>>2]=c[e>>2];c[e>>2]=c[h>>2];c[e+4>>2]=c[h+4>>2];c[e+8>>2]=c[h+8>>2];c[e+12>>2]=c[h+12>>2];_b(a,e,18125,f)}qm(n);n=Kt(80)|0;c[n+4>>2]=0;c[n+8>>2]=0;f=n+12|0;c[f>>2]=c[i>>2];c[f+4>>2]=c[i+4>>2];c[f+8>>2]=c[i+8>>2];c[f+12>>2]=c[i+12>>2];c[n+28>>2]=31;c[n>>2]=2256;i=n+32|0;t=i;u=t+48|0;do{c[t>>2]=0;t=t+4|0}while((t|0)<(u|0));if((qc(a,i)|0)==1){Sa[c[(c[n>>2]|0)+4>>2]&255](n);v=1;l=d;return v|0}t=n+44|0;do{if(!(dc(a,30)|0)){w=61;break}if((rc(a,t)|0)==1)break}while((ec(a,31)|0)!=1);if((w|0)==61?(sc(a,n+56|0)|0)!=1:0){if((Gc(a,n+68|0)|0)==1){Sa[c[(c[n>>2]|0)+4>>2]&255](n);v=1;l=d;return v|0};c[g>>2]=0;c[g+4>>2]=0;c[g+8>>2]=0;Rt(g,18300,12);w=Kt(12)|0;c[e>>2]=w;c[e+8>>2]=w+12;Qt(w,g);c[e+4>>2]=w+12;t=(hc(a,e,0)|0)==1;Wt(w);Mt(w);Wt(g);if(t){Sa[c[(c[n>>2]|0)+4>>2]&255](n);v=1;l=d;return v|0}if((ec(a,59)|0)==1){Sa[c[(c[n>>2]|0)+4>>2]&255](n);v=1;l=d;return v|0}if((Fc(a,i)|0)==1){Sa[c[(c[n>>2]|0)+4>>2]&255](n);v=1;l=d;return v|0}i=c[b>>2]|0;c[b>>2]=n;if(!i){v=0;l=d;return v|0}Sa[c[(c[i>>2]|0)+4>>2]&255](i);v=0;l=d;return v|0}Sa[c[(c[n>>2]|0)+4>>2]&255](n);v=1;l=d;return v|0}default:{v=1;l=d;return v|0}}return 0}function Fc(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;e=l;l=l+64|0;f=e+48|0;g=e+8|0;h=e;i=e+32|0;j=e+16|0;$b(i,b);c[j>>2]=0;c[j+4>>2]=0;c[j+8>>2]=0;a:do if((qc(b,j)|0)!=1){k=a[j+11>>0]|0;m=k<<24>>24<0;n=m?c[j+4>>2]|0:k&255;if(!n)o=0;else{k=a[d+11>>0]|0;p=k<<24>>24<0;q=k&255;k=p?c[d+4>>2]|0:q;if(!k){c[h>>2]=m?c[j>>2]|0:j;c[f>>2]=c[i>>2];c[f+4>>2]=c[i+4>>2];c[f+8>>2]=c[i+8>>2];c[f+12>>2]=c[i+12>>2];_b(b,f,18550,h);o=0;break}r=c[d>>2]|0;do if((k|0)==(n|0)){s=c[j>>2]|0;t=m?s:j;if(p)if(!(Es(r,t,n)|0)){o=0;break a}else{u=d;v=s;break}if((r&255)<<24>>24==(a[t>>0]|0)){w=d;x=q;y=t;while(1){x=x+-1|0;w=w+1|0;if(!x){o=0;break a}y=y+1|0;if((a[w>>0]|0)!=(a[y>>0]|0)){u=d;v=s;break}}}else{u=d;v=s}}else{u=d;v=c[j>>2]|0}while(0);c[g>>2]=p?r:u;c[g+4>>2]=m?v:j;c[f>>2]=c[i>>2];c[f+4>>2]=c[i+4>>2];c[f+8>>2]=c[i+8>>2];c[f+12>>2]=c[i+12>>2];_b(b,f,18572,g);o=0}}else o=1;while(0);Wt(j);l=e;return o|0}function Gc(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;d=l;l=l+112|0;e=d+76|0;f=d+16|0;g=d;h=a+92|0;i=a+96|0;j=f+16|0;k=f+48|0;m=f+52|0;n=f+56|0;o=e+16|0;p=f+48|0;q=b+4|0;r=b+8|0;while(1){if(!(c[h>>2]|0))do{Zb(e,c[a>>2]|0,a);s=c[h>>2]|0;c[h>>2]=s+1;t=a+20+(((c[i>>2]|0)+s&1)*36|0)|0;qm(t);om(t,e);qm(e)}while(!(c[h>>2]|0));if(((c[a+20+((c[i>>2]&1)*36|0)+16>>2]|0)+-51|0)>>>0>=2){u=0;v=19;break}$b(g,a);c[f>>2]=c[g>>2];c[f+4>>2]=c[g+4>>2];c[f+8>>2]=c[g+8>>2];c[f+12>>2]=c[g+12>>2];c[e>>2]=0;c[e+4>>2]=0;c[e+8>>2]=0;c[e+12>>2]=0;xn(j,-1,e);c[k>>2]=0;c[m>>2]=0;c[n>>2]=0;om(e,a+20+((c[i>>2]&1)*36|0)|0);t=a+20+((c[i>>2]&1)*36|0)|0;qm(t);c[t>>2]=0;c[t+4>>2]=0;c[t+8>>2]=0;c[t+12>>2]=0;c[t+16>>2]=0;c[i>>2]=c[i>>2]&1^1;c[h>>2]=(c[h>>2]|0)+-1;t=(c[o>>2]|0)==51;qm(e);if(t?(jc(a,j)|0)==1:0){v=7;break}if((sc(a,p)|0)==1){v=11;break}t=c[q>>2]|0;if(t>>>0>=(c[r>>2]|0)>>>0){vc(b,f);s=c[k>>2]|0;if(s|0){w=s;do{s=w;w=c[w+4>>2]|0;Sa[c[(c[s>>2]|0)+4>>2]&255](s)}while((w|0)!=0)}}else{c[t>>2]=c[f>>2];c[t+4>>2]=c[f+4>>2];c[t+8>>2]=c[f+8>>2];c[t+12>>2]=c[f+12>>2];zn(t+16|0,j);c[t+48>>2]=c[p>>2];c[t+52>>2]=c[m>>2];c[t+56>>2]=c[n>>2];c[m>>2]=0;c[p>>2]=0;c[n>>2]=0;c[q>>2]=(c[q>>2]|0)+60}c[m>>2]=0;c[k>>2]=0;c[n>>2]=0;Fn(j)}if((v|0)==7){q=c[k>>2]|0;if(q|0){p=q;do{q=p;p=c[p+4>>2]|0;Sa[c[(c[q>>2]|0)+4>>2]&255](q)}while((p|0)!=0)}c[m>>2]=0;c[k>>2]=0;c[n>>2]=0;Fn(j);u=1;l=d;return u|0}else if((v|0)==11){p=c[k>>2]|0;if(p|0){q=p;do{p=q;q=c[q+4>>2]|0;Sa[c[(c[p>>2]|0)+4>>2]&255](p)}while((q|0)!=0)}c[m>>2]=0;c[k>>2]=0;c[n>>2]=0;Fn(j);u=1;l=d;return u|0}else if((v|0)==19){l=d;return u|0}return 0}function Hc(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;d=a+4|0;e=c[d>>2]|0;f=c[a>>2]|0;g=(e-f>>2)+1|0;if(g>>>0>1073741823){Jt(a);h=c[a>>2]|0;i=c[d>>2]|0}else{h=f;i=e}e=a+8|0;f=(c[e>>2]|0)-h|0;j=f>>1;k=f>>2>>>0<536870911?(j>>>0<g>>>0?g:j):1073741823;if(!k)l=0;else l=Kt(k<<2)|0;j=l+(i-h>>2<<2)|0;c[j>>2]=c[b>>2];b=i-h|0;i=j+(0-(b>>2)<<2)|0;if((b|0)>0)Wu(i|0,h|0,b|0)|0;c[a>>2]=i;c[d>>2]=j+4;c[e>>2]=l+(k<<2);if(!h)return;Mt(h);return}function Ic(a){a=a|0;var b=0,d=0,e=0,f=0;c[a>>2]=2208;b=a+56|0;d=c[b>>2]|0;if(d|0){e=d;do{d=e;e=c[e+4>>2]|0;Sa[c[(c[d>>2]|0)+4>>2]&255](d)}while((e|0)!=0)}c[a+60>>2]=0;c[b>>2]=0;c[a+64>>2]=0;b=c[a+44>>2]|0;if(!b){f=a+32|0;Wt(f);return}e=a+48|0;d=c[e>>2]|0;if((d|0)!=(b|0))c[e>>2]=d+(~((d+-4-b|0)>>>2)<<2);Mt(b);f=a+32|0;Wt(f);return}function Jc(a){a=a|0;var b=0,d=0,e=0,f=0;c[a>>2]=2208;b=a+56|0;d=c[b>>2]|0;if(d|0){e=d;do{d=e;e=c[e+4>>2]|0;Sa[c[(c[d>>2]|0)+4>>2]&255](d)}while((e|0)!=0)}c[a+60>>2]=0;c[b>>2]=0;c[a+64>>2]=0;b=c[a+44>>2]|0;if(!b){f=a+32|0;Wt(f);Mt(a);return}e=a+48|0;d=c[e>>2]|0;if((d|0)!=(b|0))c[e>>2]=d+(~((d+-4-b|0)>>>2)<<2);Mt(b);f=a+32|0;Wt(f);Mt(a);return}function Kc(a){a=a|0;var b=0,d=0;if((c[a>>2]|0)!=22){b=0;return b|0}d=c[a+4>>2]|0;switch(d|0){case 42:case 41:case 43:case 40:case 78:case 79:case 67:case 74:case 62:case 56:case 55:case 53:case 44:case 76:case 54:case 72:case 64:case 70:case 60:case 73:case 71:case 61:case 50:case 49:case 68:case 48:case 47:case 46:case 69:case 57:case 66:case 77:{b=1;return b|0}default:{}}a=d+-45|0;if(a>>>0>=31){b=0;return b|0}b=(1075052545>>>(a&2147483647)&1|0)!=0;return b|0}function Lc(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+80|0;e=d+48|0;f=d+32|0;g=d;c[f>>2]=0;c[f+4>>2]=0;c[f+8>>2]=0;c[f+12>>2]=0;xn(e,-1,f);c[f>>2]=0;c[f+4>>2]=0;c[f+8>>2]=0;c[f+12>>2]=0;xn(g,-1,f);h=kc(a,e,g)|0;Fn(g);i=b+4|0;if(!h){j=c[b>>2]|0;k=c[i>>2]|0;m=(j|0)!=(k|0);Fn(e);l=d;return m|0}h=b+8|0;do{n=c[i>>2]|0;if((n|0)==(c[h>>2]|0))wd(b,e);else{Bn(n,e);c[i>>2]=(c[i>>2]|0)+32};c[f>>2]=0;c[f+4>>2]=0;c[f+8>>2]=0;c[f+12>>2]=0;xn(g,-1,f);n=kc(a,e,g)|0;Fn(g)}while(n);j=c[b>>2]|0;k=c[i>>2]|0;m=(j|0)!=(k|0);Fn(e);l=d;return m|0}function Mc(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0;e=l;l=l+96|0;f=e+56|0;g=e+16|0;h=e+8|0;i=e+20|0;j=e;k=b+92|0;if(!(c[k>>2]|0)){m=b+96|0;do{Zb(f,c[b>>2]|0,b);n=c[k>>2]|0;c[k>>2]=n+1;o=b+20+(((c[m>>2]|0)+n&1)*36|0)|0;qm(o);om(o,f);qm(f)}while(!(c[k>>2]|0));p=m}else p=b+96|0;if((c[b+20+((c[p>>2]&1)*36|0)+16>>2]|0)!=81){c[d>>2]=0;q=0;l=e;return q|0}p=b+96|0;om(i,b+20+((c[p>>2]&1)*36|0)|0);m=b+20+((c[p>>2]&1)*36|0)|0;qm(m);c[m>>2]=0;c[m+4>>2]=0;c[m+8>>2]=0;c[m+12>>2]=0;c[m+16>>2]=0;c[p>>2]=c[p>>2]&1^1;c[k>>2]=(c[k>>2]|0)+-1;k=i+20|0;p=a[k+11>>0]|0;m=p<<24>>24<0;o=m?c[k>>2]|0:k;k=m?c[i+24>>2]|0:p&255;if((Pl(o,o+k|0,j,1)|0)==1){c[h>>2]=k;c[h+4>>2]=o;c[f>>2]=c[i>>2];c[f+4>>2]=c[i+4>>2];c[f+8>>2]=c[i+8>>2];c[f+12>>2]=c[i+12>>2];_b(b,f,19959,h)}h=j;o=c[h>>2]|0;k=c[h+4>>2]|0;if(k>>>0>0|(k|0)==0&o>>>0>4294967295){c[f>>2]=c[i>>2];c[f+4>>2]=c[i+4>>2];c[f+8>>2]=c[i+8>>2];c[f+12>>2]=c[i+12>>2];_b(b,f,19981,g);r=c[j>>2]|0}else r=o;c[d>>2]=r;qm(i);q=1;l=e;return q|0}function Nc(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0;e=l;l=l+96|0;f=e+48|0;g=e+8|0;h=e;i=e+12|0;j=b+92|0;if(!(c[j>>2]|0)){k=b+96|0;do{Zb(f,c[b>>2]|0,b);m=c[j>>2]|0;c[j>>2]=m+1;n=b+20+(((c[k>>2]|0)+m&1)*36|0)|0;qm(n);om(n,f);qm(f)}while(!(c[j>>2]|0));o=k}else o=b+96|0;if((c[b+20+((c[o>>2]&1)*36|0)+16>>2]|0)!=80){c[d>>2]=-1;p=0;l=e;return p|0}o=b+96|0;om(i,b+20+((c[o>>2]&1)*36|0)|0);k=b+20+((c[o>>2]&1)*36|0)|0;qm(k);c[k>>2]=0;c[k+4>>2]=0;c[k+8>>2]=0;c[k+12>>2]=0;c[k+16>>2]=0;c[o>>2]=c[o>>2]&1^1;c[j>>2]=(c[j>>2]|0)+-1;j=i+20|0;o=a[j+11>>0]|0;k=o<<24>>24<0;n=k?c[j>>2]|0:j;j=k?c[i+24>>2]|0:o&255;if((Ql(n,n+j|0,d,0)|0)==1){c[h>>2]=j;c[h+4>>2]=n;c[f>>2]=c[i>>2];c[f+4>>2]=c[i+4>>2];c[f+8>>2]=c[i+8>>2];c[f+12>>2]=c[i+12>>2];_b(b,f,19934,h)}h=c[d>>2]|0;if(!((h|0)!=0&(h+-1&h|0)==0)){c[f>>2]=c[i>>2];c[f+4>>2]=c[i+4>>2];c[f+8>>2]=c[i+8>>2];c[f+12>>2]=c[i+12>>2];_b(b,f,23646,g)}qm(i);p=1;l=e;return p|0}function Oc(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=l;l=l+80|0;f=e+32|0;g=e;h=e+16|0;i=e+4|0;j=b+96|0;om(f,b+20+((c[j>>2]&1)*36|0)|0);k=b+20+((c[j>>2]&1)*36|0)|0;qm(k);c[k>>2]=0;c[k+4>>2]=0;c[k+8>>2]=0;c[k+12>>2]=0;c[k+16>>2]=0;c[j>>2]=c[j>>2]&1^1;k=b+92|0;c[k>>2]=(c[k>>2]|0)+-1;m=c[f+20>>2]|0;qm(f);n=h+4|0;c[n>>2]=0;c[n+4>>2]=0;c[n+8>>2]=0;$b(f,b);c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];c[d+8>>2]=c[f+8>>2];c[d+12>>2]=c[f+12>>2];if(!(c[k>>2]|0))do{Zb(f,c[b>>2]|0,b);o=c[k>>2]|0;c[k>>2]=o+1;p=b+20+(((c[j>>2]|0)+o&1)*36|0)|0;qm(p);om(p,f);qm(f)}while(!(c[k>>2]|0));p=c[j>>2]&1;if(((c[b+20+(p*36|0)+16>>2]|0)+-37|0)>>>0>=3){c[i>>2]=0;c[i+4>>2]=0;c[i+8>>2]=0;Rt(i,19721,17);o=Kt(12)|0;c[f>>2]=o;c[f+8>>2]=o+12;Qt(o,i);c[f+4>>2]=o+12;q=gc(b,f,19739)|0;Wt(o);Mt(o);Wt(i);r=q;Wt(n);l=e;return r|0}om(f,b+20+(p*36|0)|0);p=b+20+((c[j>>2]&1)*36|0)|0;qm(p);c[p>>2]=0;c[p+4>>2]=0;c[p+8>>2]=0;c[p+12>>2]=0;c[p+16>>2]=0;c[j>>2]=c[j>>2]&1^1;c[k>>2]=(c[k>>2]|0)+-1;c[h>>2]=c[f+20>>2];Xt(n,f+24|0)|0;qm(f);k=n+11|0;j=a[k>>0]|0;p=j<<24>>24<0;q=p?c[n>>2]|0:n;i=q+(p?c[h+8>>2]|0:j&255)|0;switch(m|0){case 50:{c[d+16>>2]=-1;s=Ql(q,i,d+24|0,1)|0;break}case 51:{c[d+16>>2]=-2;s=Pl(q,i,d+24|0,1)|0;break}case 52:{c[d+16>>2]=-3;s=Rl(c[h>>2]|0,q,i,d+24|0)|0;break}case 53:{c[d+16>>2]=-4;s=Tl(c[h>>2]|0,q,i,d+24|0)|0;break}default:{r=1;Wt(n);l=e;return r|0}}if((s|0)!=1){r=0;Wt(n);l=e;return r|0}c[g>>2]=(a[k>>0]|0)<0?c[n>>2]|0:n;c[f>>2]=c[d>>2];c[f+4>>2]=c[d+4>>2];c[f+8>>2]=c[d+8>>2];c[f+12>>2]=c[d+12>>2];_b(b,f,19755,g);r=0;Wt(n);l=e;return r|0}function Pc(a){a=a|0;return}function Qc(a){a=a|0;Mt(a);return}function Rc(a){a=a|0;Mt(a);return}function Sc(a){a=a|0;Mt(a);return}function Tc(a){a=a|0;Mt(a);return}function Uc(a){a=a|0;Mt(a);return}function Vc(a){a=a|0;Mt(a);return}function Wc(a){a=a|0;c[a>>2]=2672;Fn(a+32|0);return}function Xc(a){a=a|0;c[a>>2]=2672;Fn(a+32|0);Mt(a);return}function Yc(a){a=a|0;c[a>>2]=2656;Fn(a+32|0);return}function Zc(a){a=a|0;c[a>>2]=2656;Fn(a+32|0);Mt(a);return}function _c(a){a=a|0;Mt(a);return}function $c(a){a=a|0;Mt(a);return}function ad(a){a=a|0;Mt(a);return}function bd(a){a=a|0;Mt(a);return}function cd(a){a=a|0;Mt(a);return}function dd(a){a=a|0;Mt(a);return}function ed(a){a=a|0;Mt(a);return}function fd(a){a=a|0;Mt(a);return}function gd(a){a=a|0;Mt(a);return}function hd(a){a=a|0;c[a>>2]=2496;Fn(a+32|0);return}function id(a){a=a|0;c[a>>2]=2496;Fn(a+32|0);Mt(a);return}function jd(a){a=a|0;c[a>>2]=2480;Fn(a+32|0);return}function kd(a){a=a|0;c[a>>2]=2480;Fn(a+32|0);Mt(a);return}function ld(a){a=a|0;c[a>>2]=2464;Fn(a+32|0);return}function md(a){a=a|0;c[a>>2]=2464;Fn(a+32|0);Mt(a);return}function nd(a){a=a|0;c[a>>2]=2448;Fn(a+32|0);return}function od(a){a=a|0;c[a>>2]=2448;Fn(a+32|0);Mt(a);return}function pd(a){a=a|0;c[a>>2]=2432;Fn(a+32|0);return}function qd(a){a=a|0;c[a>>2]=2432;Fn(a+32|0);Mt(a);return}function rd(a){a=a|0;c[a>>2]=2416;Fn(a+32|0);return}function sd(a){a=a|0;c[a>>2]=2416;Fn(a+32|0);Mt(a);return}function td(a){a=a|0;c[a>>2]=2400;Fn(a+32|0);return}function ud(a){a=a|0;c[a>>2]=2400;Fn(a+32|0);Mt(a);return}function vd(a){a=a|0;Mt(a);return}function wd(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=a+4|0;e=c[d>>2]|0;f=c[a>>2]|0;g=(e-f>>5)+1|0;if(g>>>0>134217727){Jt(a);h=c[a>>2]|0;i=c[d>>2]|0}else{h=f;i=e}e=a+8|0;f=(c[e>>2]|0)-h|0;j=f>>4;k=f>>5>>>0<67108863?(j>>>0<g>>>0?g:j):134217727;if(!k)l=0;else l=Kt(k<<5)|0;j=l+(i-h>>5<<5)|0;h=j;i=l+(k<<5)|0;Bn(j,b);b=j+32|0;k=c[a>>2]|0;l=c[d>>2]|0;if((l|0)==(k|0)){m=h;n=k;o=k}else{g=l;l=h;h=j;do{g=g+-32|0;Bn(h+-32|0,g);h=l+-32|0;l=h}while((g|0)!=(k|0));m=l;n=c[a>>2]|0;o=c[d>>2]|0}c[a>>2]=m;c[d>>2]=b;c[e>>2]=i;i=n;if((o|0)!=(i|0)){e=o;do{e=e+-32|0;Fn(e)}while((e|0)!=(i|0))}if(!n)return;Mt(n);return}function xd(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;c[a>>2]=2368;Fn(a+44|0);b=a+32|0;d=c[b>>2]|0;if(!d)return;e=a+36|0;a=c[e>>2]|0;if((a|0)==(d|0))f=d;else{g=a;do{a=g+-32|0;c[e>>2]=a;Fn(a);g=c[e>>2]|0}while((g|0)!=(d|0));f=c[b>>2]|0}Mt(f);return}function yd(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;c[a>>2]=2368;Fn(a+44|0);b=a+32|0;d=c[b>>2]|0;if(!d){Mt(a);return}e=a+36|0;f=c[e>>2]|0;if((f|0)==(d|0))g=d;else{h=f;do{f=h+-32|0;c[e>>2]=f;Fn(f);h=c[e>>2]|0}while((h|0)!=(d|0));g=c[b>>2]|0}Mt(g);Mt(a);return}function zd(a){a=a|0;c[a>>2]=2352;Fn(a+32|0);return}function Ad(a){a=a|0;c[a>>2]=2352;Fn(a+32|0);Mt(a);return}function Bd(a){a=a|0;c[a>>2]=2336;Fn(a+32|0);return}function Cd(a){a=a|0;c[a>>2]=2336;Fn(a+32|0);Mt(a);return}function Dd(a){a=a|0;Mt(a);return}function Ed(a){a=a|0;Mt(a);return}function Fd(a){a=a|0;Mt(a);return}function Gd(a){a=a|0;Mt(a);return}function Hd(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0;e=l;l=l+64|0;f=e+8|0;g=e;h=e+56|0;i=e+44|0;c[i>>2]=0;j=i+4|0;c[j>>2]=0;c[i+8>>2]=0;k=b+92|0;m=b+96|0;n=f+20|0;o=i+8|0;while(1){if(!(c[k>>2]|0))do{Zb(f,c[b>>2]|0,b);p=c[k>>2]|0;c[k>>2]=p+1;q=b+20+(((c[m>>2]|0)+p&1)*36|0)|0;qm(q);om(q,f);qm(f)}while(!(c[k>>2]|0));q=c[m>>2]&1;if((c[b+20+(q*36|0)+16>>2]|0)!=83)break;om(f,b+20+(q*36|0)|0);q=b+20+((c[m>>2]&1)*36|0)|0;qm(q);c[q>>2]=0;c[q+4>>2]=0;c[q+8>>2]=0;c[q+12>>2]=0;c[q+16>>2]=0;c[m>>2]=c[m>>2]&1^1;c[k>>2]=(c[k>>2]|0)+-1;q=c[j>>2]|0;if((q|0)==(c[o>>2]|0))Id(i,n);else{Qt(q,n);c[j>>2]=(c[j>>2]|0)+12}qm(f)}n=c[i>>2]|0;o=c[j>>2]|0;if((n|0)==(o|0)){r=n;s=n}else{k=f+4|0;m=d+4|0;b=d+8|0;q=n;do{n=a[q+11>>0]|0;p=n<<24>>24<0;t=p?c[q+4>>2]|0:n&255;c[f>>2]=p?c[q>>2]|0:q;c[k>>2]=t;if(t>>>0>=3?(Cm(g,f,1,t+-2|0),t=g,p=c[t>>2]|0,n=c[t+4>>2]|0,t=f,c[t>>2]=p,c[t+4>>2]=n,t=p,p=t+n|0,(n|0)>0):0){n=t;while(1){t=a[n>>0]|0;u=n+1|0;do if(t<<24>>24!=92){v=c[m>>2]|0;w=c[b>>2]|0;x=v;if(v>>>0<w>>>0){a[v>>0]=t;c[m>>2]=(c[m>>2]|0)+1;y=u;break}v=c[d>>2]|0;z=x-v+1|0;if((z|0)<0){Jt(d);A=c[d>>2]|0;B=c[b>>2]|0;C=c[m>>2]|0}else{A=v;B=w;C=x}x=A;w=B-A|0;v=w<<1;D=w>>>0<1073741823?(v>>>0<z>>>0?z:v):2147483647;v=C-A|0;if(!D)E=0;else E=Kt(D)|0;z=E+v|0;a[z>>0]=t;w=z+(0-v)|0;if((v|0)>0)Wu(w|0,x|0,v|0)|0;c[d>>2]=w;c[m>>2]=z+1;c[b>>2]=E+D;if(!A)y=u;else{Mt(x);y=u}}else{x=a[u>>0]|0;a:do switch(x<<24>>24|0){case 110:{D=c[m>>2]|0;z=c[b>>2]|0;w=D;if(D>>>0<z>>>0){a[D>>0]=10;c[m>>2]=(c[m>>2]|0)+1;F=u;break a}D=c[d>>2]|0;v=w-D+1|0;if((v|0)<0){Jt(d);G=c[d>>2]|0;H=c[b>>2]|0;I=c[m>>2]|0}else{G=D;H=z;I=w}w=G;z=H-G|0;D=z<<1;J=z>>>0<1073741823?(D>>>0<v>>>0?v:D):2147483647;D=I-G|0;if(!J)K=0;else K=Kt(J)|0;v=K+D|0;a[v>>0]=10;z=v+(0-D)|0;if((D|0)>0)Wu(z|0,w|0,D|0)|0;c[d>>2]=z;c[m>>2]=v+1;c[b>>2]=K+J;if(!G)F=u;else{Mt(w);F=u}break}case 114:{w=c[m>>2]|0;J=c[b>>2]|0;v=w;if(w>>>0<J>>>0){a[w>>0]=13;c[m>>2]=(c[m>>2]|0)+1;F=u;break a}w=c[d>>2]|0;z=v-w+1|0;if((z|0)<0){Jt(d);L=c[d>>2]|0;M=c[b>>2]|0;N=c[m>>2]|0}else{L=w;M=J;N=v}v=L;J=M-L|0;w=J<<1;D=J>>>0<1073741823?(w>>>0<z>>>0?z:w):2147483647;w=N-L|0;if(!D)O=0;else O=Kt(D)|0;z=O+w|0;a[z>>0]=13;J=z+(0-w)|0;if((w|0)>0)Wu(J|0,v|0,w|0)|0;c[d>>2]=J;c[m>>2]=z+1;c[b>>2]=O+D;if(!L)F=u;else{Mt(v);F=u}break}case 116:{v=c[m>>2]|0;D=c[b>>2]|0;z=v;if(v>>>0<D>>>0){a[v>>0]=9;c[m>>2]=(c[m>>2]|0)+1;F=u;break a}v=c[d>>2]|0;J=z-v+1|0;if((J|0)<0){Jt(d);P=c[d>>2]|0;Q=c[b>>2]|0;R=c[m>>2]|0}else{P=v;Q=D;R=z}z=P;D=Q-P|0;v=D<<1;w=D>>>0<1073741823?(v>>>0<J>>>0?J:v):2147483647;v=R-P|0;if(!w)S=0;else S=Kt(w)|0;J=S+v|0;a[J>>0]=9;D=J+(0-v)|0;if((v|0)>0)Wu(D|0,z|0,v|0)|0;c[d>>2]=D;c[m>>2]=J+1;c[b>>2]=S+w;if(!P)F=u;else{Mt(z);F=u}break}case 92:{z=c[m>>2]|0;w=c[b>>2]|0;J=z;if(z>>>0<w>>>0){a[z>>0]=92;c[m>>2]=(c[m>>2]|0)+1;F=u;break a}z=c[d>>2]|0;D=J-z+1|0;if((D|0)<0){Jt(d);T=c[d>>2]|0;U=c[b>>2]|0;V=c[m>>2]|0}else{T=z;U=w;V=J}J=T;w=U-T|0;z=w<<1;v=w>>>0<1073741823?(z>>>0<D>>>0?D:z):2147483647;z=V-T|0;if(!v)W=0;else W=Kt(v)|0;D=W+z|0;a[D>>0]=92;w=D+(0-z)|0;if((z|0)>0)Wu(w|0,J|0,z|0)|0;c[d>>2]=w;c[m>>2]=D+1;c[b>>2]=W+v;if(!T)F=u;else{Mt(J);F=u}break}case 39:{J=c[m>>2]|0;v=c[b>>2]|0;D=J;if(J>>>0<v>>>0){a[J>>0]=39;c[m>>2]=(c[m>>2]|0)+1;F=u;break a}J=c[d>>2]|0;w=D-J+1|0;if((w|0)<0){Jt(d);X=c[d>>2]|0;Y=c[b>>2]|0;Z=c[m>>2]|0}else{X=J;Y=v;Z=D}D=X;v=Y-X|0;J=v<<1;z=v>>>0<1073741823?(J>>>0<w>>>0?w:J):2147483647;J=Z-X|0;if(!z)_=0;else _=Kt(z)|0;w=_+J|0;a[w>>0]=39;v=w+(0-J)|0;if((J|0)>0)Wu(v|0,D|0,J|0)|0;c[d>>2]=v;c[m>>2]=w+1;c[b>>2]=_+z;if(!X)F=u;else{Mt(D);F=u}break}case 34:{D=c[m>>2]|0;z=c[b>>2]|0;w=D;if(D>>>0<z>>>0){a[D>>0]=34;c[m>>2]=(c[m>>2]|0)+1;F=u;break a}D=c[d>>2]|0;v=w-D+1|0;if((v|0)<0){Jt(d);$=c[d>>2]|0;aa=c[b>>2]|0;ba=c[m>>2]|0}else{$=D;aa=z;ba=w}w=$;z=aa-$|0;D=z<<1;J=z>>>0<1073741823?(D>>>0<v>>>0?v:D):2147483647;D=ba-$|0;if(!J)ca=0;else ca=Kt(J)|0;v=ca+D|0;a[v>>0]=34;z=v+(0-D)|0;if((D|0)>0)Wu(z|0,w|0,D|0)|0;c[d>>2]=z;c[m>>2]=v+1;c[b>>2]=ca+J;if(!$)F=u;else{Mt(w);F=u}break}default:{w=n+2|0;do if((Nl(x,g)|0)==0?(Nl(a[w>>0]|0,h)|0)==0:0){J=(c[g>>2]<<4|c[h>>2])&255;v=c[m>>2]|0;z=c[b>>2]|0;D=v;if(v>>>0<z>>>0){a[v>>0]=J;c[m>>2]=(c[m>>2]|0)+1;break}v=c[d>>2]|0;da=D-v+1|0;if((da|0)<0){Jt(d);ea=c[d>>2]|0;fa=c[b>>2]|0;ga=c[m>>2]|0}else{ea=v;fa=z;ga=D}D=ea;z=fa-ea|0;v=z<<1;ha=z>>>0<1073741823?(v>>>0<da>>>0?da:v):2147483647;v=ga-ea|0;if(!ha)ia=0;else ia=Kt(ha)|0;da=ia+v|0;a[da>>0]=J;J=da+(0-v)|0;if((v|0)>0)Wu(J|0,D|0,v|0)|0;c[d>>2]=J;c[m>>2]=da+1;c[b>>2]=ia+ha;if(ea|0)Mt(D)}while(0);F=w}}while(0);y=F+1|0}while(0);if(y>>>0<p>>>0)n=y;else break}}q=q+12|0}while((q|0)!=(o|0));r=c[i>>2]|0;s=c[j>>2]|0}o=(r|0)!=(s|0);if(!r){l=e;return o|0}if((s|0)==(r|0))ja=r;else{q=s;do{s=q+-12|0;c[j>>2]=s;Wt(s);q=c[j>>2]|0}while((q|0)!=(r|0));ja=c[i>>2]|0}Mt(ja);l=e;return o|0}function Id(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=a+4|0;e=c[d>>2]|0;f=c[a>>2]|0;g=((e-f|0)/12|0)+1|0;if(g>>>0>357913941){Jt(a);h=c[a>>2]|0;i=c[d>>2]|0}else{h=f;i=e}e=a+8|0;f=((c[e>>2]|0)-h|0)/12|0;j=f<<1;k=f>>>0<178956970?(j>>>0<g>>>0?g:j):357913941;if(!k)l=0;else l=Kt(k*12|0)|0;j=l+(((i-h|0)/12|0)*12|0)|0;h=j;i=l+(k*12|0)|0;Qt(j,b);b=j+12|0;k=c[a>>2]|0;l=c[d>>2]|0;if((l|0)==(k|0)){m=h;n=k;o=k}else{g=l;l=h;h=j;do{j=h+-12|0;g=g+-12|0;c[j>>2]=c[g>>2];c[j+4>>2]=c[g+4>>2];c[j+8>>2]=c[g+8>>2];c[g>>2]=0;c[g+4>>2]=0;c[g+8>>2]=0;h=l+-12|0;l=h}while((g|0)!=(k|0));m=l;n=c[a>>2]|0;o=c[d>>2]|0}c[a>>2]=m;c[d>>2]=b;c[e>>2]=i;i=n;if((o|0)!=(i|0)){e=o;do{e=e+-12|0;Wt(e)}while((e|0)!=(i|0))}if(!n)return;Mt(n);return}function Jd(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;d=l;l=l+96|0;e=d+48|0;f=d;g=a+92|0;if(!(c[g>>2]|0)){h=a+96|0;do{Zb(e,c[a>>2]|0,a);i=c[g>>2]|0;c[g>>2]=i+1;j=a+20+(((c[h>>2]|0)+i&1)*36|0)|0;qm(j);om(j,e);qm(e)}while(!(c[g>>2]|0));k=h}else k=a+96|0;if((c[a+20+((c[k>>2]&1)*36|0)+16>>2]|0)==85){k=a+96|0;om(e,a+20+((c[k>>2]&1)*36|0)|0);h=a+20+((c[k>>2]&1)*36|0)|0;qm(h);c[h>>2]=0;c[h+4>>2]=0;c[h+8>>2]=0;c[h+12>>2]=0;c[h+16>>2]=0;c[k>>2]=c[k>>2]&1^1;c[g>>2]=(c[g>>2]|0)+-1;c[b>>2]=c[e+20>>2];qm(e);m=0;l=d;return m|0}else{c[f>>2]=0;c[f+4>>2]=0;c[f+8>>2]=0;Rt(f,42077,3);b=f+12|0;c[b>>2]=0;c[b+4>>2]=0;c[b+8>>2]=0;Rt(b,42073,3);b=f+24|0;c[b>>2]=0;c[b+4>>2]=0;c[b+8>>2]=0;Rt(b,42069,3);b=f+36|0;c[b>>2]=0;c[b+4>>2]=0;c[b+8>>2]=0;Rt(b,42065,3);b=Kt(48)|0;c[e>>2]=b;c[e+8>>2]=b+48;Qt(b,f);Qt(b+12|0,f+12|0);Qt(b+24|0,f+24|0);Qt(b+36|0,f+36|0);c[e+4>>2]=b+48;g=gc(a,e,0)|0;Wt(b+36|0);Wt(b+24|0);Wt(b+12|0);Wt(b);Mt(b);Wt(f+36|0);Wt(f+24|0);Wt(f+12|0);Wt(f);m=g;l=d;return m|0}return 0}function Kd(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;e=l;l=l+112|0;f=e+24|0;g=e+16|0;h=e;i=e+96|0;j=e+60|0;k=b+92|0;if(!(c[k>>2]|0)){m=b+96|0;do{Zb(f,c[b>>2]|0,b);n=c[k>>2]|0;c[k>>2]=n+1;o=b+20+(((c[m>>2]|0)+n&1)*36|0)|0;qm(o);om(o,f);qm(f)}while(!(c[k>>2]|0));p=m}else p=b+96|0;if((c[b+20+((c[p>>2]&1)*36|0)+16>>2]|0)!=83){c[h>>2]=0;c[h+4>>2]=0;c[h+8>>2]=0;Rt(h,20922,15);p=Kt(12)|0;c[f>>2]=p;c[f+8>>2]=p+12;Qt(p,h);c[f+4>>2]=p+12;m=gc(b,f,20938)|0;Wt(p);Mt(p);Wt(h);q=m;l=e;return q|0}m=b+96|0;om(j,b+20+((c[m>>2]&1)*36|0)|0);p=b+20+((c[m>>2]&1)*36|0)|0;qm(p);c[p>>2]=0;c[p+4>>2]=0;c[p+8>>2]=0;c[p+12>>2]=0;c[p+16>>2]=0;c[m>>2]=c[m>>2]&1^1;c[k>>2]=(c[k>>2]|0)+-1;k=j+20|0;m=a[k+11>>0]|0;p=m<<24>>24<0;o=p?c[j+24>>2]|0:m&255;c[f>>2]=p?c[k>>2]|0:k;c[f+4>>2]=o;if(o>>>0>=3?(Cm(h,f,1,o+-2|0),o=h,k=c[o>>2]|0,p=c[o+4>>2]|0,o=f,c[o>>2]=k,c[o+4>>2]=p,o=k,k=o+p|0,(p|0)>0):0){p=o;while(1){o=a[p>>0]|0;m=p+1|0;if(o<<24>>24==92){n=a[m>>0]|0;switch(n<<24>>24|0){case 110:{gu(d,10);r=m;break}case 114:{gu(d,13);r=m;break}case 116:{gu(d,9);r=m;break}case 92:{gu(d,92);r=m;break}case 39:{gu(d,39);r=m;break}case 34:{gu(d,34);r=m;break}default:{s=p+2|0;if((Nl(n,h)|0)==0?(Nl(a[s>>0]|0,i)|0)==0:0)gu(d,(c[h>>2]<<4|c[i>>2])&255);r=s}}t=r+1|0}else{gu(d,o);t=m}if(t>>>0<k>>>0)p=t;else break}}t=a[d+11>>0]|0;if(t<<24>>24<0){u=c[d>>2]|0;v=c[d+4>>2]|0}else{u=d;v=t&255}if(!(hm(u,v)|0)){c[f>>2]=c[j>>2];c[f+4>>2]=c[j+4>>2];c[f+8>>2]=c[j+8>>2];c[f+12>>2]=c[j+12>>2];_b(b,f,20944,g)}qm(j);q=0;l=e;return q|0}function Ld(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;e=l;l=l+48|0;f=e;if((Md(b,d)|0)==1){g=1;l=e;return g|0}h=b+92|0;if(!(c[h>>2]|0)){i=b+96|0;do{Zb(f,c[b>>2]|0,b);j=c[h>>2]|0;c[h>>2]=j+1;k=b+20+(((c[i>>2]|0)+j&1)*36|0)|0;qm(k);om(k,f);qm(f)}while(!(c[h>>2]|0));m=i}else m=b+96|0;if((c[b+20+((c[m>>2]&1)*36|0)+16>>2]|0)==39)if((Md(b,d+8|0)|0)==1){g=1;l=e;return g|0}else n=1;else n=0;a[d+16>>0]=n;if(!(cc(b,32)|0)){g=0;l=e;return g|0}a[d+17>>0]=1;g=0;l=e;return g|0}function Md(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0;e=l;l=l+80|0;f=e+44|0;g=e;h=e+8|0;i=b+92|0;if(!(c[i>>2]|0)){j=b+96|0;do{Zb(f,c[b>>2]|0,b);k=c[i>>2]|0;c[i>>2]=k+1;m=b+20+(((c[j>>2]|0)+k&1)*36|0)|0;qm(m);om(m,f);qm(f)}while(!(c[i>>2]|0));n=j}else n=b+96|0;if((c[b+20+((c[n>>2]&1)*36|0)+16>>2]|0)!=39){c[h>>2]=0;c[h+4>>2]=0;c[h+8>>2]=0;Rt(h,20988,16);n=Kt(12)|0;c[f>>2]=n;c[f+8>>2]=n+12;Qt(n,h);c[f+4>>2]=n+12;j=gc(b,f,21005)|0;Wt(n);Mt(n);Wt(h);o=j;l=e;return o|0}j=b+96|0;om(h,b+20+((c[j>>2]&1)*36|0)|0);n=b+20+((c[j>>2]&1)*36|0)|0;qm(n);c[n>>2]=0;c[n+4>>2]=0;c[n+8>>2]=0;c[n+12>>2]=0;c[n+16>>2]=0;c[j>>2]=c[j>>2]&1^1;c[i>>2]=(c[i>>2]|0)+-1;i=h+24|0;j=a[i+11>>0]|0;n=j<<24>>24<0;m=n?c[i>>2]|0:i;i=n?c[h+28>>2]|0:j&255;if((Ol(m,m+i|0,d)|0)==1){c[g>>2]=i;c[g+4>>2]=m;c[f>>2]=c[h>>2];c[f+4>>2]=c[h+4>>2];c[f+8>>2]=c[h+8>>2];c[f+12>>2]=c[h+12>>2];_b(b,f,18186,g)}qm(h);o=0;l=e;return o|0}function Nd(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+48|0;e=d+32|0;f=d+24|0;h=d;i=Kt(332)|0;Tu(i|0,0,208)|0;g[i+208>>2]=1.0;j=i+212|0;c[j>>2]=0;c[j+4>>2]=0;c[j+8>>2]=0;c[j+12>>2]=0;g[i+228>>2]=1.0;j=i+232|0;c[j>>2]=0;c[j+4>>2]=0;c[j+8>>2]=0;c[j+12>>2]=0;g[i+248>>2]=1.0;j=i+252|0;c[j>>2]=0;c[j+4>>2]=0;c[j+8>>2]=0;c[j+12>>2]=0;g[i+268>>2]=1.0;j=i+272|0;c[j>>2]=0;c[j+4>>2]=0;c[j+8>>2]=0;c[j+12>>2]=0;g[i+288>>2]=1.0;j=i+292|0;c[j>>2]=0;c[j+4>>2]=0;c[j+8>>2]=0;c[j+12>>2]=0;g[i+308>>2]=1.0;j=i+312|0;c[j>>2]=0;c[j+4>>2]=0;c[j+8>>2]=0;c[j+12>>2]=0;g[i+328>>2]=1.0;j=i;do if(bc(a,24)|0){c[e>>2]=0;if((Od(a,0,e)|0)==1){k=c[e>>2]|0;c[e>>2]=0;if(k|0)Sa[c[(c[k>>2]|0)+4>>2]&255](k);break}else{k=c[e>>2]|0;c[e>>2]=0;Pd(i,k+8|0)|0;if(k|0)Sa[c[(c[k>>2]|0)+4>>2]&255](k);m=14;break}}else{ac(f,a);if(((c[f>>2]|0)==22?(k=(c[f+4>>2]|0)+-11|0,k>>>0<26):0)?46141883>>>(k&67108863)&1|0:0)if((Qd(a,i)|0)==1)break;else{m=14;break}cc(a,22)|0;c[h>>2]=0;c[h+4>>2]=0;c[h+8>>2]=0;Rt(h,21009,14);k=h+12|0;c[k>>2]=0;c[k+4>>2]=0;c[k+8>>2]=0;Rt(k,21024,8);k=Kt(24)|0;c[e>>2]=k;c[e+8>>2]=k+24;Qt(k,h);Qt(k+12|0,h+12|0);c[e+4>>2]=k+24;gc(a,e,0)|0;Wt(k+12|0);Wt(k);Mt(k);Wt(h+12|0);Wt(h);m=14}while(0);if(((m|0)==14?(ec(a,13)|0)!=1:0)?(c[a+12>>2]|0)==0:0){a=c[b>>2]|0;c[b>>2]=j;if(!a){n=0;l=d;return n|0}sb(a);Mt(a);n=0;l=d;return n|0}sb(i);Mt(i);n=1;l=d;return n|0}function Od(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;f=l;l=l+48|0;h=f+28|0;i=f+24|0;j=f;c[i>>2]=0;a:do if((We(b,i)|0)!=1){k=Kt(340)|0;m=k;c[m>>2]=0;c[m+4>>2]=0;c[k>>2]=3056;m=k+8|0;Tu(m|0,0,208)|0;g[k+216>>2]=1.0;n=k+220|0;c[n>>2]=0;c[n+4>>2]=0;c[n+8>>2]=0;c[n+12>>2]=0;g[k+236>>2]=1.0;n=k+240|0;c[n>>2]=0;c[n+4>>2]=0;c[n+8>>2]=0;c[n+12>>2]=0;g[k+256>>2]=1.0;n=k+260|0;c[n>>2]=0;c[n+4>>2]=0;c[n+8>>2]=0;c[n+12>>2]=0;g[k+276>>2]=1.0;n=k+280|0;c[n>>2]=0;c[n+4>>2]=0;c[n+8>>2]=0;c[n+12>>2]=0;g[k+296>>2]=1.0;n=k+300|0;c[n>>2]=0;c[n+4>>2]=0;c[n+8>>2]=0;c[n+12>>2]=0;g[k+316>>2]=1.0;n=k+320|0;c[n>>2]=0;c[n+4>>2]=0;c[n+8>>2]=0;c[n+12>>2]=0;g[k+336>>2]=1.0;n=c[i>>2]|0;switch(c[n+4>>2]|0){case 0:{Pd(m,n+8|0)|0;break}case 1:{a[h>>0]=0;a[h+1>>0]=0;a[h+2>>0]=0;c[h+4>>2]=0;a[h+8>>0]=0;a[h+9>>0]=1;o=n+8|0;Sb(j,1);c[j>>2]=3072;c[j+8>>2]=o;c[j+12>>2]=b;p=n+36|0;q=c[p>>2]|0;Sf(22398,q,(c[p+4>>2]|0)-q|0,h,j,m)|0;Xt(k+24|0,n+24|0)|0;c[m>>2]=c[o>>2];c[m+4>>2]=c[o+4>>2];c[m+8>>2]=c[o+8>>2];c[m+12>>2]=c[o+12>>2];break}case 2:{c[j>>2]=0;c[j+4>>2]=0;c[j+8>>2]=0;Rt(j,22405,15);o=j+12|0;c[o>>2]=0;c[o+4>>2]=0;c[o+8>>2]=0;Rt(o,22421,13);o=Kt(24)|0;c[h>>2]=o;c[h+8>>2]=o+24;Qt(o,j);Qt(o+12|0,j+12|0);c[h+4>>2]=o+24;q=gc(b,h,0)|0;Wt(o+12|0);Wt(o);Mt(o);Wt(j+12|0);Wt(j);Sa[c[(c[k>>2]|0)+4>>2]&255](k);r=i;s=q;t=n;break a;break}default:{}}if(d|0){q=(c[d+4>>2]|0)-(c[d>>2]|0)>>2;o=a[k+35>>0]|0;if(o<<24>>24<0)u=c[k+28>>2]|0;else u=o&255;if(u|0){c[j>>2]=c[m>>2];c[j+4>>2]=c[m+4>>2];c[j+8>>2]=c[m+8>>2];c[j+12>>2]=c[m+12>>2];c[j+16>>2]=q;m=d+12|0;Ge(h,m,k+24|0,j);He(m,c[h>>2]|0)|0}c[b+4>>2]=q}q=c[e>>2]|0;c[e>>2]=k;if(!q){r=i;s=0;t=n}else{Sa[c[(c[q>>2]|0)+4>>2]&255](q);r=i;s=0;t=n}}else{r=i;s=1;t=c[i>>2]|0}while(0);c[r>>2]=0;if(!t){l=f;return s|0}Sa[c[(c[t>>2]|0)+4>>2]&255](t);l=f;return s|0}function Pd(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;e=l;l=l+16|0;f=e+1|0;g=e;c[b>>2]=c[d>>2];c[b+4>>2]=c[d+4>>2];c[b+8>>2]=c[d+8>>2];c[b+12>>2]=c[d+12>>2];h=b+16|0;i=d+16|0;j=h+11|0;if((a[j>>0]|0)<0){a[c[h>>2]>>0]=0;c[b+20>>2]=0;k=h}else{a[h>>0]=0;a[j>>0]=0;k=h}$t(h,0);c[k>>2]=c[i>>2];c[k+4>>2]=c[i+4>>2];c[k+8>>2]=c[i+8>>2];c[i>>2]=0;c[i+4>>2]=0;c[i+8>>2]=0;i=b+28|0;k=d+28|0;h=c[i>>2]|0;if(h|0){j=h;do{h=j;j=c[j+4>>2]|0;Sa[c[(c[h>>2]|0)+4>>2]&255](h)}while((j|0)!=0)}j=b+32|0;c[j>>2]=0;c[i>>2]=0;h=b+36|0;c[h>>2]=0;c[i>>2]=c[k>>2];i=d+32|0;c[j>>2]=c[i>>2];j=d+36|0;c[h>>2]=c[j>>2];c[i>>2]=0;c[k>>2]=0;c[j>>2]=0;j=b+40|0;k=d+40|0;c[j>>2]=c[k>>2];c[j+4>>2]=c[k+4>>2];c[j+8>>2]=c[k+8>>2];c[j+12>>2]=c[k+12>>2];c[j+16>>2]=c[k+16>>2];k=b+60|0;j=d+60|0;i=c[k>>2]|0;h=b+64|0;if(!i)m=b+68|0;else{n=c[h>>2]|0;if((n|0)!=(i|0))c[h>>2]=n+(~((n+-4-i|0)>>>2)<<2);Mt(i);i=b+68|0;c[i>>2]=0;c[h>>2]=0;c[k>>2]=0;m=i}c[k>>2]=c[j>>2];k=d+64|0;c[h>>2]=c[k>>2];h=d+68|0;c[m>>2]=c[h>>2];c[h>>2]=0;c[k>>2]=0;c[j>>2]=0;j=b+72|0;k=d+72|0;h=c[j>>2]|0;m=b+76|0;if(!h)o=b+80|0;else{i=c[m>>2]|0;if((i|0)!=(h|0))c[m>>2]=i+(~((i+-4-h|0)>>>2)<<2);Mt(h);h=b+80|0;c[h>>2]=0;c[m>>2]=0;c[j>>2]=0;o=h}c[j>>2]=c[k>>2];j=d+76|0;c[m>>2]=c[j>>2];m=d+80|0;c[o>>2]=c[m>>2];c[m>>2]=0;c[j>>2]=0;c[k>>2]=0;k=b+84|0;j=d+84|0;m=c[k>>2]|0;o=b+88|0;if(!m)p=b+92|0;else{h=c[o>>2]|0;if((h|0)!=(m|0))c[o>>2]=h+(~((h+-4-m|0)>>>2)<<2);Mt(m);m=b+92|0;c[m>>2]=0;c[o>>2]=0;c[k>>2]=0;p=m}c[k>>2]=c[j>>2];k=d+88|0;c[o>>2]=c[k>>2];o=d+92|0;c[p>>2]=c[o>>2];c[o>>2]=0;c[k>>2]=0;c[j>>2]=0;j=b+96|0;k=d+96|0;o=c[j>>2]|0;p=b+100|0;if(!o)q=b+104|0;else{m=c[p>>2]|0;if((m|0)!=(o|0))c[p>>2]=m+(~((m+-4-o|0)>>>2)<<2);Mt(o);o=b+104|0;c[o>>2]=0;c[p>>2]=0;c[j>>2]=0;q=o}c[j>>2]=c[k>>2];j=d+100|0;c[p>>2]=c[j>>2];p=d+104|0;c[q>>2]=c[p>>2];c[p>>2]=0;c[j>>2]=0;c[k>>2]=0;k=b+108|0;j=d+108|0;p=c[k>>2]|0;q=b+112|0;if(!p)r=b+116|0;else{o=c[q>>2]|0;if((o|0)!=(p|0))c[q>>2]=o+(~((o+-4-p|0)>>>2)<<2);Mt(p);p=b+116|0;c[p>>2]=0;c[q>>2]=0;c[k>>2]=0;r=p}c[k>>2]=c[j>>2];k=d+112|0;c[q>>2]=c[k>>2];q=d+116|0;c[r>>2]=c[q>>2];c[q>>2]=0;c[k>>2]=0;c[j>>2]=0;j=b+120|0;k=d+120|0;q=c[j>>2]|0;r=b+124|0;if(!q)s=b+128|0;else{p=c[r>>2]|0;if((p|0)!=(q|0))c[r>>2]=p+(~((p+-4-q|0)>>>2)<<2);Mt(q);q=b+128|0;c[q>>2]=0;c[r>>2]=0;c[j>>2]=0;s=q}c[j>>2]=c[k>>2];j=d+124|0;c[r>>2]=c[j>>2];r=d+128|0;c[s>>2]=c[r>>2];c[r>>2]=0;c[j>>2]=0;c[k>>2]=0;k=b+132|0;j=d+132|0;r=c[k>>2]|0;s=b+136|0;if(!r)t=b+140|0;else{q=c[s>>2]|0;if((q|0)!=(r|0))c[s>>2]=q+(~((q+-4-r|0)>>>2)<<2);Mt(r);r=b+140|0;c[r>>2]=0;c[s>>2]=0;c[k>>2]=0;t=r}c[k>>2]=c[j>>2];k=d+136|0;c[s>>2]=c[k>>2];s=d+140|0;c[t>>2]=c[s>>2];c[s>>2]=0;c[k>>2]=0;c[j>>2]=0;j=b+144|0;k=d+144|0;s=c[j>>2]|0;t=b+148|0;if(!s)u=b+152|0;else{r=c[t>>2]|0;if((r|0)!=(s|0))c[t>>2]=r+(~((r+-4-s|0)>>>2)<<2);Mt(s);s=b+152|0;c[s>>2]=0;c[t>>2]=0;c[j>>2]=0;u=s}c[j>>2]=c[k>>2];j=d+148|0;c[t>>2]=c[j>>2];t=d+152|0;c[u>>2]=c[t>>2];c[t>>2]=0;c[j>>2]=0;c[k>>2]=0;k=b+156|0;j=d+156|0;t=c[k>>2]|0;u=b+160|0;if(!t)v=b+164|0;else{s=c[u>>2]|0;if((s|0)!=(t|0))c[u>>2]=s+(~((s+-4-t|0)>>>2)<<2);Mt(t);t=b+164|0;c[t>>2]=0;c[u>>2]=0;c[k>>2]=0;v=t}c[k>>2]=c[j>>2];k=d+160|0;c[u>>2]=c[k>>2];u=d+164|0;c[v>>2]=c[u>>2];c[u>>2]=0;c[k>>2]=0;c[j>>2]=0;j=b+168|0;k=d+168|0;u=c[j>>2]|0;v=b+172|0;if(!u)w=b+176|0;else{t=c[v>>2]|0;if((t|0)!=(u|0))c[v>>2]=t+(~((t+-4-u|0)>>>2)<<2);Mt(u);u=b+176|0;c[u>>2]=0;c[v>>2]=0;c[j>>2]=0;w=u}c[j>>2]=c[k>>2];j=d+172|0;c[v>>2]=c[j>>2];v=d+176|0;c[w>>2]=c[v>>2];c[v>>2]=0;c[j>>2]=0;c[k>>2]=0;k=b+180|0;j=d+180|0;v=c[k>>2]|0;w=b+184|0;if(!v)x=b+188|0;else{u=c[w>>2]|0;if((u|0)!=(v|0))c[w>>2]=u+(~((u+-4-v|0)>>>2)<<2);Mt(v);v=b+188|0;c[v>>2]=0;c[w>>2]=0;c[k>>2]=0;x=v}c[k>>2]=c[j>>2];k=d+184|0;c[w>>2]=c[k>>2];w=d+188|0;c[x>>2]=c[w>>2];c[w>>2]=0;c[k>>2]=0;c[j>>2]=0;a[f>>0]=a[g>>0]|0;Ve(b+192|0,d+192|0,f);a[f>>0]=a[g>>0]|0;Ve(b+212|0,d+212|0,f);a[f>>0]=a[g>>0]|0;Ve(b+232|0,d+232|0,f);a[f>>0]=a[g>>0]|0;Ve(b+252|0,d+252|0,f);a[f>>0]=a[g>>0]|0;Ve(b+272|0,d+272|0,f);a[f>>0]=a[g>>0]|0;Ve(b+292|0,d+292|0,f);a[f>>0]=a[g>>0]|0;Ve(b+312|0,d+312|0,f);l=e;return b|0}function Qd(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0;e=l;l=l+32|0;f=e;g=e+16|0;h=e+8|0;ac(h,b);a:do if((c[h>>2]|0)==22){i=h+4|0;while(1){j=(c[i>>2]|0)+-11|0;if(j>>>0>=26)break a;if(!(46141883>>>(j&67108863)&1))break a;if((Rd(b,d)|0)==1?(fc(b,95)|0)==1:0){k=1;break}ac(h,b);if((c[h>>2]|0)!=22)break a}l=e;return k|0}while(0);h=c[d+28>>2]|0;b:do if(h|0){b=f+4|0;i=h;while(1){j=i;switch(c[j+28>>2]|0){case 0:{m=i+32|0;n=13;break}case 2:{o=c[i+32>>2]|0;p=(c[o+28>>2]|0)==0?o:0;if(p|0){m=p+32|0;n=13}break}default:{}}do if((n|0)==13){n=0;p=m+12|0;o=m+48|0;if(a[p>>0]|0){if((((c[m+60>>2]|0)==(c[m+64>>2]|0)?(c[o>>2]|0)==(c[m+52>>2]|0):0)?(q=Um(d,m+16|0)|0,q|0):0)?(r=q+12|0,(o|0)!=(r|0)):0){Td(o,c[r>>2]|0,c[q+16>>2]|0);Td(m+60|0,c[q+24>>2]|0,c[q+28>>2]|0)}if(a[p>>0]|0)break}if((Vm(d,o)|0)==-1){p=j+12|0;q=Kt(68)|0;c[q+4>>2]=0;c[q+8>>2]=0;r=q+12|0;c[r>>2]=c[p>>2];c[r+4>>2]=c[p+4>>2];c[r+8>>2]=c[p+8>>2];c[r+12>>2]=c[p+12>>2];c[q+28>>2]=4;c[q>>2]=2784;c[f>>2]=0;c[b>>2]=0;Bm(q+32|0,f);p=q+44|0;c[p>>2]=0;c[p+4>>2]=0;c[p+8>>2]=0;c[p+12>>2]=0;c[p+16>>2]=0;c[p+20>>2]=0;if((p|0)!=(o|0)){Td(p,c[m+48>>2]|0,c[m+52>>2]|0);Td(q+56|0,c[m+60>>2]|0,c[m+64>>2]|0)}c[g>>2]=q;fn(d,g);q=c[g>>2]|0;c[g>>2]=0;if(q|0)Sa[c[(c[q>>2]|0)+4>>2]&255](q)}}while(0);i=c[i+4>>2]|0;if(!i)break b}}while(0);k=0;l=e;return k|0}function Rd(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;d=l;l=l+48|0;e=d;f=a+92|0;if((c[f>>2]|0)>>>0>1)g=a+96|0;else{h=a+96|0;do{Zb(e,c[a>>2]|0,a);i=c[f>>2]|0;c[f>>2]=i+1;j=a+20+(((c[h>>2]|0)+i&1)*36|0)|0;qm(j);om(j,e);qm(e)}while((c[f>>2]|0)>>>0<=1);g=h}do switch(c[a+20+((c[g>>2]&1^1)*36|0)+16>>2]|0){case 11:{k=Wd(a,b)|0;break}case 12:{k=Xd(a,b)|0;break}case 14:{k=Yd(a,b)|0;break}case 15:{k=Zd(a,b)|0;break}case 16:{k=_d(a,b)|0;break}case 36:{k=$d(a,b)|0;break}case 18:{k=ae(a,b)|0;break}case 19:{k=be(a,b)|0;break}case 23:{k=ce(a,b)|0;break}case 33:{k=de(a,b)|0;break}case 34:{k=ee(a,b)|0;break}default:k=1}while(0);l=d;return k|0}function Sd(a){a=a|0;var b=0;if((c[a>>2]|0)!=22)return 0;b=(c[a+4>>2]|0)+-11|0;if(b>>>0<26)return (46141883>>>(b&67108863)&1|0)!=0|0;else return 0;return 0}function Td(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=d;f=b;g=e-f|0;h=g>>2;i=a+8|0;j=c[i>>2]|0;k=c[a>>2]|0;l=k;if(h>>>0<=j-k>>2>>>0){m=a+4|0;n=(c[m>>2]|0)-k>>2;o=h>>>0>n>>>0;p=o?b+(n<<2)|0:d;d=p;n=d-f|0;f=n>>2;if(f|0)bv(k|0,b|0,n|0)|0;n=l+(f<<2)|0;if(o){o=e-d|0;if((o|0)<=0)return;Wu(c[m>>2]|0,p|0,o|0)|0;c[m>>2]=(c[m>>2]|0)+(o>>>2<<2);return}else{o=c[m>>2]|0;if((o|0)==(n|0))return;c[m>>2]=o+(~((o+-4-n|0)>>>2)<<2);return}}n=k;if(!k)q=j;else{j=a+4|0;o=c[j>>2]|0;if((o|0)!=(l|0))c[j>>2]=o+(~((o+-4-k|0)>>>2)<<2);Mt(n);c[i>>2]=0;c[j>>2]=0;c[a>>2]=0;q=0}if(h>>>0>1073741823){Jt(a);r=c[i>>2]|0;s=c[a>>2]|0}else{r=q;s=0}q=r-s|0;s=q>>1;r=q>>2>>>0<536870911?(s>>>0<h>>>0?h:s):1073741823;if(r>>>0>1073741823)Jt(a);s=Kt(r<<2)|0;h=a+4|0;c[h>>2]=s;c[a>>2]=s;c[i>>2]=s+(r<<2);if((g|0)<=0)return;Wu(s|0,b|0,g|0)|0;c[h>>2]=s+(g>>>2<<2);return}function Ud(a){a=a|0;var b=0,d=0,e=0,f=0;c[a>>2]=2784;b=c[a+56>>2]|0;if(b|0){d=a+60|0;e=c[d>>2]|0;if((e|0)!=(b|0))c[d>>2]=e+(~((e+-4-b|0)>>>2)<<2);Mt(b)}b=c[a+44>>2]|0;if(!b){f=a+32|0;Wt(f);return}e=a+48|0;d=c[e>>2]|0;if((d|0)!=(b|0))c[e>>2]=d+(~((d+-4-b|0)>>>2)<<2);Mt(b);f=a+32|0;Wt(f);return}function Vd(a){a=a|0;var b=0,d=0,e=0,f=0;c[a>>2]=2784;b=c[a+56>>2]|0;if(b|0){d=a+60|0;e=c[d>>2]|0;if((e|0)!=(b|0))c[d>>2]=e+(~((e+-4-b|0)>>>2)<<2);Mt(b)}b=c[a+44>>2]|0;if(!b){f=a+32|0;Wt(f);Mt(a);return}e=a+48|0;d=c[e>>2]|0;if((d|0)!=(b|0))c[e>>2]=d+(~((d+-4-b|0)>>>2)<<2);Mt(b);f=a+32|0;Wt(f);Mt(a);return}function Wd(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+80|0;e=d+56|0;f=d+40|0;g=d+8|0;h=d;if((ec(a,22)|0)==1){i=1;l=d;return i|0}$b(f,a);j=Kt(88)|0;c[j+4>>2]=0;c[j+8>>2]=0;k=j+12|0;c[k>>2]=c[f>>2];c[k+4>>2]=c[f+4>>2];c[k+8>>2]=c[f+8>>2];c[k+12>>2]=c[f+12>>2];c[j+28>>2]=8;c[j>>2]=2928;k=j+32|0;c[e>>2]=0;c[e+4>>2]=0;c[e+8>>2]=0;c[e+12>>2]=0;xn(k,-1,e);e=j+64|0;c[e>>2]=0;c[e+4>>2]=0;c[e+8>>2]=0;c[e+12>>2]=0;c[e+16>>2]=0;c[e+20>>2]=0;m=j;if(((ec(a,11)|0)!=1?(xn(g,0,f),kc(a,k,g)|0,Fn(g),(lc(a,e)|0)!=1):0)?(Hd(a,j+76|0)|0,(ec(a,31)|0)!=1):0){c[h>>2]=m;Xm(b,h);b=c[h>>2]|0;c[h>>2]=0;if(!b)n=0;else{Sa[c[(c[b>>2]|0)+4>>2]&255](b);n=0}}else{Sa[c[(c[j>>2]|0)+4>>2]&255](j);n=1}i=n;l=d;return i|0}function Xd(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+80|0;e=d+56|0;f=d+40|0;g=d+8|0;h=d;if((ec(a,22)|0)==1){i=1;l=d;return i|0}$b(f,a);j=Kt(88)|0;c[j+4>>2]=0;c[j+8>>2]=0;k=j+12|0;c[k>>2]=c[f>>2];c[k+4>>2]=c[f+4>>2];c[k+8>>2]=c[f+8>>2];c[k+12>>2]=c[f+12>>2];c[j+28>>2]=6;c[j>>2]=2832;k=j+32|0;c[e>>2]=0;c[e+4>>2]=0;c[e+8>>2]=0;c[e+12>>2]=0;xn(k,-1,e);e=j+64|0;c[e>>2]=0;c[e+4>>2]=0;c[e+8>>2]=0;c[e+12>>2]=0;c[e+16>>2]=0;c[e+20>>2]=0;m=j;if(((ec(a,12)|0)!=1?(xn(g,0,f),kc(a,k,g)|0,Fn(g),(lc(a,e)|0)!=1):0)?(Lc(a,j+76|0)|0,(ec(a,31)|0)!=1):0){c[h>>2]=m;Zm(b,h);b=c[h>>2]|0;c[h>>2]=0;if(!b)n=0;else{Sa[c[(c[b>>2]|0)+4>>2]&255](b);n=0}}else{Sa[c[(c[j>>2]|0)+4>>2]&255](j);n=1}i=n;l=d;return i|0}function Yd(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;d=l;l=l+32|0;e=d;f=d+16|0;g=d+8|0;if((ec(a,22)|0)==1){h=1;l=d;return h|0}$b(f,a);i=Kt(56)|0;c[i+4>>2]=0;c[i+8>>2]=0;j=i+12|0;c[j>>2]=c[f>>2];c[j+4>>2]=c[f+4>>2];c[j+8>>2]=c[f+8>>2];c[j+12>>2]=c[f+12>>2];c[i+28>>2]=10;c[i>>2]=3040;c[e>>2]=0;c[e+4>>2]=0;f=i+32|0;Bm(f,e);e=i+44|0;c[e>>2]=0;c[i+48>>2]=0;c[i+52>>2]=0;j=i;if(((ec(a,14)|0)!=1?(ic(a,f),(rc(a,e)|0)!=1):0)?(ec(a,31)|0)!=1:0){c[g>>2]=j;$m(b,g);b=c[g>>2]|0;c[g>>2]=0;if(!b){h=0;l=d;return h|0}Sa[c[(c[b>>2]|0)+4>>2]&255](b);h=0;l=d;return h|0}Sa[c[(c[i>>2]|0)+4>>2]&255](i);h=1;l=d;return h|0}function Zd(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;d=l;l=l+48|0;e=d+24|0;f=d+8|0;g=d;if((ec(a,22)|0)==1){h=1;l=d;return h|0}$b(f,a);i=Kt(80)|0;c[i+4>>2]=0;c[i+8>>2]=0;j=i+12|0;c[j>>2]=c[f>>2];c[j+4>>2]=c[f+4>>2];c[j+8>>2]=c[f+8>>2];c[j+12>>2]=c[f+12>>2];c[i+28>>2]=3;c[i>>2]=2880;f=i+32|0;c[f>>2]=0;c[f+4>>2]=0;c[f+8>>2]=0;c[e>>2]=0;c[e+4>>2]=0;c[e+8>>2]=0;c[e+12>>2]=0;xn(i+48|0,-1,e);e=i;if((((ec(a,15)|0)!=1?(Kd(a,f)|0)!=1:0)?(Se(a,f)|0)!=1:0)?(ec(a,31)|0)!=1:0){c[g>>2]=e;bn(b,g);b=c[g>>2]|0;c[g>>2]=0;if(!b){h=0;l=d;return h|0}Sa[c[(c[b>>2]|0)+4>>2]&255](b);h=0;l=d;return h|0}Sa[c[(c[i>>2]|0)+4>>2]&255](i);h=1;l=d;return h|0}function _d(b,d){b=b|0;d=d|0;var e=0,f=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;e=l;l=l+112|0;f=e+96|0;h=e+40|0;i=e;j=e+72|0;k=e+56|0;m=e+44|0;n=e+92|0;o=e+88|0;if((ec(b,22)|0)==1){p=1;l=e;return p|0}$b(j,b);if((ec(b,16)|0)==1)q=1;else{c[k>>2]=0;c[k+4>>2]=0;c[k+8>>2]=0;ic(b,k);c[m>>2]=0;c[m+4>>2]=0;c[m+8>>2]=0;a:do if((fe(b,m,0)|0)==1)r=1;else{b:do if(bc(b,19)|0){if(!((((((c[d+76>>2]|0)-(c[d+72>>2]|0)>>2|0)==(c[d+44>>2]|0)?((c[d+136>>2]|0)-(c[d+132>>2]|0)>>2|0)==(c[d+48>>2]|0):0)?((c[d+160>>2]|0)-(c[d+156>>2]|0)>>2|0)==(c[d+52>>2]|0):0)?((c[d+88>>2]|0)-(c[d+84>>2]|0)>>2|0)==(c[d+56>>2]|0):0)?((c[d+64>>2]|0)-(c[d+60>>2]|0)>>2|0)==(c[d+40>>2]|0):0)){$b(i,b);c[f>>2]=c[i>>2];c[f+4>>2]=c[i+4>>2];c[f+8>>2]=c[i+8>>2];c[f+12>>2]=c[i+12>>2];_b(b,f,21183,h)}s=Kt(168)|0;t=a[k+11>>0]|0;u=t<<24>>24<0;v=u?c[k+4>>2]|0:t&255;t=u?c[k>>2]|0:k;u=s+4|0;c[u>>2]=0;c[u+4>>2]=0;c[u+8>>2]=0;c[u+12>>2]=0;c[u+16>>2]=0;c[u+20>>2]=0;c[u+24>>2]=0;c[s>>2]=2960;c[i>>2]=t;c[i+4>>2]=v;Bm(s+32|0,i);v=s+44|0;a[v>>0]=0;t=s+48|0;c[f>>2]=0;c[f+4>>2]=0;c[f+8>>2]=0;c[f+12>>2]=0;xn(t,-1,f);w=s+80|0;x=s+132|0;y=w;z=y+52|0;do{c[y>>2]=0;y=y+4|0}while((y|0)<(z|0));g[x>>2]=1.0;A=s+136|0;c[A>>2]=0;c[A+4>>2]=0;c[A+8>>2]=0;c[A+12>>2]=0;g[s+152>>2]=1.0;c[s+156>>2]=0;c[s+160>>2]=0;c[s+164>>2]=0;A=s;if(((((ec(b,22)|0)!=1?(ec(b,19)|0)!=1:0)?(Kd(b,u)|0)!=1:0)?(Kd(b,s+16|0)|0)!=1:0)?(ec(b,31)|0)!=1:0){do if(dc(b,36)|0){a[v>>0]=1;if((jc(b,t)|0)!=1?(ec(b,31)|0)!=1:0)break;Sa[c[(c[s>>2]|0)+4>>2]&255](s);r=1;break a}else a[v>>0]=0;while(0);c:do if((Ae(b,27,w,s+116|0)|0)!=1){v=s+92|0;while(1){if(!(dc(b,30)|0))break;if((rc(b,v)|0)==1)break c;if((ec(b,31)|0)==1)break c}c[i>>2]=0;c[i+4>>2]=0;c[i+8>>2]=0;Rt(i,33910,4);v=i+12|0;c[v>>2]=0;c[v+4>>2]=0;c[v+8>>2]=0;Rt(v,28277,5);v=i+24|0;c[v>>2]=0;c[v+4>>2]=0;c[v+8>>2]=0;Rt(v,28298,6);v=Kt(36)|0;c[f>>2]=v;c[f+8>>2]=v+36;Qt(v,i);Qt(v+12|0,i+12|0);Qt(v+24|0,i+24|0);c[f+4>>2]=v+36;t=(hc(b,f,0)|0)==1;Wt(v+24|0);Wt(v+12|0);Wt(v);Mt(v);Wt(i+24|0);Wt(i+12|0);Wt(i);if(t){Sa[c[(c[s>>2]|0)+4>>2]&255](s);r=1;break a}$b(f,b);t=Kt(36)|0;c[t+4>>2]=0;c[t+8>>2]=0;v=t+12|0;c[v>>2]=c[f>>2];c[v+4>>2]=c[f+4>>2];c[v+8>>2]=c[f+8>>2];c[v+12>>2]=c[f+12>>2];c[t+28>>2]=2;c[t>>2]=2816;c[t+32>>2]=A;c[n>>2]=t;kn(d,n);t=c[n>>2]|0;c[n>>2]=0;if(!t)break b;Sa[c[(c[t>>2]|0)+4>>2]&255](t);break b}while(0);Sa[c[(c[s>>2]|0)+4>>2]&255](s);r=1;break a}Sa[c[(c[s>>2]|0)+4>>2]&255](s);r=1;break a}else{A=Kt(168)|0;w=a[k+11>>0]|0;t=w<<24>>24<0;v=t?c[k+4>>2]|0:w&255;w=t?c[k>>2]|0:k;c[A+4>>2]=0;c[A+8>>2]=0;t=A+12|0;c[t>>2]=c[j>>2];c[t+4>>2]=c[j+4>>2];c[t+8>>2]=c[j+8>>2];c[t+12>>2]=c[j+12>>2];c[A+28>>2]=0;c[A>>2]=3024;c[i>>2]=w;c[i+4>>2]=v;Bm(A+32|0,i);v=A+44|0;a[v>>0]=0;w=A+48|0;c[f>>2]=0;c[f+4>>2]=0;c[f+8>>2]=0;c[f+12>>2]=0;xn(w,-1,f);t=A+80|0;u=A+132|0;y=t;z=y+52|0;do{c[y>>2]=0;y=y+4|0}while((y|0)<(z|0));g[u>>2]=1.0;s=A+136|0;c[s>>2]=0;c[s+4>>2]=0;c[s+8>>2]=0;c[s+12>>2]=0;g[A+152>>2]=1.0;x=A+156|0;c[x>>2]=0;c[A+160>>2]=0;c[A+164>>2]=0;B=A;do if(dc(b,36)|0){a[v>>0]=1;if((jc(b,w)|0)!=1?(ec(b,31)|0)!=1:0)break;Sa[c[(c[A>>2]|0)+4>>2]&255](A);r=1;break a}else a[v>>0]=0;while(0);d:do if((Ae(b,27,t,A+116|0)|0)!=1){v=A+92|0;while(1){if(!(dc(b,30)|0))break;if((rc(b,v)|0)==1)break d;if((ec(b,31)|0)==1)break d}if((Ae(b,21,A+104|0,s)|0)==1){Sa[c[(c[A>>2]|0)+4>>2]&255](A);r=1;break a}if((mc(b,x)|0)==1){Sa[c[(c[A>>2]|0)+4>>2]&255](A);r=1;break a}c[o>>2]=B;dn(d,o);v=c[o>>2]|0;c[o>>2]=0;if(!v)break b;Sa[c[(c[v>>2]|0)+4>>2]&255](v);break b}while(0);Sa[c[(c[A>>2]|0)+4>>2]&255](A);r=1;break a}while(0);B=((c[d+76>>2]|0)-(c[d+72>>2]|0)>>2)+-1|0;x=(c[d+32>>2]|0)+12|0;c[f>>2]=c[x>>2];c[f+4>>2]=c[x+4>>2];c[f+8>>2]=c[x+8>>2];c[f+12>>2]=c[x+12>>2];x=c[m>>2]|0;if(x|0){s=x;do{xn(i,B,f);An(s+48|0,i)|0;Fn(i);s=c[s+4>>2]|0}while((s|0)!=0)}un(d,m);r=(ec(b,31)|0)==1&1}while(0);b=c[m>>2]|0;if(b|0){m=b;do{b=m;m=c[m+4>>2]|0;Sa[c[(c[b>>2]|0)+4>>2]&255](b)}while((m|0)!=0)}Wt(k);q=r}p=q;l=e;return p|0}function $d(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;d=l;l=l+80|0;e=d;f=d+56|0;h=d+24|0;i=d+48|0;if((ec(a,22)|0)==1){j=1;l=d;return j|0}$b(f,a);k=Kt(68)|0;c[k+4>>2]=0;c[k+8>>2]=0;m=k+12|0;c[m>>2]=c[f>>2];c[m+4>>2]=c[f+4>>2];c[m+8>>2]=c[f+8>>2];c[m+12>>2]=c[f+12>>2];c[k+28>>2]=4;c[k>>2]=2784;c[e>>2]=0;c[e+4>>2]=0;m=k+32|0;Bm(m,e);n=k+44|0;c[n>>2]=0;c[n+4>>2]=0;c[n+8>>2]=0;c[n+12>>2]=0;c[n+16>>2]=0;c[n+20>>2]=0;o=k;if(((ec(a,36)|0)!=1?(ic(a,m),(ec(a,22)|0)!=1):0)?(ec(a,16)|0)!=1:0){c[e>>2]=0;c[e+4>>2]=0;c[e+8>>2]=0;c[e+12>>2]=0;g[e+16>>2]=1.0;a:do if((Ae(a,27,n,e)|0)!=1){m=k+56|0;while(1){if(!(dc(a,30)|0))break;if((rc(a,m)|0)==1){p=o;q=1;break a}if((ec(a,31)|0)==1){p=o;q=1;break a}}c[h>>2]=0;c[h+4>>2]=0;c[h+8>>2]=0;Rt(h,28277,5);m=h+12|0;c[m>>2]=0;c[m+4>>2]=0;c[m+8>>2]=0;Rt(m,28298,6);m=Kt(24)|0;c[f>>2]=m;c[f+8>>2]=m+24;Qt(m,h);Qt(m+12|0,h+12|0);c[f+4>>2]=m+24;r=(hc(a,f,0)|0)==1;Wt(m+12|0);Wt(m);Mt(m);Wt(h+12|0);Wt(h);if((!r?(ec(a,31)|0)!=1:0)?(ec(a,31)|0)!=1:0){c[i>>2]=o;fn(b,i);r=c[i>>2]|0;c[i>>2]=0;if(!r){p=0;q=0}else{Sa[c[(c[r>>2]|0)+4>>2]&255](r);p=0;q=0}}else{p=o;q=1}}else{p=o;q=1}while(0);i=c[e+8>>2]|0;if(i|0){b=i;do{i=b;b=c[b>>2]|0;Wt(i+8|0);Mt(i)}while((b|0)!=0)}b=c[e>>2]|0;c[e>>2]=0;if(b|0)Mt(b);if(!p){j=q;l=d;return j|0}else{s=p;t=q}}else{s=o;t=1}Sa[c[(c[s>>2]|0)+4>>2]&255](s);j=t;l=d;return j|0}function ae(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;e=l;l=l+112|0;f=e+8|0;g=e;h=e+72|0;i=e+48|0;j=e+36|0;k=e+24|0;m=e+68|0;n=e+64|0;if((ec(b,22)|0)==1){o=1;l=e;return o|0}$b(i,b);if((ec(b,18)|0)==1)p=1;else{c[j>>2]=0;c[j+4>>2]=0;c[j+8>>2]=0;ic(b,j);c[k>>2]=0;c[k+4>>2]=0;c[k+8>>2]=0;a:do if((fe(b,k,3)|0)==1)q=1;else{do if(!(bc(b,19)|0)){r=Kt(64)|0;s=a[j+11>>0]|0;t=s<<24>>24<0;u=t?c[j+4>>2]|0:s&255;s=t?c[j>>2]|0:j;c[r+4>>2]=0;c[r+8>>2]=0;t=r+12|0;c[t>>2]=c[i>>2];c[t+4>>2]=c[i+4>>2];c[t+8>>2]=c[i+8>>2];c[t+12>>2]=c[i+12>>2];c[r+28>>2]=1;c[r>>2]=3008;c[f>>2]=s;c[f+4>>2]=u;u=r+32|0;Bm(u,f);c[r+44>>2]=-64;a[r+48>>0]=0;s=r+52|0;c[s>>2]=0;c[r+56>>2]=0;c[r+60>>2]=0;if((Be(b,u)|0)==1){Sa[c[(c[r>>2]|0)+4>>2]&255](r);q=1;break a}if((mc(b,s)|0)==1){Sa[c[(c[r>>2]|0)+4>>2]&255](r);q=1;break a}c[n>>2]=r;hn(d,n);r=c[n>>2]|0;c[n>>2]=0;if(r|0)Sa[c[(c[r>>2]|0)+4>>2]&255](r)}else{if(!((((((c[d+76>>2]|0)-(c[d+72>>2]|0)>>2|0)==(c[d+44>>2]|0)?((c[d+136>>2]|0)-(c[d+132>>2]|0)>>2|0)==(c[d+48>>2]|0):0)?((c[d+160>>2]|0)-(c[d+156>>2]|0)>>2|0)==(c[d+52>>2]|0):0)?((c[d+88>>2]|0)-(c[d+84>>2]|0)>>2|0)==(c[d+56>>2]|0):0)?((c[d+64>>2]|0)-(c[d+60>>2]|0)>>2|0)==(c[d+40>>2]|0):0)){$b(h,b);c[f>>2]=c[h>>2];c[f+4>>2]=c[h+4>>2];c[f+8>>2]=c[h+8>>2];c[f+12>>2]=c[h+12>>2];_b(b,f,21183,g)}r=Kt(64)|0;s=a[j+11>>0]|0;u=s<<24>>24<0;t=u?c[j+4>>2]|0:s&255;s=u?c[j>>2]|0:j;u=r+4|0;c[u>>2]=0;c[u+4>>2]=0;c[u+8>>2]=0;c[u+12>>2]=0;c[u+16>>2]=0;c[u+20>>2]=0;c[r+28>>2]=3;c[r>>2]=2976;c[f>>2]=s;c[f+4>>2]=t;t=r+32|0;Bm(t,f);c[r+44>>2]=-64;a[r+48>>0]=0;c[r+52>>2]=0;c[r+56>>2]=0;c[r+60>>2]=0;s=r;if(((((ec(b,22)|0)!=1?(ec(b,19)|0)!=1:0)?(Kd(b,u)|0)!=1:0)?(Kd(b,r+16|0)|0)!=1:0)?(ec(b,31)|0)!=1:0){if((Be(b,t)|0)==1){Sa[c[(c[r>>2]|0)+4>>2]&255](r);q=1;break a}$b(f,b);t=Kt(36)|0;c[t+4>>2]=0;c[t+8>>2]=0;u=t+12|0;c[u>>2]=c[f>>2];c[u+4>>2]=c[f+4>>2];c[u+8>>2]=c[f+8>>2];c[u+12>>2]=c[f+12>>2];c[t+28>>2]=2;c[t>>2]=2816;c[t+32>>2]=s;c[m>>2]=t;kn(d,m);t=c[m>>2]|0;c[m>>2]=0;if(!t)break;Sa[c[(c[t>>2]|0)+4>>2]&255](t);break}Sa[c[(c[r>>2]|0)+4>>2]&255](r);q=1;break a}while(0);r=((c[d+88>>2]|0)-(c[d+84>>2]|0)>>2)+-1|0;t=(c[d+32>>2]|0)+12|0;c[f>>2]=c[t>>2];c[f+4>>2]=c[t+4>>2];c[f+8>>2]=c[t+8>>2];c[f+12>>2]=c[t+12>>2];t=c[k>>2]|0;if(t|0){s=t;do{xn(h,r,f);An(s+48|0,h)|0;Fn(h);s=c[s+4>>2]|0}while((s|0)!=0)}un(d,k);q=(ec(b,31)|0)==1&1}while(0);b=c[k>>2]|0;if(b|0){k=b;do{b=k;k=c[k+4>>2]|0;Sa[c[(c[b>>2]|0)+4>>2]&255](b)}while((k|0)!=0)}Wt(j);p=q}o=p;l=e;return o|0}function be(d,e){d=d|0;e=e|0;var f=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;f=l;l=l+320|0;h=f+32|0;i=f+24|0;j=f;k=f+184|0;m=f+96|0;n=f+84|0;o=f+68|0;p=f+272|0;q=f+236|0;r=f+200|0;s=f+144|0;t=f+108|0;u=f+80|0;if((ec(d,22)|0)==1){v=1;l=f;return v|0}$b(k,d);if(!((((((c[e+76>>2]|0)-(c[e+72>>2]|0)>>2|0)==(c[e+44>>2]|0)?((c[e+136>>2]|0)-(c[e+132>>2]|0)>>2|0)==(c[e+48>>2]|0):0)?((c[e+160>>2]|0)-(c[e+156>>2]|0)>>2|0)==(c[e+52>>2]|0):0)?((c[e+88>>2]|0)-(c[e+84>>2]|0)>>2|0)==(c[e+56>>2]|0):0)?((c[e+64>>2]|0)-(c[e+60>>2]|0)>>2|0)==(c[e+40>>2]|0):0)){$b(j,d);c[h>>2]=c[j>>2];c[h+4>>2]=c[j+4>>2];c[h+8>>2]=c[j+8>>2];c[h+12>>2]=c[j+12>>2];_b(d,h,21183,i)}if((ec(d,19)|0)==1)w=1;else{c[m>>2]=0;c[m+4>>2]=0;c[m+8>>2]=0;c[n>>2]=0;c[n+4>>2]=0;c[n+8>>2]=0;if(((Kd(d,m)|0)!=1?(Kd(d,n)|0)!=1:0)?(ec(d,22)|0)!=1:0){c[o>>2]=0;c[o+4>>2]=0;c[o+8>>2]=0;i=d+92|0;if(!(c[i>>2]|0)){x=d+96|0;do{Zb(h,c[d>>2]|0,d);y=c[i>>2]|0;c[i>>2]=y+1;z=d+20+(((c[x>>2]|0)+y&1)*36|0)|0;qm(z);om(z,h);qm(h)}while(!(c[i>>2]|0));A=x}else A=d+96|0;a:do switch(c[d+20+((c[A>>2]&1)*36|0)+16>>2]|0){case 16:{x=d+96|0;om(p,d+20+((c[x>>2]&1)*36|0)|0);z=d+20+((c[x>>2]&1)*36|0)|0;qm(z);c[z>>2]=0;c[z+4>>2]=0;c[z+8>>2]=0;c[z+12>>2]=0;c[z+16>>2]=0;c[x>>2]=c[x>>2]&1^1;c[i>>2]=(c[i>>2]|0)+-1;qm(p);ic(d,o);x=Kt(168)|0;z=a[o+11>>0]|0;y=z<<24>>24<0;B=y?c[o+4>>2]|0:z&255;z=y?c[o>>2]|0:o;y=x+4|0;c[y>>2]=0;c[y+4>>2]=0;c[y+8>>2]=0;c[y+12>>2]=0;c[y+16>>2]=0;c[y+20>>2]=0;c[y+24>>2]=0;c[x>>2]=2960;c[j>>2]=z;c[j+4>>2]=B;Bm(x+32|0,j);B=x+44|0;a[B>>0]=0;z=x+48|0;c[h>>2]=0;c[h+4>>2]=0;c[h+8>>2]=0;c[h+12>>2]=0;xn(z,-1,h);y=x+80|0;C=x+132|0;D=y;E=D+52|0;do{c[D>>2]=0;D=D+4|0}while((D|0)<(E|0));g[C>>2]=1.0;D=x+136|0;c[D>>2]=0;c[D+4>>2]=0;c[D+8>>2]=0;c[D+12>>2]=0;g[x+152>>2]=1.0;c[x+156>>2]=0;c[x+160>>2]=0;c[x+164>>2]=0;b:do if(bc(d,36)|0){a[B>>0]=1;do if(dc(d,36)|0){a[B>>0]=1;if((jc(d,z)|0)!=1?(ec(d,31)|0)!=1:0)break;Sa[c[(c[x>>2]|0)+4>>2]&255](x);F=1;break a}else a[B>>0]=0;while(0);if((ec(d,31)|0)==1){Sa[c[(c[x>>2]|0)+4>>2]&255](x);F=1;break a}}else{c:do if((Ae(d,27,y,x+116|0)|0)!=1){D=x+92|0;while(1){if(!(dc(d,30)|0))break;if((rc(d,D)|0)==1)break c;if((ec(d,31)|0)==1)break c}c[j>>2]=0;c[j+4>>2]=0;c[j+8>>2]=0;Rt(j,28277,5);D=j+12|0;c[D>>2]=0;c[D+4>>2]=0;c[D+8>>2]=0;Rt(D,28298,6);D=Kt(24)|0;c[h>>2]=D;c[h+8>>2]=D+24;Qt(D,j);Qt(D+12|0,j+12|0);c[h+4>>2]=D+24;E=(hc(d,h,0)|0)==1;Wt(D+12|0);Wt(D);Mt(D);Wt(j+12|0);Wt(j);if(!E?(ec(d,31)|0)!=1:0)break b}while(0);Sa[c[(c[x>>2]|0)+4>>2]&255](x);F=1;break a}while(0);y=Kt(36)|0;c[y+4>>2]=0;c[y+8>>2]=0;B=y+12|0;c[B>>2]=c[k>>2];c[B+4>>2]=c[k+4>>2];c[B+8>>2]=c[k+8>>2];c[B+12>>2]=c[k+12>>2];G=x;H=y;I=57;break}case 34:{y=d+96|0;om(q,d+20+((c[y>>2]&1)*36|0)|0);B=d+20+((c[y>>2]&1)*36|0)|0;qm(B);c[B>>2]=0;c[B+4>>2]=0;c[B+8>>2]=0;c[B+12>>2]=0;c[B+16>>2]=0;c[y>>2]=c[y>>2]&1^1;c[i>>2]=(c[i>>2]|0)+-1;qm(q);ic(d,o);y=Kt(72)|0;B=a[o+11>>0]|0;z=B<<24>>24<0;C=z?c[o+4>>2]|0:B&255;B=z?c[o>>2]|0:o;z=y+4|0;c[z>>2]=0;c[z+4>>2]=0;c[z+8>>2]=0;c[z+12>>2]=0;c[z+16>>2]=0;c[z+20>>2]=0;c[y+28>>2]=1;c[y>>2]=2800;c[h>>2]=B;c[h+4>>2]=C;Bm(y+32|0,h);C=y+48|0;c[C>>2]=0;c[C+4>>2]=0;c[C+8>>2]=0;c[C+12>>2]=0;b[C+16>>1]=0;if((Ld(d,C)|0)==1){Sa[c[(c[y>>2]|0)+4>>2]&255](y);F=1;break a}if((ec(d,1)|0)==1){Sa[c[(c[y>>2]|0)+4>>2]&255](y);F=1;break a}if((ec(d,31)|0)==1){Sa[c[(c[y>>2]|0)+4>>2]&255](y);F=1;break a}else{C=Kt(36)|0;c[C+4>>2]=0;c[C+8>>2]=0;B=C+12|0;c[B>>2]=c[k>>2];c[B+4>>2]=c[k+4>>2];c[B+8>>2]=c[k+8>>2];c[B+12>>2]=c[k+12>>2];G=y;H=C;I=57;break a}break}case 23:{C=d+96|0;om(r,d+20+((c[C>>2]&1)*36|0)|0);y=d+20+((c[C>>2]&1)*36|0)|0;qm(y);c[y>>2]=0;c[y+4>>2]=0;c[y+8>>2]=0;c[y+12>>2]=0;c[y+16>>2]=0;c[C>>2]=c[C>>2]&1^1;c[i>>2]=(c[i>>2]|0)+-1;qm(r);ic(d,o);C=Kt(72)|0;y=a[o+11>>0]|0;B=y<<24>>24<0;z=B?c[o+4>>2]|0:y&255;y=B?c[o>>2]|0:o;B=C+4|0;c[B>>2]=0;c[B+4>>2]=0;c[B+8>>2]=0;c[B+12>>2]=0;c[B+16>>2]=0;c[B+20>>2]=0;c[C+28>>2]=2;c[C>>2]=2912;c[h>>2]=y;c[h+4>>2]=z;Bm(C+32|0,h);z=C+48|0;c[z>>2]=0;c[z+4>>2]=0;c[z+8>>2]=0;c[z+12>>2]=0;b[z+16>>1]=0;if((Ld(d,z)|0)==1){Sa[c[(c[C>>2]|0)+4>>2]&255](C);F=1;break a}if((ec(d,31)|0)==1){Sa[c[(c[C>>2]|0)+4>>2]&255](C);F=1;break a}else{z=Kt(36)|0;c[z+4>>2]=0;c[z+8>>2]=0;y=z+12|0;c[y>>2]=c[k>>2];c[y+4>>2]=c[k+4>>2];c[y+8>>2]=c[k+8>>2];c[y+12>>2]=c[k+12>>2];G=C;H=z;I=57;break a}break}case 18:{z=d+96|0;om(s,d+20+((c[z>>2]&1)*36|0)|0);C=d+20+((c[z>>2]&1)*36|0)|0;qm(C);c[C>>2]=0;c[C+4>>2]=0;c[C+8>>2]=0;c[C+12>>2]=0;c[C+16>>2]=0;c[z>>2]=c[z>>2]&1^1;c[i>>2]=(c[i>>2]|0)+-1;qm(s);ic(d,o);z=Kt(64)|0;C=a[o+11>>0]|0;y=C<<24>>24<0;B=y?c[o+4>>2]|0:C&255;C=y?c[o>>2]|0:o;y=z+4|0;c[y>>2]=0;c[y+4>>2]=0;c[y+8>>2]=0;c[y+12>>2]=0;c[y+16>>2]=0;c[y+20>>2]=0;c[z+28>>2]=3;c[z>>2]=2976;c[h>>2]=C;c[h+4>>2]=B;B=z+32|0;Bm(B,h);c[z+44>>2]=-64;a[z+48>>0]=0;c[z+52>>2]=0;c[z+56>>2]=0;c[z+60>>2]=0;if((Be(d,B)|0)==1){Sa[c[(c[z>>2]|0)+4>>2]&255](z);F=1;break a}if((ec(d,31)|0)==1){Sa[c[(c[z>>2]|0)+4>>2]&255](z);F=1;break a}else{B=Kt(36)|0;c[B+4>>2]=0;c[B+8>>2]=0;C=B+12|0;c[C>>2]=c[k>>2];c[C+4>>2]=c[k+4>>2];c[C+8>>2]=c[k+8>>2];c[C+12>>2]=c[k+12>>2];G=z;H=B;I=57;break a}break}case 14:{B=d+96|0;om(t,d+20+((c[B>>2]&1)*36|0)|0);z=d+20+((c[B>>2]&1)*36|0)|0;qm(z);c[z>>2]=0;c[z+4>>2]=0;c[z+8>>2]=0;c[z+12>>2]=0;c[z+16>>2]=0;c[B>>2]=c[B>>2]&1^1;c[i>>2]=(c[i>>2]|0)+-1;qm(t);ic(d,o);B=Kt(56)|0;z=a[o+11>>0]|0;C=z<<24>>24<0;y=C?c[o+4>>2]|0:z&255;z=C?c[o>>2]|0:o;C=B+4|0;c[C>>2]=0;c[C+4>>2]=0;c[C+8>>2]=0;c[C+12>>2]=0;c[C+16>>2]=0;c[C+20>>2]=0;c[B+28>>2]=4;c[B>>2]=2992;c[h>>2]=z;c[h+4>>2]=y;Bm(B+32|0,h);y=B+44|0;c[y>>2]=0;c[B+48>>2]=0;c[B+52>>2]=0;if((rc(d,y)|0)==1){Sa[c[(c[B>>2]|0)+4>>2]&255](B);F=1;break a}if((ec(d,31)|0)==1){Sa[c[(c[B>>2]|0)+4>>2]&255](B);F=1;break a}else{y=Kt(36)|0;c[y+4>>2]=0;c[y+8>>2]=0;z=y+12|0;c[z>>2]=c[k>>2];c[z+4>>2]=c[k+4>>2];c[z+8>>2]=c[k+8>>2];c[z+12>>2]=c[k+12>>2];G=B;H=y;I=57;break a}break}default:{c[j>>2]=0;c[j+4>>2]=0;c[j+8>>2]=0;Rt(j,21943,16);y=Kt(12)|0;c[h>>2]=y;c[h+8>>2]=y+12;Qt(y,j);c[h+4>>2]=y+12;B=gc(d,h,0)|0;Wt(y);Mt(y);Wt(j);F=B}}while(0);if((I|0)==57){c[H+28>>2]=2;c[H>>2]=2816;I=H+32|0;c[I>>2]=G;Xt(G+4|0,m)|0;Xt((c[I>>2]|0)+16|0,n)|0;c[u>>2]=H;kn(e,u);e=c[u>>2]|0;c[u>>2]=0;if(e|0)Sa[c[(c[e>>2]|0)+4>>2]&255](e);F=(ec(d,31)|0)==1&1}Wt(o);J=F}else J=1;Wt(n);Wt(m);w=J}v=w;l=f;return v|0}function ce(d,e){d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;f=l;l=l+192|0;g=f+40|0;h=f+32|0;i=f+152|0;j=f+120|0;k=f+100|0;m=f+88|0;n=f+144|0;o=f;p=f+72|0;q=f+140|0;r=f+136|0;s=f+112|0;if((ec(d,22)|0)==1){t=1;l=f;return t|0}$b(j,d);if((ec(d,23)|0)==1)u=1;else{c[k>>2]=0;c[k+4>>2]=0;c[k+8>>2]=0;ic(d,k);c[m>>2]=0;c[m+4>>2]=0;c[m+8>>2]=0;a:do if((fe(d,m,2)|0)==1)v=1;else{do if(!(bc(d,19)|0)){if(!(dc(d,11)|0)){w=Kt(72)|0;x=a[k+11>>0]|0;y=x<<24>>24<0;z=y?c[k+4>>2]|0:x&255;x=y?c[k>>2]|0:k;c[w+4>>2]=0;c[w+8>>2]=0;y=w+12|0;c[y>>2]=c[j>>2];c[y+4>>2]=c[j+4>>2];c[y+8>>2]=c[j+8>>2];c[y+12>>2]=c[j+12>>2];c[w+28>>2]=7;c[w>>2]=2944;c[g>>2]=x;c[g+4>>2]=z;Bm(w+32|0,g);z=w+48|0;c[z>>2]=0;c[z+4>>2]=0;c[z+8>>2]=0;c[z+12>>2]=0;b[z+16>>1]=0;if((Ld(d,z)|0)==1){Sa[c[(c[w>>2]|0)+4>>2]&255](w);v=1;break a}c[s>>2]=w;pn(e,s);w=c[s>>2]|0;c[s>>2]=0;if(!w)break;Sa[c[(c[w>>2]|0)+4>>2]&255](w);break}w=Kt(88)|0;c[w+4>>2]=0;c[w+8>>2]=0;z=w+12|0;c[z>>2]=c[j>>2];c[z+4>>2]=c[j+4>>2];c[z+8>>2]=c[j+8>>2];c[z+12>>2]=c[j+12>>2];c[w+28>>2]=8;c[w>>2]=2928;z=w+32|0;c[g>>2]=0;c[g+4>>2]=0;c[g+8>>2]=0;c[g+12>>2]=0;xn(z,-1,g);x=w+64|0;c[x>>2]=0;c[x+4>>2]=0;c[x+8>>2]=0;c[x+12>>2]=0;c[x+16>>2]=0;c[x+20>>2]=0;y=(c[e+160>>2]|0)-(c[e+156>>2]|0)>>2;c[i>>2]=0;c[i+4>>2]=0;c[i+8>>2]=0;c[i+12>>2]=0;xn(g,y,i);An(z,g)|0;Fn(g);c[p>>2]=0;c[p+4>>2]=0;c[p+8>>2]=0;c[p+12>>2]=0;a[g>>0]=a[i>>0]|0;Gn(o,g,0,p);z=Kt(64)|0;y=z+4|0;c[y>>2]=0;c[y+4>>2]=0;c[y+8>>2]=0;c[y+12>>2]=0;c[y+16>>2]=0;c[y+20>>2]=0;c[z+28>>2]=12;c[z>>2]=2544;y=z+32|0;c[y>>2]=c[o>>2];c[y+4>>2]=c[o+4>>2];c[y+8>>2]=c[o+8>>2];c[y+12>>2]=c[o+12>>2];c[y+16>>2]=c[o+16>>2];c[y+20>>2]=c[o+20>>2];c[y+24>>2]=c[o+24>>2];c[y+28>>2]=c[o+28>>2];y=w+68|0;A=c[y>>2]|0;if(!A)B=x;else{c[z+8>>2]=A;B=A+4|0}c[B>>2]=z;c[y>>2]=z;y=w+72|0;c[y>>2]=(c[y>>2]|0)+1;y=z+12|0;c[y>>2]=c[j>>2];c[y+4>>2]=c[j+4>>2];c[y+8>>2]=c[j+8>>2];c[y+12>>2]=c[j+12>>2];y=w+76|0;Hd(d,y)|0;if((ec(d,31)|0)==1){Sa[c[(c[w>>2]|0)+4>>2]&255](w);v=1;break a}z=Kt(72)|0;A=a[k+11>>0]|0;x=A<<24>>24<0;C=x?c[k+4>>2]|0:A&255;A=x?c[k>>2]|0:k;c[z+4>>2]=0;c[z+8>>2]=0;x=z+12|0;c[x>>2]=c[j>>2];c[x+4>>2]=c[j+4>>2];c[x+8>>2]=c[j+8>>2];c[x+12>>2]=c[j+12>>2];c[z+28>>2]=7;c[z>>2]=2944;c[g>>2]=A;c[g+4>>2]=C;Bm(z+32|0,g);C=z+48|0;c[C>>2]=0;c[C+4>>2]=0;c[C+8>>2]=0;c[C+12>>2]=0;b[C+16>>1]=0;A=((c[w+80>>2]|0)+65535-(c[y>>2]|0)|0)>>>16;y=C;c[y>>2]=A;c[y+4>>2]=0;y=z+56|0;c[y>>2]=A;c[y+4>>2]=0;a[z+64>>0]=1;c[q>>2]=z;pn(e,q);z=c[q>>2]|0;c[q>>2]=0;if(z|0)Sa[c[(c[z>>2]|0)+4>>2]&255](z);c[r>>2]=w;Xm(e,r);w=c[r>>2]|0;c[r>>2]=0;if(w|0)Sa[c[(c[w>>2]|0)+4>>2]&255](w)}else{if(!((((((c[e+76>>2]|0)-(c[e+72>>2]|0)>>2|0)==(c[e+44>>2]|0)?((c[e+136>>2]|0)-(c[e+132>>2]|0)>>2|0)==(c[e+48>>2]|0):0)?((c[e+160>>2]|0)-(c[e+156>>2]|0)>>2|0)==(c[e+52>>2]|0):0)?((c[e+88>>2]|0)-(c[e+84>>2]|0)>>2|0)==(c[e+56>>2]|0):0)?((c[e+64>>2]|0)-(c[e+60>>2]|0)>>2|0)==(c[e+40>>2]|0):0)){$b(i,d);c[g>>2]=c[i>>2];c[g+4>>2]=c[i+4>>2];c[g+8>>2]=c[i+8>>2];c[g+12>>2]=c[i+12>>2];_b(d,g,21183,h)}w=Kt(72)|0;z=a[k+11>>0]|0;y=z<<24>>24<0;A=y?c[k+4>>2]|0:z&255;z=y?c[k>>2]|0:k;y=w+4|0;c[y>>2]=0;c[y+4>>2]=0;c[y+8>>2]=0;c[y+12>>2]=0;c[y+16>>2]=0;c[y+20>>2]=0;c[w+28>>2]=2;c[w>>2]=2912;c[g>>2]=z;c[g+4>>2]=A;Bm(w+32|0,g);A=w+48|0;c[A>>2]=0;c[A+4>>2]=0;c[A+8>>2]=0;c[A+12>>2]=0;b[A+16>>1]=0;z=w;if(((((ec(d,22)|0)!=1?(ec(d,19)|0)!=1:0)?(Kd(d,y)|0)!=1:0)?(Kd(d,w+16|0)|0)!=1:0)?(ec(d,31)|0)!=1:0){if((Ld(d,A)|0)==1){Sa[c[(c[w>>2]|0)+4>>2]&255](w);v=1;break a}$b(g,d);A=Kt(36)|0;c[A+4>>2]=0;c[A+8>>2]=0;y=A+12|0;c[y>>2]=c[g>>2];c[y+4>>2]=c[g+4>>2];c[y+8>>2]=c[g+8>>2];c[y+12>>2]=c[g+12>>2];c[A+28>>2]=2;c[A>>2]=2816;c[A+32>>2]=z;c[n>>2]=A;kn(e,n);A=c[n>>2]|0;c[n>>2]=0;if(!A)break;Sa[c[(c[A>>2]|0)+4>>2]&255](A);break}Sa[c[(c[w>>2]|0)+4>>2]&255](w);v=1;break a}while(0);w=((c[e+160>>2]|0)-(c[e+156>>2]|0)>>2)+-1|0;A=(c[e+32>>2]|0)+12|0;c[g>>2]=c[A>>2];c[g+4>>2]=c[A+4>>2];c[g+8>>2]=c[A+8>>2];c[g+12>>2]=c[A+12>>2];A=c[m>>2]|0;if(A|0){z=A;do{xn(i,w,g);An(z+48|0,i)|0;Fn(i);z=c[z+4>>2]|0}while((z|0)!=0)}un(e,m);v=(ec(d,31)|0)==1&1}while(0);d=c[m>>2]|0;if(d|0){m=d;do{d=m;m=c[m+4>>2]|0;Sa[c[(c[d>>2]|0)+4>>2]&255](d)}while((m|0)!=0)}Wt(k);u=v}t=u;l=f;return t|0}function de(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;d=l;l=l+96|0;e=d+56|0;f=d+40|0;g=d+8|0;h=d;if((ec(a,22)|0)==1){i=1;l=d;return i|0}$b(f,a);if((ec(a,33)|0)==1)j=1;else{c[e>>2]=0;c[e+4>>2]=0;c[e+8>>2]=0;c[e+12>>2]=0;xn(g,-1,e);if((jc(a,g)|0)!=1?(ec(a,31)|0)!=1:0){a=Kt(64)|0;Bn(e,g);c[a+4>>2]=0;c[a+8>>2]=0;k=a+12|0;c[k>>2]=c[f>>2];c[k+4>>2]=c[f+4>>2];c[k+8>>2]=c[f+8>>2];c[k+12>>2]=c[f+12>>2];c[a+28>>2]=9;c[a>>2]=2896;Bn(a+32|0,e);Fn(e);c[h>>2]=a;qn(b,h);b=c[h>>2]|0;c[h>>2]=0;if(!b)m=0;else{Sa[c[(c[b>>2]|0)+4>>2]&255](b);m=0}}else m=1;Fn(g);j=m}i=j;l=d;return i|0}function ee(d,e){d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;f=l;l=l+192|0;g=f+40|0;h=f+32|0;i=f+152|0;j=f+120|0;k=f+100|0;m=f+88|0;n=f+144|0;o=f;p=f+72|0;q=f+140|0;r=f+136|0;s=f+112|0;if((ec(d,22)|0)==1){t=1;l=f;return t|0}$b(j,d);if((ec(d,34)|0)==1)u=1;else{c[k>>2]=0;c[k+4>>2]=0;c[k+8>>2]=0;ic(d,k);c[m>>2]=0;c[m+4>>2]=0;c[m+8>>2]=0;a:do if((fe(d,m,1)|0)==1)v=1;else{do if(!(bc(d,19)|0)){if(!(cc(d,1)|0)){w=Kt(72)|0;x=a[k+11>>0]|0;y=x<<24>>24<0;z=y?c[k+4>>2]|0:x&255;x=y?c[k>>2]|0:k;c[w+4>>2]=0;c[w+8>>2]=0;y=w+12|0;c[y>>2]=c[j>>2];c[y+4>>2]=c[j+4>>2];c[y+8>>2]=c[j+8>>2];c[y+12>>2]=c[j+12>>2];c[w+28>>2]=5;c[w>>2]=2848;c[g>>2]=x;c[g+4>>2]=z;Bm(w+32|0,g);z=w+48|0;c[z>>2]=0;c[z+4>>2]=0;c[z+8>>2]=0;c[z+12>>2]=0;b[z+16>>1]=0;if((Ld(d,z)|0)==1){Sa[c[(c[w>>2]|0)+4>>2]&255](w);v=1;break a}if((ec(d,1)|0)==1){Sa[c[(c[w>>2]|0)+4>>2]&255](w);v=1;break a}c[s>>2]=w;sn(e,s);w=c[s>>2]|0;c[s>>2]=0;if(!w)break;Sa[c[(c[w>>2]|0)+4>>2]&255](w);break}if((ec(d,22)|0)==1){v=1;break a}if((ec(d,12)|0)==1){v=1;break a}w=Kt(88)|0;c[w+4>>2]=0;c[w+8>>2]=0;z=w+12|0;c[z>>2]=c[j>>2];c[z+4>>2]=c[j+4>>2];c[z+8>>2]=c[j+8>>2];c[z+12>>2]=c[j+12>>2];c[w+28>>2]=6;c[w>>2]=2832;z=w+32|0;c[g>>2]=0;c[g+4>>2]=0;c[g+8>>2]=0;c[g+12>>2]=0;xn(z,-1,g);x=w+64|0;c[x>>2]=0;c[x+4>>2]=0;c[x+8>>2]=0;c[x+12>>2]=0;c[x+16>>2]=0;c[x+20>>2]=0;y=(c[e+136>>2]|0)-(c[e+132>>2]|0)>>2;c[i>>2]=0;c[i+4>>2]=0;c[i+8>>2]=0;c[i+12>>2]=0;xn(g,y,i);An(z,g)|0;Fn(g);c[p>>2]=0;c[p+4>>2]=0;c[p+8>>2]=0;c[p+12>>2]=0;a[g>>0]=a[i>>0]|0;Gn(o,g,0,p);z=Kt(64)|0;y=z+4|0;c[y>>2]=0;c[y+4>>2]=0;c[y+8>>2]=0;c[y+12>>2]=0;c[y+16>>2]=0;c[y+20>>2]=0;c[z+28>>2]=12;c[z>>2]=2544;y=z+32|0;c[y>>2]=c[o>>2];c[y+4>>2]=c[o+4>>2];c[y+8>>2]=c[o+8>>2];c[y+12>>2]=c[o+12>>2];c[y+16>>2]=c[o+16>>2];c[y+20>>2]=c[o+20>>2];c[y+24>>2]=c[o+24>>2];c[y+28>>2]=c[o+28>>2];y=w+68|0;A=c[y>>2]|0;if(!A)B=x;else{c[z+8>>2]=A;B=A+4|0}c[B>>2]=z;c[y>>2]=z;y=w+72|0;c[y>>2]=(c[y>>2]|0)+1;y=z+12|0;c[y>>2]=c[j>>2];c[y+4>>2]=c[j+4>>2];c[y+8>>2]=c[j+8>>2];c[y+12>>2]=c[j+12>>2];y=w+76|0;if(!(Lc(d,y)|0)){Sa[c[(c[w>>2]|0)+4>>2]&255](w);v=1;break a}if((ec(d,31)|0)==1){Sa[c[(c[w>>2]|0)+4>>2]&255](w);v=1;break a}z=Kt(72)|0;A=a[k+11>>0]|0;x=A<<24>>24<0;C=x?c[k+4>>2]|0:A&255;A=x?c[k>>2]|0:k;c[z+4>>2]=0;c[z+8>>2]=0;x=z+12|0;c[x>>2]=c[j>>2];c[x+4>>2]=c[j+4>>2];c[x+8>>2]=c[j+8>>2];c[x+12>>2]=c[j+12>>2];c[z+28>>2]=5;c[z>>2]=2848;c[g>>2]=A;c[g+4>>2]=C;Bm(z+32|0,g);C=z+48|0;c[C>>2]=0;c[C+4>>2]=0;c[C+8>>2]=0;c[C+12>>2]=0;b[C+16>>1]=0;A=(c[w+80>>2]|0)-(c[y>>2]|0)>>5;y=C;c[y>>2]=A;c[y+4>>2]=0;y=z+56|0;c[y>>2]=A;c[y+4>>2]=0;a[z+64>>0]=1;c[q>>2]=z;sn(e,q);z=c[q>>2]|0;c[q>>2]=0;if(z|0)Sa[c[(c[z>>2]|0)+4>>2]&255](z);c[r>>2]=w;Zm(e,r);w=c[r>>2]|0;c[r>>2]=0;if(w|0)Sa[c[(c[w>>2]|0)+4>>2]&255](w)}else{if(!((((((c[e+76>>2]|0)-(c[e+72>>2]|0)>>2|0)==(c[e+44>>2]|0)?((c[e+136>>2]|0)-(c[e+132>>2]|0)>>2|0)==(c[e+48>>2]|0):0)?((c[e+160>>2]|0)-(c[e+156>>2]|0)>>2|0)==(c[e+52>>2]|0):0)?((c[e+88>>2]|0)-(c[e+84>>2]|0)>>2|0)==(c[e+56>>2]|0):0)?((c[e+64>>2]|0)-(c[e+60>>2]|0)>>2|0)==(c[e+40>>2]|0):0)){$b(i,d);c[g>>2]=c[i>>2];c[g+4>>2]=c[i+4>>2];c[g+8>>2]=c[i+8>>2];c[g+12>>2]=c[i+12>>2];_b(d,g,21183,h)}w=Kt(72)|0;z=a[k+11>>0]|0;y=z<<24>>24<0;A=y?c[k+4>>2]|0:z&255;z=y?c[k>>2]|0:k;y=w+4|0;c[y>>2]=0;c[y+4>>2]=0;c[y+8>>2]=0;c[y+12>>2]=0;c[y+16>>2]=0;c[y+20>>2]=0;c[w+28>>2]=1;c[w>>2]=2800;c[g>>2]=z;c[g+4>>2]=A;Bm(w+32|0,g);A=w+48|0;c[A>>2]=0;c[A+4>>2]=0;c[A+8>>2]=0;c[A+12>>2]=0;b[A+16>>1]=0;z=w;if(((((ec(d,22)|0)!=1?(ec(d,19)|0)!=1:0)?(Kd(d,y)|0)!=1:0)?(Kd(d,w+16|0)|0)!=1:0)?(ec(d,31)|0)!=1:0){if((Ld(d,A)|0)==1){Sa[c[(c[w>>2]|0)+4>>2]&255](w);v=1;break a}if((ec(d,1)|0)==1){Sa[c[(c[w>>2]|0)+4>>2]&255](w);v=1;break a}$b(g,d);A=Kt(36)|0;c[A+4>>2]=0;c[A+8>>2]=0;y=A+12|0;c[y>>2]=c[g>>2];c[y+4>>2]=c[g+4>>2];c[y+8>>2]=c[g+8>>2];c[y+12>>2]=c[g+12>>2];c[A+28>>2]=2;c[A>>2]=2816;c[A+32>>2]=z;c[n>>2]=A;kn(e,n);A=c[n>>2]|0;c[n>>2]=0;if(!A)break;Sa[c[(c[A>>2]|0)+4>>2]&255](A);break}Sa[c[(c[w>>2]|0)+4>>2]&255](w);v=1;break a}while(0);w=((c[e+136>>2]|0)-(c[e+132>>2]|0)>>2)+-1|0;A=(c[e+32>>2]|0)+12|0;c[g>>2]=c[A>>2];c[g+4>>2]=c[A+4>>2];c[g+8>>2]=c[A+8>>2];c[g+12>>2]=c[A+12>>2];A=c[m>>2]|0;if(A|0){z=A;do{xn(i,w,g);An(z+48|0,i)|0;Fn(i);z=c[z+4>>2]|0}while((z|0)!=0)}un(e,m);v=(ec(d,31)|0)==1&1}while(0);d=c[m>>2]|0;if(d|0){m=d;do{d=m;m=c[m+4>>2]|0;Sa[c[(c[d>>2]|0)+4>>2]&255](d)}while((m|0)!=0)}Wt(k);u=v}t=u;l=f;return t|0}function fe(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0;e=l;l=l+32|0;f=e+16|0;g=e;if(!(bc(a,15)|0)){h=0;l=e;return h|0}i=b+4|0;j=b+8|0;while(1){if((ec(a,22)|0)==1){h=1;k=13;break}$b(g,a);m=Kt(80)|0;c[m+4>>2]=0;n=m+8|0;c[n>>2]=0;o=m+12|0;c[o>>2]=c[g>>2];c[o+4>>2]=c[g+4>>2];c[o+8>>2]=c[g+8>>2];c[o+12>>2]=c[g+12>>2];c[m+28>>2]=3;c[m>>2]=2880;o=m+32|0;c[o>>2]=0;c[o+4>>2]=0;c[o+8>>2]=0;c[f>>2]=0;c[f+4>>2]=0;c[f+8>>2]=0;c[f+12>>2]=0;xn(m+48|0,-1,f);c[m+44>>2]=d;if((ec(a,15)|0)==1){k=5;break}if((Kd(a,o)|0)==1){k=7;break}if((ec(a,31)|0)==1){k=9;break}o=c[i>>2]|0;if(!o)p=b;else{c[n>>2]=o;p=o+4|0}c[p>>2]=m;c[i>>2]=m;c[j>>2]=(c[j>>2]|0)+1;if(!(bc(a,15)|0)){h=0;k=13;break}}if((k|0)==5){Sa[c[(c[m>>2]|0)+4>>2]&255](m);h=1;l=e;return h|0}else if((k|0)==7){Sa[c[(c[m>>2]|0)+4>>2]&255](m);h=1;l=e;return h|0}else if((k|0)==9){Sa[c[(c[m>>2]|0)+4>>2]&255](m);h=1;l=e;return h|0}else if((k|0)==13){l=e;return h|0}return 0}function ge(a){a=a|0;c[a>>2]=2848;Wt(a+32|0);return}function he(a){a=a|0;c[a>>2]=2848;Wt(a+32|0);Mt(a);return}function ie(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;c[a>>2]=2832;b=a+76|0;d=c[b>>2]|0;if(d|0){e=a+80|0;f=c[e>>2]|0;if((f|0)==(d|0))g=d;else{h=f;do{f=h+-32|0;c[e>>2]=f;Fn(f);h=c[e>>2]|0}while((h|0)!=(d|0));g=c[b>>2]|0}Mt(g)}g=a+64|0;b=c[g>>2]|0;if(b|0){d=b;do{b=d;d=c[d+4>>2]|0;Sa[c[(c[b>>2]|0)+4>>2]&255](b)}while((d|0)!=0)}c[a+68>>2]=0;c[g>>2]=0;c[a+72>>2]=0;Fn(a+32|0);return}function je(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;c[a>>2]=2832;b=a+76|0;d=c[b>>2]|0;if(d|0){e=a+80|0;f=c[e>>2]|0;if((f|0)==(d|0))g=d;else{h=f;do{f=h+-32|0;c[e>>2]=f;Fn(f);h=c[e>>2]|0}while((h|0)!=(d|0));g=c[b>>2]|0}Mt(g)}g=a+64|0;b=c[g>>2]|0;if(b|0){d=b;do{b=d;d=c[d+4>>2]|0;Sa[c[(c[b>>2]|0)+4>>2]&255](b)}while((d|0)!=0)}c[a+68>>2]=0;c[g>>2]=0;c[a+72>>2]=0;Fn(a+32|0);Mt(a);return}function ke(a){a=a|0;var b=0;c[a>>2]=2816;b=a+32|0;a=c[b>>2]|0;c[b>>2]=0;if(!a)return;Sa[c[(c[a>>2]|0)+4>>2]&255](a);return}function le(a){a=a|0;var b=0,d=0;c[a>>2]=2816;b=a+32|0;d=c[b>>2]|0;c[b>>2]=0;if(!d){Mt(a);return}Sa[c[(c[d>>2]|0)+4>>2]&255](d);Mt(a);return}function me(a){a=a|0;c[a>>2]=2800;Wt(a+32|0);c[a>>2]=2864;Wt(a+16|0);Wt(a+4|0);return}function ne(a){a=a|0;c[a>>2]=2800;Wt(a+32|0);c[a>>2]=2864;Wt(a+16|0);Wt(a+4|0);Mt(a);return}function oe(a){a=a|0;c[a>>2]=2864;Wt(a+16|0);Wt(a+4|0);return}function pe(a){a=a|0;c[a>>2]=2864;Wt(a+16|0);Wt(a+4|0);Mt(a);return}function qe(a){a=a|0;c[a>>2]=2880;Fn(a+48|0);Wt(a+32|0);return}function re(a){a=a|0;c[a>>2]=2880;Fn(a+48|0);Wt(a+32|0);Mt(a);return}function se(a){a=a|0;c[a>>2]=2896;Fn(a+32|0);return}function te(a){a=a|0;c[a>>2]=2896;Fn(a+32|0);Mt(a);return}function ue(a){a=a|0;c[a>>2]=2944;Wt(a+32|0);return}function ve(a){a=a|0;c[a>>2]=2944;Wt(a+32|0);Mt(a);return}function we(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=2928;b=c[a+76>>2]|0;if(b|0){d=a+80|0;if((c[d>>2]|0)!=(b|0))c[d>>2]=b;Mt(b)}b=a+64|0;d=c[b>>2]|0;if(d|0){e=d;do{d=e;e=c[e+4>>2]|0;Sa[c[(c[d>>2]|0)+4>>2]&255](d)}while((e|0)!=0)}c[a+68>>2]=0;c[b>>2]=0;c[a+72>>2]=0;Fn(a+32|0);return}function xe(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=2928;b=c[a+76>>2]|0;if(b|0){d=a+80|0;if((c[d>>2]|0)!=(b|0))c[d>>2]=b;Mt(b)}b=a+64|0;d=c[b>>2]|0;if(d|0){e=d;do{d=e;e=c[e+4>>2]|0;Sa[c[(c[d>>2]|0)+4>>2]&255](d)}while((e|0)!=0)}c[a+68>>2]=0;c[b>>2]=0;c[a+72>>2]=0;Fn(a+32|0);Mt(a);return}function ye(a){a=a|0;c[a>>2]=2912;Wt(a+32|0);c[a>>2]=2864;Wt(a+16|0);Wt(a+4|0);return}function ze(a){a=a|0;c[a>>2]=2912;Wt(a+32|0);c[a>>2]=2864;Wt(a+16|0);Wt(a+4|0);Mt(a);return}function Ae(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;f=l;l=l+96|0;g=f+56|0;h=f+44|0;i=f+40|0;j=f+24|0;k=f;m=a+92|0;n=a+96|0;o=d+4|0;p=k+16|0;q=d+8|0;while(1){if(!(dc(a,b)|0)){r=0;s=14;break}if(!(c[m>>2]|0))do{Zb(g,c[a>>2]|0,a);t=c[m>>2]|0;c[m>>2]=t+1;u=a+20+(((c[n>>2]|0)+t&1)*36|0)|0;qm(u);om(u,g);qm(g)}while(!(c[m>>2]|0));if((c[a+20+((c[n>>2]&1)*36|0)+16>>2]|0)!=84){if((rc(a,d)|0)==1){r=1;s=14;break}}else{c[h>>2]=0;c[h+4>>2]=0;c[h+8>>2]=0;$b(j,a);ic(a,h);if((Jd(a,i)|0)==1){s=7;break}u=(c[o>>2]|0)-(c[d>>2]|0)>>2;c[k>>2]=c[j>>2];c[k+4>>2]=c[j+4>>2];c[k+8>>2]=c[j+8>>2];c[k+12>>2]=c[j+12>>2];c[p>>2]=u;Ge(g,e,h,k);He(e,c[g>>2]|0)|0;u=c[o>>2]|0;if((u|0)==(c[q>>2]|0))Ie(d,i);else{c[u>>2]=c[i>>2];c[o>>2]=u+4}Wt(h)}if((ec(a,31)|0)==1){r=1;s=14;break}}if((s|0)==7){Wt(h);r=1;l=f;return r|0}else if((s|0)==14){l=f;return r|0}return 0}function Be(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0;e=l;l=l+64|0;f=e+48|0;g=e;if(dc(b,25)|0){a[d+16>>0]=1;if((Jd(b,d+12|0)|0)==1){h=1;l=e;return h|0};c[g>>2]=0;c[g+4>>2]=0;c[g+8>>2]=0;Rt(g,42077,3);i=g+12|0;c[i>>2]=0;c[i+4>>2]=0;c[i+8>>2]=0;Rt(i,42073,3);i=g+24|0;c[i>>2]=0;c[i+4>>2]=0;c[i+8>>2]=0;Rt(i,42069,3);i=g+36|0;c[i>>2]=0;c[i+4>>2]=0;c[i+8>>2]=0;Rt(i,42065,3);i=Kt(48)|0;c[f>>2]=i;c[f+8>>2]=i+48;Qt(i,g);Qt(i+12|0,g+12|0);Qt(i+24|0,g+24|0);Qt(i+36|0,g+36|0);c[f+4>>2]=i+48;j=(hc(b,f,0)|0)==1;Wt(i+36|0);Wt(i+24|0);Wt(i+12|0);Wt(i);Mt(i);Wt(g+36|0);Wt(g+24|0);Wt(g+12|0);Wt(g);if(j){h=1;l=e;return h|0}if((ec(b,31)|0)==1){h=1;l=e;return h|0}}else if((Jd(b,d+12|0)|0)==1){h=1;l=e;return h|0}h=0;l=e;return h|0}function Ce(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=2992;b=c[a+44>>2]|0;if(b|0){d=a+48|0;e=c[d>>2]|0;if((e|0)!=(b|0))c[d>>2]=e+(~((e+-4-b|0)>>>2)<<2);Mt(b)}Wt(a+32|0);c[a>>2]=2864;Wt(a+16|0);Wt(a+4|0);return}function De(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=2992;b=c[a+44>>2]|0;if(b|0){d=a+48|0;e=c[d>>2]|0;if((e|0)!=(b|0))c[d>>2]=e+(~((e+-4-b|0)>>>2)<<2);Mt(b)}Wt(a+32|0);c[a>>2]=2864;Wt(a+16|0);Wt(a+4|0);Mt(a);return}function Ee(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=2976;b=a+52|0;d=c[b>>2]|0;if(d|0){e=d;do{d=e;e=c[e+4>>2]|0;Sa[c[(c[d>>2]|0)+4>>2]&255](d)}while((e|0)!=0)}c[a+56>>2]=0;c[b>>2]=0;c[a+60>>2]=0;Wt(a+32|0);c[a>>2]=2864;Wt(a+16|0);Wt(a+4|0);return}function Fe(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=2976;b=a+52|0;d=c[b>>2]|0;if(d|0){e=d;do{d=e;e=c[e+4>>2]|0;Sa[c[(c[d>>2]|0)+4>>2]&255](d)}while((e|0)!=0)}c[a+56>>2]=0;c[b>>2]=0;c[a+60>>2]=0;Wt(a+32|0);c[a>>2]=2864;Wt(a+16|0);Wt(a+4|0);Mt(a);return}function Ge(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;h=Kt(40)|0;c[b>>2]=h;c[b+4>>2]=e+8;Qt(h+8|0,f);f=h+20|0;c[f>>2]=c[g>>2];c[f+4>>2]=c[g+4>>2];c[f+8>>2]=c[g+8>>2];c[f+12>>2]=c[g+12>>2];c[f+16>>2]=c[g+16>>2];a[b+8>>0]=1;g=c[b>>2]|0;b=g+8|0;f=a[b+11>>0]|0;h=f<<24>>24<0;e=h?c[b>>2]|0:b;b=h?c[g+12>>2]|0:f&255;if(b>>>0>3){f=e;h=b;i=b;while(1){j=S(d[f>>0]|d[f+1>>0]<<8|d[f+2>>0]<<16|d[f+3>>0]<<24,1540483477)|0;h=(S(j>>>24^j,1540483477)|0)^(S(h,1540483477)|0);i=i+-4|0;if(i>>>0<=3)break;else f=f+4|0}f=b+-4|0;i=f&-4;k=f-i|0;l=e+(i+4)|0;m=h}else{k=b;l=e;m=b}switch(k|0){case 3:{n=(d[l+2>>0]|0)<<16^m;o=6;break}case 2:{n=m;o=6;break}case 1:{p=m;break}default:{q=m;r=q>>>13;s=r^q;t=S(s,1540483477)|0;u=t>>>15;v=u^t;w=g+4|0;c[w>>2]=v;c[g>>2]=0;return}}if((o|0)==6)p=(d[l+1>>0]|0)<<8^n;q=S((d[l>>0]|0)^p,1540483477)|0;r=q>>>13;s=r^q;t=S(s,1540483477)|0;u=t>>>15;v=u^t;w=g+4|0;c[w>>2]=v;c[g>>2]=0;return}
function He(b,e){b=b|0;e=e|0;var f=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;f=e+8|0;h=f+11|0;i=a[h>>0]|0;j=i<<24>>24<0;k=j?c[f>>2]|0:f;l=e+12|0;m=j?c[l>>2]|0:i&255;if(m>>>0>3){i=k;j=m;n=m;while(1){o=S(d[i>>0]|d[i+1>>0]<<8|d[i+2>>0]<<16|d[i+3>>0]<<24,1540483477)|0;j=(S(o>>>24^o,1540483477)|0)^(S(j,1540483477)|0);n=n+-4|0;if(n>>>0<=3)break;else i=i+4|0}i=m+-4|0;n=i&-4;p=i-n|0;q=k+(n+4)|0;r=j}else{p=m;q=k;r=m}switch(p|0){case 3:{s=d[q+2>>0]<<16^r;t=6;break}case 2:{s=r;t=6;break}case 1:{u=r;t=7;break}default:v=r}if((t|0)==6){u=d[q+1>>0]<<8^s;t=7}if((t|0)==7)v=S(d[q>>0]^u,1540483477)|0;u=S(v>>>13^v,1540483477)|0;v=u>>>15^u;u=e+4|0;c[u>>2]=v;q=b+4|0;s=c[q>>2]|0;r=b+12|0;w=+(((c[r>>2]|0)+1|0)>>>0);x=+g[b+16>>2];if((s|0)==0|w>+(s>>>0)*x){p=(s>>>0<3|(s+-1&s|0)!=0)&1|s<<1;m=~~+R(+(w/x))>>>0;Je(b,p>>>0<m>>>0?m:p);y=c[q>>2]|0;z=c[u>>2]|0}else{y=s;z=v}v=y+-1|0;s=(v&y|0)==0;if(s)A=v&z;else A=(z>>>0)%(y>>>0)|0;u=c[(c[b>>2]|0)+(A<<2)>>2]|0;if(!u){q=b+8|0;c[e>>2]=c[q>>2];c[q>>2]=e;c[(c[b>>2]|0)+(A<<2)>>2]=q;q=c[e>>2]|0;if(!q){B=c[r>>2]|0;C=B+1|0;c[r>>2]=C;return e|0}p=c[q+4>>2]|0;if(s)D=p&v;else D=(p>>>0)%(y>>>0)|0;c[(c[b>>2]|0)+(D<<2)>>2]=e;B=c[r>>2]|0;C=B+1|0;c[r>>2]=C;return e|0}D=c[u>>2]|0;a:do if(D)if(s){p=0;q=u;m=u;k=D;while(1){j=c[k+4>>2]|0;if((j&v|0)!=(A|0)){E=q;F=m;break a}b:do if((j|0)==(z|0)?(n=k+8|0,i=a[n+11>>0]|0,o=i<<24>>24<0,G=i&255,i=o?c[k+12>>2]|0:G,H=a[h>>0]|0,I=H<<24>>24<0,(i|0)==((I?c[l>>2]|0:H&255)|0)):0){H=c[n>>2]|0;J=o?H:n;K=I?c[f>>2]|0:f;I=(i|0)==0;if(o){if(I){L=1;break}M=(Es(J,K,i)|0)==0;t=26;break}if(!I)if((H&255)<<24>>24==(a[K>>0]|0)){H=n;n=G;G=K;while(1){n=n+-1|0;H=H+1|0;if(!n){L=1;break b}G=G+1|0;if((a[H>>0]|0)!=(a[G>>0]|0)){M=0;t=26;break}}}else{M=0;t=26}else L=1}else{M=0;t=26}while(0);if((t|0)==26){t=0;if(M|p^1)L=M;else{E=q;F=m;break a}}j=c[k>>2]|0;if(!j){E=k;F=k;break}else{G=k;H=k;p=p|L;k=j;m=G;q=H}}}else{q=0;m=u;k=D;p=u;while(1){H=c[k+4>>2]|0;if(((H>>>0)%(y>>>0)|0|0)!=(A|0)){E=m;F=p;break a}c:do if((H|0)==(z|0)?(G=k+8|0,j=a[G+11>>0]|0,n=j<<24>>24<0,K=j&255,j=n?c[k+12>>2]|0:K,I=a[h>>0]|0,i=I<<24>>24<0,(j|0)==((i?c[l>>2]|0:I&255)|0)):0){I=c[G>>2]|0;J=n?I:G;o=i?c[f>>2]|0:f;i=(j|0)==0;if(n){if(i){N=1;break}O=(Es(J,o,j)|0)==0;t=43;break}if(!i)if((I&255)<<24>>24==(a[o>>0]|0)){I=G;G=K;K=o;while(1){G=G+-1|0;I=I+1|0;if(!G){N=1;break c}K=K+1|0;if((a[I>>0]|0)!=(a[K>>0]|0)){O=0;t=43;break}}}else{O=0;t=43}else N=1}else{O=0;t=43}while(0);if((t|0)==43){t=0;if(O|q^1)N=O;else{E=m;F=p;break a}}H=c[k>>2]|0;if(!H){E=k;F=k;break}else{K=k;I=k;q=q|N;k=H;p=K;m=I}}}else{E=u;F=u}while(0);c[e>>2]=c[E>>2];c[F>>2]=e;F=c[e>>2]|0;if(!F){B=c[r>>2]|0;C=B+1|0;c[r>>2]=C;return e|0}E=c[F+4>>2]|0;if(s)P=E&v;else P=(E>>>0)%(y>>>0)|0;if((P|0)==(A|0)){B=c[r>>2]|0;C=B+1|0;c[r>>2]=C;return e|0}c[(c[b>>2]|0)+(P<<2)>>2]=e;B=c[r>>2]|0;C=B+1|0;c[r>>2]=C;return e|0}function Ie(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;d=a+4|0;e=c[d>>2]|0;f=c[a>>2]|0;g=(e-f>>2)+1|0;if(g>>>0>1073741823){Jt(a);h=c[a>>2]|0;i=c[d>>2]|0}else{h=f;i=e}e=a+8|0;f=(c[e>>2]|0)-h|0;j=f>>1;k=f>>2>>>0<536870911?(j>>>0<g>>>0?g:j):1073741823;if(!k)l=0;else l=Kt(k<<2)|0;j=l+(i-h>>2<<2)|0;c[j>>2]=c[b>>2];b=i-h|0;i=j+(0-(b>>2)<<2)|0;if((b|0)>0)Wu(i|0,h|0,b|0)|0;c[a>>2]=i;c[d>>2]=j+4;c[e>>2]=l+(k<<2);if(!h)return;Mt(h);return}function Je(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;if((b|0)!=1)if(!(b+-1&b))d=b;else d=Et(b)|0;else d=2;b=c[a+4>>2]|0;if(d>>>0>b>>>0){Ke(a,d);return}if(d>>>0>=b>>>0)return;e=~~+R(+(+((c[a+12>>2]|0)>>>0)/+g[a+16>>2]))>>>0;if(b>>>0>2&(b+-1&b|0)==0)f=1<<32-(V(e+-1|0)|0);else f=Et(e)|0;e=d>>>0<f>>>0?f:d;if(e>>>0>=b>>>0)return;Ke(a,e);return}function Ke(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;e=b+4|0;if(!d){f=c[b>>2]|0;c[b>>2]=0;if(f|0)Mt(f);c[e>>2]=0;return}f=Kt(d<<2)|0;g=c[b>>2]|0;c[b>>2]=f;if(g|0)Mt(g);c[e>>2]=d;e=0;do{c[(c[b>>2]|0)+(e<<2)>>2]=0;e=e+1|0}while((e|0)!=(d|0));e=b+8|0;g=c[e>>2]|0;if(!g)return;f=c[g+4>>2]|0;h=d+-1|0;i=(h&d|0)==0;if(i)j=f&h;else j=(f>>>0)%(d>>>0)|0;c[(c[b>>2]|0)+(j<<2)>>2]=e;e=c[g>>2]|0;if(!e)return;else{k=j;l=g;m=e;n=g}a:while(1){g=l;e=m;j=n;b:while(1){o=e;while(1){f=c[o+4>>2]|0;if(i)p=f&h;else p=(f>>>0)%(d>>>0)|0;if((p|0)==(k|0))break;q=(c[b>>2]|0)+(p<<2)|0;if(!(c[q>>2]|0))break b;f=c[o>>2]|0;c:do if(!f)r=o;else{s=o+8|0;t=a[s+11>>0]|0;u=t<<24>>24<0;v=t&255;t=u?c[o+12>>2]|0:v;w=(t|0)==0;if(u){u=o;x=f;while(1){y=x+8|0;z=a[y+11>>0]|0;A=z<<24>>24<0;if((t|0)!=((A?c[x+12>>2]|0:z&255)|0)){r=u;break c}if(!w?Es(c[s>>2]|0,A?c[y>>2]|0:y,t)|0:0){r=u;break c}y=c[x>>2]|0;if(!y){r=x;break c}else{A=x;x=y;u=A}}}if(w){u=o;x=f;while(1){A=a[x+8+11>>0]|0;if((A<<24>>24<0?c[x+12>>2]|0:A&255)|0){r=u;break c}A=c[x>>2]|0;if(!A){r=x;break c}else{y=x;x=A;u=y}}}u=o;x=f;while(1){w=x+8|0;y=a[w+11>>0]|0;A=y<<24>>24<0;if((t|0)!=((A?c[x+12>>2]|0:y&255)|0)){r=u;break c}y=A?c[w>>2]|0:w;if((c[s>>2]&255)<<24>>24==(a[y>>0]|0)){B=s;C=v;D=y}else{r=u;break c}while(1){C=C+-1|0;B=B+1|0;if(!C)break;D=D+1|0;if((a[B>>0]|0)!=(a[D>>0]|0)){r=u;break c}}y=c[x>>2]|0;if(!y){r=x;break}else{w=x;x=y;u=w}}}while(0);c[j>>2]=c[r>>2];c[r>>2]=c[c[(c[b>>2]|0)+(p<<2)>>2]>>2];c[c[(c[b>>2]|0)+(p<<2)>>2]>>2]=o;f=c[g>>2]|0;if(!f){E=39;break a}else o=f}e=c[o>>2]|0;if(!e){E=39;break a}else{g=o;j=o}}c[q>>2]=j;m=c[o>>2]|0;if(!m){E=39;break}else{k=p;l=o;n=o}}if((E|0)==39)return}function Le(a){a=a|0;c[a>>2]=2960;Ne(a+32|0);c[a>>2]=2864;Wt(a+16|0);Wt(a+4|0);return}function Me(a){a=a|0;c[a>>2]=2960;Ne(a+32|0);c[a>>2]=2864;Wt(a+16|0);Wt(a+4|0);Mt(a);return}function Ne(a){a=a|0;var b=0,d=0,e=0,f=0;b=a+124|0;d=c[b>>2]|0;if(d|0){e=d;do{d=e;e=c[e+4>>2]|0;Sa[c[(c[d>>2]|0)+4>>2]&255](d)}while((e|0)!=0)}c[a+128>>2]=0;c[b>>2]=0;c[a+132>>2]=0;b=c[a+112>>2]|0;if(b|0){e=b;do{b=e;e=c[e>>2]|0;Wt(b+8|0);Mt(b)}while((e|0)!=0)}e=a+104|0;b=c[e>>2]|0;c[e>>2]=0;if(b|0)Mt(b);b=c[a+92>>2]|0;if(b|0){e=b;do{b=e;e=c[e>>2]|0;Wt(b+8|0);Mt(b)}while((e|0)!=0)}e=a+84|0;b=c[e>>2]|0;c[e>>2]=0;if(b|0)Mt(b);b=c[a+72>>2]|0;if(b|0){e=a+76|0;d=c[e>>2]|0;if((d|0)!=(b|0))c[e>>2]=d+(~((d+-4-b|0)>>>2)<<2);Mt(b)}b=c[a+60>>2]|0;if(b|0){d=a+64|0;e=c[d>>2]|0;if((e|0)!=(b|0))c[d>>2]=e+(~((e+-4-b|0)>>>2)<<2);Mt(b)}b=c[a+48>>2]|0;if(!b){f=a+16|0;Fn(f);Wt(a);return}e=a+52|0;d=c[e>>2]|0;if((d|0)!=(b|0))c[e>>2]=d+(~((d+-4-b|0)>>>2)<<2);Mt(b);f=a+16|0;Fn(f);Wt(a);return}function Oe(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=3008;b=a+52|0;d=c[b>>2]|0;if(d|0){e=d;do{d=e;e=c[e+4>>2]|0;Sa[c[(c[d>>2]|0)+4>>2]&255](d)}while((e|0)!=0)}c[a+56>>2]=0;c[b>>2]=0;c[a+60>>2]=0;Wt(a+32|0);return}function Pe(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=3008;b=a+52|0;d=c[b>>2]|0;if(d|0){e=d;do{d=e;e=c[e+4>>2]|0;Sa[c[(c[d>>2]|0)+4>>2]&255](d)}while((e|0)!=0)}c[a+56>>2]=0;c[b>>2]=0;c[a+60>>2]=0;Wt(a+32|0);Mt(a);return}function Qe(a){a=a|0;c[a>>2]=3024;Ne(a+32|0);return}function Re(a){a=a|0;c[a>>2]=3024;Ne(a+32|0);Mt(a);return}function Se(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0;d=l;l=l+96|0;e=d+48|0;f=d;g=d+12|0;if((ec(a,22)|0)==1){h=1;l=d;return h|0}i=a+92|0;if(!(c[i>>2]|0)){j=a+96|0;do{Zb(e,c[a>>2]|0,a);k=c[i>>2]|0;c[i>>2]=k+1;m=a+20+(((c[j>>2]|0)+k&1)*36|0)|0;qm(m);om(m,e);qm(e)}while(!(c[i>>2]|0));n=j}else n=a+96|0;switch(c[a+20+((c[n>>2]&1)*36|0)+16>>2]|0){case 16:{o=0;break}case 34:{o=1;break}case 23:{o=2;break}case 18:{o=3;break}case 14:{o=4;break}default:{c[f>>2]=0;c[f+4>>2]=0;c[f+8>>2]=0;Rt(f,21943,16);n=Kt(12)|0;c[e>>2]=n;c[e+8>>2]=n+12;Qt(n,f);c[e+4>>2]=n+12;j=gc(a,e,0)|0;Wt(n);Mt(n);Wt(f);h=j;l=d;return h|0}}c[b+12>>2]=o;o=a+96|0;om(g,a+20+((c[o>>2]&1)*36|0)|0);j=a+20+((c[o>>2]&1)*36|0)|0;qm(j);c[j>>2]=0;c[j+4>>2]=0;c[j+8>>2]=0;c[j+12>>2]=0;c[j+16>>2]=0;c[o>>2]=c[o>>2]&1^1;c[i>>2]=(c[i>>2]|0)+-1;qm(g);if((jc(a,b+16|0)|0)==1){h=1;l=d;return h|0}else{h=(ec(a,31)|0)==1&1;l=d;return h|0}return 0}function Te(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=3040;b=c[a+44>>2]|0;if(b|0){d=a+48|0;e=c[d>>2]|0;if((e|0)!=(b|0))c[d>>2]=e+(~((e+-4-b|0)>>>2)<<2);Mt(b)}Wt(a+32|0);return}function Ue(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=3040;b=c[a+44>>2]|0;if(b|0){d=a+48|0;e=c[d>>2]|0;if((e|0)!=(b|0))c[d>>2]=e+(~((e+-4-b|0)>>>2)<<2);Mt(b)}Wt(a+32|0);Mt(a);return}function Ve(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;d=a+12|0;if(c[d>>2]|0){e=a+8|0;f=c[e>>2]|0;if(f|0){g=f;do{f=g;g=c[g>>2]|0;Wt(f+8|0);Mt(f)}while((g|0)!=0)}c[e>>2]=0;e=c[a+4>>2]|0;if(e|0){g=0;do{c[(c[a>>2]|0)+(g<<2)>>2]=0;g=g+1|0}while((g|0)!=(e|0))}c[d>>2]=0}e=c[b>>2]|0;c[b>>2]=0;g=c[a>>2]|0;c[a>>2]=e;if(g|0)Mt(g);g=b+4|0;e=a+4|0;c[e>>2]=c[g>>2];c[g>>2]=0;g=b+12|0;f=c[g>>2]|0;c[d>>2]=f;c[a+16>>2]=c[b+16>>2];d=b+8|0;b=c[d>>2]|0;h=a+8|0;c[h>>2]=b;if(!f)return;f=c[b+4>>2]|0;b=c[e>>2]|0;e=b+-1|0;if(!(e&b))i=e&f;else i=(f>>>0)%(b>>>0)|0;c[(c[a>>2]|0)+(i<<2)>>2]=h;c[d>>2]=0;c[g>>2]=0;return}function We(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;d=l;l=l+176|0;e=d+128|0;f=d+112|0;h=d+96|0;i=d+60|0;j=d+24|0;k=d+16|0;m=d;if((ec(a,22)|0)==1){n=1;l=d;return n|0}$b(f,a);if((ec(a,24)|0)==1)o=1;else{c[h>>2]=0;c[h+4>>2]=0;c[h+8>>2]=0;ic(a,h);p=a+92|0;if(!(c[p>>2]|0)){q=a+96|0;do{Zb(e,c[a>>2]|0,a);r=c[p>>2]|0;c[p>>2]=r+1;s=a+20+(((c[q>>2]|0)+r&1)*36|0)|0;qm(s);om(s,e);qm(e)}while(!(c[p>>2]|0));t=q}else t=a+96|0;a:do switch(c[a+20+((c[t>>2]&1)*36|0)+16>>2]|0){case 10:{q=a+96|0;om(i,a+20+((c[q>>2]&1)*36|0)|0);s=a+20+((c[q>>2]&1)*36|0)|0;qm(s);c[s>>2]=0;c[s+4>>2]=0;c[s+8>>2]=0;c[s+12>>2]=0;c[s+16>>2]=0;c[q>>2]=c[q>>2]&1^1;c[p>>2]=(c[p>>2]|0)+-1;qm(i);c[e>>2]=0;q=e+4|0;c[q>>2]=0;c[e+8>>2]=0;if(!(Hd(a,e)|0)){s=c[e>>2]|0;if(s|0){if((c[q>>2]|0)!=(s|0))c[q>>2]=s;Mt(s)}u=1;break a}s=Kt(48)|0;c[s+4>>2]=1;c[s>>2]=3096;r=s+8|0;v=r;w=v+40|0;do{c[v>>2]=0;v=v+4|0}while((v|0)<(w|0));Xt(s+24|0,h)|0;c[r>>2]=c[f>>2];c[r+4>>2]=c[f+4>>2];c[r+8>>2]=c[f+8>>2];c[r+12>>2]=c[f+12>>2];x=s+36|0;y=c[x>>2]|0;z=s+40|0;if(!y)A=s+44|0;else{if((c[z>>2]|0)!=(y|0))c[z>>2]=y;Mt(y);y=s+44|0;c[y>>2]=0;c[z>>2]=0;c[x>>2]=0;A=y}c[x>>2]=c[e>>2];c[z>>2]=c[q>>2];z=e+8|0;c[A>>2]=c[z>>2];c[z>>2]=0;c[q>>2]=0;c[e>>2]=0;z=c[b>>2]|0;c[b>>2]=s;if(z|0?(Sa[c[(c[z>>2]|0)+4>>2]&255](z),z=c[e>>2]|0,z|0):0){if((c[q>>2]|0)!=(z|0))c[q>>2]=z;Mt(z)}B=55;break}case 28:{z=a+96|0;om(j,a+20+((c[z>>2]&1)*36|0)|0);x=a+20+((c[z>>2]&1)*36|0)|0;qm(x);c[x>>2]=0;c[x+4>>2]=0;c[x+8>>2]=0;c[x+12>>2]=0;c[x+16>>2]=0;c[z>>2]=c[z>>2]&1^1;c[p>>2]=(c[p>>2]|0)+-1;qm(j);c[e>>2]=0;z=e+4|0;c[z>>2]=0;c[e+8>>2]=0;if(!(Hd(a,e)|0)){x=c[e>>2]|0;if(x|0){if((c[z>>2]|0)!=(x|0))c[z>>2]=x;Mt(x)}u=1;break a}x=Kt(48)|0;c[x+4>>2]=2;c[x>>2]=3116;y=x+8|0;v=y;w=v+40|0;do{c[v>>2]=0;v=v+4|0}while((v|0)<(w|0));Xt(x+24|0,h)|0;c[y>>2]=c[f>>2];c[y+4>>2]=c[f+4>>2];c[y+8>>2]=c[f+8>>2];c[y+12>>2]=c[f+12>>2];q=x+36|0;s=c[q>>2]|0;r=x+40|0;if(!s)C=x+44|0;else{if((c[r>>2]|0)!=(s|0))c[r>>2]=s;Mt(s);s=x+44|0;c[s>>2]=0;c[r>>2]=0;c[q>>2]=0;C=s}c[q>>2]=c[e>>2];c[r>>2]=c[z>>2];r=e+8|0;c[C>>2]=c[r>>2];c[r>>2]=0;c[z>>2]=0;c[e>>2]=0;r=c[b>>2]|0;c[b>>2]=x;if(r|0?(Sa[c[(c[r>>2]|0)+4>>2]&255](r),r=c[e>>2]|0,r|0):0){if((c[z>>2]|0)!=(r|0))c[z>>2]=r;Mt(r)}B=55;break}default:{r=Kt(340)|0;q=r;c[q>>2]=0;c[q+4>>2]=0;c[r>>2]=3136;q=r+8|0;Tu(q|0,0,208)|0;g[r+216>>2]=1.0;s=r+220|0;c[s>>2]=0;c[s+4>>2]=0;c[s+8>>2]=0;c[s+12>>2]=0;g[r+236>>2]=1.0;s=r+240|0;c[s>>2]=0;c[s+4>>2]=0;c[s+8>>2]=0;c[s+12>>2]=0;g[r+256>>2]=1.0;s=r+260|0;c[s>>2]=0;c[s+4>>2]=0;c[s+8>>2]=0;c[s+12>>2]=0;g[r+276>>2]=1.0;s=r+280|0;c[s>>2]=0;c[s+4>>2]=0;c[s+8>>2]=0;c[s+12>>2]=0;g[r+296>>2]=1.0;s=r+300|0;c[s>>2]=0;c[s+4>>2]=0;c[s+8>>2]=0;c[s+12>>2]=0;g[r+316>>2]=1.0;s=r+320|0;c[s>>2]=0;c[s+4>>2]=0;c[s+8>>2]=0;c[s+12>>2]=0;g[r+336>>2]=1.0;Xt(r+24|0,h)|0;c[q>>2]=c[f>>2];c[q+4>>2]=c[f+4>>2];c[q+8>>2]=c[f+8>>2];c[q+12>>2]=c[f+12>>2];ac(k,a);if(((c[k>>2]|0)==22?(s=(c[k+4>>2]|0)+-11|0,s>>>0<26):0)?(46141883>>>(s&67108863)&1|0)!=0:0){if((Qd(a,q)|0)==1){Sa[c[(c[r>>2]|0)+4>>2]&255](r);u=1;break a}}else{if(!(c[p>>2]|0)){q=a+96|0;do{Zb(e,c[a>>2]|0,a);s=c[p>>2]|0;c[p>>2]=s+1;D=a+20+(((c[q>>2]|0)+s&1)*36|0)|0;qm(D);om(D,e);qm(e)}while(!(c[p>>2]|0));E=q}else E=a+96|0;if((c[a+20+((c[E>>2]&1)*36|0)+16>>2]|0)!=31){cc(a,22)|0;c[m>>2]=0;c[m+4>>2]=0;c[m+8>>2]=0;Rt(m,21009,14);q=Kt(12)|0;c[e>>2]=q;c[e+8>>2]=q+12;Qt(q,m);c[e+4>>2]=q+12;z=gc(a,e,0)|0;Wt(q);Mt(q);Wt(m);Sa[c[(c[r>>2]|0)+4>>2]&255](r);u=z;break a}}z=c[b>>2]|0;c[b>>2]=r;if(!z)B=55;else{Sa[c[(c[z>>2]|0)+4>>2]&255](z);B=55}}}while(0);if((B|0)==55)u=(ec(a,31)|0)==1&1;Wt(h);o=u}n=o;l=d;return n|0}function Xe(a){a=a|0;Mt(a);return}function Ye(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,m=0,n=0;g=l;l=l+64|0;f=g+48|0;h=g+8|0;i=g;j=g+32|0;k=g+16|0;m=c[d+4>>2]|0;d=c[b+12>>2]|0;n=c[b+8>>2]|0;if((m|0)==-1){c[j>>2]=c[n>>2];c[j+4>>2]=c[n+4>>2];c[j+8>>2]=c[n+8>>2];c[j+12>>2]=c[n+12>>2];c[i>>2]=(a[e+11>>0]|0)<0?c[e>>2]|0:e;c[f>>2]=c[j>>2];c[f+4>>2]=c[j+4>>2];c[f+8>>2]=c[j+8>>2];c[f+12>>2]=c[j+12>>2];_b(d,f,22435,i);l=g;return 1}else{c[k>>2]=c[n>>2];c[k+4>>2]=c[n+4>>2];c[k+8>>2]=c[n+8>>2];c[k+12>>2]=c[n+12>>2];n=(a[e+11>>0]|0)<0?c[e>>2]|0:e;c[h>>2]=m;c[h+4>>2]=n;c[f>>2]=c[k>>2];c[f+4>>2]=c[k+4>>2];c[f+8>>2]=c[k+8>>2];c[f+12>>2]=c[k+12>>2];_b(d,f,22462,h);l=g;return 1}return 0}function Ze(a){a=a|0;return 0}function _e(a){a=a|0;c[a>>2]=3056;sb(a+8|0);return}function $e(a){a=a|0;c[a>>2]=3056;sb(a+8|0);Mt(a);return}function af(a){a=a|0;c[a>>2]=3136;sb(a+8|0);return}function bf(a){a=a|0;c[a>>2]=3136;sb(a+8|0);Mt(a);return}function cf(a){a=a|0;return a+8|0}function df(a){a=a|0;var b=0,d=0;c[a>>2]=3116;b=c[a+36>>2]|0;if(b|0){d=a+40|0;if((c[d>>2]|0)!=(b|0))c[d>>2]=b;Mt(b)}Wt(a+24|0);return}function ef(a){a=a|0;var b=0,d=0;c[a>>2]=3116;b=c[a+36>>2]|0;if(b|0){d=a+40|0;if((c[d>>2]|0)!=(b|0))c[d>>2]=b;Mt(b)}Wt(a+24|0);Mt(a);return}function ff(a){a=a|0;return a+8|0}function gf(a){a=a|0;var b=0,d=0;c[a>>2]=3096;b=c[a+36>>2]|0;if(b|0){d=a+40|0;if((c[d>>2]|0)!=(b|0))c[d>>2]=b;Mt(b)}Wt(a+24|0);return}function hf(a){a=a|0;var b=0,d=0;c[a>>2]=3096;b=c[a+36>>2]|0;if(b|0){d=a+40|0;if((c[d>>2]|0)!=(b|0))c[d>>2]=b;Mt(b)}Wt(a+24|0);Mt(a);return}function jf(a){a=a|0;return a+8|0}function kf(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;f=l;l=l+112|0;g=f;c[g>>2]=a;c[g+4>>2]=-1;c[g+8>>2]=d;c[g+12>>2]=0;c[g+16>>2]=e;e=g+20|0;c[e>>2]=0;c[e+4>>2]=0;c[e+8>>2]=0;c[e+12>>2]=0;c[e+16>>2]=0;e=g+56|0;c[e>>2]=0;c[e+4>>2]=0;c[e+8>>2]=0;c[e+12>>2]=0;c[e+16>>2]=0;d=g+92|0;c[d>>2]=0;a=g+96|0;c[a>>2]=0;h=Nd(g,b)|0;b=c[d>>2]|0;if(!b){qm(e);i=g+20|0;qm(i);l=f;return h|0}else j=b;do{b=g+20+((j+1+(c[a>>2]|0)&1)*36|0)|0;qm(b);c[b>>2]=0;c[b+4>>2]=0;c[b+8>>2]=0;c[b+12>>2]=0;c[b+16>>2]=0;j=(c[d>>2]|0)+-1|0;c[d>>2]=j}while((j|0)!=0);qm(e);i=g+20|0;qm(i);l=f;return h|0}function lf(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;h=b+16|0;i=g;if((g|0)==(a|0))if((c[h>>2]|0)==(b|0)){Ta[c[(c[g>>2]|0)+12>>2]&31](g,e);j=c[f>>2]|0;Sa[c[(c[j>>2]|0)+16>>2]&255](j);c[f>>2]=0;j=c[h>>2]|0;Ta[c[(c[j>>2]|0)+12>>2]&31](j,a);j=c[h>>2]|0;Sa[c[(c[j>>2]|0)+16>>2]&255](j);c[h>>2]=0;c[f>>2]=a;Ta[c[(c[e>>2]|0)+12>>2]&31](e,b);Sa[c[(c[e>>2]|0)+16>>2]&255](e);c[h>>2]=b;l=d;return}else{Ta[c[(c[g>>2]|0)+12>>2]&31](g,b);g=c[f>>2]|0;Sa[c[(c[g>>2]|0)+16>>2]&255](g);c[f>>2]=c[h>>2];c[h>>2]=b;l=d;return}else{g=c[h>>2]|0;if((g|0)==(b|0)){Ta[c[(c[g>>2]|0)+12>>2]&31](g,a);b=c[h>>2]|0;Sa[c[(c[b>>2]|0)+16>>2]&255](b);c[h>>2]=c[f>>2];c[f>>2]=a;l=d;return}else{c[f>>2]=g;c[h>>2]=i;l=d;return}}}function mf(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0;e=l;l=l+208|0;f=e+200|0;g=e+192|0;h=e+184|0;i=e+176|0;j=e+168|0;k=e+160|0;m=e+152|0;n=e+144|0;o=e+136|0;p=e+128|0;q=e+120|0;r=e+112|0;s=e+104|0;t=e+96|0;u=e+88|0;v=e+80|0;w=e+72|0;x=e+64|0;y=e+56|0;z=e+48|0;A=e+40|0;B=e+32|0;C=e+24|0;D=e;E=b+12|0;c[E>>2]=d;F=b+20|0;G=b+24|0;H=b+28|0;I=b+32|0;J=b+36|0;K=d+28|0;c[F>>2]=0;c[F+4>>2]=0;c[F+8>>2]=0;c[F+12>>2]=0;c[F+16>>2]=0;L=c[K>>2]|0;do if(L|0){M=b+16|0;N=b+96|0;O=b+40|0;P=0;Q=L;a:while(1){R=Q;b:do switch(c[R+28>>2]|0){case 10:{c[J>>2]=(c[J>>2]|0)+1;S=R+12|0;T=Q;U=c[T+44>>2]|0;V=c[T+48>>2]|0;if((U|0)==(V|0))W=P;else{T=U;while(1){U=c[T>>2]|0;if(U>>>0<=4294967291){X=U+64|0;switch(X>>>4|X<<28|0){case 3:{Y=42057;break}case 2:{Y=42052;break}case 0:{Y=42047;break}case 4:{Y=42043;break}default:{Z=32;break a}}c[z>>2]=Y;nf(b,S,23080,z)}T=T+4|0;if((T|0)==(V|0)){W=P;break}}}break}case 0:{V=R+12|0;T=Q;c[M>>2]=T+32;do if(a[T+44>>0]|0){S=c[E>>2]|0;X=c[S+120>>2]|0;U=(c[S+124>>2]|0)-X>>2;S=c[T+68>>2]|0;if(S>>>0<U>>>0){_=c[X+(S<<2)>>2]|0;pf(b,V,T+92|0,_+24|0,28298);pf(b,V,T+80|0,_+12|0,22997);break}else{c[y>>2]=27113;c[y+4>>2]=U;nf(b,T+48|0,23026,y);break}}while(0);U=T+92|0;if((c[T+96>>2]|0)-(c[U>>2]|0)>>2>>>0>1){nf(b,V,23107,x);W=P;break b}c[N>>2]=V;po(O,U)|0;U=c[T+156>>2]|0;if(U|0){_=U;do{qf(b,_);_=c[_+4>>2]|0}while((_|0)!=0)}ep(O)|0;c[M>>2]=0;W=P;break}case 1:{_=Q;of(b,R+12|0,_+52|0,c[_+44>>2]|0,23155);c[H>>2]=(c[H>>2]|0)+1;W=P;break}case 2:{_=R+12|0;T=c[Q+32>>2]|0;switch(c[T+28>>2]|0){case 4:{c[J>>2]=(c[J>>2]|0)+1;V=c[T+44>>2]|0;U=c[T+48>>2]|0;if((V|0)==(U|0)){W=P;break b}else $=V;while(1){V=c[$>>2]|0;if(V>>>0<=4294967291){S=V+64|0;switch(S>>>4|S<<28|0){case 3:{aa=42057;break}case 2:{aa=42052;break}case 0:{aa=42047;break}case 4:{aa=42043;break}default:{Z=52;break a}}c[w>>2]=aa;nf(b,_,23080,w)}$=$+4|0;if(($|0)==(U|0)){W=P;break}}break}case 0:{if(!(a[T+44>>0]|0)){W=P;break b}U=T+48|0;S=c[E>>2]|0;V=(c[S+124>>2]|0)-(c[S+120>>2]|0)>>2;if((c[U+20>>2]|0)>>>0<V>>>0){W=P;break b}c[v>>2]=27113;c[v+4>>2]=V;nf(b,U,23026,v);W=P;break b;break}case 1:{if((c[F>>2]|0)==1)nf(b,_,23185,u);rf(b,_,T+48|0,-1,0,23208,1);c[F>>2]=(c[F>>2]|0)+1;W=P;break b;break}case 2:{if((c[G>>2]|0)==1)nf(b,_,23214,t);rf(b,_,T+48|0,65536,0,23244,0);c[G>>2]=(c[G>>2]|0)+1;W=P;break b;break}case 3:{if(a[T+48>>0]|0)nf(b,_,23250,s);c[I>>2]=(c[I>>2]|0)+1;c[H>>2]=(c[H>>2]|0)+1;W=P;break b;break}default:{W=P;break b}}break}case 3:{U=Q;switch(c[U+44>>2]|0){case 4:{V=c[E>>2]|0;S=(c[V+64>>2]|0)-(c[V+60>>2]|0)>>2;if((c[U+68>>2]|0)>>>0<S>>>0){W=P;break b}c[r>>2]=28212;c[r+4>>2]=S;nf(b,U+48|0,23026,r);W=P;break b;break}case 0:{S=c[E>>2]|0;V=(c[S+76>>2]|0)-(c[S+72>>2]|0)>>2;if((c[U+68>>2]|0)>>>0<V>>>0){W=P;break b}c[q>>2]=32324;c[q+4>>2]=V;nf(b,U+48|0,23026,q);W=P;break b;break}case 1:{V=c[E>>2]|0;S=(c[V+136>>2]|0)-(c[V+132>>2]|0)>>2;if((c[U+68>>2]|0)>>>0<S>>>0){W=P;break b}c[p>>2]=28320;c[p+4>>2]=S;nf(b,U+48|0,23026,p);W=P;break b;break}case 2:{S=c[E>>2]|0;V=(c[S+160>>2]|0)-(c[S+156>>2]|0)>>2;if((c[U+68>>2]|0)>>>0<V>>>0){W=P;break b}c[o>>2]=28259;c[o+4>>2]=V;nf(b,U+48|0,23026,o);W=P;break b;break}case 3:{V=U+48|0;S=c[E>>2]|0;X=c[S+84>>2]|0;ba=(c[S+88>>2]|0)-X>>2;S=c[U+68>>2]|0;if(S>>>0>=ba>>>0){c[n>>2]=28230;c[n+4>>2]=ba;nf(b,V,23026,n);W=P;break b}if(!(a[(c[X+(S<<2)>>2]|0)+16>>0]|0)){W=P;break b}nf(b,V,23285,m);W=P;break b;break}default:{W=P;break b}}break}case 5:{V=R+12|0;if((c[F>>2]|0)==1)nf(b,V,23185,k);rf(b,V,Q+48|0,-1,0,23208,1);c[F>>2]=(c[F>>2]|0)+1;W=P;break}case 9:{if(P)nf(b,R+12|0,23320,i);V=Q;S=c[E>>2]|0;X=c[S+72>>2]|0;ba=(c[S+76>>2]|0)-X>>2;S=c[V+52>>2]|0;if(S>>>0>=ba>>>0){c[h>>2]=32324;c[h+4>>2]=ba;nf(b,V+32|0,23026,h);W=1;break b}V=c[X+(S<<2)>>2]|0;S=V;if(V){if((c[S+52>>2]|0)!=(c[S+48>>2]|0))nf(b,R+12|0,23352,g);if((c[S+64>>2]|0)!=(c[S+60>>2]|0)){nf(b,R+12|0,23383,f);W=1}else W=1}else W=1;break}case 7:{S=R+12|0;if((c[G>>2]|0)==1)nf(b,S,23214,j);rf(b,S,Q+48|0,65536,0,23244,0);c[G>>2]=(c[G>>2]|0)+1;W=P;break}default:W=P}while(0);Q=c[Q+4>>2]|0;if(!Q){Z=3;break}else P=W}if((Z|0)==3){P=c[K>>2]|0;if(!P)break;else ca=P;do{P=ca;Q=ca;do if((c[P+28>>2]|0)==6){M=c[E>>2]|0;O=(c[M+136>>2]|0)-(c[M+132>>2]|0)>>2;if((c[Q+52>>2]|0)>>>0>=O>>>0){c[B>>2]=28320;c[B+4>>2]=O;nf(b,Q+32|0,23026,B);break}O=c[Q+76>>2]|0;N=c[Q+80>>2]|0;c:do if((O|0)!=(N|0)){R=O;S=M;while(1){V=(c[S+76>>2]|0)-(c[S+72>>2]|0)>>2;if((c[R+20>>2]|0)>>>0>=V>>>0){c[C>>2]=32324;c[C+4>>2]=V;nf(b,R,23026,C)}V=R+32|0;if((V|0)==(N|0))break c;R=V;S=c[E>>2]|0}}while(0);of(b,P+12|0,Q+64|0,-1,23006)}while(0);ca=c[ca+4>>2]|0}while((ca|0)!=0);Q=c[K>>2]|0;if(!Q)break;else da=Q;do{Q=da;P=da;do if((c[Q+28>>2]|0)==8){N=c[E>>2]|0;M=(c[N+160>>2]|0)-(c[N+156>>2]|0)>>2;if((c[P+52>>2]|0)>>>0<M>>>0){of(b,Q+12|0,P+64|0,-1,23060);break}else{c[A>>2]=28259;c[A+4>>2]=M;nf(b,P+32|0,23026,A);break}}while(0);da=c[da+4>>2]|0}while((da|0)!=0)}}while(0);da=D+16|0;c[D>>2]=3200;c[D+4>>2]=b;c[da>>2]=D;Wi(d+252|0,D);d=c[da>>2]|0;if((d|0)==(D|0)){Sa[c[(c[d>>2]|0)+16>>2]&255](d);ea=b+100|0;fa=c[ea>>2]|0;l=e;return fa|0}if(!d){ea=b+100|0;fa=c[ea>>2]|0;l=e;return fa|0}Sa[c[(c[d>>2]|0)+20>>2]&255](d);ea=b+100|0;fa=c[ea>>2]|0;l=e;return fa|0}function nf(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0;f=l;l=l+16|0;g=f;c[a+100>>2]=1;c[g>>2]=e;$n(c[a>>2]|0,b,c[a+4>>2]|0,d,g);l=f;return}function of(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;h=l;l=l+64|0;i=h+40|0;j=h+32|0;k=h+24|0;m=h+16|0;n=h+8|0;o=h;switch(c[e+8>>2]|0){case 0:{p=d;q=-64;break}case 1:{r=3;break}default:{c[o>>2]=g;nf(b,d,24465,o);l=h;return}}a:do if((r|0)==3){o=c[e>>2]|0;d=o+12|0;switch(c[o+28>>2]|0){case 12:{p=d;q=c[o+48>>2]|0;break a;break}case 16:{s=c[b+12>>2]|0;t=c[s+84>>2]|0;u=(c[s+88>>2]|0)-t>>2;s=c[o+52>>2]|0;if(s>>>0>=u>>>0){c[k>>2]=28230;c[k+4>>2]=u;nf(b,o+32|0,23026,k);l=h;return}o=c[t+(s<<2)>>2]|0;t=c[o+12>>2]|0;if(s>>>0>=(c[b+32>>2]|0)>>>0)nf(b,d,24538,n);if(!(a[o+16>>0]|0)){p=d;q=t;break a}nf(b,d,24599,m);p=d;q=t;break a;break}default:{c[j>>2]=g;nf(b,d,24465,j);l=h;return}}}while(0);if((q|0)==(f|0)){l=h;return}switch(q|0){case -1:{v=42077;break}case -2:{v=42073;break}case -3:{v=42069;break}case -4:{v=42065;break}case -16:{v=42057;break}case -32:{v=42052;break}case -64:{v=42047;break}case 0:{v=42043;break}default:{}}switch(f|0){case -1:{w=42077;break}case -2:{w=42073;break}case -3:{w=42069;break}case -4:{w=42065;break}case -16:{w=42057;break}case -32:{w=42052;break}case -64:{w=42047;break}case 0:{w=42043;break}default:{}}c[i>>2]=g;c[i+4>>2]=v;c[i+8>>2]=w;nf(b,p,24656,i);l=h;return}function pf(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;g=l;l=l+48|0;h=g+24|0;i=g;j=d+4|0;k=c[j>>2]|0;m=c[d>>2]|0;n=k-m>>2;o=c[e>>2]|0;p=(c[e+4>>2]|0)-o>>2;if((n|0)!=(p|0)){c[h>>2]=p;c[h+4>>2]=f;c[h+8>>2]=n;nf(a,b,23995,h);l=g;return}if((k|0)==(m|0)){l=g;return}h=0;n=m;m=o;o=k;a:while(1){k=c[n+(h<<2)>>2]|0;p=c[m+(h<<2)>>2]|0;if((k|0)!=0&((p|0)!=(k|0)&(p|0)!=0)){switch(k|0){case -1:{q=42077;break}case -2:{q=42073;break}case -3:{q=42069;break}case -4:{q=42065;break}case -16:{q=42057;break}case -32:{q=42052;break}case -64:{q=42047;break}default:{r=12;break a}}switch(p|0){case -1:{s=42077;break}case -2:{s=42073;break}case -3:{s=42069;break}case -4:{s=42065;break}case -16:{s=42057;break}case -32:{s=42052;break}case -64:{s=42047;break}default:{r=20;break a}}c[i>>2]=f;c[i+4>>2]=h;c[i+8>>2]=32324;c[i+12>>2]=q;c[i+16>>2]=s;nf(a,b,22946,i);t=c[j>>2]|0;u=c[d>>2]|0}else{t=o;u=n}p=h+1|0;if(p>>>0>=t-u>>2>>>0){r=25;break}h=p;n=u;m=c[e>>2]|0;o=t}if((r|0)!=12)if((r|0)!=20)if((r|0)==25){l=g;return}}function qf(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0;e=l;l=l+480|0;f=e+400|0;g=e+392|0;h=e+384|0;i=e+376|0;j=e+368|0;k=e+360|0;m=e+352|0;n=e+344|0;o=e+336|0;p=e+328|0;q=e+320|0;r=e+312|0;s=e+304|0;t=e+296|0;u=e+288|0;v=e+280|0;w=e+272|0;x=e+264|0;y=e+256|0;z=e+248|0;A=e+240|0;B=e+232|0;C=e+224|0;D=e+216|0;E=e+208|0;F=e+200|0;G=e+192|0;H=e+184|0;I=e+176|0;J=e+168|0;K=e+160|0;L=e+152|0;M=e+144|0;N=e+136|0;O=e+128|0;P=e+120|0;Q=e+112|0;R=e+104|0;S=e+96|0;T=e+88|0;U=e+80|0;V=e+72|0;W=e+64|0;X=e+56|0;Y=e+48|0;Z=e+40|0;_=e;$=e+408|0;aa=e+404|0;ba=e+464|0;ca=e+460|0;da=e+456|0;ea=e+452|0;fa=e+448|0;ga=e+444|0;ha=d+12|0;c[b+96>>2]=ha;do switch(c[d+28>>2]|0){case 0:{ia=d+32|0;ja=c[ia>>2]|0;c[f>>2]=ja;c[_>>2]=ja;ja=c[b+12>>2]|0;ka=c[ja+156>>2]|0;if((c[ja+160>>2]|0)!=(ka|0)){if(!(a[(c[ka>>2]|0)+33>>0]|0)){vm(_,f);c[Y>>2]=c[_>>2];nf(b,ha,23613,Y)}}else{vm($,_);c[Z>>2]=c[$>>2];nf(b,ha,23570,Z)}ka=c[d+36>>2]|0;c[f>>2]=c[ia>>2];vm(_,f);ja=c[_+20>>2]|0;if((ka|0)!=-1){if(!((ka|0)!=0&(ka+-1&ka|0)==0))nf(b,ha,23646,X);if((ka|0)!=(ja|0)){c[W>>2]=ja;nf(b,ha,23677,W)}}c[aa>>2]=c[ia>>2];c[f>>2]=c[aa>>2];qo(b+40|0,f)|0;l=e;return}case 2:{ia=d+32|0;ja=c[ia>>2]|0;c[f>>2]=ja;c[_>>2]=ja;ja=c[b+12>>2]|0;ka=c[ja+156>>2]|0;if((c[ja+160>>2]|0)!=(ka|0)){if(!(a[(c[ka>>2]|0)+33>>0]|0)){vm(_,f);c[U>>2]=c[_>>2];nf(b,ha,23613,U)}}else{vm($,_);c[V>>2]=c[$>>2];nf(b,ha,23570,V)}ka=c[d+36>>2]|0;c[f>>2]=c[ia>>2];vm(_,f);ja=c[_+20>>2]|0;if((ka|0)!=-1){if(!((ka|0)!=0&(ka+-1&ka|0)==0))nf(b,ha,23646,T);if((ka|0)!=(ja|0)){c[S>>2]=ja;nf(b,ha,23677,S)}}c[aa>>2]=c[ia>>2];c[f>>2]=c[aa>>2];so(b+40|0,f)|0;l=e;return}case 3:{ia=d+32|0;ja=c[ia>>2]|0;c[f>>2]=ja;c[_>>2]=ja;ja=c[b+12>>2]|0;ka=c[ja+156>>2]|0;if((c[ja+160>>2]|0)!=(ka|0)){if(!(a[(c[ka>>2]|0)+33>>0]|0)){vm(_,f);c[Q>>2]=c[_>>2];nf(b,ha,23613,Q)}}else{vm($,_);c[R>>2]=c[$>>2];nf(b,ha,23570,R)}ka=c[d+36>>2]|0;c[f>>2]=c[ia>>2];vm(_,f);ja=c[_+20>>2]|0;if((ka|0)!=-1){if(!((ka|0)!=0&(ka+-1&ka|0)==0))nf(b,ha,23646,P);if((ka|0)!=(ja|0)){c[O>>2]=ja;nf(b,ha,23677,O)}}c[aa>>2]=c[ia>>2];c[f>>2]=c[aa>>2];to(b+40|0,f)|0;l=e;return}case 1:{ia=d+32|0;ja=c[ia>>2]|0;c[f>>2]=ja;c[_>>2]=ja;ja=c[b+12>>2]|0;ka=c[ja+156>>2]|0;if((c[ja+160>>2]|0)!=(ka|0)){if(!(a[(c[ka>>2]|0)+33>>0]|0)){vm(_,f);c[M>>2]=c[_>>2];nf(b,ha,23613,M)}}else{vm($,_);c[N>>2]=c[$>>2];nf(b,ha,23570,N)}ka=c[d+36>>2]|0;c[f>>2]=c[ia>>2];vm(_,f);ja=c[_+20>>2]|0;if((ka|0)!=-1){if(!((ka|0)!=0&(ka+-1&ka|0)==0))nf(b,ha,23646,L);if((ka|0)!=(ja|0)){c[K>>2]=ja;nf(b,ha,23677,K)}}c[aa>>2]=c[ia>>2];c[f>>2]=c[aa>>2];ro(b+40|0,f)|0;l=e;return}case 4:{c[ba>>2]=c[d+32>>2];c[f>>2]=c[ba>>2];uo(b+40|0,f)|0;l=e;return}case 5:{ia=d+44|0;c[f>>2]=2;if((c[d+48>>2]|0)-(c[ia>>2]|0)>>2>>>0>1){vm(_,f);c[J>>2]=c[_>>2];nf(b,ha,23727,J)}ja=b+40|0;vo(ja,ia)|0;ia=c[d+56>>2]|0;if(ia|0){ka=ia;do{qf(b,ka);ka=c[ka+4>>2]|0}while((ka|0)!=0)}Mo(ja)|0;l=e;return}case 6:{wo(b+40|0,c[d+52>>2]|0)|0;l=e;return}case 7:{xo(b+40|0,c[d+52>>2]|0)|0;l=e;return}case 8:{ka=b+40|0;yo(ka)|0;ia=c[d+32>>2]|0;la=c[d+36>>2]|0;if((ia|0)!=(la|0)){ma=ia;do{zo(ka,c[ma+20>>2]|0)|0;ma=ma+32|0}while((ma|0)!=(la|0))}zo(ka,c[d+44+20>>2]|0)|0;Ao(ka)|0;l=e;return}case 9:{la=c[b+12>>2]|0;ma=c[la+72>>2]|0;ja=(c[la+76>>2]|0)-ma>>2;la=c[d+52>>2]|0;if(la>>>0<ja>>>0){ia=c[ma+(la<<2)>>2]|0;Bo(b+40|0,ia+48|0,ia+60|0)|0;l=e;return}else{c[I>>2]=32324;c[I+4>>2]=ja;nf(b,d+32|0,23026,I);l=e;return}break}case 10:{ja=b+12|0;ia=c[ja>>2]|0;if((c[ia+136>>2]|0)==(c[ia+132>>2]|0)){nf(b,ha,23787,H);na=c[ja>>2]|0}else na=ia;ia=c[na+120>>2]|0;ja=(c[na+124>>2]|0)-ia>>2;la=c[d+52>>2]|0;if(la>>>0<ja>>>0){ma=c[ia+(la<<2)>>2]|0;Co(b+40|0,ma+12|0,ma+24|0)|0;l=e;return}else{c[G>>2]=27113;c[G+4>>2]=ja;nf(b,d+32|0,23026,G);l=e;return}break}case 11:{c[ca>>2]=c[d+32>>2];c[f>>2]=c[ca>>2];Do(b+40|0,f)|0;l=e;return}case 12:{Go(b+40|0,c[d+48>>2]|0)|0;l=e;return}case 13:{c[da>>2]=c[d+32>>2];c[f>>2]=c[da>>2];Ho(b+40|0,f)|0;l=e;return}case 15:{Jo(b+40|0)|0;l=e;return}case 16:{ja=c[b+12>>2]|0;ma=c[ja+84>>2]|0;la=(c[ja+88>>2]|0)-ma>>2;ja=c[d+52>>2]|0;if(ja>>>0<la>>>0)oa=c[(c[ma+(ja<<2)>>2]|0)+12>>2]|0;else{c[F>>2]=28230;c[F+4>>2]=la;nf(b,d+32|0,23026,F);oa=0}Po(b+40|0,oa)|0;l=e;return}case 17:{Qo(b+40|0,sf(b,d+32|0)|0)|0;l=e;return}case 18:{c[f>>2]=49;la=c[b+12>>2]|0;if((c[la+160>>2]|0)==(c[la+156>>2]|0)){vm(_,f);c[E>>2]=c[_>>2];nf(b,ha,23570,E)}No(b+40|0)|0;l=e;return}case 19:{la=d+44|0;c[f>>2]=4;if((c[d+48>>2]|0)-(c[la>>2]|0)>>2>>>0>1){vm(_,f);c[D>>2]=c[_>>2];nf(b,ha,23727,D)}ja=b+40|0;Oo(ja,la)|0;la=c[d+56>>2]|0;if(la|0){ma=la;do{qf(b,ma);ma=c[ma+4>>2]|0}while((ma|0)!=0)}ma=d+68|0;if(c[ma+8>>2]|0?(Ko(ja)|0,ka=c[ma>>2]|0,ka|0):0){ma=ka;do{qf(b,ma);ma=c[ma+4>>2]|0}while((ma|0)!=0)}Mo(ja)|0;l=e;return}case 20:{ma=d+32|0;ka=c[ma>>2]|0;c[f>>2]=ka;la=c[b+12>>2]|0;if((c[la+160>>2]|0)==(c[la+156>>2]|0)){vm(_,f);c[C>>2]=c[_>>2];nf(b,ha,23570,C);pa=c[ma>>2]|0}else pa=ka;ka=c[d+36>>2]|0;c[f>>2]=pa;vm(_,f);la=c[_+20>>2]|0;if((ka|0)!=-1){if(!((ka|0)!=0&(ka+-1&ka|0)==0))nf(b,ha,23646,B);if(ka>>>0>la>>>0){c[A>>2]=la;nf(b,ha,23830,A)}}c[ea>>2]=c[ma>>2];c[f>>2]=c[ea>>2];Ro(b+40|0,f)|0;l=e;return}case 21:{ma=d+44|0;c[f>>2]=3;if((c[d+48>>2]|0)-(c[ma>>2]|0)>>2>>>0>1){vm(_,f);c[z>>2]=c[_>>2];nf(b,ha,23727,z)}la=b+40|0;So(la,ma)|0;ma=c[d+56>>2]|0;if(ma|0){ka=ma;do{qf(b,ka);ka=c[ka+4>>2]|0}while((ka|0)!=0)}Mo(la)|0;l=e;return}case 14:{c[f>>2]=48;ka=c[b+12>>2]|0;if((c[ka+160>>2]|0)==(c[ka+156>>2]|0)){vm(_,f);c[y>>2]=c[_>>2];nf(b,ha,23570,y)}Io(b+40|0)|0;l=e;return}case 35:{ka=d+32|0;ja=c[ka>>2]|0;c[f>>2]=ja;c[_>>2]=ja;ja=c[b+12>>2]|0;ma=c[ja+156>>2]|0;if((c[ja+160>>2]|0)!=(ma|0)){if(!(a[(c[ma>>2]|0)+33>>0]|0)){vm(_,f);c[i>>2]=c[_>>2];nf(b,ha,23613,i)}}else{vm($,_);c[j>>2]=c[$>>2];nf(b,ha,23570,j)}ma=c[d+36>>2]|0;c[f>>2]=c[ka>>2];vm(_,f);ja=c[_+20>>2]|0;if((ma|0)!=-1){if(!((ma|0)!=0&(ma+-1&ma|0)==0))nf(b,ha,23646,h);if((ma|0)!=(ja|0)){c[g>>2]=ja;nf(b,ha,23677,g)}}c[aa>>2]=c[ka>>2];c[f>>2]=c[aa>>2];dp(b+40|0,f)|0;l=e;return}case 23:{To(b+40|0,c[d+52>>2]|0)|0;l=e;return}case 24:{Vo(b+40|0)|0;l=e;return}case 25:{Wo(b+40|0)|0;l=e;return}case 26:{ka=c[b+12>>2]|0;ja=c[ka+84>>2]|0;ma=(c[ka+88>>2]|0)-ja>>2;ka=c[d+52>>2]|0;if(ka>>>0<ma>>>0)qa=c[(c[ja+(ka<<2)>>2]|0)+12>>2]|0;else{c[x>>2]=28230;c[x+4>>2]=ma;nf(b,d+32|0,23026,x);qa=0}Xo(b+40|0,qa)|0;l=e;return}case 27:{Yo(b+40|0,sf(b,d+32|0)|0)|0;l=e;return}case 28:{ma=d+32|0;ka=c[ma>>2]|0;c[f>>2]=ka;ja=c[b+12>>2]|0;if((c[ja+160>>2]|0)==(c[ja+156>>2]|0)){vm(_,f);c[w>>2]=c[_>>2];nf(b,ha,23570,w);ra=c[ma>>2]|0}else ra=ka;ka=c[d+36>>2]|0;c[f>>2]=ra;vm(_,f);ja=c[_+20>>2]|0;if((ka|0)!=-1){if(!((ka|0)!=0&(ka+-1&ka|0)==0))nf(b,ha,23646,v);if(ka>>>0>ja>>>0){c[u>>2]=ja;nf(b,ha,23830,u)}}c[fa>>2]=c[ma>>2];c[f>>2]=c[fa>>2];Zo(b+40|0,f)|0;l=e;return}case 29:{$o(b+40|0,sf(b,d+32|0)|0)|0;l=e;return}case 30:{ma=c[b+12>>2]|0;ja=c[ma+60>>2]|0;ka=(c[ma+64>>2]|0)-ja>>2;ma=c[d+52>>2]|0;if(ma>>>0<ka>>>0){Uo(b+40|0,(c[ja+(ma<<2)>>2]|0)+12|0)|0;l=e;return}else{c[t>>2]=28212;c[t+4>>2]=ka;nf(b,d+32|0,23026,t);l=e;return}break}case 31:{ka=d+44|0;c[f>>2]=6;if((c[d+48>>2]|0)-(c[ka>>2]|0)>>2>>>0>1){vm(_,f);c[s>>2]=c[_>>2];nf(b,ha,23727,s)}ma=b+40|0;_o(ma,ka)|0;ja=c[d+56>>2]|0;if(ja|0){ia=ja;do{qf(b,ia);ia=c[ia+4>>2]|0}while((ia|0)!=0)}ia=d+68|0;la=c[ia>>2]|0;ja=d+72|0;sa=c[ja>>2]|0;if((la|0)==(sa|0)){nf(b,ha,23887,r);ta=c[ia>>2]|0;ua=c[ja>>2]|0}else{ta=la;ua=sa}if((ta|0)!=(ua|0)){sa=b+12|0;la=0;ja=ta;while(1){Fo(ma,ka)|0;if((c[ja+32>>2]|0)==0?(c[ja+36>>2]|0)==-1:0)va=1;else wa=128;do if((wa|0)==128){wa=0;if(la)nf(b,ja,23928,q);ia=c[sa>>2]|0;xa=c[ia+60>>2]|0;ya=(c[ia+64>>2]|0)-xa>>2;ia=c[ja+36>>2]|0;if(ia>>>0<ya>>>0){Eo(ma,(c[xa+(ia<<2)>>2]|0)+12|0)|0;va=la;break}else{c[p>>2]=28212;c[p+4>>2]=ya;nf(b,ja+16|0,23026,p);va=la;break}}while(0);ya=c[ja+48>>2]|0;if(ya|0){ia=ya;do{qf(b,ia);ia=c[ia+4>>2]|0}while((ia|0)!=0)}ja=ja+60|0;if((ja|0)==(ua|0))break;else la=va}}Mo(ma)|0;l=e;return}case 32:{c[ga>>2]=c[d+32>>2];c[f>>2]=c[ga>>2];ap(b+40|0,f)|0;l=e;return}case 33:{bp(b+40|0)|0;l=e;return}case 34:{la=d+32|0;ja=c[la>>2]|0;c[f>>2]=ja;c[_>>2]=ja;ja=c[b+12>>2]|0;sa=c[ja+156>>2]|0;if((c[ja+160>>2]|0)!=(sa|0)){if(!(a[(c[sa>>2]|0)+33>>0]|0)){vm(_,f);c[n>>2]=c[_>>2];nf(b,ha,23613,n)}}else{vm($,_);c[o>>2]=c[$>>2];nf(b,ha,23570,o)}sa=c[d+36>>2]|0;c[f>>2]=c[la>>2];vm(_,f);ja=c[_+20>>2]|0;if((sa|0)!=-1){if(!((sa|0)!=0&(sa+-1&sa|0)==0))nf(b,ha,23646,m);if((sa|0)!=(ja|0)){c[k>>2]=ja;nf(b,ha,23677,k)}}c[aa>>2]=c[la>>2];c[f>>2]=c[aa>>2];cp(b+40|0,f)|0;l=e;return}default:{l=e;return}}while(0)}function rf(b,d,e,f,g,h,i){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;j=l;l=l+96|0;k=j+88|0;m=j+80|0;n=j+48|0;o=j+24|0;p=j;q=e;r=c[q>>2]|0;s=c[q+4>>2]|0;if(s>>>0>g>>>0|(s|0)==(g|0)&r>>>0>f>>>0){c[p>>2]=h;q=p+8|0;c[q>>2]=r;c[q+4>>2]=s;s=p+16|0;c[s>>2]=f;c[s+4>>2]=g;nf(b,d,23423,p)}p=e+16|0;if(a[p>>0]|0){s=e+8|0;q=s;r=c[q>>2]|0;t=c[q+4>>2]|0;if(t>>>0>g>>>0|(t|0)==(g|0)&r>>>0>f>>>0){c[o>>2]=h;q=o+8|0;c[q>>2]=r;c[q+4>>2]=t;q=o+16|0;c[q>>2]=f;c[q+4>>2]=g;nf(b,d,23459,o);o=s;u=c[o+4>>2]|0;v=c[o>>2]|0}else{u=t;v=r}r=e;t=c[r>>2]|0;o=c[r+4>>2]|0;if(u>>>0<o>>>0|(u|0)==(o|0)&v>>>0<t>>>0){c[n>>2]=h;r=n+8|0;c[r>>2]=v;c[r+4>>2]=u;c[n+16>>2]=h;h=n+24|0;c[h>>2]=t;c[h+4>>2]=o;nf(b,d,23491,n)}}if(!(a[e+17>>0]|0)){l=j;return}if((i|0)==1){nf(b,d,41314,m);l=j;return}if(a[p>>0]|0){l=j;return}nf(b,d,23534,k);l=j;return}function sf(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=l;l=l+16|0;f=e+8|0;g=e;h=b+16|0;i=c[h>>2]|0;j=i+48|0;k=i+52|0;m=((c[i+76>>2]|0)-(c[i+72>>2]|0)>>2)+((c[k>>2]|0)-(c[j>>2]|0)>>2)|0;n=Mm(i,d)|0;if(n>>>0<m>>>0){o=(c[k>>2]|0)-(c[j>>2]|0)>>2;if(n>>>0<o>>>0){p=i+48|0;q=n}else{p=(c[h>>2]|0)+72|0;q=n-o|0}r=c[(c[p>>2]|0)+(q<<2)>>2]|0;l=e;return r|0}if((c[d+16>>2]|0)!=1){c[f>>2]=m;nf(b,d,23958,f);r=0;l=e;return r|0}f=d+20|0;if((a[f+11>>0]|0)<0)s=c[f>>2]|0;else s=f;c[g>>2]=s;nf(b,d,27525,g);r=0;l=e;return r|0}function tf(a){a=a|0;return}function uf(a){a=a|0;Mt(a);return}function vf(a){a=a|0;var b=0;b=Kt(8)|0;c[b>>2]=3200;c[b+4>>2]=c[a+4>>2];return b|0}function wf(a,b){a=a|0;b=b|0;c[b>>2]=3200;c[b+4>>2]=c[a+4>>2];return}function xf(a){a=a|0;return}function yf(a){a=a|0;Mt(a);return}function zf(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=l;l=l+16|0;g=f;h=c[b+4>>2]|0;b=(c[d+16>>2]|0)>(c[e+16>>2]|0)?d+12|0:e+12|0;c[g>>2]=(a[d+11>>0]|0)<0?c[d>>2]|0:d;nf(h,b,24102,g);l=f;return}function Af(a,b){a=a|0;b=b|0;return ((c[b+4>>2]|0)==24021?a+4|0:0)|0}function Bf(a){a=a|0;return 1832}function Cf(a){a=a|0;return}function Df(a){a=a|0;Mt(a);return}function Ef(a){a=a|0;var b=0;b=Kt(8)|0;c[b>>2]=3156;c[b+4>>2]=c[a+4>>2];return b|0}function Ff(a,b){a=a|0;b=b|0;c[b>>2]=3156;c[b+4>>2]=c[a+4>>2];return}function Gf(a){a=a|0;return}function Hf(a){a=a|0;Mt(a);return}function If(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=l;l=l+16|0;e=d;f=c[a+4>>2]|0;a=c[f+96>>2]|0;c[e>>2]=c[b>>2];nf(f,a,42081,e);l=d;return}function Jf(a,b){a=a|0;b=b|0;return ((c[b+4>>2]|0)==24697?a+4|0:0)|0}function Kf(a){a=a|0;return 1864}function Lf(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0;e=l;l=l+160|0;f=e+128|0;g=e+104|0;h=e;c[h>>2]=d;c[h+4>>2]=a;a=h+8|0;d=h+56|0;c[d>>2]=0;i=h+64|0;c[i>>2]=0;c[i+4>>2]=0;c[i+8>>2]=0;c[i+12>>2]=0;c[i+16>>2]=0;c[i+20>>2]=0;c[a>>2]=0;c[a+4>>2]=0;c[a+8>>2]=0;c[a+12>>2]=0;c[a+16>>2]=0;c[a+20>>2]=0;c[a+24>>2]=0;c[a+28>>2]=0;c[h+88>>2]=-64;c[h+96>>2]=0;c[h+100>>2]=0;a=h;j=g+16|0;c[g>>2]=3156;c[g+4>>2]=a;c[j>>2]=g;k=f+16|0;c[k>>2]=f;c[f>>2]=3156;c[f+4>>2]=a;lf(f,h+40|0);a=c[k>>2]|0;if((a|0)!=(f|0)){if(a|0)Sa[c[(c[a>>2]|0)+20>>2]&255](a)}else Sa[c[(c[a>>2]|0)+16>>2]&255](a);a=c[j>>2]|0;if((a|0)!=(g|0)){if(a|0)Sa[c[(c[a>>2]|0)+20>>2]&255](a)}else Sa[c[(c[a>>2]|0)+16>>2]&255](a);a=mf(h,b)|0;b=h+76|0;g=c[b>>2]|0;if(g|0){j=h+80|0;f=c[j>>2]|0;if((f|0)==(g|0))m=g;else{k=f;while(1){f=k+-24|0;c[j>>2]=f;n=c[k+-20>>2]|0;if(!n)o=f;else{f=k+-16|0;p=c[f>>2]|0;if((p|0)!=(n|0))c[f>>2]=p+(~((p+-4-n|0)>>>2)<<2);Mt(n);o=c[j>>2]|0}if((o|0)==(g|0))break;else k=o}m=c[b>>2]|0}Mt(m)}m=c[i>>2]|0;if(m|0){i=h+68|0;b=c[i>>2]|0;if((b|0)!=(m|0))c[i>>2]=b+(~((b+-4-m|0)>>>2)<<2);Mt(m)}m=c[d>>2]|0;if((m|0)==(h+40|0)){Sa[c[(c[m>>2]|0)+16>>2]&255](m);l=e;return a|0}if(!m){l=e;return a|0}Sa[c[(c[m>>2]|0)+20>>2]&255](m);l=e;return a|0}function Mf(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=l;l=l+48|0;f=e;vm(f,d);if(!(a[f+24>>0]|0)){vm(f,d);g=c[f+28>>2]|0;vm(f,d);h=c[f>>2]|0;a[f>>0]=g;dm(b,f,1,h,0);l=e;return}else{vm(f,d);a[f>>0]=a[f+24>>0]|0;dm(b,f,1,24964,0);vm(f,d);h=c[f+28>>2]|0;vm(f,d);Fl(b,h,c[f>>2]|0);l=e;return}}function Nf(b,e,f){b=b|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0;g=l;l=l+672|0;h=g+280|0;i=g+272|0;j=g+264|0;k=g+256|0;m=g+248|0;n=g+240|0;o=g+232|0;p=g+224|0;q=g+216|0;r=g+208|0;s=g+200|0;t=g+192|0;u=g+184|0;v=g+176|0;w=g+168|0;x=g+160|0;y=g+152|0;z=g+144|0;A=g+136|0;B=g+128|0;C=g+120|0;D=g+112|0;E=g+104|0;F=g+96|0;G=g+88|0;H=g+80|0;I=g+72|0;J=g+64|0;K=g+56|0;L=g+48|0;M=g+40|0;N=g+32|0;O=g+24|0;P=g+16|0;Q=g+8|0;R=g;S=g+472|0;T=g+460|0;U=g+572|0;V=g+408|0;c[V>>2]=b;W=V+4|0;c[W>>2]=f;f=V+8|0;X=V+32|0;c[f>>2]=0;c[f+4>>2]=0;c[f+8>>2]=0;c[f+12>>2]=0;c[f+16>>2]=0;c[f+20>>2]=0;c[X>>2]=12;Y=V+36|0;c[Y>>2]=0;c[Y+4>>2]=0;c[Y+8>>2]=0;c[Y+12>>2]=0;c[h>>2]=1836278016;dm(b,h,4,25013,0);b=c[V>>2]|0;c[h>>2]=1;dm(b,h,4,25031,0);b=e+120|0;Z=e+124|0;if((c[Z>>2]|0)!=(c[b>>2]|0)){c[R>>2]=27598;c[R+4>>2]=1;tt(S,100,25051,R)|0;R=c[V>>2]|0;_=c[R+12>>2]|0;if(!_)$=R;else{c[Q>>2]=S;cm(_,25069,Q);$=c[V>>2]|0}a[h>>0]=1;dm($,h,1,32672,0);c[X>>2]=1;$=V+28|0;c[$>>2]=1;Q=c[V>>2]|0;_=a[c[W>>2]>>0]|0;a[h>>0]=0;a[h+1>>0]=0;a[h+2>>0]=0;a[h+3>>0]=0;a[h+4>>0]=0;R=c[Q+4>>2]|0;dm(Q,h,_<<24>>24?1:5,25075,0);_=V+24|0;c[_>>2]=R;R=c[V>>2]|0;c[Y>>2]=c[R+4>>2];Fl(R,(c[Z>>2]|0)-(c[b>>2]|0)>>2,25096);R=c[b>>2]|0;a:do if((c[Z>>2]|0)!=(R|0)){Q=0;aa=R;b:while(1){ba=c[aa+(Q<<2)>>2]|0;ca=c[V>>2]|0;da=c[ca+12>>2]|0;if(!da)ea=ca;else{c[P>>2]=33910;c[P+4>>2]=Q;cm(da,25125,P);ea=c[V>>2]|0}Il(ea,-32,42052);da=ba+12|0;ca=(c[ba+16>>2]|0)-(c[da>>2]|0)>>2;fa=ba+24|0;ga=(c[ba+28>>2]|0)-(c[fa>>2]|0)>>2;Fl(c[V>>2]|0,ca,25134);ba=c[V>>2]|0;c:do if(!ca)ha=ba;else{ia=0;ja=ba;while(1){ka=c[(c[da>>2]|0)+(ia<<2)>>2]|0;switch(ka|0){case -1:{la=42077;break}case -2:{la=42073;break}case -3:{la=42069;break}case -4:{la=42065;break}case -16:{la=42057;break}case -32:{la=42052;break}case -64:{la=42047;break}case 0:{la=42043;break}default:{ma=27;break b}}Il(ja,ka,la);ia=ia+1|0;ka=c[V>>2]|0;if(ia>>>0>=ca>>>0){ha=ka;break c}else ja=ka}}while(0);Fl(ha,ga,25145);d:do if(ga|0){ca=0;while(1){da=c[V>>2]|0;ba=c[(c[fa>>2]|0)+(ca<<2)>>2]|0;switch(ba|0){case -1:{na=42077;break}case -2:{na=42073;break}case -3:{na=42069;break}case -4:{na=42065;break}case -16:{na=42057;break}case -32:{na=42052;break}case -64:{na=42047;break}case 0:{na=42043;break}default:{ma=38;break b}}Il(da,ba,na);ca=ca+1|0;if(ca>>>0>=ga>>>0)break d}}while(0);Q=Q+1|0;aa=c[b>>2]|0;if(Q>>>0>=(c[Z>>2]|0)-aa>>2>>>0)break a}}while(0);Z=c[_>>2]|0;_=c[$>>2]|0;b=c[V>>2]|0;na=(c[b+4>>2]|0)-Z|0;if(a[c[W>>2]>>0]|0){ha=na-_|0;la=Dl(ha)|0;ea=la-_|0;if(ea|0)em(c[V>>2]|0,la+Z|0,_+Z|0,ha);Hl(c[V>>2]|0,Z,ha,25106)|0;$l(c[V>>2]|0,ea);ha=c[V+20>>2]|0;if((ea|0)!=0&(ha|0)!=0?(_=c[ha+8>>2]|0,la=c[ha+12>>2]|0,(_|0)!=(la|0)):0){ha=_;do{_=ha+4|0;c[_>>2]=(c[_>>2]|0)+ea;ha=ha+16|0}while((ha|0)!=(la|0))}}else El(b,Z,na+-5|0,25106)|0;c[$>>2]=0}$=e+96|0;na=e+100|0;if((c[na>>2]|0)!=(c[$>>2]|0)){c[O>>2]=27603;c[O+4>>2]=2;tt(S,100,25051,O)|0;O=c[V>>2]|0;Z=c[O+12>>2]|0;if(!Z)oa=O;else{c[N>>2]=S;cm(Z,25069,N);oa=c[V>>2]|0}a[h>>0]=2;dm(oa,h,1,32672,0);c[X>>2]=2;oa=V+28|0;c[oa>>2]=1;N=c[V>>2]|0;Z=a[c[W>>2]>>0]|0;a[h>>0]=0;a[h+1>>0]=0;a[h+2>>0]=0;a[h+3>>0]=0;a[h+4>>0]=0;O=c[N+4>>2]|0;dm(N,h,Z<<24>>24?1:5,25075,0);Z=V+24|0;c[Z>>2]=O;O=c[V>>2]|0;c[Y>>2]=c[O+4>>2];Fl(O,(c[na>>2]|0)-(c[$>>2]|0)>>2,25157);O=c[$>>2]|0;e:do if((c[na>>2]|0)!=(O|0)){N=0;b=O;f:while(1){la=c[b+(N<<2)>>2]|0;ha=c[V>>2]|0;ea=c[ha+12>>2]|0;if(!ea)pa=ha;else{c[M>>2]=25169;c[M+4>>2]=N;cm(ea,25125,M);pa=c[V>>2]|0}ea=la+4|0;ha=a[ea+11>>0]|0;_=ha<<24>>24<0;P=_?c[ea>>2]|0:ea;ea=_?c[la+8>>2]|0:ha&255;Fl(pa,ea,41498);dm(pa,P,ea,34921,1);ea=c[V>>2]|0;P=la+16|0;ha=a[P+11>>0]|0;_=ha<<24>>24<0;R=_?c[P>>2]|0:P;P=_?c[la+20>>2]|0:ha&255;Fl(ea,P,41498);dm(ea,R,P,34940,1);P=c[V>>2]|0;R=la+28|0;a[h>>0]=c[R>>2];dm(P,h,1,34958,0);g:do switch(c[R>>2]|0){case 0:{Fl(c[V>>2]|0,Wm(e,la+44|0)|0,34970);break}case 1:{Il(c[V>>2]|0,-16,42057);P=c[V>>2]|0;ea=la+64|0;Fl(P,(a[la+32+33>>0]|0?2:0)|d[ea>>0],24971);Fl(P,c[la+48>>2]|0,24985);if(a[ea>>0]|0)Fl(P,c[la+56>>2]|0,25001);break}case 2:{P=c[V>>2]|0;ea=la+64|0;Fl(P,(a[la+32+33>>0]|0?2:0)|d[ea>>0],24971);Fl(P,c[la+48>>2]|0,24985);if(a[ea>>0]|0)Fl(P,c[la+56>>2]|0,25001);break}case 3:{P=c[V>>2]|0;ea=c[la+44>>2]|0;switch(ea|0){case -1:{qa=42077;break}case -2:{qa=42073;break}case -3:{qa=42069;break}case -4:{qa=42065;break}case -16:{qa=42057;break}case -32:{qa=42052;break}case -64:{qa=42047;break}case 0:{qa=42043;break}default:{ma=68;break f}}Il(P,ea,qa);ea=c[V>>2]|0;a[h>>0]=a[la+48>>0]|0;dm(ea,h,1,40990,0);break}case 4:{ea=la+44|0;P=ea+4|0;Fl(c[V>>2]|0,(c[P>>2]|0)-(c[ea>>2]|0)>>2,41411);ha=c[ea>>2]|0;ea=c[P>>2]|0;if((ha|0)!=(ea|0)){P=ha;while(1){ha=c[P>>2]|0;_=c[V>>2]|0;switch(ha|0){case -1:{ra=42077;break}case -2:{ra=42073;break}case -3:{ra=42069;break}case -4:{ra=42065;break}case -16:{ra=42057;break}case -32:{ra=42052;break}case -64:{ra=42047;break}case 0:{ra=42043;break}default:{ma=79;break f}}Il(_,ha,ra);P=P+4|0;if((P|0)==(ea|0))break g}}break}default:{}}while(0);N=N+1|0;b=c[$>>2]|0;if(N>>>0>=(c[na>>2]|0)-b>>2>>>0)break e}}while(0);na=c[Z>>2]|0;Z=c[oa>>2]|0;$=c[V>>2]|0;ra=(c[$+4>>2]|0)-na|0;if(a[c[W>>2]>>0]|0){qa=ra-Z|0;pa=Dl(qa)|0;M=pa-Z|0;if(M|0)em(c[V>>2]|0,pa+na|0,Z+na|0,qa);Hl(c[V>>2]|0,na,qa,25106)|0;$l(c[V>>2]|0,M);qa=c[V+20>>2]|0;if((M|0)!=0&(qa|0)!=0?(Z=c[qa+8>>2]|0,pa=c[qa+12>>2]|0,(Z|0)!=(pa|0)):0){qa=Z;do{Z=qa+4|0;c[Z>>2]=(c[Z>>2]|0)+M;qa=qa+16|0}while((qa|0)!=(pa|0))}}else El($,na,ra+-5|0,25106)|0;c[oa>>2]=0}oa=e+72|0;ra=e+76|0;na=e+44|0;$=((c[ra>>2]|0)-(c[oa>>2]|0)>>2)-(c[na>>2]|0)|0;pa=($|0)!=0;if(pa){c[L>>2]=27610;c[L+4>>2]=3;tt(S,100,25051,L)|0;L=c[V>>2]|0;qa=c[L+12>>2]|0;if(!qa)sa=L;else{c[K>>2]=S;cm(qa,25069,K);sa=c[V>>2]|0}a[h>>0]=3;dm(sa,h,1,32672,0);c[X>>2]=3;sa=V+28|0;c[sa>>2]=1;K=c[V>>2]|0;qa=a[c[W>>2]>>0]|0;a[h>>0]=0;a[h+1>>0]=0;a[h+2>>0]=0;a[h+3>>0]=0;a[h+4>>0]=0;L=c[K+4>>2]|0;dm(K,h,qa<<24>>24?1:5,25075,0);qa=V+24|0;c[qa>>2]=L;L=c[V>>2]|0;c[Y>>2]=c[L+4>>2];Fl(L,$,25183);L=0;do{K=c[(c[oa>>2]|0)+((c[na>>2]|0)+L<<2)>>2]|0;c[J>>2]=L;tt(h,100,25197,J)|0;M=c[V>>2]|0;Fl(M,Wm(e,K+12|0)|0,h);L=L+1|0}while((L|0)!=($|0));L=c[qa>>2]|0;qa=c[sa>>2]|0;J=c[V>>2]|0;K=(c[J+4>>2]|0)-L|0;if(a[c[W>>2]>>0]|0){M=K-qa|0;Z=Dl(M)|0;O=Z-qa|0;if(O|0)em(c[V>>2]|0,Z+L|0,qa+L|0,M);Hl(c[V>>2]|0,L,M,25106)|0;$l(c[V>>2]|0,O);M=c[V+20>>2]|0;if((O|0)!=0&(M|0)!=0?(qa=c[M+8>>2]|0,Z=c[M+12>>2]|0,(qa|0)!=(Z|0)):0){M=qa;do{qa=M+4|0;c[qa>>2]=(c[qa>>2]|0)+O;M=M+16|0}while((M|0)!=(Z|0))}}else El(J,L,K+-5|0,25106)|0;c[sa>>2]=0}sa=e+132|0;K=e+48|0;L=((c[e+136>>2]|0)-(c[sa>>2]|0)>>2)-(c[K>>2]|0)|0;if(L|0){c[I>>2]=27619;c[I+4>>2]=4;tt(S,100,25051,I)|0;I=c[V>>2]|0;J=c[I+12>>2]|0;if(!J)ta=I;else{c[H>>2]=S;cm(J,25069,H);ta=c[V>>2]|0}a[h>>0]=4;dm(ta,h,1,32672,0);c[X>>2]=4;ta=V+28|0;c[ta>>2]=1;H=c[V>>2]|0;J=a[c[W>>2]>>0]|0;a[h>>0]=0;a[h+1>>0]=0;a[h+2>>0]=0;a[h+3>>0]=0;a[h+4>>0]=0;I=c[H+4>>2]|0;dm(H,h,J<<24>>24?1:5,25075,0);J=V+24|0;c[J>>2]=I;I=c[V>>2]|0;c[Y>>2]=c[I+4>>2];Fl(I,L,25226);I=0;do{H=c[(c[sa>>2]|0)+((c[K>>2]|0)+I<<2)>>2]|0;Z=c[V>>2]|0;M=c[Z+12>>2]|0;if(!M)ua=Z;else{c[G>>2]=28320;c[G+4>>2]=I;cm(M,25125,G);ua=c[V>>2]|0}Il(ua,-16,42057);M=c[V>>2]|0;Z=H+32|0;Fl(M,(a[H+33>>0]|0?2:0)|d[Z>>0],24971);Fl(M,c[H+16>>2]|0,24985);if(a[Z>>0]|0)Fl(M,c[H+24>>2]|0,25001);I=I+1|0}while((I|0)!=(L|0));L=c[J>>2]|0;J=c[ta>>2]|0;I=c[V>>2]|0;ua=(c[I+4>>2]|0)-L|0;if(a[c[W>>2]>>0]|0){G=ua-J|0;K=Dl(G)|0;sa=K-J|0;if(sa|0)em(c[V>>2]|0,K+L|0,J+L|0,G);Hl(c[V>>2]|0,L,G,25106)|0;$l(c[V>>2]|0,sa);G=c[V+20>>2]|0;if((sa|0)!=0&(G|0)!=0?(J=c[G+8>>2]|0,K=c[G+12>>2]|0,(J|0)!=(K|0)):0){G=J;do{J=G+4|0;c[J>>2]=(c[J>>2]|0)+sa;G=G+16|0}while((G|0)!=(K|0))}}else El(I,L,ua+-5|0,25106)|0;c[ta>>2]=0}ta=e+156|0;ua=e+52|0;L=((c[e+160>>2]|0)-(c[ta>>2]|0)>>2)-(c[ua>>2]|0)|0;if(L|0){c[F>>2]=27625;c[F+4>>2]=5;tt(S,100,25051,F)|0;F=c[V>>2]|0;I=c[F+12>>2]|0;if(!I)va=F;else{c[E>>2]=S;cm(I,25069,E);va=c[V>>2]|0}a[h>>0]=5;dm(va,h,1,32672,0);c[X>>2]=5;va=V+28|0;c[va>>2]=1;E=c[V>>2]|0;I=a[c[W>>2]>>0]|0;a[h>>0]=0;a[h+1>>0]=0;a[h+2>>0]=0;a[h+3>>0]=0;a[h+4>>0]=0;F=c[E+4>>2]|0;dm(E,h,I<<24>>24?1:5,25075,0);I=V+24|0;c[I>>2]=F;F=c[V>>2]|0;c[Y>>2]=c[F+4>>2];Fl(F,L,25237);F=0;do{E=c[(c[ta>>2]|0)+((c[ua>>2]|0)+F<<2)>>2]|0;K=c[V>>2]|0;G=c[K+12>>2]|0;if(!G)wa=K;else{c[D>>2]=28259;c[D+4>>2]=F;cm(G,25125,D);wa=c[V>>2]|0}G=E+32|0;Fl(wa,(a[E+33>>0]|0?2:0)|d[G>>0],24971);Fl(wa,c[E+16>>2]|0,24985);if(a[G>>0]|0)Fl(wa,c[E+24>>2]|0,25001);F=F+1|0}while((F|0)!=(L|0));L=c[I>>2]|0;I=c[va>>2]|0;F=c[V>>2]|0;wa=(c[F+4>>2]|0)-L|0;if(a[c[W>>2]>>0]|0){D=wa-I|0;ua=Dl(D)|0;ta=ua-I|0;if(ta|0)em(c[V>>2]|0,ua+L|0,I+L|0,D);Hl(c[V>>2]|0,L,D,25106)|0;$l(c[V>>2]|0,ta);D=c[V+20>>2]|0;if((ta|0)!=0&(D|0)!=0?(I=c[D+8>>2]|0,ua=c[D+12>>2]|0,(I|0)!=(ua|0)):0){D=I;do{I=D+4|0;c[I>>2]=(c[I>>2]|0)+ta;D=D+16|0}while((D|0)!=(ua|0))}}else El(F,L,wa+-5|0,25106)|0;c[va>>2]=0}va=e+84|0;wa=e+56|0;L=((c[e+88>>2]|0)-(c[va>>2]|0)>>2)-(c[wa>>2]|0)|0;if(L|0){c[C>>2]=27632;c[C+4>>2]=6;tt(S,100,25051,C)|0;F=c[V>>2]|0;ua=c[F+12>>2]|0;if(!ua)xa=F;else{c[B>>2]=S;cm(ua,25069,B);xa=c[V>>2]|0}a[h>>0]=6;dm(xa,h,1,32672,0);c[X>>2]=6;xa=V+28|0;c[xa>>2]=1;B=c[V>>2]|0;ua=a[c[W>>2]>>0]|0;a[h>>0]=0;a[h+1>>0]=0;a[h+2>>0]=0;a[h+3>>0]=0;a[h+4>>0]=0;F=c[B+4>>2]|0;dm(B,h,ua<<24>>24?1:5,25075,0);ua=V+24|0;c[ua>>2]=F;F=c[V>>2]|0;c[Y>>2]=c[F+4>>2];Fl(F,L,25250);F=0;h:do{B=c[(c[va>>2]|0)+((c[wa>>2]|0)+F<<2)>>2]|0;D=c[V>>2]|0;ta=c[B+12>>2]|0;switch(ta|0){case -1:{ya=42077;break}case -2:{ya=42073;break}case -3:{ya=42069;break}case -4:{ya=42065;break}case -16:{ya=42057;break}case -32:{ya=42052;break}case -64:{ya=42047;break}case 0:{ya=42043;break}default:{ma=149;break h}}Il(D,ta,ya);ta=c[V>>2]|0;a[h>>0]=a[B+16>>0]|0;dm(ta,h,1,40990,0);ta=c[B+20>>2]|0;if(ta|0){B=ta;do{Of(V,e,0,B);B=c[B+4>>2]|0}while((B|0)!=0)}B=c[V>>2]|0;c[C>>2]=11;c[h>>2]=c[C>>2];Mf(B,h);F=F+1|0}while(F>>>0<L>>>0);L=c[ua>>2]|0;ua=c[xa>>2]|0;F=c[V>>2]|0;C=(c[F+4>>2]|0)-L|0;if(a[c[W>>2]>>0]|0){ya=C-ua|0;wa=Dl(ya)|0;va=wa-ua|0;if(va|0)em(c[V>>2]|0,wa+L|0,ua+L|0,ya);Hl(c[V>>2]|0,L,ya,25106)|0;$l(c[V>>2]|0,va);ya=c[V+20>>2]|0;if((va|0)!=0&(ya|0)!=0?(ua=c[ya+8>>2]|0,wa=c[ya+12>>2]|0,(ua|0)!=(wa|0)):0){ya=ua;do{ua=ya+4|0;c[ua>>2]=(c[ua>>2]|0)+va;ya=ya+16|0}while((ya|0)!=(wa|0))}}else El(F,L,C+-5|0,25106)|0;c[xa>>2]=0}xa=e+108|0;C=e+112|0;if((c[C>>2]|0)!=(c[xa>>2]|0)){c[A>>2]=27639;c[A+4>>2]=7;tt(S,100,25051,A)|0;A=c[V>>2]|0;L=c[A+12>>2]|0;if(!L)za=A;else{c[z>>2]=S;cm(L,25069,z);za=c[V>>2]|0}a[h>>0]=7;dm(za,h,1,32672,0);c[X>>2]=7;za=V+28|0;c[za>>2]=1;z=c[V>>2]|0;L=a[c[W>>2]>>0]|0;a[h>>0]=0;a[h+1>>0]=0;a[h+2>>0]=0;a[h+3>>0]=0;a[h+4>>0]=0;A=c[z+4>>2]|0;dm(z,h,L<<24>>24?1:5,25075,0);L=V+24|0;c[L>>2]=A;A=c[V>>2]|0;c[Y>>2]=c[A+4>>2];Fl(A,(c[C>>2]|0)-(c[xa>>2]|0)>>2,25262);A=c[xa>>2]|0;xa=c[C>>2]|0;i:do if((A|0)!=(xa|0)){C=A;while(1){z=c[C>>2]|0;F=c[V>>2]|0;wa=a[z+11>>0]|0;ya=wa<<24>>24<0;va=ya?c[z>>2]|0:z;ua=ya?c[z+4>>2]|0:wa&255;Fl(F,ua,41498);dm(F,va,ua,25274,1);ua=c[V>>2]|0;va=z+12|0;a[h>>0]=c[va>>2];dm(ua,h,1,25286,0);switch(c[va>>2]|0){case 0:{va=Gm(e,z+16|0)|0;Fl(c[V>>2]|0,va,25298);break}case 1:{va=Im(e,z+16|0)|0;Fl(c[V>>2]|0,va,25316);break}case 2:{va=Jm(e,z+16|0)|0;Fl(c[V>>2]|0,va,25335);break}case 3:{va=Hm(e,z+16|0)|0;Fl(c[V>>2]|0,va,25355);break}case 4:{va=Lm(e,z+16|0)|0;Fl(c[V>>2]|0,va,25375);break}default:{}}C=C+4|0;if((C|0)==(xa|0))break i}}while(0);xa=c[L>>2]|0;L=c[za>>2]|0;A=c[V>>2]|0;C=(c[A+4>>2]|0)-xa|0;if(a[c[W>>2]>>0]|0){va=C-L|0;z=Dl(va)|0;ua=z-L|0;if(ua|0)em(c[V>>2]|0,z+xa|0,L+xa|0,va);Hl(c[V>>2]|0,xa,va,25106)|0;$l(c[V>>2]|0,ua);va=c[V+20>>2]|0;if((ua|0)!=0&(va|0)!=0?(L=c[va+8>>2]|0,z=c[va+12>>2]|0,(L|0)!=(z|0)):0){va=L;do{L=va+4|0;c[L>>2]=(c[L>>2]|0)+ua;va=va+16|0}while((va|0)!=(z|0))}}else El(A,xa,C+-5|0,25106)|0;c[za>>2]=0}za=c[e+180>>2]|0;if((c[e+184>>2]|0)!=(za|0)?(C=Gm(e,c[za>>2]|0)|0,(C|0)!=-1):0){c[y>>2]=27646;c[y+4>>2]=8;tt(S,100,25051,y)|0;y=c[V>>2]|0;za=c[y+12>>2]|0;if(!za)Aa=y;else{c[x>>2]=S;cm(za,25069,x);Aa=c[V>>2]|0}a[h>>0]=8;dm(Aa,h,1,32672,0);c[X>>2]=8;Aa=V+28|0;c[Aa>>2]=1;x=c[V>>2]|0;za=a[c[W>>2]>>0]|0;a[h>>0]=0;a[h+1>>0]=0;a[h+2>>0]=0;a[h+3>>0]=0;a[h+4>>0]=0;y=c[x+4>>2]|0;dm(x,h,za<<24>>24?1:5,25075,0);za=V+24|0;c[za>>2]=y;y=c[V>>2]|0;c[Y>>2]=c[y+4>>2];Fl(y,C,25398);C=c[za>>2]|0;za=c[Aa>>2]|0;y=c[V>>2]|0;x=(c[y+4>>2]|0)-C|0;if(a[c[W>>2]>>0]|0){xa=x-za|0;A=Dl(xa)|0;z=A-za|0;if(z|0)em(c[V>>2]|0,A+C|0,za+C|0,xa);Hl(c[V>>2]|0,C,xa,25106)|0;$l(c[V>>2]|0,z);xa=c[V+20>>2]|0;if((z|0)!=0&(xa|0)!=0?(za=c[xa+8>>2]|0,A=c[xa+12>>2]|0,(za|0)!=(A|0)):0){xa=za;do{za=xa+4|0;c[za>>2]=(c[za>>2]|0)+z;xa=xa+16|0}while((xa|0)!=(A|0))}}else El(y,C,x+-5|0,25106)|0;c[Aa>>2]=0}Aa=e+144|0;x=e+148|0;if((c[x>>2]|0)!=(c[Aa>>2]|0)){c[w>>2]=27652;c[w+4>>2]=9;tt(S,100,25051,w)|0;C=c[V>>2]|0;y=c[C+12>>2]|0;if(!y)Ba=C;else{c[v>>2]=S;cm(y,25069,v);Ba=c[V>>2]|0}a[h>>0]=9;dm(Ba,h,1,32672,0);c[X>>2]=9;Ba=V+28|0;c[Ba>>2]=1;v=c[V>>2]|0;y=a[c[W>>2]>>0]|0;a[h>>0]=0;a[h+1>>0]=0;a[h+2>>0]=0;a[h+3>>0]=0;a[h+4>>0]=0;C=c[v+4>>2]|0;dm(v,h,y<<24>>24?1:5,25075,0);y=V+24|0;c[y>>2]=C;C=c[V>>2]|0;c[Y>>2]=c[C+4>>2];Fl(C,(c[x>>2]|0)-(c[Aa>>2]|0)>>2,25415);C=c[Aa>>2]|0;if((c[x>>2]|0)!=(C|0)){v=0;A=C;do{C=c[A+(v<<2)>>2]|0;xa=Im(e,C)|0;z=c[V>>2]|0;za=c[z+12>>2]|0;if(!za)Ca=z;else{c[u>>2]=25433;c[u+4>>2]=v;cm(za,25125,u);Ca=c[V>>2]|0}Fl(Ca,xa,25453);xa=c[C+32>>2]|0;if(xa|0){za=xa;do{Of(V,e,0,za);za=c[za+4>>2]|0}while((za|0)!=0)}za=c[V>>2]|0;c[w>>2]=11;c[h>>2]=c[w>>2];Mf(za,h);za=C+44|0;xa=C+48|0;Fl(c[V>>2]|0,(c[xa>>2]|0)-(c[za>>2]|0)>>5,25465);z=c[za>>2]|0;za=c[xa>>2]|0;if((z|0)!=(za|0)){xa=z;do{Pf(V,Gm(e,xa)|0,33148,0);xa=xa+32|0}while((xa|0)!=(za|0))}v=v+1|0;A=c[Aa>>2]|0}while(v>>>0<(c[x>>2]|0)-A>>2>>>0)}A=c[y>>2]|0;y=c[Ba>>2]|0;x=c[V>>2]|0;v=(c[x+4>>2]|0)-A|0;if(a[c[W>>2]>>0]|0){Aa=v-y|0;w=Dl(Aa)|0;Ca=w-y|0;if(Ca|0)em(c[V>>2]|0,w+A|0,y+A|0,Aa);Hl(c[V>>2]|0,A,Aa,25106)|0;$l(c[V>>2]|0,Ca);Aa=c[V+20>>2]|0;if((Ca|0)!=0&(Aa|0)!=0?(y=c[Aa+8>>2]|0,w=c[Aa+12>>2]|0,(y|0)!=(w|0)):0){Aa=y;do{y=Aa+4|0;c[y>>2]=(c[y>>2]|0)+Ca;Aa=Aa+16|0}while((Aa|0)!=(w|0))}}else El(x,A,v+-5|0,25106)|0;c[Ba>>2]=0}Ba=e+60|0;v=e+40|0;A=((c[e+64>>2]|0)-(c[Ba>>2]|0)>>2)-(c[v>>2]|0)|0;if(A|0){Qf(V,34289);Fl(c[V>>2]|0,A,34337);x=c[v>>2]|0;j:do if(x>>>0<A>>>0){v=x;k:while(1){w=c[(c[Ba>>2]|0)+(v<<2)>>2]|0;Aa=w+12|0;Ca=w+16|0;Fl(c[V>>2]|0,(c[Ca>>2]|0)-(c[Aa>>2]|0)>>2,41411);w=c[Aa>>2]|0;Aa=c[Ca>>2]|0;l:do if((w|0)!=(Aa|0)){Ca=w;while(1){y=c[Ca>>2]|0;u=c[V>>2]|0;switch(y|0){case -1:{Da=42077;break}case -2:{Da=42073;break}case -3:{Da=42069;break}case -4:{Da=42065;break}case -16:{Da=42057;break}case -32:{Da=42052;break}case -64:{Da=42047;break}case 0:{Da=42043;break}default:break k}Il(u,y,Da);Ca=Ca+4|0;if((Ca|0)==(Aa|0))break l}}while(0);v=v+1|0;if(v>>>0>=A>>>0)break j}}while(0);A=c[V+24>>2]|0;Da=V+28|0;Ba=c[Da>>2]|0;x=c[V>>2]|0;v=(c[x+4>>2]|0)-A|0;if(a[c[W>>2]>>0]|0){Aa=v-Ba|0;w=Dl(Aa)|0;Ca=w-Ba|0;if(Ca|0)em(c[V>>2]|0,w+A|0,Ba+A|0,Aa);Hl(c[V>>2]|0,A,Aa,25106)|0;$l(c[V>>2]|0,Ca);Aa=c[V+20>>2]|0;if((Ca|0)!=0&(Aa|0)!=0?(Ba=c[Aa+8>>2]|0,w=c[Aa+12>>2]|0,(Ba|0)!=(w|0)):0){Aa=Ba;do{Ba=Aa+4|0;c[Ba>>2]=(c[Ba>>2]|0)+Ca;Aa=Aa+16|0}while((Aa|0)!=(w|0))}}else El(x,A,v+-5|0,25106)|0;c[Da>>2]=0}if(pa){c[t>>2]=27657;c[t+4>>2]=10;tt(S,100,25051,t)|0;pa=c[V>>2]|0;Da=c[pa+12>>2]|0;if(!Da)Ea=pa;else{c[s>>2]=S;cm(Da,25069,s);Ea=c[V>>2]|0}a[h>>0]=10;dm(Ea,h,1,32672,0);c[X>>2]=10;Ea=V+28|0;c[Ea>>2]=1;s=c[V>>2]|0;Da=a[c[W>>2]>>0]|0;a[h>>0]=0;a[h+1>>0]=0;a[h+2>>0]=0;a[h+3>>0]=0;a[h+4>>0]=0;pa=c[s+4>>2]|0;dm(s,h,Da<<24>>24?1:5,25075,0);Da=V+24|0;c[Da>>2]=pa;pa=c[V>>2]|0;c[Y>>2]=c[pa+4>>2];Fl(pa,$,25183);pa=0;m:do{s=c[V>>2]|0;v=c[s+12>>2]|0;if(!v)Fa=s;else{c[r>>2]=25486;c[r+4>>2]=pa;cm(v,25125,r);Fa=c[V>>2]|0}v=c[(c[oa>>2]|0)+((c[na>>2]|0)+pa<<2)>>2]|0;s=a[c[W>>2]>>0]|0;a[h>>0]=0;a[h+1>>0]=0;a[h+2>>0]=0;a[h+3>>0]=0;a[h+4>>0]=0;A=c[Fa+4>>2]|0;dm(Fa,h,s<<24>>24?1:5,25500,0);s=v+72|0;x=v+76|0;w=c[x>>2]|0;Aa=c[s>>2]|0;Ca=Aa;if((w|0)!=(Aa|0)){Ba=(c[v+52>>2]|0)-(c[v+48>>2]|0)>>2;y=Ba+1|0;u=Ba+(w-Aa>>2)|0;if(y>>>0<u>>>0){Aa=1;w=y;za=c[Ca>>2]|0;while(1){xa=za;za=c[Ca+(w-Ba<<2)>>2]|0;C=((xa|0)!=(za|0)&1)+Aa|0;w=w+1|0;if((w|0)==(u|0)){Ga=C;break}else Aa=C}}else Ga=1;Fl(c[V>>2]|0,Ga,25523);Aa=c[s>>2]|0;u=c[x>>2]|0;w=Aa;za=(u-w>>2)+Ba|0;if(y>>>0<=za>>>0){Ca=y;C=1;xa=c[Aa>>2]|0;z=w;w=u;u=za;za=Aa;while(1){if((Ca|0)==(u|0))Ha=-64;else Ha=c[za+(Ca-Ba<<2)>>2]|0;if((xa|0)==(Ha|0)){Ia=C+1|0;Ja=xa;Ka=w;La=z}else{Fl(c[V>>2]|0,C,37357);Aa=c[V>>2]|0;switch(xa|0){case -1:{Ma=42077;break}case -2:{Ma=42073;break}case -3:{Ma=42069;break}case -4:{Ma=42065;break}case -16:{Ma=42057;break}case -32:{Ma=42052;break}case -64:{Ma=42047;break}case 0:{Ma=42043;break}default:{ma=260;break m}}Il(Aa,xa,Ma);Ia=1;Ja=Ha;Ka=c[x>>2]|0;La=c[s>>2]|0}Ca=Ca+1|0;u=(Ka-La>>2)+Ba|0;if(Ca>>>0>u>>>0)break;else{C=Ia;xa=Ja;z=La;w=Ka;za=La}}}}else Fl(c[V>>2]|0,0,25523);za=c[v+124>>2]|0;if(za|0){w=za;do{Of(V,e,v,w);w=c[w+4>>2]|0}while((w|0)!=0)}w=c[V>>2]|0;c[t>>2]=11;c[h>>2]=c[t>>2];Mf(w,h);w=c[V>>2]|0;v=(c[w+4>>2]|0)-A|0;if(!(a[c[W>>2]>>0]|0))El(w,A,v+-5|0,25540)|0;else{w=v+-1|0;v=Dl(w)|0;za=v+-1|0;if(za|0)em(c[V>>2]|0,v+A|0,A+1|0,w);Hl(c[V>>2]|0,A,w,25540)|0;$l(c[V>>2]|0,za)}pa=pa+1|0}while(pa>>>0<$>>>0);$=c[Da>>2]|0;Da=c[Ea>>2]|0;pa=c[V>>2]|0;t=(c[pa+4>>2]|0)-$|0;if(a[c[W>>2]>>0]|0){La=t-Da|0;Ka=Dl(La)|0;Ja=Ka-Da|0;if(Ja|0)em(c[V>>2]|0,Ka+$|0,Da+$|0,La);Hl(c[V>>2]|0,$,La,25106)|0;$l(c[V>>2]|0,Ja);La=c[V+20>>2]|0;if((Ja|0)!=0&(La|0)!=0?(Da=c[La+8>>2]|0,Ka=c[La+12>>2]|0,(Da|0)!=(Ka|0)):0){La=Da;do{Da=La+4|0;c[Da>>2]=(c[Da>>2]|0)+Ja;La=La+16|0}while((La|0)!=(Ka|0))}}else El(pa,$,t+-5|0,25106)|0;c[Ea>>2]=0}Ea=e+168|0;t=e+172|0;if((c[t>>2]|0)!=(c[Ea>>2]|0)){c[q>>2]=27662;c[q+4>>2]=11;tt(S,100,25051,q)|0;$=c[V>>2]|0;pa=c[$+12>>2]|0;if(!pa)Na=$;else{c[p>>2]=S;cm(pa,25069,p);Na=c[V>>2]|0}a[h>>0]=11;dm(Na,h,1,32672,0);c[X>>2]=11;X=V+28|0;c[X>>2]=1;Na=c[V>>2]|0;p=a[c[W>>2]>>0]|0;a[h>>0]=0;a[h+1>>0]=0;a[h+2>>0]=0;a[h+3>>0]=0;a[h+4>>0]=0;pa=c[Na+4>>2]|0;dm(Na,h,p<<24>>24?1:5,25075,0);p=V+24|0;c[p>>2]=pa;pa=c[V>>2]|0;c[Y>>2]=c[pa+4>>2];Fl(pa,(c[t>>2]|0)-(c[Ea>>2]|0)>>2,25561);pa=c[Ea>>2]|0;if((c[t>>2]|0)!=(pa|0)){Y=T+4|0;Na=T+8|0;$=T+8|0;Ka=0;La=pa;do{pa=c[La+(Ka<<2)>>2]|0;Ja=c[(c[V>>2]|0)+12>>2]|0;if(Ja|0){c[o>>2]=25579;c[o+4>>2]=Ka;cm(Ja,25125,o)}Ja=Jm(e,pa)|0;Fl(c[V>>2]|0,Ja,25599);Ja=c[pa+32>>2]|0;if(Ja|0){Da=Ja;do{Of(V,e,0,Da);Da=c[Da+4>>2]|0}while((Da|0)!=0)}Da=c[V>>2]|0;c[q>>2]=11;c[h>>2]=c[q>>2];Mf(Da,h);Da=pa+44|0;A=pa+48|0;Fl(c[V>>2]|0,(c[A>>2]|0)-(c[Da>>2]|0)|0,25612);Ja=c[V>>2]|0;Ia=c[Ja+12>>2]|0;if(!Ia)Oa=Ja;else{c[n>>2]=37764;c[n+4>>2]=Ka;cm(Ia,25125,n);Oa=c[V>>2]|0}c[T>>2]=0;c[Y>>2]=0;c[Na>>2]=0;Ia=(c[A>>2]|0)-(c[Da>>2]|0)|0;n:do if(Ia|0){if((Ia|0)<0)Jt(T);Ja=Kt(Ia)|0;c[Y>>2]=Ja;c[T>>2]=Ja;c[$>>2]=Ja+Ia;Ha=c[Da>>2]|0;Ma=(c[A>>2]|0)-Ha|0;do if((Ma|0)>0){Wu(Ja|0,Ha|0,Ma|0)|0;c[Y>>2]=Ja+Ma;dm(Oa,Ja,Ma,37764,0);Ga=c[T>>2]|0;if(!Ga)break n;if((c[Y>>2]|0)==(Ga|0)){Pa=Ga;break}c[Y>>2]=Ga;Pa=Ga}else Pa=Ja;while(0);Mt(Pa)}while(0);Ka=Ka+1|0;La=c[Ea>>2]|0}while(Ka>>>0<(c[t>>2]|0)-La>>2>>>0)}La=c[p>>2]|0;p=c[X>>2]|0;t=c[V>>2]|0;Ka=(c[t+4>>2]|0)-La|0;if(a[c[W>>2]>>0]|0){Ea=Ka-p|0;Pa=Dl(Ea)|0;Y=Pa-p|0;if(Y|0)em(c[V>>2]|0,Pa+La|0,p+La|0,Ea);Hl(c[V>>2]|0,La,Ea,25106)|0;$l(c[V>>2]|0,Y);Ea=c[V+20>>2]|0;if((Y|0)!=0&(Ea|0)!=0?(p=c[Ea+8>>2]|0,Pa=c[Ea+12>>2]|0,(p|0)!=(Pa|0)):0){Ea=p;do{p=Ea+4|0;c[p>>2]=(c[p>>2]|0)+Y;Ea=Ea+16|0}while((Ea|0)!=(Pa|0))}}else El(t,La,Ka+-5|0,25106)|0;c[X>>2]=0}X=c[W>>2]|0;if(!(a[X+2>>0]|0))Qa=X;else{c[S>>2]=0;X=S+4|0;c[X>>2]=0;c[S+8>>2]=0;Qf(V,32904);Ka=c[oa>>2]|0;La=c[ra>>2]|0;if((Ka|0)!=(La|0)){t=0;Pa=Ka;do{Ka=c[Pa>>2]|0;Ea=a[Ka+11>>0]|0;if(Ea<<24>>24<0)Ra=c[Ka+4>>2]|0;else Ra=Ea&255;t=((Ra|0)!=0&1)+t|0;Pa=Pa+4|0}while((Pa|0)!=(La|0));if(t){Fl(c[V>>2]|0,1,25630);La=V+44|0;c[La>>2]=1;Pa=c[V>>2]|0;Ra=a[c[W>>2]>>0]|0;a[h>>0]=0;a[h+1>>0]=0;a[h+2>>0]=0;a[h+3>>0]=0;a[h+4>>0]=0;Ea=c[Pa+4>>2]|0;dm(Pa,h,Ra<<24>>24?1:5,25649,0);Ra=V+40|0;c[Ra>>2]=Ea;Ea=c[V>>2]|0;Pa=V+48|0;c[Pa>>2]=c[Ea+4>>2];Fl(Ea,t,25183);t=c[ra>>2]|0;Ea=c[oa>>2]|0;if((t|0)!=(Ea|0)){Ka=0;Y=Ea;Ea=t;while(1){t=c[Y+(Ka<<2)>>2]|0;p=t+11|0;T=a[p>>0]|0;if(T<<24>>24<0)Sa=c[t+4>>2]|0;else Sa=T&255;if(!Sa){Ta=Ea;Ua=Y}else{Fl(c[V>>2]|0,Ka,33148);c[m>>2]=Ka;tt(U,100,25695,m)|0;T=c[V>>2]|0;Oa=a[p>>0]|0;p=Oa<<24>>24<0;$=p?c[t+4>>2]|0:Oa&255;Oa=p?c[t>>2]|0:t;t=h;c[t>>2]=Oa;c[t+4>>2]=$;if($>>>0<1|($|0)==1&Oa>>>0<0){Va=Oa;Wa=$}else{zm(h,1);$=h;Va=c[$>>2]|0;Wa=c[$+4>>2]|0}Fl(T,Wa,41498);dm(T,Va,Wa,U,1);Ta=c[ra>>2]|0;Ua=c[oa>>2]|0}Ka=Ka+1|0;if(Ka>>>0>=Ta-Ua>>2>>>0)break;else{Y=Ua;Ea=Ta}}}Ta=c[Ra>>2]|0;Ea=c[La>>2]|0;Ua=c[V>>2]|0;Y=(c[Ua+4>>2]|0)-Ta|0;if(!(a[c[W>>2]>>0]|0))El(Ua,Ta,Y+-5|0,25673)|0;else{Ua=Y-Ea|0;Y=Dl(Ua)|0;Ka=Y-Ea|0;if(Ka|0)em(c[V>>2]|0,Y+Ta|0,Ea+Ta|0,Ua);Hl(c[V>>2]|0,Ta,Ua,25673)|0;$l(c[V>>2]|0,Ka)}c[La>>2]=0;Xa=La;Ya=h;Za=Ra;_a=Pa}else ma=302}else ma=302;if((ma|0)==302){Xa=V+44|0;Ya=h;Za=V+40|0;_a=V+48|0}Fl(c[V>>2]|0,2,25709);c[Xa>>2]=1;ma=c[V>>2]|0;Pa=a[c[W>>2]>>0]|0;a[Ya>>0]=0;a[Ya+1>>0]=0;a[Ya+2>>0]=0;a[Ya+3>>0]=0;a[Ya+4>>0]=0;Ra=c[ma+4>>2]|0;dm(ma,Ya,Pa<<24>>24?1:5,25649,0);c[Za>>2]=Ra;Ra=c[V>>2]|0;c[_a>>2]=c[Ra+4>>2];Fl(Ra,(c[ra>>2]|0)-(c[oa>>2]|0)>>2,25183);Ra=c[oa>>2]|0;if((c[ra>>2]|0)!=(Ra|0)){_a=0;Pa=Ra;do{Ra=c[Pa+(_a<<2)>>2]|0;Ya=(c[Ra+52>>2]|0)-(c[Ra+48>>2]|0)>>2;ma=Ra+72|0;La=(c[Ra+76>>2]|0)-(c[ma>>2]|0)>>2;Fl(c[V>>2]|0,_a,33148);Fl(c[V>>2]|0,La+Ya|0,25725);vn(Ra+48|0,Ra+84|0,S);if(Ya|0){Ka=0;do{Ua=c[S>>2]|0;Ta=Ua+(Ka*12|0)|0;c[k>>2]=Ka;tt(U,100,25736,k)|0;Fl(c[V>>2]|0,Ka,25751);Ea=c[V>>2]|0;Y=a[Ta+11>>0]|0;Wa=Y<<24>>24<0;Va=Wa?c[Ua+(Ka*12|0)+4>>2]|0:Y&255;Y=Wa?c[Ta>>2]|0:Ta;Ta=h;c[Ta>>2]=Y;c[Ta+4>>2]=Va;if(Va>>>0<1|(Va|0)==1&Y>>>0<0){$a=Y;ab=Va}else{zm(h,1);Va=h;$a=c[Va>>2]|0;ab=c[Va+4>>2]|0}Fl(Ea,ab,41498);dm(Ea,$a,ab,U,1);Ka=Ka+1|0}while((Ka|0)!=(Ya|0))}vn(ma,Ra+104|0,S);if(La|0){Ka=0;do{Ea=c[S>>2]|0;Va=Ea+(Ka*12|0)|0;Y=Ka+Ya|0;c[j>>2]=Y;tt(U,100,25736,j)|0;Fl(c[V>>2]|0,Y,25751);Y=c[V>>2]|0;Ta=a[Va+11>>0]|0;Wa=Ta<<24>>24<0;Ua=Wa?c[Ea+(Ka*12|0)+4>>2]|0:Ta&255;Ta=Wa?c[Va>>2]|0:Va;Va=h;c[Va>>2]=Ta;c[Va+4>>2]=Ua;if(Ua>>>0<1|(Ua|0)==1&Ta>>>0<0){bb=Ta;cb=Ua}else{zm(h,1);Ua=h;bb=c[Ua>>2]|0;cb=c[Ua+4>>2]|0}Fl(Y,cb,41498);dm(Y,bb,cb,U,1);Ka=Ka+1|0}while((Ka|0)!=(La|0))}_a=_a+1|0;Pa=c[oa>>2]|0}while(_a>>>0<(c[ra>>2]|0)-Pa>>2>>>0)}Pa=c[Za>>2]|0;Za=c[Xa>>2]|0;ra=c[V>>2]|0;_a=(c[ra+4>>2]|0)-Pa|0;if(!(a[c[W>>2]>>0]|0))El(ra,Pa,_a+-5|0,25673)|0;else{ra=_a-Za|0;_a=Dl(ra)|0;oa=_a-Za|0;if(oa|0)em(c[V>>2]|0,_a+Pa|0,Za+Pa|0,ra);Hl(c[V>>2]|0,Pa,ra,25673)|0;$l(c[V>>2]|0,oa)}c[Xa>>2]=0;Xa=c[V+24>>2]|0;oa=V+28|0;ra=c[oa>>2]|0;Pa=c[V>>2]|0;Za=(c[Pa+4>>2]|0)-Xa|0;do if(!(a[c[W>>2]>>0]|0))El(Pa,Xa,Za+-5|0,25106)|0;else{_a=Za-ra|0;U=Dl(_a)|0;cb=U-ra|0;if(cb|0)em(c[V>>2]|0,U+Xa|0,ra+Xa|0,_a);Hl(c[V>>2]|0,Xa,_a,25106)|0;$l(c[V>>2]|0,cb);_a=c[V+20>>2]|0;if(!((cb|0)!=0&(_a|0)!=0))break;U=c[_a+8>>2]|0;bb=c[_a+12>>2]|0;if((U|0)==(bb|0))break;else db=U;do{U=db+4|0;c[U>>2]=(c[U>>2]|0)+cb;db=db+16|0}while((db|0)!=(bb|0))}while(0);c[oa>>2]=0;oa=c[S>>2]|0;if(oa|0){db=c[X>>2]|0;if((db|0)==(oa|0))eb=oa;else{Xa=db;do{db=Xa+-12|0;c[X>>2]=db;Wt(db);Xa=c[X>>2]|0}while((Xa|0)!=(oa|0));eb=c[S>>2]|0}Mt(eb)}Qa=c[W>>2]|0}if(a[Qa+1>>0]|0?(Qa=c[f>>2]|0,f=c[V+12>>2]|0,(Qa|0)!=(f|0)):0){eb=V+24|0;S=V+28|0;oa=V+20|0;Xa=Qa;do{Qa=c[Xa>>2]|0;c[i>>2]=33650;c[i+4>>2]=Qa;tt(h,128,25763,i)|0;Qf(V,h);Fl(c[V>>2]|0,c[Xa+4>>2]|0,25769);Qa=Xa+8|0;X=Xa+12|0;Fl(c[V>>2]|0,(c[X>>2]|0)-(c[Qa>>2]|0)>>4,25788);db=c[Qa>>2]|0;Qa=c[X>>2]|0;if((db|0)!=(Qa|0)){X=db;do{Fl(c[V>>2]|0,c[X>>2]|0,25799);Fl(c[V>>2]|0,c[X+4>>2]|0,25810);Fl(c[V>>2]|0,c[X+8>>2]|0,25823);if(((c[X>>2]|0)+-3|0)>>>0<3)Fl(c[V>>2]|0,c[X+12>>2]|0,25835);X=X+16|0}while((X|0)!=(Qa|0))}Qa=c[eb>>2]|0;X=c[S>>2]|0;db=c[V>>2]|0;ra=(c[db+4>>2]|0)-Qa|0;do if(!(a[c[W>>2]>>0]|0))El(db,Qa,ra+-5|0,25106)|0;else{Za=ra-X|0;Pa=Dl(Za)|0;bb=Pa-X|0;if(bb|0)em(c[V>>2]|0,Pa+Qa|0,X+Qa|0,Za);Hl(c[V>>2]|0,Qa,Za,25106)|0;$l(c[V>>2]|0,bb);Za=c[oa>>2]|0;if(!((bb|0)!=0&(Za|0)!=0))break;Pa=c[Za+8>>2]|0;cb=c[Za+12>>2]|0;if((Pa|0)==(cb|0))break;else fb=Pa;do{Pa=fb+4|0;c[Pa>>2]=(c[Pa>>2]|0)+bb;fb=fb+16|0}while((fb|0)!=(cb|0))}while(0);c[S>>2]=0;Xa=Xa+20|0}while((Xa|0)!=(f|0))}f=c[(c[V>>2]|0)+8>>2]|0;Xa=V+8|0;S=c[Xa>>2]|0;if(!S){l=g;return f|0}fb=V+12|0;V=c[fb>>2]|0;if((V|0)==(S|0))gb=S;else{oa=V;while(1){V=oa+-20|0;c[fb>>2]=V;W=c[oa+-12>>2]|0;if(!W)hb=V;else{V=oa+-8|0;eb=c[V>>2]|0;if((eb|0)!=(W|0))c[V>>2]=eb+(~((eb+-16-W|0)>>>4)<<4);Mt(W);hb=c[fb>>2]|0}if((hb|0)==(S|0))break;else oa=hb}gb=c[Xa>>2]|0}Mt(gb);l=g;return f|0}function Of(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0;g=l;l=l+176|0;h=g;i=g+8|0;j=g+160|0;k=g+156|0;m=g+152|0;n=g+148|0;o=g+144|0;p=g+140|0;q=g+136|0;r=g+132|0;s=g+128|0;t=g+124|0;u=g+120|0;v=g+116|0;w=g+112|0;x=g+108|0;y=g+104|0;z=g+100|0;A=g+96|0;B=g+92|0;C=g+88|0;D=g+84|0;E=g+80|0;F=g+76|0;G=g+72|0;H=g+68|0;I=g+64|0;J=g+60|0;K=g+56|0;L=g+52|0;M=g+48|0;N=g+44|0;O=g+40|0;P=g+36|0;Q=g+32|0;R=g+28|0;S=g+24|0;T=g+20|0;U=g+16|0;V=g+12|0;do switch(c[f+28>>2]|0){case 0:{W=c[b>>2]|0;X=f+32|0;c[i>>2]=c[X>>2];c[h>>2]=c[i>>2];Mf(W,h);W=xm(X,c[f+36>>2]|0)|0;X=c[b>>2]|0;if(W>>>0>1){Y=W;W=0;while(1){Z=W+1<<24>>24;if(Y>>>0>3){Y=Y>>>1;W=Z}else{_=Z;break}}}else _=0;a[h>>0]=_;dm(X,h,1,25901,0);Fl(c[b>>2]|0,c[f+40>>2]|0,40284);l=g;return}case 2:{W=c[b>>2]|0;Y=f+32|0;c[i>>2]=c[Y>>2];c[h>>2]=c[i>>2];Mf(W,h);W=xm(Y,c[f+36>>2]|0)|0;Y=c[b>>2]|0;if(W>>>0>1){Z=W;W=0;while(1){$=W+1<<24>>24;if(Z>>>0>3){Z=Z>>>1;W=$}else{aa=$;break}}}else aa=0;a[h>>0]=aa;dm(Y,h,1,25901,0);Fl(c[b>>2]|0,c[f+40>>2]|0,40284);l=g;return}case 3:{W=c[b>>2]|0;Z=f+32|0;c[i>>2]=c[Z>>2];c[h>>2]=c[i>>2];Mf(W,h);W=xm(Z,c[f+36>>2]|0)|0;Z=c[b>>2]|0;if(W>>>0>1){X=W;W=0;while(1){$=W+1<<24>>24;if(X>>>0>3){X=X>>>1;W=$}else{ba=$;break}}}else ba=0;a[h>>0]=ba;dm(Z,h,1,25901,0);Fl(c[b>>2]|0,c[f+40>>2]|0,40284);l=g;return}case 1:{W=c[b>>2]|0;X=f+32|0;c[i>>2]=c[X>>2];c[h>>2]=c[i>>2];Mf(W,h);W=xm(X,c[f+36>>2]|0)|0;X=c[b>>2]|0;if(W>>>0>1){Y=W;W=0;while(1){$=W+1<<24>>24;if(Y>>>0>3){Y=Y>>>1;W=$}else{ca=$;break}}}else ca=0;a[h>>0]=ca;dm(X,h,1,25901,0);Fl(c[b>>2]|0,c[f+40>>2]|0,40284);l=g;return}case 4:{W=c[b>>2]|0;c[j>>2]=c[f+32>>2];c[h>>2]=c[j>>2];Mf(W,h);l=g;return}case 5:{W=c[b>>2]|0;c[k>>2]=2;c[h>>2]=c[k>>2];Mf(W,h);W=c[b>>2]|0;Y=c[f+44>>2]|0;switch((c[f+48>>2]|0)-Y>>2|0){case 0:{Il(W,-64,42047);break}case 1:{Z=c[Y>>2]|0;switch(Z|0){case -1:{da=42077;break}case -2:{da=42073;break}case -3:{da=42069;break}case -4:{da=42065;break}case -16:{da=42057;break}case -32:{da=42052;break}case -64:{da=42047;break}case 0:{da=42043;break}default:{}}Il(W,Z,da);break}default:{a[h>>0]=-1;dm(W,h,1,25911,0)}}W=c[f+56>>2]|0;if(W|0){Z=W;do{Of(b,d,e,Z);Z=c[Z+4>>2]|0}while((Z|0)!=0)}Z=c[b>>2]|0;c[m>>2]=11;c[h>>2]=c[m>>2];Mf(Z,h);l=g;return}case 6:{Z=c[b>>2]|0;c[n>>2]=12;c[h>>2]=c[n>>2];Mf(Z,h);Fl(c[b>>2]|0,c[f+52>>2]|0,25936);l=g;return}case 7:{Z=c[b>>2]|0;c[o>>2]=13;c[h>>2]=c[o>>2];Mf(Z,h);Fl(c[b>>2]|0,c[f+52>>2]|0,25936);l=g;return}case 8:{Z=c[b>>2]|0;c[p>>2]=14;c[h>>2]=c[p>>2];Mf(Z,h);Z=f+32|0;X=f+36|0;Fl(c[b>>2]|0,(c[X>>2]|0)-(c[Z>>2]|0)>>5,25948);W=c[Z>>2]|0;Z=c[X>>2]|0;if((W|0)!=(Z|0)){X=W;do{Fl(c[b>>2]|0,c[X+20>>2]|0,25936);X=X+32|0}while((X|0)!=(Z|0))}Fl(c[b>>2]|0,c[f+44+20>>2]|0,25960);l=g;return}case 9:{Z=Gm(d,f+32|0)|0;X=c[b>>2]|0;c[q>>2]=16;c[h>>2]=c[q>>2];Mf(X,h);Pf(b,Z,33148,0);l=g;return}case 10:{Z=Km(d,f+32|0)|0;X=c[b>>2]|0;c[r>>2]=17;c[h>>2]=c[r>>2];Mf(X,h);Pf(b,Z,25984,6);Fl(c[b>>2]|0,0,39350);l=g;return}case 11:{Z=c[b>>2]|0;c[s>>2]=c[f+32>>2];c[h>>2]=c[s>>2];Mf(Z,h);l=g;return}case 12:{switch(c[f+48>>2]|0){case -1:{Z=c[b>>2]|0;c[t>>2]=50;c[h>>2]=c[t>>2];Mf(Z,h);Il(c[b>>2]|0,c[f+56>>2]|0,26e3);l=g;return}case -2:{Z=c[b>>2]|0;c[u>>2]=51;c[h>>2]=c[u>>2];Mf(Z,h);Z=f+56|0;Jl(c[b>>2]|0,c[Z>>2]|0,c[Z+4>>2]|0,26012);l=g;return}case -3:{Z=c[b>>2]|0;c[v>>2]=52;c[h>>2]=c[v>>2];Mf(Z,h);Z=c[b>>2]|0;c[h>>2]=c[f+56>>2];dm(Z,h,4,26024,0);l=g;return}case -4:{Z=c[b>>2]|0;c[w>>2]=53;c[h>>2]=c[w>>2];Mf(Z,h);Z=c[b>>2]|0;X=f+56|0;W=c[X+4>>2]|0;Y=h;c[Y>>2]=c[X>>2];c[Y+4>>2]=W;dm(Z,h,8,26036,0);l=g;return}default:{l=g;return}}break}case 13:{Z=c[b>>2]|0;c[x>>2]=c[f+32>>2];c[h>>2]=c[x>>2];Mf(Z,h);l=g;return}case 14:{Z=c[b>>2]|0;c[y>>2]=48;c[h>>2]=c[y>>2];Mf(Z,h);Fl(c[b>>2]|0,0,39648);l=g;return}case 15:{Z=c[b>>2]|0;c[z>>2]=18;c[h>>2]=c[z>>2];Mf(Z,h);l=g;return}case 16:{Z=Hm(d,f+32|0)|0;W=c[b>>2]|0;c[A>>2]=23;c[h>>2]=c[A>>2];Mf(W,h);Pf(b,Z,26048,7);l=g;return}case 17:{if(!e)if(!(c[f+48>>2]|0))ea=c[f+52>>2]|0;else ea=-1;else ea=Mm(e,f+32|0)|0;Z=c[b>>2]|0;c[B>>2]=20;c[h>>2]=c[B>>2];Mf(Z,h);Fl(c[b>>2]|0,ea,25751);l=g;return}case 18:{Z=c[b>>2]|0;c[C>>2]=49;c[h>>2]=c[C>>2];Mf(Z,h);Fl(c[b>>2]|0,0,39748);l=g;return}case 19:{Z=c[b>>2]|0;c[D>>2]=4;c[h>>2]=c[D>>2];Mf(Z,h);Z=c[b>>2]|0;W=c[f+44>>2]|0;switch((c[f+48>>2]|0)-W>>2|0){case 0:{Il(Z,-64,42047);break}case 1:{Y=c[W>>2]|0;switch(Y|0){case -1:{fa=42077;break}case -2:{fa=42073;break}case -3:{fa=42069;break}case -4:{fa=42065;break}case -16:{fa=42057;break}case -32:{fa=42052;break}case -64:{fa=42047;break}case 0:{fa=42043;break}default:{}}Il(Z,Y,fa);break}default:{a[h>>0]=-1;dm(Z,h,1,25911,0)}}Z=c[f+56>>2]|0;if(Z|0){Y=Z;do{Of(b,d,e,Y);Y=c[Y+4>>2]|0}while((Y|0)!=0)}Y=f+68|0;if(c[Y+8>>2]|0?(Z=c[b>>2]|0,c[E>>2]=5,c[h>>2]=c[E>>2],Mf(Z,h),Z=c[Y>>2]|0,Z|0):0){Y=Z;do{Of(b,d,e,Y);Y=c[Y+4>>2]|0}while((Y|0)!=0)}Y=c[b>>2]|0;c[F>>2]=11;c[h>>2]=c[F>>2];Mf(Y,h);l=g;return}case 20:{Y=c[b>>2]|0;Z=f+32|0;c[i>>2]=c[Z>>2];c[h>>2]=c[i>>2];Mf(Y,h);Y=xm(Z,c[f+36>>2]|0)|0;Z=c[b>>2]|0;if(Y>>>0>1){W=Y;Y=0;while(1){X=Y+1<<24>>24;if(W>>>0>3){W=W>>>1;Y=X}else{ga=X;break}}}else ga=0;a[h>>0]=ga;dm(Z,h,1,25901,0);Fl(c[b>>2]|0,c[f+40>>2]|0,39552);l=g;return}case 21:{Y=c[b>>2]|0;c[G>>2]=3;c[h>>2]=c[G>>2];Mf(Y,h);Y=c[b>>2]|0;W=c[f+44>>2]|0;switch((c[f+48>>2]|0)-W>>2|0){case 0:{Il(Y,-64,42047);break}case 1:{X=c[W>>2]|0;switch(X|0){case -1:{ha=42077;break}case -2:{ha=42073;break}case -3:{ha=42069;break}case -4:{ha=42065;break}case -16:{ha=42057;break}case -32:{ha=42052;break}case -64:{ha=42047;break}case 0:{ha=42043;break}default:{}}Il(Y,X,ha);break}default:{a[h>>0]=-1;dm(Y,h,1,25911,0)}}Y=c[f+56>>2]|0;if(Y|0){X=Y;do{Of(b,d,e,X);X=c[X+4>>2]|0}while((X|0)!=0)}X=c[b>>2]|0;c[H>>2]=11;c[h>>2]=c[H>>2];Mf(X,h);l=g;return}case 22:{X=c[b>>2]|0;c[I>>2]=1;c[h>>2]=c[I>>2];Mf(X,h);l=g;return}case 23:{X=c[b>>2]|0;c[J>>2]=9;c[h>>2]=c[J>>2];Mf(X,h);Fl(c[b>>2]|0,c[f+52>>2]|0,26061);l=g;return}case 24:{X=c[b>>2]|0;c[K>>2]=15;c[h>>2]=c[K>>2];Mf(X,h);l=g;return}case 25:{X=c[b>>2]|0;c[L>>2]=19;c[h>>2]=c[L>>2];Mf(X,h);l=g;return}case 26:{X=Hm(d,f+32|0)|0;Z=c[b>>2]|0;c[M>>2]=24;c[h>>2]=c[M>>2];Mf(Z,h);Pf(b,X,26048,7);l=g;return}case 27:{if(!e)if(!(c[f+48>>2]|0))ia=c[f+52>>2]|0;else ia=-1;else ia=Mm(e,f+32|0)|0;X=c[b>>2]|0;c[N>>2]=21;c[h>>2]=c[N>>2];Mf(X,h);Fl(c[b>>2]|0,ia,25751);l=g;return}case 28:{X=c[b>>2]|0;Z=f+32|0;c[i>>2]=c[Z>>2];c[h>>2]=c[i>>2];Mf(X,h);X=xm(Z,c[f+36>>2]|0)|0;Z=c[b>>2]|0;if(X>>>0>1){Y=X;X=0;while(1){W=X+1<<24>>24;if(Y>>>0>3){Y=Y>>>1;X=W}else{ja=W;break}}}else ja=0;a[h>>0]=ja;dm(Z,h,1,25901,0);Fl(c[b>>2]|0,c[f+40>>2]|0,39607);l=g;return}case 29:{if(!e)if(!(c[f+48>>2]|0))ka=c[f+52>>2]|0;else ka=-1;else ka=Mm(e,f+32|0)|0;X=c[b>>2]|0;c[O>>2]=22;c[h>>2]=c[O>>2];Mf(X,h);Fl(c[b>>2]|0,ka,25751);l=g;return}case 30:{X=c[b>>2]|0;c[P>>2]=8;c[h>>2]=c[P>>2];Mf(X,h);Fl(c[b>>2]|0,c[f+52>>2]|0,26075);l=g;return}case 31:{X=c[b>>2]|0;c[Q>>2]=6;c[h>>2]=c[Q>>2];Mf(X,h);X=c[b>>2]|0;Y=c[f+44>>2]|0;switch((c[f+48>>2]|0)-Y>>2|0){case 0:{Il(X,-64,42047);break}case 1:{W=c[Y>>2]|0;switch(W|0){case -1:{la=42077;break}case -2:{la=42073;break}case -3:{la=42069;break}case -4:{la=42065;break}case -16:{la=42057;break}case -32:{la=42052;break}case -64:{la=42047;break}case 0:{la=42043;break}default:{}}Il(X,W,la);break}default:{a[h>>0]=-1;dm(X,h,1,25911,0)}}X=c[f+56>>2]|0;if(X|0){W=X;do{Of(b,d,e,W);W=c[W+4>>2]|0}while((W|0)!=0)}W=c[f+68>>2]|0;Z=c[f+72>>2]|0;if((W|0)!=(Z|0)){X=W;do{if(!(c[X+32>>2]|0)){W=X+36|0;Y=c[b>>2]|0;if((c[W>>2]|0)==-1){c[R>>2]=10;c[h>>2]=c[R>>2];Mf(Y,h)}else{ma=W;na=Y;oa=133}}else{ma=X+36|0;na=c[b>>2]|0;oa=133}if((oa|0)==133){oa=0;c[S>>2]=7;c[h>>2]=c[S>>2];Mf(na,h);Fl(c[b>>2]|0,c[ma>>2]|0,26091)}Y=c[X+48>>2]|0;if(Y|0){W=Y;do{Of(b,d,e,W);W=c[W+4>>2]|0}while((W|0)!=0)}X=X+60|0}while((X|0)!=(Z|0))}Z=c[b>>2]|0;c[T>>2]=11;c[h>>2]=c[T>>2];Mf(Z,h);l=g;return}case 32:{Z=c[b>>2]|0;c[U>>2]=c[f+32>>2];c[h>>2]=c[U>>2];Mf(Z,h);l=g;return}case 33:{Z=c[b>>2]|0;c[V>>2]=0;c[h>>2]=c[V>>2];Mf(Z,h);l=g;return}case 34:{Z=c[b>>2]|0;X=f+32|0;c[i>>2]=c[X>>2];c[h>>2]=c[i>>2];Mf(Z,h);Z=xm(X,c[f+36>>2]|0)|0;X=c[b>>2]|0;if(Z>>>0>1){W=Z;Z=0;while(1){Y=Z+1<<24>>24;if(W>>>0>3){W=W>>>1;Z=Y}else{pa=Y;break}}}else pa=0;a[h>>0]=pa;dm(X,h,1,25901,0);Fl(c[b>>2]|0,c[f+40>>2]|0,40284);l=g;return}case 35:{Z=c[b>>2]|0;W=f+32|0;c[i>>2]=c[W>>2];c[h>>2]=c[i>>2];Mf(Z,h);Z=xm(W,c[f+36>>2]|0)|0;W=c[b>>2]|0;if(Z>>>0>1){Y=Z;Z=0;while(1){$=Z+1<<24>>24;if(Y>>>0>3){Y=Y>>>1;Z=$}else{qa=$;break}}}else qa=0;a[h>>0]=qa;dm(W,h,1,25901,0);Fl(c[b>>2]|0,c[f+40>>2]|0,40284);l=g;return}default:{l=g;return}}while(0)}function Pf(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;g=l;l=l+16|0;h=g+8|0;i=g+4|0;j=g;if(!(a[(c[b+4>>2]|0)+1>>0]|0)){Fl(c[b>>2]|0,d,e);l=g;return}c[h>>2]=f;c[i>>2]=d;k=b+20|0;m=c[k>>2]|0;if(m){n=b+32|0;o=c[n>>2]|0;if((c[m+4>>2]|0)==(o|0))p=m;else{q=n;r=o;s=5}}else{o=b+32|0;q=o;r=c[o>>2]|0;s=5}if((s|0)==5){s=b+8|0;o=c[4464+(r<<2)>>2]|0;n=b+12|0;m=c[n>>2]|0;t=b+16|0;u=c[t>>2]|0;v=m;w=u;if(m>>>0>=u>>>0){u=c[s>>2]|0;x=((v-u|0)/20|0)+1|0;if(x>>>0>214748364){Jt(s);y=c[s>>2]|0;z=c[n>>2]|0;A=t;B=c[t>>2]|0}else{y=u;z=v;A=t;B=w}w=z;t=y;v=(B-y|0)/20|0;B=v<<1;u=v>>>0<107374182?(B>>>0<x>>>0?x:B):214748364;B=(z-y|0)/20|0;if(!u)C=0;else C=Kt(u*20|0)|0;y=C+(B*20|0)|0;x=y;v=C+(u*20|0)|0;u=c[q>>2]|0;c[y>>2]=o;c[C+(B*20|0)+4>>2]=u;c[C+(B*20|0)+8>>2]=0;c[C+(B*20|0)+12>>2]=0;c[C+(B*20|0)+16>>2]=0;B=y+20|0;if((w|0)==(t|0)){D=x;E=z;F=w}else{z=w;w=x;x=y;do{y=z;z=z+-20|0;C=z;u=c[C+4>>2]|0;q=x+-20|0;c[q>>2]=c[C>>2];c[q+4>>2]=u;u=x+-12|0;q=y+-12|0;c[u>>2]=0;C=x+-8|0;c[C>>2]=0;c[x+-4>>2]=0;c[u>>2]=c[q>>2];u=y+-8|0;c[C>>2]=c[u>>2];C=y+-4|0;c[x+-4>>2]=c[C>>2];c[C>>2]=0;c[u>>2]=0;c[q>>2]=0;x=w+-20|0;w=x}while((z|0)!=(t|0));D=w;E=c[s>>2]|0;F=c[n>>2]|0}c[s>>2]=D;c[n>>2]=B;c[A>>2]=v;v=E;if((F|0)!=(v|0)){A=F;do{F=c[A+-12>>2]|0;if(F|0){B=A+-8|0;D=c[B>>2]|0;if((D|0)!=(F|0))c[B>>2]=D+(~((D+-16-F|0)>>>4)<<4);Mt(F)}A=A+-20|0}while((A|0)!=(v|0))}if(E|0)Mt(E)}else{c[m>>2]=o;c[m+4>>2]=r;c[m+8>>2]=0;c[m+12>>2]=0;c[m+16>>2]=0;c[n>>2]=m+20}m=(c[n>>2]|0)+-20|0;c[k>>2]=m;p=m}m=(c[(c[b>>2]|0)+4>>2]|0)-(c[b+36>>2]|0)|0;c[j>>2]=m;k=p+12|0;n=c[k>>2]|0;if(n>>>0<(c[p+16>>2]|0)>>>0){Cl(n,f,m,d,0);c[k>>2]=(c[k>>2]|0)+16}else Rf(p+8|0,h,j,i);Gl(c[b>>2]|0,d,e);l=g;return}function Qf(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;e=l;l=l+112|0;f=e+8|0;g=e;h=e+12|0;c[g>>2]=d;tt(h,100,25848,g)|0;i=c[b>>2]|0;j=c[i+12>>2]|0;if(!j)k=i;else{c[f>>2]=h;cm(j,25069,f);k=c[b>>2]|0}a[g>>0]=0;dm(k,g,1,25861,0);c[b+32>>2]=0;c[b+28>>2]=1;k=c[b>>2]|0;f=a[c[b+4>>2]>>0]|0;a[g>>0]=0;a[g+1>>0]=0;a[g+2>>0]=0;a[g+3>>0]=0;a[g+4>>0]=0;j=c[k+4>>2]|0;dm(k,g,f<<24>>24?1:5,25075,0);c[b+24>>2]=j;j=c[b>>2]|0;c[b+36>>2]=c[j+4>>2];b=st(d)|0;Fl(j,b,41498);dm(j,d,b,25881,1);l=e;return}function Rf(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;f=a+4|0;g=c[f>>2]|0;h=c[a>>2]|0;i=(g-h>>4)+1|0;if(i>>>0>268435455){Jt(a);j=c[a>>2]|0;k=c[f>>2]|0}else{j=h;k=g}g=a+8|0;h=(c[g>>2]|0)-j|0;l=h>>3;m=h>>4>>>0<134217727?(l>>>0<i>>>0?i:l):268435455;if(!m)n=0;else n=Kt(m<<4)|0;l=n+(k-j>>4<<4)|0;Cl(l,c[b>>2]|0,c[d>>2]|0,c[e>>2]|0,0);e=c[a>>2]|0;d=(c[f>>2]|0)-e|0;b=l+(0-(d>>4)<<4)|0;if((d|0)>0)Wu(b|0,e|0,d|0)|0;c[a>>2]=b;c[f>>2]=l+16;c[g>>2]=n+(m<<4);if(!e)return;Mt(e);return}function Sf(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0;h=l;l=l+48|0;i=h;c[i+4>>2]=0;c[i>>2]=3244;c[i+8>>2]=f;c[i+12>>2]=g;g=i+16|0;c[g>>2]=0;c[g+4>>2]=0;c[g+8>>2]=0;c[g+12>>2]=0;c[g+16>>2]=0;c[i+36>>2]=a;a=fp(b,d,i,e)|0;c[i>>2]=3244;e=c[i+20>>2]|0;if(!e){l=h;return a|0}d=i+24|0;i=c[d>>2]|0;if((i|0)!=(e|0))c[d>>2]=i+(~(((i+-12-e|0)>>>0)/12|0)*12|0);Mt(e);l=h;return a|0}function Tf(a){a=a|0;var b=0,d=0;c[a>>2]=3244;b=c[a+20>>2]|0;if(!b)return;d=a+24|0;a=c[d>>2]|0;if((a|0)!=(b|0))c[d>>2]=a+(~(((a+-12-b|0)>>>0)/12|0)*12|0);Mt(b);return}function Uf(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=3244;b=c[a+20>>2]|0;if(!b){Mt(a);return}d=a+24|0;e=c[d>>2]|0;if((e|0)!=(b|0))c[d>>2]=e+(~(((e+-12-b|0)>>>0)/12|0)*12|0);Mt(b);Mt(a);return}function Vf(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;d=l;l=l+48|0;e=d+24|0;f=d+12|0;g=d;h=c[(c[a+4>>2]|0)+8>>2]|0;i=c[a+8>>2]|0;c[g>>2]=0;c[g+4>>2]=0;c[g+8>>2]=0;Rt(g,b,st(b)|0);b=c[(c[i>>2]|0)+8>>2]|0;c[e>>2]=0;c[e+4>>2]=h;c[f>>2]=0;c[f+4>>2]=0;c[f+8>>2]=0;h=$a[b&31](i,e,g,f,0)|0;Wt(f);Wt(g);l=d;return h|0}function Wf(a,b){a=a|0;b=b|0;c[a+4>>2]=b;return}function Xf(a,b){a=a|0;b=b|0;return 0}function Yf(a){a=a|0;return 0}function Zf(a,b,c){a=a|0;b=b|0;c=c|0;return 0}function _f(a,b,c){a=a|0;b=b|0;c=c|0;return 0}function $f(a){a=a|0;return 0}function ag(a,b){a=a|0;b=b|0;return 0}function bg(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;d=c[a+12>>2]|0;a=d+120|0;e=d+128|0;f=c[a>>2]|0;if((c[e>>2]|0)-f>>2>>>0>=b>>>0)return 0;g=d+124|0;d=(c[g>>2]|0)-f|0;h=d>>2;i=Kt(b<<2)|0;j=i+(h<<2)|0;k=j+(0-h<<2)|0;if((d|0)>0)Wu(k|0,f|0,d|0)|0;c[a>>2]=k;c[g>>2]=j;c[e>>2]=i+(b<<2);if(!f)return 0;Mt(f);return 0}function cg(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,m=0;b=l;l=l+16|0;h=b;i=b+8|0;j=c[a+36>>2]|0;k=c[(c[a+4>>2]|0)+8>>2]|0;m=Kt(68)|0;c[m+4>>2]=0;c[m+8>>2]=0;c[m+12>>2]=j;c[m+16>>2]=k;k=m+20|0;c[k>>2]=0;c[k+4>>2]=0;c[m+28>>2]=4;c[m>>2]=2784;c[h>>2]=0;c[h+4>>2]=0;Bm(m+32|0,h);h=m+44|0;c[h>>2]=0;c[h+4>>2]=0;c[h+8>>2]=0;c[h+12>>2]=0;c[h+16>>2]=0;c[h+20>>2]=0;Td(h,e,e+(d<<2)|0);Td(m+56|0,g,g+(f<<2)|0);f=c[a+12>>2]|0;c[i>>2]=m;fn(f,i);f=c[i>>2]|0;c[i>>2]=0;if(!f){l=b;return 0}Sa[c[(c[f>>2]|0)+4>>2]&255](f);l=b;return 0}function dg(a){a=a|0;return 0}function eg(a,b){a=a|0;b=b|0;return 0}function fg(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;d=c[a+12>>2]|0;a=d+96|0;e=d+104|0;f=c[a>>2]|0;if((c[e>>2]|0)-f>>2>>>0>=b>>>0)return 0;g=d+100|0;d=(c[g>>2]|0)-f|0;h=d>>2;i=Kt(b<<2)|0;j=i+(h<<2)|0;k=j+(0-h<<2)|0;if((d|0)>0)Wu(k|0,f|0,d|0)|0;c[a>>2]=k;c[g>>2]=j;c[e>>2]=i+(b<<2);if(!f)return 0;Mt(f);return 0}function gg(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return 0}function hg(b,d,e,f,h,i){b=b|0;d=d|0;e=e|0;f=f|0;h=h|0;i=i|0;var j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;h=l;l=l+64|0;d=h+24|0;j=h;k=h+16|0;m=Kt(168)|0;n=m+4|0;c[n>>2]=0;c[n+4>>2]=0;c[n+8>>2]=0;c[n+12>>2]=0;c[n+16>>2]=0;c[n+20>>2]=0;c[n+24>>2]=0;c[m>>2]=2960;c[j>>2]=0;c[j+4>>2]=0;Bm(m+32|0,j);o=m+44|0;a[o>>0]=0;p=m+48|0;c[d>>2]=0;c[d+4>>2]=0;c[d+8>>2]=0;c[d+12>>2]=0;xn(p,-1,d);q=m+80|0;r=m+132|0;s=q;t=s+52|0;do{c[s>>2]=0;s=s+4|0}while((s|0)<(t|0));g[r>>2]=1.0;r=m+136|0;c[r>>2]=0;c[r+4>>2]=0;c[r+8>>2]=0;c[r+12>>2]=0;g[m+152>>2]=1.0;c[m+156>>2]=0;c[m+160>>2]=0;c[m+164>>2]=0;Bm(d,e);e=m+15|0;if((a[e>>0]|0)<0){a[c[n>>2]>>0]=0;c[m+8>>2]=0}else{a[n>>0]=0;a[e>>0]=0}$t(n,0);c[n>>2]=c[d>>2];c[n+4>>2]=c[d+4>>2];c[n+8>>2]=c[d+8>>2];c[d>>2]=0;c[d+4>>2]=0;c[d+8>>2]=0;Wt(d);Bm(d,f);f=m+16|0;n=m+27|0;if((a[n>>0]|0)<0){a[c[f>>2]>>0]=0;c[m+20>>2]=0}else{a[f>>0]=0;a[n>>0]=0}$t(f,0);c[f>>2]=c[d>>2];c[f+4>>2]=c[d+4>>2];c[f+8>>2]=c[d+8>>2];c[d>>2]=0;c[d+4>>2]=0;c[d+8>>2]=0;Wt(d);a[o>>0]=1;o=j+8|0;c[o>>2]=0;c[o+4>>2]=0;o=b+36|0;c[j>>2]=c[o>>2];f=b+4|0;c[j+4>>2]=c[(c[f>>2]|0)+8>>2];xn(d,i,j);An(p,d)|0;Fn(d);d=b+12|0;b=c[d>>2]|0;p=c[(c[b+120>>2]|0)+(i<<2)>>2]|0;i=p+12|0;if((q|0)==(i|0))u=b;else{Td(q,c[i>>2]|0,c[p+16>>2]|0);Td(m+92|0,c[p+24>>2]|0,c[p+28>>2]|0);u=c[d>>2]|0}d=c[o>>2]|0;o=c[(c[f>>2]|0)+8>>2]|0;f=Kt(36)|0;c[f+4>>2]=0;c[f+8>>2]=0;c[f+12>>2]=d;c[f+16>>2]=o;o=f+20|0;c[o>>2]=0;c[o+4>>2]=0;c[f+28>>2]=2;c[f>>2]=2816;c[f+32>>2]=m;c[k>>2]=f;kn(u,k);u=c[k>>2]|0;c[k>>2]=0;if(!u){l=h;return 0}Sa[c[(c[u>>2]|0)+4>>2]&255](u);l=h;return 0}function ig(d,e,f,g,h,i,j){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,m=0,n=0;i=l;l=l+16|0;h=i;e=i+12|0;k=Kt(72)|0;m=k+4|0;c[m>>2]=0;c[m+4>>2]=0;c[m+8>>2]=0;c[m+12>>2]=0;c[m+16>>2]=0;c[m+20>>2]=0;c[k+28>>2]=1;c[k>>2]=2800;c[h>>2]=0;c[h+4>>2]=0;Bm(k+32|0,h);n=k+48|0;c[n>>2]=0;c[n+4>>2]=0;c[n+8>>2]=0;c[n+12>>2]=0;b[n+16>>1]=0;Bm(h,f);f=k+15|0;if((a[f>>0]|0)<0){a[c[m>>2]>>0]=0;c[k+8>>2]=0}else{a[m>>0]=0;a[f>>0]=0}$t(m,0);c[m>>2]=c[h>>2];c[m+4>>2]=c[h+4>>2];c[m+8>>2]=c[h+8>>2];c[h>>2]=0;c[h+4>>2]=0;c[h+8>>2]=0;Wt(h);Bm(h,g);g=k+16|0;m=k+27|0;if((a[m>>0]|0)<0){a[c[g>>2]>>0]=0;c[k+20>>2]=0}else{a[g>>0]=0;a[m>>0]=0}$t(g,0);c[g>>2]=c[h>>2];c[g+4>>2]=c[h+4>>2];c[g+8>>2]=c[h+8>>2];c[h>>2]=0;c[h+4>>2]=0;c[h+8>>2]=0;Wt(h);c[n>>2]=c[j>>2];c[n+4>>2]=c[j+4>>2];c[n+8>>2]=c[j+8>>2];c[n+12>>2]=c[j+12>>2];b[n+16>>1]=b[j+16>>1]|0;j=c[d+12>>2]|0;n=c[d+36>>2]|0;h=c[(c[d+4>>2]|0)+8>>2]|0;d=Kt(36)|0;c[d+4>>2]=0;c[d+8>>2]=0;c[d+12>>2]=n;c[d+16>>2]=h;h=d+20|0;c[h>>2]=0;c[h+4>>2]=0;c[d+28>>2]=2;c[d>>2]=2816;c[d+32>>2]=k;c[e>>2]=d;kn(j,e);j=c[e>>2]|0;c[e>>2]=0;if(!j){l=i;return 0}Sa[c[(c[j>>2]|0)+4>>2]&255](j);l=i;return 0}function jg(d,e,f,g,h,i){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,m=0,n=0;h=l;l=l+16|0;e=h;j=h+12|0;k=Kt(72)|0;m=k+4|0;c[m>>2]=0;c[m+4>>2]=0;c[m+8>>2]=0;c[m+12>>2]=0;c[m+16>>2]=0;c[m+20>>2]=0;c[k+28>>2]=2;c[k>>2]=2912;c[e>>2]=0;c[e+4>>2]=0;Bm(k+32|0,e);n=k+48|0;c[n>>2]=0;c[n+4>>2]=0;c[n+8>>2]=0;c[n+12>>2]=0;b[n+16>>1]=0;Bm(e,f);f=k+15|0;if((a[f>>0]|0)<0){a[c[m>>2]>>0]=0;c[k+8>>2]=0}else{a[m>>0]=0;a[f>>0]=0}$t(m,0);c[m>>2]=c[e>>2];c[m+4>>2]=c[e+4>>2];c[m+8>>2]=c[e+8>>2];c[e>>2]=0;c[e+4>>2]=0;c[e+8>>2]=0;Wt(e);Bm(e,g);g=k+16|0;m=k+27|0;if((a[m>>0]|0)<0){a[c[g>>2]>>0]=0;c[k+20>>2]=0}else{a[g>>0]=0;a[m>>0]=0}$t(g,0);c[g>>2]=c[e>>2];c[g+4>>2]=c[e+4>>2];c[g+8>>2]=c[e+8>>2];c[e>>2]=0;c[e+4>>2]=0;c[e+8>>2]=0;Wt(e);c[n>>2]=c[i>>2];c[n+4>>2]=c[i+4>>2];c[n+8>>2]=c[i+8>>2];c[n+12>>2]=c[i+12>>2];b[n+16>>1]=b[i+16>>1]|0;i=c[d+12>>2]|0;n=c[d+36>>2]|0;e=c[(c[d+4>>2]|0)+8>>2]|0;d=Kt(36)|0;c[d+4>>2]=0;c[d+8>>2]=0;c[d+12>>2]=n;c[d+16>>2]=e;e=d+20|0;c[e>>2]=0;c[e+4>>2]=0;c[d+28>>2]=2;c[d>>2]=2816;c[d+32>>2]=k;c[j>>2]=d;kn(i,j);i=c[j>>2]|0;c[j>>2]=0;if(!i){l=h;return 0}Sa[c[(c[i>>2]|0)+4>>2]&255](i);l=h;return 0}function kg(b,d,e,f,g,h,i){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,m=0,n=0,o=0;g=l;l=l+16|0;d=g;j=g+12|0;k=Kt(64)|0;m=k+4|0;c[m>>2]=0;c[m+4>>2]=0;c[m+8>>2]=0;c[m+12>>2]=0;c[m+16>>2]=0;c[m+20>>2]=0;c[k+28>>2]=3;c[k>>2]=2976;c[d>>2]=0;c[d+4>>2]=0;Bm(k+32|0,d);n=k+44|0;c[n>>2]=-64;o=k+48|0;a[o>>0]=0;c[k+52>>2]=0;c[k+56>>2]=0;c[k+60>>2]=0;Bm(d,e);e=k+15|0;if((a[e>>0]|0)<0){a[c[m>>2]>>0]=0;c[k+8>>2]=0}else{a[m>>0]=0;a[e>>0]=0}$t(m,0);c[m>>2]=c[d>>2];c[m+4>>2]=c[d+4>>2];c[m+8>>2]=c[d+8>>2];c[d>>2]=0;c[d+4>>2]=0;c[d+8>>2]=0;Wt(d);Bm(d,f);f=k+16|0;m=k+27|0;if((a[m>>0]|0)<0){a[c[f>>2]>>0]=0;c[k+20>>2]=0}else{a[f>>0]=0;a[m>>0]=0}$t(f,0);c[f>>2]=c[d>>2];c[f+4>>2]=c[d+4>>2];c[f+8>>2]=c[d+8>>2];c[d>>2]=0;c[d+4>>2]=0;c[d+8>>2]=0;Wt(d);c[n>>2]=h;a[o>>0]=i&1;i=c[b+12>>2]|0;o=c[b+36>>2]|0;h=c[(c[b+4>>2]|0)+8>>2]|0;b=Kt(36)|0;c[b+4>>2]=0;c[b+8>>2]=0;c[b+12>>2]=o;c[b+16>>2]=h;h=b+20|0;c[h>>2]=0;c[h+4>>2]=0;c[b+28>>2]=2;c[b>>2]=2816;c[b+32>>2]=k;c[j>>2]=b;kn(i,j);i=c[j>>2]|0;c[j>>2]=0;if(!i){l=g;return 0}Sa[c[(c[i>>2]|0)+4>>2]&255](i);l=g;return 0}function lg(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,m=0;g=l;l=l+16|0;d=g;i=g+12|0;j=Kt(56)|0;k=j+4|0;c[k>>2]=0;c[k+4>>2]=0;c[k+8>>2]=0;c[k+12>>2]=0;c[k+16>>2]=0;c[k+20>>2]=0;c[j+28>>2]=4;c[j>>2]=2992;c[d>>2]=0;c[d+4>>2]=0;Bm(j+32|0,d);m=j+44|0;c[m>>2]=0;c[j+48>>2]=0;c[j+52>>2]=0;Bm(d,e);e=j+15|0;if((a[e>>0]|0)<0){a[c[k>>2]>>0]=0;c[j+8>>2]=0}else{a[k>>0]=0;a[e>>0]=0}$t(k,0);c[k>>2]=c[d>>2];c[k+4>>2]=c[d+4>>2];c[k+8>>2]=c[d+8>>2];c[d>>2]=0;c[d+4>>2]=0;c[d+8>>2]=0;Wt(d);Bm(d,f);f=j+16|0;k=j+27|0;if((a[k>>0]|0)<0){a[c[f>>2]>>0]=0;c[j+20>>2]=0}else{a[f>>0]=0;a[k>>0]=0}$t(f,0);c[f>>2]=c[d>>2];c[f+4>>2]=c[d+4>>2];c[f+8>>2]=c[d+8>>2];c[d>>2]=0;c[d+4>>2]=0;c[d+8>>2]=0;Wt(d);if((m|0)!=(h|0))Td(m,c[h>>2]|0,c[h+4>>2]|0);h=c[b+12>>2]|0;m=c[b+36>>2]|0;d=c[(c[b+4>>2]|0)+8>>2]|0;b=Kt(36)|0;c[b+4>>2]=0;c[b+8>>2]=0;c[b+12>>2]=m;c[b+16>>2]=d;d=b+20|0;c[d>>2]=0;c[d+4>>2]=0;c[b+28>>2]=2;c[b>>2]=2816;c[b+32>>2]=j;c[i>>2]=b;kn(h,i);h=c[i>>2]|0;c[i>>2]=0;if(!h){l=g;return 0}Sa[c[(c[h>>2]|0)+4>>2]&255](h);l=g;return 0}function mg(a){a=a|0;return 0}function ng(a,b){a=a|0;b=b|0;return 0}function og(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;d=c[a+12>>2]|0;a=d+72|0;e=(c[d+44>>2]|0)+b|0;b=d+80|0;f=c[a>>2]|0;if((c[b>>2]|0)-f>>2>>>0>=e>>>0)return 0;g=d+76|0;d=(c[g>>2]|0)-f|0;h=d>>2;i=Kt(e<<2)|0;j=i+(h<<2)|0;k=j+(0-h<<2)|0;if((d|0)>0)Wu(k|0,f|0,d|0)|0;c[a>>2]=k;c[g>>2]=j;c[b>>2]=i+(e<<2);if(!f)return 0;Mt(f);return 0}function pg(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;d=l;l=l+64|0;f=d+24|0;h=d;i=d+16|0;j=b+36|0;k=c[j>>2]|0;m=b+4|0;n=c[(c[m>>2]|0)+8>>2]|0;o=Kt(168)|0;c[o+4>>2]=0;c[o+8>>2]=0;c[o+12>>2]=k;c[o+16>>2]=n;n=o+20|0;c[n>>2]=0;c[n+4>>2]=0;c[o+28>>2]=0;c[o>>2]=3024;c[h>>2]=0;c[h+4>>2]=0;Bm(o+32|0,h);n=o+44|0;a[n>>0]=0;k=o+48|0;c[f>>2]=0;c[f+4>>2]=0;c[f+8>>2]=0;c[f+12>>2]=0;xn(k,-1,f);p=o+80|0;q=o+132|0;r=p;s=r+52|0;do{c[r>>2]=0;r=r+4|0}while((r|0)<(s|0));g[q>>2]=1.0;q=o+136|0;c[q>>2]=0;c[q+4>>2]=0;c[q+8>>2]=0;c[q+12>>2]=0;g[o+152>>2]=1.0;c[o+156>>2]=0;c[o+160>>2]=0;c[o+164>>2]=0;a[n>>0]=1;n=h+8|0;c[n>>2]=0;c[n+4>>2]=0;c[h>>2]=c[j>>2];c[h+4>>2]=c[(c[m>>2]|0)+8>>2];xn(f,e,h);An(k,f)|0;Fn(f);f=b+12|0;b=c[f>>2]|0;k=c[(c[b+120>>2]|0)+(e<<2)>>2]|0;e=k+12|0;if((p|0)==(e|0))t=b;else{Td(p,c[e>>2]|0,c[k+16>>2]|0);Td(o+92|0,c[k+24>>2]|0,c[k+28>>2]|0);t=c[f>>2]|0}c[i>>2]=o;dn(t,i);t=c[i>>2]|0;c[i>>2]=0;if(!t){l=d;return 0}Sa[c[(c[t>>2]|0)+4>>2]&255](t);l=d;return 0}function qg(a){a=a|0;return 0}function rg(a,b){a=a|0;b=b|0;return 0}function sg(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;d=c[a+12>>2]|0;a=d+132|0;e=(c[d+48>>2]|0)+b|0;b=d+140|0;f=c[a>>2]|0;if((c[b>>2]|0)-f>>2>>>0>=e>>>0)return 0;g=d+136|0;d=(c[g>>2]|0)-f|0;h=d>>2;i=Kt(e<<2)|0;j=i+(h<<2)|0;k=j+(0-h<<2)|0;if((d|0)>0)Wu(k|0,f|0,d|0)|0;c[a>>2]=k;c[g>>2]=j;c[b>>2]=i+(e<<2);if(!f)return 0;Mt(f);return 0}function tg(a,d,e,f){a=a|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0;e=l;l=l+16|0;d=e;g=e+8|0;h=c[a+36>>2]|0;i=c[(c[a+4>>2]|0)+8>>2]|0;j=Kt(72)|0;c[j+4>>2]=0;c[j+8>>2]=0;c[j+12>>2]=h;c[j+16>>2]=i;i=j+20|0;c[i>>2]=0;c[i+4>>2]=0;c[j+28>>2]=5;c[j>>2]=2848;c[d>>2]=0;c[d+4>>2]=0;Bm(j+32|0,d);d=j+48|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];c[d+8>>2]=c[f+8>>2];c[d+12>>2]=c[f+12>>2];b[d+16>>1]=b[f+16>>1]|0;f=c[a+12>>2]|0;c[g>>2]=j;sn(f,g);f=c[g>>2]|0;c[g>>2]=0;if(!f){l=e;return 0}Sa[c[(c[f>>2]|0)+4>>2]&255](f);l=e;return 0}function ug(a){a=a|0;return 0}function vg(a,b){a=a|0;b=b|0;return 0}function wg(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;d=c[a+12>>2]|0;a=d+156|0;e=(c[d+52>>2]|0)+b|0;b=d+164|0;f=c[a>>2]|0;if((c[b>>2]|0)-f>>2>>>0>=e>>>0)return 0;g=d+160|0;d=(c[g>>2]|0)-f|0;h=d>>2;i=Kt(e<<2)|0;j=i+(h<<2)|0;k=j+(0-h<<2)|0;if((d|0)>0)Wu(k|0,f|0,d|0)|0;c[a>>2]=k;c[g>>2]=j;c[b>>2]=i+(e<<2);if(!f)return 0;Mt(f);return 0}function xg(a,d,e){a=a|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;d=l;l=l+16|0;f=d;g=d+8|0;h=c[a+36>>2]|0;i=c[(c[a+4>>2]|0)+8>>2]|0;j=Kt(72)|0;c[j+4>>2]=0;c[j+8>>2]=0;c[j+12>>2]=h;c[j+16>>2]=i;i=j+20|0;c[i>>2]=0;c[i+4>>2]=0;c[j+28>>2]=7;c[j>>2]=2944;c[f>>2]=0;c[f+4>>2]=0;Bm(j+32|0,f);f=j+48|0;c[f>>2]=c[e>>2];c[f+4>>2]=c[e+4>>2];c[f+8>>2]=c[e+8>>2];c[f+12>>2]=c[e+12>>2];b[f+16>>1]=b[e+16>>1]|0;e=c[a+12>>2]|0;c[g>>2]=j;pn(e,g);e=c[g>>2]|0;c[g>>2]=0;if(!e){l=d;return 0}Sa[c[(c[e>>2]|0)+4>>2]&255](e);l=d;return 0}function yg(a){a=a|0;return 0}function zg(a,b){a=a|0;b=b|0;return 0}function Ag(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;d=c[a+12>>2]|0;a=d+84|0;e=(c[d+56>>2]|0)+b|0;b=d+92|0;f=c[a>>2]|0;if((c[b>>2]|0)-f>>2>>>0>=e>>>0)return 0;g=d+88|0;d=(c[g>>2]|0)-f|0;h=d>>2;i=Kt(e<<2)|0;j=i+(h<<2)|0;k=j+(0-h<<2)|0;if((d|0)>0)Wu(k|0,f|0,d|0)|0;c[a>>2]=k;c[g>>2]=j;c[b>>2]=i+(e<<2);if(!f)return 0;Mt(f);return 0}function Bg(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0;d=l;l=l+16|0;g=d;h=d+8|0;i=c[b+36>>2]|0;j=c[(c[b+4>>2]|0)+8>>2]|0;k=Kt(64)|0;c[k+4>>2]=0;c[k+8>>2]=0;c[k+12>>2]=i;c[k+16>>2]=j;j=k+20|0;c[j>>2]=0;c[j+4>>2]=0;c[k+28>>2]=1;c[k>>2]=3008;c[g>>2]=0;c[g+4>>2]=0;Bm(k+32|0,g);c[k+52>>2]=0;c[k+56>>2]=0;c[k+60>>2]=0;c[k+44>>2]=e;a[k+48>>0]=f&1;f=c[b+12>>2]|0;c[h>>2]=k;hn(f,h);f=c[h>>2]|0;c[h>>2]=0;if(!f){l=d;return 0}Sa[c[(c[f>>2]|0)+4>>2]&255](f);l=d;return 0}function Cg(a,b){a=a|0;b=b|0;c[a+32>>2]=(c[(c[(c[a+12>>2]|0)+84>>2]|0)+(b<<2)>>2]|0)+20;return 0}function Dg(a,b){a=a|0;b=b|0;c[a+32>>2]=0;return 0}function Eg(a,b){a=a|0;b=b|0;return 0}function Fg(a){a=a|0;return 0}function Gg(a,b){a=a|0;b=b|0;return 0}function Hg(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;d=c[a+12>>2]|0;a=d+108|0;e=d+116|0;f=c[a>>2]|0;if((c[e>>2]|0)-f>>2>>>0>=b>>>0)return 0;g=d+112|0;d=(c[g>>2]|0)-f|0;h=d>>2;i=Kt(b<<2)|0;j=i+(h<<2)|0;k=j+(0-h<<2)|0;if((d|0)>0)Wu(k|0,f|0,d|0)|0;c[a>>2]=k;c[g>>2]=j;c[e>>2]=i+(b<<2);if(!f)return 0;Mt(f);return 0}function Ig(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0;d=l;l=l+64|0;h=d+24|0;i=d;j=d+16|0;k=b+36|0;m=c[k>>2]|0;n=b+4|0;o=c[(c[n>>2]|0)+8>>2]|0;p=Kt(80)|0;c[p+4>>2]=0;c[p+8>>2]=0;c[p+12>>2]=m;c[p+16>>2]=o;o=p+20|0;c[o>>2]=0;c[o+4>>2]=0;c[p+28>>2]=3;c[p>>2]=2880;o=p+32|0;c[o>>2]=0;c[o+4>>2]=0;c[o+8>>2]=0;m=p+48|0;c[h>>2]=0;c[h+4>>2]=0;c[h+8>>2]=0;c[h+12>>2]=0;xn(m,-1,h);Bm(h,g);g=p+43|0;if((a[g>>0]|0)<0){a[c[o>>2]>>0]=0;c[p+36>>2]=0}else{a[o>>0]=0;a[g>>0]=0}$t(o,0);c[o>>2]=c[h>>2];c[o+4>>2]=c[h+4>>2];c[o+8>>2]=c[h+8>>2];c[h>>2]=0;c[h+4>>2]=0;c[h+8>>2]=0;Wt(h);o=i+8|0;c[o>>2]=0;c[o+4>>2]=0;c[i>>2]=c[k>>2];c[i+4>>2]=c[(c[n>>2]|0)+8>>2];xn(h,f,i);An(m,h)|0;Fn(h);c[p+44>>2]=e;e=c[b+12>>2]|0;c[j>>2]=p;bn(e,j);e=c[j>>2]|0;c[j>>2]=0;if(!e){l=d;return 0}Sa[c[(c[e>>2]|0)+4>>2]&255](e);l=d;return 0}function Jg(a){a=a|0;return 0}function Kg(a,b){a=a|0;b=b|0;return 0}function Lg(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;d=l;l=l+80|0;e=d+40|0;f=d+8|0;g=d;h=e+8|0;c[h>>2]=0;c[h+4>>2]=0;h=a+36|0;c[e>>2]=c[h>>2];i=a+4|0;c[e+4>>2]=c[(c[i>>2]|0)+8>>2];xn(f,b,e);b=c[a+12>>2]|0;a=c[h>>2]|0;h=c[(c[i>>2]|0)+8>>2]|0;i=Kt(64)|0;Bn(e,f);c[i+4>>2]=0;c[i+8>>2]=0;c[i+12>>2]=a;c[i+16>>2]=h;h=i+20|0;c[h>>2]=0;c[h+4>>2]=0;c[i+28>>2]=9;c[i>>2]=2896;Bn(i+32|0,e);Fn(e);c[g>>2]=i;qn(b,g);b=c[g>>2]|0;c[g>>2]=0;if(!b){Fn(f);l=d;return 0}Sa[c[(c[b>>2]|0)+4>>2]&255](b);Fn(f);l=d;return 0}function Mg(a){a=a|0;return 0}function Ng(a,b){a=a|0;b=b|0;return 0}function Og(a,b){a=a|0;b=b|0;return 0}function Pg(a,b){a=a|0;b=b|0;var d=0;d=c[(c[(c[a+12>>2]|0)+72>>2]|0)+(b<<2)>>2]|0;c[a+16>>2]=d;Ti(a,0,d+124|0,0);return 0}function Qg(a,b){a=a|0;b=b|0;return 0}function Rg(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0;b=l;l=l+16|0;f=b;c[f>>2]=e;e=c[a+16>>2]|0;a=e+72|0;g=e+76|0;h=c[a>>2]|0;i=(c[g>>2]|0)-h|0;j=i>>2;k=j+d|0;m=e+80|0;if((c[m>>2]|0)-h>>2>>>0<k>>>0){e=Kt(k<<2)|0;n=e+(j<<2)|0;o=n+(0-j<<2)|0;if((i|0)>0)Wu(o|0,h|0,i|0)|0;c[a>>2]=o;c[g>>2]=n;c[m>>2]=e+(k<<2);if(h|0)Mt(h)}if(!d){l=b;return 0}else p=0;do{h=c[g>>2]|0;if((h|0)==(c[m>>2]|0))Ie(a,f);else{c[h>>2]=c[f>>2];c[g>>2]=h+4}p=p+1|0}while((p|0)!=(d|0));l=b;return 0}function Sg(a,b){a=a|0;b=b|0;return 0}function Tg(a){a=a|0;return 0}function Ug(a,b){a=a|0;b=b|0;return 0}function Vg(a,b){a=a|0;b=b|0;return 0}function Wg(a,b,c){a=a|0;b=b|0;c=c|0;return 0}function Xg(a,b,c){a=a|0;b=b|0;c=c|0;return 0}function Yg(a,b){a=a|0;b=b|0;return 0}function Zg(a,b,c){a=a|0;b=b|0;c=c|0;return 0}function _g(a,b,c){a=a|0;b=b|0;c=c|0;return 0}function $g(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0;f=l;l=l+16|0;g=f;h=Kt(44)|0;i=c[b>>2]|0;b=h+4|0;c[b>>2]=0;c[b+4>>2]=0;c[b+8>>2]=0;c[b+12>>2]=0;c[b+16>>2]=0;c[b+20>>2]=0;c[b+24>>2]=0;c[h>>2]=2720;c[h+32>>2]=i;c[h+36>>2]=1<<d;c[h+40>>2]=e;e=c[a+20>>2]|0;d=(c[a+24>>2]|0)-e|0;i=(d|0)/12|0;if(!d){c[g>>2]=0;c[g+4>>2]=i;Oi(a,26244,g);Sa[c[(c[h>>2]|0)+4>>2]&255](h);j=1;l=f;return j|0}g=c[e+((i+-1|0)*12|0)+4>>2]|0;i=g+4|0;e=c[i>>2]|0;if(!e)k=g;else{c[h+8>>2]=e;k=e+4|0}c[k>>2]=h;c[i>>2]=h;h=g+8|0;c[h>>2]=(c[h>>2]|0)+1;j=0;l=f;return j|0}function ah(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0;f=l;l=l+16|0;g=f;h=Kt(44)|0;i=c[b>>2]|0;b=h+4|0;c[b>>2]=0;c[b+4>>2]=0;c[b+8>>2]=0;c[b+12>>2]=0;c[b+16>>2]=0;c[b+20>>2]=0;c[h+28>>2]=1;c[h>>2]=2736;c[h+32>>2]=i;c[h+36>>2]=1<<d;c[h+40>>2]=e;e=c[a+20>>2]|0;d=(c[a+24>>2]|0)-e|0;i=(d|0)/12|0;if(!d){c[g>>2]=0;c[g+4>>2]=i;Oi(a,26244,g);Sa[c[(c[h>>2]|0)+4>>2]&255](h);j=1;l=f;return j|0}g=c[e+((i+-1|0)*12|0)+4>>2]|0;i=g+4|0;e=c[i>>2]|0;if(!e)k=g;else{c[h+8>>2]=e;k=e+4|0}c[k>>2]=h;c[i>>2]=h;h=g+8|0;c[h>>2]=(c[h>>2]|0)+1;j=0;l=f;return j|0}function bh(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0;f=l;l=l+16|0;g=f;h=Kt(44)|0;i=c[b>>2]|0;b=h+4|0;c[b>>2]=0;c[b+4>>2]=0;c[b+8>>2]=0;c[b+12>>2]=0;c[b+16>>2]=0;c[b+20>>2]=0;c[h+28>>2]=2;c[h>>2]=2752;c[h+32>>2]=i;c[h+36>>2]=1<<d;c[h+40>>2]=e;e=c[a+20>>2]|0;d=(c[a+24>>2]|0)-e|0;i=(d|0)/12|0;if(!d){c[g>>2]=0;c[g+4>>2]=i;Oi(a,26244,g);Sa[c[(c[h>>2]|0)+4>>2]&255](h);j=1;l=f;return j|0}g=c[e+((i+-1|0)*12|0)+4>>2]|0;i=g+4|0;e=c[i>>2]|0;if(!e)k=g;else{c[h+8>>2]=e;k=e+4|0}c[k>>2]=h;c[i>>2]=h;h=g+8|0;c[h>>2]=(c[h>>2]|0)+1;j=0;l=f;return j|0}function ch(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0;f=l;l=l+16|0;g=f;h=Kt(44)|0;i=c[b>>2]|0;b=h+4|0;c[b>>2]=0;c[b+4>>2]=0;c[b+8>>2]=0;c[b+12>>2]=0;c[b+16>>2]=0;c[b+20>>2]=0;c[h+28>>2]=3;c[h>>2]=2768;c[h+32>>2]=i;c[h+36>>2]=1<<d;c[h+40>>2]=e;e=c[a+20>>2]|0;d=(c[a+24>>2]|0)-e|0;i=(d|0)/12|0;if(!d){c[g>>2]=0;c[g+4>>2]=i;Oi(a,26244,g);Sa[c[(c[h>>2]|0)+4>>2]&255](h);j=1;l=f;return j|0}g=c[e+((i+-1|0)*12|0)+4>>2]|0;i=g+4|0;e=c[i>>2]|0;if(!e)k=g;else{c[h+8>>2]=e;k=e+4|0}c[k>>2]=h;c[i>>2]=h;h=g+8|0;c[h>>2]=(c[h>>2]|0)+1;j=0;l=f;return j|0}function dh(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;d=l;l=l+16|0;e=d;f=c[a+36>>2]|0;g=c[(c[a+4>>2]|0)+8>>2]|0;h=Kt(36)|0;i=c[b>>2]|0;c[h+4>>2]=0;b=h+8|0;c[b>>2]=0;c[h+12>>2]=f;c[h+16>>2]=g;g=h+20|0;c[g>>2]=0;c[g+4>>2]=0;c[h+28>>2]=4;c[h>>2]=2576;c[h+32>>2]=i;i=c[a+20>>2]|0;g=(c[a+24>>2]|0)-i|0;f=(g|0)/12|0;if(!g){c[e>>2]=0;c[e+4>>2]=f;Oi(a,26244,e);Sa[c[(c[h>>2]|0)+4>>2]&255](h);j=1;l=d;return j|0}e=c[i+((f+-1|0)*12|0)+4>>2]|0;f=e+4|0;i=c[f>>2]|0;if(!i)k=e;else{c[b>>2]=i;k=i+4|0}c[k>>2]=h;c[f>>2]=h;h=e+8|0;c[h>>2]=(c[h>>2]|0)+1;j=0;l=d;return j|0}function eh(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;e=l;l=l+16|0;f=e;g=c[a+36>>2]|0;h=c[(c[a+4>>2]|0)+8>>2]|0;i=Kt(68)|0;c[i+4>>2]=0;j=i+8|0;c[j>>2]=0;c[i+12>>2]=g;c[i+16>>2]=h;h=i+20|0;c[h>>2]=0;c[h+4>>2]=0;c[i+28>>2]=5;c[i>>2]=2208;h=i+32|0;g=h+36|0;do{c[h>>2]=0;h=h+4|0}while((h|0)<(g|0));Td(i+44|0,d,d+(b<<2)|0);b=c[a+20>>2]|0;d=(c[a+24>>2]|0)-b|0;h=(d|0)/12|0;if(!d){c[f>>2]=0;c[f+4>>2]=h;Oi(a,26244,f);Sa[c[(c[i>>2]|0)+4>>2]&255](i);k=1;l=e;return k|0}f=c[b+((h+-1|0)*12|0)+4>>2]|0;h=f+4|0;b=c[h>>2]|0;if(!b)m=f;else{c[j>>2]=b;m=b+4|0}c[m>>2]=i;c[h>>2]=i;h=f+8|0;c[h>>2]=(c[h>>2]|0)+1;Ti(a,1,i+56|0,0);k=0;l=e;return k|0}function fh(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;d=l;l=l+64|0;e=d;f=d+24|0;g=d+8|0;h=g+8|0;c[h>>2]=0;c[h+4>>2]=0;c[g>>2]=c[a+36>>2];c[g+4>>2]=c[(c[a+4>>2]|0)+8>>2];xn(f,b,g);g=Kt(64)|0;b=g+4|0;c[b>>2]=0;c[b+4>>2]=0;c[b+8>>2]=0;c[b+12>>2]=0;c[b+16>>2]=0;c[b+20>>2]=0;c[g+28>>2]=6;c[g>>2]=2336;Bn(g+32|0,f);b=c[a+20>>2]|0;h=(c[a+24>>2]|0)-b|0;i=(h|0)/12|0;if(!h){c[e>>2]=0;c[e+4>>2]=i;Oi(a,26244,e);Sa[c[(c[g>>2]|0)+4>>2]&255](g);j=1;Fn(f);l=d;return j|0}e=c[b+((i+-1|0)*12|0)+4>>2]|0;i=e+4|0;b=c[i>>2]|0;if(!b)k=e;else{c[g+8>>2]=b;k=b+4|0}c[k>>2]=g;c[i>>2]=g;g=e+8|0;c[g>>2]=(c[g>>2]|0)+1;j=0;Fn(f);l=d;return j|0}function gh(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;d=l;l=l+64|0;e=d;f=d+24|0;g=d+8|0;h=g+8|0;c[h>>2]=0;c[h+4>>2]=0;c[g>>2]=c[a+36>>2];c[g+4>>2]=c[(c[a+4>>2]|0)+8>>2];xn(f,b,g);g=Kt(64)|0;b=g+4|0;c[b>>2]=0;c[b+4>>2]=0;c[b+8>>2]=0;c[b+12>>2]=0;c[b+16>>2]=0;c[b+20>>2]=0;c[g+28>>2]=7;c[g>>2]=2352;Bn(g+32|0,f);b=c[a+20>>2]|0;h=(c[a+24>>2]|0)-b|0;i=(h|0)/12|0;if(!h){c[e>>2]=0;c[e+4>>2]=i;Oi(a,26244,e);Sa[c[(c[g>>2]|0)+4>>2]&255](g);j=1;Fn(f);l=d;return j|0}e=c[b+((i+-1|0)*12|0)+4>>2]|0;i=e+4|0;b=c[i>>2]|0;if(!b)k=e;else{c[g+8>>2]=b;k=b+4|0}c[k>>2]=g;c[i>>2]=g;g=e+8|0;c[g>>2]=(c[g>>2]|0)+1;j=0;Fn(f);l=d;return j|0}function hh(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;f=l;l=l+64|0;g=f;h=f+24|0;i=f+8|0;j=c[a+36>>2]|0;k=c[(c[a+4>>2]|0)+8>>2]|0;m=Kt(76)|0;c[m+4>>2]=0;n=m+8|0;c[n>>2]=0;c[m+12>>2]=j;c[m+16>>2]=k;k=m+20|0;c[k>>2]=0;c[k+4>>2]=0;c[m+28>>2]=8;c[m>>2]=2368;k=m+32|0;c[k>>2]=0;j=m+36|0;c[j>>2]=0;c[m+40>>2]=0;o=m+44|0;c[h>>2]=0;c[h+4>>2]=0;c[h+8>>2]=0;c[h+12>>2]=0;xn(o,-1,h);c[i>>2]=0;c[i+4>>2]=0;c[i+8>>2]=0;c[i+12>>2]=0;xn(h,e,i);An(o,h)|0;Fn(h);o=c[j>>2]|0;e=c[k>>2]|0;p=o-e>>5;q=e;e=o;if(p>>>0>=b>>>0){if(p>>>0>b>>>0?(o=q+(b<<5)|0,(e|0)!=(o|0)):0){q=e;do{e=q+-32|0;c[j>>2]=e;Fn(e);q=c[j>>2]|0}while((q|0)!=(o|0))}if(b|0)r=7}else{Vi(k,b-p|0);r=7}if((r|0)==7){r=0;do{p=c[d+(r<<2)>>2]|0;c[i>>2]=0;c[i+4>>2]=0;c[i+8>>2]=0;c[i+12>>2]=0;xn(h,p,i);An((c[k>>2]|0)+(r<<5)|0,h)|0;Fn(h);r=r+1|0}while((r|0)!=(b|0))}b=c[a+20>>2]|0;r=(c[a+24>>2]|0)-b|0;h=(r|0)/12|0;if(!r){c[g>>2]=0;c[g+4>>2]=h;Oi(a,26244,g);Sa[c[(c[m>>2]|0)+4>>2]&255](m);s=1;l=f;return s|0}g=c[b+((h+-1|0)*12|0)+4>>2]|0;h=g+4|0;b=c[h>>2]|0;if(!b)t=g;else{c[n>>2]=b;t=b+4|0}c[t>>2]=m;c[h>>2]=m;m=g+8|0;c[m>>2]=(c[m>>2]|0)+1;s=0;l=f;return s|0}function ih(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;d=l;l=l+64|0;e=d;f=d+24|0;g=d+8|0;h=g+8|0;c[h>>2]=0;c[h+4>>2]=0;c[g>>2]=c[a+36>>2];c[g+4>>2]=c[(c[a+4>>2]|0)+8>>2];xn(f,b,g);g=Kt(64)|0;b=g+4|0;c[b>>2]=0;c[b+4>>2]=0;c[b+8>>2]=0;c[b+12>>2]=0;c[b+16>>2]=0;c[b+20>>2]=0;c[g+28>>2]=9;c[g>>2]=2400;Bn(g+32|0,f);b=c[a+20>>2]|0;h=(c[a+24>>2]|0)-b|0;i=(h|0)/12|0;if(!h){c[e>>2]=0;c[e+4>>2]=i;Oi(a,26244,e);Sa[c[(c[g>>2]|0)+4>>2]&255](g);j=1;Fn(f);l=d;return j|0}e=c[b+((i+-1|0)*12|0)+4>>2]|0;i=e+4|0;b=c[i>>2]|0;if(!b)k=e;else{c[g+8>>2]=b;k=b+4|0}c[k>>2]=g;c[i>>2]=g;g=e+8|0;c[g>>2]=(c[g>>2]|0)+1;j=0;Fn(f);l=d;return j|0}function jh(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;d=l;l=l+64|0;e=d;f=d+24|0;g=d+8|0;h=g+8|0;c[h>>2]=0;c[h+4>>2]=0;c[g>>2]=c[a+36>>2];c[g+4>>2]=c[(c[a+4>>2]|0)+8>>2];xn(f,b,g);g=Kt(64)|0;b=g+4|0;c[b>>2]=0;c[b+4>>2]=0;c[b+8>>2]=0;c[b+12>>2]=0;c[b+16>>2]=0;c[b+20>>2]=0;c[g+28>>2]=10;c[g>>2]=2416;Bn(g+32|0,f);b=c[a+20>>2]|0;h=(c[a+24>>2]|0)-b|0;i=(h|0)/12|0;if(!h){c[e>>2]=0;c[e+4>>2]=i;Oi(a,26244,e);Sa[c[(c[g>>2]|0)+4>>2]&255](g);j=1;Fn(f);l=d;return j|0}e=c[b+((i+-1|0)*12|0)+4>>2]|0;i=e+4|0;b=c[i>>2]|0;if(!b)k=e;else{c[g+8>>2]=b;k=b+4|0}c[k>>2]=g;c[i>>2]=g;g=e+8|0;c[g>>2]=(c[g>>2]|0)+1;j=0;Fn(f);l=d;return j|0}function kh(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;d=l;l=l+112|0;e=d+48|0;f=d+16|0;g=d;h=g+8|0;c[h>>2]=0;c[h+4>>2]=0;c[g>>2]=c[a+36>>2];c[g+4>>2]=c[(c[a+4>>2]|0)+8>>2];xn(f,b,g);c[e>>2]=0;c[e+4>>2]=0;c[e+8>>2]=0;c[e+12>>2]=0;g=e+16|0;Bn(g,f);b=e+48|0;c[b>>2]=0;h=e+52|0;c[h>>2]=0;i=e+56|0;c[i>>2]=0;j=Ui(a,e)|0;e=c[b>>2]|0;if(!e){c[h>>2]=0;c[b>>2]=0;c[i>>2]=0;Fn(g);Fn(f);l=d;return j|0}else k=e;do{e=k;k=c[k+4>>2]|0;Sa[c[(c[e>>2]|0)+4>>2]&255](e)}while((k|0)!=0);c[h>>2]=0;c[b>>2]=0;c[i>>2]=0;Fn(g);Fn(f);l=d;return j|0}function lh(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;b=l;l=l+80|0;d=b+64|0;e=b;f=c[(c[a+4>>2]|0)+8>>2]|0;c[e>>2]=c[a+36>>2];c[e+4>>2]=f;f=e+8|0;c[f>>2]=0;c[f+4>>2]=0;f=e+16|0;c[d>>2]=0;c[d+4>>2]=0;c[d+8>>2]=0;c[d+12>>2]=0;xn(f,-1,d);d=e+48|0;c[d>>2]=0;g=e+52|0;c[g>>2]=0;h=e+56|0;c[h>>2]=0;i=Ui(a,e)|0;e=c[d>>2]|0;if(!e){c[g>>2]=0;c[d>>2]=0;c[h>>2]=0;Fn(f);l=b;return i|0}else j=e;do{e=j;j=c[j+4>>2]|0;Sa[c[(c[e>>2]|0)+4>>2]&255](e)}while((j|0)!=0);c[g>>2]=0;c[d>>2]=0;c[h>>2]=0;Fn(f);l=b;return i|0}function mh(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;d=l;l=l+16|0;e=d;f=c[a+36>>2]|0;g=c[(c[a+4>>2]|0)+8>>2]|0;h=Kt(36)|0;i=c[b>>2]|0;c[h+4>>2]=0;b=h+8|0;c[b>>2]=0;c[h+12>>2]=f;c[h+16>>2]=g;g=h+20|0;c[g>>2]=0;c[g+4>>2]=0;c[h+28>>2]=11;c[h>>2]=2592;c[h+32>>2]=i;i=c[a+20>>2]|0;g=(c[a+24>>2]|0)-i|0;f=(g|0)/12|0;if(!g){c[e>>2]=0;c[e+4>>2]=f;Oi(a,26244,e);Sa[c[(c[h>>2]|0)+4>>2]&255](h);j=1;l=d;return j|0}e=c[i+((f+-1|0)*12|0)+4>>2]|0;f=e+4|0;i=c[f>>2]|0;if(!i)k=e;else{c[b>>2]=i;k=i+4|0}c[k>>2]=h;c[f>>2]=h;h=e+8|0;c[h>>2]=(c[h>>2]|0)+1;j=0;l=d;return j|0}function nh(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;d=l;l=l+16|0;e=d;f=c[a+36>>2]|0;g=c[(c[a+4>>2]|0)+8>>2]|0;h=Kt(36)|0;i=c[b>>2]|0;c[h+4>>2]=0;b=h+8|0;c[b>>2]=0;c[h+12>>2]=f;c[h+16>>2]=g;g=h+20|0;c[g>>2]=0;c[g+4>>2]=0;c[h+28>>2]=13;c[h>>2]=2608;c[h+32>>2]=i;i=c[a+20>>2]|0;g=(c[a+24>>2]|0)-i|0;f=(g|0)/12|0;if(!g){c[e>>2]=0;c[e+4>>2]=f;Oi(a,26244,e);Sa[c[(c[h>>2]|0)+4>>2]&255](h);j=1;l=d;return j|0}e=c[i+((f+-1|0)*12|0)+4>>2]|0;f=e+4|0;i=c[f>>2]|0;if(!i)k=e;else{c[b>>2]=i;k=i+4|0}c[k>>2]=h;c[f>>2]=h;h=e+8|0;c[h>>2]=(c[h>>2]|0)+1;j=0;l=d;return j|0}function oh(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;b=l;l=l+16|0;d=b;e=c[a+36>>2]|0;f=c[(c[a+4>>2]|0)+8>>2]|0;g=Kt(32)|0;c[g+4>>2]=0;h=g+8|0;c[h>>2]=0;c[g+12>>2]=e;c[g+16>>2]=f;f=g+20|0;c[f>>2]=0;c[f+4>>2]=0;c[g+28>>2]=14;c[g>>2]=2624;f=c[a+20>>2]|0;e=(c[a+24>>2]|0)-f|0;i=(e|0)/12|0;if(!e){c[d>>2]=0;c[d+4>>2]=i;Oi(a,26244,d);Sa[c[(c[g>>2]|0)+4>>2]&255](g);j=1;l=b;return j|0}d=c[f+((i+-1|0)*12|0)+4>>2]|0;i=d+4|0;f=c[i>>2]|0;if(!f)k=d;else{c[h>>2]=f;k=f+4|0}c[k>>2]=g;c[i>>2]=g;g=d+8|0;c[g>>2]=(c[g>>2]|0)+1;j=0;l=b;return j|0}function ph(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;b=l;l=l+16|0;d=b;e=c[a+36>>2]|0;f=c[(c[a+4>>2]|0)+8>>2]|0;g=Kt(32)|0;c[g+4>>2]=0;h=g+8|0;c[h>>2]=0;c[g+12>>2]=e;c[g+16>>2]=f;f=g+20|0;c[f>>2]=0;c[f+4>>2]=0;c[g+28>>2]=15;c[g>>2]=2304;f=c[a+20>>2]|0;e=(c[a+24>>2]|0)-f|0;i=(e|0)/12|0;if(!e){c[d>>2]=0;c[d+4>>2]=i;Oi(a,26244,d);Sa[c[(c[g>>2]|0)+4>>2]&255](g);j=1;l=b;return j|0}d=c[f+((i+-1|0)*12|0)+4>>2]|0;i=d+4|0;f=c[i>>2]|0;if(!f)k=d;else{c[h>>2]=f;k=f+4|0}c[k>>2]=g;c[i>>2]=g;g=d+8|0;c[g>>2]=(c[g>>2]|0)+1;j=0;l=b;return j|0}function qh(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0;b=l;l=l+32|0;d=b+16|0;e=b;f=c[a+20>>2]|0;g=(c[a+24>>2]|0)-f|0;h=(g|0)/12|0;if(!g){c[e>>2]=0;c[e+4>>2]=h;Oi(a,26244,e);i=1;l=b;return i|0}e=f;f=h+-1|0;g=e+(f*12|0)|0;if((c[g>>2]|0)!=3){Oi(a,26282,b+8|0);i=1;l=b;return i|0}if(h>>>0>1){c[g>>2]=4;c[e+(f*12|0)+4>>2]=(c[(c[e+((h+-2|0)*12|0)+4>>2]|0)+4>>2]|0)+68;i=0;l=b;return i|0}else{c[d>>2]=1;c[d+4>>2]=h;Oi(a,26244,d);i=1;l=b;return i|0}return 0}function rh(a){a=a|0;var b=0,d=0,e=0,f=0;b=l;l=l+16|0;d=a+24|0;e=c[d>>2]|0;if((e|0)==(c[a+20>>2]|0)){Oi(a,26218,b);f=1;l=b;return f|0}else{c[d>>2]=e+-12;f=0;l=b;return f|0}return 0}function sh(a){a=a|0;return 0}function th(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;e=l;l=l+64|0;f=e+57|0;g=e+32|0;h=e;i=e+40|0;j=i+8|0;c[j>>2]=0;c[j+4>>2]=0;c[i>>2]=c[b+36>>2];c[i+4>>2]=c[(c[b+4>>2]|0)+8>>2];a[f>>0]=a[e+56>>0]|0;In(h,f,d,i);i=Kt(64)|0;d=i+4|0;c[d>>2]=0;c[d+4>>2]=0;c[d+8>>2]=0;c[d+12>>2]=0;c[d+16>>2]=0;c[d+20>>2]=0;c[i+28>>2]=12;c[i>>2]=2544;d=i+32|0;c[d>>2]=c[h>>2];c[d+4>>2]=c[h+4>>2];c[d+8>>2]=c[h+8>>2];c[d+12>>2]=c[h+12>>2];c[d+16>>2]=c[h+16>>2];c[d+20>>2]=c[h+20>>2];c[d+24>>2]=c[h+24>>2];c[d+28>>2]=c[h+28>>2];h=c[b+20>>2]|0;d=(c[b+24>>2]|0)-h|0;f=(d|0)/12|0;if(!d){c[g>>2]=0;c[g+4>>2]=f;Oi(b,26244,g);Sa[c[(c[i>>2]|0)+4>>2]&255](i);k=1;l=e;return k|0}g=c[h+((f+-1|0)*12|0)+4>>2]|0;f=g+4|0;h=c[f>>2]|0;if(!h)m=g;else{c[i+8>>2]=h;m=h+4|0}c[m>>2]=i;c[f>>2]=i;i=g+8|0;c[i>>2]=(c[i>>2]|0)+1;k=0;l=e;return k|0}function uh(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;f=l;l=l+64|0;g=f+57|0;h=f+32|0;i=f;j=f+40|0;k=j+8|0;c[k>>2]=0;c[k+4>>2]=0;c[j>>2]=c[b+36>>2];c[j+4>>2]=c[(c[b+4>>2]|0)+8>>2];a[g>>0]=a[f+56>>0]|0;Jn(i,g,d,e,j);j=Kt(64)|0;e=j+4|0;c[e>>2]=0;c[e+4>>2]=0;c[e+8>>2]=0;c[e+12>>2]=0;c[e+16>>2]=0;c[e+20>>2]=0;c[j+28>>2]=12;c[j>>2]=2544;e=j+32|0;c[e>>2]=c[i>>2];c[e+4>>2]=c[i+4>>2];c[e+8>>2]=c[i+8>>2];c[e+12>>2]=c[i+12>>2];c[e+16>>2]=c[i+16>>2];c[e+20>>2]=c[i+20>>2];c[e+24>>2]=c[i+24>>2];c[e+28>>2]=c[i+28>>2];i=c[b+20>>2]|0;e=(c[b+24>>2]|0)-i|0;d=(e|0)/12|0;if(!e){c[h>>2]=0;c[h+4>>2]=d;Oi(b,26244,h);Sa[c[(c[j>>2]|0)+4>>2]&255](j);m=1;l=f;return m|0}h=c[i+((d+-1|0)*12|0)+4>>2]|0;d=h+4|0;i=c[d>>2]|0;if(!i)n=h;else{c[j+8>>2]=i;n=i+4|0}c[n>>2]=j;c[d>>2]=j;j=h+8|0;c[j>>2]=(c[j>>2]|0)+1;m=0;l=f;return m|0}function vh(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;d=l;l=l+64|0;e=d;f=d+24|0;g=d+8|0;h=g+8|0;c[h>>2]=0;c[h+4>>2]=0;c[g>>2]=c[a+36>>2];c[g+4>>2]=c[(c[a+4>>2]|0)+8>>2];xn(f,b,g);g=Kt(64)|0;b=g+4|0;c[b>>2]=0;c[b+4>>2]=0;c[b+8>>2]=0;c[b+12>>2]=0;c[b+16>>2]=0;c[b+20>>2]=0;c[g+28>>2]=16;c[g>>2]=2480;Bn(g+32|0,f);b=c[a+20>>2]|0;h=(c[a+24>>2]|0)-b|0;i=(h|0)/12|0;if(!h){c[e>>2]=0;c[e+4>>2]=i;Oi(a,26244,e);Sa[c[(c[g>>2]|0)+4>>2]&255](g);j=1;Fn(f);l=d;return j|0}e=c[b+((i+-1|0)*12|0)+4>>2]|0;i=e+4|0;b=c[i>>2]|0;if(!b)k=e;else{c[g+8>>2]=b;k=b+4|0}c[k>>2]=g;c[i>>2]=g;g=e+8|0;c[g>>2]=(c[g>>2]|0)+1;j=0;Fn(f);l=d;return j|0}function wh(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;d=l;l=l+64|0;e=d;f=d+24|0;g=d+8|0;h=g+8|0;c[h>>2]=0;c[h+4>>2]=0;c[g>>2]=c[a+36>>2];c[g+4>>2]=c[(c[a+4>>2]|0)+8>>2];xn(f,b,g);g=Kt(64)|0;b=g+4|0;c[b>>2]=0;c[b+4>>2]=0;c[b+8>>2]=0;c[b+12>>2]=0;c[b+16>>2]=0;c[b+20>>2]=0;c[g+28>>2]=17;c[g>>2]=2432;Bn(g+32|0,f);b=c[a+20>>2]|0;h=(c[a+24>>2]|0)-b|0;i=(h|0)/12|0;if(!h){c[e>>2]=0;c[e+4>>2]=i;Oi(a,26244,e);Sa[c[(c[g>>2]|0)+4>>2]&255](g);j=1;Fn(f);l=d;return j|0}e=c[b+((i+-1|0)*12|0)+4>>2]|0;i=e+4|0;b=c[i>>2]|0;if(!b)k=e;else{c[g+8>>2]=b;k=b+4|0}c[k>>2]=g;c[i>>2]=g;g=e+8|0;c[g>>2]=(c[g>>2]|0)+1;j=0;Fn(f);l=d;return j|0}function xh(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;b=l;l=l+16|0;d=b;e=Kt(32)|0;f=e+4|0;c[f>>2]=0;c[f+4>>2]=0;c[f+8>>2]=0;c[f+12>>2]=0;c[f+16>>2]=0;c[f+20>>2]=0;c[e+28>>2]=18;c[e>>2]=2640;f=c[a+20>>2]|0;g=(c[a+24>>2]|0)-f|0;h=(g|0)/12|0;if(!g){c[d>>2]=0;c[d+4>>2]=h;Oi(a,26244,d);Sa[c[(c[e>>2]|0)+4>>2]&255](e);i=1;l=b;return i|0}d=c[f+((h+-1|0)*12|0)+4>>2]|0;h=d+4|0;f=c[h>>2]|0;if(!f)j=d;else{c[e+8>>2]=f;j=f+4|0}c[j>>2]=e;c[h>>2]=e;e=d+8|0;c[e>>2]=(c[e>>2]|0)+1;i=0;l=b;return i|0}function yh(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;e=l;l=l+64|0;f=e+57|0;g=e+32|0;h=e;i=e+40|0;j=i+8|0;c[j>>2]=0;c[j+4>>2]=0;c[i>>2]=c[b+36>>2];c[i+4>>2]=c[(c[b+4>>2]|0)+8>>2];a[f>>0]=a[e+56>>0]|0;Gn(h,f,d,i);i=Kt(64)|0;d=i+4|0;c[d>>2]=0;c[d+4>>2]=0;c[d+8>>2]=0;c[d+12>>2]=0;c[d+16>>2]=0;c[d+20>>2]=0;c[i+28>>2]=12;c[i>>2]=2544;d=i+32|0;c[d>>2]=c[h>>2];c[d+4>>2]=c[h+4>>2];c[d+8>>2]=c[h+8>>2];c[d+12>>2]=c[h+12>>2];c[d+16>>2]=c[h+16>>2];c[d+20>>2]=c[h+20>>2];c[d+24>>2]=c[h+24>>2];c[d+28>>2]=c[h+28>>2];h=c[b+20>>2]|0;d=(c[b+24>>2]|0)-h|0;f=(d|0)/12|0;if(!d){c[g>>2]=0;c[g+4>>2]=f;Oi(b,26244,g);Sa[c[(c[i>>2]|0)+4>>2]&255](i);k=1;l=e;return k|0}g=c[h+((f+-1|0)*12|0)+4>>2]|0;f=g+4|0;h=c[f>>2]|0;if(!h)m=g;else{c[i+8>>2]=h;m=h+4|0}c[m>>2]=i;c[f>>2]=i;i=g+8|0;c[i>>2]=(c[i>>2]|0)+1;k=0;l=e;return k|0}function zh(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;f=l;l=l+64|0;g=f+57|0;h=f+32|0;i=f;j=f+40|0;k=j+8|0;c[k>>2]=0;c[k+4>>2]=0;c[j>>2]=c[b+36>>2];c[j+4>>2]=c[(c[b+4>>2]|0)+8>>2];a[g>>0]=a[f+56>>0]|0;Hn(i,g,d,e,j);j=Kt(64)|0;e=j+4|0;c[e>>2]=0;c[e+4>>2]=0;c[e+8>>2]=0;c[e+12>>2]=0;c[e+16>>2]=0;c[e+20>>2]=0;c[j+28>>2]=12;c[j>>2]=2544;e=j+32|0;c[e>>2]=c[i>>2];c[e+4>>2]=c[i+4>>2];c[e+8>>2]=c[i+8>>2];c[e+12>>2]=c[i+12>>2];c[e+16>>2]=c[i+16>>2];c[e+20>>2]=c[i+20>>2];c[e+24>>2]=c[i+24>>2];c[e+28>>2]=c[i+28>>2];i=c[b+20>>2]|0;e=(c[b+24>>2]|0)-i|0;d=(e|0)/12|0;if(!e){c[h>>2]=0;c[h+4>>2]=d;Oi(b,26244,h);Sa[c[(c[j>>2]|0)+4>>2]&255](j);m=1;l=f;return m|0}h=c[i+((d+-1|0)*12|0)+4>>2]|0;d=h+4|0;i=c[d>>2]|0;if(!i)n=h;else{c[j+8>>2]=i;n=i+4|0}c[n>>2]=j;c[d>>2]=j;j=h+8|0;c[j>>2]=(c[j>>2]|0)+1;m=0;l=f;return m|0}function Ah(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;e=l;l=l+16|0;f=e;g=c[a+36>>2]|0;h=c[(c[a+4>>2]|0)+8>>2]|0;i=Kt(80)|0;c[i+4>>2]=0;j=i+8|0;c[j>>2]=0;c[i+12>>2]=g;c[i+16>>2]=h;h=i+20|0;c[h>>2]=0;c[h+4>>2]=0;c[i+28>>2]=19;c[i>>2]=2240;h=i+32|0;g=h+48|0;do{c[h>>2]=0;h=h+4|0}while((h|0)<(g|0));Td(i+44|0,d,d+(b<<2)|0);b=c[a+20>>2]|0;d=(c[a+24>>2]|0)-b|0;h=(d|0)/12|0;if(!d){c[f>>2]=0;c[f+4>>2]=h;Oi(a,26244,f);Sa[c[(c[i>>2]|0)+4>>2]&255](i);k=1;l=e;return k|0}f=c[b+((h+-1|0)*12|0)+4>>2]|0;h=f+4|0;b=c[h>>2]|0;if(!b)m=f;else{c[j>>2]=b;m=b+4|0}c[m>>2]=i;c[h>>2]=i;h=f+8|0;c[h>>2]=(c[h>>2]|0)+1;Ti(a,3,i+56|0,0);k=0;l=e;return k|0}function Bh(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0;f=l;l=l+16|0;g=f;h=Kt(44)|0;i=c[b>>2]|0;b=h+4|0;c[b>>2]=0;c[b+4>>2]=0;c[b+8>>2]=0;c[b+12>>2]=0;c[b+16>>2]=0;c[b+20>>2]=0;c[h+28>>2]=20;c[h>>2]=2512;c[h+32>>2]=i;c[h+36>>2]=1<<d;c[h+40>>2]=e;e=c[a+20>>2]|0;d=(c[a+24>>2]|0)-e|0;i=(d|0)/12|0;if(!d){c[g>>2]=0;c[g+4>>2]=i;Oi(a,26244,g);Sa[c[(c[h>>2]|0)+4>>2]&255](h);j=1;l=f;return j|0}g=c[e+((i+-1|0)*12|0)+4>>2]|0;i=g+4|0;e=c[i>>2]|0;if(!e)k=g;else{c[h+8>>2]=e;k=e+4|0}c[k>>2]=h;c[i>>2]=h;h=g+8|0;c[h>>2]=(c[h>>2]|0)+1;j=0;l=f;return j|0}function Ch(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;e=l;l=l+16|0;f=e;g=Kt(68)|0;h=g+4|0;i=g+8|0;c[h>>2]=0;c[h+4>>2]=0;c[h+8>>2]=0;c[h+12>>2]=0;c[h+16>>2]=0;c[h+20>>2]=0;c[g+28>>2]=21;c[g>>2]=2224;h=g+32|0;j=h+36|0;do{c[h>>2]=0;h=h+4|0}while((h|0)<(j|0));Td(g+44|0,d,d+(b<<2)|0);b=c[a+20>>2]|0;d=(c[a+24>>2]|0)-b|0;h=(d|0)/12|0;if(!d){c[f>>2]=0;c[f+4>>2]=h;Oi(a,26244,f);Sa[c[(c[g>>2]|0)+4>>2]&255](g);k=1;l=e;return k|0}f=c[b+((h+-1|0)*12|0)+4>>2]|0;h=f+4|0;b=c[h>>2]|0;if(!b)m=f;else{c[i>>2]=b;m=b+4|0}c[m>>2]=g;c[h>>2]=g;h=f+8|0;c[h>>2]=(c[h>>2]|0)+1;Ti(a,2,g+56|0,0);k=0;l=e;return k|0}function Dh(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;b=l;l=l+16|0;d=b;e=c[a+36>>2]|0;f=c[(c[a+4>>2]|0)+8>>2]|0;g=Kt(32)|0;c[g+4>>2]=0;h=g+8|0;c[h>>2]=0;c[g+12>>2]=e;c[g+16>>2]=f;f=g+20|0;c[f>>2]=0;c[f+4>>2]=0;c[g+28>>2]=22;c[g>>2]=2288;f=c[a+20>>2]|0;e=(c[a+24>>2]|0)-f|0;i=(e|0)/12|0;if(!e){c[d>>2]=0;c[d+4>>2]=i;Oi(a,26244,d);Sa[c[(c[g>>2]|0)+4>>2]&255](g);j=1;l=b;return j|0}d=c[f+((i+-1|0)*12|0)+4>>2]|0;i=d+4|0;f=c[i>>2]|0;if(!f)k=d;else{c[h>>2]=f;k=f+4|0}c[k>>2]=g;c[i>>2]=g;g=d+8|0;c[g>>2]=(c[g>>2]|0)+1;j=0;l=b;return j|0}function Eh(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;d=l;l=l+64|0;e=d;f=d+24|0;g=d+8|0;h=g+8|0;c[h>>2]=0;c[h+4>>2]=0;c[g>>2]=c[a+36>>2];c[g+4>>2]=c[(c[a+4>>2]|0)+8>>2];xn(f,b,g);g=Kt(64)|0;b=g+4|0;c[b>>2]=0;c[b+4>>2]=0;c[b+8>>2]=0;c[b+12>>2]=0;c[b+16>>2]=0;c[b+20>>2]=0;c[g+28>>2]=23;c[g>>2]=2672;Bn(g+32|0,f);b=c[a+20>>2]|0;h=(c[a+24>>2]|0)-b|0;i=(h|0)/12|0;if(!h){c[e>>2]=0;c[e+4>>2]=i;Oi(a,26244,e);Sa[c[(c[g>>2]|0)+4>>2]&255](g);j=1;Fn(f);l=d;return j|0}e=c[b+((i+-1|0)*12|0)+4>>2]|0;i=e+4|0;b=c[i>>2]|0;if(!b)k=e;else{c[g+8>>2]=b;k=b+4|0}c[k>>2]=g;c[i>>2]=g;g=e+8|0;c[g>>2]=(c[g>>2]|0)+1;j=0;Fn(f);l=d;return j|0}function Fh(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;b=l;l=l+16|0;d=b;e=Kt(32)|0;f=e+4|0;c[f>>2]=0;c[f+4>>2]=0;c[f+8>>2]=0;c[f+12>>2]=0;c[f+16>>2]=0;c[f+20>>2]=0;c[e+28>>2]=24;c[e>>2]=2384;f=c[a+20>>2]|0;g=(c[a+24>>2]|0)-f|0;h=(g|0)/12|0;if(!g){c[d>>2]=0;c[d+4>>2]=h;Oi(a,26244,d);Sa[c[(c[e>>2]|0)+4>>2]&255](e);i=1;l=b;return i|0}d=c[f+((h+-1|0)*12|0)+4>>2]|0;h=d+4|0;f=c[h>>2]|0;if(!f)j=d;else{c[e+8>>2]=f;j=f+4|0}c[j>>2]=e;c[h>>2]=e;e=d+8|0;c[e>>2]=(c[e>>2]|0)+1;i=0;l=b;return i|0}function Gh(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;b=l;l=l+16|0;d=b;e=Kt(32)|0;f=e+4|0;c[f>>2]=0;c[f+4>>2]=0;c[f+8>>2]=0;c[f+12>>2]=0;c[f+16>>2]=0;c[f+20>>2]=0;c[e+28>>2]=25;c[e>>2]=2320;f=c[a+20>>2]|0;g=(c[a+24>>2]|0)-f|0;h=(g|0)/12|0;if(!g){c[d>>2]=0;c[d+4>>2]=h;Oi(a,26244,d);Sa[c[(c[e>>2]|0)+4>>2]&255](e);i=1;l=b;return i|0}d=c[f+((h+-1|0)*12|0)+4>>2]|0;h=d+4|0;f=c[h>>2]|0;if(!f)j=d;else{c[e+8>>2]=f;j=f+4|0}c[j>>2]=e;c[h>>2]=e;e=d+8|0;c[e>>2]=(c[e>>2]|0)+1;i=0;l=b;return i|0}function Hh(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;d=l;l=l+64|0;e=d;f=d+24|0;g=d+8|0;h=g+8|0;c[h>>2]=0;c[h+4>>2]=0;c[g>>2]=c[a+36>>2];c[g+4>>2]=c[(c[a+4>>2]|0)+8>>2];xn(f,b,g);g=Kt(64)|0;b=g+4|0;c[b>>2]=0;c[b+4>>2]=0;c[b+8>>2]=0;c[b+12>>2]=0;c[b+16>>2]=0;c[b+20>>2]=0;c[g+28>>2]=26;c[g>>2]=2496;Bn(g+32|0,f);b=c[a+20>>2]|0;h=(c[a+24>>2]|0)-b|0;i=(h|0)/12|0;if(!h){c[e>>2]=0;c[e+4>>2]=i;Oi(a,26244,e);Sa[c[(c[g>>2]|0)+4>>2]&255](g);j=1;Fn(f);l=d;return j|0}e=c[b+((i+-1|0)*12|0)+4>>2]|0;i=e+4|0;b=c[i>>2]|0;if(!b)k=e;else{c[g+8>>2]=b;k=b+4|0}c[k>>2]=g;c[i>>2]=g;g=e+8|0;c[g>>2]=(c[g>>2]|0)+1;j=0;Fn(f);l=d;return j|0}function Ih(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;d=l;l=l+64|0;e=d;f=d+24|0;g=d+8|0;h=g+8|0;c[h>>2]=0;c[h+4>>2]=0;c[g>>2]=c[a+36>>2];c[g+4>>2]=c[(c[a+4>>2]|0)+8>>2];xn(f,b,g);g=Kt(64)|0;b=g+4|0;c[b>>2]=0;c[b+4>>2]=0;c[b+8>>2]=0;c[b+12>>2]=0;c[b+16>>2]=0;c[b+20>>2]=0;c[g+28>>2]=27;c[g>>2]=2448;Bn(g+32|0,f);b=c[a+20>>2]|0;h=(c[a+24>>2]|0)-b|0;i=(h|0)/12|0;if(!h){c[e>>2]=0;c[e+4>>2]=i;Oi(a,26244,e);Sa[c[(c[g>>2]|0)+4>>2]&255](g);j=1;Fn(f);l=d;return j|0}e=c[b+((i+-1|0)*12|0)+4>>2]|0;i=e+4|0;b=c[i>>2]|0;if(!b)k=e;else{c[g+8>>2]=b;k=b+4|0}c[k>>2]=g;c[i>>2]=g;g=e+8|0;c[g>>2]=(c[g>>2]|0)+1;j=0;Fn(f);l=d;return j|0}function Jh(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0;f=l;l=l+16|0;g=f;h=Kt(44)|0;i=c[b>>2]|0;b=h+4|0;c[b>>2]=0;c[b+4>>2]=0;c[b+8>>2]=0;c[b+12>>2]=0;c[b+16>>2]=0;c[b+20>>2]=0;c[h+28>>2]=28;c[h>>2]=2528;c[h+32>>2]=i;c[h+36>>2]=1<<d;c[h+40>>2]=e;e=c[a+20>>2]|0;d=(c[a+24>>2]|0)-e|0;i=(d|0)/12|0;if(!d){c[g>>2]=0;c[g+4>>2]=i;Oi(a,26244,g);Sa[c[(c[h>>2]|0)+4>>2]&255](h);j=1;l=f;return j|0}g=c[e+((i+-1|0)*12|0)+4>>2]|0;i=g+4|0;e=c[i>>2]|0;if(!e)k=g;else{c[h+8>>2]=e;k=e+4|0}c[k>>2]=h;c[i>>2]=h;h=g+8|0;c[h>>2]=(c[h>>2]|0)+1;j=0;l=f;return j|0}function Kh(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;d=l;l=l+64|0;e=d;f=d+24|0;g=d+8|0;h=g+8|0;c[h>>2]=0;c[h+4>>2]=0;c[g>>2]=c[a+36>>2];c[g+4>>2]=c[(c[a+4>>2]|0)+8>>2];xn(f,b,g);g=Kt(64)|0;b=g+4|0;c[b>>2]=0;c[b+4>>2]=0;c[b+8>>2]=0;c[b+12>>2]=0;c[b+16>>2]=0;c[b+20>>2]=0;c[g+28>>2]=29;c[g>>2]=2464;Bn(g+32|0,f);b=c[a+20>>2]|0;h=(c[a+24>>2]|0)-b|0;i=(h|0)/12|0;if(!h){c[e>>2]=0;c[e+4>>2]=i;Oi(a,26244,e);Sa[c[(c[g>>2]|0)+4>>2]&255](g);j=1;Fn(f);l=d;return j|0}e=c[b+((i+-1|0)*12|0)+4>>2]|0;i=e+4|0;b=c[i>>2]|0;if(!b)k=e;else{c[g+8>>2]=b;k=b+4|0}c[k>>2]=g;c[i>>2]=g;g=e+8|0;c[g>>2]=(c[g>>2]|0)+1;j=0;Fn(f);l=d;return j|0}function Lh(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;d=l;l=l+64|0;e=d;f=d+24|0;g=d+8|0;h=g+8|0;c[h>>2]=0;c[h+4>>2]=0;c[g>>2]=c[a+36>>2];c[g+4>>2]=c[(c[a+4>>2]|0)+8>>2];xn(f,b,g);g=Kt(64)|0;b=g+4|0;c[b>>2]=0;c[b+4>>2]=0;c[b+8>>2]=0;c[b+12>>2]=0;c[b+16>>2]=0;c[b+20>>2]=0;c[g+28>>2]=30;c[g>>2]=2656;Bn(g+32|0,f);b=c[a+20>>2]|0;h=(c[a+24>>2]|0)-b|0;i=(h|0)/12|0;if(!h){c[e>>2]=0;c[e+4>>2]=i;Oi(a,26244,e);Sa[c[(c[g>>2]|0)+4>>2]&255](g);j=1;Fn(f);l=d;return j|0}e=c[b+((i+-1|0)*12|0)+4>>2]|0;i=e+4|0;b=c[i>>2]|0;if(!b)k=e;else{c[g+8>>2]=b;k=b+4|0}c[k>>2]=g;c[i>>2]=g;g=e+8|0;c[g>>2]=(c[g>>2]|0)+1;j=0;Fn(f);l=d;return j|0}function Mh(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;e=l;l=l+16|0;f=e;g=Kt(80)|0;h=g+4|0;i=g+8|0;c[h>>2]=0;c[h+4>>2]=0;c[h+8>>2]=0;c[h+12>>2]=0;c[h+16>>2]=0;c[h+20>>2]=0;c[g+28>>2]=31;c[g>>2]=2256;h=g+32|0;j=h+48|0;do{c[h>>2]=0;h=h+4|0}while((h|0)<(j|0));Td(g+44|0,d,d+(b<<2)|0);b=c[a+20>>2]|0;d=(c[a+24>>2]|0)-b|0;h=(d|0)/12|0;if(!d){c[f>>2]=0;c[f+4>>2]=h;Oi(a,26244,f);Sa[c[(c[g>>2]|0)+4>>2]&255](g);k=1;l=e;return k|0}f=c[b+((h+-1|0)*12|0)+4>>2]|0;h=f+4|0;b=c[h>>2]|0;if(!b)m=f;else{c[i>>2]=b;m=b+4|0}c[m>>2]=g;c[h>>2]=g;h=f+8|0;c[h>>2]=(c[h>>2]|0)+1;Ti(a,5,g+56|0,g);k=0;l=e;return k|0}function Nh(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;d=l;l=l+16|0;e=d;f=Kt(36)|0;g=c[b>>2]|0;b=f+4|0;c[b>>2]=0;c[b+4>>2]=0;c[b+8>>2]=0;c[b+12>>2]=0;c[b+16>>2]=0;c[b+20>>2]=0;c[f+28>>2]=32;c[f>>2]=2560;c[f+32>>2]=g;g=c[a+20>>2]|0;b=(c[a+24>>2]|0)-g|0;h=(b|0)/12|0;if(!b){c[e>>2]=0;c[e+4>>2]=h;Oi(a,26244,e);Sa[c[(c[f>>2]|0)+4>>2]&255](f);i=1;l=d;return i|0}e=c[g+((h+-1|0)*12|0)+4>>2]|0;h=e+4|0;g=c[h>>2]|0;if(!g)j=e;else{c[f+8>>2]=g;j=g+4|0}c[j>>2]=f;c[h>>2]=f;f=e+8|0;c[f>>2]=(c[f>>2]|0)+1;i=0;l=d;return i|0}function Oh(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;b=l;l=l+16|0;d=b;e=Kt(32)|0;f=e+4|0;c[f>>2]=0;c[f+4>>2]=0;c[f+8>>2]=0;c[f+12>>2]=0;c[f+16>>2]=0;c[f+20>>2]=0;c[e+28>>2]=33;c[e>>2]=2272;f=c[a+20>>2]|0;g=(c[a+24>>2]|0)-f|0;h=(g|0)/12|0;if(!g){c[d>>2]=0;c[d+4>>2]=h;Oi(a,26244,d);Sa[c[(c[e>>2]|0)+4>>2]&255](e);i=1;l=b;return i|0}d=c[f+((h+-1|0)*12|0)+4>>2]|0;h=d+4|0;f=c[h>>2]|0;if(!f)j=d;else{c[e+8>>2]=f;j=f+4|0}c[j>>2]=e;c[h>>2]=e;e=d+8|0;c[e>>2]=(c[e>>2]|0)+1;i=0;l=b;return i|0}function Ph(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0;f=l;l=l+16|0;g=f;h=Kt(44)|0;i=c[b>>2]|0;b=h+4|0;c[b>>2]=0;c[b+4>>2]=0;c[b+8>>2]=0;c[b+12>>2]=0;c[b+16>>2]=0;c[b+20>>2]=0;c[h+28>>2]=34;c[h>>2]=2704;c[h+32>>2]=i;c[h+36>>2]=1<<d;c[h+40>>2]=e;e=c[a+20>>2]|0;d=(c[a+24>>2]|0)-e|0;i=(d|0)/12|0;if(!d){c[g>>2]=0;c[g+4>>2]=i;Oi(a,26244,g);Sa[c[(c[h>>2]|0)+4>>2]&255](h);j=1;l=f;return j|0}g=c[e+((i+-1|0)*12|0)+4>>2]|0;i=g+4|0;e=c[i>>2]|0;if(!e)k=g;else{c[h+8>>2]=e;k=e+4|0}c[k>>2]=h;c[i>>2]=h;h=g+8|0;c[h>>2]=(c[h>>2]|0)+1;j=0;l=f;return j|0}function Qh(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0;f=l;l=l+16|0;g=f;h=Kt(44)|0;i=c[b>>2]|0;b=h+4|0;c[b>>2]=0;c[b+4>>2]=0;c[b+8>>2]=0;c[b+12>>2]=0;c[b+16>>2]=0;c[b+20>>2]=0;c[h+28>>2]=35;c[h>>2]=2688;c[h+32>>2]=i;c[h+36>>2]=1<<d;c[h+40>>2]=e;e=c[a+20>>2]|0;d=(c[a+24>>2]|0)-e|0;i=(d|0)/12|0;if(!d){c[g>>2]=0;c[g+4>>2]=i;Oi(a,26244,g);Sa[c[(c[h>>2]|0)+4>>2]&255](h);j=1;l=f;return j|0}g=c[e+((i+-1|0)*12|0)+4>>2]|0;i=g+4|0;e=c[i>>2]|0;if(!e)k=g;else{c[h+8>>2]=e;k=e+4|0}c[k>>2]=h;c[i>>2]=h;h=g+8|0;c[h>>2]=(c[h>>2]|0)+1;j=0;l=f;return j|0}function Rh(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;b=l;l=l+16|0;d=a+24|0;e=c[d>>2]|0;if((e|0)==(c[a+20>>2]|0)){Oi(a,26218,b);f=1;l=b;return f|0}else{c[d>>2]=e+-12;c[a+16>>2]=0;f=0;l=b;return f|0}return 0}function Sh(a){a=a|0;return 0}function Th(a,b){a=a|0;b=b|0;return 0}function Uh(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;d=c[a+12>>2]|0;a=d+144|0;e=d+152|0;f=c[a>>2]|0;if((c[e>>2]|0)-f>>2>>>0>=b>>>0)return 0;g=d+148|0;d=(c[g>>2]|0)-f|0;h=d>>2;i=Kt(b<<2)|0;j=i+(h<<2)|0;k=j+(0-h<<2)|0;if((d|0)>0)Wu(k|0,f|0,d|0)|0;c[a>>2]=k;c[g>>2]=j;c[e>>2]=i+(b<<2);if(!f)return 0;Mt(f);return 0}function Vh(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;b=l;l=l+64|0;e=b+24|0;f=b;g=b+16|0;h=a+36|0;i=c[h>>2]|0;j=a+4|0;k=c[(c[j>>2]|0)+8>>2]|0;m=Kt(88)|0;c[m+4>>2]=0;c[m+8>>2]=0;c[m+12>>2]=i;c[m+16>>2]=k;k=m+20|0;c[k>>2]=0;c[k+4>>2]=0;c[m+28>>2]=6;c[m>>2]=2832;k=m+32|0;c[e>>2]=0;c[e+4>>2]=0;c[e+8>>2]=0;c[e+12>>2]=0;xn(k,-1,e);i=m+64|0;c[i>>2]=0;c[i+4>>2]=0;c[i+8>>2]=0;c[i+12>>2]=0;c[i+16>>2]=0;c[i+20>>2]=0;i=f+8|0;c[i>>2]=0;c[i+4>>2]=0;c[f>>2]=c[h>>2];c[f+4>>2]=c[(c[j>>2]|0)+8>>2];xn(e,d,f);An(k,e)|0;Fn(e);e=c[a+12>>2]|0;c[g>>2]=m;Zm(e,g);e=c[g>>2]|0;c[g>>2]=0;if(!e){l=b;return 0}Sa[c[(c[e>>2]|0)+4>>2]&255](e);l=b;return 0}function Wh(a,b){a=a|0;b=b|0;c[a+32>>2]=(c[(c[(c[a+12>>2]|0)+144>>2]|0)+(b<<2)>>2]|0)+32;return 0}function Xh(a,b){a=a|0;b=b|0;c[a+32>>2]=0;return 0}function Yh(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=c[(c[(c[a+12>>2]|0)+144>>2]|0)+(b<<2)>>2]|0;b=e+44|0;a=e+52|0;f=c[b>>2]|0;g=f;if((c[a>>2]|0)-f>>5>>>0>=d>>>0)return 0;h=e+48|0;e=c[h>>2]|0;i=Kt(d<<5)|0;j=i+(e-f>>5<<5)|0;f=j;k=i+(d<<5)|0;d=e;if((d|0)==(g|0)){l=f;m=e;n=g}else{e=d;d=f;i=j;do{e=e+-32|0;Bn(i+-32|0,e);i=d+-32|0;d=i}while((e|0)!=(g|0));l=d;m=c[b>>2]|0;n=c[h>>2]|0}c[b>>2]=l;c[h>>2]=f;c[a>>2]=k;k=m;if((n|0)!=(k|0)){a=n;do{a=a+-32|0;Fn(a)}while((a|0)!=(k|0))}if(!m)return 0;Mt(m);return 0}function Zh(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0;e=l;l=l+48|0;f=e+16|0;g=e;h=c[(c[(c[a+12>>2]|0)+144>>2]|0)+(b<<2)>>2]|0;b=h+48|0;i=c[b>>2]|0;if(i>>>0<(c[h+52>>2]|0)>>>0){c[f>>2]=0;c[f+4>>2]=0;c[f+8>>2]=0;c[f+12>>2]=0;xn(i,-1,f);i=(c[b>>2]|0)+32|0;c[b>>2]=i;j=i}else{Si(h+44|0);j=c[b>>2]|0}b=g+8|0;c[b>>2]=0;c[b+4>>2]=0;c[g>>2]=c[a+36>>2];c[g+4>>2]=c[(c[a+4>>2]|0)+8>>2];xn(f,d,g);An(j+-32|0,f)|0;Fn(f);l=e;return 0}function _h(a,b){a=a|0;b=b|0;return 0}function $h(a){a=a|0;return 0}function ai(a,b){a=a|0;b=b|0;return 0}function bi(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;d=c[a+12>>2]|0;a=d+168|0;e=d+176|0;f=c[a>>2]|0;if((c[e>>2]|0)-f>>2>>>0>=b>>>0)return 0;g=d+172|0;d=(c[g>>2]|0)-f|0;h=d>>2;i=Kt(b<<2)|0;j=i+(h<<2)|0;k=j+(0-h<<2)|0;if((d|0)>0)Wu(k|0,f|0,d|0)|0;c[a>>2]=k;c[g>>2]=j;c[e>>2]=i+(b<<2);if(!f)return 0;Mt(f);return 0}function ci(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;b=l;l=l+64|0;e=b+24|0;f=b;g=b+16|0;h=a+36|0;i=c[h>>2]|0;j=a+4|0;k=c[(c[j>>2]|0)+8>>2]|0;m=Kt(88)|0;c[m+4>>2]=0;c[m+8>>2]=0;c[m+12>>2]=i;c[m+16>>2]=k;k=m+20|0;c[k>>2]=0;c[k+4>>2]=0;c[m+28>>2]=8;c[m>>2]=2928;k=m+32|0;c[e>>2]=0;c[e+4>>2]=0;c[e+8>>2]=0;c[e+12>>2]=0;xn(k,-1,e);i=m+64|0;c[i>>2]=0;c[i+4>>2]=0;c[i+8>>2]=0;c[i+12>>2]=0;c[i+16>>2]=0;c[i+20>>2]=0;i=f+8|0;c[i>>2]=0;c[i+4>>2]=0;c[f>>2]=c[h>>2];c[f+4>>2]=c[(c[j>>2]|0)+8>>2];xn(e,d,f);An(k,e)|0;Fn(e);e=c[a+12>>2]|0;c[g>>2]=m;Xm(e,g);e=c[g>>2]|0;c[g>>2]=0;if(!e){l=b;return 0}Sa[c[(c[e>>2]|0)+4>>2]&255](e);l=b;return 0}function di(a,b){a=a|0;b=b|0;c[a+32>>2]=(c[(c[(c[a+12>>2]|0)+168>>2]|0)+(b<<2)>>2]|0)+32;return 0}function ei(a,b){a=a|0;b=b|0;c[a+32>>2]=0;return 0}function fi(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;f=c[(c[(c[a+12>>2]|0)+168>>2]|0)+(b<<2)>>2]|0;b=f+44|0;a=f+48|0;f=c[a>>2]|0;g=c[b>>2]|0;h=f-g|0;i=g;g=f;if(h>>>0>=e>>>0){if(h>>>0>e>>>0?(f=i+e|0,(g|0)!=(f|0)):0)c[a>>2]=f;if(!e)return 0;else j=i}else{Ri(b,e-h|0);j=c[b>>2]|0}Wu(j|0,d|0,e|0)|0;return 0}function gi(a,b){a=a|0;b=b|0;return 0}function hi(a){a=a|0;return 0}function ii(a,b){a=a|0;b=b|0;return 0}function ji(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return 0}function ki(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=l;l=l+16|0;e=d;f=c[a+12>>2]|0;g=(c[f+76>>2]|0)-(c[f+72>>2]|0)>>2;if(g>>>0>=b>>>0){h=0;l=d;return h|0}c[e>>2]=b;c[e+4>>2]=g;Oi(a,26160,e);h=1;l=d;return h|0}function li(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;f=l;l=l+80|0;g=f+56|0;h=f+44|0;i=f+32|0;j=f+12|0;k=f;if(!(c[e+4>>2]|0)){l=f;return 0}m=b+12|0;b=c[(c[(c[m>>2]|0)+72>>2]|0)+(d<<2)>>2]|0;c[g>>2]=0;c[g+4>>2]=0;c[g+8>>2]=0;Rt(g,26107,1);Bm(i,e);e=a[i+11>>0]|0;n=e<<24>>24<0;o=eu(g,n?c[i>>2]|0:i,n?c[i+4>>2]|0:e&255)|0;c[h>>2]=c[o>>2];c[h+4>>2]=c[o+4>>2];c[h+8>>2]=c[o+8>>2];c[o>>2]=0;c[o+4>>2]=0;c[o+8>>2]=0;Wt(i);Wt(g);Qt(i,h);if(Pi((c[m>>2]|0)+212|0,h)|0){o=i+11|0;e=i+4|0;n=k+11|0;p=k+4|0;q=h+11|0;r=h+4|0;s=1;while(1){c[j>>2]=0;c[j+4>>2]=0;c[j+8>>2]=0;t=a[o>>0]|0;u=t<<24>>24<0;v=u?c[e>>2]|0:t&255;iu(j,u?c[i>>2]|0:i,v,v+1|0);eu(j,46803,1)|0;ju(k,s);v=a[n>>0]|0;u=v<<24>>24<0;t=eu(j,u?c[k>>2]|0:k,u?c[p>>2]|0:v&255)|0;c[g>>2]=c[t>>2];c[g+4>>2]=c[t+4>>2];c[g+8>>2]=c[t+8>>2];c[t>>2]=0;c[t+4>>2]=0;c[t+8>>2]=0;if((a[q>>0]|0)<0){a[c[h>>2]>>0]=0;c[r>>2]=0}else{a[h>>0]=0;a[q>>0]=0}$t(h,0);c[h>>2]=c[g>>2];c[h+4>>2]=c[g+4>>2];c[h+8>>2]=c[g+8>>2];c[g>>2]=0;c[g+4>>2]=0;c[g+8>>2]=0;Wt(g);Wt(k);Wt(j);if(!(Pi((c[m>>2]|0)+212|0,h)|0))break;else s=s+1|0}}Xt(b,h)|0;b=c[m>>2]|0;c[j>>2]=0;c[j+4>>2]=0;c[j+8>>2]=0;c[j+12>>2]=0;c[j+16>>2]=d;d=b+212|0;Ge(g,d,h,j);He(d,c[g>>2]|0)|0;Wt(i);Wt(h);l=f;return 0}function mi(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return 0}function ni(a,b){a=a|0;b=b|0;return 0}function oi(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=l;l=l+16|0;f=e;g=c[(c[(c[a+12>>2]|0)+72>>2]|0)+(b<<2)>>2]|0;b=((c[g+76>>2]|0)-(c[g+72>>2]|0)>>2)+((c[g+52>>2]|0)-(c[g+48>>2]|0)>>2)|0;if(b>>>0>=d>>>0){h=0;l=e;return h|0}c[f>>2]=d;c[f+4>>2]=b;Oi(a,26109,f);h=1;l=e;return h|0}function pi(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0;g=l;l=l+64|0;h=g+44|0;i=g+32|0;j=g+20|0;k=g;if(!(c[f+4>>2]|0)){l=g;return 0}m=c[(c[(c[b+12>>2]|0)+72>>2]|0)+(d<<2)>>2]|0;d=(c[m+52>>2]|0)-(c[m+48>>2]|0)>>2;b=d>>>0>e>>>0;c[i>>2]=0;c[i+4>>2]=0;c[i+8>>2]=0;Rt(i,26107,1);Bm(j,f);f=a[j+11>>0]|0;n=f<<24>>24<0;o=eu(i,n?c[j>>2]|0:j,n?c[j+4>>2]|0:f&255)|0;c[h>>2]=c[o>>2];c[h+4>>2]=c[o+4>>2];c[h+8>>2]=c[o+8>>2];c[o>>2]=0;c[o+4>>2]=0;c[o+8>>2]=0;c[k>>2]=0;c[k+4>>2]=0;c[k+8>>2]=0;c[k+12>>2]=0;c[k+16>>2]=e-(b?0:d);Ni(b?m+84|0:m+104|0,h,k)|0;Wt(h);Wt(j);Wt(i);l=g;return 0}function qi(a){a=a|0;return 0}function ri(a,b){a=a|0;b=b|0;return 0}function si(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return 0}
function ti(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return 0}function ui(a){a=a|0;return 0}function vi(a,b){a=a|0;b=b|0;return 0}function wi(a,b){a=a|0;b=b|0;return 0}function xi(a,b){a=a|0;b=b|0;return 0}function yi(a,b,c){a=a|0;b=b|0;c=c|0;return 0}function zi(a,b){a=a|0;b=b|0;return 0}function Ai(a,b){a=a|0;b=b|0;return 0}function Bi(a,b){a=a|0;b=b|0;return 0}function Ci(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return 0}function Di(a){a=a|0;return 0}function Ei(a,b){a=a|0;b=b|0;return 0}function Fi(a,b){a=a|0;b=b|0;return 0}function Gi(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;b=l;l=l+16|0;e=b;f=b+8|0;g=c[a+36>>2]|0;h=c[(c[a+4>>2]|0)+8>>2]|0;i=Kt(56)|0;c[i+4>>2]=0;c[i+8>>2]=0;c[i+12>>2]=g;c[i+16>>2]=h;h=i+20|0;c[h>>2]=0;c[h+4>>2]=0;c[i+28>>2]=10;c[i>>2]=3040;c[e>>2]=0;c[e+4>>2]=0;Bm(i+32|0,e);e=i+44|0;c[e>>2]=0;c[i+48>>2]=0;c[i+52>>2]=0;if((e|0)!=(d|0))Td(e,c[d>>2]|0,c[d+4>>2]|0);d=c[a+12>>2]|0;c[f>>2]=i;$m(d,f);d=c[f>>2]|0;c[f>>2]=0;if(!d){l=b;return 0}Sa[c[(c[d>>2]|0)+4>>2]&255](d);l=b;return 0}function Hi(a){a=a|0;return 0}function Ii(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+64|0;f=d+49|0;g=d+32|0;h=d;i=g+8|0;c[i>>2]=0;c[i+4>>2]=0;c[g>>2]=c[b+36>>2];c[g+4>>2]=c[(c[b+4>>2]|0)+8>>2];i=c[b+32>>2]|0;a[f>>0]=a[d+48>>0]|0;In(h,f,e,g);e=Kt(64)|0;c[e+4>>2]=0;f=e+8|0;c[f>>2]=0;b=e+12|0;c[b>>2]=c[g>>2];c[b+4>>2]=c[g+4>>2];c[b+8>>2]=c[g+8>>2];c[b+12>>2]=c[g+12>>2];c[e+28>>2]=12;c[e>>2]=2544;g=e+32|0;c[g>>2]=c[h>>2];c[g+4>>2]=c[h+4>>2];c[g+8>>2]=c[h+8>>2];c[g+12>>2]=c[h+12>>2];c[g+16>>2]=c[h+16>>2];c[g+20>>2]=c[h+20>>2];c[g+24>>2]=c[h+24>>2];c[g+28>>2]=c[h+28>>2];h=i+4|0;g=c[h>>2]|0;if(!g){j=i;c[j>>2]=e;c[h>>2]=e;k=i+8|0;m=c[k>>2]|0;n=m+1|0;c[k>>2]=n;l=d;return 0}else{c[f>>2]=g;j=g+4|0;c[j>>2]=e;c[h>>2]=e;k=i+8|0;m=c[k>>2]|0;n=m+1|0;c[k>>2]=n;l=d;return 0}return 0}function Ji(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0;d=l;l=l+64|0;g=d+49|0;h=d+32|0;i=d;j=h+8|0;c[j>>2]=0;c[j+4>>2]=0;c[h>>2]=c[b+36>>2];c[h+4>>2]=c[(c[b+4>>2]|0)+8>>2];j=c[b+32>>2]|0;a[g>>0]=a[d+48>>0]|0;Jn(i,g,e,f,h);f=Kt(64)|0;c[f+4>>2]=0;e=f+8|0;c[e>>2]=0;g=f+12|0;c[g>>2]=c[h>>2];c[g+4>>2]=c[h+4>>2];c[g+8>>2]=c[h+8>>2];c[g+12>>2]=c[h+12>>2];c[f+28>>2]=12;c[f>>2]=2544;h=f+32|0;c[h>>2]=c[i>>2];c[h+4>>2]=c[i+4>>2];c[h+8>>2]=c[i+8>>2];c[h+12>>2]=c[i+12>>2];c[h+16>>2]=c[i+16>>2];c[h+20>>2]=c[i+20>>2];c[h+24>>2]=c[i+24>>2];c[h+28>>2]=c[i+28>>2];i=j+4|0;h=c[i>>2]|0;if(!h){k=j;c[k>>2]=f;c[i>>2]=f;m=j+8|0;n=c[m>>2]|0;o=n+1|0;c[m>>2]=o;l=d;return 0}else{c[e>>2]=h;k=h+4|0;c[k>>2]=f;c[i>>2]=f;m=j+8|0;n=c[m>>2]|0;o=n+1|0;c[m>>2]=o;l=d;return 0}return 0}function Ki(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;b=l;l=l+48|0;e=b+32|0;f=b;g=e+8|0;c[g>>2]=0;c[g+4>>2]=0;c[e>>2]=c[a+36>>2];c[e+4>>2]=c[(c[a+4>>2]|0)+8>>2];g=c[a+32>>2]|0;xn(f,d,e);d=Kt(64)|0;c[d+4>>2]=0;a=d+8|0;c[a>>2]=0;h=d+12|0;c[h>>2]=c[e>>2];c[h+4>>2]=c[e+4>>2];c[h+8>>2]=c[e+8>>2];c[h+12>>2]=c[e+12>>2];c[d+28>>2]=16;c[d>>2]=2480;Bn(d+32|0,f);e=g+4|0;h=c[e>>2]|0;if(!h){i=g;c[i>>2]=d;c[e>>2]=d;j=g+8|0;k=c[j>>2]|0;m=k+1|0;c[j>>2]=m;Fn(f);l=b;return 0}else{c[a>>2]=h;i=h+4|0;c[i>>2]=d;c[e>>2]=d;j=g+8|0;k=c[j>>2]|0;m=k+1|0;c[j>>2]=m;Fn(f);l=b;return 0}return 0}function Li(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+64|0;f=d+49|0;g=d+32|0;h=d;i=g+8|0;c[i>>2]=0;c[i+4>>2]=0;c[g>>2]=c[b+36>>2];c[g+4>>2]=c[(c[b+4>>2]|0)+8>>2];i=c[b+32>>2]|0;a[f>>0]=a[d+48>>0]|0;Gn(h,f,e,g);e=Kt(64)|0;c[e+4>>2]=0;f=e+8|0;c[f>>2]=0;b=e+12|0;c[b>>2]=c[g>>2];c[b+4>>2]=c[g+4>>2];c[b+8>>2]=c[g+8>>2];c[b+12>>2]=c[g+12>>2];c[e+28>>2]=12;c[e>>2]=2544;g=e+32|0;c[g>>2]=c[h>>2];c[g+4>>2]=c[h+4>>2];c[g+8>>2]=c[h+8>>2];c[g+12>>2]=c[h+12>>2];c[g+16>>2]=c[h+16>>2];c[g+20>>2]=c[h+20>>2];c[g+24>>2]=c[h+24>>2];c[g+28>>2]=c[h+28>>2];h=i+4|0;g=c[h>>2]|0;if(!g){j=i;c[j>>2]=e;c[h>>2]=e;k=i+8|0;m=c[k>>2]|0;n=m+1|0;c[k>>2]=n;l=d;return 0}else{c[f>>2]=g;j=g+4|0;c[j>>2]=e;c[h>>2]=e;k=i+8|0;m=c[k>>2]|0;n=m+1|0;c[k>>2]=n;l=d;return 0}return 0}function Mi(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0;d=l;l=l+64|0;g=d+49|0;h=d+32|0;i=d;j=h+8|0;c[j>>2]=0;c[j+4>>2]=0;c[h>>2]=c[b+36>>2];c[h+4>>2]=c[(c[b+4>>2]|0)+8>>2];j=c[b+32>>2]|0;a[g>>0]=a[d+48>>0]|0;Hn(i,g,e,f,h);f=Kt(64)|0;c[f+4>>2]=0;e=f+8|0;c[e>>2]=0;g=f+12|0;c[g>>2]=c[h>>2];c[g+4>>2]=c[h+4>>2];c[g+8>>2]=c[h+8>>2];c[g+12>>2]=c[h+12>>2];c[f+28>>2]=12;c[f>>2]=2544;h=f+32|0;c[h>>2]=c[i>>2];c[h+4>>2]=c[i+4>>2];c[h+8>>2]=c[i+8>>2];c[h+12>>2]=c[i+12>>2];c[h+16>>2]=c[i+16>>2];c[h+20>>2]=c[i+20>>2];c[h+24>>2]=c[i+24>>2];c[h+28>>2]=c[i+28>>2];i=j+4|0;h=c[i>>2]|0;if(!h){k=j;c[k>>2]=f;c[i>>2]=f;m=j+8|0;n=c[m>>2]|0;o=n+1|0;c[m>>2]=o;l=d;return 0}else{c[e>>2]=h;k=h+4|0;c[k>>2]=f;c[i>>2]=f;m=j+8|0;n=c[m>>2]|0;o=n+1|0;c[m>>2]=o;l=d;return 0}return 0}function Ni(b,e,f){b=b|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;g=Kt(40)|0;h=g+8|0;c[h>>2]=c[e>>2];c[h+4>>2]=c[e+4>>2];c[h+8>>2]=c[e+8>>2];c[e>>2]=0;c[e+4>>2]=0;c[e+8>>2]=0;e=g+20|0;c[e>>2]=c[f>>2];c[e+4>>2]=c[f+4>>2];c[e+8>>2]=c[f+8>>2];c[e+12>>2]=c[f+12>>2];c[e+16>>2]=c[f+16>>2];f=a[g+19>>0]|0;e=f<<24>>24<0;i=e?c[h>>2]|0:h;h=e?c[g+12>>2]|0:f&255;if(h>>>0>3){f=i;e=h;j=h;while(1){k=S(d[f>>0]|d[f+1>>0]<<8|d[f+2>>0]<<16|d[f+3>>0]<<24,1540483477)|0;e=(S(k>>>24^k,1540483477)|0)^(S(e,1540483477)|0);j=j+-4|0;if(j>>>0<=3)break;else f=f+4|0}f=h+-4|0;j=f&-4;l=f-j|0;m=i+(j+4)|0;n=e}else{l=h;m=i;n=h}switch(l|0){case 3:{o=(d[m+2>>0]|0)<<16^n;p=6;break}case 2:{o=n;p=6;break}case 1:{q=n;p=7;break}default:r=n}if((p|0)==6){q=(d[m+1>>0]|0)<<8^o;p=7}if((p|0)==7)r=S((d[m>>0]|0)^q,1540483477)|0;q=S(r>>>13^r,1540483477)|0;c[g+4>>2]=q>>>15^q;c[g>>2]=0;return He(b,g)|0}function Oi(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;e=l;l=l+208|0;f=e+56|0;g=e+44|0;h=e+32|0;i=e+16|0;j=e;k=e+72|0;c[i>>2]=d;c[j>>2]=c[i>>2];d=(Fs(k,128,b,i)|0)+1|0;if(d>>>0>128){i=l;l=l+((1*d|0)+15&-16)|0;Fs(i,d,b,j)|0;m=i}else m=k;k=c[a+8>>2]|0;c[h>>2]=0;c[h+4>>2]=0;c[h+8>>2]=0;Rt(h,m,st(m)|0);m=c[(c[k>>2]|0)+8>>2]|0;c[f>>2]=0;c[f+4>>2]=-1;c[g>>2]=0;c[g+4>>2]=0;c[g+8>>2]=0;$a[m&31](k,f,h,g,0)|0;Wt(g);Wt(h);l=e;return}function Pi(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=Qi(b,d)|0;if(!e){f=0;return f|0}b=c[e>>2]|0;if(!b){f=1;return f|0}e=a[d+11>>0]|0;g=e<<24>>24<0;h=g?c[d+4>>2]|0:e&255;e=g?c[d>>2]|0:d;d=(h|0)==0;g=b;b=1;a:while(1){i=g;j=i+8|0;k=a[j+11>>0]|0;l=k<<24>>24<0;m=k&255;if(((l?c[i+12>>2]|0:m)|0)!=(h|0)){f=b;n=13;break}i=c[j>>2]|0;k=l?i:j;b:do if(l){if(!d?Es(k,e,h)|0:0){f=b;n=13;break a}}else if(!d){if((i&255)<<24>>24==(a[e>>0]|0)){o=j;p=m;q=e}else{f=b;n=13;break a}while(1){p=p+-1|0;o=o+1|0;if(!p)break b;q=q+1|0;if((a[o>>0]|0)!=(a[q>>0]|0)){f=b;n=13;break a}}}while(0);g=c[g>>2]|0;m=b+1|0;if(!g){f=m;n=13;break}else b=m}if((n|0)==13)return f|0;return 0}function Qi(b,e){b=b|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;f=a[e+11>>0]|0;g=f<<24>>24<0;h=g?c[e>>2]|0:e;i=g?c[e+4>>2]|0:f&255;if(i>>>0>3){f=h;e=i;g=i;while(1){j=S(d[f>>0]|d[f+1>>0]<<8|d[f+2>>0]<<16|d[f+3>>0]<<24,1540483477)|0;e=(S(j>>>24^j,1540483477)|0)^(S(e,1540483477)|0);g=g+-4|0;if(g>>>0<=3)break;else f=f+4|0}f=i+-4|0;g=f&-4;k=f-g|0;l=h+(g+4)|0;m=e}else{k=i;l=h;m=i}switch(k|0){case 3:{n=d[l+2>>0]<<16^m;o=6;break}case 2:{n=m;o=6;break}case 1:{p=m;o=7;break}default:q=m}if((o|0)==6){p=d[l+1>>0]<<8^n;o=7}if((o|0)==7)q=S(d[l>>0]^p,1540483477)|0;p=S(q>>>13^q,1540483477)|0;q=p>>>15^p;p=c[b+4>>2]|0;if(!p){r=0;return r|0}l=p+-1|0;n=(l&p|0)==0;if(n)s=q&l;else s=(q>>>0)%(p>>>0)|0;q=c[(c[b>>2]|0)+(s<<2)>>2]|0;if(!q){r=0;return r|0}b=c[q>>2]|0;if(!b){r=0;return r|0}q=(i|0)==0;if(n){n=b;a:while(1){if((c[n+4>>2]&l|0)!=(s|0)){r=0;o=35;break}m=n+8|0;k=a[m+11>>0]|0;e=k<<24>>24<0;g=k&255;do if(((e?c[n+12>>2]|0:g)|0)==(i|0)){k=c[m>>2]|0;f=e?k:m;if(e){if(q){r=n;o=35;break a}if(!(Es(f,h,i)|0)){r=n;o=35;break a}else break}if(q){r=n;o=35;break a}if((k&255)<<24>>24==(a[h>>0]|0)){k=m;f=g;j=h;do{f=f+-1|0;k=k+1|0;if(!f){r=n;o=35;break a}j=j+1|0}while((a[k>>0]|0)==(a[j>>0]|0))}}while(0);n=c[n>>2]|0;if(!n){r=0;o=35;break}}if((o|0)==35)return r|0}else{n=b;b:while(1){if((((c[n+4>>2]|0)>>>0)%(p>>>0)|0|0)!=(s|0)){r=0;o=35;break}b=n+8|0;l=a[b+11>>0]|0;g=l<<24>>24<0;m=l&255;do if(((g?c[n+12>>2]|0:m)|0)==(i|0)){l=c[b>>2]|0;e=g?l:b;if(g){if(q){r=n;o=35;break b}if(!(Es(e,h,i)|0)){r=n;o=35;break b}else break}if(q){r=n;o=35;break b}if((l&255)<<24>>24==(a[h>>0]|0)){l=b;e=m;j=h;do{e=e+-1|0;l=l+1|0;if(!e){r=n;o=35;break b}j=j+1|0}while((a[l>>0]|0)==(a[j>>0]|0))}}while(0);n=c[n>>2]|0;if(!n){r=0;o=35;break}}if((o|0)==35)return r|0}return 0}function Ri(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=b+8|0;f=c[e>>2]|0;g=b+4|0;h=c[g>>2]|0;if((f-h|0)>>>0>=d>>>0){i=d;j=h;do{a[j>>0]=0;j=(c[g>>2]|0)+1|0;c[g>>2]=j;i=i+-1|0}while((i|0)!=0);return}i=c[b>>2]|0;j=h-i+d|0;if((j|0)<0){Jt(b);k=c[e>>2]|0;l=c[b>>2]|0;m=c[g>>2]|0}else{k=f;l=i;m=h}h=k-l|0;k=h<<1;i=h>>>0<1073741823?(k>>>0<j>>>0?j:k):2147483647;if(!i)n=0;else n=Kt(i)|0;k=n+(m-l)|0;l=n+i|0;i=d;d=k;n=k;do{a[n>>0]=0;n=d+1|0;d=n;i=i+-1|0}while((i|0)!=0);i=c[b>>2]|0;n=(c[g>>2]|0)-i|0;m=k+(0-n)|0;if((n|0)>0)Wu(m|0,i|0,n|0)|0;c[b>>2]=m;c[g>>2]=d;c[e>>2]=l;if(!i)return;Mt(i);return}function Si(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0;b=l;l=l+16|0;d=b;e=a+4|0;f=c[e>>2]|0;g=c[a>>2]|0;h=(f-g>>5)+1|0;if(h>>>0>134217727){Jt(a);i=c[a>>2]|0;j=c[e>>2]|0}else{i=g;j=f}f=a+8|0;g=(c[f>>2]|0)-i|0;k=g>>4;m=g>>5>>>0<67108863?(k>>>0<h>>>0?h:k):134217727;if(!m)n=0;else n=Kt(m<<5)|0;k=n+(j-i>>5<<5)|0;i=k;j=n+(m<<5)|0;c[d>>2]=0;c[d+4>>2]=0;c[d+8>>2]=0;c[d+12>>2]=0;xn(k,-1,d);d=k+32|0;m=c[a>>2]|0;n=c[e>>2]|0;if((n|0)==(m|0)){o=i;p=m;q=m}else{h=n;n=i;i=k;do{h=h+-32|0;Bn(i+-32|0,h);i=n+-32|0;n=i}while((h|0)!=(m|0));o=n;p=c[a>>2]|0;q=c[e>>2]|0}c[a>>2]=o;c[e>>2]=d;c[f>>2]=j;j=p;if((q|0)!=(j|0)){f=q;do{f=f+-32|0;Fn(f)}while((f|0)!=(j|0))}if(!p){l=b;return}Mt(p);l=b;return}function Ti(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;f=d;d=e;e=a+20|0;g=a+24|0;h=c[g>>2]|0;i=a+28|0;a=c[i>>2]|0;j=h;if(h>>>0<a>>>0){c[h>>2]=b;c[h+4>>2]=f;c[h+8>>2]=d;c[g>>2]=h+12;return}h=c[e>>2]|0;k=((j-h|0)/12|0)+1|0;if(k>>>0>357913941){Jt(e);l=c[e>>2]|0;m=i;n=c[i>>2]|0;o=c[g>>2]|0}else{l=h;m=i;n=a;o=j}j=(n-l|0)/12|0;n=j<<1;a=j>>>0<178956970?(n>>>0<k>>>0?k:n):357913941;n=o-l|0;o=(n|0)/12|0;if(!a)p=0;else p=Kt(a*12|0)|0;k=p+(o*12|0)|0;c[k>>2]=b;c[p+(o*12|0)+4>>2]=f;c[p+(o*12|0)+8>>2]=d;d=k+(((n|0)/-12|0)*12|0)|0;if((n|0)>0)Wu(d|0,l|0,n|0)|0;c[e>>2]=d;c[g>>2]=k+12;c[m>>2]=p+(a*12|0);if(!l)return;Mt(l);return}function Ui(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=c[a+20>>2]|0;g=(c[a+24>>2]|0)-f|0;h=(g|0)/12|0;if(!g){c[e>>2]=0;c[e+4>>2]=h;Oi(a,26244,e);i=1;l=d;return i|0}e=f;f=h+-1|0;if((c[e+(f*12|0)>>2]|0)!=5){Oi(a,26318,d+8|0);i=1;l=d;return i|0}a=c[e+(f*12|0)+8>>2]|0;h=a+72|0;g=c[h>>2]|0;if(g>>>0<(c[a+76>>2]|0)>>>0){c[g>>2]=c[b>>2];c[g+4>>2]=c[b+4>>2];c[g+8>>2]=c[b+8>>2];c[g+12>>2]=c[b+12>>2];zn(g+16|0,b+16|0);j=b+48|0;c[g+48>>2]=c[j>>2];k=b+52|0;c[g+52>>2]=c[k>>2];m=b+56|0;c[g+56>>2]=c[m>>2];c[k>>2]=0;c[j>>2]=0;c[m>>2]=0;m=(c[h>>2]|0)+60|0;c[h>>2]=m;n=m}else{vc(a+68|0,b);n=c[h>>2]|0}c[e+(f*12|0)+4>>2]=n+-12;i=0;l=d;return i|0}function Vi(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=l;l=l+16|0;e=d;f=a+8|0;g=c[f>>2]|0;h=a+4|0;i=c[h>>2]|0;if(g-i>>5>>>0>=b>>>0){j=b;k=i;do{c[e>>2]=0;c[e+4>>2]=0;c[e+8>>2]=0;c[e+12>>2]=0;xn(k,-1,e);k=(c[h>>2]|0)+32|0;c[h>>2]=k;j=j+-1|0}while((j|0)!=0);l=d;return}j=c[a>>2]|0;k=(i-j>>5)+b|0;if(k>>>0>134217727){Jt(a);m=c[f>>2]|0;n=c[a>>2]|0;o=c[h>>2]|0}else{m=g;n=j;o=i}i=m-n|0;m=i>>4;j=i>>5>>>0<67108863?(m>>>0<k>>>0?k:m):134217727;if(!j)p=0;else p=Kt(j<<5)|0;m=p+(o-n>>5<<5)|0;n=m;o=p+(j<<5)|0;j=b;b=n;p=m;do{c[e>>2]=0;c[e+4>>2]=0;c[e+8>>2]=0;c[e+12>>2]=0;xn(p,-1,e);p=b+32|0;b=p;j=j+-1|0}while((j|0)!=0);j=o;o=c[a>>2]|0;p=c[h>>2]|0;if((p|0)==(o|0)){q=n;r=o;s=o}else{e=p;p=n;n=m;do{e=e+-32|0;Bn(n+-32|0,e);n=p+-32|0;p=n}while((e|0)!=(o|0));q=p;r=c[a>>2]|0;s=c[h>>2]|0}c[a>>2]=q;c[h>>2]=b;c[f>>2]=j;j=r;if((s|0)!=(j|0)){f=s;do{f=f+-32|0;Fn(f)}while((f|0)!=(j|0))}if(!r){l=d;return}Mt(r);l=d;return}function Wi(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;d=l;l=l+48|0;e=d+24|0;f=d;if(!(c[a+12>>2]|0)){l=d;return}c[e>>2]=0;g=e+4|0;c[g>>2]=0;c[e+8>>2]=0;Xi(a,e);Yi(c[e>>2]|0,c[g>>2]|0);a=c[b+16>>2]|0;do if(a)if((a|0)==(b|0)){h=f+16|0;c[h>>2]=f;Ta[c[(c[a>>2]|0)+12>>2]&31](a,f);i=h;break}else{h=f+16|0;c[h>>2]=Va[c[(c[a>>2]|0)+8>>2]&127](a)|0;i=h;break}else{h=f+16|0;c[h>>2]=0;i=h}while(0);Zi(0,e,f);a=c[i>>2]|0;if((a|0)!=(f|0)){if(a|0)Sa[c[(c[a>>2]|0)+20>>2]&255](a)}else Sa[c[(c[a>>2]|0)+16>>2]&255](a);a=c[e>>2]|0;if(a|0){e=c[g>>2]|0;if((e|0)!=(a|0))c[g>>2]=e+(~((e+-4-a|0)>>>2)<<2);Mt(a)}l=d;return}function Xi(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;e=l;l=l+16|0;f=e;g=c[b+8>>2]|0;b=c[g>>2]|0;if(!b){l=e;return}h=d+4|0;i=d+8|0;j=1;k=g;g=b;while(1){b=g;m=k;n=m+8|0;o=b+8|0;p=a[n+11>>0]|0;q=p<<24>>24<0;r=p&255;p=q?c[m+12>>2]|0:r;m=a[o+11>>0]|0;s=m<<24>>24<0;a:do if((p|0)==((s?c[b+12>>2]|0:m&255)|0)){t=c[n>>2]|0;u=q?t:n;v=s?c[o>>2]|0:o;w=(p|0)==0;b:do if(q){if(!w?Es(u,v,p)|0:0){x=1;y=g;break a}}else if(!w){if((t&255)<<24>>24==(a[v>>0]|0)){z=n;A=r;B=v}else{x=1;y=g;break a}while(1){A=A+-1|0;z=z+1|0;if(!A)break b;B=B+1|0;if((a[z>>0]|0)!=(a[B>>0]|0)){x=1;y=g;break a}}}while(0);if(j){c[f>>2]=n;v=c[h>>2]|0;if(v>>>0<(c[i>>2]|0)>>>0){c[v>>2]=n;c[h>>2]=(c[h>>2]|0)+4}else bj(d,f)}c[f>>2]=o;v=c[h>>2]|0;if(v>>>0<(c[i>>2]|0)>>>0){c[v>>2]=o;c[h>>2]=(c[h>>2]|0)+4}else bj(d,f);x=0;y=k}else{x=1;y=g}while(0);g=c[g>>2]|0;if(!g)break;else{j=x;k=y}}l=e;return}function Yi(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0;d=a;a=b;a:while(1){b=a;e=a+-4|0;f=a+-8|0;g=d;while(1){h=g;b:while(1){i=h;j=b-i|0;k=j>>2;switch(k|0){case 2:{l=5;break a;break}case 3:{l=9;break a;break}case 4:{l=27;break a;break}case 5:{l=28;break a;break}case 1:case 0:{l=137;break a;break}default:{}}if((j|0)<124){l=30;break a}m=h+(((k|0)/2|0)<<2)|0;do if((j|0)>3996){n=(k|0)/4|0;o=$i(h,h+(n<<2)|0,m,m+(n<<2)|0,e)|0}else{n=c[m>>2]|0;p=c[h>>2]|0;q=c[n+16>>2]|0;r=c[p+16>>2]|0;s=n;t=p;if((q|0)>=(r|0))if((q|0)==(r|0))u=(c[n+20>>2]|0)<(c[p+20>>2]|0);else u=0;else u=1;v=c[e>>2]|0;w=c[v+16>>2]|0;x=v;if((w|0)>=(q|0))if((w|0)==(q|0))y=(c[v+20>>2]|0)<(c[n+20>>2]|0);else y=0;else y=1;if(!u){if(!y){o=0;break}c[m>>2]=x;c[e>>2]=s;n=c[m>>2]|0;v=c[h>>2]|0;q=c[n+16>>2]|0;w=c[v+16>>2]|0;z=v;A=n;if((q|0)>=(w|0)){if((q|0)!=(w|0)){o=1;break}if((c[n+20>>2]|0)>=(c[v+20>>2]|0)){o=1;break}}c[h>>2]=A;c[m>>2]=z;o=2;break}if(y){c[h>>2]=x;c[e>>2]=t;o=1;break}c[h>>2]=s;c[m>>2]=t;s=c[e>>2]|0;x=c[s+16>>2]|0;z=s;if((x|0)>=(r|0)){if((x|0)!=(r|0)){o=1;break}if((c[s+20>>2]|0)>=(c[p+20>>2]|0)){o=1;break}}c[m>>2]=z;c[e>>2]=t;o=2}while(0);B=c[h>>2]|0;k=c[m>>2]|0;j=c[B+16>>2]|0;t=c[k+16>>2]|0;if((j|0)<(t|0)){C=e;D=o;break}if((j|0)==(t|0)?(c[B+20>>2]|0)<(c[k+20>>2]|0):0){C=e;D=o;break}if((h|0)!=(f|0)){z=k+20|0;E=f;while(1){F=c[E>>2]|0;k=c[F+16>>2]|0;if((k|0)<(t|0)){l=112;break b}if((k|0)==(t|0)?(c[F+20>>2]|0)<(c[z>>2]|0):0){l=112;break b}k=E+-4|0;if((h|0)==(k|0))break;else E=k}}z=h+4|0;t=c[e>>2]|0;k=c[t+16>>2]|0;p=t;do if((j|0)<(k|0))G=z;else{if((j|0)==(k|0)?(c[B+20>>2]|0)<(c[t+20>>2]|0):0){G=z;break}if((z|0)==(e|0)){l=137;break a}s=B+20|0;r=z;while(1){H=c[r>>2]|0;x=c[H+16>>2]|0;if((j|0)<(x|0))break;if((j|0)==(x|0)?(c[s>>2]|0)<(c[H+20>>2]|0):0)break;x=r+4|0;if((x|0)==(e|0)){l=137;break a}else r=x}c[r>>2]=p;c[e>>2]=H;G=r+4|0}while(0);if((G|0)==(e|0)){l=137;break a}else{I=e;J=G}while(1){p=c[h>>2]|0;j=c[J>>2]|0;z=c[p+16>>2]|0;t=c[j+16>>2]|0;c:do if((z|0)<(t|0))K=J;else{k=p+20|0;s=J;x=t;A=j;while(1){if((z|0)==(x|0)?(c[k>>2]|0)<(c[A+20>>2]|0):0){K=s;break c}v=s+4|0;A=c[v>>2]|0;x=c[A+16>>2]|0;if((z|0)<(x|0)){K=v;break}else s=v}}while(0);j=p+20|0;t=I;while(1){r=t;t=t+-4|0;L=c[t>>2]|0;r=c[L+16>>2]|0;if((z|0)<(r|0)){t=t;continue}if((z|0)!=(r|0))break;if((c[j>>2]|0)>=(c[L+20>>2]|0))break}if(K>>>0>=t>>>0){h=K;continue b}j=c[K>>2]|0;c[K>>2]=L;c[t>>2]=j;I=t;J=K+4|0}}if((l|0)==112){l=0;c[h>>2]=F;c[E>>2]=B;C=E;D=o+1|0}j=h+4|0;d:do if(j>>>0<C>>>0){z=m;p=C;r=j;s=D;while(1){x=c[z>>2]|0;A=c[x+16>>2]|0;k=x+20|0;x=r;while(1){M=c[x>>2]|0;v=c[M+16>>2]|0;if((v|0)>=(A|0)){if((v|0)!=(A|0))break;if((c[M+20>>2]|0)>=(c[k>>2]|0))break}x=x+4|0}t=M;v=p+-4|0;n=c[v>>2]|0;w=c[n+16>>2]|0;e:do if((w|0)<(A|0))N=v;else{q=w;O=n;P=v;while(1){if((q|0)==(A|0)?(c[O+20>>2]|0)<(c[k>>2]|0):0){N=P;break e}Q=P+-4|0;O=c[Q>>2]|0;q=c[O+16>>2]|0;if((q|0)<(A|0)){N=Q;break}else P=Q}}while(0);if(x>>>0>N>>>0){R=z;S=s;T=x;break d}c[x>>2]=c[N>>2];c[N>>2]=t;z=(z|0)==(x|0)?N:z;p=N;r=x+4|0;s=s+1|0}}else{R=m;S=D;T=j}while(0);do if((T|0)==(R|0))U=S;else{j=c[R>>2]|0;s=c[T>>2]|0;r=c[j+16>>2]|0;p=c[s+16>>2]|0;z=s;A=j;if((r|0)>=(p|0)){if((r|0)!=(p|0)){U=S;break}if((c[j+20>>2]|0)>=(c[s+20>>2]|0)){U=S;break}}c[T>>2]=A;c[R>>2]=z;U=S+1|0}while(0);if(!U){V=aj(h,T)|0;z=T+4|0;if(aj(z,a)|0){l=136;break}if(V){g=z;continue}}z=T;if((z-i|0)>=(b-z|0)){l=135;break}Yi(h,T);g=T+4|0}if((l|0)==135){l=0;Yi(T+4|0,a);d=h;a=T;continue}else if((l|0)==136){l=0;if(V){l=137;break}else{d=h;a=T;continue}}}if((l|0)==5){T=c[e>>2]|0;d=c[h>>2]|0;V=c[T+16>>2]|0;i=c[d+16>>2]|0;U=d;S=T;if((V|0)>=(i|0)){if((V|0)!=(i|0))return;if((c[T+20>>2]|0)>=(c[d+20>>2]|0))return}c[h>>2]=S;c[e>>2]=U;return}else if((l|0)==9){U=h+4|0;S=c[U>>2]|0;d=c[h>>2]|0;T=c[S+16>>2]|0;i=c[d+16>>2]|0;V=S;R=d;if((T|0)>=(i|0))if((T|0)==(i|0))W=(c[S+20>>2]|0)<(c[d+20>>2]|0);else W=0;else W=1;D=c[e>>2]|0;m=c[D+16>>2]|0;N=D;if((m|0)>=(T|0))if((m|0)==(T|0))X=(c[D+20>>2]|0)<(c[S+20>>2]|0);else X=0;else X=1;if(!W){if(!X)return;c[U>>2]=N;c[e>>2]=V;W=c[U>>2]|0;S=c[h>>2]|0;D=c[W+16>>2]|0;T=c[S+16>>2]|0;m=S;M=W;if((D|0)>=(T|0)){if((D|0)!=(T|0))return;if((c[W+20>>2]|0)>=(c[S+20>>2]|0))return}c[h>>2]=M;c[U>>2]=m;return}if(X){c[h>>2]=N;c[e>>2]=R;return}c[h>>2]=V;c[U>>2]=R;V=c[e>>2]|0;N=c[V+16>>2]|0;X=V;if((N|0)>=(i|0)){if((N|0)!=(i|0))return;if((c[V+20>>2]|0)>=(c[d+20>>2]|0))return}c[U>>2]=X;c[e>>2]=R;return}else if((l|0)==27){_i(h,h+4|0,h+8|0,e)|0;return}else if((l|0)==28){$i(h,h+4|0,h+8|0,h+12|0,e)|0;return}else if((l|0)==30){e=h+8|0;R=h+4|0;X=c[R>>2]|0;U=c[h>>2]|0;d=c[X+16>>2]|0;V=c[U+16>>2]|0;i=X;N=U;if((d|0)>=(V|0))if((d|0)==(V|0))Y=(c[X+20>>2]|0)<(c[U+20>>2]|0);else Y=0;else Y=1;m=c[e>>2]|0;M=c[m+16>>2]|0;S=m;if((M|0)>=(d|0))if((M|0)==(d|0))Z=(c[m+20>>2]|0)<(c[X+20>>2]|0);else Z=0;else Z=1;do if(!Y)if(Z){c[R>>2]=S;c[e>>2]=i;if((M|0)>=(V|0)){if((M|0)!=(V|0)){_=i;$=X;break}if((c[m+20>>2]|0)>=(c[U+20>>2]|0)){_=i;$=X;break}}c[h>>2]=S;c[R>>2]=N;_=i;$=X}else{_=S;$=m}else{if(Z){c[h>>2]=S;c[e>>2]=N;_=N;$=U;break}c[h>>2]=i;c[R>>2]=N;if((M|0)>=(V|0)){if((M|0)!=(V|0)){_=S;$=m;break}if((c[m+20>>2]|0)>=(c[U+20>>2]|0)){_=S;$=m;break}}c[R>>2]=S;c[e>>2]=N;_=N;$=U}while(0);U=h+12|0;if((U|0)==(a|0))return;else{aa=U;ba=e;ca=$;da=_}while(1){_=c[aa>>2]|0;$=c[_+16>>2]|0;e=c[ca+16>>2]|0;U=_;if(($|0)>=(e|0)){if(($|0)==(e|0)?(e=_+20|0,(c[e>>2]|0)<(c[ca+20>>2]|0)):0){ea=e;l=53}}else{ea=_+20|0;l=53}if((l|0)==53){l=0;c[aa>>2]=da;f:do if((ba|0)==(h|0))fa=ba;else{_=ba;while(1){e=_+-4|0;N=c[e>>2]|0;S=c[N+16>>2]|0;R=N;if(($|0)>=(S|0)){if(($|0)!=(S|0)){fa=_;break f}if((c[ea>>2]|0)>=(c[N+20>>2]|0)){fa=_;break f}}c[_>>2]=R;if((e|0)==(h|0)){fa=e;break}else _=e}}while(0);c[fa>>2]=U}$=aa+4|0;if(($|0)==(a|0))break;_=c[aa>>2]|0;e=aa;aa=$;ca=_;da=_;ba=e}return}else if((l|0)==137)return}function Zi(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;b=c[d>>2]|0;f=d+4|0;g=c[f>>2]|0;if((b|0)==(g|0))return;h=e+16|0;e=g;i=b;j=b;while(1){a:do if((j|0)!=(e|0)){b=c[i>>2]|0;k=a[b+11>>0]|0;l=k<<24>>24<0;m=l?c[b+4>>2]|0:k&255;k=(m|0)==0;if(l){if(k){l=j;while(1){n=c[l>>2]|0;o=a[n+11>>0]|0;if(!((o<<24>>24<0?c[n+4>>2]|0:o&255)|0)){p=l;break a}l=l+4|0;if((l|0)==(e|0)){p=e;break a}}}else q=j;while(1){l=c[q>>2]|0;o=a[l+11>>0]|0;n=o<<24>>24<0;r=o&255;do if(((n?c[l+4>>2]|0:r)|0)==(m|0)){o=c[l>>2]|0;s=c[b>>2]|0;if(n)if(!(Es(o,s,m)|0)){p=q;break a}else break;if((o&255)<<24>>24==(a[s>>0]|0)){o=l;t=r;u=s;do{t=t+-1|0;o=o+1|0;if(!t){p=q;break a}u=u+1|0}while((a[o>>0]|0)==(a[u>>0]|0))}}while(0);q=q+4|0;if((q|0)==(e|0)){p=e;break}}}else{if(k){r=j;while(1){l=c[r>>2]|0;n=a[l+11>>0]|0;if(!((n<<24>>24<0?c[l+4>>2]|0:n&255)|0)){p=r;break a}r=r+4|0;if((r|0)==(e|0)){p=e;break a}}}else v=j;while(1){r=c[v>>2]|0;k=a[r+11>>0]|0;n=k<<24>>24<0;l=k&255;do if(((n?c[r+4>>2]|0:l)|0)==(m|0)){k=c[r>>2]|0;if(n)if(!(Es(k,b,m)|0)){p=v;break a}else break;if((k&255)<<24>>24==(a[b>>0]|0)){k=r;u=l;o=b;do{u=u+-1|0;k=k+1|0;if(!u){p=v;break a}o=o+1|0}while((a[k>>0]|0)==(a[o>>0]|0))}}while(0);v=v+4|0;if((v|0)==(e|0)){p=e;break}}}}else p=e;while(0);if((p|0)!=(i|0)){b=c[h>>2]|0;Wa[c[(c[b>>2]|0)+24>>2]&31](b,c[p>>2]|0,c[i>>2]|0)}b=i+4|0;if((b|0)==(g|0))break;e=c[f>>2]|0;i=b;j=c[d>>2]|0}return}function _i(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;f=c[b>>2]|0;g=c[a>>2]|0;h=c[f+16>>2]|0;i=c[g+16>>2]|0;j=f;k=g;if((h|0)>=(i|0))if((h|0)==(i|0))l=(c[f+20>>2]|0)<(c[g+20>>2]|0);else l=0;else l=1;m=c[d>>2]|0;n=c[m+16>>2]|0;o=m;if((n|0)>=(h|0))if((n|0)==(h|0))p=(c[m+20>>2]|0)<(c[f+20>>2]|0);else p=0;else p=1;do if(!l)if(p){c[b>>2]=o;c[d>>2]=j;h=c[b>>2]|0;n=c[a>>2]|0;q=c[h+16>>2]|0;r=c[n+16>>2]|0;s=n;t=h;if((q|0)>=(r|0)){if((q|0)!=(r|0)){u=1;v=f;w=j;break}if((c[h+20>>2]|0)>=(c[n+20>>2]|0)){u=1;v=f;w=j;break}}c[a>>2]=t;c[b>>2]=s;s=c[d>>2]|0;u=2;v=s;w=s}else{u=0;v=m;w=o}else{if(p){c[a>>2]=o;c[d>>2]=k;u=1;v=g;w=k;break}c[a>>2]=j;c[b>>2]=k;s=c[d>>2]|0;t=c[s+16>>2]|0;n=s;if((t|0)>=(i|0)){if((t|0)!=(i|0)){u=1;v=s;w=n;break}if((c[s+20>>2]|0)>=(c[g+20>>2]|0)){u=1;v=s;w=n;break}}c[b>>2]=n;c[d>>2]=k;u=2;v=g;w=k}while(0);k=c[e>>2]|0;g=c[k+16>>2]|0;i=c[v+16>>2]|0;j=k;if((g|0)>=(i|0)){if((g|0)!=(i|0)){x=u;return x|0}if((c[k+20>>2]|0)>=(c[v+20>>2]|0)){x=u;return x|0}}c[d>>2]=j;c[e>>2]=w;w=u+1|0;e=c[d>>2]|0;j=c[b>>2]|0;v=c[e+16>>2]|0;k=c[j+16>>2]|0;i=j;g=e;if((v|0)>=(k|0)){if((v|0)!=(k|0)){x=w;return x|0}if((c[e+20>>2]|0)>=(c[j+20>>2]|0)){x=w;return x|0}}c[b>>2]=g;c[d>>2]=i;i=u+2|0;d=c[b>>2]|0;g=c[a>>2]|0;w=c[d+16>>2]|0;j=c[g+16>>2]|0;e=g;k=d;if((w|0)>=(j|0)){if((w|0)!=(j|0)){x=i;return x|0}if((c[d+20>>2]|0)>=(c[g+20>>2]|0)){x=i;return x|0}}c[a>>2]=k;c[b>>2]=e;x=u+3|0;return x|0}function $i(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=_i(a,b,d,e)|0;h=c[f>>2]|0;i=c[e>>2]|0;j=c[h+16>>2]|0;k=c[i+16>>2]|0;l=i;m=h;if((j|0)>=(k|0)){if((j|0)!=(k|0)){n=g;return n|0}if((c[h+20>>2]|0)>=(c[i+20>>2]|0)){n=g;return n|0}}c[e>>2]=m;c[f>>2]=l;l=g+1|0;f=c[e>>2]|0;m=c[d>>2]|0;i=c[f+16>>2]|0;h=c[m+16>>2]|0;k=m;j=f;if((i|0)>=(h|0)){if((i|0)!=(h|0)){n=l;return n|0}if((c[f+20>>2]|0)>=(c[m+20>>2]|0)){n=l;return n|0}}c[d>>2]=j;c[e>>2]=k;k=g+2|0;e=c[d>>2]|0;j=c[b>>2]|0;l=c[e+16>>2]|0;m=c[j+16>>2]|0;f=j;h=e;if((l|0)>=(m|0)){if((l|0)!=(m|0)){n=k;return n|0}if((c[e+20>>2]|0)>=(c[j+20>>2]|0)){n=k;return n|0}}c[b>>2]=h;c[d>>2]=f;f=g+3|0;d=c[b>>2]|0;h=c[a>>2]|0;k=c[d+16>>2]|0;j=c[h+16>>2]|0;e=h;m=d;if((k|0)>=(j|0)){if((k|0)!=(j|0)){n=f;return n|0}if((c[d+20>>2]|0)>=(c[h+20>>2]|0)){n=f;return n|0}}c[a>>2]=m;c[b>>2]=e;n=g+4|0;return n|0}function aj(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;switch(b-a>>2|0){case 2:{d=b+-4|0;e=c[d>>2]|0;f=c[a>>2]|0;g=c[e+16>>2]|0;h=c[f+16>>2]|0;i=f;j=e;if((g|0)>=(h|0)){if((g|0)!=(h|0)){k=1;return k|0}if((c[e+20>>2]|0)>=(c[f+20>>2]|0)){k=1;return k|0}}c[a>>2]=j;c[d>>2]=i;k=1;return k|0}case 3:{i=a+4|0;d=b+-4|0;j=c[i>>2]|0;f=c[a>>2]|0;e=c[j+16>>2]|0;h=c[f+16>>2]|0;g=j;l=f;if((e|0)>=(h|0))if((e|0)==(h|0))m=(c[j+20>>2]|0)<(c[f+20>>2]|0);else m=0;else m=1;n=c[d>>2]|0;o=c[n+16>>2]|0;p=n;if((o|0)>=(e|0))if((o|0)==(e|0))q=(c[n+20>>2]|0)<(c[j+20>>2]|0);else q=0;else q=1;if(!m){if(!q){k=1;return k|0}c[i>>2]=p;c[d>>2]=g;m=c[i>>2]|0;j=c[a>>2]|0;n=c[m+16>>2]|0;e=c[j+16>>2]|0;o=j;r=m;if((n|0)>=(e|0)){if((n|0)!=(e|0)){k=1;return k|0}if((c[m+20>>2]|0)>=(c[j+20>>2]|0)){k=1;return k|0}}c[a>>2]=r;c[i>>2]=o;k=1;return k|0}if(q){c[a>>2]=p;c[d>>2]=l;k=1;return k|0}c[a>>2]=g;c[i>>2]=l;g=c[d>>2]|0;p=c[g+16>>2]|0;q=g;if((p|0)>=(h|0)){if((p|0)!=(h|0)){k=1;return k|0}if((c[g+20>>2]|0)>=(c[f+20>>2]|0)){k=1;return k|0}}c[i>>2]=q;c[d>>2]=l;k=1;return k|0}case 4:{_i(a,a+4|0,a+8|0,b+-4|0)|0;k=1;return k|0}case 5:{$i(a,a+4|0,a+8|0,a+12|0,b+-4|0)|0;k=1;return k|0}case 1:case 0:{k=1;return k|0}default:{l=a+8|0;d=a+4|0;q=c[d>>2]|0;i=c[a>>2]|0;f=c[q+16>>2]|0;g=c[i+16>>2]|0;h=q;p=i;if((f|0)>=(g|0))if((f|0)==(g|0))s=(c[q+20>>2]|0)<(c[i+20>>2]|0);else s=0;else s=1;o=c[l>>2]|0;r=c[o+16>>2]|0;j=o;if((r|0)>=(f|0))if((r|0)==(f|0))t=(c[o+20>>2]|0)<(c[q+20>>2]|0);else t=0;else t=1;do if(!s)if(t){c[d>>2]=j;c[l>>2]=h;if((r|0)>=(g|0)){if((r|0)!=(g|0)){u=q;break}if((c[o+20>>2]|0)>=(c[i+20>>2]|0)){u=q;break}}c[a>>2]=j;c[d>>2]=p;u=q}else u=o;else{if(t){c[a>>2]=j;c[l>>2]=p;u=i;break}c[a>>2]=h;c[d>>2]=p;if((r|0)>=(g|0)){if((r|0)!=(g|0)){u=o;break}if((c[o+20>>2]|0)>=(c[i+20>>2]|0)){u=o;break}}c[d>>2]=j;c[l>>2]=p;u=i}while(0);i=a+12|0;a:do if((i|0)==(b|0)){v=1;w=0}else{p=i;j=0;d=l;o=u;while(1){g=c[p>>2]|0;r=c[g+16>>2]|0;h=c[o+16>>2]|0;t=g;if((r|0)>=(h|0))if((r|0)==(h|0)?(h=g+20|0,(c[h>>2]|0)<(c[o+20>>2]|0)):0){x=h;y=49}else z=j;else{x=g+20|0;y=49}if((y|0)==49){y=0;c[p>>2]=c[d>>2];b:do if((d|0)==(a|0))A=d;else{g=d;h=d;while(1){q=h;h=g+-4|0;s=c[h>>2]|0;f=c[s+16>>2]|0;m=s;if((r|0)>=(f|0)){if((r|0)!=(f|0)){A=q;break b}if((c[x>>2]|0)>=(c[s+20>>2]|0)){A=q;break b}}c[q>>2]=m;if((h|0)==(a|0)){A=h;break}else g=h}}while(0);c[A>>2]=t;r=j+1|0;if((r|0)==8){v=0;w=(p+4|0)==(b|0);break a}else z=r}r=p+4|0;if((r|0)==(b|0)){v=1;w=0;break a}h=c[p>>2]|0;g=p;p=r;j=z;o=h;d=g}}while(0);k=w|v;return k|0}}return 0}function bj(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;d=a+4|0;e=c[d>>2]|0;f=c[a>>2]|0;g=(e-f>>2)+1|0;if(g>>>0>1073741823){Jt(a);h=c[a>>2]|0;i=c[d>>2]|0}else{h=f;i=e}e=a+8|0;f=(c[e>>2]|0)-h|0;j=f>>1;k=f>>2>>>0<536870911?(j>>>0<g>>>0?g:j):1073741823;if(!k)l=0;else l=Kt(k<<2)|0;j=l+(i-h>>2<<2)|0;c[j>>2]=c[b>>2];b=i-h|0;i=j+(0-(b>>2)<<2)|0;if((b|0)>0)Wu(i|0,h|0,b|0)|0;c[a>>2]=i;c[d>>2]=j+4;c[e>>2]=l+(k<<2);if(!h)return;Mt(h);return}function cj(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;do if((c[b+16>>2]|0)==1){d=Qi(a,b+20|0)|0;if(!d){e=-1;return e|0}else{f=d+36|0;break}}else f=b+20|0;while(0);e=c[f>>2]|0;return e|0}function dj(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0;f=l;l=l+176|0;g=f+56|0;h=f+48|0;i=f+40|0;j=f+32|0;k=f+24|0;m=f+16|0;n=f+8|0;o=f;p=f+160|0;q=f+60|0;c[q>>2]=e;e=q+4|0;r=q+8|0;c[r>>2]=0;s=q+12|0;c[s>>2]=b;b=q+16|0;t=q+64|0;u=q+68|0;c[u>>2]=0;v=q+72|0;c[v>>2]=0;w=q+68|0;x=b;y=x+48|0;do{c[x>>2]=0;x=x+4|0}while((x|0)<(y|0));c[t>>2]=w;x=q+76|0;c[x>>2]=0;c[x+4>>2]=0;c[x+8>>2]=0;c[x+12>>2]=0;c[x+16>>2]=0;c[x+20>>2]=0;c[e>>2]=d;y=c[d+108>>2]|0;z=c[d+112>>2]|0;a:do if((y|0)!=(z|0)){A=y;while(1){B=c[A>>2]|0;C=B;D=C+12|0;switch(c[D>>2]|0){case 0:{E=Gm(c[e>>2]|0,C+16|0)|0;F=9;break}case 1:{E=Im(c[e>>2]|0,C+16|0)|0;F=9;break}case 2:{E=Jm(c[e>>2]|0,C+16|0)|0;F=9;break}case 3:{E=Hm(c[e>>2]|0,C+16|0)|0;F=9;break}case 4:{E=Lm(c[e>>2]|0,C+16|0)|0;F=9;break}default:{}}if((F|0)==9?(F=0,(E|0)!=-1):0){C=c[D>>2]|0;D=Kt(28)|0;G=D+16|0;c[G>>2]=C;c[G+4>>2]=E;c[D+24>>2]=B;B=c[w>>2]|0;do if(B){G=B;b:while(1){H=c[G+16>>2]|0;do if((C|0)>=(H|0)){if((H|0)>=(C|0)?E>>>0<(c[G+20>>2]|0)>>>0:0){F=14;break}I=G+4|0;J=c[I>>2]|0;if(!J){F=18;break b}else K=J}else F=14;while(0);if((F|0)==14){F=0;H=c[G>>2]|0;if(!H){F=15;break}else K=H}G=K}if((F|0)==15){F=0;L=G;M=G;break}else if((F|0)==18){F=0;L=G;M=I;break}}else{L=w;M=w}while(0);c[D>>2]=0;c[D+4>>2]=0;c[D+8>>2]=L;c[M>>2]=D;C=c[c[t>>2]>>2]|0;if(!C)N=D;else{c[t>>2]=C;N=c[M>>2]|0}ej(c[u>>2]|0,N);c[v>>2]=(c[v>>2]|0)+1}A=A+4|0;if((A|0)==(z|0))break a}}while(0);fj(q);dm(c[s>>2]|0,28257,1,0,0);z=q+24|0;c[z>>2]=0;fj(q);dm(c[s>>2]|0,28266,6,0,0);c[z>>2]=2;v=q+20|0;c[v>>2]=(c[v>>2]|0)+2;N=c[d+28>>2]|0;if(N){d=q+40|0;u=q+44|0;M=q+48|0;t=q+52|0;L=p+4|0;I=q+56|0;K=q+60|0;E=p+8|0;e=q+92|0;y=N;do{do switch(c[y+28>>2]|0){case 0:{N=y;A=N+32|0;fj(q);dm(c[s>>2]|0,28257,1,0,0);c[z>>2]=0;fj(q);dm(c[s>>2]|0,42052,4,0,0);c[z>>2]=1;c[v>>2]=(c[v>>2]|0)+2;C=a[A+11>>0]|0;B=C<<24>>24<0;H=B?c[N+36>>2]|0:C&255;if(!H){c[o>>2]=c[x>>2];gj(q,26438,o)}else{C=B?c[A>>2]|0:A;fj(q);dm(c[s>>2]|0,C,H,0,0);c[z>>2]=1}hj(q,0,c[x>>2]|0);if(a[N+44>>0]|0){fj(q);dm(c[s>>2]|0,28257,1,0,0);c[z>>2]=0;fj(q);dm(c[s>>2]|0,33910,4,0,0);c[z>>2]=1;c[v>>2]=(c[v>>2]|0)+2;if(!(c[N+64>>2]|0)){c[n>>2]=c[N+68>>2];gj(q,48990,n)}else{H=N+68|0;C=a[H+11>>0]|0;B=C<<24>>24<0;J=B?c[H>>2]|0:H;H=B?c[N+72>>2]|0:C&255;fj(q);dm(c[s>>2]|0,J,H,0,0)}c[z>>2]=0;c[v>>2]=(c[v>>2]|0)+-2;fj(q);dm(c[s>>2]|0,28305,1,0,0);c[z>>2]=1}ij(q,28277,N+80|0,N+116|0);H=N+92|0;jj(q,H,28298);if((c[z>>2]|0)==3)fj(q);c[z>>2]=2;J=N+104|0;if((c[N+108>>2]|0)!=(c[J>>2]|0)?(ij(q,28251,J,N+136|0),(c[z>>2]|0)==3):0)fj(q);c[z>>2]=2;J=c[d>>2]|0;C=c[u>>2]|0;if((C|0)!=(J|0)){B=C;do{C=B+-20|0;c[u>>2]=C;Wt(C);B=c[u>>2]|0}while((B|0)!=(J|0))};c[p>>2]=0;c[p+4>>2]=0;c[p+8>>2]=0;B=c[M>>2]|0;D=J;if(J>>>0>=B>>>0){C=c[d>>2]|0;O=((D-C|0)/20|0)+1|0;if(O>>>0>214748364){Jt(d);P=c[M>>2]|0;Q=c[d>>2]|0;R=c[u>>2]|0}else{P=B;Q=C;R=D}D=(P-Q|0)/20|0;C=D<<1;B=D>>>0<107374182?(C>>>0<O>>>0?O:C):214748364;C=(R-Q|0)/20|0;if(!B)S=0;else S=Kt(B*20|0)|0;O=S+(C*20|0)|0;D=O;T=S+(B*20|0)|0;Qt(O,p);c[S+(C*20|0)+12>>2]=0;c[S+(C*20|0)+16>>2]=H;C=O+20|0;B=c[d>>2]|0;U=c[u>>2]|0;if((U|0)==(B|0)){V=D;W=B;X=B}else{Y=U;U=D;D=O;do{O=D+-20|0;Z=Y;Y=Y+-20|0;c[O>>2]=c[Y>>2];c[O+4>>2]=c[Y+4>>2];c[O+8>>2]=c[Y+8>>2];c[Y>>2]=0;c[Y+4>>2]=0;c[Y+8>>2]=0;O=Z+-8|0;Z=c[O+4>>2]|0;_=D+-8|0;c[_>>2]=c[O>>2];c[_+4>>2]=Z;D=U+-20|0;U=D}while((Y|0)!=(B|0));V=U;W=c[d>>2]|0;X=c[u>>2]|0}c[d>>2]=V;c[u>>2]=C;c[M>>2]=T;B=W;if((X|0)!=(B|0)){Y=X;do{Y=Y+-20|0;Wt(Y)}while((Y|0)!=(B|0))}if(W|0)Mt(W)}else{Qt(J,p);c[J+12>>2]=0;c[J+16>>2]=H;c[u>>2]=(c[u>>2]|0)+20}Wt(p);c[r>>2]=A;B=c[N+156>>2]|0;Y=(B|0)==0;if(!(a[c[q>>2]>>0]|0)){if(!Y){T=B;do{nj(q,T);T=c[T+4>>2]|0}while((T|0)!=0)}}else{if(!Y){T=B;do{kj(q,T);T=c[T+4>>2]|0}while((T|0)!=0)}T=c[t>>2]|0;c[p>>2]=T;B=c[I>>2]|0;c[L>>2]=B;c[E>>2]=c[K>>2];c[K>>2]=0;c[I>>2]=0;c[t>>2]=0;Y=T;lj(q,Y,B);if(T|0){mj(p,Y);Mt(c[p>>2]|0)}}c[r>>2]=0;if((c[z>>2]|0)!=3)c[z>>2]=0;c[v>>2]=(c[v>>2]|0)+-2;fj(q);dm(c[s>>2]|0,28305,1,0,0);c[z>>2]=2;c[x>>2]=(c[x>>2]|0)+1;break}case 1:{Y=y;oj(q,Y+32|0);pj(q,Y+52|0);if((c[z>>2]|0)!=3)c[z>>2]=0;c[v>>2]=(c[v>>2]|0)+-2;fj(q);dm(c[s>>2]|0,28305,1,0,0);c[z>>2]=2;break}case 2:{Y=c[y+32>>2]|0;fj(q);dm(c[s>>2]|0,28257,1,0,0);c[z>>2]=0;fj(q);dm(c[s>>2]|0,28237,6,0,0);c[z>>2]=1;c[v>>2]=(c[v>>2]|0)+2;T=Y+4|0;B=a[T+11>>0]|0;N=B<<24>>24<0;qj(q,N?c[T>>2]|0:T,N?c[Y+8>>2]|0:B&255);c[z>>2]=1;B=Y+16|0;N=a[B+11>>0]|0;T=N<<24>>24<0;qj(q,T?c[B>>2]|0:B,T?c[Y+20>>2]|0:N&255);c[z>>2]=1;switch(c[Y+28>>2]|0){case 0:{fj(q);dm(c[s>>2]|0,28257,1,0,0);c[z>>2]=0;fj(q);dm(c[s>>2]|0,42052,4,0,0);c[z>>2]=1;c[v>>2]=(c[v>>2]|0)+2;N=Y+32|0;T=a[N+11>>0]|0;B=T<<24>>24<0;A=c[N>>2]|0;H=B?c[Y+36>>2]|0:T&255;T=c[x>>2]|0;c[x>>2]=T+1;if(!H){c[m>>2]=T;gj(q,26438,m)}else{fj(q);dm(c[s>>2]|0,B?A:N,H,0,0);c[z>>2]=1}if(!(a[Y+44>>0]|0)){H=Y+80|0;jj(q,H,28277);jj(q,H+12|0,28298);if((c[z>>2]|0)!=3)F=81}else{fj(q);dm(c[s>>2]|0,28257,1,0,0);c[z>>2]=0;fj(q);dm(c[s>>2]|0,33910,4,0,0);c[z>>2]=1;c[v>>2]=(c[v>>2]|0)+2;H=Y+48|0;N=H+20|0;if(!(c[H+16>>2]|0)){c[k>>2]=c[N>>2];gj(q,48990,k)}else{A=a[N+11>>0]|0;B=A<<24>>24<0;T=B?c[N>>2]|0:N;N=B?c[H+24>>2]|0:A&255;fj(q);dm(c[s>>2]|0,T,N,0,0)}c[z>>2]=0;c[v>>2]=(c[v>>2]|0)+-2;fj(q);dm(c[s>>2]|0,28305,1,0,0);c[z>>2]=1;F=81}if((F|0)==81){F=0;c[z>>2]=0}c[v>>2]=(c[v>>2]|0)+-2;fj(q);dm(c[s>>2]|0,28305,1,0,0);c[z>>2]=1;F=92;break}case 1:{rj(q,Y+32|0);F=91;break}case 2:{sj(q,Y+32|0);F=91;break}case 3:{oj(q,Y+32|0);if((c[z>>2]|0)!=3)c[z>>2]=0;c[v>>2]=(c[v>>2]|0)+-2;fj(q);dm(c[s>>2]|0,28305,1,0,0);c[z>>2]=1;F=92;break}case 4:{tj(q,Y+32|0);if((c[z>>2]|0)!=3)c[z>>2]=0;c[v>>2]=(c[v>>2]|0)+-2;fj(q);dm(c[s>>2]|0,28305,1,0,0);c[z>>2]=1;F=92;break}default:F=92}if((F|0)==91?(F=0,(c[z>>2]|0)!=3):0)F=92;if((F|0)==92){F=0;c[z>>2]=0}c[v>>2]=(c[v>>2]|0)+-2;fj(q);dm(c[s>>2]|0,28305,1,0,0);c[z>>2]=2;break}case 10:{tj(q,y+32|0);if((c[z>>2]|0)!=3)c[z>>2]=0;c[v>>2]=(c[v>>2]|0)+-2;fj(q);dm(c[s>>2]|0,28305,1,0,0);c[z>>2]=2;break}case 3:{Y=y;N=Y+32|0;if(!(a[(c[q>>2]|0)+1>>0]|0)){fj(q);dm(c[s>>2]|0,28257,1,0,0);c[z>>2]=0;fj(q);dm(c[s>>2]|0,28219,6,0,0);c[z>>2]=1;c[v>>2]=(c[v>>2]|0)+2;T=a[N+11>>0]|0;A=T<<24>>24<0;qj(q,A?c[N>>2]|0:N,A?c[Y+36>>2]|0:T&255);c[z>>2]=1;T=c[4512+(c[Y+44>>2]<<2)>>2]|0;fj(q);dm(c[s>>2]|0,28257,1,0,0);c[z>>2]=0;A=st(T)|0;fj(q);dm(c[s>>2]|0,T,A,0,0);c[z>>2]=1;c[v>>2]=(c[v>>2]|0)+2;if(!(c[Y+64>>2]|0)){c[j>>2]=c[Y+68>>2];gj(q,48990,j)}else{A=Y+68|0;T=a[A+11>>0]|0;N=T<<24>>24<0;H=N?c[A>>2]|0:A;A=N?c[Y+72>>2]|0:T&255;fj(q);dm(c[s>>2]|0,H,A,0,0)}c[z>>2]=0;c[v>>2]=(c[v>>2]|0)+-2;fj(q);dm(c[s>>2]|0,28305,1,0,0);c[z>>2]=0;c[v>>2]=(c[v>>2]|0)+-2;fj(q);dm(c[s>>2]|0,28305,1,0,0);c[z>>2]=2}break}case 5:{rj(q,y+32|0);break}case 6:{A=y;fj(q);dm(c[s>>2]|0,28257,1,0,0);c[z>>2]=0;fj(q);dm(c[s>>2]|0,28203,4,0,0);c[z>>2]=1;c[v>>2]=(c[v>>2]|0)+2;pj(q,A+64|0);H=c[A+76>>2]|0;T=c[A+80>>2]|0;if((H|0)==(T|0)){if((c[z>>2]|0)!=3)F=105}else{A=H;do{if(!(c[A+16>>2]|0)){c[i>>2]=c[A+20>>2];gj(q,48990,i)}else{H=A+20|0;Y=a[H+11>>0]|0;N=Y<<24>>24<0;B=N?c[H>>2]|0:H;H=N?c[A+24>>2]|0:Y&255;fj(q);dm(c[s>>2]|0,B,H,0,0)}c[z>>2]=1;A=A+32|0}while((A|0)!=(T|0));F=105}if((F|0)==105){F=0;c[z>>2]=0}c[v>>2]=(c[v>>2]|0)+-2;fj(q);dm(c[s>>2]|0,28305,1,0,0);c[z>>2]=2;break}case 7:{sj(q,y+32|0);break}case 8:{T=y;fj(q);dm(c[s>>2]|0,28257,1,0,0);c[z>>2]=0;fj(q);dm(c[s>>2]|0,30272,4,0,0);c[z>>2]=1;c[v>>2]=(c[v>>2]|0)+2;pj(q,T+64|0);A=c[T+76>>2]|0;qj(q,A,(c[T+80>>2]|0)-A|0);if((c[z>>2]|0)!=3)c[z>>2]=0;c[v>>2]=(c[v>>2]|0)+-2;fj(q);dm(c[s>>2]|0,28305,1,0,0);c[z>>2]=2;break}case 4:{A=y;T=A+32|0;fj(q);dm(c[s>>2]|0,28257,1,0,0);c[z>>2]=0;fj(q);dm(c[s>>2]|0,33910,4,0,0);c[z>>2]=1;c[v>>2]=(c[v>>2]|0)+2;H=a[T+11>>0]|0;B=H<<24>>24<0;Y=c[T>>2]|0;N=B?c[A+36>>2]|0:H&255;H=c[e>>2]|0;c[e>>2]=H+1;if(!N){c[h>>2]=H;gj(q,26438,h)}else{fj(q);dm(c[s>>2]|0,B?Y:T,N,0,0);c[z>>2]=1}fj(q);dm(c[s>>2]|0,28257,1,0,0);c[z>>2]=0;fj(q);dm(c[s>>2]|0,42052,4,0,0);c[z>>2]=1;c[v>>2]=(c[v>>2]|0)+2;jj(q,A+44|0,28277);jj(q,A+56|0,28298);if((c[z>>2]|0)!=3)c[z>>2]=0;c[v>>2]=(c[v>>2]|0)+-2;fj(q);dm(c[s>>2]|0,28305,1,0,0);c[z>>2]=0;c[v>>2]=(c[v>>2]|0)+-2;fj(q);dm(c[s>>2]|0,28305,1,0,0);c[z>>2]=2;break}case 9:{A=y;fj(q);dm(c[s>>2]|0,28257,1,0,0);c[z>>2]=0;fj(q);dm(c[s>>2]|0,28314,5,0,0);c[z>>2]=1;c[v>>2]=(c[v>>2]|0)+2;if(!(c[A+48>>2]|0)){c[g>>2]=c[A+52>>2];gj(q,48990,g)}else{N=A+52|0;T=a[N+11>>0]|0;Y=T<<24>>24<0;B=Y?c[N>>2]|0:N;N=Y?c[A+56>>2]|0:T&255;fj(q);dm(c[s>>2]|0,B,N,0,0)}c[z>>2]=0;c[v>>2]=(c[v>>2]|0)+-2;fj(q);dm(c[s>>2]|0,28305,1,0,0);c[z>>2]=2;break}default:{}}while(0);y=c[y+4>>2]|0}while((y|0)!=0);if((c[z>>2]|0)!=3)F=26}else F=26;if((F|0)==26)c[z>>2]=0;c[v>>2]=(c[v>>2]|0)+-2;fj(q);dm(c[s>>2]|0,28305,1,0,0);c[z>>2]=2;fj(q);z=c[b>>2]|0;uj(q+64|0,c[w>>2]|0);w=q+52|0;b=c[w>>2]|0;if(b|0){mj(w,b);Mt(c[w>>2]|0)}w=q+40|0;b=c[w>>2]|0;if(b|0){s=q+44|0;v=c[s>>2]|0;if((v|0)==(b|0))$=b;else{F=v;do{v=F+-20|0;c[s>>2]=v;Wt(v);F=c[s>>2]|0}while((F|0)!=(b|0));$=c[w>>2]|0}Mt($)}$=q+28|0;w=c[$>>2]|0;if(!w){l=f;return z|0}b=q+32|0;q=c[b>>2]|0;if((q|0)==(w|0))aa=w;else{F=q;do{q=F+-12|0;c[b>>2]=q;Wt(q);F=c[b>>2]|0}while((F|0)!=(w|0));aa=c[$>>2]|0}Mt(aa);l=f;return z|0}function ej(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=(d|0)==(b|0);a[d+12>>0]=e&1;if(e)return;else f=d;while(1){g=c[f+8>>2]|0;d=g+12|0;if(a[d>>0]|0){h=23;break}i=g+8|0;j=c[i>>2]|0;e=c[j>>2]|0;if((e|0)==(g|0)){k=c[j+4>>2]|0;if(!k){h=7;break}l=k+12|0;if(!(a[l>>0]|0))m=l;else{h=7;break}}else{if(!e){h=16;break}l=e+12|0;if(!(a[l>>0]|0))m=l;else{h=16;break}}a[d>>0]=1;d=(j|0)==(b|0);a[j+12>>0]=d&1;a[m>>0]=1;if(d){h=23;break}else f=j}if((h|0)==7){if((c[g>>2]|0)==(f|0)){n=g;o=j}else{m=g+4|0;b=c[m>>2]|0;d=c[b>>2]|0;c[m>>2]=d;if(!d)p=j;else{c[d+8>>2]=g;p=c[i>>2]|0}d=b+8|0;c[d>>2]=p;p=c[i>>2]|0;c[((c[p>>2]|0)==(g|0)?p:p+4|0)>>2]=b;c[b>>2]=g;c[i>>2]=b;n=b;o=c[d>>2]|0}a[n+12>>0]=1;a[o+12>>0]=0;n=c[o>>2]|0;d=n+4|0;b=c[d>>2]|0;c[o>>2]=b;if(b|0)c[b+8>>2]=o;b=o+8|0;c[n+8>>2]=c[b>>2];p=c[b>>2]|0;c[((c[p>>2]|0)==(o|0)?p:p+4|0)>>2]=n;c[d>>2]=o;c[b>>2]=n;return}else if((h|0)==16){if((c[g>>2]|0)==(f|0)){f=c[g>>2]|0;n=f+4|0;b=c[n>>2]|0;c[g>>2]=b;if(!b)q=j;else{c[b+8>>2]=g;q=c[i>>2]|0}b=f+8|0;c[b>>2]=q;q=c[i>>2]|0;c[((c[q>>2]|0)==(g|0)?q:q+4|0)>>2]=f;c[n>>2]=g;c[i>>2]=f;r=f;s=c[b>>2]|0}else{r=g;s=j}a[r+12>>0]=1;a[s+12>>0]=0;r=s+4|0;j=c[r>>2]|0;g=c[j>>2]|0;c[r>>2]=g;if(g|0)c[g+8>>2]=s;g=s+8|0;c[j+8>>2]=c[g>>2];r=c[g>>2]|0;c[((c[r>>2]|0)==(s|0)?r:r+4|0)>>2]=j;c[j>>2]=s;c[g>>2]=j;return}else if((h|0)==23)return}function fj(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;d=l;l=l+16|0;e=d;f=b+24|0;switch(c[f>>2]|0){case 1:{g=c[b+12>>2]|0;a[e>>0]=32;dm(g,e,1,0,0);c[f>>2]=0;l=d;return}case 3:case 2:{g=b+12|0;h=c[g>>2]|0;a[e>>0]=10;dm(h,e,1,0,0);e=c[b+20>>2]|0;if(e>>>0>141){b=e;while(1){dm(c[g>>2]|0,26801,142,0,0);h=b+-142|0;if(h>>>0>141)b=h;else{i=h;break}}}else i=e;if(!i){c[f>>2]=0;l=d;return}dm(c[g>>2]|0,26801,i,0,0);c[f>>2]=0;l=d;return}default:{c[f>>2]=0;l=d;return}}}function gj(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;e=l;l=l+160|0;f=e+16|0;g=e;h=e+32|0;c[f>>2]=d;c[g>>2]=c[f>>2];d=Fs(h,128,b,f)|0;f=d+1|0;if(f>>>0>128){i=l;l=l+((1*f|0)+15&-16)|0;j=Fs(i,f,b,g)|0;k=i}else{j=d;k=h}fj(a);dm(c[a+12>>2]|0,k,j,0,0);c[a+24>>2]=1;l=e;return}function hj(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;if(!(a[(c[b>>2]|0)+1>>0]|0))return;f=b+68|0;g=c[f>>2]|0;a:do if(!g){h=f;i=25}else{j=f;k=g;b:while(1){l=k;while(1){m=c[l+16>>2]|0;if((m|0)>(d|0))break;if((m|0)>=(d|0)){m=c[l+20>>2]|0;if(m>>>0>e>>>0)break;if(m>>>0>=e>>>0)break b}m=c[l+4>>2]|0;if(!m){h=j;i=25;break a}else l=m}k=c[l>>2]|0;if(!k){h=l;i=25;break a}else j=l}k=c[l>>2]|0;c:do if(!k)n=l;else{m=l;o=k;while(1){p=o;while(1){q=c[p+16>>2]|0;if((q|0)>=(d|0)){if((q|0)>(d|0))break;if((c[p+20>>2]|0)>>>0>=e>>>0)break}q=c[p+4>>2]|0;if(!q){n=m;break c}else p=q}o=c[p>>2]|0;if(!o){n=p;break}else m=p}}while(0);k=n;m=c[l+4>>2]|0;d:do if(!m)r=j;else{o=j;q=m;while(1){s=q;while(1){t=c[s+16>>2]|0;if((t|0)>(d|0))break;if((t|0)>=(d|0)?(c[s+20>>2]|0)>>>0>e>>>0:0)break;t=c[s+4>>2]|0;if(!t){r=o;break d}else s=t}q=c[s>>2]|0;if(!q){r=s;break}else o=s}}while(0);u=r;v=k}while(0);if((i|0)==25){i=h;u=i;v=i}i=v;h=u;if((i|0)==(h|0))return;u=b+12|0;r=b+24|0;e=b+20|0;d=v;v=i;while(1){i=c[v+24>>2]|0;if(i|0?a[(c[b>>2]|0)+1>>0]|0:0){fj(b);dm(c[u>>2]|0,28257,1,0,0);c[r>>2]=0;fj(b);dm(c[u>>2]|0,28219,6,0,0);c[r>>2]=1;c[e>>2]=(c[e>>2]|0)+2;l=a[i+11>>0]|0;n=l<<24>>24<0;qj(b,n?c[i>>2]|0:i,n?c[i+4>>2]|0:l&255);c[r>>2]=0;c[e>>2]=(c[e>>2]|0)+-2;fj(b);dm(c[u>>2]|0,28305,1,0,0);c[r>>2]=1}l=d;i=c[l+4>>2]|0;if(!i){n=l;while(1){l=c[n+8>>2]|0;if((c[l>>2]|0)==(n|0)){w=l;break}else n=l}}else{n=i;while(1){k=c[n>>2]|0;if(!k){w=n;break}else n=k}}if((w|0)==(h|0))break;else{d=w;v=w}}return}function ij(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;g=b+28|0;vn(e,f,g);f=e+4|0;if((c[f>>2]|0)==(c[e>>2]|0))return;h=b+12|0;i=b+24|0;j=b+20|0;k=0;l=0;a:while(1){if(!k){fj(b);dm(c[h>>2]|0,28257,1,0,0);c[i>>2]=0;m=st(d)|0;fj(b);dm(c[h>>2]|0,d,m,0,0);c[i>>2]=1;c[j>>2]=(c[j>>2]|0)+2}m=c[g>>2]|0;n=m+(l*12|0)|0;o=n+11|0;p=a[o>>0]|0;q=p<<24>>24<0;if(q)r=c[m+(l*12|0)+4>>2]|0;else r=p&255;if(r|0){p=q?c[n>>2]|0:n;n=st(p)|0;fj(b);dm(c[h>>2]|0,p,n,0,0);c[i>>2]=1}switch(c[(c[e>>2]|0)+(l<<2)>>2]|0){case -1:{s=42077;break}case -2:{s=42073;break}case -3:{s=42069;break}case -4:{s=42065;break}case -16:{s=42057;break}case -32:{s=42052;break}case -64:{s=42047;break}case 0:{s=42043;break}default:{n=19;break a}}n=st(s)|0;fj(b);dm(c[h>>2]|0,s,n,0,0);c[i>>2]=1;n=a[o>>0]|0;if(n<<24>>24<0)t=c[m+(l*12|0)+4>>2]|0;else t=n&255;if(!t)u=1;else{c[i>>2]=0;c[j>>2]=(c[j>>2]|0)+-2;fj(b);dm(c[h>>2]|0,28305,1,0,0);c[i>>2]=1;u=0}l=l+1|0;if(l>>>0>=(c[f>>2]|0)-(c[e>>2]|0)>>2>>>0)break;else k=u}if(!u)return;c[i>>2]=0;c[j>>2]=(c[j>>2]|0)+-2;fj(b);dm(c[h>>2]|0,28305,1,0,0);c[i>>2]=1;return}function jj(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=b+4|0;f=c[e>>2]|0;g=c[b>>2]|0;if((f|0)==(g|0))return;h=(d|0)!=0;if(h){fj(a);i=a+12|0;dm(c[i>>2]|0,28257,1,0,0);j=a+24|0;c[j>>2]=0;k=st(d)|0;fj(a);dm(c[i>>2]|0,d,k,0,0);c[j>>2]=1;j=a+20|0;c[j>>2]=(c[j>>2]|0)+2;l=c[b>>2]|0;m=c[e>>2]|0}else{l=g;m=f}a:do if((l|0)!=(m|0)){f=a+12|0;g=a+24|0;e=l;b:while(1){switch(c[e>>2]|0){case -1:{n=42077;break}case -2:{n=42073;break}case -3:{n=42069;break}case -4:{n=42065;break}case -16:{n=42057;break}case -32:{n=42052;break}case -64:{n=42047;break}case 0:{n=42043;break}default:break b}b=st(n)|0;fj(a);dm(c[f>>2]|0,n,b,0,0);c[g>>2]=1;e=e+4|0;if((e|0)==(m|0))break a}}while(0);if(!h)return;h=a+24|0;if((c[h>>2]|0)!=3)c[h>>2]=0;m=a+20|0;c[m>>2]=(c[m>>2]|0)+-2;fj(a);dm(c[a+12>>2]|0,28305,1,0,0);c[h>>2]=1;return}function kj(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;do switch(c[b+28>>2]|0){case 35:case 11:case 4:case 2:{zj(a,b,2,1);l=d;return}case 28:case 1:{zj(a,b,2,0);l=d;return}case 5:{zj(a,b,0,(c[b+48>>2]|0)-(c[b+44>>2]|0)>>2);l=d;return}case 6:{zj(a,b,Aj(a,b+32|0)|0,1);l=d;return}case 7:{f=Aj(a,b+32|0)|0;zj(a,b,f+1|0,f);l=d;return}case 8:{zj(a,b,(Aj(a,b+44|0)|0)+1|0,1);l=d;return}case 9:{f=b+32|0;g=a+4|0;h=Nm(c[g>>2]|0,f)|0;if(!h)i=0;else i=(c[h+52>>2]|0)-(c[h+48>>2]|0)>>2;h=Nm(c[g>>2]|0,f)|0;if(!h)j=0;else j=(c[h+64>>2]|0)-(c[h+60>>2]|0)>>2;zj(a,b,i,j);l=d;return}case 10:{h=b+32|0;f=a+4|0;g=Tm(c[f>>2]|0,h)|0;if(!g)k=1;else k=((c[g+16>>2]|0)-(c[g+12>>2]|0)>>2)+1|0;g=Tm(c[f>>2]|0,h)|0;if(!g)m=0;else m=(c[g+28>>2]|0)-(c[g+24>>2]|0)>>2;zj(a,b,k,m);l=d;return}case 33:case 17:case 16:case 14:case 12:{zj(a,b,0,1);l=d;return}case 32:case 29:case 20:case 18:case 13:case 0:{zj(a,b,1,1);l=d;return}case 27:case 26:case 15:{zj(a,b,1,0);l=d;return}case 19:{zj(a,b,1,(c[b+48>>2]|0)-(c[b+44>>2]|0)>>2);l=d;return}case 21:{zj(a,b,0,(c[b+48>>2]|0)-(c[b+44>>2]|0)>>2);l=d;return}case 22:{zj(a,b,0,0);l=d;return}case 24:{g=c[a+8>>2]|0;zj(a,b,(c[g+64>>2]|0)-(c[g+60>>2]|0)>>2,1);l=d;return}case 23:{zj(a,b,0,0);l=d;return}case 34:case 25:case 3:{zj(a,b,3,1);l=d;return}case 30:{g=Sm(c[a+4>>2]|0,b+32|0)|0;if(!g)n=0;else n=(c[g+16>>2]|0)-(c[g+12>>2]|0)>>2;zj(a,b,n,0);l=d;return}case 31:{zj(a,b,0,(c[b+48>>2]|0)-(c[b+44>>2]|0)>>2);l=d;return}default:{g=c[4073]|0;c[e>>2]=Fm(b)|0;vt(g,26738,e)|0;l=d;return}}while(0)}function lj(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;f=l;l=l+64|0;g=f;h=f+24|0;i=f+8|0;if((d|0)==(e|0)){l=f;return}j=i+4|0;k=i+8|0;m=i+12|0;n=b+12|0;o=b+24|0;p=b+20|0;q=i+4|0;r=b+52|0;s=h+4|0;t=b+56|0;u=b+60|0;v=h+8|0;w=h+4|0;x=h+8|0;y=h+4|0;z=h+8|0;A=h+4|0;B=h+8|0;C=h+4|0;D=h+8|0;E=b+44|0;F=h+4|0;G=h+8|0;H=i+12|0;I=d;do{c[i>>2]=c[I>>2];d=I+4|0;c[j>>2]=0;c[k>>2]=0;c[m>>2]=0;J=I+8|0;K=(c[J>>2]|0)-(c[d>>2]|0)|0;L=K>>4;if(L|0){if(L>>>0>268435455)Jt(j);M=Kt(K)|0;c[k>>2]=M;c[j>>2]=M;c[H>>2]=M+(L<<4);L=c[d>>2]|0;d=c[J>>2]|0;if((L|0)!=(d|0)){J=L;L=M;do{c[L>>2]=c[J>>2];M=L+4|0;K=J+4|0;c[M>>2]=0;N=L+8|0;c[N>>2]=0;c[L+12>>2]=0;O=J+8|0;P=(c[O>>2]|0)-(c[K>>2]|0)|0;Q=P>>4;if(Q|0){if(Q>>>0>268435455)Jt(M);R=Kt(P)|0;c[N>>2]=R;c[M>>2]=R;c[L+12>>2]=R+(Q<<4);yj(M,c[K>>2]|0,c[O>>2]|0)}J=J+16|0;L=(c[k>>2]|0)+16|0;c[k>>2]=L}while((J|0)!=(d|0))}}d=c[i>>2]|0;switch(c[d+28>>2]|0){case 5:{fj(b);dm(c[n>>2]|0,28257,1,0,0);c[o>>2]=0;J=(c[i>>2]|0)+32|0;vm(h,15356);xj(b,1,J,c[h>>2]|0);J=c[(c[i>>2]|0)+56>>2]|0;if(J|0){L=J;do{kj(b,L);L=c[L+4>>2]|0}while((L|0)!=0)}L=c[r>>2]|0;c[h>>2]=L;J=c[t>>2]|0;c[s>>2]=J;c[v>>2]=c[u>>2];c[u>>2]=0;c[t>>2]=0;c[r>>2]=0;O=L;lj(b,O,J);if(L|0){mj(h,O);Mt(c[h>>2]|0)}if((c[o>>2]|0)!=3)c[o>>2]=0;c[p>>2]=(c[p>>2]|0)+-2;fj(b);dm(c[n>>2]|0,28305,1,0,0);break}case 21:{fj(b);dm(c[n>>2]|0,28257,1,0,0);c[o>>2]=0;O=(c[i>>2]|0)+32|0;vm(h,15360);xj(b,2,O,c[h>>2]|0);O=c[(c[i>>2]|0)+56>>2]|0;if(O|0){L=O;do{kj(b,L);L=c[L+4>>2]|0}while((L|0)!=0)}L=c[r>>2]|0;c[h>>2]=L;O=c[t>>2]|0;c[w>>2]=O;c[x>>2]=c[u>>2];c[u>>2]=0;c[t>>2]=0;c[r>>2]=0;J=L;lj(b,J,O);if(L|0){mj(h,J);Mt(c[h>>2]|0)}if((c[o>>2]|0)!=3)c[o>>2]=0;c[p>>2]=(c[p>>2]|0)+-2;fj(b);dm(c[n>>2]|0,28305,1,0,0);break}case 19:{fj(b);dm(c[n>>2]|0,28257,1,0,0);c[o>>2]=0;vm(h,15364);xj(b,3,d+32|0,c[h>>2]|0);lj(b,c[j>>2]|0,c[k>>2]|0);fj(b);dm(c[n>>2]|0,28257,1,0,0);c[o>>2]=0;fj(b);dm(c[n>>2]|0,28326,4,0,0);c[o>>2]=2;c[p>>2]=(c[p>>2]|0)+2;J=c[d+56>>2]|0;if(J|0){L=J;do{kj(b,L);L=c[L+4>>2]|0}while((L|0)!=0)}L=c[r>>2]|0;c[h>>2]=L;J=c[t>>2]|0;c[y>>2]=J;c[z>>2]=c[u>>2];c[u>>2]=0;c[t>>2]=0;c[r>>2]=0;O=L;lj(b,O,J);if(L|0){mj(h,O);Mt(c[h>>2]|0)}if((c[o>>2]|0)!=3)c[o>>2]=0;c[p>>2]=(c[p>>2]|0)+-2;fj(b);dm(c[n>>2]|0,28305,1,0,0);c[o>>2]=2;O=d+68|0;if(c[O+8>>2]|0){fj(b);dm(c[n>>2]|0,28257,1,0,0);c[o>>2]=0;fj(b);dm(c[n>>2]|0,28515,4,0,0);c[o>>2]=2;c[p>>2]=(c[p>>2]|0)+2;L=c[O>>2]|0;if(L|0){O=L;do{kj(b,O);O=c[O+4>>2]|0}while((O|0)!=0)}O=c[r>>2]|0;c[h>>2]=O;L=c[t>>2]|0;c[A>>2]=L;c[B>>2]=c[u>>2];c[u>>2]=0;c[t>>2]=0;c[r>>2]=0;J=O;lj(b,J,L);if(O|0){mj(h,J);Mt(c[h>>2]|0)}if((c[o>>2]|0)!=3)c[o>>2]=0;c[p>>2]=(c[p>>2]|0)+-2;fj(b);dm(c[n>>2]|0,28305,1,0,0);c[o>>2]=2}c[o>>2]=0;c[p>>2]=(c[p>>2]|0)+-2;fj(b);dm(c[n>>2]|0,28305,1,0,0);break}case 31:{fj(b);dm(c[n>>2]|0,28257,1,0,0);c[o>>2]=0;vm(h,15372);xj(b,5,d+32|0,c[h>>2]|0);J=c[d+56>>2]|0;if(J|0){O=J;do{kj(b,O);O=c[O+4>>2]|0}while((O|0)!=0)}O=c[r>>2]|0;c[h>>2]=O;J=c[t>>2]|0;c[C>>2]=J;c[D>>2]=c[u>>2];c[u>>2]=0;c[t>>2]=0;c[r>>2]=0;L=O;lj(b,L,J);if(O|0){mj(h,L);Mt(c[h>>2]|0)}L=c[d+68>>2]|0;O=c[d+72>>2]|0;if((L|0)==(O|0)){if((c[o>>2]|0)!=3)S=49}else{J=L;do{fj(b);dm(c[n>>2]|0,28257,1,0,0);c[o>>2]=0;L=J+32|0;if((c[L>>2]|0)==0?(c[J+36>>2]|0)==-1:0){vm(h,15388);K=c[h>>2]|0;M=st(K)|0;fj(b);dm(c[n>>2]|0,K,M,0,0)}else S=54;do if((S|0)==54){S=0;vm(h,15376);M=c[h>>2]|0;K=st(M)|0;fj(b);dm(c[n>>2]|0,M,K,0,0);c[o>>2]=1;if(!(c[L>>2]|0)){c[g>>2]=c[J+36>>2];gj(b,48990,g);break}else{K=J+36|0;M=a[K+11>>0]|0;Q=M<<24>>24<0;R=Q?c[K>>2]|0:K;K=Q?c[J+40>>2]|0:M&255;fj(b);dm(c[n>>2]|0,R,K,0,0);break}}while(0);c[o>>2]=2;c[p>>2]=(c[p>>2]|0)+2;c[(c[E>>2]|0)+-8>>2]=6;L=c[J+48>>2]|0;if(L|0){K=L;do{kj(b,K);K=c[K+4>>2]|0}while((K|0)!=0)}K=c[r>>2]|0;c[h>>2]=K;L=c[t>>2]|0;c[F>>2]=L;c[G>>2]=c[u>>2];c[u>>2]=0;c[t>>2]=0;c[r>>2]=0;R=K;lj(b,R,L);if(K|0){mj(h,R);Mt(c[h>>2]|0)}if((c[o>>2]|0)!=3)c[o>>2]=0;c[p>>2]=(c[p>>2]|0)+-2;fj(b);dm(c[n>>2]|0,28305,1,0,0);c[o>>2]=2;J=J+60|0}while((J|0)!=(O|0));S=49}if((S|0)==49){S=0;c[o>>2]=0}c[p>>2]=(c[p>>2]|0)+-2;fj(b);dm(c[n>>2]|0,28305,1,0,0);break}default:{fj(b);dm(c[n>>2]|0,28257,1,0,0);c[o>>2]=0;nj(b,c[i>>2]|0);c[p>>2]=(c[p>>2]|0)+2;lj(b,c[j>>2]|0,c[k>>2]|0);if((c[o>>2]|0)!=3)c[o>>2]=0;c[p>>2]=(c[p>>2]|0)+-2;fj(b);dm(c[n>>2]|0,28305,1,0,0)}}c[o>>2]=2;O=c[q>>2]|0;if(O|0){mj(q,O);Mt(c[q>>2]|0)}I=I+16|0}while((I|0)!=(e|0));l=f;return}function mj(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=a+4|0;a=c[d>>2]|0;if((a|0)==(b|0))return;else e=a;while(1){a=e+-16|0;c[d>>2]=a;f=e+-12|0;g=c[f>>2]|0;if(!g)h=a;else{mj(f,g);Mt(c[f>>2]|0);h=c[d>>2]|0}if((h|0)==(b|0))break;else e=h}return}function nj(b,d){b=b|0;d=d|0;var e=0,f=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;e=l;l=l+368|0;f=e+232|0;i=e+224|0;j=e+216|0;k=e+208|0;m=e+200|0;n=e+192|0;o=e+184|0;p=e+176|0;q=e+168|0;r=e+160|0;s=e+152|0;t=e+144|0;u=e+136|0;v=e+128|0;w=e+120|0;x=e+112|0;y=e+104|0;z=e+96|0;A=e+88|0;B=e+80|0;C=e+72|0;D=e+64|0;E=e+56|0;F=e+48|0;G=e+40|0;H=e+32|0;I=e+24|0;J=e+16|0;K=e+8|0;L=e;M=e+240|0;do switch(c[d+28>>2]|0){case 0:{N=d+32|0;vm(M,N);O=c[M>>2]|0;P=st(O)|0;fj(b);dm(c[b+12>>2]|0,O,P,0,0);P=b+24|0;c[P>>2]=1;O=c[d+40>>2]|0;if(O|0){c[L>>2]=O;gj(b,26706,L)}O=d+36|0;if(!(wm(N,c[O>>2]|0)|0)){c[K>>2]=c[O>>2];gj(b,26716,K)}if((c[P>>2]|0)==3)fj(b);c[P>>2]=2;l=e;return}case 1:{P=d+32|0;vm(M,P);O=c[M>>2]|0;N=st(O)|0;fj(b);dm(c[b+12>>2]|0,O,N,0,0);N=b+24|0;c[N>>2]=1;O=c[d+40>>2]|0;if(O|0){c[J>>2]=O;gj(b,26706,J)}O=d+36|0;if(!(wm(P,c[O>>2]|0)|0)){c[I>>2]=c[O>>2];gj(b,26716,I)}if((c[N>>2]|0)==3)fj(b);c[N>>2]=2;l=e;return}case 2:{N=d+32|0;vm(M,N);O=c[M>>2]|0;P=st(O)|0;fj(b);dm(c[b+12>>2]|0,O,P,0,0);P=b+24|0;c[P>>2]=1;O=c[d+40>>2]|0;if(O|0){c[H>>2]=O;gj(b,26706,H)}O=d+36|0;if(!(wm(N,c[O>>2]|0)|0)){c[G>>2]=c[O>>2];gj(b,26716,G)}if((c[P>>2]|0)==3)fj(b);c[P>>2]=2;l=e;return}case 3:{P=d+32|0;vm(M,P);O=c[M>>2]|0;N=st(O)|0;fj(b);dm(c[b+12>>2]|0,O,N,0,0);N=b+24|0;c[N>>2]=1;O=c[d+40>>2]|0;if(O|0){c[F>>2]=O;gj(b,26706,F)}O=d+36|0;if(!(wm(P,c[O>>2]|0)|0)){c[E>>2]=c[O>>2];gj(b,26716,E)}if((c[N>>2]|0)==3)fj(b);c[N>>2]=2;l=e;return}case 4:{vm(M,d+32|0);N=c[M>>2]|0;O=st(N)|0;fj(b);dm(c[b+12>>2]|0,N,O,0,0);c[b+24>>2]=2;l=e;return}case 5:{vm(M,15356);vj(b,1,d+32|0,c[M>>2]|0);l=e;return}case 6:{vm(M,15396);O=c[M>>2]|0;N=st(O)|0;fj(b);dm(c[b+12>>2]|0,O,N,0,0);c[b+24>>2]=1;wj(b,d+32|0,2);l=e;return}case 7:{vm(M,15400);N=c[M>>2]|0;O=st(N)|0;fj(b);dm(c[b+12>>2]|0,N,O,0,0);c[b+24>>2]=1;wj(b,d+32|0,2);l=e;return}case 8:{vm(M,15404);O=c[M>>2]|0;N=st(O)|0;fj(b);dm(c[b+12>>2]|0,O,N,0,0);c[b+24>>2]=1;N=c[d+32>>2]|0;O=c[d+36>>2]|0;if((N|0)!=(O|0)){P=N;do{wj(b,P,1);P=P+32|0}while((P|0)!=(O|0))}wj(b,d+44|0,2);l=e;return}case 9:{vm(M,15412);O=c[M>>2]|0;P=st(O)|0;fj(b);N=b+12|0;dm(c[N>>2]|0,O,P,0,0);P=b+24|0;c[P>>2]=1;O=d+52|0;if(!(c[d+48>>2]|0)){c[D>>2]=c[O>>2];gj(b,48990,D)}else{Q=a[O+11>>0]|0;R=Q<<24>>24<0;S=R?c[O>>2]|0:O;O=R?c[d+56>>2]|0:Q&255;fj(b);dm(c[N>>2]|0,S,O,0,0)}c[P>>2]=2;l=e;return}case 10:{vm(M,15416);P=c[M>>2]|0;O=st(P)|0;fj(b);S=b+12|0;dm(c[S>>2]|0,P,O,0,0);O=b+24|0;c[O>>2]=1;P=d+52|0;if(!(c[d+48>>2]|0)){c[C>>2]=c[P>>2];gj(b,48990,C)}else{N=a[P+11>>0]|0;Q=N<<24>>24<0;R=Q?c[P>>2]|0:P;P=Q?c[d+56>>2]|0:N&255;fj(b);dm(c[S>>2]|0,R,P,0,0)}c[O>>2]=2;l=e;return}case 11:{vm(M,d+32|0);O=c[M>>2]|0;P=st(O)|0;fj(b);dm(c[b+12>>2]|0,O,P,0,0);c[b+24>>2]=2;l=e;return}case 12:{switch(c[d+48>>2]|0){case -1:{vm(M,15456);P=c[M>>2]|0;O=st(P)|0;fj(b);dm(c[b+12>>2]|0,P,O,0,0);O=b+24|0;c[O>>2]=1;c[B>>2]=c[d+56>>2];gj(b,48987,B);if((c[O>>2]|0)==3)fj(b);c[O>>2]=2;l=e;return}case -2:{vm(M,15460);O=c[M>>2]|0;P=st(O)|0;fj(b);dm(c[b+12>>2]|0,O,P,0,0);P=b+24|0;c[P>>2]=1;O=d+56|0;R=c[O+4>>2]|0;S=A;c[S>>2]=c[O>>2];c[S+4>>2]=R;gj(b,26725,A);if((c[P>>2]|0)==3)fj(b);c[P>>2]=2;l=e;return}case -3:{vm(M,15464);P=c[M>>2]|0;R=st(P)|0;fj(b);S=b+12|0;dm(c[S>>2]|0,P,R,0,0);R=b+24|0;c[R>>2]=1;P=d+56|0;Vl(M,128,c[P>>2]|0);O=st(M)|0;fj(b);dm(c[S>>2]|0,M,O,0,0);c[R>>2]=1;h[z>>3]=+g[P>>2];gj(b,26730,z);if((c[R>>2]|0)==3)fj(b);c[R>>2]=2;l=e;return}case -4:{vm(M,15468);R=c[M>>2]|0;P=st(R)|0;fj(b);O=b+12|0;dm(c[O>>2]|0,R,P,0,0);P=b+24|0;c[P>>2]=1;R=d+56|0;S=R;Wl(M,128,c[S>>2]|0,c[S+4>>2]|0);S=st(M)|0;fj(b);dm(c[O>>2]|0,M,S,0,0);c[P>>2]=1;h[y>>3]=+h[R>>3];gj(b,26730,y);if((c[P>>2]|0)==3)fj(b);c[P>>2]=2;l=e;return}default:{l=e;return}}break}case 13:{vm(M,d+32|0);P=c[M>>2]|0;R=st(P)|0;fj(b);dm(c[b+12>>2]|0,P,R,0,0);c[b+24>>2]=2;l=e;return}case 15:{vm(M,15420);R=c[M>>2]|0;P=st(R)|0;fj(b);dm(c[b+12>>2]|0,R,P,0,0);c[b+24>>2]=2;l=e;return}case 16:{vm(M,15440);P=c[M>>2]|0;R=st(P)|0;fj(b);S=b+12|0;dm(c[S>>2]|0,P,R,0,0);R=b+24|0;c[R>>2]=1;P=d+52|0;if(!(c[d+48>>2]|0)){c[x>>2]=c[P>>2];gj(b,48990,x)}else{O=a[P+11>>0]|0;N=O<<24>>24<0;Q=N?c[P>>2]|0:P;P=N?c[d+56>>2]|0:O&255;fj(b);dm(c[S>>2]|0,Q,P,0,0)}c[R>>2]=2;l=e;return}case 17:{vm(M,15428);R=c[M>>2]|0;P=st(R)|0;fj(b);Q=b+12|0;dm(c[Q>>2]|0,R,P,0,0);P=b+24|0;c[P>>2]=1;R=d+52|0;if(!(c[d+48>>2]|0)){c[w>>2]=c[R>>2];gj(b,48990,w)}else{S=a[R+11>>0]|0;O=S<<24>>24<0;N=O?c[R>>2]|0:R;R=O?c[d+56>>2]|0:S&255;fj(b);dm(c[Q>>2]|0,N,R,0,0)}c[P>>2]=2;l=e;return}case 18:{vm(M,15452);P=c[M>>2]|0;R=st(P)|0;fj(b);dm(c[b+12>>2]|0,P,R,0,0);c[b+24>>2]=2;l=e;return}case 19:{vm(M,15364);xj(b,3,d+32|0,c[M>>2]|0);R=c[d+56>>2]|0;if(R|0){P=R;do{nj(b,P);P=c[P+4>>2]|0}while((P|0)!=0)}P=d+68|0;R=b+20|0;if(c[P+8>>2]|0?(c[R>>2]=(c[R>>2]|0)+-2,vm(M,15368),N=c[M>>2]|0,Q=st(N)|0,fj(b),dm(c[b+12>>2]|0,N,Q,0,0),c[R>>2]=(c[R>>2]|0)+2,c[b+24>>2]=3,Q=c[P>>2]|0,Q|0):0){P=Q;do{nj(b,P);P=c[P+4>>2]|0}while((P|0)!=0)}c[R>>2]=(c[R>>2]|0)+-2;P=b+44|0;Q=c[P>>2]|0;N=Q+-20|0;S=Q;do{Q=S+-20|0;c[P>>2]=Q;Wt(Q);S=c[P>>2]|0}while((S|0)!=(N|0));vm(M,15392);N=c[M>>2]|0;S=st(N)|0;fj(b);dm(c[b+12>>2]|0,N,S,0,0);c[b+24>>2]=2;l=e;return}case 20:{S=d+32|0;vm(M,S);N=c[M>>2]|0;P=st(N)|0;fj(b);dm(c[b+12>>2]|0,N,P,0,0);P=b+24|0;c[P>>2]=1;N=c[d+40>>2]|0;if(N|0){c[v>>2]=N;gj(b,26706,v)}N=d+36|0;if(!(wm(S,c[N>>2]|0)|0)){c[u>>2]=c[N>>2];gj(b,26716,u)}if((c[P>>2]|0)==3)fj(b);c[P>>2]=2;l=e;return}case 21:{vm(M,15360);vj(b,2,d+32|0,c[M>>2]|0);l=e;return}case 14:{vm(M,15448);P=c[M>>2]|0;N=st(P)|0;fj(b);dm(c[b+12>>2]|0,P,N,0,0);c[b+24>>2]=2;l=e;return}case 22:{vm(M,15352);N=c[M>>2]|0;P=st(N)|0;fj(b);dm(c[b+12>>2]|0,N,P,0,0);c[b+24>>2]=2;l=e;return}case 23:{vm(M,15384);P=c[M>>2]|0;N=st(P)|0;fj(b);dm(c[b+12>>2]|0,P,N,0,0);c[b+24>>2]=1;wj(b,d+32|0,2);l=e;return}case 24:{vm(M,15408);N=c[M>>2]|0;P=st(N)|0;fj(b);dm(c[b+12>>2]|0,N,P,0,0);c[b+24>>2]=2;l=e;return}case 25:{vm(M,15424);P=c[M>>2]|0;N=st(P)|0;fj(b);dm(c[b+12>>2]|0,P,N,0,0);c[b+24>>2]=2;l=e;return}case 26:{vm(M,15444);N=c[M>>2]|0;P=st(N)|0;fj(b);S=b+12|0;dm(c[S>>2]|0,N,P,0,0);P=b+24|0;c[P>>2]=1;N=d+52|0;if(!(c[d+48>>2]|0)){c[t>>2]=c[N>>2];gj(b,48990,t)}else{R=a[N+11>>0]|0;Q=R<<24>>24<0;O=Q?c[N>>2]|0:N;N=Q?c[d+56>>2]|0:R&255;fj(b);dm(c[S>>2]|0,O,N,0,0)}c[P>>2]=2;l=e;return}case 27:{vm(M,15432);P=c[M>>2]|0;N=st(P)|0;fj(b);O=b+12|0;dm(c[O>>2]|0,P,N,0,0);N=b+24|0;c[N>>2]=1;P=d+52|0;if(!(c[d+48>>2]|0)){c[s>>2]=c[P>>2];gj(b,48990,s)}else{S=a[P+11>>0]|0;R=S<<24>>24<0;Q=R?c[P>>2]|0:P;P=R?c[d+56>>2]|0:S&255;fj(b);dm(c[O>>2]|0,Q,P,0,0)}c[N>>2]=2;l=e;return}case 28:{N=d+32|0;vm(M,N);P=c[M>>2]|0;Q=st(P)|0;fj(b);dm(c[b+12>>2]|0,P,Q,0,0);Q=b+24|0;c[Q>>2]=1;P=c[d+40>>2]|0;if(P|0){c[r>>2]=P;gj(b,26706,r)}P=d+36|0;if(!(wm(N,c[P>>2]|0)|0)){c[q>>2]=c[P>>2];gj(b,26716,q)}if((c[Q>>2]|0)==3)fj(b);c[Q>>2]=2;l=e;return}case 29:{vm(M,15436);Q=c[M>>2]|0;P=st(Q)|0;fj(b);N=b+12|0;dm(c[N>>2]|0,Q,P,0,0);P=b+24|0;c[P>>2]=1;Q=d+52|0;if(!(c[d+48>>2]|0)){c[p>>2]=c[Q>>2];gj(b,48990,p)}else{O=a[Q+11>>0]|0;S=O<<24>>24<0;R=S?c[Q>>2]|0:Q;Q=S?c[d+56>>2]|0:O&255;fj(b);dm(c[N>>2]|0,R,Q,0,0)}c[P>>2]=2;l=e;return}case 30:{vm(M,15380);P=c[M>>2]|0;Q=st(P)|0;fj(b);R=b+12|0;dm(c[R>>2]|0,P,Q,0,0);Q=b+24|0;c[Q>>2]=1;P=d+52|0;if(!(c[d+48>>2]|0)){c[o>>2]=c[P>>2];gj(b,48990,o)}else{N=a[P+11>>0]|0;O=N<<24>>24<0;S=O?c[P>>2]|0:P;P=O?c[d+56>>2]|0:N&255;fj(b);dm(c[R>>2]|0,S,P,0,0)}c[Q>>2]=2;l=e;return}case 31:{vm(M,15372);xj(b,5,d+32|0,c[M>>2]|0);Q=c[d+56>>2]|0;if(Q|0){P=Q;do{nj(b,P);P=c[P+4>>2]|0}while((P|0)!=0)}P=c[d+68>>2]|0;Q=c[d+72>>2]|0;S=b+20|0;c[S>>2]=(c[S>>2]|0)+-2;if((P|0)==(Q|0))T=b+44|0;else{R=b+12|0;N=b+24|0;O=b+44|0;U=P;do{P=U+32|0;if((c[P>>2]|0)==0?(c[U+36>>2]|0)==-1:0){vm(M,15388);V=c[M>>2]|0;W=st(V)|0;fj(b);dm(c[R>>2]|0,V,W,0,0)}else X=125;do if((X|0)==125){X=0;vm(M,15376);W=c[M>>2]|0;V=st(W)|0;fj(b);dm(c[R>>2]|0,W,V,0,0);c[N>>2]=1;if(!(c[P>>2]|0)){c[n>>2]=c[U+36>>2];gj(b,48990,n);break}else{V=U+36|0;W=a[V+11>>0]|0;Y=W<<24>>24<0;Z=Y?c[V>>2]|0:V;V=Y?c[U+40>>2]|0:W&255;fj(b);dm(c[R>>2]|0,Z,V,0,0);break}}while(0);c[N>>2]=2;P=(c[S>>2]|0)+2|0;c[S>>2]=P;c[(c[O>>2]|0)+-8>>2]=6;V=c[U+48>>2]|0;if(!V)_=P;else{P=V;do{nj(b,P);P=c[P+4>>2]|0}while((P|0)!=0);_=c[S>>2]|0}U=U+60|0;c[S>>2]=_+-2}while((U|0)!=(Q|0));T=O}O=c[T>>2]|0;Q=O+-20|0;U=O;do{O=U+-20|0;c[T>>2]=O;Wt(O);U=c[T>>2]|0}while((U|0)!=(Q|0));vm(M,15392);Q=c[M>>2]|0;U=st(Q)|0;fj(b);dm(c[b+12>>2]|0,Q,U,0,0);c[b+24>>2]=2;l=e;return}case 32:{vm(M,d+32|0);U=c[M>>2]|0;Q=st(U)|0;fj(b);dm(c[b+12>>2]|0,U,Q,0,0);c[b+24>>2]=2;l=e;return}case 33:{vm(M,49152);Q=c[M>>2]|0;U=st(Q)|0;fj(b);dm(c[b+12>>2]|0,Q,U,0,0);c[b+24>>2]=2;l=e;return}case 34:{U=d+32|0;vm(M,U);Q=c[M>>2]|0;O=st(Q)|0;fj(b);dm(c[b+12>>2]|0,Q,O,0,0);O=b+24|0;c[O>>2]=1;Q=c[d+40>>2]|0;if(Q|0){c[m>>2]=Q;gj(b,26706,m)}Q=d+36|0;if(!(wm(U,c[Q>>2]|0)|0)){c[k>>2]=c[Q>>2];gj(b,26716,k)}if((c[O>>2]|0)==3)fj(b);c[O>>2]=2;l=e;return}case 35:{O=d+32|0;vm(M,O);Q=c[M>>2]|0;U=st(Q)|0;fj(b);dm(c[b+12>>2]|0,Q,U,0,0);U=b+24|0;c[U>>2]=1;Q=c[d+40>>2]|0;if(Q|0){c[j>>2]=Q;gj(b,26706,j)}Q=d+36|0;if(!(wm(O,c[Q>>2]|0)|0)){c[i>>2]=c[Q>>2];gj(b,26716,i)}if((c[U>>2]|0)==3)fj(b);c[U>>2]=2;l=e;return}default:{U=c[4073]|0;c[f>>2]=Fm(d)|0;vt(U,26738,f)|0;l=e;return}}while(0)}function oj(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0;e=l;l=l+16|0;f=e;fj(b);g=b+12|0;dm(c[g>>2]|0,28257,1,0,0);h=b+24|0;c[h>>2]=0;fj(b);dm(c[g>>2]|0,28230,6,0,0);c[h>>2]=1;i=b+20|0;c[i>>2]=(c[i>>2]|0)+2;j=a[d+11>>0]|0;k=j<<24>>24<0;m=k?c[d+4>>2]|0:j&255;j=b+80|0;if(!m){c[f>>2]=c[j>>2];gj(b,26438,f)}else{f=k?c[d>>2]|0:d;fj(b);dm(c[g>>2]|0,f,m,0,0);c[h>>2]=1}hj(b,3,c[j>>2]|0);if(!(a[d+16>>0]|0)){switch(c[d+12>>2]|0){case -1:{n=42077;break}case -2:{n=42073;break}case -3:{n=42069;break}case -4:{n=42065;break}case -16:{n=42057;break}case -32:{n=42052;break}case -64:{n=42047;break}case 0:{n=42043;break}default:{}}m=st(n)|0;fj(b);dm(c[g>>2]|0,n,m,0,0);c[h>>2]=1;o=c[j>>2]|0;p=o+1|0;c[j>>2]=p;l=e;return}else{fj(b);dm(c[g>>2]|0,28257,1,0,0);c[h>>2]=0;fj(b);dm(c[g>>2]|0,28273,3,0,0);c[h>>2]=1;c[i>>2]=(c[i>>2]|0)+2;switch(c[d+12>>2]|0){case -1:{q=42077;break}case -2:{q=42073;break}case -3:{q=42069;break}case -4:{q=42065;break}case -16:{q=42057;break}case -32:{q=42052;break}case -64:{q=42047;break}case 0:{q=42043;break}default:{}}d=st(q)|0;fj(b);dm(c[g>>2]|0,q,d,0,0);c[h>>2]=0;c[i>>2]=(c[i>>2]|0)+-2;fj(b);dm(c[g>>2]|0,28305,1,0,0);c[h>>2]=1;o=c[j>>2]|0;p=o+1|0;c[j>>2]=p;l=e;return}}function pj(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;if(!(c[b+8>>2]|0))return;fj(a);d=a+12|0;dm(c[d>>2]|0,28257,1,0,0);e=a+24|0;c[e>>2]=0;f=c[b>>2]|0;if(f|0){b=f;do{nj(a,b);b=c[b+4>>2]|0}while((b|0)!=0)}c[e>>2]=0;fj(a);dm(c[d>>2]|0,28305,1,0,0);c[e>>2]=1;return}function qj(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0;f=l;l=l+16|0;g=f;fj(b);h=b+12|0;i=c[h>>2]|0;a[g>>0]=34;dm(i,g,1,0,0);if(!e){j=c[h>>2]|0;a[g>>0]=34;dm(j,g,1,0,0);k=b+24|0;c[k>>2]=1;l=f;return}else m=0;do{i=a[d+m>>0]|0;n=i&255;o=c[h>>2]|0;if(!(a[26450+n>>0]|0)){a[g>>0]=i;dm(o,g,1,0,0)}else{a[g>>0]=92;dm(o,g,1,0,0);o=c[h>>2]|0;a[g>>0]=a[27924+(n>>>4)>>0]|0;dm(o,g,1,0,0);o=c[h>>2]|0;a[g>>0]=a[27924+(n&15)>>0]|0;dm(o,g,1,0,0)}m=m+1|0}while((m|0)!=(e|0));j=c[h>>2]|0;a[g>>0]=34;dm(j,g,1,0,0);k=b+24|0;c[k>>2]=1;l=f;return}function rj(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;e=l;l=l+32|0;f=e+16|0;g=e+8|0;h=e;fj(b);i=b+12|0;dm(c[i>>2]|0,28257,1,0,0);j=b+24|0;c[j>>2]=0;fj(b);dm(c[i>>2]|0,28320,5,0,0);c[j>>2]=1;k=b+20|0;c[k>>2]=(c[k>>2]|0)+2;m=a[d+11>>0]|0;n=m<<24>>24<0;o=n?c[d+4>>2]|0:m&255;m=b+84|0;if(!o){c[h>>2]=c[m>>2];gj(b,26438,h)}else{h=n?c[d>>2]|0:d;fj(b);dm(c[i>>2]|0,h,o,0,0);c[j>>2]=1}hj(b,1,c[m>>2]|0);o=d+16|0;h=c[o+4>>2]|0;n=g;c[n>>2]=c[o>>2];c[n+4>>2]=h;gj(b,26445,g);if(a[d+32>>0]|0){g=d+24|0;h=c[g+4>>2]|0;n=f;c[n>>2]=c[g>>2];c[n+4>>2]=h;gj(b,26445,f)}if(!(a[d+33>>0]|0)){fj(b);p=c[i>>2]|0;dm(p,42057,7,0,0);c[j>>2]=0;q=c[k>>2]|0;r=q+-2|0;c[k>>2]=r;fj(b);s=c[i>>2]|0;dm(s,28305,1,0,0);c[j>>2]=2;t=c[m>>2]|0;u=t+1|0;c[m>>2]=u;l=e;return}gj(b,28307,e+24|0);fj(b);p=c[i>>2]|0;dm(p,42057,7,0,0);c[j>>2]=0;q=c[k>>2]|0;r=q+-2|0;c[k>>2]=r;fj(b);s=c[i>>2]|0;dm(s,28305,1,0,0);c[j>>2]=2;t=c[m>>2]|0;u=t+1|0;c[m>>2]=u;l=e;return}function sj(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;e=l;l=l+32|0;f=e+16|0;g=e+8|0;h=e;fj(b);i=b+12|0;dm(c[i>>2]|0,28257,1,0,0);j=b+24|0;c[j>>2]=0;fj(b);dm(c[i>>2]|0,28259,6,0,0);c[j>>2]=1;k=b+20|0;c[k>>2]=(c[k>>2]|0)+2;m=a[d+11>>0]|0;n=m<<24>>24<0;o=n?c[d+4>>2]|0:m&255;m=b+88|0;if(!o){c[h>>2]=c[m>>2];gj(b,26438,h)}else{h=n?c[d>>2]|0:d;fj(b);dm(c[i>>2]|0,h,o,0,0);c[j>>2]=1}hj(b,2,c[m>>2]|0);o=d+16|0;h=c[o+4>>2]|0;n=g;c[n>>2]=c[o>>2];c[n+4>>2]=h;gj(b,26445,g);if(a[d+32>>0]|0){g=d+24|0;h=c[g+4>>2]|0;n=f;c[n>>2]=c[g>>2];c[n+4>>2]=h;gj(b,26445,f)}if(a[d+33>>0]|0)gj(b,28307,e+24|0);if((c[j>>2]|0)==3){p=c[k>>2]|0;q=p+-2|0;c[k>>2]=q;fj(b);r=c[i>>2]|0;dm(r,28305,1,0,0);c[j>>2]=2;s=c[m>>2]|0;t=s+1|0;c[m>>2]=t;l=e;return}c[j>>2]=0;p=c[k>>2]|0;q=p+-2|0;c[k>>2]=q;fj(b);r=c[i>>2]|0;dm(r,28305,1,0,0);c[j>>2]=2;s=c[m>>2]|0;t=s+1|0;c[m>>2]=t;l=e;return}function tj(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0;e=l;l=l+16|0;f=e;fj(b);g=b+12|0;dm(c[g>>2]|0,28257,1,0,0);h=b+24|0;c[h>>2]=0;fj(b);dm(c[g>>2]|0,28212,6,0,0);c[h>>2]=1;i=b+20|0;c[i>>2]=(c[i>>2]|0)+2;i=a[d+11>>0]|0;j=i<<24>>24<0;k=j?c[d+4>>2]|0:i&255;i=b+96|0;if(!k){c[f>>2]=c[i>>2];gj(b,26438,f)}else{f=j?c[d>>2]|0:d;fj(b);dm(c[g>>2]|0,f,k,0,0);c[h>>2]=1}hj(b,4,c[i>>2]|0);k=c[d+16>>2]|0;f=c[d+12>>2]|0;if((k|0)==(f|0)){m=c[i>>2]|0;n=m+1|0;c[i>>2]=n;l=e;return}d=k;k=f;if((k|0)==(d|0)){m=c[i>>2]|0;n=m+1|0;c[i>>2]=n;l=e;return}else o=k;a:while(1){switch(c[o>>2]|0){case -1:{p=42077;break}case -2:{p=42073;break}case -3:{p=42069;break}case -4:{p=42065;break}case -16:{p=42057;break}case -32:{p=42052;break}case -64:{p=42047;break}case 0:{p=42043;break}default:{q=14;break a}}k=st(p)|0;fj(b);dm(c[g>>2]|0,p,k,0,0);c[h>>2]=1;o=o+4|0;if((o|0)==(d|0)){q=16;break}}if((q|0)!=14)if((q|0)==16){m=c[i>>2]|0;n=m+1|0;c[i>>2]=n;l=e;return}}function uj(a,b){a=a|0;b=b|0;if(!b)return;else{uj(a,c[b>>2]|0);uj(a,c[b+4>>2]|0);Mt(b);return}}function vj(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=l;l=l+48|0;g=f;xj(a,b,d,e);e=c[d+24>>2]|0;if(e|0){d=e;do{nj(a,d);d=c[d+4>>2]|0}while((d|0)!=0)}d=a+20|0;c[d>>2]=(c[d>>2]|0)+-2;d=a+44|0;e=c[d>>2]|0;b=e+-20|0;h=e;do{e=h+-20|0;c[d>>2]=e;Wt(e);h=c[d>>2]|0}while((h|0)!=(b|0));vm(g,15392);b=c[g>>2]|0;g=st(b)|0;fj(a);dm(c[a+12>>2]|0,b,g,0,0);c[a+24>>2]=2;l=f;return}function wj(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0;f=l;l=l+16|0;g=f+8|0;h=f;if(c[d+16>>2]|0){i=d+20|0;j=(a[i+11>>0]|0)<0?c[i>>2]|0:i;i=st(j)|0;fj(b);dm(c[b+12>>2]|0,j,i,0,0);k=b+24|0;c[k>>2]=e;l=f;return}i=c[d+20>>2]|0;d=((c[b+44>>2]|0)-(c[b+40>>2]|0)|0)/20|0;if(d>>>0>i>>>0){c[h>>2]=i;c[h+4>>2]=d+~i;gj(b,26773,h);k=b+24|0;c[k>>2]=e;l=f;return}else{c[g>>2]=i;gj(b,26784,g);k=b+24|0;c[k>>2]=e;l=f;return}}function xj(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;g=l;l=l+16|0;h=g;i=st(f)|0;fj(b);j=b+12|0;dm(c[j>>2]|0,f,i,0,0);i=b+24|0;c[i>>2]=1;f=a[e+11>>0]|0;k=f<<24>>24<0;if(!((k?c[e+4>>2]|0:f&255)|0)){f=e+12|0;jj(b,f,28298);c[h>>2]=((c[b+44>>2]|0)-(c[b+40>>2]|0)|0)/20|0;gj(b,26757,h);m=f}else{f=k?c[e>>2]|0:e;k=st(f)|0;fj(b);dm(c[j>>2]|0,f,k,0,0);c[i>>2]=1;k=e+12|0;jj(b,k,28298);m=k}if((c[i>>2]|0)==3)fj(b);c[i>>2]=3;i=b+40|0;k=b+44|0;f=c[k>>2]|0;j=b+48|0;h=c[j>>2]|0;n=f;if(f>>>0<h>>>0){Qt(f,e);c[f+12>>2]=d;c[f+16>>2]=m;c[k>>2]=(c[k>>2]|0)+20;o=b+20|0;p=c[o>>2]|0;q=p+2|0;c[o>>2]=q;l=g;return}f=c[i>>2]|0;r=((n-f|0)/20|0)+1|0;if(r>>>0>214748364){Jt(i);s=j;t=c[j>>2]|0;u=c[i>>2]|0;v=c[k>>2]|0}else{s=j;t=h;u=f;v=n}n=(t-u|0)/20|0;t=n<<1;f=n>>>0<107374182?(t>>>0<r>>>0?r:t):214748364;t=(v-u|0)/20|0;if(!f)w=0;else w=Kt(f*20|0)|0;u=w+(t*20|0)|0;v=u;r=w+(f*20|0)|0;Qt(u,e);c[w+(t*20|0)+12>>2]=d;c[w+(t*20|0)+16>>2]=m;m=u+20|0;t=c[i>>2]|0;w=c[k>>2]|0;if((w|0)==(t|0)){x=v;y=t;z=t}else{d=w;w=v;v=u;do{u=v+-20|0;e=d;d=d+-20|0;c[u>>2]=c[d>>2];c[u+4>>2]=c[d+4>>2];c[u+8>>2]=c[d+8>>2];c[d>>2]=0;c[d+4>>2]=0;c[d+8>>2]=0;u=e+-8|0;e=c[u+4>>2]|0;f=v+-8|0;c[f>>2]=c[u>>2];c[f+4>>2]=e;v=w+-20|0;w=v}while((d|0)!=(t|0));x=w;y=c[i>>2]|0;z=c[k>>2]|0}c[i>>2]=x;c[k>>2]=m;c[s>>2]=r;r=y;if((z|0)!=(r|0)){s=z;do{s=s+-20|0;Wt(s)}while((s|0)!=(r|0))}if(!y){o=b+20|0;p=c[o>>2]|0;q=p+2|0;c[o>>2]=q;l=g;return}Mt(y);o=b+20|0;p=c[o>>2]|0;q=p+2|0;c[o>>2]=q;l=g;return}function yj(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=a+4|0;if((b|0)==(d|0))return;a=b;b=c[e>>2]|0;do{c[b>>2]=c[a>>2];f=b+4|0;g=a+4|0;c[f>>2]=0;h=b+8|0;c[h>>2]=0;c[b+12>>2]=0;i=a+8|0;j=(c[i>>2]|0)-(c[g>>2]|0)|0;k=j>>4;if(k|0){if(k>>>0>268435455)Jt(f);l=Kt(j)|0;c[h>>2]=l;c[f>>2]=l;c[b+12>>2]=l+(k<<4);yj(f,c[g>>2]|0,c[i>>2]|0)}a=a+16|0;b=(c[e>>2]|0)+16|0;c[e>>2]=b}while((a|0)!=(d|0));return}function zj(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;f=l;l=l+32|0;g=f+16|0;h=f;i=b;j=a+52|0;k=a+56|0;m=c[k>>2]|0;n=c[j>>2]|0;o=m-n>>4;p=m;if(o>>>0<d>>>0){q=a+60|0;r=c[q>>2]|0;s=r;if(p>>>0>=r>>>0){r=o+1|0;if(r>>>0>268435455){Jt(j);t=c[j>>2]|0;u=c[k>>2]|0;v=q;w=c[q>>2]|0}else{t=n;u=m;v=q;w=s}s=u;n=t;o=w-t|0;w=o>>3;x=o>>4>>>0<134217727?(w>>>0<r>>>0?r:w):268435455;w=u-t>>4;if(!x)y=0;else y=Kt(x<<4)|0;t=y+(w<<4)|0;r=t;o=y+(x<<4)|0;c[t>>2]=i;c[y+(w<<4)+4>>2]=0;c[y+(w<<4)+8>>2]=0;c[y+(w<<4)+12>>2]=0;w=t+16|0;if((s|0)==(n|0)){z=r;A=u;B=s}else{u=s;s=r;r=t;do{t=u;u=u+-16|0;c[r+-16>>2]=c[u>>2];y=r+-12|0;x=t+-12|0;c[y>>2]=0;C=r+-8|0;c[C>>2]=0;c[r+-4>>2]=0;c[y>>2]=c[x>>2];y=t+-8|0;c[C>>2]=c[y>>2];C=t+-4|0;c[r+-4>>2]=c[C>>2];c[C>>2]=0;c[y>>2]=0;c[x>>2]=0;r=s+-16|0;s=r}while((u|0)!=(n|0));z=s;A=c[j>>2]|0;B=c[k>>2]|0}c[j>>2]=z;c[k>>2]=w;c[v>>2]=o;o=A;if((B|0)!=(o|0)){v=B;do{B=v+-12|0;v=v+-16|0;w=c[B>>2]|0;if(w|0){mj(B,w);Mt(c[B>>2]|0)}}while((v|0)!=(o|0))}if(A|0)Mt(A)}else{c[m>>2]=i;c[p+4>>2]=0;c[p+8>>2]=0;c[p+12>>2]=0;c[k>>2]=(c[k>>2]|0)+16}i=c[j>>2]|0;c[g>>2]=i;m=c[k>>2]|0;c[g+4>>2]=m;c[g+8>>2]=c[q>>2];c[q>>2]=0;c[k>>2]=0;c[j>>2]=0;q=i;lj(a,q,m);if(i|0){mj(g,q);Mt(c[g>>2]|0)}l=f;return}q=p+(0-d<<4)|0;c[h>>2]=b;c[h+4>>2]=0;b=h+8|0;c[b>>2]=0;c[h+12>>2]=0;i=h+4|0;if(d|0){d=h+12|0;m=q;A=0;o=0;while(1){v=A;if(A>>>0>=o>>>0){B=c[i>>2]|0;w=(v-B>>4)+1|0;if(w>>>0>268435455){Jt(i);D=c[d>>2]|0;E=c[i>>2]|0;F=c[b>>2]|0}else{D=o;E=B;F=v}v=D-E|0;B=v>>3;z=v>>4>>>0<134217727?(B>>>0<w>>>0?w:B):268435455;B=F-E>>4;if(!z)G=0;else G=Kt(z<<4)|0;w=G+(B<<4)|0;v=w;s=G+(z<<4)|0;c[w>>2]=c[m>>2];z=m+4|0;c[G+(B<<4)+12>>2]=0;c[G+(B<<4)+4>>2]=c[z>>2];n=m+8|0;c[G+(B<<4)+8>>2]=c[n>>2];u=m+12|0;c[G+(B<<4)+12>>2]=c[u>>2];c[u>>2]=0;c[n>>2]=0;c[z>>2]=0;z=w+16|0;n=c[i>>2]|0;u=c[b>>2]|0;if((u|0)==(n|0)){H=n;I=n;J=v}else{B=u;u=v;v=w;do{w=B;B=B+-16|0;c[v+-16>>2]=c[B>>2];r=v+-12|0;x=w+-12|0;c[r>>2]=0;y=v+-8|0;c[y>>2]=0;c[v+-4>>2]=0;c[r>>2]=c[x>>2];r=w+-8|0;c[y>>2]=c[r>>2];y=w+-4|0;c[v+-4>>2]=c[y>>2];c[y>>2]=0;c[r>>2]=0;c[x>>2]=0;v=u+-16|0;u=v}while((B|0)!=(n|0));H=c[i>>2]|0;I=c[b>>2]|0;J=u}c[i>>2]=J;c[b>>2]=z;c[d>>2]=s;n=H;if((I|0)!=(n|0)){B=I;do{v=B+-12|0;B=B+-16|0;x=c[v>>2]|0;if(x|0){mj(v,x);Mt(c[v>>2]|0)}}while((B|0)!=(n|0))}if(H|0)Mt(H)}else{c[A>>2]=c[m>>2];n=A+4|0;B=m+4|0;c[n>>2]=0;s=A+8|0;c[s>>2]=0;c[A+12>>2]=0;c[n>>2]=c[B>>2];n=m+8|0;c[s>>2]=c[n>>2];s=m+12|0;c[A+12>>2]=c[s>>2];c[s>>2]=0;c[n>>2]=0;c[B>>2]=0;c[b>>2]=(c[b>>2]|0)+16}B=m+16|0;if((B|0)==(p|0))break;m=B;A=c[b>>2]|0;o=c[d>>2]|0}d=c[k>>2]|0;if((d|0)==(p|0))K=q;else{o=p;p=q;while(1){c[p>>2]=c[o>>2];q=p+4|0;A=o+4|0;m=c[q>>2]|0;if(!m){L=p+8|0;M=p+12|0}else{H=p+8|0;I=c[H>>2]|0;if((I|0)==(m|0))N=m;else{J=I;while(1){I=J+-16|0;c[H>>2]=I;G=J+-12|0;E=c[G>>2]|0;if(!E)O=I;else{mj(G,E);Mt(c[G>>2]|0);O=c[H>>2]|0}if((O|0)==(m|0))break;else J=O}N=c[q>>2]|0}Mt(N);J=p+12|0;c[J>>2]=0;c[H>>2]=0;c[q>>2]=0;L=H;M=J}c[q>>2]=c[A>>2];J=o+8|0;c[L>>2]=c[J>>2];m=o+12|0;c[M>>2]=c[m>>2];c[m>>2]=0;c[J>>2]=0;c[A>>2]=0;o=o+16|0;J=p+16|0;if((o|0)==(d|0)){K=J;break}else p=J}}mj(j,K)}K=c[k>>2]|0;p=a+60|0;d=c[p>>2]|0;o=K;M=d;if(K>>>0>=d>>>0){d=c[j>>2]|0;L=(o-d>>4)+1|0;if(L>>>0>268435455){Jt(j);P=c[j>>2]|0;Q=c[k>>2]|0;R=p;S=c[p>>2]|0}else{P=d;Q=o;R=p;S=M}M=S-P|0;S=M>>3;o=M>>4>>>0<134217727?(S>>>0<L>>>0?L:S):268435455;S=Q-P>>4;if(!o)T=0;else T=Kt(o<<4)|0;L=T+(S<<4)|0;M=L;d=T+(o<<4)|0;c[L>>2]=c[h>>2];o=T+(S<<4)+4|0;c[o>>2]=0;N=T+(S<<4)+8|0;c[N>>2]=0;c[T+(S<<4)+12>>2]=0;O=c[b>>2]|0;J=c[i>>2]|0;m=O-J|0;G=m>>4;if(!G){U=Q;V=P}else{if(G>>>0>268435455){Jt(o);W=c[i>>2]|0;X=c[b>>2]|0}else{W=J;X=O}O=Kt(m)|0;c[N>>2]=O;c[o>>2]=O;c[T+(S<<4)+12>>2]=O+(G<<4);yj(o,W,X);U=c[k>>2]|0;V=c[j>>2]|0}X=L+16|0;if((U|0)==(V|0)){Y=M;Z=U;_=U}else{W=U;U=M;M=L;do{L=W;W=W+-16|0;c[M+-16>>2]=c[W>>2];o=M+-12|0;G=L+-12|0;c[o>>2]=0;O=M+-8|0;c[O>>2]=0;c[M+-4>>2]=0;c[o>>2]=c[G>>2];o=L+-8|0;c[O>>2]=c[o>>2];O=L+-4|0;c[M+-4>>2]=c[O>>2];c[O>>2]=0;c[o>>2]=0;c[G>>2]=0;M=U+-16|0;U=M}while((W|0)!=(V|0));Y=U;Z=c[j>>2]|0;_=c[k>>2]|0}c[j>>2]=Y;c[k>>2]=X;c[R>>2]=d;d=Z;if((_|0)!=(d|0)){R=_;do{_=R+-12|0;R=R+-16|0;X=c[_>>2]|0;if(X|0){mj(_,X);Mt(c[_>>2]|0)}}while((R|0)!=(d|0))}if(Z|0)Mt(Z)}else{c[K>>2]=c[h>>2];Z=K+4|0;c[Z>>2]=0;d=K+8|0;c[d>>2]=0;c[K+12>>2]=0;R=(c[b>>2]|0)-(c[i>>2]|0)|0;_=R>>4;if(_|0){if(_>>>0>268435455)Jt(Z);X=Kt(R)|0;c[d>>2]=X;c[Z>>2]=X;c[K+12>>2]=X+(_<<4);yj(Z,c[i>>2]|0,c[b>>2]|0)}c[k>>2]=(c[k>>2]|0)+16}if((e|0)==0?(e=c[j>>2]|0,c[g>>2]=e,b=c[k>>2]|0,c[g+4>>2]=b,c[g+8>>2]=c[p>>2],c[p>>2]=0,c[k>>2]=0,c[j>>2]=0,j=e,lj(a,j,b),e|0):0){mj(g,j);Mt(c[g>>2]|0)}g=h+4|0;h=c[g>>2]|0;if(h|0){mj(g,h);Mt(c[g>>2]|0)}l=f;return}function Aj(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;a:do if((c[d+16>>2]|0)==1){e=c[b+40>>2]|0;f=(c[b+44>>2]|0)-e|0;g=(f|0)/20|0;h=d+20|0;i=a[h+11>>0]|0;j=i<<24>>24<0;k=j?c[d+24>>2]|0:i&255;i=j?c[h>>2]|0:h;h=e;if(!k){if(!f){l=0;return l|0}else m=g;while(1){m=m+-1|0;f=h+(m*20|0)|0;e=a[f+11>>0]|0;if(!((e<<24>>24<0?c[h+(m*20|0)+4>>2]|0:e&255)|0)){n=f;o=15;break a}if(!m){l=0;break}}return l|0}else p=g;b:while(1){if(!p){l=0;o=18;break}else q=p;c:while(1){q=q+-1|0;r=h+(q*20|0)|0;f=a[r+11>>0]|0;e=f<<24>>24<0;j=f&255;d:do if(((e?c[h+(q*20|0)+4>>2]|0:j)|0)==(k|0)){if(e)break c;f=r;s=j;t=i;while(1){if((a[f>>0]|0)!=(a[t>>0]|0))break d;s=s+-1|0;if(!s){n=r;o=15;break a}else{f=f+1|0;t=t+1|0}}}while(0);if(!q){l=0;o=18;break b}}if(!(Es(c[r>>2]|0,i,k)|0)){u=r;break a}else p=q}if((o|0)==18)return l|0}else{k=c[d+20>>2]|0;i=c[b+40>>2]|0;h=((c[b+44>>2]|0)-i|0)/20|0;if(h>>>0>k>>>0){n=i+((h+~k|0)*20|0)|0;o=15}else{l=0;return l|0}}while(0);if((o|0)==15)if(!n){l=0;return l|0}else u=n;if((c[u+12>>2]|0)==2){l=0;return l|0}n=c[u+16>>2]|0;l=(c[n+4>>2]|0)-(c[n>>2]|0)>>2;return l|0}function Bj(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;d=l;l=l+80|0;e=d+64|0;f=d;g=d+8|0;c[g>>2]=3876;h=g+4|0;c[h>>2]=0;i=g+8|0;c[i>>2]=0;j=g+12|0;Kn(j,g);k=g+16|0;m=k+36|0;do{c[k>>2]=0;k=k+4|0}while((k|0)<(m|0));c[h>>2]=b;k=b+72|0;m=b+76|0;n=c[k>>2]|0;a:do if((c[m>>2]|0)==(n|0))o=3;else{p=g+16|0;q=g+28|0;r=f+4|0;s=0;t=n;while(1){u=c[t+(s<<2)>>2]|0;c[i>>2]=u;if(a[u+12>>0]|0){v=u+16|0;w=Um(c[h>>2]|0,v)|0;if(!w){x=1;break a}y=a[w+11>>0]|0;z=y<<24>>24<0;A=z?c[w+4>>2]|0:y&255;if(!((A|0)==0?1:(c[u+32>>2]|0)==1)){c[f>>2]=z?c[w>>2]|0:w;c[r>>2]=A;c[e>>2]=c[f>>2];c[e+4>>2]=c[f+4>>2];En(v,e)}}vn(u+48|0,u+84|0,p);vn(u+72|0,u+104|0,q);if((Nn(j,u)|0)==1){x=1;break a}c[i>>2]=0;s=s+1|0;t=c[k>>2]|0;if(s>>>0>=(c[m>>2]|0)-t>>2>>>0){o=3;break}}}while(0);b:do if((o|0)==3){m=b+108|0;k=b+112|0;i=c[m>>2]|0;if((c[k>>2]|0)!=(i|0)){j=f+4|0;n=0;t=i;do{i=c[t+(n<<2)>>2]|0;if(((c[i+12>>2]|0)==0?(s=i+16|0,q=Om(c[h>>2]|0,s)|0,q|0):0)?(p=a[q+11>>0]|0,r=p<<24>>24<0,u=r?c[q+4>>2]|0:p&255,!((u|0)==0?1:(c[i+32>>2]|0)==1)):0){c[f>>2]=r?c[q>>2]|0:q;c[j>>2]=u;c[e>>2]=c[f>>2];c[e+4>>2]=c[f+4>>2];En(s,e)}n=n+1|0;t=c[m>>2]|0}while(n>>>0<(c[k>>2]|0)-t>>2>>>0)}t=b+144|0;k=b+148|0;n=c[t>>2]|0;if((c[k>>2]|0)!=(n|0)){m=f+4|0;j=f+4|0;s=0;u=n;do{n=c[u+(s<<2)>>2]|0;q=Qm(c[h>>2]|0,n)|0;if(!q){x=1;break b}r=a[q+11>>0]|0;i=r<<24>>24<0;p=i?c[q+4>>2]|0:r&255;if(!((p|0)==0?1:(c[n+16>>2]|0)==1)){c[f>>2]=i?c[q>>2]|0:q;c[j>>2]=p;c[e>>2]=c[f>>2];c[e+4>>2]=c[f+4>>2];En(n,e)}p=c[n+44>>2]|0;q=c[n+48>>2]|0;if((p|0)!=(q|0)){n=p;do{p=Om(c[h>>2]|0,n)|0;if(!p){x=1;break b}i=a[p+11>>0]|0;r=i<<24>>24<0;v=r?c[p+4>>2]|0:i&255;if(!((v|0)==0?1:(c[n+16>>2]|0)==1)){c[f>>2]=r?c[p>>2]|0:p;c[m>>2]=v;c[e>>2]=c[f>>2];c[e+4>>2]=c[f+4>>2];En(n,e)}n=n+32|0}while((n|0)!=(q|0))}s=s+1|0;u=c[t>>2]|0}while(s>>>0<(c[k>>2]|0)-u>>2>>>0)}u=b+168|0;k=b+172|0;s=c[u>>2]|0;if((c[k>>2]|0)!=(s|0)){t=f+4|0;m=0;j=s;do{s=c[j+(m<<2)>>2]|0;q=Rm(c[h>>2]|0,s)|0;if(!q){x=1;break b}n=a[q+11>>0]|0;v=n<<24>>24<0;p=v?c[q+4>>2]|0:n&255;if(!((p|0)==0?1:(c[s+16>>2]|0)==1)){c[f>>2]=v?c[q>>2]|0:q;c[t>>2]=p;c[e>>2]=c[f>>2];c[e+4>>2]=c[f+4>>2];En(s,e)}m=m+1|0;j=c[u>>2]|0}while(m>>>0<(c[k>>2]|0)-j>>2>>>0)}c[h>>2]=0;x=0}while(0);c[g>>2]=3876;h=g+40|0;e=c[h>>2]|0;if(e|0){f=g+44|0;b=c[f>>2]|0;if((b|0)==(e|0))B=e;else{o=b;do{b=o+-12|0;c[f>>2]=b;Wt(b);o=c[f>>2]|0}while((o|0)!=(e|0));B=c[h>>2]|0}Mt(B)}B=g+28|0;h=c[B>>2]|0;if(h|0){e=g+32|0;o=c[e>>2]|0;if((o|0)==(h|0))C=h;else{f=o;do{o=f+-12|0;c[e>>2]=o;Wt(o);f=c[e>>2]|0}while((f|0)!=(h|0));C=c[B>>2]|0}Mt(C)}C=g+16|0;B=c[C>>2]|0;if(!B){l=d;return x|0}h=g+20|0;g=c[h>>2]|0;if((g|0)==(B|0))D=B;else{f=g;do{g=f+-12|0;c[h>>2]=g;Wt(g);f=c[h>>2]|0}while((f|0)!=(B|0));D=c[C>>2]|0}Mt(D);l=d;return x|0}function Cj(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;c[a>>2]=3876;b=a+40|0;d=c[b>>2]|0;if(d|0){e=a+44|0;f=c[e>>2]|0;if((f|0)==(d|0))g=d;else{h=f;do{f=h+-12|0;c[e>>2]=f;Wt(f);h=c[e>>2]|0}while((h|0)!=(d|0));g=c[b>>2]|0}Mt(g)}g=a+28|0;b=c[g>>2]|0;if(b|0){d=a+32|0;h=c[d>>2]|0;if((h|0)==(b|0))i=b;else{e=h;do{h=e+-12|0;c[d>>2]=h;Wt(h);e=c[d>>2]|0}while((e|0)!=(b|0));i=c[g>>2]|0}Mt(i)}i=a+16|0;g=c[i>>2]|0;if(!g)return;b=a+20|0;a=c[b>>2]|0;if((a|0)==(g|0))j=g;else{e=a;do{a=e+-12|0;c[b>>2]=a;Wt(a);e=c[b>>2]|0}while((e|0)!=(g|0));j=c[i>>2]|0}Mt(j);return}function Dj(a){a=a|0;Cj(a);Mt(a);return}function Ej(a,b){a=a|0;b=b|0;return 0}function Fj(a,b){a=a|0;b=b|0;var d=0,e=0;d=b+32|0;b=a+44|0;e=c[b>>2]|0;if((e|0)==(c[a+48>>2]|0)){Id(a+40|0,d);return 0}else{Qt(e,d);c[b>>2]=(c[b>>2]|0)+12;return 0}return 0}function Gj(a,b){a=a|0;b=b|0;var d=0,e=0;b=a+44|0;a=c[b>>2]|0;d=a+-12|0;e=a;do{a=e+-12|0;c[b>>2]=a;Wt(a);e=c[b>>2]|0}while((e|0)!=(d|0));return 0}function Hj(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=l;l=l+32|0;e=d+16|0;f=d+8|0;g=d;h=b+32|0;sk(g,a,h);a=c[g+4>>2]|0;if((a|0)==0?1:(c[b+48>>2]|0)==1){l=d;return 0}c[f>>2]=c[g>>2];c[f+4>>2]=a;c[e>>2]=c[f>>2];c[e+4>>2]=c[f+4>>2];En(h,e);l=d;return 0}function Ij(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=l;l=l+32|0;e=d+16|0;f=d+8|0;g=d;h=b+32|0;sk(g,a,h);a=c[g+4>>2]|0;if((a|0)==0?1:(c[b+48>>2]|0)==1){l=d;return 0}c[f>>2]=c[g>>2];c[f+4>>2]=a;c[e>>2]=c[f>>2];c[e+4>>2]=c[f+4>>2];En(h,e);l=d;return 0}function Jj(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;d=l;l=l+32|0;e=d+16|0;f=d+8|0;g=d;h=c[b+32>>2]|0;i=c[b+36>>2]|0;if((h|0)!=(i|0)){j=g+4|0;k=f+4|0;m=h;do{sk(g,a,m);h=c[j>>2]|0;if(!((h|0)==0?1:(c[m+16>>2]|0)==1)){c[f>>2]=c[g>>2];c[k>>2]=h;c[e>>2]=c[f>>2];c[e+4>>2]=c[f+4>>2];En(m,e)}m=m+32|0}while((m|0)!=(i|0))}i=b+44|0;sk(g,a,i);a=c[g+4>>2]|0;if((a|0)==0?1:(c[b+60>>2]|0)==1){l=d;return 0}c[f>>2]=c[g>>2];c[f+4>>2]=a;c[e>>2]=c[f>>2];c[e+4>>2]=c[f+4>>2];En(i,e);l=d;return 0}function Kj(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;e=l;l=l+16|0;f=e+8|0;g=e;h=d+32|0;i=Om(c[b+4>>2]|0,h)|0;if(!i){j=1;l=e;return j|0}b=a[i+11>>0]|0;k=b<<24>>24<0;m=k?c[i+4>>2]|0:b&255;if(!((m|0)==0?1:(c[d+48>>2]|0)==1)){c[g>>2]=k?c[i>>2]|0:i;c[g+4>>2]=m;c[f>>2]=c[g>>2];c[f+4>>2]=c[g+4>>2];En(h,f)}j=0;l=e;return j|0}function Lj(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;e=l;l=l+16|0;f=e+8|0;g=e;h=d+32|0;i=Um(c[b+4>>2]|0,h)|0;if(!i){j=1;l=e;return j|0}b=a[i+11>>0]|0;k=b<<24>>24<0;m=k?c[i+4>>2]|0:b&255;if(!((m|0)==0?1:(c[d+48>>2]|0)==1)){c[g>>2]=k?c[i>>2]|0:i;c[g+4>>2]=m;c[f>>2]=c[g>>2];c[f+4>>2]=c[g+4>>2];En(h,f)}j=0;l=e;return j|0}function Mj(a,b){a=a|0;b=b|0;return 0}function Nj(a,b){a=a|0;b=b|0;return 0}function Oj(a,b){a=a|0;b=b|0;return 0}function Pj(a,b){a=a|0;b=b|0;return 0}function Qj(a,b){a=a|0;b=b|0;return 0}function Rj(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;e=l;l=l+16|0;f=e+8|0;g=e;h=d+32|0;i=Pm(c[b+4>>2]|0,h)|0;if(!i){j=1;l=e;return j|0}b=a[i+11>>0]|0;k=b<<24>>24<0;m=k?c[i+4>>2]|0:b&255;if(!((m|0)==0?1:(c[d+48>>2]|0)==1)){c[g>>2]=k?c[i>>2]|0:i;c[g+4>>2]=m;c[f>>2]=c[g>>2];c[f+4>>2]=c[g+4>>2];En(h,f)}j=0;l=e;return j|0}function Sj(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0;e=l;l=l+16|0;f=e+8|0;g=e;h=c[b+8>>2]|0;i=d+32|0;j=Mm(h,i)|0;k=(c[h+52>>2]|0)-(c[h+48>>2]|0)>>2;if(j>>>0>=(((c[h+76>>2]|0)-(c[h+72>>2]|0)>>2)+k|0)>>>0){m=1;l=e;return m|0}h=j>>>0<k>>>0;n=j-(h?0:k)|0;k=c[(h?b+16|0:b+28|0)>>2]|0;b=k+(n*12|0)|0;if((c[d+48>>2]|0)!=1){d=a[b+11>>0]|0;h=d<<24>>24<0;if(h)o=c[k+(n*12|0)+4>>2]|0;else o=d&255;if(o|0){c[g>>2]=h?c[b>>2]|0:b;c[g+4>>2]=h?c[k+(n*12|0)+4>>2]|0:d&255;c[f>>2]=c[g>>2];c[f+4>>2]=c[g+4>>2];En(i,f)}}m=0;l=e;return m|0}function Tj(a,b){a=a|0;b=b|0;return 0}function Uj(a,b){a=a|0;b=b|0;var d=0,e=0;d=b+32|0;b=a+44|0;e=c[b>>2]|0;if((e|0)==(c[a+48>>2]|0)){Id(a+40|0,d);return 0}else{Qt(e,d);c[b>>2]=(c[b>>2]|0)+12;return 0}return 0}function Vj(a,b){a=a|0;b=b|0;return 0}function Wj(a,b){a=a|0;b=b|0;var d=0,e=0;b=a+44|0;a=c[b>>2]|0;d=a+-12|0;e=a;do{a=e+-12|0;c[b>>2]=a;Wt(a);e=c[b>>2]|0}while((e|0)!=(d|0));return 0}function Xj(a,b){a=a|0;b=b|0;return 0}function Yj(a,b){a=a|0;b=b|0;var d=0,e=0;d=b+32|0;b=a+44|0;e=c[b>>2]|0;if((e|0)==(c[a+48>>2]|0)){Id(a+40|0,d);return 0}else{Qt(e,d);c[b>>2]=(c[b>>2]|0)+12;return 0}return 0}function Zj(a,b){a=a|0;b=b|0;var d=0,e=0;b=a+44|0;a=c[b>>2]|0;d=a+-12|0;e=a;do{a=e+-12|0;c[b>>2]=a;Wt(a);e=c[b>>2]|0}while((e|0)!=(d|0));return 0}function _j(a,b){a=a|0;b=b|0;return 0}function $j(a,b){a=a|0;b=b|0;return 0}function ak(a,b){a=a|0;b=b|0;return 0}function bk(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;e=l;l=l+16|0;f=e+8|0;g=e;h=d+32|0;i=Pm(c[b+4>>2]|0,h)|0;if(!i){j=1;l=e;return j|0}b=a[i+11>>0]|0;k=b<<24>>24<0;m=k?c[i+4>>2]|0:b&255;if(!((m|0)==0?1:(c[d+48>>2]|0)==1)){c[g>>2]=k?c[i>>2]|0:i;c[g+4>>2]=m;c[f>>2]=c[g>>2];c[f+4>>2]=c[g+4>>2];En(h,f)}j=0;l=e;return j|0}function ck(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0;e=l;l=l+16|0;f=e+8|0;g=e;h=c[b+8>>2]|0;i=d+32|0;j=Mm(h,i)|0;k=(c[h+52>>2]|0)-(c[h+48>>2]|0)>>2;if(j>>>0>=(((c[h+76>>2]|0)-(c[h+72>>2]|0)>>2)+k|0)>>>0){m=1;l=e;return m|0}h=j>>>0<k>>>0;n=j-(h?0:k)|0;k=c[(h?b+16|0:b+28|0)>>2]|0;b=k+(n*12|0)|0;if((c[d+48>>2]|0)!=1){d=a[b+11>>0]|0;h=d<<24>>24<0;if(h)o=c[k+(n*12|0)+4>>2]|0;else o=d&255;if(o|0){c[g>>2]=h?c[b>>2]|0:b;c[g+4>>2]=h?c[k+(n*12|0)+4>>2]|0:d&255;c[f>>2]=c[g>>2];c[f+4>>2]=c[g+4>>2];En(i,f)}}m=0;l=e;return m|0}function dk(a,b){a=a|0;b=b|0;return 0}function ek(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0;e=l;l=l+16|0;f=e+8|0;g=e;h=c[b+8>>2]|0;i=d+32|0;j=Mm(h,i)|0;k=(c[h+52>>2]|0)-(c[h+48>>2]|0)>>2;if(j>>>0>=(((c[h+76>>2]|0)-(c[h+72>>2]|0)>>2)+k|0)>>>0){m=1;l=e;return m|0}h=j>>>0<k>>>0;n=j-(h?0:k)|0;k=c[(h?b+16|0:b+28|0)>>2]|0;b=k+(n*12|0)|0;if((c[d+48>>2]|0)!=1){d=a[b+11>>0]|0;h=d<<24>>24<0;if(h)o=c[k+(n*12|0)+4>>2]|0;else o=d&255;if(o|0){c[g>>2]=h?c[b>>2]|0:b;c[g+4>>2]=h?c[k+(n*12|0)+4>>2]|0:d&255;c[f>>2]=c[g>>2];c[f+4>>2]=c[g+4>>2];En(i,f)}}m=0;l=e;return m|0}function fk(a,b){a=a|0;b=b|0;return 0}function gk(a,b){a=a|0;b=b|0;return 0}function hk(a,b){a=a|0;b=b|0;var d=0,e=0;d=b+32|0;b=a+44|0;e=c[b>>2]|0;if((e|0)==(c[a+48>>2]|0)){Id(a+40|0,d);return 0}else{Qt(e,d);c[b>>2]=(c[b>>2]|0)+12;return 0}return 0}function ik(a,b){a=a|0;b=b|0;var d=0,e=0;b=a+44|0;a=c[b>>2]|0;d=a+-12|0;e=a;do{a=e+-12|0;c[b>>2]=a;Wt(a);e=c[b>>2]|0}while((e|0)!=(d|0));return 0}function jk(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0;d=l;l=l+16|0;f=d+8|0;g=d;h=e+32|0;if((c[h>>2]|0)==0?(c[e+36>>2]|0)==-1:0){i=0;l=d;return i|0}j=e+16|0;e=Sm(c[b+4>>2]|0,j)|0;if(!e){i=1;l=d;return i|0}b=a[e+11>>0]|0;k=b<<24>>24<0;m=k?c[e+4>>2]|0:b&255;if(!((m|0)==0|(c[h>>2]|0)==1)){c[g>>2]=k?c[e>>2]|0:e;c[g+4>>2]=m;c[f>>2]=c[g>>2];c[f+4>>2]=c[g+4>>2];En(j,f)}i=0;l=d;return i|0}function kk(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;e=l;l=l+16|0;f=e+8|0;g=e;h=d+32|0;i=Sm(c[b+4>>2]|0,h)|0;if(!i){j=1;l=e;return j|0}b=a[i+11>>0]|0;k=b<<24>>24<0;m=k?c[i+4>>2]|0:b&255;if(!((m|0)==0?1:(c[d+48>>2]|0)==1)){c[g>>2]=k?c[i>>2]|0:i;c[g+4>>2]=m;c[f>>2]=c[g>>2];c[f+4>>2]=c[g+4>>2];En(h,f)}j=0;l=e;return j|0}function lk(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=l;l=l+32|0;e=d+16|0;f=d+8|0;g=d;h=b+32|0;sk(g,a,h);a=c[g+4>>2]|0;if((a|0)==0?1:(c[b+48>>2]|0)==1){l=d;return 0}c[f>>2]=c[g>>2];c[f+4>>2]=a;c[e>>2]=c[f>>2];c[e+4>>2]=c[f+4>>2];En(h,e);l=d;return 0}function mk(a,b){a=a|0;b=b|0;return 0}function nk(a,b){a=a|0;b=b|0;return 0}function ok(a,b){a=a|0;b=b|0;return 0}function pk(a,b){a=a|0;b=b|0;return 0}function qk(a,b){a=a|0;b=b|0;return 0}function rk(a,b){a=a|0;b=b|0;return 0}function sk(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;if((c[e+16>>2]|0)!=1){f=c[e+20>>2]|0;g=c[d+40>>2]|0;h=((c[d+44>>2]|0)-g|0)/12|0;i=g;if(f>>>0<h>>>0){g=h+~f|0;f=i+(g*12|0)|0;h=a[f+11>>0]|0;j=h<<24>>24<0;c[b>>2]=j?c[f>>2]|0:f;c[b+4>>2]=j?c[i+(g*12|0)+4>>2]|0:h&255;return}else{c[b>>2]=0;c[b+4>>2]=0;return}}h=c[d+40>>2]|0;g=(c[d+44>>2]|0)-h|0;d=((g|0)/12|0)+-1|0;i=h;a:do if((g|0)>0){h=e+20|0;j=a[h+11>>0]|0;f=j<<24>>24<0;k=f?c[e+24>>2]|0:j&255;j=(k|0)==0;b:do if(f){l=d;while(1){m=i+(l*12|0)|0;n=a[m+11>>0]|0;o=n<<24>>24<0;p=i+(l*12|0)+4|0;q=n&255;do if(((o?c[p>>2]|0:q)|0)==(k|0)){r=c[m>>2]|0;s=o?r:m;t=c[h>>2]|0;if(o){if(j){u=n;v=r;w=m;x=p;break b}if(!(Es(s,t,k)|0)){u=n;v=r;w=m;x=p;break b}else break}if(j){u=n;v=r;w=m;x=p;break b}if((r&255)<<24>>24==(a[t>>0]|0)){s=m;y=q;z=t;do{y=y+-1|0;s=s+1|0;if(!y){u=n;v=r;w=m;x=p;break b}z=z+1|0}while((a[s>>0]|0)==(a[z>>0]|0))}}while(0);l=l+-1|0;if((l|0)<=-1)break a}}else{l=d;while(1){p=i+(l*12|0)|0;m=a[p+11>>0]|0;n=m<<24>>24<0;q=i+(l*12|0)+4|0;o=m&255;do if(((n?c[q>>2]|0:o)|0)==(k|0)){z=c[p>>2]|0;s=n?z:p;if(n){if(j){u=m;v=z;w=p;x=q;break b}if(!(Es(s,h,k)|0)){u=m;v=z;w=p;x=q;break b}else break}if(j){u=m;v=z;w=p;x=q;break b}if((z&255)<<24>>24==(a[h>>0]|0)){s=p;r=o;y=h;do{r=r+-1|0;s=s+1|0;if(!r){u=m;v=z;w=p;x=q;break b}y=y+1|0}while((a[s>>0]|0)==(a[y>>0]|0))}}while(0);l=l+-1|0;if((l|0)<=-1)break a}}while(0);h=u<<24>>24<0;c[b>>2]=h?v:w;c[b+4>>2]=h?c[x>>2]|0:u&255;return}while(0);c[b>>2]=0;c[b+4>>2]=0;return}function tk(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;d=l;l=l+112|0;e=d+92|0;f=d+72|0;g=d+60|0;h=d+48|0;i=d;c[i>>2]=4060;j=i+4|0;c[j>>2]=0;k=i+8|0;Kn(k,i);m=i+12|0;n=m+36|0;do{c[m>>2]=0;m=m+4|0}while((m|0)<(n|0));c[j>>2]=b;m=b+96|0;n=b+100|0;o=c[n>>2]|0;p=c[m>>2]|0;a:do if((o|0)!=(p|0)){q=i+28|0;r=g+11|0;s=f+16|0;t=i+32|0;u=i+36|0;v=i+40|0;w=i+44|0;x=0;y=p;z=o;while(1){A=c[y+(x<<2)>>2]|0;switch(c[A+28>>2]|0){case 0:{B=(c[j>>2]|0)+212|0;C=q;D=11;break}case 1:{B=(c[j>>2]|0)+292|0;C=t;D=11;break}case 2:{B=(c[j>>2]|0)+312|0;C=u;D=11;break}case 3:{B=(c[j>>2]|0)+232|0;C=v;D=11;break}case 4:{B=(c[j>>2]|0)+192|0;C=w;D=11;break}default:{E=z;F=y}}if((D|0)==11){D=0;G=c[C>>2]|0;H=A+32|0;c[C>>2]=G+1;I=A+4|0;a[e>>0]=36;c[h>>2]=0;c[h+4>>2]=0;c[h+8>>2]=0;J=I+11|0;K=a[J>>0]|0;L=K<<24>>24<0?c[A+8>>2]|0:K&255;iu(h,e,1,L+1|0);eu(h,(a[J>>0]|0)<0?c[I>>2]|0:I,L)|0;gu(h,46);c[f>>2]=c[h>>2];c[f+4>>2]=c[h+4>>2];c[f+8>>2]=c[h+8>>2];c[h>>2]=0;c[h+4>>2]=0;c[h+8>>2]=0;L=A+16|0;I=a[L+11>>0]|0;J=I<<24>>24<0;K=eu(f,J?c[L>>2]|0:L,J?c[A+20>>2]|0:I&255)|0;c[g>>2]=c[K>>2];c[g+4>>2]=c[K+4>>2];c[g+8>>2]=c[K+8>>2];c[K>>2]=0;c[K+4>>2]=0;c[K+8>>2]=0;Wt(f);Wt(h);K=(a[r>>0]|0)<0?c[g>>2]|0:g;I=a[H+11>>0]|0;if(!((I<<24>>24<0?c[A+36>>2]|0:I&255)|0)){I=0;while(1){uk(K,-1,I,H);if(!(vk(B,H)|0))break;else I=I+1|0}c[f>>2]=0;c[f+4>>2]=0;c[f+8>>2]=0;c[f+12>>2]=0;c[s>>2]=G;Ge(e,B,H,f);He(B,c[e>>2]|0)|0}Wt(g);E=c[n>>2]|0;F=c[m>>2]|0}x=x+1|0;if(x>>>0>=E-F>>2>>>0)break a;else{y=F;z=E}}}while(0);E=b+108|0;F=b+112|0;m=c[E>>2]|0;b:do if((c[F>>2]|0)!=(m|0)){n=g+11|0;B=f+16|0;h=0;C=m;while(1){o=c[C+(h<<2)>>2]|0;switch(c[o+12>>2]|0){case 0:{p=o+16|0;z=Om(c[j>>2]|0,p)|0;if(z|0){y=Gm(c[j>>2]|0,p)|0;M=(c[j>>2]|0)+212|0;N=z;O=y;D=30}break}case 1:{y=o+16|0;z=Qm(c[j>>2]|0,y)|0;if(z|0){p=Im(c[j>>2]|0,y)|0;M=(c[j>>2]|0)+292|0;N=z;O=p;D=30}break}case 2:{p=o+16|0;z=Rm(c[j>>2]|0,p)|0;if(z|0){y=Jm(c[j>>2]|0,p)|0;M=(c[j>>2]|0)+312|0;N=z;O=y;D=30}break}case 3:{y=o+16|0;z=Pm(c[j>>2]|0,y)|0;if(z|0){p=Hm(c[j>>2]|0,y)|0;M=(c[j>>2]|0)+232|0;N=z;O=p;D=30}break}case 4:{p=o+16|0;z=Sm(c[j>>2]|0,p)|0;if(z|0){y=Lm(c[j>>2]|0,p)|0;M=(c[j>>2]|0)+192|0;N=z;O=y;D=30}break}default:{}}if((D|0)==30?(D=0,N|0):0){a[e>>0]=36;c[g>>2]=0;c[g+4>>2]=0;c[g+8>>2]=0;y=o+11|0;z=a[y>>0]|0;p=z<<24>>24<0?c[o+4>>2]|0:z&255;iu(g,e,1,p+1|0);eu(g,(a[y>>0]|0)<0?c[o>>2]|0:o,p)|0;p=(a[n>>0]|0)<0?c[g>>2]|0:g;o=a[N+11>>0]|0;if(!((o<<24>>24<0?c[N+4>>2]|0:o&255)|0)){o=0;while(1){uk(p,-1,o,N);if(!(vk(M,N)|0))break;else o=o+1|0}c[f>>2]=0;c[f+4>>2]=0;c[f+8>>2]=0;c[f+12>>2]=0;c[B>>2]=O;Ge(e,M,N,f);He(M,c[e>>2]|0)|0}Wt(g)}h=h+1|0;C=c[E>>2]|0;if(h>>>0>=(c[F>>2]|0)-C>>2>>>0)break b}}while(0);F=b+84|0;E=b+88|0;g=c[E>>2]|0;M=c[F>>2]|0;if((g|0)!=(M|0)){N=f+16|0;O=0;m=M;M=g;while(1){g=c[m+(O<<2)>>2]|0;C=a[g+11>>0]|0;if(!((C<<24>>24<0?c[g+4>>2]|0:C&255)|0)){C=(c[j>>2]|0)+232|0;h=0;while(1){uk(27043,O,h,g);if(!(vk(C,g)|0))break;else h=h+1|0}c[f>>2]=0;c[f+4>>2]=0;c[f+8>>2]=0;c[f+12>>2]=0;c[N>>2]=O;Ge(e,C,g,f);He(C,c[e>>2]|0)|0;P=c[E>>2]|0;Q=c[F>>2]|0}else{P=M;Q=m}O=O+1|0;if(O>>>0>=P-Q>>2>>>0)break;else{m=Q;M=P}}}P=b+120|0;M=b+124|0;Q=c[M>>2]|0;m=c[P>>2]|0;if((Q|0)!=(m|0)){O=f+16|0;F=0;E=m;m=Q;while(1){Q=c[E+(F<<2)>>2]|0;N=a[Q+11>>0]|0;if(!((N<<24>>24<0?c[Q+4>>2]|0:N&255)|0)){N=(c[j>>2]|0)+272|0;h=0;while(1){uk(27046,F,h,Q);if(!(vk(N,Q)|0))break;else h=h+1|0}c[f>>2]=0;c[f+4>>2]=0;c[f+8>>2]=0;c[f+12>>2]=0;c[O>>2]=F;Ge(e,N,Q,f);He(N,c[e>>2]|0)|0;R=c[M>>2]|0;S=c[P>>2]|0}else{R=m;S=E}F=F+1|0;if(F>>>0>=R-S>>2>>>0)break;else{E=S;m=R}}}R=b+72|0;m=b+76|0;S=c[R>>2]|0;c:do if((c[m>>2]|0)==(S|0))D=52;else{E=f+16|0;F=i+12|0;P=i+24|0;M=0;O=S;while(1){h=c[O+(M<<2)>>2]|0;C=a[h+11>>0]|0;if(!((C<<24>>24<0?c[h+4>>2]|0:C&255)|0)){C=(c[j>>2]|0)+212|0;g=0;while(1){uk(27049,M,g,h);if(!(vk(C,h)|0))break;else g=g+1|0}c[f>>2]=0;c[f+4>>2]=0;c[f+8>>2]=0;c[f+12>>2]=0;c[E>>2]=M;Ge(e,C,h,f);He(C,c[e>>2]|0)|0}g=h+84|0;vn(h+48|0,g,F);wk(i,g,27052);g=h+104|0;vn(h+72|0,g,F);wk(i,g,27055);c[P>>2]=0;M=M+1|0;if((Nn(k,h)|0)==1){T=1;break c}O=c[R>>2]|0;if(M>>>0>=(c[m>>2]|0)-O>>2>>>0){D=52;break}}}while(0);if((D|0)==52){D=b+132|0;m=b+136|0;R=c[m>>2]|0;k=c[D>>2]|0;if((R|0)!=(k|0)){S=f+16|0;O=0;M=k;k=R;while(1){R=c[M+(O<<2)>>2]|0;P=a[R+11>>0]|0;if(!((P<<24>>24<0?c[R+4>>2]|0:P&255)|0)){P=(c[j>>2]|0)+292|0;F=0;while(1){uk(27058,O,F,R);if(!(vk(P,R)|0))break;else F=F+1|0}c[f>>2]=0;c[f+4>>2]=0;c[f+8>>2]=0;c[f+12>>2]=0;c[S>>2]=O;Ge(e,P,R,f);He(P,c[e>>2]|0)|0;U=c[m>>2]|0;V=c[D>>2]|0}else{U=k;V=M}O=O+1|0;if(O>>>0>=U-V>>2>>>0)break;else{M=V;k=U}}}U=b+156|0;k=b+160|0;V=c[k>>2]|0;M=c[U>>2]|0;if((V|0)!=(M|0)){O=f+16|0;D=0;m=M;M=V;while(1){V=c[m+(D<<2)>>2]|0;S=a[V+11>>0]|0;if(!((S<<24>>24<0?c[V+4>>2]|0:S&255)|0)){S=(c[j>>2]|0)+312|0;F=0;while(1){uk(27061,D,F,V);if(!(vk(S,V)|0))break;else F=F+1|0}c[f>>2]=0;c[f+4>>2]=0;c[f+8>>2]=0;c[f+12>>2]=0;c[O>>2]=D;Ge(e,S,V,f);He(S,c[e>>2]|0)|0;W=c[k>>2]|0;X=c[U>>2]|0}else{W=M;X=m}D=D+1|0;if(D>>>0>=W-X>>2>>>0)break;else{m=X;M=W}}}W=b+60|0;M=b+64|0;b=c[M>>2]|0;X=c[W>>2]|0;if((b|0)!=(X|0)){m=f+16|0;D=0;U=X;X=b;while(1){b=c[U+(D<<2)>>2]|0;k=a[b+11>>0]|0;if(!((k<<24>>24<0?c[b+4>>2]|0:k&255)|0)){k=(c[j>>2]|0)+192|0;O=0;while(1){uk(27064,D,O,b);if(!(vk(k,b)|0))break;else O=O+1|0}c[f>>2]=0;c[f+4>>2]=0;c[f+8>>2]=0;c[f+12>>2]=0;c[m>>2]=D;Ge(e,k,b,f);He(k,c[e>>2]|0)|0;Y=c[M>>2]|0;Z=c[W>>2]|0}else{Y=X;Z=U}D=D+1|0;if(D>>>0>=Y-Z>>2>>>0)break;else{U=Z;X=Y}}}c[j>>2]=0;T=0}c[i>>2]=4060;j=i+12|0;Y=c[j>>2]|0;if(!Y){l=d;return T|0}X=i+16|0;i=c[X>>2]|0;if((i|0)==(Y|0))_=Y;else{Z=i;do{i=Z+-12|0;c[X>>2]=i;Wt(i);Z=c[X>>2]|0}while((Z|0)!=(Y|0));_=c[j>>2]|0}Mt(_);l=d;return T|0}function uk(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0;g=l;l=l+48|0;h=g+28|0;i=g+24|0;j=g+12|0;k=g;au(f,b)|0;if((d|0)!=-1){mu(h,d);d=a[h+11>>0]|0;b=d<<24>>24<0;eu(f,b?c[h>>2]|0:h,b?c[h+4>>2]|0:d&255)|0;Wt(h)}if(!e){l=g;return}mu(k,e);c[i>>2]=(a[k+11>>0]|0)<0?c[k>>2]|0:k;c[h>>2]=c[i>>2];hu(k,h,95)|0;c[j>>2]=c[k>>2];c[j+4>>2]=c[k+4>>2];c[j+8>>2]=c[k+8>>2];c[k>>2]=0;c[k+4>>2]=0;c[k+8>>2]=0;h=a[j+11>>0]|0;i=h<<24>>24<0;eu(f,i?c[j>>2]|0:j,i?c[j+4>>2]|0:h&255)|0;Wt(j);Wt(k);l=g;return}function vk(b,e){b=b|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;f=a[e+11>>0]|0;g=f<<24>>24<0;h=g?c[e>>2]|0:e;i=g?c[e+4>>2]|0:f&255;if(i>>>0>3){f=h;e=i;g=i;while(1){j=S(d[f>>0]|d[f+1>>0]<<8|d[f+2>>0]<<16|d[f+3>>0]<<24,1540483477)|0;e=(S(j>>>24^j,1540483477)|0)^(S(e,1540483477)|0);g=g+-4|0;if(g>>>0<=3)break;else f=f+4|0}f=i+-4|0;g=f&-4;k=f-g|0;l=h+(g+4)|0;m=e}else{k=i;l=h;m=i}switch(k|0){case 3:{n=d[l+2>>0]<<16^m;o=6;break}case 2:{n=m;o=6;break}case 1:{p=m;o=7;break}default:q=m}if((o|0)==6){p=d[l+1>>0]<<8^n;o=7}if((o|0)==7)q=S(d[l>>0]^p,1540483477)|0;p=S(q>>>13^q,1540483477)|0;q=p>>>15^p;p=c[b+4>>2]|0;if(!p){r=0;return r|0}l=p+-1|0;n=(l&p|0)==0;if(n)s=q&l;else s=(q>>>0)%(p>>>0)|0;q=c[(c[b>>2]|0)+(s<<2)>>2]|0;if(!q){r=0;return r|0}b=c[q>>2]|0;if(!b){r=0;return r|0}q=(i|0)==0;if(n){n=b;a:while(1){if((c[n+4>>2]&l|0)!=(s|0)){r=0;o=35;break}m=n+8|0;k=a[m+11>>0]|0;e=k<<24>>24<0;g=k&255;do if(((e?c[n+12>>2]|0:g)|0)==(i|0)){k=c[m>>2]|0;f=e?k:m;if(e){if(q){r=n;o=35;break a}if(!(Es(f,h,i)|0)){r=n;o=35;break a}else break}if(q){r=n;o=35;break a}if((k&255)<<24>>24==(a[h>>0]|0)){k=m;f=g;j=h;do{f=f+-1|0;k=k+1|0;if(!f){r=n;o=35;break a}j=j+1|0}while((a[k>>0]|0)==(a[j>>0]|0))}}while(0);n=c[n>>2]|0;if(!n){r=0;o=35;break}}if((o|0)==35)return r|0}else{n=b;b:while(1){if((((c[n+4>>2]|0)>>>0)%(p>>>0)|0|0)!=(s|0)){r=0;o=35;break}b=n+8|0;l=a[b+11>>0]|0;g=l<<24>>24<0;m=l&255;do if(((g?c[n+12>>2]|0:m)|0)==(i|0)){l=c[b>>2]|0;e=g?l:b;if(g){if(q){r=n;o=35;break b}if(!(Es(e,h,i)|0)){r=n;o=35;break b}else break}if(q){r=n;o=35;break b}if((l&255)<<24>>24==(a[h>>0]|0)){l=b;e=m;j=h;do{e=e+-1|0;l=l+1|0;if(!e){r=n;o=35;break b}j=j+1|0}while((a[l>>0]|0)==(a[j>>0]|0))}}while(0);n=c[n>>2]|0;if(!n){r=0;o=35;break}}if((o|0)==35)return r|0}return 0}function wk(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;f=l;l=l+48|0;g=f+32|0;h=f+12|0;i=f;j=b+12|0;k=b+16|0;b=c[k>>2]|0;m=c[j>>2]|0;if((b|0)==(m|0)){l=f;return}n=h+16|0;o=0;p=m;m=b;while(1){b=p;q=a[b+(o*12|0)+11>>0]|0;if(q<<24>>24<0)r=c[b+(o*12|0)+4>>2]|0;else r=q&255;if(!r){c[i>>2]=0;c[i+4>>2]=0;c[i+8>>2]=0;q=0;while(1){uk(e,o,q,i);if(!(vk(d,i)|0))break;else q=q+1|0}c[h>>2]=0;c[h+4>>2]=0;c[h+8>>2]=0;c[h+12>>2]=0;c[n>>2]=o;Ge(g,d,i,h);He(d,c[g>>2]|0)|0;Xt((c[j>>2]|0)+(o*12|0)|0,i)|0;Wt(i);s=c[k>>2]|0;t=c[j>>2]|0}else{s=m;t=p}o=o+1|0;if(o>>>0>=((s-t|0)/12|0)>>>0)break;else{p=t;m=s}}l=f;return}function xk(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;c[a>>2]=4060;b=a+12|0;d=c[b>>2]|0;if(!d)return;e=a+16|0;a=c[e>>2]|0;if((a|0)==(d|0))f=d;else{g=a;do{a=g+-12|0;c[e>>2]=a;Wt(a);g=c[e>>2]|0}while((g|0)!=(d|0));f=c[b>>2]|0}Mt(f);return}function yk(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;c[a>>2]=4060;b=a+12|0;d=c[b>>2]|0;if(!d){Mt(a);return}e=a+16|0;f=c[e>>2]|0;if((f|0)==(d|0))g=d;else{h=f;do{f=h+-12|0;c[e>>2]=f;Wt(f);h=c[e>>2]|0}while((h|0)!=(d|0));g=c[b>>2]|0}Mt(g);Mt(a);return}function zk(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=l;l=l+16|0;f=e;g=b+24|0;b=c[g>>2]|0;c[g>>2]=b+1;g=d+32|0;h=a[g+11>>0]|0;if((h<<24>>24<0?c[d+36>>2]|0:h&255)|0){l=e;return 0}au(g,27073)|0;if((b|0)==-1){l=e;return 0}mu(f,b);b=a[f+11>>0]|0;h=b<<24>>24<0;eu(g,h?c[f>>2]|0:f,h?c[f+4>>2]|0:b&255)|0;Wt(f);l=e;return 0}function Ak(a,b){a=a|0;b=b|0;return 0}function Bk(a,b){a=a|0;b=b|0;return 0}function Ck(a,b){a=a|0;b=b|0;return 0}function Dk(a,b){a=a|0;b=b|0;return 0}function Ek(a,b){a=a|0;b=b|0;return 0}function Fk(a,b){a=a|0;b=b|0;return 0}function Gk(a,b){a=a|0;b=b|0;return 0}function Hk(a,b){a=a|0;b=b|0;return 0}function Ik(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=l;l=l+16|0;f=e;g=b+24|0;b=c[g>>2]|0;c[g>>2]=b+1;g=d+32|0;h=a[g+11>>0]|0;if((h<<24>>24<0?c[d+36>>2]|0:h&255)|0){l=e;return 0}au(g,27070)|0;if((b|0)==-1){l=e;return 0}mu(f,b);b=a[f+11>>0]|0;h=b<<24>>24<0;eu(g,h?c[f>>2]|0:f,h?c[f+4>>2]|0:b&255)|0;Wt(f);l=e;return 0}function Jk(a,b){a=a|0;b=b|0;return 0}function Kk(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=l;l=l+16|0;f=e;g=b+24|0;b=c[g>>2]|0;c[g>>2]=b+1;g=d+32|0;h=a[g+11>>0]|0;if((h<<24>>24<0?c[d+36>>2]|0:h&255)|0){l=e;return 0}au(g,27067)|0;if((b|0)==-1){l=e;return 0}mu(f,b);b=a[f+11>>0]|0;h=b<<24>>24<0;eu(g,h?c[f>>2]|0:f,h?c[f+4>>2]|0:b&255)|0;Wt(f);l=e;return 0}function Lk(a,b){a=a|0;b=b|0;return 0}function Mk(a,b){a=a|0;b=b|0;return 0}function Nk(a,b){a=a|0;b=b|0;return 0}function Ok(a,b){a=a|0;b=b|0;return 0}function Pk(a,b){a=a|0;b=b|0;return 0}function Qk(a,b){a=a|0;b=b|0;return 0}function Rk(a,b,c){a=a|0;b=b|0;c=c|0;return 0}function Sk(a,b){a=a|0;b=b|0;return 0}function Tk(a,b){a=a|0;b=b|0;return 0}function Uk(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=l;l=l+48|0;f=e;c[f>>2]=4244;c[f+4>>2]=d;c[f+8>>2]=a;c[f+12>>2]=0;c[f+16>>2]=0;c[f+20>>2]=0;Kn(f+24|0,f);a=f+28|0;c[a>>2]=0;c[a+4>>2]=0;c[a+8>>2]=0;c[a+12>>2]=0;a=Vk(f,b)|0;c[f>>2]=4244;b=f+28|0;d=c[b>>2]|0;if(!d){l=e;return a|0}g=f+32|0;f=c[g>>2]|0;if((f|0)==(d|0))h=d;else{i=f;do{f=i+-12|0;c[g>>2]=f;Wt(f);i=c[g>>2]|0}while((i|0)!=(d|0));h=c[b>>2]|0}Mt(h);l=e;return a|0}function Vk(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;e=l;l=l+112|0;f=e+96|0;g=e+88|0;h=e+80|0;i=e+72|0;j=e+64|0;k=e+56|0;m=e+48|0;n=e+40|0;o=e+32|0;p=e+24|0;q=e;r=b+16|0;c[r>>2]=d;s=b;t=q+16|0;c[q>>2]=4428;c[q+4>>2]=s;c[q+8>>2]=32324;c[t>>2]=q;Wi(d+212|0,q);u=c[t>>2]|0;if((u|0)!=(q|0)){if(u|0)Sa[c[(c[u>>2]|0)+20>>2]&255](u)}else Sa[c[(c[u>>2]|0)+16>>2]&255](u);u=q+16|0;c[q>>2]=4428;c[q+4>>2]=s;c[q+8>>2]=28230;c[u>>2]=q;Wi(d+232|0,q);t=c[u>>2]|0;if((t|0)!=(q|0)){if(t|0)Sa[c[(c[t>>2]|0)+20>>2]&255](t)}else Sa[c[(c[t>>2]|0)+16>>2]&255](t);t=q+16|0;c[q>>2]=4428;c[q+4>>2]=s;c[q+8>>2]=27113;c[t>>2]=q;Wi(d+272|0,q);u=c[t>>2]|0;if((u|0)!=(q|0)){if(u|0)Sa[c[(c[u>>2]|0)+20>>2]&255](u)}else Sa[c[(c[u>>2]|0)+16>>2]&255](u);u=q+16|0;c[q>>2]=4428;c[q+4>>2]=s;c[q+8>>2]=28320;c[u>>2]=q;Wi(d+292|0,q);t=c[u>>2]|0;if((t|0)!=(q|0)){if(t|0)Sa[c[(c[t>>2]|0)+20>>2]&255](t)}else Sa[c[(c[t>>2]|0)+16>>2]&255](t);t=q+16|0;c[q>>2]=4428;c[q+4>>2]=s;c[q+8>>2]=28259;c[t>>2]=q;Wi(d+312|0,q);u=c[t>>2]|0;if((u|0)!=(q|0)){if(u|0)Sa[c[(c[u>>2]|0)+20>>2]&255](u)}else Sa[c[(c[u>>2]|0)+16>>2]&255](u);u=q+16|0;c[q>>2]=4428;c[q+4>>2]=s;c[q+8>>2]=28212;c[u>>2]=q;Wi(d+192|0,q);t=c[u>>2]|0;if((t|0)!=(q|0)){if(t|0)Sa[c[(c[t>>2]|0)+20>>2]&255](t)}else Sa[c[(c[t>>2]|0)+16>>2]&255](t);t=c[d+72>>2]|0;u=c[d+76>>2]|0;if((t|0)!=(u|0)){v=b+20|0;w=q+16|0;x=q+4|0;y=q+8|0;z=q+16|0;A=q+4|0;B=q+8|0;C=b+24|0;D=t;do{t=c[D>>2]|0;c[v>>2]=t;do if(a[t+12>>0]|0?(E=t+16|0,(c[t+32>>2]|0)==1):0){F=cj((c[r>>2]|0)+272|0,E)|0;if((F|0)!=-1){Dn(E,F);break}F=t+36|0;if((a[F+11>>0]|0)<0)G=c[F>>2]|0;else G=F;c[p>>2]=27113;c[p+4>>2]=G;Wk(b,E,27127,p)}while(0);c[q>>2]=4428;c[x>>2]=s;c[y>>2]=27154;c[w>>2]=q;Wi(t+84|0,q);E=c[w>>2]|0;if((E|0)!=(q|0)){if(E|0)Sa[c[(c[E>>2]|0)+20>>2]&255](E)}else Sa[c[(c[E>>2]|0)+16>>2]&255](E);c[q>>2]=4428;c[A>>2]=s;c[B>>2]=28251;c[z>>2]=q;Wi(t+104|0,q);E=c[z>>2]|0;if((E|0)!=(q|0)){if(E|0)Sa[c[(c[E>>2]|0)+20>>2]&255](E)}else Sa[c[(c[E>>2]|0)+16>>2]&255](E);Nn(C,t)|0;c[v>>2]=0;D=D+4|0}while((D|0)!=(u|0))}u=c[d+108>>2]|0;D=c[d+112>>2]|0;a:do if((u|0)!=(D|0)){v=u;while(1){C=c[v>>2]|0;b:do switch(c[C+12>>2]|0){case 0:{q=C+16|0;if((c[C+32>>2]|0)==1){z=cj((c[r>>2]|0)+212|0,q)|0;if((z|0)!=-1){Dn(q,z);break b}z=C+36|0;if((a[z+11>>0]|0)<0)H=c[z>>2]|0;else H=z;c[o>>2]=32324;c[o+4>>2]=H;Wk(b,q,27127,o)}break}case 1:{q=C+16|0;if((c[C+32>>2]|0)==1){z=cj((c[r>>2]|0)+292|0,q)|0;if((z|0)!=-1){Dn(q,z);break b}z=C+36|0;if((a[z+11>>0]|0)<0)I=c[z>>2]|0;else I=z;c[n>>2]=28320;c[n+4>>2]=I;Wk(b,q,27127,n)}break}case 2:{q=C+16|0;if((c[C+32>>2]|0)==1){z=cj((c[r>>2]|0)+312|0,q)|0;if((z|0)!=-1){Dn(q,z);break b}z=C+36|0;if((a[z+11>>0]|0)<0)J=c[z>>2]|0;else J=z;c[m>>2]=28259;c[m+4>>2]=J;Wk(b,q,27127,m)}break}case 3:{q=C+16|0;if((c[C+32>>2]|0)==1){z=cj((c[r>>2]|0)+232|0,q)|0;if((z|0)!=-1){Dn(q,z);break b}z=C+36|0;if((a[z+11>>0]|0)<0)K=c[z>>2]|0;else K=z;c[k>>2]=28230;c[k+4>>2]=K;Wk(b,q,27127,k)}break}case 4:{q=C+16|0;if((c[C+32>>2]|0)==1){z=cj((c[r>>2]|0)+192|0,q)|0;if((z|0)!=-1){Dn(q,z);break b}z=C+36|0;if((a[z+11>>0]|0)<0)L=c[z>>2]|0;else L=z;c[j>>2]=34289;c[j+4>>2]=L;Wk(b,q,27127,j)}break}default:{}}while(0);v=v+4|0;if((v|0)==(D|0))break a}}while(0);D=c[d+84>>2]|0;j=c[d+88>>2]|0;if((D|0)!=(j|0)){L=b+24|0;k=D;do{Mn(L,(c[k>>2]|0)+20|0)|0;k=k+4|0}while((k|0)!=(j|0))}j=c[d+144>>2]|0;k=c[d+148>>2]|0;if((j|0)!=(k|0)){L=b+24|0;D=j;do{j=c[D>>2]|0;do if((c[j+16>>2]|0)==1){K=cj((c[r>>2]|0)+292|0,j)|0;if((K|0)!=-1){Dn(j,K);break}K=j+20|0;if((a[K+11>>0]|0)<0)M=c[K>>2]|0;else M=K;c[i>>2]=28320;c[i+4>>2]=M;Wk(b,j,27127,i)}while(0);Mn(L,j+32|0)|0;K=c[j+44>>2]|0;m=c[j+48>>2]|0;if((K|0)!=(m|0)){J=K;do{do if((c[J+16>>2]|0)==1){K=cj((c[r>>2]|0)+212|0,J)|0;if((K|0)!=-1){Dn(J,K);break}K=J+20|0;if((a[K+11>>0]|0)<0)N=c[K>>2]|0;else N=K;c[h>>2]=32324;c[h+4>>2]=N;Wk(b,J,27127,h)}while(0);J=J+32|0}while((J|0)!=(m|0))}D=D+4|0}while((D|0)!=(k|0))}k=c[d+168>>2]|0;D=c[d+172>>2]|0;if((k|0)!=(D|0)){h=b+24|0;N=k;do{k=c[N>>2]|0;do if((c[k+16>>2]|0)==1){L=cj((c[r>>2]|0)+312|0,k)|0;if((L|0)!=-1){Dn(k,L);break}L=k+20|0;if((a[L+11>>0]|0)<0)O=c[L>>2]|0;else O=L;c[g>>2]=28259;c[g+4>>2]=O;Wk(b,k,27127,g)}while(0);Mn(h,k+32|0)|0;N=N+4|0}while((N|0)!=(D|0))}D=c[d+180>>2]|0;N=c[d+184>>2]|0;if((D|0)==(N|0)){c[r>>2]=0;P=b+40|0;Q=c[P>>2]|0;l=e;return Q|0}else R=D;do{D=c[R>>2]|0;do if((c[D+16>>2]|0)==1){d=cj((c[r>>2]|0)+212|0,D)|0;if((d|0)!=-1){Dn(D,d);break}d=D+20|0;if((a[d+11>>0]|0)<0)S=c[d>>2]|0;else S=d;c[f>>2]=32324;c[f+4>>2]=S;Wk(b,D,27127,f)}while(0);R=R+4|0}while((R|0)!=(N|0));c[r>>2]=0;P=b+40|0;Q=c[P>>2]|0;l=e;return Q|0}function Wk(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0;f=l;l=l+16|0;g=f;c[a+40>>2]=1;c[g>>2]=e;$n(c[a+4>>2]|0,b,c[a+8>>2]|0,d,g);l=f;return}function Xk(a){a=a|0;Mt(a);return}function Yk(a){a=a|0;var b=0,d=0,e=0;b=Kt(12)|0;c[b>>2]=4428;d=a+4|0;a=c[d+4>>2]|0;e=b+4|0;c[e>>2]=c[d>>2];c[e+4>>2]=a;return b|0}function Zk(a,b){a=a|0;b=b|0;var d=0,e=0;c[b>>2]=4428;d=a+4|0;a=c[d+4>>2]|0;e=b+4|0;c[e>>2]=c[d>>2];c[e+4>>2]=a;return}function _k(a){a=a|0;return}function $k(a){a=a|0;Mt(a);return}function al(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;f=l;l=l+16|0;g=f;h=c[b+4>>2]|0;i=(c[d+16>>2]|0)>(c[e+16>>2]|0)?d+12|0:e+12|0;e=(a[d+11>>0]|0)<0?c[d>>2]|0:d;c[g>>2]=c[b+8>>2];c[g+4>>2]=e;Wk(h,i,27252,g);l=f;return}function bl(a,b){a=a|0;b=b|0;return ((c[b+4>>2]|0)==27164?a+4|0:0)|0}function cl(a){a=a|0;return 1992}function dl(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;c[a>>2]=4244;b=a+28|0;d=c[b>>2]|0;if(!d)return;e=a+32|0;a=c[e>>2]|0;if((a|0)==(d|0))f=d;else{g=a;do{a=g+-12|0;c[e>>2]=a;Wt(a);g=c[e>>2]|0}while((g|0)!=(d|0));f=c[b>>2]|0}Mt(f);return}function el(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;c[a>>2]=4244;b=a+28|0;d=c[b>>2]|0;if(!d){Mt(a);return}e=a+32|0;f=c[e>>2]|0;if((f|0)==(d|0))g=d;else{h=f;do{f=h+-12|0;c[e>>2]=f;Wt(f);h=c[e>>2]|0}while((h|0)!=(d|0));g=c[b>>2]|0}Mt(g);Mt(a);return}function fl(a,b){a=a|0;b=b|0;var d=0,e=0;d=b+32|0;b=a+32|0;e=c[b>>2]|0;if((e|0)==(c[a+36>>2]|0)){Id(a+28|0,d);return 0}else{Qt(e,d);c[b>>2]=(c[b>>2]|0)+12;return 0}return 0}function gl(a,b){a=a|0;b=b|0;var d=0,e=0;b=a+32|0;a=c[b>>2]|0;d=a+-12|0;e=a;do{a=e+-12|0;c[b>>2]=a;Wt(a);e=c[b>>2]|0}while((e|0)!=(d|0));return 0}function hl(a,b){a=a|0;b=b|0;Al(a,b+32|0);return 0}function il(a,b){a=a|0;b=b|0;Al(a,b+32|0);return 0}function jl(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=c[b+32>>2]|0;e=c[b+36>>2]|0;if((d|0)!=(e|0)){f=d;do{Al(a,f);f=f+32|0}while((f|0)!=(e|0))}Al(a,b+44|0);return 0}function kl(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=l;l=l+16|0;f=e;g=d+32|0;if((c[d+48>>2]|0)!=1){l=e;return 0}h=cj((c[b+16>>2]|0)+212|0,g)|0;if((h|0)!=-1){Dn(g,h);l=e;return 0}h=d+52|0;if((a[h+11>>0]|0)<0)i=c[h>>2]|0;else i=h;c[f>>2]=32324;c[f+4>>2]=i;Wk(b,g,27127,f);l=e;return 0}function ll(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=l;l=l+16|0;f=e;g=d+32|0;if((c[d+48>>2]|0)!=1){l=e;return 0}h=cj((c[b+16>>2]|0)+272|0,g)|0;if((h|0)!=-1){Dn(g,h);l=e;return 0}h=d+52|0;if((a[h+11>>0]|0)<0)i=c[h>>2]|0;else i=h;c[f>>2]=27113;c[f+4>>2]=i;Wk(b,g,27127,f);l=e;return 0}function ml(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=l;l=l+16|0;f=e;g=d+32|0;if((c[d+48>>2]|0)!=1){l=e;return 0}h=cj((c[b+16>>2]|0)+232|0,g)|0;if((h|0)!=-1){Dn(g,h);l=e;return 0}h=d+52|0;if((a[h+11>>0]|0)<0)i=c[h>>2]|0;else i=h;c[f>>2]=28230;c[f+4>>2]=i;Wk(b,g,27127,f);l=e;return 0}function nl(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0;e=l;l=l+16|0;f=e;g=d+32|0;if((c[d+48>>2]|0)!=1){l=e;return 0}h=c[b+20>>2]|0;if(!h){l=e;return 0}i=Mm(h,g)|0;if((i|0)!=-1){Dn(g,i);l=e;return 0}i=d+52|0;if((a[i+11>>0]|0)<0)j=c[i>>2]|0;else j=i;c[f>>2]=j;Wk(b,g,27525,f);l=e;return 0}function ol(a,b){a=a|0;b=b|0;var d=0,e=0;d=b+32|0;b=a+32|0;e=c[b>>2]|0;if((e|0)==(c[a+36>>2]|0)){Id(a+28|0,d);return 0}else{Qt(e,d);c[b>>2]=(c[b>>2]|0)+12;return 0}return 0}function pl(a,b){a=a|0;b=b|0;var d=0,e=0;b=a+32|0;a=c[b>>2]|0;d=a+-12|0;e=a;do{a=e+-12|0;c[b>>2]=a;Wt(a);e=c[b>>2]|0}while((e|0)!=(d|0));return 0}function ql(a,b){a=a|0;b=b|0;var d=0,e=0;d=b+32|0;b=a+32|0;e=c[b>>2]|0;if((e|0)==(c[a+36>>2]|0)){Id(a+28|0,d);return 0}else{Qt(e,d);c[b>>2]=(c[b>>2]|0)+12;return 0}return 0}function rl(a,b){a=a|0;b=b|0;var d=0,e=0;b=a+32|0;a=c[b>>2]|0;d=a+-12|0;e=a;do{a=e+-12|0;c[b>>2]=a;Wt(a);e=c[b>>2]|0}while((e|0)!=(d|0));return 0}function sl(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=l;l=l+16|0;f=e;g=d+32|0;if((c[d+48>>2]|0)!=1){l=e;return 0}h=cj((c[b+16>>2]|0)+232|0,g)|0;if((h|0)!=-1){Dn(g,h);l=e;return 0}h=d+52|0;if((a[h+11>>0]|0)<0)i=c[h>>2]|0;else i=h;c[f>>2]=28230;c[f+4>>2]=i;Wk(b,g,27127,f);l=e;return 0}function tl(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0;e=l;l=l+16|0;f=e;g=d+32|0;if((c[d+48>>2]|0)!=1){l=e;return 0}h=c[b+20>>2]|0;if(!h){l=e;return 0}i=Mm(h,g)|0;if((i|0)!=-1){Dn(g,i);l=e;return 0}i=d+52|0;if((a[i+11>>0]|0)<0)j=c[i>>2]|0;else j=i;c[f>>2]=j;Wk(b,g,27525,f);l=e;return 0}function ul(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0;e=l;l=l+16|0;f=e;g=d+32|0;if((c[d+48>>2]|0)!=1){l=e;return 0}h=c[b+20>>2]|0;if(!h){l=e;return 0}i=Mm(h,g)|0;if((i|0)!=-1){Dn(g,i);l=e;return 0}i=d+52|0;if((a[i+11>>0]|0)<0)j=c[i>>2]|0;else j=i;c[f>>2]=j;Wk(b,g,27525,f);l=e;return 0}function vl(a,b){a=a|0;b=b|0;var d=0,e=0;d=b+32|0;b=a+32|0;e=c[b>>2]|0;if((e|0)==(c[a+36>>2]|0)){Id(a+28|0,d);return 0}else{Qt(e,d);c[b>>2]=(c[b>>2]|0)+12;return 0}return 0}function wl(a,b){a=a|0;b=b|0;var d=0,e=0;b=a+32|0;a=c[b>>2]|0;d=a+-12|0;e=a;do{a=e+-12|0;c[b>>2]=a;Wt(a);e=c[b>>2]|0}while((e|0)!=(d|0));return 0}function xl(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;d=l;l=l+16|0;f=d;g=c[e+32>>2]|0;if(!g){l=d;return 0}h=e+16|0;if((g|0)!=1){l=d;return 0}g=cj((c[b+16>>2]|0)+192|0,h)|0;if((g|0)!=-1){Dn(h,g);l=d;return 0}g=e+36|0;if((a[g+11>>0]|0)<0)i=c[g>>2]|0;else i=g;c[f>>2]=34289;c[f+4>>2]=i;Wk(b,h,27127,f);l=d;return 0}function yl(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=l;l=l+16|0;f=e;g=d+32|0;if((c[d+48>>2]|0)!=1){l=e;return 0}h=cj((c[b+16>>2]|0)+192|0,g)|0;if((h|0)!=-1){Dn(g,h);l=e;return 0}h=d+52|0;if((a[h+11>>0]|0)<0)i=c[h>>2]|0;else i=h;c[f>>2]=34289;c[f+4>>2]=i;Wk(b,g,27127,f);l=e;return 0}function zl(a,b){a=a|0;b=b|0;Al(a,b+32|0);return 0}function Al(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;e=l;l=l+16|0;f=e;if((c[d+16>>2]|0)!=1){l=e;return}g=c[b+28>>2]|0;h=(c[b+32>>2]|0)-g|0;i=(h|0)/12|0;j=i+-1|0;k=g;g=d+20|0;m=a[g+11>>0]|0;a:do if((h|0)>0){n=m<<24>>24<0;o=n?c[d+24>>2]|0:m&255;p=(o|0)==0;b:do if(n){q=j;while(1){r=k+(q*12|0)|0;s=a[r+11>>0]|0;t=s<<24>>24<0;u=s&255;do if(((t?c[k+(q*12|0)+4>>2]|0:u)|0)==(o|0)){s=c[r>>2]|0;v=t?s:r;w=c[g>>2]|0;if(t){if(p){x=q;break b}if(!(Es(v,w,o)|0)){x=q;break b}else break}if(p){x=q;break b}if((s&255)<<24>>24==(a[w>>0]|0)){s=r;v=u;y=w;do{v=v+-1|0;s=s+1|0;if(!v){x=q;break b}y=y+1|0}while((a[s>>0]|0)==(a[y>>0]|0))}}while(0);q=q+-1|0;if((q|0)<=-1)break a}}else{q=j;while(1){u=k+(q*12|0)|0;r=a[u+11>>0]|0;t=r<<24>>24<0;y=r&255;do if(((t?c[k+(q*12|0)+4>>2]|0:y)|0)==(o|0)){r=c[u>>2]|0;s=t?r:u;if(t){if(p){x=q;break b}if(!(Es(s,g,o)|0)){x=q;break b}else break}if(p){x=q;break b}if((r&255)<<24>>24==(a[g>>0]|0)){r=u;s=y;v=g;do{s=s+-1|0;r=r+1|0;if(!s){x=q;break b}v=v+1|0}while((a[r>>0]|0)==(a[v>>0]|0))}}while(0);q=q+-1|0;if((q|0)<=-1)break a}}while(0);Dn(d,i+~x|0);l=e;return}while(0);if(m<<24>>24<0)z=c[d+20>>2]|0;else z=g;c[f>>2]=z;Wk(b,d,27495,f);l=e;return}function Bl(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;c[b>>2]=d;if(e){e=Ga(27667)|0;if(!e)f=Bt(wt(d)|0)|0;else f=zt(e)|0;g=(f|0)!=0&1}else g=0;a[b+4>>0]=g;return}function Cl(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;c[a>>2]=b;c[a+4>>2]=d;c[a+8>>2]=e;c[a+12>>2]=f;return}function Dl(a){a=a|0;var b=0,c=0;b=0;c=a;do{c=c>>>7;b=b+1|0}while((c|0)!=0);return b|0}function El(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0;f=l;l=l+16|0;g=f;a[g>>0]=d|128;a[g+1>>0]=d>>>7|128;a[g+2>>0]=d>>>14|128;a[g+3>>0]=d>>>21|128;a[g+4>>0]=d>>>28;am(b,c,g,5,e,0);l=f;return 5}function Fl(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0;e=l;l=l+16|0;f=e;g=c;c=0;do{h=g;g=g>>>7;i=(g|0)==0;j=c;c=c+1|0;a[f+j>>0]=i?h&127:h|128}while(!i);dm(b,f,c,d,0);l=e;return}function Gl(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=l;l=l+16|0;f=e;a[f>>0]=c|128;a[f+1>>0]=c>>>7|128;a[f+2>>0]=c>>>14|128;a[f+3>>0]=c>>>21|128;a[f+4>>0]=c>>>28;dm(b,f,5,d,0);l=e;return}function Hl(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0;f=l;l=l+16|0;g=f;h=d;d=0;do{i=h;h=h>>>7;j=(h|0)==0;k=d;d=d+1|0;a[g+k>>0]=j?i&127:i|128}while(!j);am(b,c,g,d,e,0);l=f;return d|0}function Il(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;e=l;l=l+16|0;f=e;if((c|0)<0){g=c;h=0;while(1){i=g;g=g>>7;j=h+1|0;k=(g|0)!=-1|(i&64|0)==0;a[f+h>>0]=k?i|128:i&127;if(!k){m=j;break}else h=j}dm(b,f,m,d,0);l=e;return}else{h=c;c=0;while(1){g=h;h=h>>7;j=c+1|0;k=(h|g&64|0)==0;a[f+c>>0]=k?g&127:g|128;if(k){m=j;break}else c=j}dm(b,f,m,d,0);l=e;return}}function Jl(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0;f=l;l=l+16|0;g=f;if((d|0)<0){h=0;i=c;j=d;while(1){k=i&127;i=Qu(i|0,j|0,7)|0;j=D;m=h+1|0;n=k&255;o=(i|0)!=-1|(j|0)!=-1|(n&64|0)==0;a[g+h>>0]=o?(n|128)&255:k;if(!o){p=m;break}else h=m}dm(b,g,p,e,0);l=f;return}else{h=0;j=c;c=d;while(1){d=j&127;j=Qu(j|0,c|0,7)|0;c=D;i=d&255;m=h+1|0;o=(j|0)==0&(c|0)==0&(i&64|0)==0;a[g+h>>0]=o?d:(i|128)&255;if(o){p=m;break}else h=m}dm(b,g,p,e,0);l=f;return}}function Kl(b,e,f){b=b|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;if(b>>>0<e>>>0?(g=d[b>>0]|0,(g&128|0)==0):0){h=1;i=g&127}else j=4;do if((j|0)==4){g=b+1|0;if(g>>>0<e>>>0?(k=d[g>>0]|0,(k&128|0)==0):0){h=2;i=a[b>>0]&127|k<<7&16256;break}k=b+2|0;if(k>>>0<e>>>0?(l=d[k>>0]|0,(l&128|0)==0):0){h=3;i=a[b>>0]&127|l<<14&2080768|(a[g>>0]&127)<<7;break}l=b+3|0;if(l>>>0<e>>>0?(m=d[l>>0]|0,(m&128|0)==0):0){h=4;i=(a[k>>0]&127)<<14|m<<21&266338304|a[b>>0]&127|(a[g>>0]&127)<<7;break}m=b+4|0;if(m>>>0<e>>>0?(n=d[m>>0]|0,(n&128|0)==0):0)if(!(n&240)){h=5;i=(a[l>>0]&127)<<21|n<<28|(a[k>>0]&127)<<14|a[b>>0]&127|(a[g>>0]&127)<<7;break}else{o=0;return o|0}else{h=0;i=0}}while(0);c[f>>2]=i;o=h;return o|0}function Ll(b,e,f){b=b|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0;if(b>>>0<e>>>0?(g=d[b>>0]|0,(g&128|0)==0):0){c[f>>2]=g<<25>>25;h=1;return h|0}g=b+1|0;if(g>>>0<e>>>0?(i=d[g>>0]|0,(i&128|0)==0):0){c[f>>2]=(a[b>>0]&127|i<<7)<<18>>18;h=2;return h|0}i=b+2|0;if(i>>>0<e>>>0?(j=d[i>>0]|0,(j&128|0)==0):0){c[f>>2]=(a[b>>0]&127|j<<14|(a[g>>0]&127)<<7)<<11>>11;h=3;return h|0}j=b+3|0;if(j>>>0<e>>>0?(k=d[j>>0]|0,(k&128|0)==0):0){c[f>>2]=((a[i>>0]&127)<<14|k<<21|a[b>>0]&127|(a[g>>0]&127)<<7)<<4>>4;h=4;return h|0}k=b+4|0;if(k>>>0>=e>>>0){h=0;return h|0}e=d[k>>0]|0;if(e&128|0){h=0;return h|0}k=(e&8|0)!=0;l=e&240;if(k&(l|0)!=112){h=0;return h|0}if((l|0)!=0&(k^1)){h=0;return h|0}c[f>>2]=(a[j>>0]&127)<<21|e<<28|(a[i>>0]&127)<<14|a[b>>0]&127|(a[g>>0]&127)<<7;h=5;return h|0}function Ml(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,E=0;if(b>>>0<d>>>0?(f=a[b>>0]|0,f<<24>>24>-1):0){g=Vu(f&255|0,0,57)|0;f=Qu(g|0,D|0,57)|0;g=e;c[g>>2]=f;c[g+4>>2]=D;h=1;return h|0}g=b+1|0;if(g>>>0<d>>>0?(f=a[g>>0]|0,f<<24>>24>-1):0){i=Vu(f&255|0,0,7)|0;f=Vu(a[b>>0]&127|i|0,D|0,50)|0;i=Qu(f|0,D|0,50)|0;f=e;c[f>>2]=i;c[f+4>>2]=D;h=2;return h|0}f=b+2|0;if(f>>>0<d>>>0?(i=a[f>>0]|0,i<<24>>24>-1):0){j=Vu(i&255|0,0,14)|0;i=D;k=Vu(a[g>>0]&127|0,0,7)|0;l=Vu(a[b>>0]&127|j|k|0,i|D|0,43)|0;i=Qu(l|0,D|0,43)|0;l=e;c[l>>2]=i;c[l+4>>2]=D;h=3;return h|0}l=b+3|0;if(l>>>0<d>>>0?(i=a[l>>0]|0,i<<24>>24>-1):0){k=Vu(i&255|0,0,21)|0;i=D;j=Vu(a[f>>0]&127|0,0,14)|0;m=D;n=Vu(a[g>>0]&127|0,0,7)|0;o=Vu(j|k|a[b>>0]&127|n|0,m|i|D|0,36)|0;i=Qu(o|0,D|0,36)|0;o=e;c[o>>2]=i;c[o+4>>2]=D;h=4;return h|0}o=b+4|0;if(o>>>0<d>>>0?(i=a[o>>0]|0,i<<24>>24>-1):0){m=Vu(i&255|0,0,28)|0;i=D;n=Vu(a[l>>0]&127|0,0,21)|0;k=D;j=Vu(a[f>>0]&127|0,0,14)|0;p=D;q=Vu(a[g>>0]&127|0,0,7)|0;r=Vu(n|m|j|a[b>>0]&127|q|0,k|i|p|D|0,29)|0;p=Qu(r|0,D|0,29)|0;r=e;c[r>>2]=p;c[r+4>>2]=D;h=5;return h|0}r=b+5|0;if(r>>>0<d>>>0?(p=a[r>>0]|0,p<<24>>24>-1):0){i=Vu(p&255|0,0,35)|0;p=D;k=Vu(a[o>>0]&127|0,0,28)|0;q=D;j=Vu(a[l>>0]&127|0,0,21)|0;m=D;n=Vu(a[f>>0]&127|0,0,14)|0;s=D;t=Vu(a[g>>0]&127|0,0,7)|0;u=Vu(k|i|j|n|a[b>>0]&127|t|0,q|p|m|s|D|0,22)|0;s=Qu(u|0,D|0,22)|0;u=e;c[u>>2]=s;c[u+4>>2]=D;h=6;return h|0}u=b+6|0;if(u>>>0<d>>>0?(s=a[u>>0]|0,s<<24>>24>-1):0){m=Vu(s&255|0,0,42)|0;s=D;p=Vu(a[r>>0]&127|0,0,35)|0;q=D;t=Vu(a[o>>0]&127|0,0,28)|0;n=D;j=Vu(a[l>>0]&127|0,0,21)|0;i=D;k=Vu(a[f>>0]&127|0,0,14)|0;v=D;w=Vu(a[g>>0]&127|0,0,7)|0;x=Vu(p|m|t|j|k|a[b>>0]&127|w|0,q|s|n|i|v|D|0,15)|0;v=Qu(x|0,D|0,15)|0;x=e;c[x>>2]=v;c[x+4>>2]=D;h=7;return h|0}x=b+7|0;if(x>>>0<d>>>0?(v=a[x>>0]|0,v<<24>>24>-1):0){i=Vu(v&255|0,0,49)|0;v=D;n=Vu(a[u>>0]&127|0,0,42)|0;s=D;q=Vu(a[r>>0]&127|0,0,35)|0;w=D;k=Vu(a[o>>0]&127|0,0,28)|0;j=D;t=Vu(a[l>>0]&127|0,0,21)|0;m=D;p=Vu(a[f>>0]&127|0,0,14)|0;y=D;z=Vu(a[g>>0]&127|0,0,7)|0;A=Vu(n|i|q|k|t|p|a[b>>0]&127|z|0,s|v|w|j|m|y|D|0,8)|0;y=Qu(A|0,D|0,8)|0;A=e;c[A>>2]=y;c[A+4>>2]=D;h=8;return h|0}A=b+8|0;if(A>>>0<d>>>0?(y=a[A>>0]|0,y<<24>>24>-1):0){m=Vu(y&127|0,0,56)|0;y=D;j=Vu(a[x>>0]&127|0,0,49)|0;w=D;v=Vu(a[u>>0]&127|0,0,42)|0;s=D;z=Vu(a[r>>0]&127|0,0,35)|0;p=D;t=Vu(a[o>>0]&127|0,0,28)|0;k=D;q=Vu(a[l>>0]&127|0,0,21)|0;i=D;n=Vu(a[f>>0]&127|0,0,14)|0;B=D;C=Vu(a[g>>0]&127|0,0,7)|0;E=Vu(j|m|v|z|t|q|n|a[b>>0]&127|C|0,w|y|s|p|k|i|B|D|0,1)|0;B=Qu(E|0,D|0,1)|0;E=e;c[E>>2]=B;c[E+4>>2]=D;h=9;return h|0}E=b+9|0;if(E>>>0>=d>>>0){h=0;return h|0}d=a[E>>0]|0;E=d&255;if(E&128|0){h=0;return h|0}B=(E&1|0)!=0;i=E&254;if(B&(i|0)!=126){h=0;return h|0}if((i|0)!=0&(B^1)){h=0;return h|0}B=Vu(d&255|0,0,63)|0;d=D;i=Vu(a[A>>0]&127|0,0,56)|0;A=D;E=Vu(a[x>>0]&127|0,0,49)|0;x=D;k=Vu(a[u>>0]&127|0,0,42)|0;u=D;p=Vu(a[r>>0]&127|0,0,35)|0;r=D;s=Vu(a[o>>0]&127|0,0,28)|0;o=D;y=Vu(a[l>>0]&127|0,0,21)|0;l=D;w=Vu(a[f>>0]&127|0,0,14)|0;f=D;C=Vu(a[g>>0]&127|0,0,7)|0;g=e;c[g>>2]=i|B|E|k|p|s|y|w|a[b>>0]&127|C;c[g+4>>2]=A|d|x|u|r|o|l|f|D;h=10;return h|0}function Nl(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=a<<24>>24;a=d+-48|0;do if(a>>>0>=10){if((d+-97|0)>>>0<7){e=d+-87|0;break}if((d+-65|0)>>>0<7){e=d+-55|0;break}else{f=1;return f|0}}else e=a;while(0);c[b>>2]=e;f=0;return f|0}function Ol(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;if((b|0)==(d|0)){f=1;return f|0}g=a[b>>0]|0;a:do if((g<<24>>24==48?(h=b+1|0,h>>>0<d>>>0):0)?(a[h>>0]|0)==120:0){h=b+2|0;if((h|0)==(d|0)){f=1;return f|0}if(h>>>0<d>>>0){i=h;j=0;k=0;b:while(1){l=a[i>>0]|0;if(l<<24>>24!=95){m=l<<24>>24;l=m+-48|0;do if(l>>>0<10)n=l;else{if((m+-97|0)>>>0<7){n=m+-87|0;break}if((m+-65|0)>>>0>=7){f=1;o=23;break b}n=m+-55|0}while(0);m=Vu(j|0,k|0,4)|0;l=Su(n|0,0,m|0,D|0)|0;m=D;if(k>>>0>m>>>0|(k|0)==(m|0)&j>>>0>l>>>0){f=1;o=23;break}else{p=l;q=m}}else{p=j;q=k}m=i+1|0;if(m>>>0<d>>>0){i=m;j=p;k=q}else{r=m;s=p;t=q;break a}}if((o|0)==23)return f|0}else{r=h;s=0;t=0}}else o=3;while(0);c:do if((o|0)==3)if(b>>>0<d>>>0){q=b;p=g;n=0;k=0;while(1){if(p<<24>>24!=95){j=(p<<24>>24)+-48|0;if(j>>>0>9){f=1;o=23;break}i=$u(n|0,k|0,10,0)|0;m=Su(j|0,0,i|0,D|0)|0;i=D;if(k>>>0>i>>>0|(k|0)==(i|0)&n>>>0>m>>>0){f=1;o=23;break}else{u=m;v=i}}else{u=n;v=k}i=q+1|0;if(i>>>0>=d>>>0){r=i;s=u;t=v;break c}q=i;p=a[i>>0]|0;n=u;k=v}if((o|0)==23)return f|0}else{r=b;s=0;t=0}while(0);if((r|0)!=(d|0)){f=1;return f|0}d=e;c[d>>2]=s;c[d+4>>2]=t;f=0;return f|0}function Pl(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,E=0;g=a[b>>0]|0;a:do switch(g<<24>>24){case 43:case 45:{if(!f){h=1;return h|0}else{i=b+1|0;j=g<<24>>24==45;break a}break}default:{i=b;j=0}}while(0);b:do if((i|0)==(d|0)){k=1;l=0;m=0}else{b=a[i>>0]|0;if((b<<24>>24==48?(g=i+1|0,g>>>0<d>>>0):0)?(a[g>>0]|0)==120:0){g=i+2|0;if((g|0)==(d|0)){k=1;l=0;m=0;break}if(g>>>0<d>>>0){f=g;n=0;o=0;while(1){p=a[f>>0]|0;if(p<<24>>24!=95){q=p<<24>>24;p=q+-48|0;do if(p>>>0<10)r=p;else{if((q+-97|0)>>>0<7){r=q+-87|0;break}if((q+-65|0)>>>0>=7){k=1;l=0;m=0;break b}r=q+-55|0}while(0);q=Vu(n|0,o|0,4)|0;p=Su(r|0,0,q|0,D|0)|0;q=D;if(o>>>0>q>>>0|(o|0)==(q|0)&n>>>0>p>>>0){k=1;l=0;m=0;break b}else{s=p;t=q}}else{s=n;t=o}q=f+1|0;if(q>>>0<d>>>0){f=q;n=s;o=t}else{u=q;v=s;w=t;break}}}else{u=g;v=0;w=0}}else x=6;c:do if((x|0)==6)if(i>>>0<d>>>0){o=i;n=b;f=0;q=0;while(1){if(n<<24>>24!=95){p=(n<<24>>24)+-48|0;if(p>>>0>9){k=1;l=0;m=0;break b}y=$u(f|0,q|0,10,0)|0;z=Su(p|0,0,y|0,D|0)|0;y=D;if(q>>>0>y>>>0|(q|0)==(y|0)&f>>>0>z>>>0){k=1;l=0;m=0;break b}else{A=z;B=y}}else{A=f;B=q}y=o+1|0;if(y>>>0>=d>>>0){u=y;v=A;w=B;break c}o=y;n=a[y>>0]|0;f=A;q=B}}else{u=i;v=0;w=0}while(0);b=(u|0)==(d|0);k=(b^1)&1;l=b?w:0;m=b?v:0}while(0);do if(j)if(l>>>0>2147483648|(l|0)==-2147483648&m>>>0>0){h=1;return h|0}else{v=Ru(0,0,m|0,l|0)|0;C=v;E=D;break}else{C=m;E=l}while(0);l=e;c[l>>2]=C;c[l+4>>2]=E;h=k;return h|0}function Ql(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;g=a[b>>0]|0;a:do switch(g<<24>>24){case 43:case 45:{if(!f){h=1;return h|0}else{i=b+1|0;j=g<<24>>24==45;break a}break}default:{i=b;j=0}}while(0);if((i|0)==(d|0)){h=1;return h|0}b=a[i>>0]|0;b:do if((b<<24>>24==48?(g=i+1|0,g>>>0<d>>>0):0)?(a[g>>0]|0)==120:0){g=i+2|0;if((g|0)==(d|0)){h=1;return h|0}if(g>>>0<d>>>0){f=g;k=0;l=0;c:while(1){m=a[f>>0]|0;if(m<<24>>24!=95){n=m<<24>>24;m=n+-48|0;do if(m>>>0<10)o=m;else{if((n+-97|0)>>>0<7){o=n+-87|0;break}if((n+-65|0)>>>0>=7){h=1;p=30;break c}o=n+-55|0}while(0);n=Vu(k|0,l|0,4)|0;m=Su(o|0,0,n|0,D|0)|0;n=D;if(l>>>0>n>>>0|(l|0)==(n|0)&k>>>0>m>>>0){h=1;p=30;break}else{q=m;r=n}}else{q=k;r=l}n=f+1|0;if(n>>>0<d>>>0){f=n;k=q;l=r}else{s=n;t=r;u=q;break b}}if((p|0)==30)return h|0}else{s=g;t=0;u=0}}else p=6;while(0);d:do if((p|0)==6)if(i>>>0<d>>>0){q=i;r=b;o=0;l=0;while(1){if(r<<24>>24!=95){k=(r<<24>>24)+-48|0;if(k>>>0>9){h=1;p=30;break}f=$u(o|0,l|0,10,0)|0;n=Su(k|0,0,f|0,D|0)|0;f=D;if(l>>>0>f>>>0|(l|0)==(f|0)&o>>>0>n>>>0){h=1;p=30;break}else{v=n;w=f}}else{v=o;w=l}f=q+1|0;if(f>>>0>=d>>>0){s=f;t=w;u=v;break d}q=f;r=a[f>>0]|0;o=v;l=w}if((p|0)==30)return h|0}else{s=i;t=0;u=0}while(0);if((s|0)!=(d|0)){h=1;return h|0}do if(j)if(t>>>0>0|(t|0)==0&u>>>0>2147483648){h=1;return h|0}else{d=Ru(0,1,u|0,t|0)|0;x=d;break}else if(t>>>0>0|(t|0)==0&u>>>0>4294967295){h=1;return h|0}else x=u;while(0);c[e>>2]=x;h=0;return h|0}
function Gr(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0;f=l;l=l+16|0;g=f;h=a+16|0;i=c[h>>2]|0;if(i>>>0<=142){j=a+8|0;if(!i)k=j;else{m=j;n=i;o=6}}else{j=a+8|0;p=i;do{dm(c[j>>2]|0,41588,142,0,0);p=p+-142|0}while(p>>>0>142);m=j;n=c[h>>2]|0;o=6}if((o|0)==6){dm(c[m>>2]|0,41588,n,0,0);k=m}m=c[k>>2]|0;c[g>>2]=b;c[g+4>>2]=e;cm(m,42934,g);g=c[a+12>>2]|0;a=Ya[c[(c[g>>2]|0)+488>>2]&63](g,b,d,e)|0;l=f;return a|0}function Hr(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,42914,e);e=c[a+12>>2]|0;a=_a[c[(c[e>>2]|0)+492>>2]&255](e,b)|0;l=d;return a|0}function Ir(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;b=l;l=l+16|0;d=b;e=a+16|0;f=(c[e>>2]|0)+-2|0;c[e>>2]=f;if(f>>>0<=142){g=a+8|0;if(!f)h=g;else{i=g;j=f;k=6}}else{g=a+8|0;m=f;do{dm(c[g>>2]|0,41588,142,0,0);m=m+-142|0}while(m>>>0>142);i=g;j=c[e>>2]|0;k=6}if((k|0)==6){dm(c[i>>2]|0,41588,j,0,0);h=i}cm(c[h>>2]|0,42898,d);d=c[a+12>>2]|0;a=Va[c[(c[d>>2]|0)+496>>2]&127](d)|0;l=b;return a|0}function Jr(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,42874,e);c[f>>2]=(c[f>>2]|0)+2;f=c[a+12>>2]|0;a=_a[c[(c[f>>2]|0)+500>>2]&255](f,b)|0;l=d;return a|0}function Kr(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0;f=l;l=l+16|0;g=f;h=a+16|0;i=c[h>>2]|0;if(i>>>0<=142){j=a+8|0;if(!i)k=j;else{m=j;n=i;o=6}}else{j=a+8|0;p=i;do{dm(c[j>>2]|0,41588,142,0,0);p=p+-142|0}while(p>>>0>142);m=j;n=c[h>>2]|0;o=6}if((o|0)==6){dm(c[m>>2]|0,41588,n,0,0);k=m}m=c[k>>2]|0;c[g>>2]=b;c[g+4>>2]=d;c[g+8>>2]=e;cm(m,42815,g);g=c[a+12>>2]|0;a=Ya[c[(c[g>>2]|0)+504>>2]&63](g,b,d,e)|0;l=f;return a|0}function Lr(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,42789,e);e=c[a+12>>2]|0;a=_a[c[(c[e>>2]|0)+508>>2]&255](e,b)|0;l=d;return a|0}function Mr(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0;e=l;l=l+32|0;f=e+8|0;g=e;h=a+16|0;i=c[h>>2]|0;if(i>>>0<=142){j=a+8|0;if(!i)k=j;else{m=j;n=i;o=6}}else{j=a+8|0;p=i;do{dm(c[j>>2]|0,41588,142,0,0);p=p+-142|0}while(p>>>0>142);m=j;n=c[h>>2]|0;o=6}if((o|0)==6){dm(c[m>>2]|0,41588,n,0,0);k=m}m=c[k>>2]|0;k=c[d+4>>2]|0;n=c[d>>2]|0;c[f>>2]=b;c[f+4>>2]=k;c[f+8>>2]=n;cm(m,42748,f);m=c[a+12>>2]|0;a=c[(c[m>>2]|0)+512>>2]|0;n=d;d=c[n+4>>2]|0;k=g;c[k>>2]=c[n>>2];c[k+4>>2]=d;c[f>>2]=c[g>>2];c[f+4>>2]=c[g+4>>2];g=Qa[a&127](m,b,f)|0;l=e;return g|0}function Nr(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0;f=l;l=l+16|0;g=f;h=a+16|0;i=c[h>>2]|0;if(i>>>0<=142){j=a+8|0;if(!i)k=j;else{m=j;n=i;o=6}}else{j=a+8|0;p=i;do{dm(c[j>>2]|0,41588,142,0,0);p=p+-142|0}while(p>>>0>142);m=j;n=c[h>>2]|0;o=6}if((o|0)==6){dm(c[m>>2]|0,41588,n,0,0);k=m}m=c[k>>2]|0;c[g>>2]=b;c[g+4>>2]=d;c[g+8>>2]=e;cm(m,42692,g);g=c[a+12>>2]|0;a=Ya[c[(c[g>>2]|0)+516>>2]&63](g,b,d,e)|0;l=f;return a|0}function Or(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,42662,e);e=c[a+12>>2]|0;a=_a[c[(c[e>>2]|0)+520>>2]&255](e,b)|0;l=d;return a|0}function Pr(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0;e=l;l=l+16|0;f=e;g=a+16|0;h=c[g>>2]|0;if(h>>>0<=142){i=a+8|0;if(!h)j=i;else{k=i;m=h;n=6}}else{i=a+8|0;o=h;do{dm(c[i>>2]|0,41588,142,0,0);o=o+-142|0}while(o>>>0>142);k=i;m=c[g>>2]|0;n=6}if((n|0)==6){dm(c[k>>2]|0,41588,m,0,0);j=k}k=c[j>>2]|0;c[f>>2]=b;c[f+4>>2]=d;cm(k,42617,f);f=c[a+12>>2]|0;a=Qa[c[(c[f>>2]|0)+524>>2]&127](f,b,d)|0;l=e;return a|0}function Qr(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0;f=l;l=l+32|0;g=f+8|0;h=f;i=a+16|0;j=c[i>>2]|0;if(j>>>0<=142){k=a+8|0;if(!j)m=k;else{n=k;o=j;p=6}}else{k=a+8|0;q=j;do{dm(c[k>>2]|0,41588,142,0,0);q=q+-142|0}while(q>>>0>142);n=k;o=c[i>>2]|0;p=6}if((p|0)==6){dm(c[n>>2]|0,41588,o,0,0);m=n}n=c[m>>2]|0;m=c[e+4>>2]|0;o=c[e>>2]|0;c[g>>2]=b;c[g+4>>2]=d;c[g+8>>2]=m;c[g+12>>2]=o;cm(n,42557,g);n=c[a+12>>2]|0;a=c[(c[n>>2]|0)+528>>2]|0;o=e;e=c[o+4>>2]|0;m=h;c[m>>2]=c[o>>2];c[m+4>>2]=e;c[g>>2]=c[h>>2];c[g+4>>2]=c[h+4>>2];h=Ya[a&63](n,b,d,g)|0;l=f;return h|0}function Rr(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;b=l;l=l+16|0;d=b;e=a+16|0;f=(c[e>>2]|0)+-2|0;c[e>>2]=f;if(f>>>0<=142){g=a+8|0;if(!f)h=g;else{i=g;j=f;k=6}}else{g=a+8|0;m=f;do{dm(c[g>>2]|0,41588,142,0,0);m=m+-142|0}while(m>>>0>142);i=g;j=c[e>>2]|0;k=6}if((k|0)==6){dm(c[i>>2]|0,41588,j,0,0);h=i}cm(c[h>>2]|0,42540,d);d=c[a+12>>2]|0;a=Va[c[(c[d>>2]|0)+532>>2]&127](d)|0;l=b;return a|0}function Sr(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,42516,e);c[f>>2]=(c[f>>2]|0)+2;f=c[a+12>>2]|0;a=_a[c[(c[f>>2]|0)+536>>2]&255](f,b)|0;l=d;return a|0}function Tr(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0;f=l;l=l+32|0;g=f+8|0;h=f;i=a+16|0;j=c[i>>2]|0;if(j>>>0<=142){k=a+8|0;if(!j)m=k;else{n=k;o=j;p=6}}else{k=a+8|0;q=j;do{dm(c[k>>2]|0,41588,142,0,0);q=q+-142|0}while(q>>>0>142);n=k;o=c[i>>2]|0;p=6}if((p|0)==6){dm(c[n>>2]|0,41588,o,0,0);m=n}n=c[m>>2]|0;m=c[4464+(d<<2)>>2]|0;o=c[e+4>>2]|0;p=c[e>>2]|0;c[g>>2]=b;c[g+4>>2]=m;c[g+8>>2]=o;c[g+12>>2]=p;cm(n,42458,g);n=c[a+12>>2]|0;a=c[(c[n>>2]|0)+540>>2]|0;p=e;e=c[p+4>>2]|0;o=h;c[o>>2]=c[p>>2];c[o+4>>2]=e;c[g>>2]=c[h>>2];c[g+4>>2]=c[h+4>>2];h=Ya[a&63](n,b,d,g)|0;l=f;return h|0}function Ur(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0;g=l;l=l+16|0;h=g;i=a+16|0;j=c[i>>2]|0;if(j>>>0<=142){k=a+8|0;if(!j)m=k;else{n=k;o=j;p=6}}else{k=a+8|0;q=j;do{dm(c[k>>2]|0,41588,142,0,0);q=q+-142|0}while(q>>>0>142);n=k;o=c[i>>2]|0;p=6}if((p|0)==6){dm(c[n>>2]|0,41588,o,0,0);m=n}n=c[m>>2]|0;c[h>>2]=c[4532+(b<<2)>>2];c[h+4>>2]=d;c[h+8>>2]=e;c[h+12>>2]=f;cm(n,42403,h);h=c[a+12>>2]|0;a=$a[c[(c[h>>2]|0)+544>>2]&31](h,b,d,e,f)|0;l=g;return a|0}function Vr(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;b=l;l=l+16|0;d=b;e=a+16|0;f=(c[e>>2]|0)+-2|0;c[e>>2]=f;if(f>>>0<=142){g=a+8|0;if(!f)h=g;else{i=g;j=f;k=6}}else{g=a+8|0;m=f;do{dm(c[g>>2]|0,41588,142,0,0);m=m+-142|0}while(m>>>0>142);i=g;j=c[e>>2]|0;k=6}if((k|0)==6){dm(c[i>>2]|0,41588,j,0,0);h=i}cm(c[h>>2]|0,42386,d);d=c[a+12>>2]|0;a=Va[c[(c[d>>2]|0)+548>>2]&127](d)|0;l=b;return a|0}function Wr(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,42360,e);c[f>>2]=(c[f>>2]|0)+2;f=c[a+12>>2]|0;a=_a[c[(c[f>>2]|0)+552>>2]&255](f,b)|0;l=d;return a|0}function Xr(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,42341,e);e=c[a+12>>2]|0;a=_a[c[(c[e>>2]|0)+556>>2]&255](e,b)|0;l=d;return a|0}function Yr(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,42318,e);e=c[a+12>>2]|0;a=_a[c[(c[e>>2]|0)+560>>2]&255](e,b)|0;l=d;return a|0}function Zr(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0;e=l;l=l+32|0;f=e+8|0;g=e;h=a+16|0;i=c[h>>2]|0;if(i>>>0<=142){j=a+8|0;if(!i)k=j;else{m=j;n=i;o=6}}else{j=a+8|0;p=i;do{dm(c[j>>2]|0,41588,142,0,0);p=p+-142|0}while(p>>>0>142);m=j;n=c[h>>2]|0;o=6}if((o|0)==6){dm(c[m>>2]|0,41588,n,0,0);k=m}m=c[k>>2]|0;k=c[b>>2]|0;c[f>>2]=c[b+4>>2];c[f+4>>2]=k;c[f+8>>2]=d;cm(m,42278,f);m=c[a+12>>2]|0;a=c[(c[m>>2]|0)+564>>2]|0;k=b;b=c[k+4>>2]|0;n=g;c[n>>2]=c[k>>2];c[n+4>>2]=b;c[f>>2]=c[g>>2];c[f+4>>2]=c[g+4>>2];g=Qa[a&127](m,f,d)|0;l=e;return g|0}function _r(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,42262,e);e=c[a+12>>2]|0;a=_a[c[(c[e>>2]|0)+568>>2]&255](e,b)|0;l=d;return a|0}function $r(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,42241,e);e=c[a+12>>2]|0;a=_a[c[(c[e>>2]|0)+572>>2]&255](e,b)|0;l=d;return a|0}function as(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,42217,e);e=c[a+12>>2]|0;a=_a[c[(c[e>>2]|0)+576>>2]&255](e,b)|0;l=d;return a|0}function bs(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0;g=l;l=l+32|0;h=g+8|0;i=g;j=a+16|0;k=c[j>>2]|0;if(k>>>0<=142){m=a+8|0;if(!k)n=m;else{o=m;p=k;q=6}}else{m=a+8|0;r=k;do{dm(c[m>>2]|0,41588,142,0,0);r=r+-142|0}while(r>>>0>142);o=m;p=c[j>>2]|0;q=6}if((q|0)==6){dm(c[o>>2]|0,41588,p,0,0);n=o}o=c[n>>2]|0;n=c[d+4>>2]|0;p=c[d>>2]|0;c[h>>2]=b;c[h+4>>2]=n;c[h+8>>2]=p;c[h+12>>2]=e;c[h+16>>2]=f;cm(o,42158,h);o=c[a+12>>2]|0;a=c[(c[o>>2]|0)+580>>2]|0;p=d;d=c[p+4>>2]|0;n=i;c[n>>2]=c[p>>2];c[n+4>>2]=d;c[h>>2]=c[i>>2];c[h+4>>2]=c[i+4>>2];i=$a[a&31](o,b,h,e,f)|0;l=g;return i|0}function cs(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;b=l;l=l+16|0;d=b;e=a+16|0;f=(c[e>>2]|0)+-2|0;c[e>>2]=f;if(f>>>0<=142){g=a+8|0;if(!f)h=g;else{i=g;j=f;k=6}}else{g=a+8|0;m=f;do{dm(c[g>>2]|0,41588,142,0,0);m=m+-142|0}while(m>>>0>142);i=g;j=c[e>>2]|0;k=6}if((k|0)==6){dm(c[i>>2]|0,41588,j,0,0);h=i}cm(c[h>>2]|0,42139,d);d=c[a+12>>2]|0;a=Va[c[(c[d>>2]|0)+584>>2]&127](d)|0;l=b;return a|0}function ds(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,42111,e);c[f>>2]=(c[f>>2]|0)+2;f=c[a+12>>2]|0;a=_a[c[(c[f>>2]|0)+588>>2]&255](f,b)|0;l=d;return a|0}function es(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=a+16|0;g=c[f>>2]|0;if(g>>>0<=142){h=a+8|0;if(!g)i=h;else{j=h;k=g;m=6}}else{h=a+8|0;n=g;do{dm(c[h>>2]|0,41588,142,0,0);n=n+-142|0}while(n>>>0>142);j=h;k=c[f>>2]|0;m=6}if((m|0)==6){dm(c[j>>2]|0,41588,k,0,0);i=j}j=c[i>>2]|0;c[e>>2]=b;cm(j,42089,e);e=c[a+12>>2]|0;a=_a[c[(c[e>>2]|0)+592>>2]&255](e,b)|0;l=d;return a|0}function fs(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0;e=l;l=l+16|0;f=e+8|0;g=e;h=a+16|0;i=c[h>>2]|0;if(i>>>0<=142){j=a+8|0;if(!i)k=j;else{m=j;n=i;o=6}}else{j=a+8|0;p=i;do{dm(c[j>>2]|0,41588,142,0,0);p=p+-142|0}while(p>>>0>142);m=j;n=c[h>>2]|0;o=6}if((o|0)==6){dm(c[m>>2]|0,41588,n,0,0);k=m}m=c[k>>2]|0;c[g>>2]=b;cm(m,42011,g);ms(a,d);cm(c[k>>2]|0,42038,f);f=c[a+12>>2]|0;a=Qa[c[(c[f>>2]|0)+596>>2]&127](f,b,d)|0;l=e;return a|0}function gs(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;b=l;l=l+16|0;d=b;e=a+16|0;f=(c[e>>2]|0)+-2|0;c[e>>2]=f;if(f>>>0<=142){g=a+8|0;if(!f)h=g;else{i=g;j=f;k=6}}else{g=a+8|0;m=f;do{dm(c[g>>2]|0,41588,142,0,0);m=m+-142|0}while(m>>>0>142);i=g;j=c[e>>2]|0;k=6}if((k|0)==6){dm(c[i>>2]|0,41588,j,0,0);h=i}cm(c[h>>2]|0,41990,d);d=c[a+12>>2]|0;a=Va[c[(c[d>>2]|0)+600>>2]&127](d)|0;l=b;return a|0}function hs(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,i=0.0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=l;l=l+32|0;f=e;i=(c[j>>2]=d,+g[j>>2]);k=a+16|0;m=c[k>>2]|0;if(m>>>0<=142){n=a+8|0;if(!m)o=n;else{p=n;q=m;r=6}}else{n=a+8|0;s=m;do{dm(c[n>>2]|0,41588,142,0,0);s=s+-142|0}while(s>>>0>142);p=n;q=c[k>>2]|0;r=6}if((r|0)==6){dm(c[p>>2]|0,41588,q,0,0);o=p}p=c[o>>2]|0;c[f>>2]=b;h[f+8>>3]=i;c[f+16>>2]=d;cm(p,41935,f);f=c[a+12>>2]|0;a=Qa[c[(c[f>>2]|0)+604>>2]&127](f,b,d)|0;l=e;return a|0}function is(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,i=0.0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;f=l;l=l+32|0;g=f;c[j>>2]=d;c[j+4>>2]=e;i=+h[j>>3];k=a+16|0;m=c[k>>2]|0;if(m>>>0<=142){n=a+8|0;if(!m)o=n;else{p=n;q=m;r=6}}else{n=a+8|0;s=m;do{dm(c[n>>2]|0,41588,142,0,0);s=s+-142|0}while(s>>>0>142);p=n;q=c[k>>2]|0;r=6}if((r|0)==6){dm(c[p>>2]|0,41588,q,0,0);o=p}p=c[o>>2]|0;c[g>>2]=b;h[g+8>>3]=i;o=g+16|0;c[o>>2]=d;c[o+4>>2]=e;cm(p,41879,g);g=c[a+12>>2]|0;a=Ya[c[(c[g>>2]|0)+608>>2]&63](g,b,d,e)|0;l=f;return a|0}function js(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0;e=l;l=l+16|0;f=e;g=a+16|0;h=c[g>>2]|0;if(h>>>0<=142){i=a+8|0;if(!h)j=i;else{k=i;m=h;n=6}}else{i=a+8|0;o=h;do{dm(c[i>>2]|0,41588,142,0,0);o=o+-142|0}while(o>>>0>142);k=i;m=c[g>>2]|0;n=6}if((n|0)==6){dm(c[k>>2]|0,41588,m,0,0);j=k}k=c[j>>2]|0;c[f>>2]=b;c[f+4>>2]=d;cm(k,41825,f);f=c[a+12>>2]|0;a=Qa[c[(c[f>>2]|0)+612>>2]&127](f,b,d)|0;l=e;return a|0}function ks(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0;e=l;l=l+16|0;f=e;g=a+16|0;h=c[g>>2]|0;if(h>>>0<=142){i=a+8|0;if(!h)j=i;else{k=i;m=h;n=6}}else{i=a+8|0;o=h;do{dm(c[i>>2]|0,41588,142,0,0);o=o+-142|0}while(o>>>0>142);k=i;m=c[g>>2]|0;n=6}if((n|0)==6){dm(c[k>>2]|0,41588,m,0,0);j=k}k=c[j>>2]|0;c[f>>2]=b;c[f+4>>2]=d;cm(k,41779,f);f=c[a+12>>2]|0;a=Qa[c[(c[f>>2]|0)+616>>2]&127](f,b,d)|0;l=e;return a|0}function ls(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0;f=l;l=l+16|0;g=f;h=a+16|0;i=c[h>>2]|0;if(i>>>0<=142){j=a+8|0;if(!i)k=j;else{m=j;n=i;o=6}}else{j=a+8|0;p=i;do{dm(c[j>>2]|0,41588,142,0,0);p=p+-142|0}while(p>>>0>142);m=j;n=c[h>>2]|0;o=6}if((o|0)==6){dm(c[m>>2]|0,41588,n,0,0);k=m}m=c[k>>2]|0;c[g>>2]=b;k=g+8|0;c[k>>2]=d;c[k+4>>2]=e;cm(m,41731,g);g=c[a+12>>2]|0;a=Ya[c[(c[g>>2]|0)+620>>2]&63](g,b,d,e)|0;l=f;return a|0}function ms(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0;d=l;l=l+32|0;e=d+24|0;f=d+16|0;g=d+8|0;h=c[b>>2]|0;i=(c[b+4>>2]|0)-h>>2;b=h;h=a+8|0;cm(c[h>>2]|0,42041,d);a=c[h>>2]|0;if(!i){j=a;cm(j,42087,e);l=d;return}k=i+-1|0;m=0;n=a;a:while(1){switch(c[b+(m<<2)>>2]|0){case -1:{o=42077;break}case -2:{o=42073;break}case -3:{o=42069;break}case -4:{o=42065;break}case -16:{o=42057;break}case -32:{o=42052;break}case -64:{o=42047;break}case 0:{o=42043;break}default:{p=11;break a}}c[g>>2]=o;cm(n,42081,g);if((m|0)!=(k|0))cm(c[h>>2]|0,42084,f);m=m+1|0;a=c[h>>2]|0;if(m>>>0>=i>>>0){j=a;p=15;break}else n=a}if((p|0)!=11)if((p|0)==15){cm(j,42087,e);l=d;return}}function ns(a,b,d){a=a|0;b=b|0;d=d|0;c[a+4>>2]=0;c[a>>2]=15668;c[a+8>>2]=b;c[a+12>>2]=d;c[a+16>>2]=0;return}function os(){return 49156}function ps(a){a=a|0;var b=0,d=0;b=l;l=l+16|0;d=b;c[d>>2]=ws(c[a+60>>2]|0)|0;a=ss(Fa(6,d|0)|0)|0;l=b;return a|0}function qs(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;e=l;l=l+48|0;f=e+16|0;g=e;h=e+32|0;i=a+28|0;j=c[i>>2]|0;c[h>>2]=j;k=a+20|0;m=(c[k>>2]|0)-j|0;c[h+4>>2]=m;c[h+8>>2]=b;c[h+12>>2]=d;b=m+d|0;m=a+60|0;c[g>>2]=c[m>>2];c[g+4>>2]=h;c[g+8>>2]=2;j=ss(Na(146,g|0)|0)|0;a:do if((b|0)!=(j|0)){g=2;n=b;o=h;p=j;while(1){if((p|0)<0)break;n=n-p|0;q=c[o+4>>2]|0;r=p>>>0>q>>>0;s=r?o+8|0:o;t=(r<<31>>31)+g|0;u=p-(r?q:0)|0;c[s>>2]=(c[s>>2]|0)+u;q=s+4|0;c[q>>2]=(c[q>>2]|0)-u;c[f>>2]=c[m>>2];c[f+4>>2]=s;c[f+8>>2]=t;p=ss(Na(146,f|0)|0)|0;if((n|0)==(p|0)){v=3;break a}else{g=t;o=s}}c[a+16>>2]=0;c[i>>2]=0;c[k>>2]=0;c[a>>2]=c[a>>2]|32;if((g|0)==2)w=0;else w=d-(c[o+4>>2]|0)|0}else v=3;while(0);if((v|0)==3){v=c[a+44>>2]|0;c[a+16>>2]=v+(c[a+48>>2]|0);c[i>>2]=v;c[k>>2]=v;w=d}l=e;return w|0}function rs(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=l;l=l+32|0;f=e;g=e+20|0;c[f>>2]=c[a+60>>2];c[f+4>>2]=0;c[f+8>>2]=b;c[f+12>>2]=g;c[f+16>>2]=d;if((ss(Ja(140,f|0)|0)|0)<0){c[g>>2]=-1;h=-1}else h=c[g>>2]|0;l=e;return h|0}function ss(a){a=a|0;var b=0;if(a>>>0>4294963200){c[(ts()|0)>>2]=0-a;b=-1}else b=a;return b|0}function ts(){return (us()|0)+64|0}function us(){return vs()|0}function vs(){return 16420}function ws(a){a=a|0;return a|0}function xs(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;c[a+104>>2]=b;d=c[a+8>>2]|0;e=c[a+4>>2]|0;f=d-e|0;c[a+108>>2]=f;c[a+100>>2]=(b|0)!=0&(f|0)>(b|0)?e+b|0:d;return}function ys(b){b=b|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=b+104|0;f=c[e>>2]|0;if((f|0)!=0?(c[b+108>>2]|0)>=(f|0):0)g=4;else{f=As(b)|0;if((f|0)>=0){h=c[e>>2]|0;e=b+8|0;if(h){i=c[e>>2]|0;j=c[b+4>>2]|0;k=b+108|0;l=h-(c[k>>2]|0)|0;h=i;if((i-j|0)<(l|0)){m=k;n=h;o=h;p=j}else{m=k;n=j+(l+-1)|0;o=h;p=j}}else{j=c[e>>2]|0;m=b+108|0;n=j;o=j;p=c[b+4>>2]|0}c[b+100>>2]=n;if(o|0)c[m>>2]=o+1-p+(c[m>>2]|0);m=p+-1|0;if((d[m>>0]|0|0)==(f|0))q=f;else{a[m>>0]=f;q=f}}else g=4}if((g|0)==4){c[b+100>>2]=0;q=-1}return q|0}function zs(a){a=a|0;return ((a|0)==32|(a+-9|0)>>>0<5)&1|0}function As(a){a=a|0;var b=0,e=0,f=0;b=l;l=l+16|0;e=b;if((Bs(a)|0)==0?(Qa[c[a+32>>2]&127](a,e,1)|0)==1:0)f=d[e>>0]|0;else f=-1;l=b;return f|0}function Bs(b){b=b|0;var d=0,e=0,f=0;d=b+74|0;e=a[d>>0]|0;a[d>>0]=e+255|e;e=b+20|0;d=b+28|0;if((c[e>>2]|0)>>>0>(c[d>>2]|0)>>>0)Qa[c[b+36>>2]&127](b,0,0)|0;c[b+16>>2]=0;c[d>>2]=0;c[e>>2]=0;e=c[b>>2]|0;if(!(e&4)){d=(c[b+44>>2]|0)+(c[b+48>>2]|0)|0;c[b+8>>2]=d;c[b+4>>2]=d;f=e<<27>>31}else{c[b>>2]=e|32;f=-1}return f|0}function Cs(a,b){a=+a;b=+b;var d=0,e=0,f=0;h[j>>3]=a;d=c[j>>2]|0;e=c[j+4>>2]|0;h[j>>3]=b;f=c[j+4>>2]&-2147483648|e&2147483647;c[j>>2]=d;c[j+4>>2]=f;return +(+h[j>>3])}function Ds(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0;d=a[b>>0]|0;e=a[c>>0]|0;if(d<<24>>24==0?1:d<<24>>24!=e<<24>>24){f=e;g=d}else{d=c;c=b;do{c=c+1|0;d=d+1|0;b=a[c>>0]|0;e=a[d>>0]|0}while(!(b<<24>>24==0?1:b<<24>>24!=e<<24>>24));f=e;g=b}return (g&255)-(f&255)|0}function Es(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0;a:do if(!d)e=0;else{f=b;g=d;h=c;while(1){i=a[f>>0]|0;j=a[h>>0]|0;if(i<<24>>24!=j<<24>>24)break;g=g+-1|0;if(!g){e=0;break a}else{f=f+1|0;h=h+1|0}}e=(i&255)-(j&255)|0}while(0);return e|0}function Fs(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0;g=l;l=l+128|0;h=g+124|0;i=g;j=i;k=16664;m=j+124|0;do{c[j>>2]=c[k>>2];j=j+4|0;k=k+4|0}while((j|0)<(m|0));if((d+-1|0)>>>0>2147483646)if(!d){n=h;o=1;p=4}else{c[(ts()|0)>>2]=75;q=-1}else{n=b;o=d;p=4}if((p|0)==4){p=-2-n|0;d=o>>>0>p>>>0?p:o;c[i+48>>2]=d;o=i+20|0;c[o>>2]=n;c[i+44>>2]=n;p=n+d|0;n=i+16|0;c[n>>2]=p;c[i+28>>2]=p;p=Gs(i,e,f)|0;if(!d)q=p;else{d=c[o>>2]|0;a[d+(((d|0)==(c[n>>2]|0))<<31>>31)>>0]=0;q=p}}l=g;return q|0}function Gs(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;f=l;l=l+224|0;g=f+120|0;h=f+80|0;i=f;j=f+136|0;k=h;m=k+40|0;do{c[k>>2]=0;k=k+4|0}while((k|0)<(m|0));c[g>>2]=c[e>>2];if((Hs(0,d,g,i,h)|0)<0)n=-1;else{if((c[b+76>>2]|0)>-1)o=Is(b)|0;else o=0;e=c[b>>2]|0;k=e&32;if((a[b+74>>0]|0)<1)c[b>>2]=e&-33;e=b+48|0;if(!(c[e>>2]|0)){m=b+44|0;p=c[m>>2]|0;c[m>>2]=j;q=b+28|0;c[q>>2]=j;r=b+20|0;c[r>>2]=j;c[e>>2]=80;s=b+16|0;c[s>>2]=j+80;j=Hs(b,d,g,i,h)|0;if(!p)t=j;else{Qa[c[b+36>>2]&127](b,0,0)|0;u=(c[r>>2]|0)==0?-1:j;c[m>>2]=p;c[e>>2]=0;c[s>>2]=0;c[q>>2]=0;c[r>>2]=0;t=u}}else t=Hs(b,d,g,i,h)|0;h=c[b>>2]|0;c[b>>2]=h|k;if(o|0)Js(b);n=(h&32|0)==0?t:-1}l=f;return n|0}function Hs(d,e,f,g,i){d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0;j=l;l=l+64|0;k=j+16|0;m=j;n=j+24|0;o=j+8|0;p=j+20|0;c[k>>2]=e;q=(d|0)!=0;r=n+40|0;s=r;t=n+39|0;n=o+4|0;u=0;v=0;w=0;x=e;a:while(1){do if((v|0)>-1)if((u|0)>(2147483647-v|0)){c[(ts()|0)>>2]=75;y=-1;break}else{y=u+v|0;break}else y=v;while(0);e=a[x>>0]|0;if(!(e<<24>>24)){z=87;break}else{A=e;B=x}b:while(1){switch(A<<24>>24){case 37:{C=B;E=B;z=9;break b;break}case 0:{F=B;G=B;break b;break}default:{}}e=B+1|0;c[k>>2]=e;A=a[e>>0]|0;B=e}c:do if((z|0)==9)while(1){z=0;if((a[E+1>>0]|0)!=37){F=C;G=E;break c}e=C+1|0;H=E+2|0;c[k>>2]=H;if((a[H>>0]|0)==37){C=e;E=H;z=9}else{F=e;G=H;break}}while(0);H=F-x|0;if(q)Ks(d,x,H);if(H|0){u=H;v=y;x=G;continue}H=G+1|0;e=(a[H>>0]|0)+-48|0;if(e>>>0<10){I=(a[G+2>>0]|0)==36;J=I?e:-1;K=I?1:w;L=I?G+3|0:H}else{J=-1;K=w;L=H}c[k>>2]=L;H=a[L>>0]|0;I=(H<<24>>24)+-32|0;d:do if(I>>>0<32){e=0;M=H;N=I;O=L;while(1){P=1<<N;if(!(P&75913)){Q=e;R=M;S=O;break d}T=P|e;P=O+1|0;c[k>>2]=P;U=a[P>>0]|0;N=(U<<24>>24)+-32|0;if(N>>>0>=32){Q=T;R=U;S=P;break}else{e=T;M=U;O=P}}}else{Q=0;R=H;S=L}while(0);if(R<<24>>24==42){H=S+1|0;I=(a[H>>0]|0)+-48|0;if(I>>>0<10?(a[S+2>>0]|0)==36:0){c[i+(I<<2)>>2]=10;V=c[g+((a[H>>0]|0)+-48<<3)>>2]|0;W=1;X=S+3|0}else{if(K|0){Y=-1;break}if(q){I=(c[f>>2]|0)+(4-1)&~(4-1);O=c[I>>2]|0;c[f>>2]=I+4;V=O;W=0;X=H}else{V=0;W=0;X=H}}c[k>>2]=X;H=(V|0)<0;Z=H?0-V|0:V;_=H?Q|8192:Q;$=W;aa=X}else{H=Ls(k)|0;if((H|0)<0){Y=-1;break}Z=H;_=Q;$=K;aa=c[k>>2]|0}do if((a[aa>>0]|0)==46){if((a[aa+1>>0]|0)!=42){c[k>>2]=aa+1;H=Ls(k)|0;ba=H;ca=c[k>>2]|0;break}H=aa+2|0;O=(a[H>>0]|0)+-48|0;if(O>>>0<10?(a[aa+3>>0]|0)==36:0){c[i+(O<<2)>>2]=10;O=c[g+((a[H>>0]|0)+-48<<3)>>2]|0;I=aa+4|0;c[k>>2]=I;ba=O;ca=I;break}if($|0){Y=-1;break a}if(q){I=(c[f>>2]|0)+(4-1)&~(4-1);O=c[I>>2]|0;c[f>>2]=I+4;da=O}else da=0;c[k>>2]=H;ba=da;ca=H}else{ba=-1;ca=aa}while(0);H=0;O=ca;while(1){if(((a[O>>0]|0)+-65|0)>>>0>57){Y=-1;break a}ea=O+1|0;c[k>>2]=ea;fa=a[(a[O>>0]|0)+-65+(46275+(H*58|0))>>0]|0;ga=fa&255;if((ga+-1|0)>>>0<8){H=ga;O=ea}else break}if(!(fa<<24>>24)){Y=-1;break}I=(J|0)>-1;do if(fa<<24>>24==19)if(I){Y=-1;break a}else z=49;else{if(I){c[i+(J<<2)>>2]=ga;M=g+(J<<3)|0;e=c[M+4>>2]|0;N=m;c[N>>2]=c[M>>2];c[N+4>>2]=e;z=49;break}if(!q){Y=0;break a}Ms(m,ga,f)}while(0);if((z|0)==49?(z=0,!q):0){u=0;v=y;w=$;x=ea;continue}I=a[O>>0]|0;e=(H|0)!=0&(I&15|0)==3?I&-33:I;I=_&-65537;N=(_&8192|0)==0?_:I;e:do switch(e|0){case 110:{switch((H&255)<<24>>24){case 0:{c[c[m>>2]>>2]=y;u=0;v=y;w=$;x=ea;continue a;break}case 1:{c[c[m>>2]>>2]=y;u=0;v=y;w=$;x=ea;continue a;break}case 2:{M=c[m>>2]|0;c[M>>2]=y;c[M+4>>2]=((y|0)<0)<<31>>31;u=0;v=y;w=$;x=ea;continue a;break}case 3:{b[c[m>>2]>>1]=y;u=0;v=y;w=$;x=ea;continue a;break}case 4:{a[c[m>>2]>>0]=y;u=0;v=y;w=$;x=ea;continue a;break}case 6:{c[c[m>>2]>>2]=y;u=0;v=y;w=$;x=ea;continue a;break}case 7:{M=c[m>>2]|0;c[M>>2]=y;c[M+4>>2]=((y|0)<0)<<31>>31;u=0;v=y;w=$;x=ea;continue a;break}default:{u=0;v=y;w=$;x=ea;continue a}}break}case 112:{ha=120;ia=ba>>>0>8?ba:8;ja=N|8;z=61;break}case 88:case 120:{ha=e;ia=ba;ja=N;z=61;break}case 111:{M=m;P=c[M>>2]|0;U=c[M+4>>2]|0;M=Os(P,U,r)|0;T=s-M|0;ka=M;la=0;ma=46739;na=(N&8|0)==0|(ba|0)>(T|0)?ba:T+1|0;oa=N;pa=P;qa=U;z=67;break}case 105:case 100:{U=m;P=c[U>>2]|0;T=c[U+4>>2]|0;if((T|0)<0){U=Ru(0,0,P|0,T|0)|0;M=D;ra=m;c[ra>>2]=U;c[ra+4>>2]=M;sa=1;ta=46739;ua=U;va=M;z=66;break e}else{sa=(N&2049|0)!=0&1;ta=(N&2048|0)==0?((N&1|0)==0?46739:46741):46740;ua=P;va=T;z=66;break e}break}case 117:{T=m;sa=0;ta=46739;ua=c[T>>2]|0;va=c[T+4>>2]|0;z=66;break}case 99:{a[t>>0]=c[m>>2];wa=t;xa=0;ya=46739;za=r;Aa=1;Ba=I;break}case 109:{Ca=Qs(c[(ts()|0)>>2]|0)|0;z=71;break}case 115:{T=c[m>>2]|0;Ca=T|0?T:46749;z=71;break}case 67:{c[o>>2]=c[m>>2];c[n>>2]=0;c[m>>2]=o;Da=-1;Ea=o;z=75;break}case 83:{T=c[m>>2]|0;if(!ba){Ss(d,32,Z,0,N);Fa=0;z=84}else{Da=ba;Ea=T;z=75}break}case 65:case 71:case 70:case 69:case 97:case 103:case 102:case 101:{u=Us(d,+h[m>>3],Z,ba,N,e)|0;v=y;w=$;x=ea;continue a;break}default:{wa=x;xa=0;ya=46739;za=r;Aa=ba;Ba=N}}while(0);f:do if((z|0)==61){z=0;e=m;H=c[e>>2]|0;O=c[e+4>>2]|0;e=Ns(H,O,r,ha&32)|0;T=(ja&8|0)==0|(H|0)==0&(O|0)==0;ka=e;la=T?0:2;ma=T?46739:46739+(ha>>4)|0;na=ia;oa=ja;pa=H;qa=O;z=67}else if((z|0)==66){z=0;ka=Ps(ua,va,r)|0;la=sa;ma=ta;na=ba;oa=N;pa=ua;qa=va;z=67}else if((z|0)==71){z=0;O=Rs(Ca,0,ba)|0;H=(O|0)==0;wa=Ca;xa=0;ya=46739;za=H?Ca+ba|0:O;Aa=H?ba:O-Ca|0;Ba=I}else if((z|0)==75){z=0;O=Ea;H=0;T=0;while(1){e=c[O>>2]|0;if(!e){Ga=H;Ha=T;break}P=Ts(p,e)|0;if((P|0)<0|P>>>0>(Da-H|0)>>>0){Ga=H;Ha=P;break}e=P+H|0;if(Da>>>0>e>>>0){O=O+4|0;H=e;T=P}else{Ga=e;Ha=P;break}}if((Ha|0)<0){Y=-1;break a}Ss(d,32,Z,Ga,N);if(!Ga){Fa=0;z=84}else{T=Ea;H=0;while(1){O=c[T>>2]|0;if(!O){Fa=Ga;z=84;break f}P=Ts(p,O)|0;H=P+H|0;if((H|0)>(Ga|0)){Fa=Ga;z=84;break f}Ks(d,p,P);if(H>>>0>=Ga>>>0){Fa=Ga;z=84;break}else T=T+4|0}}}while(0);if((z|0)==67){z=0;I=(pa|0)!=0|(qa|0)!=0;T=(na|0)!=0|I;H=((I^1)&1)+(s-ka)|0;wa=T?ka:r;xa=la;ya=ma;za=r;Aa=T?((na|0)>(H|0)?na:H):na;Ba=(na|0)>-1?oa&-65537:oa}else if((z|0)==84){z=0;Ss(d,32,Z,Fa,N^8192);u=(Z|0)>(Fa|0)?Z:Fa;v=y;w=$;x=ea;continue}H=za-wa|0;T=(Aa|0)<(H|0)?H:Aa;I=T+xa|0;P=(Z|0)<(I|0)?I:Z;Ss(d,32,P,I,Ba);Ks(d,ya,xa);Ss(d,48,P,I,Ba^65536);Ss(d,48,T,H,0);Ks(d,wa,H);Ss(d,32,P,I,Ba^8192);u=P;v=y;w=$;x=ea}g:do if((z|0)==87)if(!d)if(!w)Y=0;else{ea=1;while(1){x=c[i+(ea<<2)>>2]|0;if(!x){Ia=ea;break}Ms(g+(ea<<3)|0,x,f);ea=ea+1|0;if((ea|0)>=10){Y=1;break g}}while(1){if(c[i+(Ia<<2)>>2]|0){Y=-1;break g}Ia=Ia+1|0;if((Ia|0)>=10){Y=1;break}}}else Y=y;while(0);l=j;return Y|0}function Is(a){a=a|0;return 0}function Js(a){a=a|0;return}function Ks(a,b,d){a=a|0;b=b|0;d=d|0;if(!(c[a>>2]&32))et(b,d,a)|0;return}function Ls(b){b=b|0;var d=0,e=0,f=0,g=0,h=0;d=c[b>>2]|0;e=(a[d>>0]|0)+-48|0;if(e>>>0<10){f=0;g=d;d=e;while(1){e=d+(f*10|0)|0;g=g+1|0;c[b>>2]=g;d=(a[g>>0]|0)+-48|0;if(d>>>0>=10){h=e;break}else f=e}}else h=0;return h|0}function Ms(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,i=0,j=0.0;a:do if(b>>>0<=20)do switch(b|0){case 9:{e=(c[d>>2]|0)+(4-1)&~(4-1);f=c[e>>2]|0;c[d>>2]=e+4;c[a>>2]=f;break a;break}case 10:{f=(c[d>>2]|0)+(4-1)&~(4-1);e=c[f>>2]|0;c[d>>2]=f+4;f=a;c[f>>2]=e;c[f+4>>2]=((e|0)<0)<<31>>31;break a;break}case 11:{e=(c[d>>2]|0)+(4-1)&~(4-1);f=c[e>>2]|0;c[d>>2]=e+4;e=a;c[e>>2]=f;c[e+4>>2]=0;break a;break}case 12:{e=(c[d>>2]|0)+(8-1)&~(8-1);f=e;g=c[f>>2]|0;i=c[f+4>>2]|0;c[d>>2]=e+8;e=a;c[e>>2]=g;c[e+4>>2]=i;break a;break}case 13:{i=(c[d>>2]|0)+(4-1)&~(4-1);e=c[i>>2]|0;c[d>>2]=i+4;i=(e&65535)<<16>>16;e=a;c[e>>2]=i;c[e+4>>2]=((i|0)<0)<<31>>31;break a;break}case 14:{i=(c[d>>2]|0)+(4-1)&~(4-1);e=c[i>>2]|0;c[d>>2]=i+4;i=a;c[i>>2]=e&65535;c[i+4>>2]=0;break a;break}case 15:{i=(c[d>>2]|0)+(4-1)&~(4-1);e=c[i>>2]|0;c[d>>2]=i+4;i=(e&255)<<24>>24;e=a;c[e>>2]=i;c[e+4>>2]=((i|0)<0)<<31>>31;break a;break}case 16:{i=(c[d>>2]|0)+(4-1)&~(4-1);e=c[i>>2]|0;c[d>>2]=i+4;i=a;c[i>>2]=e&255;c[i+4>>2]=0;break a;break}case 17:{i=(c[d>>2]|0)+(8-1)&~(8-1);j=+h[i>>3];c[d>>2]=i+8;h[a>>3]=j;break a;break}case 18:{i=(c[d>>2]|0)+(8-1)&~(8-1);j=+h[i>>3];c[d>>2]=i+8;h[a>>3]=j;break a;break}default:break a}while(0);while(0);return}function Ns(b,c,e,f){b=b|0;c=c|0;e=e|0;f=f|0;var g=0,h=0;if((b|0)==0&(c|0)==0)g=e;else{h=e;e=c;c=b;while(1){b=h+-1|0;a[b>>0]=d[46787+(c&15)>>0]|0|f;c=Uu(c|0,e|0,4)|0;e=D;if((c|0)==0&(e|0)==0){g=b;break}else h=b}}return g|0}function Os(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;if((b|0)==0&(c|0)==0)e=d;else{f=d;d=c;c=b;while(1){b=f+-1|0;a[b>>0]=c&7|48;c=Uu(c|0,d|0,3)|0;d=D;if((c|0)==0&(d|0)==0){e=b;break}else f=b}}return e|0}function Ps(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0;if(c>>>0>0|(c|0)==0&b>>>0>4294967295){e=d;f=b;g=c;while(1){c=cv(f|0,g|0,10,0)|0;e=e+-1|0;a[e>>0]=c&255|48;c=f;f=Zu(f|0,g|0,10,0)|0;if(!(g>>>0>9|(g|0)==9&c>>>0>4294967295))break;else g=D}h=f;i=e}else{h=b;i=d}if(!h)j=i;else{d=h;h=i;while(1){i=h+-1|0;a[i>>0]=(d>>>0)%10|0|48;if(d>>>0<10){j=i;break}else{d=(d>>>0)/10|0;h=i}}}return j|0}function Qs(a){a=a|0;return $s(a,c[(_s()|0)+188>>2]|0)|0}function Rs(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;f=d&255;g=(e|0)!=0;a:do if(g&(b&3|0)!=0){h=d&255;i=b;j=e;while(1){if((a[i>>0]|0)==h<<24>>24){k=i;l=j;m=6;break a}n=i+1|0;o=j+-1|0;p=(o|0)!=0;if(p&(n&3|0)!=0){i=n;j=o}else{q=n;r=o;s=p;m=5;break}}}else{q=b;r=e;s=g;m=5}while(0);if((m|0)==5)if(s){k=q;l=r;m=6}else{t=q;u=0}b:do if((m|0)==6){q=d&255;if((a[k>>0]|0)==q<<24>>24){t=k;u=l}else{r=S(f,16843009)|0;c:do if(l>>>0>3){s=k;g=l;while(1){e=c[s>>2]^r;if((e&-2139062144^-2139062144)&e+-16843009|0)break;e=s+4|0;b=g+-4|0;if(b>>>0>3){s=e;g=b}else{v=e;w=b;m=11;break c}}x=s;y=g}else{v=k;w=l;m=11}while(0);if((m|0)==11)if(!w){t=v;u=0;break}else{x=v;y=w}while(1){if((a[x>>0]|0)==q<<24>>24){t=x;u=y;break b}r=x+1|0;y=y+-1|0;if(!y){t=r;u=0;break}else x=r}}}while(0);return (u|0?t:0)|0}function Ss(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=l;l=l+256|0;g=f;if((c|0)>(d|0)&(e&73728|0)==0){e=c-d|0;Tu(g|0,b|0,(e>>>0<256?e:256)|0)|0;if(e>>>0>255){b=c-d|0;d=e;do{Ks(a,g,256);d=d+-256|0}while(d>>>0>255);h=b&255}else h=e;Ks(a,g,h)}l=f;return}function Ts(a,b){a=a|0;b=b|0;var c=0;if(!a)c=0;else c=Ys(a,b,0)|0;return c|0}function Us(b,e,f,g,h,i){b=b|0;e=+e;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,E=0.0,F=0,G=0,H=0,I=0.0,J=0,K=0,L=0,M=0,N=0.0,O=0,P=0,Q=0,R=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0.0,fa=0.0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0;j=l;l=l+560|0;k=j+8|0;m=j;n=j+524|0;o=n;p=j+512|0;c[m>>2]=0;q=p+12|0;Vs(e)|0;if((D|0)<0){r=-e;s=1;t=46756}else{r=e;s=(h&2049|0)!=0&1;t=(h&2048|0)==0?((h&1|0)==0?46757:46762):46759}Vs(r)|0;u=D&2146435072;do if(u>>>0<2146435072|(u|0)==2146435072&0<0){e=+Ws(r,m)*2.0;v=e!=0.0;if(v)c[m>>2]=(c[m>>2]|0)+-1;w=i|32;if((w|0)==97){x=i&32;y=(x|0)==0?t:t+9|0;z=s|2;A=12-g|0;do if(!(g>>>0>11|(A|0)==0)){B=8.0;C=A;do{C=C+-1|0;B=B*16.0}while((C|0)!=0);if((a[y>>0]|0)==45){E=-(B+(-e-B));break}else{E=e+B-B;break}}else E=e;while(0);A=c[m>>2]|0;C=(A|0)<0?0-A|0:A;F=Ps(C,((C|0)<0)<<31>>31,q)|0;if((F|0)==(q|0)){C=p+11|0;a[C>>0]=48;G=C}else G=F;a[G+-1>>0]=(A>>31&2)+43;A=G+-2|0;a[A>>0]=i+15;F=(g|0)<1;C=(h&8|0)==0;H=n;I=E;while(1){J=~~I;K=H+1|0;a[H>>0]=d[46787+J>>0]|x;I=(I-+(J|0))*16.0;if((K-o|0)==1?!(C&(F&I==0.0)):0){a[K>>0]=46;L=H+2|0}else L=K;if(!(I!=0.0))break;else H=L}H=L-o|0;F=q-A|0;C=(g|0)!=0&(H+-2|0)<(g|0)?g+2|0:H;x=F+z+C|0;Ss(b,32,f,x,h);Ks(b,y,z);Ss(b,48,f,x,h^65536);Ks(b,n,H);Ss(b,48,C-H|0,0,0);Ks(b,A,F);Ss(b,32,f,x,h^8192);M=x;break}x=(g|0)<0?6:g;if(v){F=(c[m>>2]|0)+-28|0;c[m>>2]=F;N=e*268435456.0;O=F}else{N=e;O=c[m>>2]|0}F=(O|0)<0?k:k+288|0;H=F;I=N;do{C=~~I>>>0;c[H>>2]=C;H=H+4|0;I=(I-+(C>>>0))*1.0e9}while(I!=0.0);if((O|0)>0){v=F;A=H;z=O;while(1){y=(z|0)<29?z:29;C=A+-4|0;if(C>>>0>=v>>>0){K=C;C=0;do{J=Vu(c[K>>2]|0,0,y|0)|0;P=Su(J|0,D|0,C|0,0)|0;J=D;Q=cv(P|0,J|0,1e9,0)|0;c[K>>2]=Q;C=Zu(P|0,J|0,1e9,0)|0;K=K+-4|0}while(K>>>0>=v>>>0);if(C){K=v+-4|0;c[K>>2]=C;R=K}else R=v}else R=v;K=A;while(1){if(K>>>0<=R>>>0)break;J=K+-4|0;if(!(c[J>>2]|0))K=J;else break}C=(c[m>>2]|0)-y|0;c[m>>2]=C;if((C|0)>0){v=R;A=K;z=C}else{T=R;U=K;V=C;break}}}else{T=F;U=H;V=O}if((V|0)<0){z=((x+25|0)/9|0)+1|0;A=(w|0)==102;v=T;C=U;J=V;while(1){P=0-J|0;Q=(P|0)<9?P:9;if(v>>>0<C>>>0){P=(1<<Q)+-1|0;W=1e9>>>Q;X=0;Y=v;do{Z=c[Y>>2]|0;c[Y>>2]=(Z>>>Q)+X;X=S(Z&P,W)|0;Y=Y+4|0}while(Y>>>0<C>>>0);Y=(c[v>>2]|0)==0?v+4|0:v;if(!X){_=Y;$=C}else{c[C>>2]=X;_=Y;$=C+4|0}}else{_=(c[v>>2]|0)==0?v+4|0:v;$=C}Y=A?F:_;W=($-Y>>2|0)>(z|0)?Y+(z<<2)|0:$;J=(c[m>>2]|0)+Q|0;c[m>>2]=J;if((J|0)>=0){aa=_;ba=W;break}else{v=_;C=W}}}else{aa=T;ba=U}C=F;if(aa>>>0<ba>>>0){v=(C-aa>>2)*9|0;J=c[aa>>2]|0;if(J>>>0<10)ca=v;else{z=v;v=10;while(1){v=v*10|0;A=z+1|0;if(J>>>0<v>>>0){ca=A;break}else z=A}}}else ca=0;z=(w|0)==103;v=(x|0)!=0;J=x-((w|0)!=102?ca:0)+((v&z)<<31>>31)|0;if((J|0)<(((ba-C>>2)*9|0)+-9|0)){A=J+9216|0;J=F+4+(((A|0)/9|0)+-1024<<2)|0;H=((A|0)%9|0)+1|0;if((H|0)<9){A=H;H=10;while(1){W=H*10|0;A=A+1|0;if((A|0)==9){da=W;break}else H=W}}else da=10;H=c[J>>2]|0;A=(H>>>0)%(da>>>0)|0;w=(J+4|0)==(ba|0);if(!(w&(A|0)==0)){B=(((H>>>0)/(da>>>0)|0)&1|0)==0?9007199254740992.0:9007199254740994.0;W=(da|0)/2|0;I=A>>>0<W>>>0?.5:w&(A|0)==(W|0)?1.0:1.5;if(!s){ea=I;fa=B}else{W=(a[t>>0]|0)==45;ea=W?-I:I;fa=W?-B:B}W=H-A|0;c[J>>2]=W;if(fa+ea!=fa){A=W+da|0;c[J>>2]=A;if(A>>>0>999999999){A=aa;W=J;while(1){H=W+-4|0;c[W>>2]=0;if(H>>>0<A>>>0){w=A+-4|0;c[w>>2]=0;ga=w}else ga=A;w=(c[H>>2]|0)+1|0;c[H>>2]=w;if(w>>>0>999999999){A=ga;W=H}else{ha=ga;ia=H;break}}}else{ha=aa;ia=J}W=(C-ha>>2)*9|0;A=c[ha>>2]|0;if(A>>>0<10){ja=ia;ka=W;la=ha}else{H=W;W=10;while(1){W=W*10|0;w=H+1|0;if(A>>>0<W>>>0){ja=ia;ka=w;la=ha;break}else H=w}}}else{ja=J;ka=ca;la=aa}}else{ja=J;ka=ca;la=aa}H=ja+4|0;ma=ka;na=ba>>>0>H>>>0?H:ba;oa=la}else{ma=ca;na=ba;oa=aa}H=na;while(1){if(H>>>0<=oa>>>0){pa=0;break}W=H+-4|0;if(!(c[W>>2]|0))H=W;else{pa=1;break}}J=0-ma|0;do if(z){W=((v^1)&1)+x|0;if((W|0)>(ma|0)&(ma|0)>-5){qa=i+-1|0;ra=W+-1-ma|0}else{qa=i+-2|0;ra=W+-1|0}W=h&8;if(!W){if(pa?(A=c[H+-4>>2]|0,(A|0)!=0):0)if(!((A>>>0)%10|0)){w=0;Y=10;while(1){Y=Y*10|0;P=w+1|0;if((A>>>0)%(Y>>>0)|0|0){sa=P;break}else w=P}}else sa=0;else sa=9;w=((H-C>>2)*9|0)+-9|0;if((qa|32|0)==102){Y=w-sa|0;A=(Y|0)>0?Y:0;ta=qa;ua=(ra|0)<(A|0)?ra:A;va=0;break}else{A=w+ma-sa|0;w=(A|0)>0?A:0;ta=qa;ua=(ra|0)<(w|0)?ra:w;va=0;break}}else{ta=qa;ua=ra;va=W}}else{ta=i;ua=x;va=h&8}while(0);x=ua|va;C=(x|0)!=0&1;v=(ta|32|0)==102;if(v){wa=0;xa=(ma|0)>0?ma:0}else{z=(ma|0)<0?J:ma;w=Ps(z,((z|0)<0)<<31>>31,q)|0;z=q;if((z-w|0)<2){A=w;while(1){Y=A+-1|0;a[Y>>0]=48;if((z-Y|0)<2)A=Y;else{ya=Y;break}}}else ya=w;a[ya+-1>>0]=(ma>>31&2)+43;A=ya+-2|0;a[A>>0]=ta;wa=A;xa=z-A|0}A=s+1+ua+C+xa|0;Ss(b,32,f,A,h);Ks(b,t,s);Ss(b,48,f,A,h^65536);if(v){J=oa>>>0>F>>>0?F:oa;Y=n+9|0;Q=Y;X=n+8|0;P=J;do{K=Ps(c[P>>2]|0,0,Y)|0;if((P|0)==(J|0))if((K|0)==(Y|0)){a[X>>0]=48;za=X}else za=K;else if(K>>>0>n>>>0){Tu(n|0,48,K-o|0)|0;y=K;while(1){Z=y+-1|0;if(Z>>>0>n>>>0)y=Z;else{za=Z;break}}}else za=K;Ks(b,za,Q-za|0);P=P+4|0}while(P>>>0<=F>>>0);if(x|0)Ks(b,46803,1);if(P>>>0<H>>>0&(ua|0)>0){F=ua;Q=P;while(1){X=Ps(c[Q>>2]|0,0,Y)|0;if(X>>>0>n>>>0){Tu(n|0,48,X-o|0)|0;J=X;while(1){v=J+-1|0;if(v>>>0>n>>>0)J=v;else{Aa=v;break}}}else Aa=X;Ks(b,Aa,(F|0)<9?F:9);Q=Q+4|0;J=F+-9|0;if(!(Q>>>0<H>>>0&(F|0)>9)){Ba=J;break}else F=J}}else Ba=ua;Ss(b,48,Ba+9|0,9,0)}else{F=pa?H:oa+4|0;if((ua|0)>-1){Q=n+9|0;Y=(va|0)==0;P=Q;x=0-o|0;J=n+8|0;K=ua;v=oa;while(1){C=Ps(c[v>>2]|0,0,Q)|0;if((C|0)==(Q|0)){a[J>>0]=48;Ca=J}else Ca=C;do if((v|0)==(oa|0)){C=Ca+1|0;Ks(b,Ca,1);if(Y&(K|0)<1){Da=C;break}Ks(b,46803,1);Da=C}else{if(Ca>>>0<=n>>>0){Da=Ca;break}Tu(n|0,48,Ca+x|0)|0;C=Ca;while(1){z=C+-1|0;if(z>>>0>n>>>0)C=z;else{Da=z;break}}}while(0);X=P-Da|0;Ks(b,Da,(K|0)>(X|0)?X:K);C=K-X|0;v=v+4|0;if(!(v>>>0<F>>>0&(C|0)>-1)){Ea=C;break}else K=C}}else Ea=ua;Ss(b,48,Ea+18|0,18,0);Ks(b,wa,q-wa|0)}Ss(b,32,f,A,h^8192);M=A}else{K=(i&32|0)!=0;F=s+3|0;Ss(b,32,f,F,h&-65537);Ks(b,t,s);Ks(b,r!=r|0.0!=0.0?(K?48706:46783):K?46775:46779,3);Ss(b,32,f,F,h^8192);M=F}while(0);l=j;return ((M|0)<(f|0)?f:M)|0}function Vs(a){a=+a;var b=0;h[j>>3]=a;b=c[j>>2]|0;D=c[j+4>>2]|0;return b|0}function Ws(a,b){a=+a;b=b|0;return +(+Xs(a,b))}function Xs(a,b){a=+a;b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,k=0,l=0.0;h[j>>3]=a;d=c[j>>2]|0;e=c[j+4>>2]|0;f=Uu(d|0,e|0,52)|0;switch(f&2047){case 0:{if(a!=0.0){g=+Xs(a*18446744073709551616.0,b);i=g;k=(c[b>>2]|0)+-64|0}else{i=a;k=0}c[b>>2]=k;l=i;break}case 2047:{l=a;break}default:{c[b>>2]=(f&2047)+-1022;c[j>>2]=d;c[j+4>>2]=e&-2146435073|1071644672;l=+h[j>>3]}}return +l}function Ys(b,d,e){b=b|0;d=d|0;e=e|0;var f=0;do if(b){if(d>>>0<128){a[b>>0]=d;f=1;break}if(!(c[c[(Zs()|0)+188>>2]>>2]|0))if((d&-128|0)==57216){a[b>>0]=d;f=1;break}else{c[(ts()|0)>>2]=84;f=-1;break}if(d>>>0<2048){a[b>>0]=d>>>6|192;a[b+1>>0]=d&63|128;f=2;break}if(d>>>0<55296|(d&-8192|0)==57344){a[b>>0]=d>>>12|224;a[b+1>>0]=d>>>6&63|128;a[b+2>>0]=d&63|128;f=3;break}if((d+-65536|0)>>>0<1048576){a[b>>0]=d>>>18|240;a[b+1>>0]=d>>>12&63|128;a[b+2>>0]=d>>>6&63|128;a[b+3>>0]=d&63|128;f=4;break}else{c[(ts()|0)>>2]=84;f=-1;break}}else f=1;while(0);return f|0}function Zs(){return vs()|0}function _s(){return vs()|0}function $s(b,e){b=b|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0;f=0;while(1){if((d[46805+f>>0]|0)==(b|0)){g=2;break}h=f+1|0;if((h|0)==87){i=46893;j=87;g=5;break}else f=h}if((g|0)==2)if(!f)k=46893;else{i=46893;j=f;g=5}if((g|0)==5)while(1){g=0;f=i;do{b=f;f=f+1|0}while((a[b>>0]|0)!=0);j=j+-1|0;if(!j){k=f;break}else{i=f;g=5}}return at(k,c[e+20>>2]|0)|0}function at(a,b){a=a|0;b=b|0;return bt(a,b)|0}function bt(a,b){a=a|0;b=b|0;var d=0;if(!b)d=0;else d=ct(c[b>>2]|0,c[b+4>>2]|0,a)|0;return (d|0?d:a)|0}function ct(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;f=(c[b>>2]|0)+1794895138|0;g=dt(c[b+8>>2]|0,f)|0;h=dt(c[b+12>>2]|0,f)|0;i=dt(c[b+16>>2]|0,f)|0;a:do if((g>>>0<d>>>2>>>0?(j=d-(g<<2)|0,h>>>0<j>>>0&i>>>0<j>>>0):0)?((i|h)&3|0)==0:0){j=h>>>2;k=i>>>2;l=0;m=g;while(1){n=m>>>1;o=l+n|0;p=o<<1;q=p+j|0;r=dt(c[b+(q<<2)>>2]|0,f)|0;s=dt(c[b+(q+1<<2)>>2]|0,f)|0;if(!(s>>>0<d>>>0&r>>>0<(d-s|0)>>>0)){t=0;break a}if(a[b+(s+r)>>0]|0){t=0;break a}r=Ds(e,b+s|0)|0;if(!r)break;s=(r|0)<0;if((m|0)==1){t=0;break a}else{l=s?l:o;m=s?n:m-n|0}}m=p+k|0;l=dt(c[b+(m<<2)>>2]|0,f)|0;j=dt(c[b+(m+1<<2)>>2]|0,f)|0;if(j>>>0<d>>>0&l>>>0<(d-j|0)>>>0)t=(a[b+(j+l)>>0]|0)==0?b+j|0:0;else t=0}else t=0;while(0);return t|0}function dt(a,b){a=a|0;b=b|0;var c=0;c=dv(a|0)|0;return ((b|0)==0?a:c)|0}function et(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;f=e+16|0;g=c[f>>2]|0;if(!g)if(!(ft(e)|0)){h=c[f>>2]|0;i=5}else j=0;else{h=g;i=5}a:do if((i|0)==5){g=e+20|0;f=c[g>>2]|0;k=f;if((h-f|0)>>>0<d>>>0){j=Qa[c[e+36>>2]&127](e,b,d)|0;break}b:do if((a[e+75>>0]|0)>-1){f=d;while(1){if(!f){l=0;m=b;n=d;o=k;break b}p=f+-1|0;if((a[b+p>>0]|0)==10)break;else f=p}p=Qa[c[e+36>>2]&127](e,b,f)|0;if(p>>>0<f>>>0){j=p;break a}l=f;m=b+f|0;n=d-f|0;o=c[g>>2]|0}else{l=0;m=b;n=d;o=k}while(0);Wu(o|0,m|0,n|0)|0;c[g>>2]=(c[g>>2]|0)+n;j=l+n|0}while(0);return j|0}function ft(b){b=b|0;var d=0,e=0,f=0;d=b+74|0;e=a[d>>0]|0;a[d>>0]=e+255|e;e=c[b>>2]|0;if(!(e&8)){c[b+8>>2]=0;c[b+4>>2]=0;d=c[b+44>>2]|0;c[b+28>>2]=d;c[b+20>>2]=d;c[b+16>>2]=d+(c[b+48>>2]|0);f=0}else{c[b>>2]=e|32;f=-1}return f|0}function gt(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=a+20|0;f=c[e>>2]|0;g=(c[a+16>>2]|0)-f|0;a=g>>>0>d>>>0?d:g;Wu(f|0,b|0,a|0)|0;c[e>>2]=(c[e>>2]|0)+a;return d|0}function ht(a){a=a|0;return (a+-32|0)>>>0<95|0}function it(b,e,f){b=b|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0.0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;switch(e|0){case 0:{g=-149;h=24;i=4;break}case 1:{g=-1074;h=53;i=4;break}case 2:{g=-1074;h=53;i=4;break}default:j=0.0}a:do if((i|0)==4){e=b+4|0;k=b+100|0;do{l=c[e>>2]|0;if(l>>>0<(c[k>>2]|0)>>>0){c[e>>2]=l+1;m=d[l>>0]|0}else m=ys(b)|0}while((zs(m)|0)!=0);b:do switch(m|0){case 43:case 45:{l=1-(((m|0)==45&1)<<1)|0;n=c[e>>2]|0;if(n>>>0<(c[k>>2]|0)>>>0){c[e>>2]=n+1;o=d[n>>0]|0;p=l;break b}else{o=ys(b)|0;p=l;break b}break}default:{o=m;p=1}}while(0);l=0;n=o;while(1){if((n|32|0)!=(a[48697+l>>0]|0)){q=l;r=n;break}do if(l>>>0<7){u=c[e>>2]|0;if(u>>>0<(c[k>>2]|0)>>>0){c[e>>2]=u+1;v=d[u>>0]|0;break}else{v=ys(b)|0;break}}else v=n;while(0);u=l+1|0;if(u>>>0<8){l=u;n=v}else{q=u;r=v;break}}c:do switch(q|0){case 8:break;case 3:{i=23;break}default:{n=(f|0)!=0;if(n&q>>>0>3)if((q|0)==8)break c;else{i=23;break c}d:do if(!q){l=0;u=r;while(1){if((u|32|0)!=(a[48706+l>>0]|0)){w=l;x=u;break d}do if(l>>>0<2){y=c[e>>2]|0;if(y>>>0<(c[k>>2]|0)>>>0){c[e>>2]=y+1;z=d[y>>0]|0;break}else{z=ys(b)|0;break}}else z=u;while(0);y=l+1|0;if(y>>>0<3){l=y;u=z}else{w=y;x=z;break}}}else{w=q;x=r}while(0);switch(w|0){case 3:{u=c[e>>2]|0;if(u>>>0<(c[k>>2]|0)>>>0){c[e>>2]=u+1;A=d[u>>0]|0}else A=ys(b)|0;if((A|0)==40)B=1;else{if(!(c[k>>2]|0)){j=s;break a}c[e>>2]=(c[e>>2]|0)+-1;j=s;break a}while(1){u=c[e>>2]|0;if(u>>>0<(c[k>>2]|0)>>>0){c[e>>2]=u+1;C=d[u>>0]|0}else C=ys(b)|0;if(!((C+-48|0)>>>0<10|(C+-65|0)>>>0<26)?!((C|0)==95|(C+-97|0)>>>0<26):0)break;B=B+1|0}if((C|0)==41){j=s;break a}u=(c[k>>2]|0)==0;if(!u)c[e>>2]=(c[e>>2]|0)+-1;if(!n){c[(ts()|0)>>2]=22;xs(b,0);j=0.0;break a}if(!B){j=s;break a}else D=B;while(1){D=D+-1|0;if(!u)c[e>>2]=(c[e>>2]|0)+-1;if(!D){j=s;break a}}break}case 0:{if((x|0)==48){u=c[e>>2]|0;if(u>>>0<(c[k>>2]|0)>>>0){c[e>>2]=u+1;E=d[u>>0]|0}else E=ys(b)|0;if((E|32|0)==120){j=+jt(b,h,g,p,f);break a}if(!(c[k>>2]|0))F=48;else{c[e>>2]=(c[e>>2]|0)+-1;F=48}}else F=x;j=+kt(b,F,h,g,p,f);break a;break}default:{if(c[k>>2]|0)c[e>>2]=(c[e>>2]|0)+-1;c[(ts()|0)>>2]=22;xs(b,0);j=0.0;break a}}}}while(0);if((i|0)==23){u=(c[k>>2]|0)==0;if(!u)c[e>>2]=(c[e>>2]|0)+-1;if((f|0)!=0&q>>>0>3){n=q;do{if(!u)c[e>>2]=(c[e>>2]|0)+-1;n=n+-1|0}while(n>>>0>3)}}j=+(p|0)*t}while(0);return +j}function jt(a,b,e,f,g){a=a|0;b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0.0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,E=0,F=0,G=0.0,H=0.0,I=0,J=0,K=0,L=0,M=0,N=0,O=0.0,P=0,Q=0.0,R=0.0,S=0,T=0.0,U=0,V=0,W=0,X=0.0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0.0,da=0,ea=0.0;h=a+4|0;i=c[h>>2]|0;j=a+100|0;if(i>>>0<(c[j>>2]|0)>>>0){c[h>>2]=i+1;k=d[i>>0]|0;l=0}else{k=ys(a)|0;l=0}a:while(1){switch(k|0){case 46:{m=8;break a;break}case 48:break;default:{n=0;o=0;p=1.0;q=0.0;r=0;s=k;t=l;u=0;v=0;w=0;x=0;break a}}i=c[h>>2]|0;if(i>>>0<(c[j>>2]|0)>>>0){c[h>>2]=i+1;k=d[i>>0]|0;l=1;continue}else{k=ys(a)|0;l=1;continue}}if((m|0)==8){k=c[h>>2]|0;if(k>>>0<(c[j>>2]|0)>>>0){c[h>>2]=k+1;y=d[k>>0]|0}else y=ys(a)|0;if((y|0)==48){k=0;i=0;while(1){z=c[h>>2]|0;if(z>>>0<(c[j>>2]|0)>>>0){c[h>>2]=z+1;A=d[z>>0]|0}else A=ys(a)|0;z=Su(k|0,i|0,-1,-1)|0;B=D;if((A|0)==48){k=z;i=B}else{n=1;o=0;p=1.0;q=0.0;r=0;s=A;t=1;u=B;v=0;w=0;x=z;break}}}else{n=1;o=0;p=1.0;q=0.0;r=0;s=y;t=l;u=0;v=0;w=0;x=0}}while(1){l=s+-48|0;y=(s|0)==46;if(l>>>0>=10?!(y|((s|32)+-97|0)>>>0<6):0){C=s;break}if(y)if(!n){E=1;F=o;G=p;H=q;I=r;J=t;K=w;L=v;M=w;N=v}else{C=46;break}else{y=(s|0)>57?(s|32)+-87|0:l;do if(!((v|0)<0|(v|0)==0&w>>>0<8))if((v|0)<0|(v|0)==0&w>>>0<14){O=p*.0625;P=o;Q=O;R=q+O*+(y|0);S=r;break}else{l=(o|0)!=0|(y|0)==0;P=l?o:1;Q=p;R=l?q:q+p*.5;S=r;break}else{P=o;Q=p;R=q;S=y+(r<<4)|0}while(0);y=Su(w|0,v|0,1,0)|0;E=n;F=P;G=Q;H=R;I=S;J=1;K=x;L=u;M=y;N=D}y=c[h>>2]|0;if(y>>>0<(c[j>>2]|0)>>>0){c[h>>2]=y+1;n=E;o=F;p=G;q=H;r=I;s=d[y>>0]|0;t=J;u=L;v=N;w=M;x=K;continue}else{n=E;o=F;p=G;q=H;r=I;s=ys(a)|0;t=J;u=L;v=N;w=M;x=K;continue}}do if(!t){K=c[j>>2]|0;M=(K|0)!=0;if(M)c[h>>2]=(c[h>>2]|0)+-1;if(g){if(M)c[h>>2]=(c[h>>2]|0)+-1;if(!((n|0)==0|(K|0)==0))c[h>>2]=(c[h>>2]|0)+-1}else xs(a,0);T=+(f|0)*0.0}else{K=(n|0)==0;M=K?w:x;N=K?v:u;if((v|0)<0|(v|0)==0&w>>>0<8){K=r;L=w;J=v;while(1){s=K<<4;L=Su(L|0,J|0,1,0)|0;J=D;if(!((J|0)<0|(J|0)==0&L>>>0<8)){U=s;break}else K=s}}else U=r;if((C|32|0)==112){K=lt(a,g)|0;L=D;if((K|0)==0&(L|0)==-2147483648){if(!g){xs(a,0);T=0.0;break}if(!(c[j>>2]|0)){V=0;W=0}else{c[h>>2]=(c[h>>2]|0)+-1;V=0;W=0}}else{V=K;W=L}}else if(!(c[j>>2]|0)){V=0;W=0}else{c[h>>2]=(c[h>>2]|0)+-1;V=0;W=0}L=Vu(M|0,N|0,2)|0;K=Su(L|0,D|0,-32,-1)|0;L=Su(K|0,D|0,V|0,W|0)|0;K=D;if(!U){T=+(f|0)*0.0;break}J=0-e|0;s=((J|0)<0)<<31>>31;if((K|0)>(s|0)|(K|0)==(s|0)&L>>>0>J>>>0){c[(ts()|0)>>2]=34;T=+(f|0)*1797693134862315708145274.0e284*1797693134862315708145274.0e284;break}J=e+-106|0;s=((J|0)<0)<<31>>31;if((K|0)<(s|0)|(K|0)==(s|0)&L>>>0<J>>>0){c[(ts()|0)>>2]=34;T=+(f|0)*2.2250738585072014e-308*2.2250738585072014e-308;break}if((U|0)>-1){H=q;J=U;s=L;I=K;while(1){F=!(H>=.5);o=J<<1|(F^1)&1;G=H+(F?H:H+-1.0);F=Su(s|0,I|0,-1,-1)|0;E=D;if((o|0)>-1){H=G;J=o;s=F;I=E}else{X=G;Y=o;Z=F;_=E;break}}}else{X=q;Y=U;Z=L;_=K}I=((b|0)<0)<<31>>31;s=Ru(32,0,e|0,((e|0)<0)<<31>>31|0)|0;J=Su(s|0,D|0,Z|0,_|0)|0;s=D;if((I|0)>(s|0)|(I|0)==(s|0)&b>>>0>J>>>0)if((J|0)>0){$=J;m=59}else{aa=0;ba=84;m=61}else{$=b;m=59}if((m|0)==59)if(($|0)<53){aa=$;ba=84-$|0;m=61}else{ca=0.0;da=$;ea=+(f|0)}if((m|0)==61){H=+(f|0);ca=+nt(+mt(1.0,ba),H);da=aa;ea=H}J=(Y&1|0)==0&(X!=0.0&(da|0)<32);H=ea*(J?0.0:X)+(ca+ea*+(((J&1)+Y|0)>>>0))-ca;if(!(H!=0.0))c[(ts()|0)>>2]=34;T=+pt(H,Z)}while(0);return +T}function kt(a,b,e,f,g,h){a=a|0;b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,E=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0.0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0.0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0.0,kb=0.0,lb=0.0,mb=0.0,nb=0.0,ob=0.0,pb=0.0,qb=0.0,rb=0.0,sb=0.0,tb=0;i=l;l=l+512|0;j=i;k=f+e|0;m=0-k|0;n=a+4|0;o=a+100|0;p=b;b=0;a:while(1){switch(p|0){case 46:{q=6;break a;break}case 48:break;default:{r=0;s=p;t=b;u=0;v=0;break a}}w=c[n>>2]|0;if(w>>>0<(c[o>>2]|0)>>>0){c[n>>2]=w+1;p=d[w>>0]|0;b=1;continue}else{p=ys(a)|0;b=1;continue}}if((q|0)==6){p=c[n>>2]|0;if(p>>>0<(c[o>>2]|0)>>>0){c[n>>2]=p+1;x=d[p>>0]|0}else x=ys(a)|0;if((x|0)==48){p=0;w=0;while(1){y=Su(p|0,w|0,-1,-1)|0;z=D;A=c[n>>2]|0;if(A>>>0<(c[o>>2]|0)>>>0){c[n>>2]=A+1;B=d[A>>0]|0}else B=ys(a)|0;if((B|0)==48){p=y;w=z}else{r=1;s=B;t=1;u=y;v=z;break}}}else{r=1;s=x;t=b;u=0;v=0}}c[j>>2]=0;b=s+-48|0;x=(s|0)==46;b:do if(x|b>>>0<10){B=j+496|0;w=0;p=0;z=0;y=r;A=t;C=s;E=x;G=b;H=u;I=v;J=0;K=0;c:while(1){do if(E)if(!y){L=w;M=p;N=1;O=z;P=A;Q=J;R=K;T=J;U=K}else break c;else{V=Su(J|0,K|0,1,0)|0;W=D;X=(C|0)!=48;if((p|0)>=125){if(!X){L=w;M=p;N=y;O=z;P=A;Q=H;R=I;T=V;U=W;break}c[B>>2]=c[B>>2]|1;L=w;M=p;N=y;O=z;P=A;Q=H;R=I;T=V;U=W;break}Y=j+(p<<2)|0;if(!w)Z=G;else Z=C+-48+((c[Y>>2]|0)*10|0)|0;c[Y>>2]=Z;Y=w+1|0;_=(Y|0)==9;L=_?0:Y;M=(_&1)+p|0;N=y;O=X?V:z;P=1;Q=H;R=I;T=V;U=W}while(0);W=c[n>>2]|0;if(W>>>0<(c[o>>2]|0)>>>0){c[n>>2]=W+1;$=d[W>>0]|0}else $=ys(a)|0;G=$+-48|0;E=($|0)==46;if(!(E|G>>>0<10)){aa=L;ba=M;ca=O;da=N;ea=$;fa=P;ga=T;ha=Q;ia=U;ja=R;q=29;break b}else{w=L;p=M;z=O;y=N;A=P;C=$;H=Q;I=R;J=T;K=U}}ka=w;la=p;ma=z;na=J;oa=K;pa=H;qa=I;ra=(A|0)!=0;q=37}else{aa=0;ba=0;ca=0;da=r;ea=s;fa=t;ga=0;ha=u;ia=0;ja=v;q=29}while(0);do if((q|0)==29){v=(da|0)==0;u=v?ga:ha;t=v?ia:ja;v=(fa|0)!=0;if(!(v&(ea|32|0)==101))if((ea|0)>-1){ka=aa;la=ba;ma=ca;na=ga;oa=ia;pa=u;qa=t;ra=v;q=37;break}else{sa=aa;ta=ba;ua=ca;va=ga;wa=ia;xa=v;ya=u;za=t;q=39;break}v=lt(a,h)|0;s=D;if((v|0)==0&(s|0)==-2147483648){if(!h){xs(a,0);Aa=0.0;break}if(!(c[o>>2]|0)){Ba=0;Ca=0}else{c[n>>2]=(c[n>>2]|0)+-1;Ba=0;Ca=0}}else{Ba=v;Ca=s}s=Su(Ba|0,Ca|0,u|0,t|0)|0;Da=aa;Ea=ba;Fa=ca;Ga=s;Ha=ga;Ia=D;Ja=ia;q=41}while(0);if((q|0)==37)if(c[o>>2]|0){c[n>>2]=(c[n>>2]|0)+-1;if(ra){Da=ka;Ea=la;Fa=ma;Ga=pa;Ha=na;Ia=qa;Ja=oa;q=41}else q=40}else{sa=ka;ta=la;ua=ma;va=na;wa=oa;xa=ra;ya=pa;za=qa;q=39}if((q|0)==39)if(xa){Da=sa;Ea=ta;Fa=ua;Ga=ya;Ha=va;Ia=za;Ja=wa;q=41}else q=40;do if((q|0)==40){c[(ts()|0)>>2]=22;xs(a,0);Aa=0.0}else if((q|0)==41){wa=c[j>>2]|0;if(!wa){Aa=+(g|0)*0.0;break}if(((Ja|0)<0|(Ja|0)==0&Ha>>>0<10)&((Ga|0)==(Ha|0)&(Ia|0)==(Ja|0))?(e|0)>30|(wa>>>e|0)==0:0){Aa=+(g|0)*+(wa>>>0);break}wa=(f|0)/-2|0;za=((wa|0)<0)<<31>>31;if((Ia|0)>(za|0)|(Ia|0)==(za|0)&Ga>>>0>wa>>>0){c[(ts()|0)>>2]=34;Aa=+(g|0)*1797693134862315708145274.0e284*1797693134862315708145274.0e284;break}wa=f+-106|0;za=((wa|0)<0)<<31>>31;if((Ia|0)<(za|0)|(Ia|0)==(za|0)&Ga>>>0<wa>>>0){c[(ts()|0)>>2]=34;Aa=+(g|0)*2.2250738585072014e-308*2.2250738585072014e-308;break}if(!Da)Ka=Ea;else{if((Da|0)<9){wa=j+(Ea<<2)|0;za=Da;va=c[wa>>2]|0;do{va=va*10|0;za=za+1|0}while((za|0)!=9);c[wa>>2]=va}Ka=Ea+1|0}if((Fa|0)<9?(Fa|0)<=(Ga|0)&(Ga|0)<18:0){za=c[j>>2]|0;if((Ga|0)==9){Aa=+(g|0)*+(za>>>0);break}if((Ga|0)<9){Aa=+(g|0)*+(za>>>0)/+(c[16788+(8-Ga<<2)>>2]|0);break}A=e+27+(S(Ga,-3)|0)|0;if((A|0)>30|(za>>>A|0)==0){Aa=+(g|0)*+(za>>>0)*+(c[16788+(Ga+-10<<2)>>2]|0);break}}za=(Ga|0)%9|0;if(!za){La=0;Ma=Ka;Na=0;Oa=Ga}else{A=(Ga|0)>-1?za:za+9|0;za=c[16788+(8-A<<2)>>2]|0;if(Ka){I=1e9/(za|0)|0;H=0;K=0;J=Ga;z=0;do{p=j+(z<<2)|0;w=c[p>>2]|0;ya=((w>>>0)/(za>>>0)|0)+H|0;c[p>>2]=ya;H=S(I,(w>>>0)%(za>>>0)|0)|0;w=(z|0)==(K|0)&(ya|0)==0;J=w?J+-9|0:J;K=w?K+1&127:K;z=z+1|0}while((z|0)!=(Ka|0));if(!H){Pa=K;Qa=Ka;Ra=J}else{c[j+(Ka<<2)>>2]=H;Pa=K;Qa=Ka+1|0;Ra=J}}else{Pa=0;Qa=0;Ra=Ga}La=0;Ma=Qa;Na=Pa;Oa=9-A+Ra|0}d:while(1){z=(Oa|0)<18;za=(Oa|0)==18;I=j+(Na<<2)|0;va=La;wa=Ma;while(1){if(!z){if(!za){Sa=va;Ta=Na;Ua=Oa;Va=wa;break d}if((c[I>>2]|0)>>>0>=9007199){Sa=va;Ta=Na;Ua=18;Va=wa;break d}}w=0;Wa=wa;ya=wa+127|0;while(1){p=ya&127;ua=j+(p<<2)|0;ta=Vu(c[ua>>2]|0,0,29)|0;sa=Su(ta|0,D|0,w|0,0)|0;ta=D;if(ta>>>0>0|(ta|0)==0&sa>>>0>1e9){xa=Zu(sa|0,ta|0,1e9,0)|0;qa=cv(sa|0,ta|0,1e9,0)|0;Xa=xa;Ya=qa}else{Xa=0;Ya=sa}c[ua>>2]=Ya;ua=(p|0)==(Na|0);Wa=(Ya|0)==0&(((p|0)!=(Wa+127&127|0)|ua)^1)?p:Wa;if(ua)break;else{w=Xa;ya=p+-1|0}}va=va+-29|0;if(Xa|0)break;else wa=Wa}wa=Na+127&127;I=Wa+127&127;za=j+((Wa+126&127)<<2)|0;if((wa|0)==(Wa|0)){c[za>>2]=c[za>>2]|c[j+(I<<2)>>2];Za=I}else Za=Wa;c[j+(wa<<2)>>2]=Xa;La=va;Ma=Za;Na=wa;Oa=Oa+9|0}e:while(1){A=Va+1&127;J=j+((Va+127&127)<<2)|0;K=Sa;H=Ta;wa=Ua;while(1){I=(wa|0)==18;za=(wa|0)>27?9:1;_a=K;$a=H;while(1){z=0;while(1){ya=z+$a&127;if((ya|0)==(Va|0)){ab=2;q=88;break}w=c[j+(ya<<2)>>2]|0;ya=c[16820+(z<<2)>>2]|0;if(w>>>0<ya>>>0){ab=2;q=88;break}if(w>>>0>ya>>>0)break;ya=z+1|0;if((ya|0)<2)z=ya;else{ab=ya;q=88;break}}if((q|0)==88?(q=0,I&(ab|0)==2):0){bb=0.0;cb=0;db=Va;break e}eb=za+_a|0;if(($a|0)==(Va|0)){_a=eb;$a=Va}else break}I=(1<<za)+-1|0;z=1e9>>>za;fb=0;gb=$a;hb=wa;ya=$a;do{w=j+(ya<<2)|0;p=c[w>>2]|0;ua=(p>>>za)+fb|0;c[w>>2]=ua;fb=S(p&I,z)|0;p=(ya|0)==(gb|0)&(ua|0)==0;hb=p?hb+-9|0:hb;gb=p?gb+1&127:gb;ya=ya+1&127}while((ya|0)!=(Va|0));if(!fb){K=eb;H=gb;wa=hb;continue}if((A|0)!=(gb|0))break;c[J>>2]=c[J>>2]|1;K=eb;H=gb;wa=hb}c[j+(Va<<2)>>2]=fb;Sa=eb;Ta=gb;Ua=hb;Va=A}while(1){wa=cb+$a&127;H=db+1&127;if((wa|0)==(db|0)){c[j+(H+-1<<2)>>2]=0;ib=H}else ib=db;bb=bb*1.0e9+ +((c[j+(wa<<2)>>2]|0)>>>0);cb=cb+1|0;if((cb|0)==2)break;else db=ib}jb=+(g|0);kb=jb*bb;wa=_a+53|0;H=wa-f|0;K=(H|0)<(e|0);J=K?((H|0)>0?H:0):e;if((J|0)<53){lb=+nt(+mt(1.0,105-J|0),kb);mb=+ot(kb,+mt(1.0,53-J|0));nb=lb;ob=mb;pb=lb+(kb-mb)}else{nb=0.0;ob=0.0;pb=kb}va=$a+2&127;if((va|0)!=(ib|0)){ya=c[j+(va<<2)>>2]|0;do if(ya>>>0>=5e8){if((ya|0)!=5e8){qb=jb*.75+ob;break}if(($a+3&127|0)==(ib|0)){qb=jb*.5+ob;break}else{qb=jb*.75+ob;break}}else{if((ya|0)==0?($a+3&127|0)==(ib|0):0){qb=ob;break}qb=jb*.25+ob}while(0);if((53-J|0)>1?!(+ot(qb,1.0)!=0.0):0)rb=qb+1.0;else rb=qb}else rb=ob;jb=pb+rb-nb;do if((wa&2147483647|0)>(-2-k|0)){ya=!(+F(+jb)>=9007199254740992.0);va=((ya^1)&1)+_a|0;kb=ya?jb:jb*.5;if((va+50|0)<=(m|0)?!(rb!=0.0&(K&((J|0)!=(H|0)|ya))):0){sb=kb;tb=va;break}c[(ts()|0)>>2]=34;sb=kb;tb=va}else{sb=jb;tb=_a}while(0);Aa=+pt(sb,tb)}while(0);l=i;return +Aa}function lt(a,b){a=a|0;b=b|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;e=a+4|0;f=c[e>>2]|0;g=a+100|0;if(f>>>0<(c[g>>2]|0)>>>0){c[e>>2]=f+1;h=d[f>>0]|0}else h=ys(a)|0;switch(h|0){case 43:case 45:{f=(h|0)==45&1;i=c[e>>2]|0;if(i>>>0<(c[g>>2]|0)>>>0){c[e>>2]=i+1;j=d[i>>0]|0}else j=ys(a)|0;if((b|0)!=0&(j+-48|0)>>>0>9?(c[g>>2]|0)!=0:0){c[e>>2]=(c[e>>2]|0)+-1;k=f;l=j}else{k=f;l=j}break}default:{k=0;l=h}}if((l+-48|0)>>>0>9)if(!(c[g>>2]|0)){m=-2147483648;n=0}else{c[e>>2]=(c[e>>2]|0)+-1;m=-2147483648;n=0}else{h=0;j=l;while(1){h=j+-48+(h*10|0)|0;l=c[e>>2]|0;if(l>>>0<(c[g>>2]|0)>>>0){c[e>>2]=l+1;o=d[l>>0]|0}else o=ys(a)|0;if(!((o+-48|0)>>>0<10&(h|0)<214748364))break;else j=o}j=((h|0)<0)<<31>>31;if((o+-48|0)>>>0<10){l=o;f=h;b=j;while(1){i=$u(f|0,b|0,10,0)|0;p=D;q=Su(l|0,((l|0)<0)<<31>>31|0,-48,-1)|0;r=Su(q|0,D|0,i|0,p|0)|0;p=D;i=c[e>>2]|0;if(i>>>0<(c[g>>2]|0)>>>0){c[e>>2]=i+1;s=d[i>>0]|0}else s=ys(a)|0;if((s+-48|0)>>>0<10&((p|0)<21474836|(p|0)==21474836&r>>>0<2061584302)){l=s;f=r;b=p}else{t=s;u=r;v=p;break}}}else{t=o;u=h;v=j}j=c[g>>2]|0;if((t+-48|0)>>>0<10){t=j;while(1){h=c[e>>2]|0;if(h>>>0<t>>>0){c[e>>2]=h+1;w=d[h>>0]|0;x=t}else{h=ys(a)|0;w=h;x=c[g>>2]|0}if((w+-48|0)>>>0<10)t=x;else{y=x;break}}}else y=j;if(y|0)c[e>>2]=(c[e>>2]|0)+-1;e=(k|0)!=0;k=Ru(0,0,u|0,v|0)|0;m=e?D:v;n=e?k:u}D=m;return n|0}function mt(a,b){a=+a;b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,k=0;if((b|0)<=1023)if((b|0)<-1022){d=a*2.2250738585072014e-308;e=b+1022|0;f=(e|0)<-1022;g=b+2044|0;i=f?d*2.2250738585072014e-308:d;k=f?((g|0)>-1022?g:-1022):e}else{i=a;k=b}else{d=a*8988465674311579538646525.0e283;e=b+-1023|0;g=(e|0)>1023;f=b+-2046|0;i=g?d*8988465674311579538646525.0e283:d;k=g?((f|0)<1023?f:1023):e}e=Vu(k+1023|0,0,52)|0;k=D;c[j>>2]=e;c[j+4>>2]=k;return +(i*+h[j>>3])}function nt(a,b){a=+a;b=+b;return +(+Cs(a,b))}function ot(a,b){a=+a;b=+b;return +(+qt(a,b))}function pt(a,b){a=+a;b=b|0;return +(+mt(a,b))}function qt(a,b){a=+a;b=+b;var d=0,e=0,f=0,g=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0.0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0.0;h[j>>3]=a;d=c[j>>2]|0;e=c[j+4>>2]|0;h[j>>3]=b;f=c[j>>2]|0;g=c[j+4>>2]|0;i=Uu(d|0,e|0,52)|0;k=i&2047;i=Uu(f|0,g|0,52)|0;l=i&2047;i=e&-2147483648;m=Vu(f|0,g|0,1)|0;n=D;a:do if(!((m|0)==0&(n|0)==0)?(o=rt(b)|0,p=D&2147483647,!((k|0)==2047|(p>>>0>2146435072|(p|0)==2146435072&o>>>0>0))):0){o=Vu(d|0,e|0,1)|0;p=D;if(!(p>>>0>n>>>0|(p|0)==(n|0)&o>>>0>m>>>0))return +((o|0)==(m|0)&(p|0)==(n|0)?a*0.0:a);if(!k){p=Vu(d|0,e|0,12)|0;o=D;if((o|0)>-1|(o|0)==-1&p>>>0>4294967295){q=0;r=p;p=o;while(1){o=q+-1|0;r=Vu(r|0,p|0,1)|0;p=D;if(!((p|0)>-1|(p|0)==-1&r>>>0>4294967295)){s=o;break}else q=o}}else s=0;q=Vu(d|0,e|0,1-s|0)|0;t=s;u=q;v=D}else{t=k;u=d;v=e&1048575|1048576}if(!l){q=Vu(f|0,g|0,12)|0;r=D;if((r|0)>-1|(r|0)==-1&q>>>0>4294967295){p=0;o=q;q=r;while(1){r=p+-1|0;o=Vu(o|0,q|0,1)|0;q=D;if(!((q|0)>-1|(q|0)==-1&o>>>0>4294967295)){w=r;break}else p=r}}else w=0;p=Vu(f|0,g|0,1-w|0)|0;x=w;y=p;z=D}else{x=l;y=f;z=g&1048575|1048576}p=Ru(u|0,v|0,y|0,z|0)|0;o=D;q=(o|0)>-1|(o|0)==-1&p>>>0>4294967295;b:do if((t|0)>(x|0)){r=t;A=o;B=q;C=u;E=v;F=p;while(1){if(B)if((F|0)==0&(A|0)==0)break;else{G=F;H=A}else{G=C;H=E}I=Vu(G|0,H|0,1)|0;J=D;K=r+-1|0;L=Ru(I|0,J|0,y|0,z|0)|0;M=D;N=(M|0)>-1|(M|0)==-1&L>>>0>4294967295;if((K|0)>(x|0)){r=K;A=M;B=N;C=I;E=J;F=L}else{O=K;P=N;Q=L;R=M;S=I;T=J;break b}}U=a*0.0;break a}else{O=t;P=q;Q=p;R=o;S=u;T=v}while(0);if(P)if((Q|0)==0&(R|0)==0){U=a*0.0;break}else{V=R;W=Q}else{V=T;W=S}if(V>>>0<1048576|(V|0)==1048576&W>>>0<0){o=O;p=W;q=V;while(1){F=Vu(p|0,q|0,1)|0;E=D;C=o+-1|0;if(E>>>0<1048576|(E|0)==1048576&F>>>0<0){o=C;p=F;q=E}else{X=C;Y=F;Z=E;break}}}else{X=O;Y=W;Z=V}if((X|0)>0){q=Su(Y|0,Z|0,0,-1048576)|0;p=D;o=Vu(X|0,0,52)|0;_=p|D;$=q|o}else{o=Uu(Y|0,Z|0,1-X|0)|0;_=D;$=o}c[j>>2]=$;c[j+4>>2]=_|i;U=+h[j>>3]}else aa=3;while(0);if((aa|0)==3){ba=a*b;U=ba/ba}return +U}function rt(a){a=+a;var b=0;h[j>>3]=a;b=c[j>>2]|0;D=c[j+4>>2]|0;return b|0}function st(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;d=b;a:do if(!(d&3)){e=b;f=4}else{g=b;h=d;while(1){if(!(a[g>>0]|0)){i=h;break a}j=g+1|0;h=j;if(!(h&3)){e=j;f=4;break}else g=j}}while(0);if((f|0)==4){f=e;while(1){k=c[f>>2]|0;if(!((k&-2139062144^-2139062144)&k+-16843009))f=f+4|0;else break}if(!((k&255)<<24>>24))l=f;else{k=f;while(1){f=k+1|0;if(!(a[f>>0]|0)){l=f;break}else k=f}}i=l}return i-d|0}function tt(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0;f=l;l=l+16|0;g=f;c[g>>2]=e;e=Fs(a,b,d,g)|0;l=f;return e|0}function ut(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;f=S(d,b)|0;g=(b|0)==0?0:d;if((c[e+76>>2]|0)>-1){d=(Is(e)|0)==0;h=et(a,f,e)|0;if(d)i=h;else{Js(e);i=h}}else i=et(a,f,e)|0;if((i|0)==(f|0))j=g;else j=(i>>>0)/(b>>>0)|0;return j|0}function vt(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=l;l=l+16|0;f=e;c[f>>2]=d;d=Gs(a,b,f)|0;l=e;return d|0}function wt(a){a=a|0;(c[a+76>>2]|0)>-1?Is(a)|0:0;return c[a+60>>2]|0}function xt(a,b){a=a|0;b=b|0;return +(+yt(a,b,1))}function yt(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0.0;e=l;l=l+128|0;f=e;g=f;h=g+124|0;do{c[g>>2]=0;g=g+4|0}while((g|0)<(h|0));g=f+4|0;c[g>>2]=a;h=f+8|0;c[h>>2]=-1;c[f+44>>2]=a;c[f+76>>2]=-1;xs(f,0);i=+it(f,d,1);d=(c[g>>2]|0)-(c[h>>2]|0)+(c[f+108>>2]|0)|0;if(b|0)c[b>>2]=d|0?a+d|0:a;l=e;return +i}function zt(b){b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;c=b;while(1){d=a[c>>0]|0;e=d<<24>>24;f=c+1|0;if(!(zs(e)|0))break;else c=f}switch(e|0){case 45:{g=1;h=5;break}case 43:{g=0;h=5;break}default:{i=0;j=c;k=d}}if((h|0)==5){i=g;j=f;k=a[f>>0]|0}f=(k<<24>>24)+-48|0;if(f>>>0<10){k=0;g=j;j=f;while(1){g=g+1|0;f=(k*10|0)-j|0;j=(a[g>>0]|0)+-48|0;if(j>>>0>=10){l=f;break}else k=f}}else l=0;return (i|0?l:0-l|0)|0}function At(a,b){a=a|0;b=b|0;return +(+yt(a,b,0))}function Bt(a){a=a|0;var b=0,d=0;b=l;l=l+32|0;d=b;c[d>>2]=a;c[d+4>>2]=21523;c[d+8>>2]=b+16;a=(ss(Ia(54,d|0)|0)|0)==0&1;l=b;return a|0}function Ct(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0;b=l;l=l+16|0;d=b;do if(a>>>0<245){e=a>>>0<11?16:a+11&-8;f=e>>>3;g=c[12305]|0;h=g>>>f;if(h&3|0){i=(h&1^1)+f|0;j=49260+(i<<1<<2)|0;k=j+8|0;m=c[k>>2]|0;n=m+8|0;o=c[n>>2]|0;do if((j|0)!=(o|0)){if(o>>>0<(c[12309]|0)>>>0)Da();p=o+12|0;if((c[p>>2]|0)==(m|0)){c[p>>2]=j;c[k>>2]=o;break}else Da()}else c[12305]=g&~(1<<i);while(0);o=i<<3;c[m+4>>2]=o|3;k=m+o+4|0;c[k>>2]=c[k>>2]|1;q=n;l=b;return q|0}k=c[12307]|0;if(e>>>0>k>>>0){if(h|0){o=2<<f;j=h<<f&(o|0-o);o=(j&0-j)+-1|0;j=o>>>12&16;p=o>>>j;o=p>>>5&8;r=p>>>o;p=r>>>2&4;s=r>>>p;r=s>>>1&2;t=s>>>r;s=t>>>1&1;u=(o|j|p|r|s)+(t>>>s)|0;s=49260+(u<<1<<2)|0;t=s+8|0;r=c[t>>2]|0;p=r+8|0;j=c[p>>2]|0;do if((s|0)!=(j|0)){if(j>>>0<(c[12309]|0)>>>0)Da();o=j+12|0;if((c[o>>2]|0)==(r|0)){c[o>>2]=s;c[t>>2]=j;v=g;break}else Da()}else{o=g&~(1<<u);c[12305]=o;v=o}while(0);j=(u<<3)-e|0;c[r+4>>2]=e|3;t=r+e|0;c[t+4>>2]=j|1;c[t+j>>2]=j;if(k|0){s=c[12310]|0;f=k>>>3;h=49260+(f<<1<<2)|0;n=1<<f;if(v&n){f=h+8|0;m=c[f>>2]|0;if(m>>>0<(c[12309]|0)>>>0)Da();else{w=m;x=f}}else{c[12305]=v|n;w=h;x=h+8|0}c[x>>2]=s;c[w+12>>2]=s;c[s+8>>2]=w;c[s+12>>2]=h}c[12307]=j;c[12310]=t;q=p;l=b;return q|0}t=c[12306]|0;if(t){j=(t&0-t)+-1|0;h=j>>>12&16;s=j>>>h;j=s>>>5&8;n=s>>>j;s=n>>>2&4;f=n>>>s;n=f>>>1&2;m=f>>>n;f=m>>>1&1;i=c[49524+((j|h|s|n|f)+(m>>>f)<<2)>>2]|0;f=(c[i+4>>2]&-8)-e|0;m=c[i+16+(((c[i+16>>2]|0)==0&1)<<2)>>2]|0;if(!m){y=i;z=f}else{n=i;i=f;f=m;while(1){m=(c[f+4>>2]&-8)-e|0;s=m>>>0<i>>>0;h=s?m:i;m=s?f:n;f=c[f+16+(((c[f+16>>2]|0)==0&1)<<2)>>2]|0;if(!f){y=m;z=h;break}else{n=m;i=h}}}i=c[12309]|0;if(y>>>0<i>>>0)Da();n=y+e|0;if(y>>>0>=n>>>0)Da();f=c[y+24>>2]|0;p=c[y+12>>2]|0;do if((p|0)==(y|0)){r=y+20|0;u=c[r>>2]|0;if(!u){h=y+16|0;m=c[h>>2]|0;if(!m){A=0;break}else{B=m;C=h}}else{B=u;C=r}while(1){r=B+20|0;u=c[r>>2]|0;if(u|0){B=u;C=r;continue}r=B+16|0;u=c[r>>2]|0;if(!u)break;else{B=u;C=r}}if(C>>>0<i>>>0)Da();else{c[C>>2]=0;A=B;break}}else{r=c[y+8>>2]|0;if(r>>>0<i>>>0)Da();u=r+12|0;if((c[u>>2]|0)!=(y|0))Da();h=p+8|0;if((c[h>>2]|0)==(y|0)){c[u>>2]=p;c[h>>2]=r;A=p;break}else Da()}while(0);a:do if(f|0){p=c[y+28>>2]|0;i=49524+(p<<2)|0;do if((y|0)==(c[i>>2]|0)){c[i>>2]=A;if(!A){c[12306]=t&~(1<<p);break a}}else if(f>>>0>=(c[12309]|0)>>>0){c[f+16+(((c[f+16>>2]|0)!=(y|0)&1)<<2)>>2]=A;if(!A)break a;else break}else Da();while(0);p=c[12309]|0;if(A>>>0<p>>>0)Da();c[A+24>>2]=f;i=c[y+16>>2]|0;do if(i|0)if(i>>>0<p>>>0)Da();else{c[A+16>>2]=i;c[i+24>>2]=A;break}while(0);i=c[y+20>>2]|0;if(i|0)if(i>>>0<(c[12309]|0)>>>0)Da();else{c[A+20>>2]=i;c[i+24>>2]=A;break}}while(0);if(z>>>0<16){f=z+e|0;c[y+4>>2]=f|3;t=y+f+4|0;c[t>>2]=c[t>>2]|1}else{c[y+4>>2]=e|3;c[n+4>>2]=z|1;c[n+z>>2]=z;if(k|0){t=c[12310]|0;f=k>>>3;i=49260+(f<<1<<2)|0;p=1<<f;if(g&p){f=i+8|0;r=c[f>>2]|0;if(r>>>0<(c[12309]|0)>>>0)Da();else{D=r;E=f}}else{c[12305]=g|p;D=i;E=i+8|0}c[E>>2]=t;c[D+12>>2]=t;c[t+8>>2]=D;c[t+12>>2]=i}c[12307]=z;c[12310]=n}q=y+8|0;l=b;return q|0}else F=e}else F=e}else if(a>>>0<=4294967231){i=a+11|0;t=i&-8;p=c[12306]|0;if(p){f=0-t|0;r=i>>>8;if(r)if(t>>>0>16777215)G=31;else{i=(r+1048320|0)>>>16&8;h=r<<i;r=(h+520192|0)>>>16&4;u=h<<r;h=(u+245760|0)>>>16&2;m=14-(r|i|h)+(u<<h>>>15)|0;G=t>>>(m+7|0)&1|m<<1}else G=0;m=c[49524+(G<<2)>>2]|0;b:do if(!m){H=0;I=0;J=f;K=81}else{h=0;u=f;i=m;r=t<<((G|0)==31?0:25-(G>>>1)|0);s=0;while(1){j=(c[i+4>>2]&-8)-t|0;if(j>>>0<u>>>0)if(!j){L=i;M=0;N=i;K=85;break b}else{O=i;P=j}else{O=h;P=u}j=c[i+20>>2]|0;i=c[i+16+(r>>>31<<2)>>2]|0;o=(j|0)==0|(j|0)==(i|0)?s:j;j=(i|0)==0;if(j){H=o;I=O;J=P;K=81;break}else{h=O;u=P;r=r<<((j^1)&1);s=o}}}while(0);if((K|0)==81){if((H|0)==0&(I|0)==0){m=2<<G;f=p&(m|0-m);if(!f){F=t;break}m=(f&0-f)+-1|0;f=m>>>12&16;e=m>>>f;m=e>>>5&8;n=e>>>m;e=n>>>2&4;g=n>>>e;n=g>>>1&2;k=g>>>n;g=k>>>1&1;Q=0;R=c[49524+((m|f|e|n|g)+(k>>>g)<<2)>>2]|0}else{Q=I;R=H}if(!R){S=Q;T=J}else{L=Q;M=J;N=R;K=85}}if((K|0)==85)while(1){K=0;g=(c[N+4>>2]&-8)-t|0;k=g>>>0<M>>>0;n=k?g:M;g=k?N:L;N=c[N+16+(((c[N+16>>2]|0)==0&1)<<2)>>2]|0;if(!N){S=g;T=n;break}else{L=g;M=n;K=85}}if((S|0)!=0?T>>>0<((c[12307]|0)-t|0)>>>0:0){n=c[12309]|0;if(S>>>0<n>>>0)Da();g=S+t|0;if(S>>>0>=g>>>0)Da();k=c[S+24>>2]|0;e=c[S+12>>2]|0;do if((e|0)==(S|0)){f=S+20|0;m=c[f>>2]|0;if(!m){s=S+16|0;r=c[s>>2]|0;if(!r){U=0;break}else{V=r;W=s}}else{V=m;W=f}while(1){f=V+20|0;m=c[f>>2]|0;if(m|0){V=m;W=f;continue}f=V+16|0;m=c[f>>2]|0;if(!m)break;else{V=m;W=f}}if(W>>>0<n>>>0)Da();else{c[W>>2]=0;U=V;break}}else{f=c[S+8>>2]|0;if(f>>>0<n>>>0)Da();m=f+12|0;if((c[m>>2]|0)!=(S|0))Da();s=e+8|0;if((c[s>>2]|0)==(S|0)){c[m>>2]=e;c[s>>2]=f;U=e;break}else Da()}while(0);c:do if(k){e=c[S+28>>2]|0;n=49524+(e<<2)|0;do if((S|0)==(c[n>>2]|0)){c[n>>2]=U;if(!U){f=p&~(1<<e);c[12306]=f;X=f;break c}}else if(k>>>0>=(c[12309]|0)>>>0){c[k+16+(((c[k+16>>2]|0)!=(S|0)&1)<<2)>>2]=U;if(!U){X=p;break c}else break}else Da();while(0);e=c[12309]|0;if(U>>>0<e>>>0)Da();c[U+24>>2]=k;n=c[S+16>>2]|0;do if(n|0)if(n>>>0<e>>>0)Da();else{c[U+16>>2]=n;c[n+24>>2]=U;break}while(0);n=c[S+20>>2]|0;if(n)if(n>>>0<(c[12309]|0)>>>0)Da();else{c[U+20>>2]=n;c[n+24>>2]=U;X=p;break}else X=p}else X=p;while(0);do if(T>>>0>=16){c[S+4>>2]=t|3;c[g+4>>2]=T|1;c[g+T>>2]=T;p=T>>>3;if(T>>>0<256){k=49260+(p<<1<<2)|0;n=c[12305]|0;e=1<<p;if(n&e){p=k+8|0;f=c[p>>2]|0;if(f>>>0<(c[12309]|0)>>>0)Da();else{Y=f;Z=p}}else{c[12305]=n|e;Y=k;Z=k+8|0}c[Z>>2]=g;c[Y+12>>2]=g;c[g+8>>2]=Y;c[g+12>>2]=k;break}k=T>>>8;if(k)if(T>>>0>16777215)_=31;else{e=(k+1048320|0)>>>16&8;n=k<<e;k=(n+520192|0)>>>16&4;p=n<<k;n=(p+245760|0)>>>16&2;f=14-(k|e|n)+(p<<n>>>15)|0;_=T>>>(f+7|0)&1|f<<1}else _=0;f=49524+(_<<2)|0;c[g+28>>2]=_;n=g+16|0;c[n+4>>2]=0;c[n>>2]=0;n=1<<_;if(!(X&n)){c[12306]=X|n;c[f>>2]=g;c[g+24>>2]=f;c[g+12>>2]=g;c[g+8>>2]=g;break}n=T<<((_|0)==31?0:25-(_>>>1)|0);p=c[f>>2]|0;while(1){if((c[p+4>>2]&-8|0)==(T|0)){K=139;break}$=p+16+(n>>>31<<2)|0;f=c[$>>2]|0;if(!f){K=136;break}else{n=n<<1;p=f}}if((K|0)==136)if($>>>0<(c[12309]|0)>>>0)Da();else{c[$>>2]=g;c[g+24>>2]=p;c[g+12>>2]=g;c[g+8>>2]=g;break}else if((K|0)==139){n=p+8|0;f=c[n>>2]|0;e=c[12309]|0;if(f>>>0>=e>>>0&p>>>0>=e>>>0){c[f+12>>2]=g;c[n>>2]=g;c[g+8>>2]=f;c[g+12>>2]=p;c[g+24>>2]=0;break}else Da()}}else{f=T+t|0;c[S+4>>2]=f|3;n=S+f+4|0;c[n>>2]=c[n>>2]|1}while(0);q=S+8|0;l=b;return q|0}else F=t}else F=t}else F=-1;while(0);S=c[12307]|0;if(S>>>0>=F>>>0){T=S-F|0;$=c[12310]|0;if(T>>>0>15){_=$+F|0;c[12310]=_;c[12307]=T;c[_+4>>2]=T|1;c[_+T>>2]=T;c[$+4>>2]=F|3}else{c[12307]=0;c[12310]=0;c[$+4>>2]=S|3;T=$+S+4|0;c[T>>2]=c[T>>2]|1}q=$+8|0;l=b;return q|0}$=c[12308]|0;if($>>>0>F>>>0){T=$-F|0;c[12308]=T;S=c[12311]|0;_=S+F|0;c[12311]=_;c[_+4>>2]=T|1;c[S+4>>2]=F|3;q=S+8|0;l=b;return q|0}if(!(c[12423]|0)){c[12425]=4096;c[12424]=4096;c[12426]=-1;c[12427]=-1;c[12428]=0;c[12416]=0;S=d&-16^1431655768;c[d>>2]=S;c[12423]=S;aa=4096}else aa=c[12425]|0;S=F+48|0;d=F+47|0;T=aa+d|0;_=0-aa|0;aa=T&_;if(aa>>>0<=F>>>0){q=0;l=b;return q|0}X=c[12415]|0;if(X|0?(Y=c[12413]|0,Z=Y+aa|0,Z>>>0<=Y>>>0|Z>>>0>X>>>0):0){q=0;l=b;return q|0}d:do if(!(c[12416]&4)){X=c[12311]|0;e:do if(X){Z=49668;while(1){Y=c[Z>>2]|0;if(Y>>>0<=X>>>0?(ba=Z+4|0,(Y+(c[ba>>2]|0)|0)>>>0>X>>>0):0)break;Y=c[Z+8>>2]|0;if(!Y){K=163;break e}else Z=Y}p=T-$&_;if(p>>>0<2147483647){Y=av(p|0)|0;if((Y|0)==((c[Z>>2]|0)+(c[ba>>2]|0)|0))if((Y|0)==(-1|0))ca=p;else{da=p;ea=Y;K=180;break d}else{fa=Y;ga=p;K=171}}else ca=0}else K=163;while(0);do if((K|0)==163){X=av(0)|0;if((X|0)!=(-1|0)?(t=X,p=c[12424]|0,Y=p+-1|0,U=((Y&t|0)==0?0:(Y+t&0-p)-t|0)+aa|0,t=c[12413]|0,p=U+t|0,U>>>0>F>>>0&U>>>0<2147483647):0){Y=c[12415]|0;if(Y|0?p>>>0<=t>>>0|p>>>0>Y>>>0:0){ca=0;break}Y=av(U|0)|0;if((Y|0)==(X|0)){da=U;ea=X;K=180;break d}else{fa=Y;ga=U;K=171}}else ca=0}while(0);do if((K|0)==171){U=0-ga|0;if(!(S>>>0>ga>>>0&(ga>>>0<2147483647&(fa|0)!=(-1|0))))if((fa|0)==(-1|0)){ca=0;break}else{da=ga;ea=fa;K=180;break d}Y=c[12425]|0;X=d-ga+Y&0-Y;if(X>>>0>=2147483647){da=ga;ea=fa;K=180;break d}if((av(X|0)|0)==(-1|0)){av(U|0)|0;ca=0;break}else{da=X+ga|0;ea=fa;K=180;break d}}while(0);c[12416]=c[12416]|4;ha=ca;K=178}else{ha=0;K=178}while(0);if(((K|0)==178?aa>>>0<2147483647:0)?(ca=av(aa|0)|0,aa=av(0)|0,fa=aa-ca|0,ga=fa>>>0>(F+40|0)>>>0,!((ca|0)==(-1|0)|ga^1|ca>>>0<aa>>>0&((ca|0)!=(-1|0)&(aa|0)!=(-1|0))^1)):0){da=ga?fa:ha;ea=ca;K=180}if((K|0)==180){ca=(c[12413]|0)+da|0;c[12413]=ca;if(ca>>>0>(c[12414]|0)>>>0)c[12414]=ca;ca=c[12311]|0;do if(ca){ha=49668;while(1){ia=c[ha>>2]|0;ja=ha+4|0;ka=c[ja>>2]|0;if((ea|0)==(ia+ka|0)){K=190;break}fa=c[ha+8>>2]|0;if(!fa)break;else ha=fa}if(((K|0)==190?(c[ha+12>>2]&8|0)==0:0)?ca>>>0<ea>>>0&ca>>>0>=ia>>>0:0){c[ja>>2]=ka+da;fa=ca+8|0;ga=(fa&7|0)==0?0:0-fa&7;fa=ca+ga|0;aa=(c[12308]|0)+(da-ga)|0;c[12311]=fa;c[12308]=aa;c[fa+4>>2]=aa|1;c[fa+aa+4>>2]=40;c[12312]=c[12427];break}aa=c[12309]|0;if(ea>>>0<aa>>>0){c[12309]=ea;la=ea}else la=aa;aa=ea+da|0;fa=49668;while(1){if((c[fa>>2]|0)==(aa|0)){K=198;break}ga=c[fa+8>>2]|0;if(!ga)break;else fa=ga}if((K|0)==198?(c[fa+12>>2]&8|0)==0:0){c[fa>>2]=ea;ha=fa+4|0;c[ha>>2]=(c[ha>>2]|0)+da;ha=ea+8|0;ga=ea+((ha&7|0)==0?0:0-ha&7)|0;ha=aa+8|0;d=aa+((ha&7|0)==0?0:0-ha&7)|0;ha=ga+F|0;S=d-ga-F|0;c[ga+4>>2]=F|3;do if((d|0)!=(ca|0)){if((d|0)==(c[12310]|0)){ba=(c[12307]|0)+S|0;c[12307]=ba;c[12310]=ha;c[ha+4>>2]=ba|1;c[ha+ba>>2]=ba;break}ba=c[d+4>>2]|0;if((ba&3|0)==1){_=ba&-8;$=ba>>>3;f:do if(ba>>>0>=256){T=c[d+24>>2]|0;X=c[d+12>>2]|0;do if((X|0)==(d|0)){U=d+16|0;Y=U+4|0;p=c[Y>>2]|0;if(!p){t=c[U>>2]|0;if(!t){ma=0;break}else{na=t;oa=U}}else{na=p;oa=Y}while(1){Y=na+20|0;p=c[Y>>2]|0;if(p|0){na=p;oa=Y;continue}Y=na+16|0;p=c[Y>>2]|0;if(!p)break;else{na=p;oa=Y}}if(oa>>>0<la>>>0)Da();else{c[oa>>2]=0;ma=na;break}}else{Y=c[d+8>>2]|0;if(Y>>>0<la>>>0)Da();p=Y+12|0;if((c[p>>2]|0)!=(d|0))Da();U=X+8|0;if((c[U>>2]|0)==(d|0)){c[p>>2]=X;c[U>>2]=Y;ma=X;break}else Da()}while(0);if(!T)break;X=c[d+28>>2]|0;Y=49524+(X<<2)|0;do if((d|0)!=(c[Y>>2]|0))if(T>>>0>=(c[12309]|0)>>>0){c[T+16+(((c[T+16>>2]|0)!=(d|0)&1)<<2)>>2]=ma;if(!ma)break f;else break}else Da();else{c[Y>>2]=ma;if(ma|0)break;c[12306]=c[12306]&~(1<<X);break f}while(0);X=c[12309]|0;if(ma>>>0<X>>>0)Da();c[ma+24>>2]=T;Y=d+16|0;U=c[Y>>2]|0;do if(U|0)if(U>>>0<X>>>0)Da();else{c[ma+16>>2]=U;c[U+24>>2]=ma;break}while(0);U=c[Y+4>>2]|0;if(!U)break;if(U>>>0<(c[12309]|0)>>>0)Da();else{c[ma+20>>2]=U;c[U+24>>2]=ma;break}}else{U=c[d+8>>2]|0;X=c[d+12>>2]|0;T=49260+($<<1<<2)|0;do if((U|0)!=(T|0)){if(U>>>0<la>>>0)Da();if((c[U+12>>2]|0)==(d|0))break;Da()}while(0);if((X|0)==(U|0)){c[12305]=c[12305]&~(1<<$);break}do if((X|0)==(T|0))pa=X+8|0;else{if(X>>>0<la>>>0)Da();Y=X+8|0;if((c[Y>>2]|0)==(d|0)){pa=Y;break}Da()}while(0);c[U+12>>2]=X;c[pa>>2]=U}while(0);qa=d+_|0;ra=_+S|0}else{qa=d;ra=S}$=qa+4|0;c[$>>2]=c[$>>2]&-2;c[ha+4>>2]=ra|1;c[ha+ra>>2]=ra;$=ra>>>3;if(ra>>>0<256){ba=49260+($<<1<<2)|0;Z=c[12305]|0;T=1<<$;do if(!(Z&T)){c[12305]=Z|T;sa=ba;ta=ba+8|0}else{$=ba+8|0;Y=c[$>>2]|0;if(Y>>>0>=(c[12309]|0)>>>0){sa=Y;ta=$;break}Da()}while(0);c[ta>>2]=ha;c[sa+12>>2]=ha;c[ha+8>>2]=sa;c[ha+12>>2]=ba;break}T=ra>>>8;do if(!T)ua=0;else{if(ra>>>0>16777215){ua=31;break}Z=(T+1048320|0)>>>16&8;_=T<<Z;$=(_+520192|0)>>>16&4;Y=_<<$;_=(Y+245760|0)>>>16&2;p=14-($|Z|_)+(Y<<_>>>15)|0;ua=ra>>>(p+7|0)&1|p<<1}while(0);T=49524+(ua<<2)|0;c[ha+28>>2]=ua;ba=ha+16|0;c[ba+4>>2]=0;c[ba>>2]=0;ba=c[12306]|0;p=1<<ua;if(!(ba&p)){c[12306]=ba|p;c[T>>2]=ha;c[ha+24>>2]=T;c[ha+12>>2]=ha;c[ha+8>>2]=ha;break}p=ra<<((ua|0)==31?0:25-(ua>>>1)|0);ba=c[T>>2]|0;while(1){if((c[ba+4>>2]&-8|0)==(ra|0)){K=265;break}va=ba+16+(p>>>31<<2)|0;T=c[va>>2]|0;if(!T){K=262;break}else{p=p<<1;ba=T}}if((K|0)==262)if(va>>>0<(c[12309]|0)>>>0)Da();else{c[va>>2]=ha;c[ha+24>>2]=ba;c[ha+12>>2]=ha;c[ha+8>>2]=ha;break}else if((K|0)==265){p=ba+8|0;T=c[p>>2]|0;_=c[12309]|0;if(T>>>0>=_>>>0&ba>>>0>=_>>>0){c[T+12>>2]=ha;c[p>>2]=ha;c[ha+8>>2]=T;c[ha+12>>2]=ba;c[ha+24>>2]=0;break}else Da()}}else{T=(c[12308]|0)+S|0;c[12308]=T;c[12311]=ha;c[ha+4>>2]=T|1}while(0);q=ga+8|0;l=b;return q|0}ha=49668;while(1){S=c[ha>>2]|0;if(S>>>0<=ca>>>0?(wa=S+(c[ha+4>>2]|0)|0,wa>>>0>ca>>>0):0)break;ha=c[ha+8>>2]|0}ha=wa+-47|0;ga=ha+8|0;S=ha+((ga&7|0)==0?0:0-ga&7)|0;ga=ca+16|0;ha=S>>>0<ga>>>0?ca:S;S=ha+8|0;d=ea+8|0;aa=(d&7|0)==0?0:0-d&7;d=ea+aa|0;fa=da+-40-aa|0;c[12311]=d;c[12308]=fa;c[d+4>>2]=fa|1;c[d+fa+4>>2]=40;c[12312]=c[12427];fa=ha+4|0;c[fa>>2]=27;c[S>>2]=c[12417];c[S+4>>2]=c[12418];c[S+8>>2]=c[12419];c[S+12>>2]=c[12420];c[12417]=ea;c[12418]=da;c[12420]=0;c[12419]=S;S=ha+24|0;do{d=S;S=S+4|0;c[S>>2]=7}while((d+8|0)>>>0<wa>>>0);if((ha|0)!=(ca|0)){S=ha-ca|0;c[fa>>2]=c[fa>>2]&-2;c[ca+4>>2]=S|1;c[ha>>2]=S;d=S>>>3;if(S>>>0<256){aa=49260+(d<<1<<2)|0;T=c[12305]|0;p=1<<d;if(T&p){d=aa+8|0;_=c[d>>2]|0;if(_>>>0<(c[12309]|0)>>>0)Da();else{xa=_;ya=d}}else{c[12305]=T|p;xa=aa;ya=aa+8|0}c[ya>>2]=ca;c[xa+12>>2]=ca;c[ca+8>>2]=xa;c[ca+12>>2]=aa;break}aa=S>>>8;if(aa)if(S>>>0>16777215)za=31;else{p=(aa+1048320|0)>>>16&8;T=aa<<p;aa=(T+520192|0)>>>16&4;d=T<<aa;T=(d+245760|0)>>>16&2;_=14-(aa|p|T)+(d<<T>>>15)|0;za=S>>>(_+7|0)&1|_<<1}else za=0;_=49524+(za<<2)|0;c[ca+28>>2]=za;c[ca+20>>2]=0;c[ga>>2]=0;T=c[12306]|0;d=1<<za;if(!(T&d)){c[12306]=T|d;c[_>>2]=ca;c[ca+24>>2]=_;c[ca+12>>2]=ca;c[ca+8>>2]=ca;break}d=S<<((za|0)==31?0:25-(za>>>1)|0);T=c[_>>2]|0;while(1){if((c[T+4>>2]&-8|0)==(S|0)){K=292;break}Aa=T+16+(d>>>31<<2)|0;_=c[Aa>>2]|0;if(!_){K=289;break}else{d=d<<1;T=_}}if((K|0)==289)if(Aa>>>0<(c[12309]|0)>>>0)Da();else{c[Aa>>2]=ca;c[ca+24>>2]=T;c[ca+12>>2]=ca;c[ca+8>>2]=ca;break}else if((K|0)==292){d=T+8|0;S=c[d>>2]|0;ga=c[12309]|0;if(S>>>0>=ga>>>0&T>>>0>=ga>>>0){c[S+12>>2]=ca;c[d>>2]=ca;c[ca+8>>2]=S;c[ca+12>>2]=T;c[ca+24>>2]=0;break}else Da()}}}else{S=c[12309]|0;if((S|0)==0|ea>>>0<S>>>0)c[12309]=ea;c[12417]=ea;c[12418]=da;c[12420]=0;c[12314]=c[12423];c[12313]=-1;S=0;do{d=49260+(S<<1<<2)|0;c[d+12>>2]=d;c[d+8>>2]=d;S=S+1|0}while((S|0)!=32);S=ea+8|0;T=(S&7|0)==0?0:0-S&7;S=ea+T|0;d=da+-40-T|0;c[12311]=S;c[12308]=d;c[S+4>>2]=d|1;c[S+d+4>>2]=40;c[12312]=c[12427]}while(0);da=c[12308]|0;if(da>>>0>F>>>0){ea=da-F|0;c[12308]=ea;da=c[12311]|0;ca=da+F|0;c[12311]=ca;c[ca+4>>2]=ea|1;c[da+4>>2]=F|3;q=da+8|0;l=b;return q|0}}c[(ts()|0)>>2]=12;q=0;l=b;return q|0}function Dt(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;if(!a)return;b=a+-8|0;d=c[12309]|0;if(b>>>0<d>>>0)Da();e=c[a+-4>>2]|0;a=e&3;if((a|0)==1)Da();f=e&-8;g=b+f|0;a:do if(!(e&1)){h=c[b>>2]|0;if(!a)return;i=b+(0-h)|0;j=h+f|0;if(i>>>0<d>>>0)Da();if((i|0)==(c[12310]|0)){k=g+4|0;l=c[k>>2]|0;if((l&3|0)!=3){m=i;n=j;o=i;break}c[12307]=j;c[k>>2]=l&-2;c[i+4>>2]=j|1;c[i+j>>2]=j;return}l=h>>>3;if(h>>>0<256){h=c[i+8>>2]|0;k=c[i+12>>2]|0;p=49260+(l<<1<<2)|0;if((h|0)!=(p|0)){if(h>>>0<d>>>0)Da();if((c[h+12>>2]|0)!=(i|0))Da()}if((k|0)==(h|0)){c[12305]=c[12305]&~(1<<l);m=i;n=j;o=i;break}if((k|0)!=(p|0)){if(k>>>0<d>>>0)Da();p=k+8|0;if((c[p>>2]|0)==(i|0))q=p;else Da()}else q=k+8|0;c[h+12>>2]=k;c[q>>2]=h;m=i;n=j;o=i;break}h=c[i+24>>2]|0;k=c[i+12>>2]|0;do if((k|0)==(i|0)){p=i+16|0;l=p+4|0;r=c[l>>2]|0;if(!r){s=c[p>>2]|0;if(!s){t=0;break}else{u=s;v=p}}else{u=r;v=l}while(1){l=u+20|0;r=c[l>>2]|0;if(r|0){u=r;v=l;continue}l=u+16|0;r=c[l>>2]|0;if(!r)break;else{u=r;v=l}}if(v>>>0<d>>>0)Da();else{c[v>>2]=0;t=u;break}}else{l=c[i+8>>2]|0;if(l>>>0<d>>>0)Da();r=l+12|0;if((c[r>>2]|0)!=(i|0))Da();p=k+8|0;if((c[p>>2]|0)==(i|0)){c[r>>2]=k;c[p>>2]=l;t=k;break}else Da()}while(0);if(h){k=c[i+28>>2]|0;l=49524+(k<<2)|0;do if((i|0)==(c[l>>2]|0)){c[l>>2]=t;if(!t){c[12306]=c[12306]&~(1<<k);m=i;n=j;o=i;break a}}else if(h>>>0>=(c[12309]|0)>>>0){c[h+16+(((c[h+16>>2]|0)!=(i|0)&1)<<2)>>2]=t;if(!t){m=i;n=j;o=i;break a}else break}else Da();while(0);k=c[12309]|0;if(t>>>0<k>>>0)Da();c[t+24>>2]=h;l=i+16|0;p=c[l>>2]|0;do if(p|0)if(p>>>0<k>>>0)Da();else{c[t+16>>2]=p;c[p+24>>2]=t;break}while(0);p=c[l+4>>2]|0;if(p)if(p>>>0<(c[12309]|0)>>>0)Da();else{c[t+20>>2]=p;c[p+24>>2]=t;m=i;n=j;o=i;break}else{m=i;n=j;o=i}}else{m=i;n=j;o=i}}else{m=b;n=f;o=b}while(0);if(o>>>0>=g>>>0)Da();b=g+4|0;f=c[b>>2]|0;if(!(f&1))Da();if(!(f&2)){t=c[12310]|0;if((g|0)==(c[12311]|0)){d=(c[12308]|0)+n|0;c[12308]=d;c[12311]=m;c[m+4>>2]=d|1;if((m|0)!=(t|0))return;c[12310]=0;c[12307]=0;return}if((g|0)==(t|0)){t=(c[12307]|0)+n|0;c[12307]=t;c[12310]=o;c[m+4>>2]=t|1;c[o+t>>2]=t;return}t=(f&-8)+n|0;d=f>>>3;b:do if(f>>>0>=256){u=c[g+24>>2]|0;v=c[g+12>>2]|0;do if((v|0)==(g|0)){q=g+16|0;a=q+4|0;e=c[a>>2]|0;if(!e){p=c[q>>2]|0;if(!p){w=0;break}else{x=p;y=q}}else{x=e;y=a}while(1){a=x+20|0;e=c[a>>2]|0;if(e|0){x=e;y=a;continue}a=x+16|0;e=c[a>>2]|0;if(!e)break;else{x=e;y=a}}if(y>>>0<(c[12309]|0)>>>0)Da();else{c[y>>2]=0;w=x;break}}else{a=c[g+8>>2]|0;if(a>>>0<(c[12309]|0)>>>0)Da();e=a+12|0;if((c[e>>2]|0)!=(g|0))Da();q=v+8|0;if((c[q>>2]|0)==(g|0)){c[e>>2]=v;c[q>>2]=a;w=v;break}else Da()}while(0);if(u|0){v=c[g+28>>2]|0;i=49524+(v<<2)|0;do if((g|0)==(c[i>>2]|0)){c[i>>2]=w;if(!w){c[12306]=c[12306]&~(1<<v);break b}}else if(u>>>0>=(c[12309]|0)>>>0){c[u+16+(((c[u+16>>2]|0)!=(g|0)&1)<<2)>>2]=w;if(!w)break b;else break}else Da();while(0);v=c[12309]|0;if(w>>>0<v>>>0)Da();c[w+24>>2]=u;i=g+16|0;j=c[i>>2]|0;do if(j|0)if(j>>>0<v>>>0)Da();else{c[w+16>>2]=j;c[j+24>>2]=w;break}while(0);j=c[i+4>>2]|0;if(j|0)if(j>>>0<(c[12309]|0)>>>0)Da();else{c[w+20>>2]=j;c[j+24>>2]=w;break}}}else{j=c[g+8>>2]|0;v=c[g+12>>2]|0;u=49260+(d<<1<<2)|0;if((j|0)!=(u|0)){if(j>>>0<(c[12309]|0)>>>0)Da();if((c[j+12>>2]|0)!=(g|0))Da()}if((v|0)==(j|0)){c[12305]=c[12305]&~(1<<d);break}if((v|0)!=(u|0)){if(v>>>0<(c[12309]|0)>>>0)Da();u=v+8|0;if((c[u>>2]|0)==(g|0))z=u;else Da()}else z=v+8|0;c[j+12>>2]=v;c[z>>2]=j}while(0);c[m+4>>2]=t|1;c[o+t>>2]=t;if((m|0)==(c[12310]|0)){c[12307]=t;return}else A=t}else{c[b>>2]=f&-2;c[m+4>>2]=n|1;c[o+n>>2]=n;A=n}n=A>>>3;if(A>>>0<256){o=49260+(n<<1<<2)|0;f=c[12305]|0;b=1<<n;if(f&b){n=o+8|0;t=c[n>>2]|0;if(t>>>0<(c[12309]|0)>>>0)Da();else{B=t;C=n}}else{c[12305]=f|b;B=o;C=o+8|0}c[C>>2]=m;c[B+12>>2]=m;c[m+8>>2]=B;c[m+12>>2]=o;return}o=A>>>8;if(o)if(A>>>0>16777215)D=31;else{B=(o+1048320|0)>>>16&8;C=o<<B;o=(C+520192|0)>>>16&4;b=C<<o;C=(b+245760|0)>>>16&2;f=14-(o|B|C)+(b<<C>>>15)|0;D=A>>>(f+7|0)&1|f<<1}else D=0;f=49524+(D<<2)|0;c[m+28>>2]=D;c[m+20>>2]=0;c[m+16>>2]=0;C=c[12306]|0;b=1<<D;do if(C&b){B=A<<((D|0)==31?0:25-(D>>>1)|0);o=c[f>>2]|0;while(1){if((c[o+4>>2]&-8|0)==(A|0)){E=124;break}F=o+16+(B>>>31<<2)|0;n=c[F>>2]|0;if(!n){E=121;break}else{B=B<<1;o=n}}if((E|0)==121)if(F>>>0<(c[12309]|0)>>>0)Da();else{c[F>>2]=m;c[m+24>>2]=o;c[m+12>>2]=m;c[m+8>>2]=m;break}else if((E|0)==124){B=o+8|0;i=c[B>>2]|0;n=c[12309]|0;if(i>>>0>=n>>>0&o>>>0>=n>>>0){c[i+12>>2]=m;c[B>>2]=m;c[m+8>>2]=i;c[m+12>>2]=o;c[m+24>>2]=0;break}else Da()}}else{c[12306]=C|b;c[f>>2]=m;c[m+24>>2]=f;c[m+12>>2]=m;c[m+8>>2]=m}while(0);m=(c[12313]|0)+-1|0;c[12313]=m;if(!m)G=49676;else return;while(1){m=c[G>>2]|0;if(!m)break;else G=m+8|0}c[12313]=-1;return}function Et(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;b=l;l=l+16|0;d=b;e=b+8|0;f=b+4|0;c[e>>2]=a;do if(a>>>0>=212){g=(a>>>0)/210|0;h=g*210|0;c[f>>2]=a-h;i=0;j=g;g=(Ft(17020,17212,f,d)|0)-17020>>2;k=h;a:while(1){m=(c[17020+(g<<2)>>2]|0)+k|0;h=5;while(1){if(h>>>0>=47){n=211;o=i;p=8;break}q=c[16828+(h<<2)>>2]|0;r=(m>>>0)/(q>>>0)|0;if(r>>>0<q>>>0){p=106;break a}if((m|0)==(S(r,q)|0)){s=i;break}else h=h+1|0}b:do if((p|0)==8){c:while(1){p=0;h=(m>>>0)/(n>>>0)|0;do if(h>>>0>=n>>>0)if((m|0)!=(S(h,n)|0)){q=n+10|0;r=(m>>>0)/(q>>>0)|0;if(r>>>0>=q>>>0)if((m|0)!=(S(r,q)|0)){r=n+12|0;t=(m>>>0)/(r>>>0)|0;if(t>>>0>=r>>>0)if((m|0)!=(S(t,r)|0)){t=n+16|0;u=(m>>>0)/(t>>>0)|0;if(u>>>0>=t>>>0)if((m|0)!=(S(u,t)|0)){u=n+18|0;v=(m>>>0)/(u>>>0)|0;if(v>>>0>=u>>>0)if((m|0)!=(S(v,u)|0)){v=n+22|0;w=(m>>>0)/(v>>>0)|0;if(w>>>0>=v>>>0)if((m|0)!=(S(w,v)|0)){w=n+28|0;x=(m>>>0)/(w>>>0)|0;if(x>>>0>=w>>>0)if((m|0)==(S(x,w)|0)){y=w;z=9;A=o}else{x=n+30|0;B=(m>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=m;break}if((m|0)==(S(B,x)|0)){y=x;z=9;A=o;break}x=n+36|0;B=(m>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=m;break}if((m|0)==(S(B,x)|0)){y=x;z=9;A=o;break}x=n+40|0;B=(m>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=m;break}if((m|0)==(S(B,x)|0)){y=x;z=9;A=o;break}x=n+42|0;B=(m>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=m;break}if((m|0)==(S(B,x)|0)){y=x;z=9;A=o;break}x=n+46|0;B=(m>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=m;break}if((m|0)==(S(B,x)|0)){y=x;z=9;A=o;break}x=n+52|0;B=(m>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=m;break}if((m|0)==(S(B,x)|0)){y=x;z=9;A=o;break}x=n+58|0;B=(m>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=m;break}if((m|0)==(S(B,x)|0)){y=x;z=9;A=o;break}x=n+60|0;B=(m>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=m;break}if((m|0)==(S(B,x)|0)){y=x;z=9;A=o;break}x=n+66|0;B=(m>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=m;break}if((m|0)==(S(B,x)|0)){y=x;z=9;A=o;break}x=n+70|0;B=(m>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=m;break}if((m|0)==(S(B,x)|0)){y=x;z=9;A=o;break}x=n+72|0;B=(m>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=m;break}if((m|0)==(S(B,x)|0)){y=x;z=9;A=o;break}x=n+78|0;B=(m>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=m;break}if((m|0)==(S(B,x)|0)){y=x;z=9;A=o;break}x=n+82|0;B=(m>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=m;break}if((m|0)==(S(B,x)|0)){y=x;z=9;A=o;break}x=n+88|0;B=(m>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=m;break}if((m|0)==(S(B,x)|0)){y=x;z=9;A=o;break}x=n+96|0;B=(m>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=m;break}if((m|0)==(S(B,x)|0)){y=x;z=9;A=o;break}x=n+100|0;B=(m>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=m;break}if((m|0)==(S(B,x)|0)){y=x;z=9;A=o;break}x=n+102|0;B=(m>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=m;break}if((m|0)==(S(B,x)|0)){y=x;z=9;A=o;break}x=n+106|0;B=(m>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=m;break}if((m|0)==(S(B,x)|0)){y=x;z=9;A=o;break}x=n+108|0;B=(m>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=m;break}if((m|0)==(S(B,x)|0)){y=x;z=9;A=o;break}x=n+112|0;B=(m>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=m;break}if((m|0)==(S(B,x)|0)){y=x;z=9;A=o;break}x=n+120|0;B=(m>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=m;break}if((m|0)==(S(B,x)|0)){y=x;z=9;A=o;break}x=n+126|0;B=(m>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=m;break}if((m|0)==(S(B,x)|0)){y=x;z=9;A=o;break}x=n+130|0;B=(m>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=m;break}if((m|0)==(S(B,x)|0)){y=x;z=9;A=o;break}x=n+136|0;B=(m>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=m;break}if((m|0)==(S(B,x)|0)){y=x;z=9;A=o;break}x=n+138|0;B=(m>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=m;break}if((m|0)==(S(B,x)|0)){y=x;z=9;A=o;break}x=n+142|0;B=(m>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=m;break}if((m|0)==(S(B,x)|0)){y=x;z=9;A=o;break}x=n+148|0;B=(m>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=m;break}if((m|0)==(S(B,x)|0)){y=x;z=9;A=o;break}x=n+150|0;B=(m>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=m;break}if((m|0)==(S(B,x)|0)){y=x;z=9;A=o;break}x=n+156|0;B=(m>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=m;break}if((m|0)==(S(B,x)|0)){y=x;z=9;A=o;break}x=n+162|0;B=(m>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=m;break}if((m|0)==(S(B,x)|0)){y=x;z=9;A=o;break}x=n+166|0;B=(m>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=m;break}if((m|0)==(S(B,x)|0)){y=x;z=9;A=o;break}x=n+168|0;B=(m>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=m;break}if((m|0)==(S(B,x)|0)){y=x;z=9;A=o;break}x=n+172|0;B=(m>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=m;break}if((m|0)==(S(B,x)|0)){y=x;z=9;A=o;break}x=n+178|0;B=(m>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=m;break}if((m|0)==(S(B,x)|0)){y=x;z=9;A=o;break}x=n+180|0;B=(m>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=m;break}if((m|0)==(S(B,x)|0)){y=x;z=9;A=o;break}x=n+186|0;B=(m>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=m;break}if((m|0)==(S(B,x)|0)){y=x;z=9;A=o;break}x=n+190|0;B=(m>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=m;break}if((m|0)==(S(B,x)|0)){y=x;z=9;A=o;break}x=n+192|0;B=(m>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=m;break}if((m|0)==(S(B,x)|0)){y=x;z=9;A=o;break}x=n+196|0;B=(m>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=m;break}if((m|0)==(S(B,x)|0)){y=x;z=9;A=o;break}x=n+198|0;B=(m>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=m;break}if((m|0)==(S(B,x)|0)){y=x;z=9;A=o;break}x=n+208|0;B=(m>>>0)/(x>>>0)|0;C=B>>>0<x>>>0;D=(m|0)==(S(B,x)|0);y=C|D?x:n+210|0;z=C?1:D?9:0;A=C?m:o}else{y=w;z=1;A=m}}else{y=v;z=9;A=o}else{y=v;z=1;A=m}}else{y=u;z=9;A=o}else{y=u;z=1;A=m}}else{y=t;z=9;A=o}else{y=t;z=1;A=m}}else{y=r;z=9;A=o}else{y=r;z=1;A=m}}else{y=q;z=9;A=o}else{y=q;z=1;A=m}}else{y=n;z=9;A=o}else{y=n;z=1;A=m}while(0);switch(z&15){case 9:{s=A;break b;break}case 0:{n=y;o=A;p=8;break}default:break c}}if(!z)s=A;else{p=107;break a}}while(0);h=g+1|0;q=(h|0)==48;r=(q&1)+j|0;i=s;j=r;g=q?0:h;k=r*210|0}if((p|0)==106){c[e>>2]=m;E=m;break}else if((p|0)==107){c[e>>2]=m;E=A;break}}else E=c[(Ft(16828,17020,e,d)|0)>>2]|0;while(0);l=b;return E|0}function Ft(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0;e=c[d>>2]|0;d=a;f=b-a>>2;while(1){if(!f)break;a=(f|0)/2|0;b=d+(a<<2)|0;g=(c[b>>2]|0)>>>0<e>>>0;d=g?b+4|0:d;f=g?f+-1-a|0:a}return d|0}function Gt(b,c){b=b|0;c=c|0;a[b>>0]=a[c>>0]|0;return}function Ht(a){a=a|0;return a&255|0}function It(a){a=a|0;return st(a)|0}function Jt(a){a=a|0;La(48710,48733,304,48916)}function Kt(a){a=a|0;var b=0,c=0;b=(a|0)==0?1:a;while(1){a=Ct(b)|0;if(a|0){c=a;break}a=Ou()|0;if(!a){c=0;break}Xa[a&31]()}return c|0}function Lt(a){a=a|0;return Kt(a)|0}function Mt(a){a=a|0;Dt(a);return}function Nt(a){a=a|0;Mt(a);return}function Ot(a){a=a|0;La(48810,48839,1183,48916)}function Pt(a){a=a|0;La(48937,48839,1194,48966)}function Qt(b,d){b=b|0;d=d|0;c[b>>2]=0;c[b+4>>2]=0;c[b+8>>2]=0;if((a[d+11>>0]|0)<0)Rt(b,c[d>>2]|0,c[d+4>>2]|0);else{c[b>>2]=c[d>>2];c[b+4>>2]=c[d+4>>2];c[b+8>>2]=c[d+8>>2]}return}function Rt(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;f=l;l=l+16|0;g=f;if(e>>>0<=4294967279)if(e>>>0<11){a[b+11>>0]=e;h=b}else i=5;else{Ot(b);i=5}if((i|0)==5){i=e+16&-16;j=Kt(i)|0;c[b>>2]=j;c[b+8>>2]=i|-2147483648;c[b+4>>2]=e;h=j}St(h,d,e)|0;a[g>>0]=0;Gt(h+e|0,g);l=f;return}function St(a,b,c){a=a|0;b=b|0;c=c|0;if(c|0)Wu(a|0,b|0,c|0)|0;return a|0}function Tt(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;f=l;l=l+16|0;g=f;if(d>>>0<=4294967279)if(d>>>0<11){a[b+11>>0]=d;h=b}else i=5;else{Ot(b);i=5}if((i|0)==5){i=d+16&-16;j=Kt(i)|0;c[b>>2]=j;c[b+8>>2]=i|-2147483648;c[b+4>>2]=d;h=j}Ut(h,d,e)|0;a[g>>0]=0;Gt(h+d|0,g);l=f;return}function Ut(a,b,c){a=a|0;b=b|0;c=c|0;if(b|0)Tu(a|0,(Ht(c)|0)&255|0,b|0)|0;return a|0}function Vt(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0;c[b>>2]=0;c[b+4>>2]=0;c[b+8>>2]=0;g=d+11|0;h=a[g>>0]|0;i=h<<24>>24<0?c[d+4>>2]|0:h&255;if(i>>>0<e>>>0){Pt(b);j=a[g>>0]|0}else j=h;h=i-e|0;Rt(b,(j<<24>>24<0?c[d>>2]|0:d)+e|0,h>>>0<f>>>0?h:f);return}function Wt(b){b=b|0;if((a[b+11>>0]|0)<0)Mt(c[b>>2]|0);return}function Xt(b,d){b=b|0;d=d|0;var e=0,f=0;if((b|0)!=(d|0)){e=a[d+11>>0]|0;f=e<<24>>24<0;Yt(b,f?c[d>>2]|0:d,f?c[d+4>>2]|0:e&255)|0}return b|0}function Yt(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;f=l;l=l+16|0;g=f;h=b+11|0;i=a[h>>0]|0;j=i<<24>>24<0;if(j)k=(c[b+8>>2]&2147483647)+-1|0;else k=10;do if(k>>>0>=e>>>0){if(j)m=c[b>>2]|0;else m=b;Zt(m,d,e)|0;a[g>>0]=0;Gt(m+e|0,g);if((a[h>>0]|0)<0){c[b+4>>2]=e;break}else{a[h>>0]=e;break}}else{if(j)n=c[b+4>>2]|0;else n=i&255;_t(b,k,e-k|0,n,0,n,e,d)}while(0);l=f;return b|0}function Zt(a,b,c){a=a|0;b=b|0;c=c|0;if(c|0)bv(a|0,b|0,c|0)|0;return a|0}function _t(b,d,e,f,g,h,i,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,m=0,n=0,o=0,p=0,q=0;k=l;l=l+16|0;m=k;if((-18-d|0)>>>0<e>>>0)Ot(b);if((a[b+11>>0]|0)<0)n=c[b>>2]|0;else n=b;if(d>>>0<2147483623){o=e+d|0;e=d<<1;p=o>>>0<e>>>0?e:o;q=p>>>0<11?11:p+16&-16}else q=-17;p=Kt(q)|0;if(g|0)St(p,n,g)|0;if(i|0)St(p+g|0,j,i)|0;j=f-h|0;f=j-g|0;if(f|0)St(p+g+i|0,n+g+h|0,f)|0;if((d|0)!=10)Mt(n);c[b>>2]=p;c[b+8>>2]=q|-2147483648;q=j+i|0;c[b+4>>2]=q;a[m>>0]=0;Gt(p+q|0,m);l=k;return}function $t(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;if(d>>>0>4294967279)Ot(b);e=b+11|0;f=a[e>>0]|0;g=f<<24>>24<0;if(g){h=c[b+4>>2]|0;i=(c[b+8>>2]&2147483647)+-1|0}else{h=f&255;i=10}j=h>>>0>d>>>0?h:d;d=j>>>0<11;k=d?10:(j+16&-16)+-1|0;do if((k|0)!=(i|0)){do if(d){j=c[b>>2]|0;if(g){l=0;m=j;n=b;o=13}else{St(b,j,(f&255)+1|0)|0;Mt(j);o=15}}else{j=Kt(k+1|0)|0;if(g){l=1;m=c[b>>2]|0;n=j;o=13;break}else{St(j,b,(f&255)+1|0)|0;p=j;o=14;break}}while(0);if((o|0)==13){St(n,m,(c[b+4>>2]|0)+1|0)|0;Mt(m);if(l){p=n;o=14}else o=15}if((o|0)==14){c[b+8>>2]=k+1|-2147483648;c[b+4>>2]=h;c[b>>2]=p;break}else if((o|0)==15){a[e>>0]=h;break}}while(0);return}function au(a,b){a=a|0;b=b|0;return Yt(a,b,It(b)|0)|0}function bu(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0;f=l;l=l+16|0;g=f;h=b+11|0;i=a[h>>0]|0;j=i<<24>>24<0;if(j)k=c[b+4>>2]|0;else k=i&255;do if(k>>>0>=d>>>0)if(j){i=(c[b>>2]|0)+d|0;a[g>>0]=0;Gt(i,g);c[b+4>>2]=d;break}else{a[g>>0]=0;Gt(b+d|0,g);a[h>>0]=d;break}else cu(b,d-k|0,e)|0;while(0);l=f;return}function cu(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0;f=l;l=l+16|0;g=f;if(d|0){h=b+11|0;i=a[h>>0]|0;if(i<<24>>24<0){j=(c[b+8>>2]&2147483647)+-1|0;k=c[b+4>>2]|0}else{j=10;k=i&255}m=k+d|0;if((j-k|0)>>>0<d>>>0){du(b,j,m-j|0,k,k,0,0);n=a[h>>0]|0}else n=i;if(n<<24>>24<0)o=c[b>>2]|0;else o=b;Ut(o+k|0,d,e)|0;if((a[h>>0]|0)<0)c[b+4>>2]=m;else a[h>>0]=m;a[g>>0]=0;Gt(o+m|0,g)}l=f;return b|0}function du(b,d,e,f,g,h,i){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0;if((-17-d|0)>>>0<e>>>0)Ot(b);if((a[b+11>>0]|0)<0)j=c[b>>2]|0;else j=b;if(d>>>0<2147483623){k=e+d|0;e=d<<1;l=k>>>0<e>>>0?e:k;m=l>>>0<11?11:l+16&-16}else m=-17;l=Kt(m)|0;if(g|0)St(l,j,g)|0;k=f-h-g|0;if(k|0)St(l+g+i|0,j+g+h|0,k)|0;if((d|0)!=10)Mt(j);c[b>>2]=l;c[b+8>>2]=m|-2147483648;return}function eu(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;f=l;l=l+16|0;g=f;h=b+11|0;i=a[h>>0]|0;j=i<<24>>24<0;if(j){k=(c[b+8>>2]&2147483647)+-1|0;m=c[b+4>>2]|0}else{k=10;m=i&255}i=m+e|0;if((k-m|0)>>>0>=e>>>0){if(e|0){if(j)n=c[b>>2]|0;else n=b;St(n+m|0,d,e)|0;if((a[h>>0]|0)<0)c[b+4>>2]=i;else a[h>>0]=i;a[g>>0]=0;Gt(n+i|0,g)}}else _t(b,k,i-k|0,m,m,0,e,d);l=f;return b|0}function fu(a,b){a=a|0;b=b|0;return eu(a,b,It(b)|0)|0}function gu(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0;e=l;l=l+16|0;f=e;g=e+1|0;a[f>>0]=d;d=b+11|0;h=a[d>>0]|0;i=h<<24>>24<0;if(i){j=c[b+4>>2]|0;k=(c[b+8>>2]&2147483647)+-1|0}else{j=h&255;k=10}if((j|0)==(k|0)){du(b,k,1,k,k,0,0);h=k+1|0;if((a[d>>0]|0)<0){m=h;n=8}else{o=h;n=7}}else{h=j+1|0;if(i){m=h;n=8}else{o=h;n=7}}if((n|0)==7){a[d>>0]=o;p=b}else if((n|0)==8){n=c[b>>2]|0;c[b+4>>2]=m;p=n}n=p+j|0;Gt(n,f);a[g>>0]=0;Gt(n+1|0,g);l=e;return}function hu(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0;f=l;l=l+16|0;g=f;h=f+1|0;a[g>>0]=e;e=b+11|0;i=a[e>>0]|0;j=i<<24>>24<0;if(j){k=(c[b+8>>2]&2147483647)+-1|0;m=c[b+4>>2]|0;n=(c[d>>2]|0)-(c[b>>2]|0)|0}else{k=10;m=i&255;n=(c[d>>2]|0)-b|0}if((k|0)!=(m|0)){if(j)o=c[b>>2]|0;else o=b;j=m-n|0;if(!j)p=o;else{k=o+n|0;Zt(k+1|0,k,j)|0;p=o}}else{du(b,m,1,m,n,0,1);p=c[b>>2]|0}Gt(p+n|0,g);g=m+1|0;a[h>>0]=0;Gt(p+g|0,h);if((a[e>>0]|0)>=0){h=g&255;a[e>>0]=h;if(h<<24>>24<0)q=14;else r=b}else{c[b+4>>2]=g;q=14}if((q|0)==14)r=c[b>>2]|0;l=f;return r+n|0}function iu(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0;g=l;l=l+16|0;h=g;if(f>>>0<=4294967279)if(f>>>0<11){a[b+11>>0]=e;i=b}else j=5;else{Ot(b);j=5}if((j|0)==5){j=f+16&-16;f=Kt(j)|0;c[b>>2]=f;c[b+8>>2]=j|-2147483648;c[b+4>>2]=e;i=f}St(i,d,e)|0;a[h>>0]=0;Gt(i+e|0,h);l=g;return}function ju(a,b){a=a|0;b=b|0;var c=0,d=0;c=l;l=l+16|0;d=c;ku(d);lu(a,d,b);Wt(d);l=c;return}function ku(b){b=b|0;var d=0,e=0;c[b>>2]=0;c[b+4>>2]=0;c[b+8>>2]=0;d=0;while(1){if((d|0)==3)break;c[b+(d<<2)>>2]=0;d=d+1|0}if((a[b+11>>0]|0)<0)e=(c[b+8>>2]&2147483647)+-1|0;else e=10;bu(b,e,0);return}function lu(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0;f=l;l=l+16|0;g=f;h=d+11|0;i=a[h>>0]|0;if(i<<24>>24<0)j=c[d+4>>2]|0;else j=i&255;k=j;j=i;while(1){if(j<<24>>24<0)m=c[d>>2]|0;else m=d;c[g>>2]=e;n=tt(m,k+1|0,48987,g)|0;if((n|0)>-1)if(n>>>0>k>>>0)o=n;else break;else o=k<<1|1;bu(d,o,0);k=o;j=a[h>>0]|0}bu(d,n,0);c[b>>2]=c[d>>2];c[b+4>>2]=c[d+4>>2];c[b+8>>2]=c[d+8>>2];b=0;while(1){if((b|0)==3)break;c[d+(b<<2)>>2]=0;b=b+1|0}l=f;return}function mu(a,b){a=a|0;b=b|0;var c=0,d=0;c=l;l=l+16|0;d=c;nu(d);ou(a,d,b);Wt(d);l=c;return}function nu(b){b=b|0;var d=0,e=0;c[b>>2]=0;c[b+4>>2]=0;c[b+8>>2]=0;d=0;while(1){if((d|0)==3)break;c[b+(d<<2)>>2]=0;d=d+1|0}if((a[b+11>>0]|0)<0)e=(c[b+8>>2]&2147483647)+-1|0;else e=10;bu(b,e,0);return}function ou(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0;f=l;l=l+16|0;g=f;h=d+11|0;i=a[h>>0]|0;if(i<<24>>24<0)j=c[d+4>>2]|0;else j=i&255;k=j;j=i;while(1){if(j<<24>>24<0)m=c[d>>2]|0;else m=d;c[g>>2]=e;n=tt(m,k+1|0,48990,g)|0;if((n|0)>-1)if(n>>>0>k>>>0)o=n;else break;else o=k<<1|1;bu(d,o,0);k=o;j=a[h>>0]|0}bu(d,n,0);c[b>>2]=c[d>>2];c[b+4>>2]=c[d+4>>2];c[b+8>>2]=c[d+8>>2];b=0;while(1){if((b|0)==3)break;c[d+(b<<2)>>2]=0;b=b+1|0}l=f;return}function pu(a){a=a|0;return}function qu(a){a=a|0;pu(a);Mt(a);return}function ru(a){a=a|0;return}function su(a){a=a|0;return}function tu(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0;e=l;l=l+64|0;f=e;if(!(xu(a,b,0)|0))if((b|0)!=0?(g=Bu(b,2096,2080,0)|0,(g|0)!=0):0){b=f+4|0;h=b+52|0;do{c[b>>2]=0;b=b+4|0}while((b|0)<(h|0));c[f>>2]=g;c[f+8>>2]=a;c[f+12>>2]=-1;c[f+48>>2]=1;ab[c[(c[g>>2]|0)+28>>2]&31](g,f,c[d>>2]|0,1);if((c[f+24>>2]|0)==1){c[d>>2]=c[f+16>>2];i=1}else i=0;j=i}else j=0;else j=1;l=e;return j|0}function uu(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;if(xu(a,c[b+8>>2]|0,g)|0)Au(0,b,d,e,f);return}function vu(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0;do if(!(xu(b,c[d+8>>2]|0,g)|0)){if(xu(b,c[d>>2]|0,g)|0){h=d+32|0;if((c[d+16>>2]|0)!=(e|0)?(i=d+20|0,(c[i>>2]|0)!=(e|0)):0){c[h>>2]=f;c[i>>2]=e;i=d+40|0;c[i>>2]=(c[i>>2]|0)+1;if((c[d+36>>2]|0)==1?(c[d+24>>2]|0)==2:0)a[d+54>>0]=1;c[d+44>>2]=4;break}if((f|0)==1)c[h>>2]=1}}else zu(0,d,e,f);while(0);return}function wu(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;if(xu(a,c[b+8>>2]|0,0)|0)yu(0,b,d,e);return}function xu(a,b,c){a=a|0;b=b|0;c=c|0;return (a|0)==(b|0)|0}function yu(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;b=d+16|0;g=c[b>>2]|0;h=d+36|0;i=d+24|0;do if(g){if((g|0)!=(e|0)){c[h>>2]=(c[h>>2]|0)+1;c[i>>2]=2;a[d+54>>0]=1;break}if((c[i>>2]|0)==2)c[i>>2]=f}else{c[b>>2]=e;c[i>>2]=f;c[h>>2]=1}while(0);return}function zu(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;if((c[b+4>>2]|0)==(d|0)?(d=b+28|0,(c[d>>2]|0)!=1):0)c[d>>2]=e;return}function Au(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0;a[d+53>>0]=1;do if((c[d+4>>2]|0)==(f|0)){a[d+52>>0]=1;b=d+16|0;h=c[b>>2]|0;i=d+54|0;j=d+48|0;k=d+24|0;l=d+36|0;if(!h){c[b>>2]=e;c[k>>2]=g;c[l>>2]=1;if(!((c[j>>2]|0)==1&(g|0)==1))break;a[i>>0]=1;break}if((h|0)!=(e|0)){c[l>>2]=(c[l>>2]|0)+1;a[i>>0]=1;break}l=c[k>>2]|0;if((l|0)==2){c[k>>2]=g;m=g}else m=l;if((c[j>>2]|0)==1&(m|0)==1)a[i>>0]=1}while(0);return}function Bu(d,e,f,g){d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0;h=l;l=l+64|0;i=h;j=c[d>>2]|0;k=d+(c[j+-8>>2]|0)|0;m=c[j+-4>>2]|0;c[i>>2]=f;c[i+4>>2]=d;c[i+8>>2]=e;c[i+12>>2]=g;g=i+16|0;e=i+20|0;d=i+24|0;j=i+28|0;n=i+32|0;o=i+40|0;p=g;q=p+36|0;do{c[p>>2]=0;p=p+4|0}while((p|0)<(q|0));b[g+36>>1]=0;a[g+38>>0]=0;a:do if(xu(m,f,0)|0){c[i+48>>2]=1;Za[c[(c[m>>2]|0)+20>>2]&31](m,i,k,k,1,0);r=(c[d>>2]|0)==1?k:0}else{Ra[c[(c[m>>2]|0)+24>>2]&31](m,i,k,1,0);switch(c[i+36>>2]|0){case 0:{r=(c[o>>2]|0)==1&(c[j>>2]|0)==1&(c[n>>2]|0)==1?c[e>>2]|0:0;break a;break}case 1:break;default:{r=0;break a}}if((c[d>>2]|0)!=1?!((c[o>>2]|0)==0&(c[j>>2]|0)==1&(c[n>>2]|0)==1):0){r=0;break}r=c[g>>2]|0}while(0);l=h;return r|0}function Cu(a){a=a|0;pu(a);Mt(a);return}function Du(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0;if(xu(a,c[b+8>>2]|0,g)|0)Au(0,b,d,e,f);else{h=c[a+8>>2]|0;Za[c[(c[h>>2]|0)+20>>2]&31](h,b,d,e,f,g)}return}function Eu(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;do if(!(xu(b,c[d+8>>2]|0,g)|0)){h=b+8|0;if(!(xu(b,c[d>>2]|0,g)|0)){i=c[h>>2]|0;Ra[c[(c[i>>2]|0)+24>>2]&31](i,d,e,f,g);break}i=d+32|0;if((c[d+16>>2]|0)!=(e|0)?(j=d+20|0,(c[j>>2]|0)!=(e|0)):0){c[i>>2]=f;k=d+44|0;if((c[k>>2]|0)==4)break;l=d+52|0;a[l>>0]=0;m=d+53|0;a[m>>0]=0;n=c[h>>2]|0;Za[c[(c[n>>2]|0)+20>>2]&31](n,d,e,e,1,g);if(a[m>>0]|0)if(!(a[l>>0]|0)){o=3;p=11}else q=3;else{o=4;p=11}if((p|0)==11){c[j>>2]=e;j=d+40|0;c[j>>2]=(c[j>>2]|0)+1;if((c[d+36>>2]|0)==1?(c[d+24>>2]|0)==2:0){a[d+54>>0]=1;q=o}else q=o}c[k>>2]=q;break}if((f|0)==1)c[i>>2]=1}else zu(0,d,e,f);while(0);return}function Fu(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;if(xu(a,c[b+8>>2]|0,0)|0)yu(0,b,d,e);else{f=c[a+8>>2]|0;ab[c[(c[f>>2]|0)+28>>2]&31](f,b,d,e)}return}function Gu(a){a=a|0;return}function Hu(a){a=a|0;pu(a);Mt(a);return}function Iu(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;if(xu(b,c[d+8>>2]|0,h)|0)Au(0,d,e,f,g);else{i=d+52|0;j=a[i>>0]|0;k=d+53|0;l=a[k>>0]|0;m=c[b+12>>2]|0;n=b+16+(m<<3)|0;a[i>>0]=0;a[k>>0]=0;Mu(b+16|0,d,e,f,g,h);a:do if((m|0)>1){o=d+24|0;p=d+54|0;q=b+8|0;r=b+24|0;do{if(a[p>>0]|0)break a;if(!(a[i>>0]|0)){if(a[k>>0]|0?(c[q>>2]&1|0)==0:0)break a}else{if((c[o>>2]|0)==1)break a;if(!(c[q>>2]&2))break a}a[i>>0]=0;a[k>>0]=0;Mu(r,d,e,f,g,h);r=r+8|0}while(r>>>0<n>>>0)}while(0);a[i>>0]=j;a[k>>0]=l}return}function Ju(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;a:do if(!(xu(b,c[d+8>>2]|0,g)|0)){h=b+12|0;i=d+24|0;j=d+36|0;k=d+54|0;l=b+8|0;m=b+16|0;if(!(xu(b,c[d>>2]|0,g)|0)){n=c[h>>2]|0;o=b+16+(n<<3)|0;Nu(m,d,e,f,g);p=b+24|0;if((n|0)<=1)break;n=c[l>>2]|0;if((n&2|0)==0?(c[j>>2]|0)!=1:0){if(!(n&1)){n=p;while(1){if(a[k>>0]|0)break a;if((c[j>>2]|0)==1)break a;Nu(n,d,e,f,g);n=n+8|0;if(n>>>0>=o>>>0)break a}}else q=p;while(1){if(a[k>>0]|0)break a;if((c[j>>2]|0)==1?(c[i>>2]|0)==1:0)break a;Nu(q,d,e,f,g);q=q+8|0;if(q>>>0>=o>>>0)break a}}else r=p;while(1){if(a[k>>0]|0)break a;Nu(r,d,e,f,g);r=r+8|0;if(r>>>0>=o>>>0)break a}}o=d+32|0;if((c[d+16>>2]|0)!=(e|0)?(p=d+20|0,(c[p>>2]|0)!=(e|0)):0){c[o>>2]=f;n=d+44|0;if((c[n>>2]|0)==4)break;s=b+16+(c[h>>2]<<3)|0;t=d+52|0;u=d+53|0;v=0;w=m;x=0;b:while(1){if(w>>>0>=s>>>0){y=v;z=18;break}a[t>>0]=0;a[u>>0]=0;Mu(w,d,e,e,1,g);if(a[k>>0]|0){y=v;z=18;break}do if(a[u>>0]|0){if(!(a[t>>0]|0))if(!(c[l>>2]&1)){y=1;z=18;break b}else{A=1;B=x;break}if((c[i>>2]|0)==1){z=23;break b}if(!(c[l>>2]&2)){z=23;break b}else{A=1;B=1}}else{A=v;B=x}while(0);v=A;w=w+8|0;x=B}do if((z|0)==18){if((!x?(c[p>>2]=e,w=d+40|0,c[w>>2]=(c[w>>2]|0)+1,(c[j>>2]|0)==1):0)?(c[i>>2]|0)==2:0){a[k>>0]=1;if(y){z=23;break}else{C=4;break}}if(y)z=23;else C=4}while(0);if((z|0)==23)C=3;c[n>>2]=C;break}if((f|0)==1)c[o>>2]=1}else zu(0,d,e,f);while(0);return}function Ku(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;a:do if(!(xu(b,c[d+8>>2]|0,0)|0)){g=c[b+12>>2]|0;h=b+16+(g<<3)|0;Lu(b+16|0,d,e,f);if((g|0)>1){g=d+54|0;i=b+24|0;do{Lu(i,d,e,f);if(a[g>>0]|0)break a;i=i+8|0}while(i>>>0<h>>>0)}}else yu(0,d,e,f);while(0);return}function Lu(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=c[a+4>>2]|0;g=f>>8;if(!(f&1))h=g;else h=c[(c[d>>2]|0)+g>>2]|0;g=c[a>>2]|0;ab[c[(c[g>>2]|0)+28>>2]&31](g,b,d+h|0,f&2|0?e:2);return}function Mu(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0;h=c[a+4>>2]|0;i=h>>8;if(!(h&1))j=i;else j=c[(c[e>>2]|0)+i>>2]|0;i=c[a>>2]|0;Za[c[(c[i>>2]|0)+20>>2]&31](i,b,d,e+j|0,h&2|0?f:2,g);return}function Nu(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;g=c[a+4>>2]|0;h=g>>8;if(!(g&1))i=h;else i=c[(c[d>>2]|0)+h>>2]|0;h=c[a>>2]|0;Ra[c[(c[h>>2]|0)+24>>2]&31](h,b,d+i|0,g&2|0?e:2,f);return}function Ou(){var a=0;a=c[12429]|0;c[12429]=a+0;return a|0}function Pu(){}function Qu(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){D=b>>c;return a>>>c|(b&(1<<c)-1)<<32-c}D=(b|0)<0?-1:0;return b>>c-32|0}function Ru(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=b-d>>>0;e=b-d-(c>>>0>a>>>0|0)>>>0;return (D=e,a-c>>>0|0)|0}function Su(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=a+c>>>0;return (D=b+d+(e>>>0<a>>>0|0)>>>0,e|0)|0}function Tu(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;f=b+e|0;d=d&255;if((e|0)>=67){while(b&3){a[b>>0]=d;b=b+1|0}g=f&-4|0;h=g-64|0;i=d|d<<8|d<<16|d<<24;while((b|0)<=(h|0)){c[b>>2]=i;c[b+4>>2]=i;c[b+8>>2]=i;c[b+12>>2]=i;c[b+16>>2]=i;c[b+20>>2]=i;c[b+24>>2]=i;c[b+28>>2]=i;c[b+32>>2]=i;c[b+36>>2]=i;c[b+40>>2]=i;c[b+44>>2]=i;c[b+48>>2]=i;c[b+52>>2]=i;c[b+56>>2]=i;c[b+60>>2]=i;b=b+64|0}while((b|0)<(g|0)){c[b>>2]=i;b=b+4|0}}while((b|0)<(f|0)){a[b>>0]=d;b=b+1|0}return f-e|0}function Uu(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){D=b>>>c;return a>>>c|(b&(1<<c)-1)<<32-c}D=0;return b>>>c-32|0}function Vu(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){D=b<<c|(a&(1<<c)-1<<32-c)>>>32-c;return a<<c}D=a<<c-32;return 0}function Wu(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;if((e|0)>=8192)return Ha(b|0,d|0,e|0)|0;f=b|0;g=b+e|0;if((b&3)==(d&3)){while(b&3){if(!e)return f|0;a[b>>0]=a[d>>0]|0;b=b+1|0;d=d+1|0;e=e-1|0}h=g&-4|0;e=h-64|0;while((b|0)<=(e|0)){c[b>>2]=c[d>>2];c[b+4>>2]=c[d+4>>2];c[b+8>>2]=c[d+8>>2];c[b+12>>2]=c[d+12>>2];c[b+16>>2]=c[d+16>>2];c[b+20>>2]=c[d+20>>2];c[b+24>>2]=c[d+24>>2];c[b+28>>2]=c[d+28>>2];c[b+32>>2]=c[d+32>>2];c[b+36>>2]=c[d+36>>2];c[b+40>>2]=c[d+40>>2];c[b+44>>2]=c[d+44>>2];c[b+48>>2]=c[d+48>>2];c[b+52>>2]=c[d+52>>2];c[b+56>>2]=c[d+56>>2];c[b+60>>2]=c[d+60>>2];b=b+64|0;d=d+64|0}while((b|0)<(h|0)){c[b>>2]=c[d>>2];b=b+4|0;d=d+4|0}}else{h=g-4|0;while((b|0)<(h|0)){a[b>>0]=a[d>>0]|0;a[b+1>>0]=a[d+1>>0]|0;a[b+2>>0]=a[d+2>>0]|0;a[b+3>>0]=a[d+3>>0]|0;b=b+4|0;d=d+4|0}}while((b|0)<(g|0)){a[b>>0]=a[d>>0]|0;b=b+1|0;d=d+1|0}return f|0}function Xu(b){b=b|0;var c=0;c=a[n+(b&255)>>0]|0;if((c|0)<8)return c|0;c=a[n+(b>>8&255)>>0]|0;if((c|0)<8)return c+8|0;c=a[n+(b>>16&255)>>0]|0;if((c|0)<8)return c+16|0;return (a[n+(b>>>24)>>0]|0)+24|0}function Yu(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,E=0,F=0,G=0,H=0;g=a;h=b;i=h;j=d;k=e;l=k;if(!i){m=(f|0)!=0;if(!l){if(m){c[f>>2]=(g>>>0)%(j>>>0);c[f+4>>2]=0}n=0;o=(g>>>0)/(j>>>0)>>>0;return (D=n,o)|0}else{if(!m){n=0;o=0;return (D=n,o)|0}c[f>>2]=a|0;c[f+4>>2]=b&0;n=0;o=0;return (D=n,o)|0}}m=(l|0)==0;do if(j){if(!m){p=(V(l|0)|0)-(V(i|0)|0)|0;if(p>>>0<=31){q=p+1|0;r=31-p|0;s=p-31>>31;t=q;u=g>>>(q>>>0)&s|i<<r;v=i>>>(q>>>0)&s;w=0;x=g<<r;break}if(!f){n=0;o=0;return (D=n,o)|0}c[f>>2]=a|0;c[f+4>>2]=h|b&0;n=0;o=0;return (D=n,o)|0}r=j-1|0;if(r&j|0){s=(V(j|0)|0)+33-(V(i|0)|0)|0;q=64-s|0;p=32-s|0;y=p>>31;z=s-32|0;A=z>>31;t=s;u=p-1>>31&i>>>(z>>>0)|(i<<p|g>>>(s>>>0))&A;v=A&i>>>(s>>>0);w=g<<q&y;x=(i<<q|g>>>(z>>>0))&y|g<<p&s-33>>31;break}if(f|0){c[f>>2]=r&g;c[f+4>>2]=0}if((j|0)==1){n=h|b&0;o=a|0|0;return (D=n,o)|0}else{r=Xu(j|0)|0;n=i>>>(r>>>0)|0;o=i<<32-r|g>>>(r>>>0)|0;return (D=n,o)|0}}else{if(m){if(f|0){c[f>>2]=(i>>>0)%(j>>>0);c[f+4>>2]=0}n=0;o=(i>>>0)/(j>>>0)>>>0;return (D=n,o)|0}if(!g){if(f|0){c[f>>2]=0;c[f+4>>2]=(i>>>0)%(l>>>0)}n=0;o=(i>>>0)/(l>>>0)>>>0;return (D=n,o)|0}r=l-1|0;if(!(r&l)){if(f|0){c[f>>2]=a|0;c[f+4>>2]=r&i|b&0}n=0;o=i>>>((Xu(l|0)|0)>>>0);return (D=n,o)|0}r=(V(l|0)|0)-(V(i|0)|0)|0;if(r>>>0<=30){s=r+1|0;p=31-r|0;t=s;u=i<<p|g>>>(s>>>0);v=i>>>(s>>>0);w=0;x=g<<p;break}if(!f){n=0;o=0;return (D=n,o)|0}c[f>>2]=a|0;c[f+4>>2]=h|b&0;n=0;o=0;return (D=n,o)|0}while(0);if(!t){B=x;C=w;E=v;F=u;G=0;H=0}else{b=d|0|0;d=k|e&0;e=Su(b|0,d|0,-1,-1)|0;k=D;h=x;x=w;w=v;v=u;u=t;t=0;do{a=h;h=x>>>31|h<<1;x=t|x<<1;g=v<<1|a>>>31|0;a=v>>>31|w<<1|0;Ru(e|0,k|0,g|0,a|0)|0;i=D;l=i>>31|((i|0)<0?-1:0)<<1;t=l&1;v=Ru(g|0,a|0,l&b|0,(((i|0)<0?-1:0)>>31|((i|0)<0?-1:0)<<1)&d|0)|0;w=D;u=u-1|0}while((u|0)!=0);B=h;C=x;E=w;F=v;G=0;H=t}t=C;C=0;if(f|0){c[f>>2]=F;c[f+4>>2]=E}n=(t|0)>>>31|(B|C)<<1|(C<<1|t>>>31)&0|G;o=(t<<1|0>>>31)&-2|H;return (D=n,o)|0}function Zu(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return Yu(a,b,c,d,0)|0}function _u(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=a&65535;d=b&65535;e=S(d,c)|0;f=a>>>16;a=(e>>>16)+(S(d,f)|0)|0;d=b>>>16;b=S(d,c)|0;return (D=(a>>>16)+(S(d,f)|0)+(((a&65535)+b|0)>>>16)|0,a+b<<16|e&65535|0)|0}function $u(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=a;a=c;c=_u(e,a)|0;f=D;return (D=(S(b,a)|0)+(S(d,e)|0)+f|f&0,c|0|0)|0}function av(a){a=a|0;var b=0,d=0;a=a+15&-16|0;b=c[i>>2]|0;d=b+a|0;if((a|0)>0&(d|0)<(b|0)|(d|0)<0){_()|0;Ea(12);return -1}c[i>>2]=d;if((d|0)>(Z()|0)?(Y()|0)==0:0){Ea(12);c[i>>2]=b;return -1}return b|0}function bv(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;if((c|0)<(b|0)&(b|0)<(c+d|0)){e=b;c=c+d|0;b=b+d|0;while((d|0)>0){b=b-1|0;c=c-1|0;d=d-1|0;a[b>>0]=a[c>>0]|0}b=e}else Wu(b,c,d)|0;return b|0}function cv(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0;f=l;l=l+16|0;g=f|0;Yu(a,b,d,e,g)|0;l=f;return (D=c[g+4>>2]|0,c[g>>2]|0)|0}function dv(a){a=a|0;return (a&255)<<24|(a>>8&255)<<16|(a>>16&255)<<8|a>>>24|0}function ev(a,b,c){a=a|0;b=b|0;c=c|0;c=V(b)|0;if((c|0)==32)c=c+(V(a)|0)|0;D=0;return c|0}function fv(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;return Pa[a&31](b|0,c|0,d|0,e|0,f|0,g|0,h|0)|0}function gv(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;return aa(0,a|0,b|0,c|0,d|0,e|0,f|0,g|0)|0}function hv(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;return aa(1,a|0,b|0,c|0,d|0,e|0,f|0,g|0)|0}function iv(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;return aa(2,a|0,b|0,c|0,d|0,e|0,f|0,g|0)|0}function jv(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;return aa(3,a|0,b|0,c|0,d|0,e|0,f|0,g|0)|0}function kv(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;return aa(4,a|0,b|0,c|0,d|0,e|0,f|0,g|0)|0}function lv(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;return aa(5,a|0,b|0,c|0,d|0,e|0,f|0,g|0)|0}function mv(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;return aa(6,a|0,b|0,c|0,d|0,e|0,f|0,g|0)|0}function nv(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;return aa(7,a|0,b|0,c|0,d|0,e|0,f|0,g|0)|0}function ov(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;return aa(8,a|0,b|0,c|0,d|0,e|0,f|0,g|0)|0}function pv(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;return aa(9,a|0,b|0,c|0,d|0,e|0,f|0,g|0)|0}function qv(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return Qa[a&127](b|0,c|0,d|0)|0}function rv(a,b,c){a=a|0;b=b|0;c=c|0;return ca(0,a|0,b|0,c|0)|0}function sv(a,b,c){a=a|0;b=b|0;c=c|0;return ca(1,a|0,b|0,c|0)|0}function tv(a,b,c){a=a|0;b=b|0;c=c|0;return ca(2,a|0,b|0,c|0)|0}function uv(a,b,c){a=a|0;b=b|0;c=c|0;return ca(3,a|0,b|0,c|0)|0}function vv(a,b,c){a=a|0;b=b|0;c=c|0;return ca(4,a|0,b|0,c|0)|0}function wv(a,b,c){a=a|0;b=b|0;c=c|0;return ca(5,a|0,b|0,c|0)|0}function xv(a,b,c){a=a|0;b=b|0;c=c|0;return ca(6,a|0,b|0,c|0)|0}function yv(a,b,c){a=a|0;b=b|0;c=c|0;return ca(7,a|0,b|0,c|0)|0}function zv(a,b,c){a=a|0;b=b|0;c=c|0;return ca(8,a|0,b|0,c|0)|0}function Av(a,b,c){a=a|0;b=b|0;c=c|0;return ca(9,a|0,b|0,c|0)|0}function Bv(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;Ra[a&31](b|0,c|0,d|0,e|0,f|0)}function Cv(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;ea(0,a|0,b|0,c|0,d|0,e|0)}function Dv(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;ea(1,a|0,b|0,c|0,d|0,e|0)}function Ev(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;ea(2,a|0,b|0,c|0,d|0,e|0)}function Fv(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;ea(3,a|0,b|0,c|0,d|0,e|0)}function Gv(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;ea(4,a|0,b|0,c|0,d|0,e|0)}function Hv(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;ea(5,a|0,b|0,c|0,d|0,e|0)}function Iv(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;ea(6,a|0,b|0,c|0,d|0,e|0)}function Jv(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;ea(7,a|0,b|0,c|0,d|0,e|0)}function Kv(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;ea(8,a|0,b|0,c|0,d|0,e|0)}function Lv(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;ea(9,a|0,b|0,c|0,d|0,e|0)}function Mv(a,b){a=a|0;b=b|0;Sa[a&255](b|0)}function Nv(a){a=a|0;ga(0,a|0)}function Ov(a){a=a|0;ga(1,a|0)}function Pv(a){a=a|0;ga(2,a|0)}function Qv(a){a=a|0;ga(3,a|0)}function Rv(a){a=a|0;ga(4,a|0)}function Sv(a){a=a|0;ga(5,a|0)}function Tv(a){a=a|0;ga(6,a|0)}function Uv(a){a=a|0;ga(7,a|0)}function Vv(a){a=a|0;ga(8,a|0)}function Wv(a){a=a|0;ga(9,a|0)}function Xv(a,b,c){a=a|0;b=b|0;c=c|0;Ta[a&31](b|0,c|0)}function Yv(a,b){a=a|0;b=b|0;ia(0,a|0,b|0)}function Zv(a,b){a=a|0;b=b|0;ia(1,a|0,b|0)}function _v(a,b){a=a|0;b=b|0;ia(2,a|0,b|0)}function $v(a,b){a=a|0;b=b|0;ia(3,a|0,b|0)}function aw(a,b){a=a|0;b=b|0;ia(4,a|0,b|0)}function bw(a,b){a=a|0;b=b|0;ia(5,a|0,b|0)}function cw(a,b){a=a|0;b=b|0;ia(6,a|0,b|0)}function dw(a,b){a=a|0;b=b|0;ia(7,a|0,b|0)}function ew(a,b){a=a|0;b=b|0;ia(8,a|0,b|0)}function fw(a,b){a=a|0;b=b|0;ia(9,a|0,b|0)}function gw(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;return Ua[a&31](b|0,c|0,d|0,e|0,f|0,g|0)|0}function hw(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return ka(0,a|0,b|0,c|0,d|0,e|0,f|0)|0}function iw(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return ka(1,a|0,b|0,c|0,d|0,e|0,f|0)|0}function jw(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return ka(2,a|0,b|0,c|0,d|0,e|0,f|0)|0}function kw(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return ka(3,a|0,b|0,c|0,d|0,e|0,f|0)|0}function lw(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return ka(4,a|0,b|0,c|0,d|0,e|0,f|0)|0}function mw(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return ka(5,a|0,b|0,c|0,d|0,e|0,f|0)|0}function nw(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return ka(6,a|0,b|0,c|0,d|0,e|0,f|0)|0}function ow(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return ka(7,a|0,b|0,c|0,d|0,e|0,f|0)|0}function pw(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return ka(8,a|0,b|0,c|0,d|0,e|0,f|0)|0}function qw(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return ka(9,a|0,b|0,c|0,d|0,e|0,f|0)|0}function rw(a,b){a=a|0;b=b|0;return Va[a&127](b|0)|0}function sw(a){a=a|0;return ma(0,a|0)|0}function tw(a){a=a|0;return ma(1,a|0)|0}function uw(a){a=a|0;return ma(2,a|0)|0}function vw(a){a=a|0;return ma(3,a|0)|0}function ww(a){a=a|0;return ma(4,a|0)|0}function xw(a){a=a|0;return ma(5,a|0)|0}function yw(a){a=a|0;return ma(6,a|0)|0}function zw(a){a=a|0;return ma(7,a|0)|0}function Aw(a){a=a|0;return ma(8,a|0)|0}function Bw(a){a=a|0;return ma(9,a|0)|0}function Cw(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Wa[a&31](b|0,c|0,d|0)}function Dw(a,b,c){a=a|0;b=b|0;c=c|0;oa(0,a|0,b|0,c|0)}function Ew(a,b,c){a=a|0;b=b|0;c=c|0;oa(1,a|0,b|0,c|0)}function Fw(a,b,c){a=a|0;b=b|0;c=c|0;oa(2,a|0,b|0,c|0)}function Gw(a,b,c){a=a|0;b=b|0;c=c|0;oa(3,a|0,b|0,c|0)}function Hw(a,b,c){a=a|0;b=b|0;c=c|0;oa(4,a|0,b|0,c|0)}function Iw(a,b,c){a=a|0;b=b|0;c=c|0;oa(5,a|0,b|0,c|0)}function Jw(a,b,c){a=a|0;b=b|0;c=c|0;oa(6,a|0,b|0,c|0)}function Kw(a,b,c){a=a|0;b=b|0;c=c|0;oa(7,a|0,b|0,c|0)}function Lw(a,b,c){a=a|0;b=b|0;c=c|0;oa(8,a|0,b|0,c|0)}function Mw(a,b,c){a=a|0;b=b|0;c=c|0;oa(9,a|0,b|0,c|0)}function Nw(a){a=a|0;Xa[a&31]()}function Ow(){qa(0)}function Pw(){qa(1)}function Qw(){qa(2)}function Rw(){qa(3)}function Sw(){qa(4)}function Tw(){qa(5)}function Uw(){qa(6)}function Vw(){qa(7)}function Ww(){qa(8)}function Xw(){qa(9)}function Yw(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return Ya[a&63](b|0,c|0,d|0,e|0)|0}function Zw(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return sa(0,a|0,b|0,c|0,d|0)|0}function _w(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return sa(1,a|0,b|0,c|0,d|0)|0}function $w(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return sa(2,a|0,b|0,c|0,d|0)|0}function ax(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return sa(3,a|0,b|0,c|0,d|0)|0}function bx(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return sa(4,a|0,b|0,c|0,d|0)|0}function cx(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return sa(5,a|0,b|0,c|0,d|0)|0}function dx(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return sa(6,a|0,b|0,c|0,d|0)|0}function ex(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return sa(7,a|0,b|0,c|0,d|0)|0}function fx(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return sa(8,a|0,b|0,c|0,d|0)|0}function gx(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return sa(9,a|0,b|0,c|0,d|0)|0}function hx(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;Za[a&31](b|0,c|0,d|0,e|0,f|0,g|0)}function ix(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;ua(0,a|0,b|0,c|0,d|0,e|0,f|0)}function jx(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;ua(1,a|0,b|0,c|0,d|0,e|0,f|0)}function kx(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;ua(2,a|0,b|0,c|0,d|0,e|0,f|0)}function lx(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;ua(3,a|0,b|0,c|0,d|0,e|0,f|0)}function mx(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;ua(4,a|0,b|0,c|0,d|0,e|0,f|0)}function nx(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;ua(5,a|0,b|0,c|0,d|0,e|0,f|0)}function ox(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;ua(6,a|0,b|0,c|0,d|0,e|0,f|0)}function px(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;ua(7,a|0,b|0,c|0,d|0,e|0,f|0)}function qx(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;ua(8,a|0,b|0,c|0,d|0,e|0,f|0)}function rx(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;ua(9,a|0,b|0,c|0,d|0,e|0,f|0)}function sx(a,b,c){a=a|0;b=b|0;c=c|0;return _a[a&255](b|0,c|0)|0}function tx(a,b){a=a|0;b=b|0;return wa(0,a|0,b|0)|0}function ux(a,b){a=a|0;b=b|0;return wa(1,a|0,b|0)|0}function vx(a,b){a=a|0;b=b|0;return wa(2,a|0,b|0)|0}function wx(a,b){a=a|0;b=b|0;return wa(3,a|0,b|0)|0}function xx(a,b){a=a|0;b=b|0;return wa(4,a|0,b|0)|0}function yx(a,b){a=a|0;b=b|0;return wa(5,a|0,b|0)|0}function zx(a,b){a=a|0;b=b|0;return wa(6,a|0,b|0)|0}function Ax(a,b){a=a|0;b=b|0;return wa(7,a|0,b|0)|0}function Bx(a,b){a=a|0;b=b|0;return wa(8,a|0,b|0)|0}function Cx(a,b){a=a|0;b=b|0;return wa(9,a|0,b|0)|0}function Dx(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return $a[a&31](b|0,c|0,d|0,e|0,f|0)|0}function Ex(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return ya(0,a|0,b|0,c|0,d|0,e|0)|0}function Fx(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return ya(1,a|0,b|0,c|0,d|0,e|0)|0}function Gx(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return ya(2,a|0,b|0,c|0,d|0,e|0)|0}function Hx(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return ya(3,a|0,b|0,c|0,d|0,e|0)|0}function Ix(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return ya(4,a|0,b|0,c|0,d|0,e|0)|0}function Jx(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return ya(5,a|0,b|0,c|0,d|0,e|0)|0}function Kx(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return ya(6,a|0,b|0,c|0,d|0,e|0)|0}function Lx(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return ya(7,a|0,b|0,c|0,d|0,e|0)|0}function Mx(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return ya(8,a|0,b|0,c|0,d|0,e|0)|0}function Nx(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return ya(9,a|0,b|0,c|0,d|0,e|0)|0}function Ox(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;ab[a&31](b|0,c|0,d|0,e|0)}function Px(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Aa(0,a|0,b|0,c|0,d|0)}function Qx(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Aa(1,a|0,b|0,c|0,d|0)}function Rx(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Aa(2,a|0,b|0,c|0,d|0)}function Sx(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Aa(3,a|0,b|0,c|0,d|0)}function Tx(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Aa(4,a|0,b|0,c|0,d|0)}function Ux(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Aa(5,a|0,b|0,c|0,d|0)}function Vx(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Aa(6,a|0,b|0,c|0,d|0)}function Wx(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Aa(7,a|0,b|0,c|0,d|0)}function Xx(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Aa(8,a|0,b|0,c|0,d|0)}function Yx(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Aa(9,a|0,b|0,c|0,d|0)}function Zx(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;W(0);return 0}function _x(a,b,c){a=a|0;b=b|0;c=c|0;W(1);return 0}function $x(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;W(2)}function ay(a){a=a|0;W(3)}function by(a,b){a=a|0;b=b|0;W(4)}function cy(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;W(5);return 0}function dy(a){a=a|0;W(6);return 0}function ey(a,b,c){a=a|0;b=b|0;c=c|0;W(7)}function fy(){W(8)}function gy(){Ma()}function hy(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;W(9);return 0}function iy(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;W(10)}function jy(a,b){a=a|0;b=b|0;W(11);return 0}function ky(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;W(12);return 0}function ly(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;W(13)}
function Rl(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;switch(b|0){case 1:case 0:{g=Sl(d,e,f)|0;return g|0}case 2:{switch(a[d>>0]|0){case 45:{h=d+1|0;i=1;break}case 43:{h=d+1|0;i=0;break}default:{h=d;i=0}}b=h+2|0;do if(b>>>0<e>>>0){h=0;j=0;k=0;l=b;a:while(1){m=a[l>>0]|0;b:do switch(m<<24>>24){case 95:{n=h;o=j;p=k;break}case 46:{q=h;r=j;s=1;t=16;break}default:{u=m<<24>>24;v=u+-48|0;do if(v>>>0<10)w=v;else{if((u+-97|0)>>>0<7){w=u+-87|0;break}if((u+-65|0)>>>0>=7){x=h;y=j;z=l;A=1;break a}w=u+-55|0}while(0);if((32-(V(j|0)|0)|0)<25){q=k?h+-4|0:h;r=w+(j<<4)|0;s=k;t=16;break b}else{q=k?h:h+4|0;r=j;s=k;t=16;break b}}}while(0);if((t|0)==16){t=0;n=q;o=r;p=s}m=l+1|0;if(m>>>0<e>>>0){h=n;j=o;k=p;l=m}else{x=n;y=o;z=m;A=0;break}}if(y){if(A){l=z+1|0;switch(a[l>>0]|0){case 45:{B=0-x|0;C=1;D=z+2|0;break}case 43:{B=x;C=0;D=z+2|0;break}default:{B=0;C=0;D=l}}c:do if(D>>>0<e>>>0){l=0;k=D;while(1){j=a[k>>0]|0;if(j<<24>>24!=95){h=(l*10|0)+-48+(j<<24>>24)|0;if((h+B|0)<128)E=h;else{F=h;break c}}else E=l;k=k+1|0;if(k>>>0>=e>>>0){F=E;break}else l=E}}else F=0;while(0);G=C<<24>>24?0-F|0:F}else G=0;l=32-(V(y|0)|0)|0;k=l+x|0;h=k+-1+G|0;if((h|0)>=-126){if((l|0)>24){j=l+-24|0;m=(((1<<j&y|0)==0?0:1<<l+-25)+y|0)>>>j;H=m>>>0>16777215?G+k|0:h;I=m}else{H=h;I=y<<((l|0)==24?0:24-l|0)}if((H|0)>127){g=1;return g|0}else{J=I&8388607|(i&1)<<31|(H<<23)+1065353216;break}}if((l|0)>23){m=l+-23|0;K=(((1<<m&y|0)==0?0:1<<l+-24)+y|0)>>>m}else K=y<<((l|0)==23?0:23-l|0);l=-127-h|0;if((l|0)<23){if(!l)L=K;else L=(((K&1<<l|0)==0?0:1<<l+-1)+K|0)>>>l&8388607;if(L|0){J=L|(i&1)<<31;break}}J=(i&1)<<31}else t=19}else t=19;while(0);if((t|0)==19)J=(i&1)<<31;c[f>>2]=J;g=0;return g|0}case 3:{c[f>>2]=((a[d>>0]|0)==45&1)<<31|2139095040;g=0;return g|0}case 4:{switch(a[d>>0]|0){case 45:{M=-8388608;N=d+1|0;break}case 43:{M=2139095040;N=d+1|0;break}default:{M=2139095040;N=d}}do if((N+3|0)!=(e|0)){d=N+6|0;if(d>>>0<e>>>0){O=0;P=d}else{g=1;return g|0}d:while(1){d=a[P>>0]|0;J=d+-48|0;do if(J>>>0<10)Q=J;else{if((d+-97|0)>>>0<7){Q=d+-87|0;break}if((d+-65|0)>>>0>=7){g=1;t=61;break d}Q=d+-55|0}while(0);O=Q+(O<<4)|0;P=P+1|0;if(O>>>0>8388607){g=1;t=61;break}if(P>>>0>=e>>>0){t=58;break}}if((t|0)==58){if(!O)g=1;else{R=O;break}return g|0}else if((t|0)==61)return g|0}else R=4194304;while(0);c[f>>2]=R|M;g=0;return g|0}default:{}}return 0}function Sl(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0.0,p=0;f=l;l=l+16|0;h=f;i=l;l=l+((1*(1-b+d|0)|0)+15&-16)|0;if((b|0)==(d|0))j=i;else{k=i;m=b;while(1){b=a[m>>0]|0;if(b<<24>>24==95)n=k;else{a[k>>0]=b;n=k+1|0}m=m+1|0;if((m|0)==(d|0)){j=n;break}else k=n}}a[j>>0]=0;o=+At(i,h);if(o==-t|(o==t?1:(c[h>>2]|0)!=(j|0))){p=1;l=f;return p|0}g[e>>2]=o;p=0;l=f;return p|0}function Tl(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0;switch(b|0){case 1:case 0:{g=Ul(d,e,f)|0;return g|0}case 2:{switch(a[d>>0]|0){case 45:{h=d+1|0;i=0;j=-2147483648;break}case 43:{h=d+1|0;i=0;j=0;break}default:{h=d;i=0;j=0}}b=h+2|0;do if(b>>>0<e>>>0){h=0;k=0;l=b;m=0;n=0;a:while(1){o=a[l>>0]|0;b:do switch(o<<24>>24){case 95:{p=h;q=k;r=m;s=n;break}case 46:{t=h;u=1;v=m;w=n;x=16;break}default:{y=o<<24>>24;z=y+-48|0;do if(z>>>0<10)A=z;else{if((y+-97|0)>>>0<7){A=y+-87|0;break}if((y+-65|0)>>>0>=7){B=h;C=l;E=1;F=m;G=n;break a}A=y+-55|0}while(0);if((64-(ev(m|0,n|0,0)|0)|0)<54){y=Vu(m|0,n|0,4)|0;z=Su(A|0,0,y|0,D|0)|0;t=k?h+-4|0:h;u=k;v=z;w=D;x=16;break b}else{t=k?h:h+4|0;u=k;v=m;w=n;x=16;break b}}}while(0);if((x|0)==16){x=0;p=t;q=u;r=v;s=w}o=l+1|0;if(o>>>0<e>>>0){h=p;k=q;l=o;m=r;n=s}else{B=p;C=o;E=0;F=r;G=s;break}}if(!((F|0)==0&(G|0)==0)){if(E){n=C+1|0;switch(a[n>>0]|0){case 45:{H=0-B|0;I=1;J=C+2|0;break}case 43:{H=B;I=0;J=C+2|0;break}default:{H=0;I=0;J=n}}c:do if(J>>>0<e>>>0){n=0;m=J;while(1){l=a[m>>0]|0;if(l<<24>>24!=95){k=(n*10|0)+-48+(l<<24>>24)|0;if((k+H|0)<1024)K=k;else{L=k;break c}}else K=n;m=m+1|0;if(m>>>0>=e>>>0){L=K;break}else n=K}}else L=0;while(0);M=I<<24>>24?0-L|0:L}else M=0;n=ev(F|0,G|0,0)|0;m=64-n|0;n=m+B|0;k=n+-1+M|0;if((k|0)>=-1022){if((m|0)>53){l=m+-53|0;h=Vu(1,0,l|0)|0;o=(h&F|0)==0&(D&G|0)==0;h=Vu(1,0,m+-54|0)|0;z=Su((o?0:h)|0,(o?0:D)|0,F|0,G|0)|0;o=Uu(z|0,D|0,l|0)|0;l=D;N=l>>>0>2097151|(l|0)==2097151&o>>>0>4294967295?M+n|0:k;O=l;P=o}else{o=Vu(F|0,G|0,((m|0)==53?0:53-m|0)|0)|0;N=k;O=D;P=o}if((N|0)>1023){g=1;return g|0}else{o=Vu(N+1023|0,0,52)|0;Q=P|i|o;R=O&1048575|j|D;break}}if((m|0)>52){o=m+-52|0;l=Vu(1,0,o|0)|0;n=(l&F|0)==0&(D&G|0)==0;l=Vu(1,0,m+-53|0)|0;z=Su((n?0:l)|0,(n?0:D)|0,F|0,G|0)|0;n=Uu(z|0,D|0,o|0)|0;S=n;T=D}else{n=Vu(F|0,G|0,((m|0)==52?0:52-m|0)|0)|0;S=n;T=D}n=-1023-k|0;if((n|0)<52){if(!n){U=S;V=T}else{k=Vu(1,0,n|0)|0;m=(S&k|0)==0&(T&D|0)==0;k=Vu(1,0,n+-1|0)|0;o=Su((m?0:k)|0,(m?0:D)|0,S|0,T|0)|0;m=Uu(o|0,D|0,n|0)|0;U=m;V=D&1048575}Q=U|i;R=V|j}else{Q=i;R=j}}else{Q=i;R=j}}else{Q=i;R=j}while(0);j=f;c[j>>2]=Q;c[j+4>>2]=R;g=0;return g|0}case 3:{R=Vu((a[d>>0]|0)==45|0,0,63)|0;j=f;c[j>>2]=R;c[j+4>>2]=D|2146435072;g=0;return g|0}case 4:{switch(a[d>>0]|0){case 45:{W=d+1|0;X=0;Y=-1048576;break}case 43:{W=d+1|0;X=0;Y=2146435072;break}default:{W=d;X=0;Y=2146435072}}do if((W+3|0)!=(e|0)){d=W+6|0;if(d>>>0<e>>>0){Z=d;_=0;$=0}else{g=1;return g|0}d:while(1){d=a[Z>>0]|0;j=d+-48|0;do if(j>>>0<10)aa=j;else{if((d+-97|0)>>>0<7){aa=d+-87|0;break}if((d+-65|0)>>>0>=7){g=1;x=58;break d}aa=d+-55|0}while(0);d=Vu(_|0,$|0,4)|0;_=Su(aa|0,0,d|0,D|0)|0;$=D;Z=Z+1|0;if($>>>0>1048575|($|0)==1048575&_>>>0>4294967295){g=1;x=58;break}if(Z>>>0>=e>>>0){x=55;break}}if((x|0)==55){if((_|0)==0&($|0)==0)g=1;else{ba=_;ca=$;break}return g|0}else if((x|0)==58)return g|0}else{ba=0;ca=524288}while(0);x=f;c[x>>2]=ba|X;c[x+4>>2]=ca|Y;g=0;return g|0}default:{}}return 0}function Ul(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,i=0,j=0,k=0,m=0,n=0,o=0.0,p=0;f=l;l=l+16|0;g=f;i=l;l=l+((1*(1-b+d|0)|0)+15&-16)|0;if((b|0)==(d|0))j=i;else{k=i;m=b;while(1){b=a[m>>0]|0;if(b<<24>>24==95)n=k;else{a[k>>0]=b;n=k+1|0}m=m+1|0;if((m|0)==(d|0)){j=n;break}else k=n}}a[j>>0]=0;o=+xt(i,g);if(o==-t|(o==t?1:(c[g>>2]|0)!=(j|0))){p=1;l=f;return p|0}h[e>>3]=o;p=0;l=f;return p|0}function Vl(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;e=l;l=l+32|0;f=e;g=d>>>23&255;h=g+-127|0;i=d&8388607;if((d|0)<0){a[f>>0]=45;j=f+1|0}else j=f;do if((h|0)==128){if(!i){a[j>>0]=105;a[j+1>>0]=110;a[j+2>>0]=102;a[j+3>>0]=0;k=j+3|0;break}a[j>>0]=110;a[j+1>>0]=97;a[j+2>>0]=110;a[j+3>>0]=0;m=j+3|0;if((i|0)!=4194304){a[m>>0]=58;a[m+1>>0]=48;a[m+2>>0]=120;a[m+3>>0]=0;n=i;o=8;while(1){n=n<<4;p=o+-1|0;if(n>>>0>=268435456)break;else o=p}q=j+6|0;if(!p)k=q;else{r=n;s=p;t=q;while(1){a[t>>0]=a[27924+(r>>>28)>>0]|0;s=s+-1|0;if(!s)break;else{r=r<<4;t=t+1|0}}k=j+(o+5)|0}}else k=m}else{t=(g|i|0)==0;a[j>>0]=48;a[j+1>>0]=120;r=j+3|0;a[j+2>>0]=t?48:49;s=d<<9;do if(!s){u=h;v=r}else{if(!g){n=V(s|0)|0;q=s<<n+1;w=h-n|0;x=j+4|0;a[r>>0]=46;if(n>>>0>30|(q|0)==0){u=w;v=x;break}else{y=w;z=q;A=x}}else{a[r>>0]=46;y=h;z=s;A=j+4|0}x=A;q=z;while(1){w=x+1|0;a[x>>0]=a[27924+(q>>>28)>>0]|0;q=q<<4;if(!q){u=y;v=w;break}else x=w}}while(0);s=v+1|0;a[v>>0]=112;if(t){a[s>>0]=a[27941]|0;a[s+1>>0]=a[27942]|0;a[s+2>>0]=a[27943]|0;k=v+3|0;break}r=v+2|0;if((u|0)<0){a[s>>0]=45;B=0-u|0}else{a[s>>0]=43;B=u}if((B|0)<=999)if((B|0)<=99)if((B|0)>9){C=r;D=27}else E=r;else{F=r;D=25}else{a[r>>0]=49;F=v+3|0;D=25}if((D|0)==25){a[F>>0]=(((B>>>0)/100|0)>>>0)%10|0|48;C=F+1|0;D=27}if((D|0)==27){a[C>>0]=(((B>>>0)/10|0)>>>0)%10|0|48;E=C+1|0}a[E>>0]=((B|0)%10|0)+48;k=E+1|0}while(0);E=k-f|0;k=E>>>0<c>>>0?E:c+-1|0;Wu(b|0,f|0,k|0)|0;a[b+k>>0]=0;l=e;return}function Wl(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;f=l;l=l+48|0;g=f;h=Uu(d|0,e|0,52)|0;i=Su(h&2047|0,0,-1023,0)|0;h=e&1048575;if((e|0)<0){a[g>>0]=45;j=g+1|0}else j=g;k=(d|0)==0&(h|0)==0;do if((i|0)==1024){if(k){a[j>>0]=105;a[j+1>>0]=110;a[j+2>>0]=102;a[j+3>>0]=0;m=j+3|0;break}a[j>>0]=110;a[j+1>>0]=97;a[j+2>>0]=110;a[j+3>>0]=0;n=j+3|0;if(!((d|0)==0&(h|0)==524288)){a[n>>0]=58;a[n+1>>0]=48;a[n+2>>0]=120;a[n+3>>0]=0;o=16;p=d;q=h;while(1){p=Vu(p|0,q|0,4)|0;q=D;r=o+-1|0;if(!(q>>>0<268435456|(q|0)==268435456&p>>>0<0))break;else o=r}s=j+6|0;if(!r)m=s;else{t=s;s=r;u=p;v=q;while(1){w=Uu(u|0,v|0,60)|0;a[t>>0]=a[27924+w>>0]|0;u=Vu(u|0,v|0,4)|0;s=s+-1|0;if(!s)break;else{t=t+1|0;v=D}}m=j+(o+5)|0}}else m=n}else{v=(i|0)==-1023;t=k&v;a[j>>0]=48;a[j+1>>0]=120;s=j+3|0;a[j+2>>0]=t?48:49;u=Vu(d|0,e|0,12)|0;q=D;do if((u|0)==0&(q|0)==0){x=i;y=s}else{if(v){p=ev(u|0,q|0,0)|0;w=Su(p|0,D|0,1,0)|0;z=Vu(u|0,q|0,w|0)|0;w=D;A=-1023-p|0;B=j+4|0;a[s>>0]=46;if(p>>>0>62|(z|0)==0&(w|0)==0){x=A;y=B;break}else{C=A;E=B;F=z;G=w}}else{a[s>>0]=46;C=i;E=j+4|0;F=u;G=q}w=E;z=F;B=G;while(1){A=Uu(z|0,B|0,60)|0;p=w+1|0;a[w>>0]=a[27924+A>>0]|0;z=Vu(z|0,B|0,4)|0;B=D;if((z|0)==0&(B|0)==0){x=C;y=p;break}else w=p}}while(0);q=y+1|0;a[y>>0]=112;if(t){a[q>>0]=a[27941]|0;a[q+1>>0]=a[27942]|0;a[q+2>>0]=a[27943]|0;m=y+3|0;break}u=y+2|0;if((x|0)<0){a[q>>0]=45;H=0-x|0}else{a[q>>0]=43;H=x}if((H|0)<=999)if((H|0)<=99)if((H|0)>9){I=u;J=27}else K=u;else{L=u;J=25}else{a[u>>0]=49;L=y+3|0;J=25}if((J|0)==25){a[L>>0]=(((H>>>0)/100|0)>>>0)%10|0|48;I=L+1|0;J=27}if((J|0)==27){a[I>>0]=(((H>>>0)/10|0)>>>0)%10|0|48;K=I+1|0}a[K>>0]=((H|0)%10|0)+48;m=K+1|0}while(0);K=m-g|0;m=K>>>0<c>>>0?K:c+-1|0;Wu(b|0,g|0,m|0)|0;a[b+m>>0]=0;l=f;return}function Xl(a){a=a|0;var b=0,d=0;c[a>>2]=4572;b=a+16|0;a=c[b>>2]|0;c[b>>2]=0;if(!a)return;b=c[a>>2]|0;if(b|0){d=a+4|0;if((c[d>>2]|0)!=(b|0))c[d>>2]=b;Mt(b)}Mt(a);return}function Yl(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=4572;b=a+16|0;d=c[b>>2]|0;c[b>>2]=0;if(!d){Mt(a);return}b=c[d>>2]|0;if(b|0){e=d+4|0;if((c[e>>2]|0)!=(b|0))c[e>>2]=b;Mt(b)}Mt(d);Mt(a);return}function Zl(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;if(!e)return 0;f=e+b|0;g=a+16|0;a=c[g>>2]|0;h=(c[a+4>>2]|0)-(c[a>>2]|0)|0;if(f>>>0>h>>>0){Ri(a,f-h|0);i=c[g>>2]|0}else i=a;Wu((c[i>>2]|0)+b|0,d|0,e|0)|0;return 0}function _l(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;if(!e)return 0;f=e+d|0;g=e+b|0;h=f>>>0>g>>>0?f:g;g=a+16|0;a=c[g>>2]|0;f=(c[a+4>>2]|0)-(c[a>>2]|0)|0;if(h>>>0>f>>>0){Ri(a,h-f|0);i=c[g>>2]|0}else i=a;a=c[i>>2]|0;bv(a+b|0,a+d|0,e|0)|0;return 0}function $l(a,b){a=a|0;b=b|0;var d=0;d=a+4|0;c[d>>2]=(c[d>>2]|0)+b;return}function am(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0;h=a+8|0;if((c[h>>2]|0)==1)return;i=c[a+12>>2]|0;if(i|0)bm(i,d,e,b,g,0,f);c[h>>2]=Ya[c[(c[a>>2]|0)+8>>2]&63](a,b,d,e)|0;return}function bm(b,e,f,g,h,i,j){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0;k=l;l=l+48|0;m=k+32|0;n=k+24|0;o=k+16|0;p=k+8|0;q=k;r=k+36|0;s=e+f|0;if((f|0)<=0){l=k;return}f=(i|0)==0;t=g-e|0;g=b+4|0;u=b+8|0;v=b+12|0;w=(h|0)==1;h=(j|0)!=0;x=e;while(1){if(!f){c[q>>2]=i;cm(b,42081,q)}c[p>>2]=t+x;cm(b,27981,p);e=0;do{y=x+e|0;if(y>>>0<s>>>0){c[o>>2]=d[y>>0];cm(b,27989,o)}else{a[r>>0]=32;y=c[g>>2]|0;if((c[u>>2]|0)==1){z=y;A=1}else{B=c[v>>2]|0;if(B|0)bm(B,r,1,y,0,0,0);B=Ya[c[(c[b>>2]|0)+8>>2]&63](b,y,r,1)|0;c[u>>2]=B;z=c[g>>2]|0;A=B}B=z+1|0;c[g>>2]=B;a[r>>0]=32;if((A|0)==1)C=B;else{y=c[v>>2]|0;if(y|0)bm(y,r,1,B,0,0,0);c[u>>2]=Ya[c[(c[b>>2]|0)+8>>2]&63](b,B,r,1)|0;C=c[g>>2]|0}c[g>>2]=C+1}B=x+(e|1)|0;if(B>>>0<s>>>0){c[m>>2]=d[B>>0];cm(b,27989,m);D=c[u>>2]|0;E=c[g>>2]|0}else{a[r>>0]=32;B=c[g>>2]|0;if((c[u>>2]|0)==1){F=B;G=1}else{y=c[v>>2]|0;if(y|0)bm(y,r,1,B,0,0,0);y=Ya[c[(c[b>>2]|0)+8>>2]&63](b,B,r,1)|0;c[u>>2]=y;F=c[g>>2]|0;G=y}y=F+1|0;c[g>>2]=y;a[r>>0]=32;if((G|0)==1){H=y;I=1}else{B=c[v>>2]|0;if(B|0)bm(B,r,1,y,0,0,0);B=Ya[c[(c[b>>2]|0)+8>>2]&63](b,y,r,1)|0;c[u>>2]=B;H=c[g>>2]|0;I=B}B=H+1|0;c[g>>2]=B;D=I;E=B}e=e+2|0;a[r>>0]=32;if((D|0)==1){J=E;K=1}else{B=c[v>>2]|0;if(B|0)bm(B,r,1,E,0,0,0);B=Ya[c[(c[b>>2]|0)+8>>2]&63](b,E,r,1)|0;c[u>>2]=B;J=c[g>>2]|0;K=B}L=J+1|0;c[g>>2]=L}while((e|0)<16);e=x+16|0;if(w){a[r>>0]=32;if((K|0)==1){M=1;N=L}else{B=c[v>>2]|0;if(B|0)bm(B,r,1,L,0,0,0);B=Ya[c[(c[b>>2]|0)+8>>2]&63](b,L,r,1)|0;c[u>>2]=B;M=B;N=c[g>>2]|0}B=N+1|0;c[g>>2]=B;if(x>>>0<s>>>0){y=0;O=x;P=M;Q=M;R=B;while(1){S=a[O>>0]|0;T=(ht(S&255)|0)==0;a[r>>0]=T?46:S;if((Q|0)==1){U=P;V=1;W=R}else{S=c[v>>2]|0;if(S|0)bm(S,r,1,R,0,0,0);S=Ya[c[(c[b>>2]|0)+8>>2]&63](b,R,r,1)|0;c[u>>2]=S;U=S;V=S;W=c[g>>2]|0}S=W+1|0;c[g>>2]=S;y=y+1|0;T=O+1|0;if(!(T>>>0<s>>>0&(y|0)<16)){X=T;Y=U;Z=S;break}else{O=T;P=U;Q=V;R=S}}}else{X=x;Y=M;Z=B}}else{X=e;Y=K;Z=L}if(h&X>>>0>=s>>>0){c[n>>2]=j;cm(b,27994,n);_=c[u>>2]|0;$=c[g>>2]|0}else{_=Y;$=Z}a[r>>0]=10;if((_|0)==1)aa=$;else{R=c[v>>2]|0;if(R|0)bm(R,r,1,$,0,0,0);c[u>>2]=Ya[c[(c[b>>2]|0)+8>>2]&63](b,$,r,1)|0;aa=c[g>>2]|0}c[g>>2]=aa+1;if(X>>>0<s>>>0)x=X;else break}l=k;return}function cm(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;e=l;l=l+160|0;f=e+16|0;g=e;h=e+32|0;c[f>>2]=d;c[g>>2]=c[f>>2];d=Fs(h,128,b,f)|0;f=d+1|0;if(f>>>0>128){i=l;l=l+((1*f|0)+15&-16)|0;j=Fs(i,f,b,g)|0;k=i}else{j=d;k=h}h=a+4|0;d=c[h>>2]|0;i=a+8|0;if((c[i>>2]|0)==1){m=d;n=m+j|0;c[h>>2]=n;l=e;return}g=c[a+12>>2]|0;if(g|0)bm(g,k,j,d,0,0,0);c[i>>2]=Ya[c[(c[a>>2]|0)+8>>2]&63](a,d,k,j)|0;m=c[h>>2]|0;n=m+j|0;c[h>>2]=n;l=e;return}function dm(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0;g=a+4|0;h=c[g>>2]|0;i=a+8|0;if((c[i>>2]|0)==1){j=h;k=j+d|0;c[g>>2]=k;return}l=c[a+12>>2]|0;if(l|0)bm(l,b,d,h,f,0,e);c[i>>2]=Ya[c[(c[a>>2]|0)+8>>2]&63](a,h,b,d)|0;j=c[g>>2]|0;k=j+d|0;c[g>>2]=k;return}function em(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;f=l;l=l+16|0;g=f;h=a+8|0;if((c[h>>2]|0)==1){l=f;return}i=c[a+12>>2]|0;if(i|0){c[g>>2]=d;c[g+4>>2]=e+d;c[g+8>>2]=b;c[g+12>>2]=e+b;cm(i,28001,g)}c[h>>2]=Ya[c[(c[a>>2]|0)+12>>2]&63](a,b,d,e)|0;l=f;return}function fm(a,b){a=a|0;b=b|0;c[a+4>>2]=0;c[a+8>>2]=0;c[a+12>>2]=b;c[a>>2]=4572;b=Kt(12)|0;c[b>>2]=0;c[b+4>>2]=0;c[b+8>>2]=0;c[a+16>>2]=b;return}function gm(a){a=a|0;var b=0;b=a+16|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function hm(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0;e=b+d|0;if((d|0)>0)f=b;else{g=1;return g|0}a:while(1){b=a[f>>0]|0;d=c[4588+((b&255)<<2)>>2]|0;h=(f+d|0)>>>0>e>>>0;b:while(1){if(h){g=0;i=14;break a}switch(d|0){case 0:{g=0;i=14;break a;break}case 1:{i=5;break b;break}case 2:{i=6;break b;break}case 3:{i=8;break b;break}case 4:{i=11;break b;break}default:{}}}if((i|0)==5){i=0;j=f+1|0}else if((i|0)==6){i=0;if((a[f+1>>0]&-64)<<24>>24==-128)j=f+2|0;else{g=0;i=14;break}}else if((i|0)==8){i=0;d=a[f+1>>0]|0;if(!((d&-64)<<24>>24==-128?(a[f+2>>0]&-64)<<24>>24==-128:0)){g=0;i=14;break}if(b<<24>>24==-32&(d&255)<160){g=0;i=14;break}if(b<<24>>24==-19&(d&255)>159){g=0;i=14;break}else j=f+3|0}else if((i|0)==11){i=0;d=a[f+1>>0]|0;if(!(((d&-64)<<24>>24==-128?(a[f+2>>0]&-64)<<24>>24==-128:0)&(a[f+3>>0]&-64)<<24>>24==-128)){g=0;i=14;break}if(b<<24>>24==-16&(d&255)<144){g=0;i=14;break}if(b<<24>>24==-12&(d&255)>143){g=0;i=14;break}else j=f+4|0}if(j>>>0<e>>>0)f=j;else{g=1;i=14;break}}if((i|0)==14)return g|0;return 0}function im(a){a=a|0;var b=0;if((a|0)>=86){b=28040;return b|0}b=c[5612+(a<<2)>>2]|0;return b|0}function jm(a,b,d){a=a|0;b=b|0;d=d|0;c[a>>2]=c[b>>2];c[a+4>>2]=c[b+4>>2];c[a+8>>2]=c[b+8>>2];c[a+12>>2]=c[b+12>>2];c[a+16>>2]=d;return}function km(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;c[a>>2]=c[b>>2];c[a+4>>2]=c[b+4>>2];c[a+8>>2]=c[b+8>>2];c[a+12>>2]=c[b+12>>2];c[a+16>>2]=d;c[a+20>>2]=e;return}function lm(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;c[a>>2]=c[b>>2];c[a+4>>2]=c[b+4>>2];c[a+8>>2]=c[b+8>>2];c[a+12>>2]=c[b+12>>2];c[a+16>>2]=d;Qt(a+20|0,e);return}function mm(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;c[a>>2]=c[b>>2];c[a+4>>2]=c[b+4>>2];c[a+8>>2]=c[b+8>>2];c[a+12>>2]=c[b+12>>2];c[a+16>>2]=d;c[a+20>>2]=c[e>>2];return}function nm(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;c[a>>2]=c[b>>2];c[a+4>>2]=c[b+4>>2];c[a+8>>2]=c[b+8>>2];c[a+12>>2]=c[b+12>>2];c[a+16>>2]=d;c[a+20>>2]=c[e>>2];Qt(a+24|0,e+4|0);return}function om(a,b){a=a|0;b=b|0;c[a>>2]=0;c[a+4>>2]=0;c[a+8>>2]=0;c[a+12>>2]=0;c[a+16>>2]=0;pm(a,b)|0;return}function pm(a,b){a=a|0;b=b|0;var d=0,e=0;d=a+16|0;e=c[d>>2]|0;if((e+-37|0)>>>0>=3){if((e+-40|0)>>>0>39&(e+-80|0)>>>0<5)Wt(a+20|0)}else Wt(a+24|0);c[d>>2]=0;c[a>>2]=c[b>>2];c[a+4>>2]=c[b+4>>2];c[a+8>>2]=c[b+8>>2];c[a+12>>2]=c[b+12>>2];e=c[b+16>>2]|0;c[d>>2]=e;if((e+-37|0)>>>0<3){c[a+20>>2]=c[b+20>>2];Qt(a+24|0,b+24|0);return a|0}if((e+-40|0)>>>0<40){c[a+20>>2]=c[b+20>>2];return a|0}if((e+-80|0)>>>0<5){Qt(a+20|0,b+20|0);return a|0}if((e|0)!=85)return a|0;c[a+20>>2]=c[b+20>>2];return a|0}function qm(a){a=a|0;var b=0,d=0;b=a+16|0;d=c[b>>2]|0;if((d+-37|0)>>>0<3){Wt(a+24|0);c[b>>2]=0;return}if(!((d+-40|0)>>>0>39&(d+-80|0)>>>0<5)){c[b>>2]=0;return}Wt(a+20|0);c[b>>2]=0;return}function rm(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=l;l=l+48|0;e=d;f=c[b+16>>2]|0;if(f>>>0<37){g=c[5612+(f<<2)>>2]|0;c[a>>2]=0;c[a+4>>2]=0;c[a+8>>2]=0;Rt(a,g,st(g)|0);l=d;return}if((f+-37|0)>>>0<3){Qt(a,b+24|0);l=d;return}if((f+-40|0)>>>0<40){vm(e,b+20|0);g=c[e>>2]|0;c[a>>2]=0;c[a+4>>2]=0;c[a+8>>2]=0;Rt(a,g,st(g)|0);l=d;return}g=b+20|0;if((f+-80|0)>>>0<5){Qt(a,g);l=d;return}switch(c[g>>2]|0){case -1:{h=42077;break}case -2:{h=42073;break}case -3:{h=42069;break}case -4:{h=42065;break}case -16:{h=42057;break}case -32:{h=42052;break}case -64:{h=42047;break}case 0:{h=42043;break}default:{}}c[a>>2]=0;c[a+4>>2]=0;c[a+8>>2]=0;Rt(a,h,st(h)|0);l=d;return}function sm(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=l;l=l+32|0;g=f+12|0;h=f;rm(g,d);d=a[g+11>>0]|0;if((d<<24>>24<0?c[g+4>>2]|0:d&255)>>>0>e>>>0){Vt(h,g,0,e+-3|0,g);e=fu(h,32104)|0;c[b>>2]=c[e>>2];c[b+4>>2]=c[e+4>>2];c[b+8>>2]=c[e+8>>2];c[e>>2]=0;c[e+4>>2]=0;c[e+8>>2]=0;Wt(h);Wt(g);l=f;return}else{c[b>>2]=c[g>>2];c[b+4>>2]=c[g+4>>2];c[b+8>>2]=c[g+8>>2];c[g>>2]=0;c[g+4>>2]=0;c[g+8>>2]=0;Wt(g);l=f;return}}function tm(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=261;d=5956;do{e=(b|0)/2|0;f=(c[d+(e*36|0)+32>>2]|0)>>>0<a>>>0;b=f?b+-1-e|0:e;d=f?d+(e*36|0)+36|0:d}while((b|0)!=0);if((d|0)!=15352?(c[d+32>>2]|0)==(a|0):0){g=(d-5956|0)/36|0;return g|0}g=0-a|0;return g|0}function um(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=(a&255)<<8|b;b=261;a=5956;do{e=(b|0)/2|0;f=(c[a+(e*36|0)+32>>2]|0)>>>0<d>>>0;b=f?b+-1-e|0:e;a=f?a+(e*36|0)+36|0:a}while((b|0)!=0);if((a|0)!=15352?(c[a+32>>2]|0)==(d|0):0){g=(a-5956|0)/36|0;return g|0}g=0-d|0;return g|0}function vm(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=c[d>>2]|0;if(e>>>0<261){d=b;f=5956+(e*36|0)|0;g=d+36|0;do{c[d>>2]=c[f>>2];d=d+4|0;f=f+4|0}while((d|0)<(g|0));return}else{f=0-e|0;c[b>>2]=31812;c[b+4>>2]=-64;c[b+8>>2]=-64;c[b+12>>2]=-64;c[b+16>>2]=-64;c[b+20>>2]=0;a[b+24>>0]=f>>>8;c[b+28>>2]=f&255;c[b+32>>2]=f&65535;return}}function wm(a,b){a=a|0;b=b|0;var d=0,e=0;d=c[a>>2]|0;if(d>>>0<261)e=c[5956+(d*36|0)+20>>2]|0;else e=0;return (b|0)==-1|(e|0)==(b|0)|0}function xm(a,b){a=a|0;b=b|0;var d=0;if((b|0)!=-1){d=b;return d|0}b=c[a>>2]|0;if(b>>>0>=261){d=0;return d|0}d=c[5956+(b*36|0)+20>>2]|0;return d|0}function ym(b,d){b=b|0;d=d|0;var e=0;switch(c[b>>2]|0){case 10:case 9:case 8:case 7:case 6:{e=(a[d>>0]|0)!=0;break}case 194:case 193:case 192:case 191:case 190:case 189:case 188:case 187:{e=(a[d+1>>0]|0)!=0;break}case 260:case 259:case 258:case 257:case 256:case 255:case 254:case 253:case 252:case 251:case 250:case 249:case 248:case 247:case 246:case 245:case 244:case 243:case 242:case 241:case 240:case 239:case 238:case 237:case 236:case 235:case 234:case 233:case 232:case 231:case 230:case 229:case 228:case 227:case 226:case 225:case 224:case 223:case 222:case 221:case 220:case 219:case 218:case 217:case 216:case 215:case 214:case 213:case 212:case 211:case 210:case 209:case 208:case 207:case 206:case 205:case 204:case 203:case 202:case 201:case 200:case 199:case 198:case 197:case 196:case 195:case 181:case 180:case 179:case 178:case 177:{e=(a[d+2>>0]|0)!=0;break}case 186:case 185:case 184:case 183:case 182:{e=0;break}default:e=1}return e|0}function zm(a,b){a=a|0;b=b|0;var d=0;c[a>>2]=(c[a>>2]|0)+b;d=a+4|0;c[d>>2]=(c[d>>2]|0)-b;return}function Am(a,b){a=a|0;b=b|0;var d=0,e=0;d=c[b>>2]|0;e=c[b+4>>2]|0;c[a>>2]=0;c[a+4>>2]=0;c[a+8>>2]=0;Rt(a,d,e);return}function Bm(a,b){a=a|0;b=b|0;var d=0,e=0;d=c[b>>2]|0;e=c[b+4>>2]|0;c[a>>2]=0;c[a+4>>2]=0;c[a+8>>2]=0;Rt(a,d,e);return}function Cm(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;f=(c[b+4>>2]|0)-d|0;c[a>>2]=(c[b>>2]|0)+d;c[a+4>>2]=f>>>0<e>>>0?f:e;return}function Dm(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=c[b+4>>2]|0;e=c[a+4>>2]|0;f=d>>>0<e>>>0?d:e;if(f|0?(g=Es(c[a>>2]|0,c[b>>2]|0,f)|0,g|0):0)return g|0;return ((e|0)==(d|0)?0:e>>>0<d>>>0?-1:1)|0}function Em(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;f=st(d)|0;g=c[b+4>>2]|0;h=g-f|0;i=(h>>>0<e>>>0?h:e)+f|0;e=g>>>0<i>>>0?g:i;i=c[b>>2]|0;b=i+e|0;g=i;h=d+f|0;j=b;a:do if(f)if((e|0)>=(f|0)?(k=f+-1|0,l=i+k|0,(e|0)!=(k|0)):0){k=a[h+-1>>0]|0;m=b;n=j;while(1){o=m;p=n;while(1){q=o+-1|0;if((a[q>>0]|0)==k<<24>>24){r=h;s=p;break}if((q|0)==(l|0)){t=g;break a}else{o=q;p=q}}while(1){o=r;r=r+-1|0;if((r|0)==(d|0)){t=p;break a}u=s;if((a[u+-2>>0]|0)!=(a[o+-2>>0]|0))break;else s=u+-1|0}if((q|0)==(l|0)){t=g;break}else{m=q;n=q}}}else t=g;else t=j;while(0);return ((t|0)==(i|0)?-1:t-(g+f)|0)|0}function Fm(a){a=a|0;return c[15472+(c[a+28>>2]<<2)>>2]|0}function Gm(a,b){a=a|0;b=b|0;return cj(a+212|0,b)|0}function Hm(a,b){a=a|0;b=b|0;return cj(a+232|0,b)|0}function Im(a,b){a=a|0;b=b|0;return cj(a+292|0,b)|0}function Jm(a,b){a=a|0;b=b|0;return cj(a+312|0,b)|0}function Km(a,b){a=a|0;b=b|0;return cj(a+272|0,b)|0}function Lm(a,b){a=a|0;b=b|0;return cj(a+192|0,b)|0}function Mm(a,b){a=a|0;b=b|0;var d=0,e=0;if(!(c[b+16>>2]|0)){d=c[b+20>>2]|0;return d|0}e=cj(a+84|0,b)|0;if((e|0)!=-1){d=e;return d|0}e=cj(a+104|0,b)|0;if((e|0)==-1){d=-1;return d|0}d=((c[a+52>>2]|0)-(c[a+48>>2]|0)>>2)+e|0;return d|0}function Nm(a,b){a=a|0;b=b|0;var d=0,e=0;d=cj(a+212|0,b)|0;b=c[a+72>>2]|0;if(d>>>0>=(c[a+76>>2]|0)-b>>2>>>0){e=0;return e|0}e=c[b+(d<<2)>>2]|0;return e|0}function Om(a,b){a=a|0;b=b|0;var d=0,e=0;d=cj(a+212|0,b)|0;b=c[a+72>>2]|0;if(d>>>0>=(c[a+76>>2]|0)-b>>2>>>0){e=0;return e|0}e=c[b+(d<<2)>>2]|0;return e|0}function Pm(a,b){a=a|0;b=b|0;var d=0,e=0;d=cj(a+232|0,b)|0;b=c[a+84>>2]|0;if(d>>>0>=(c[a+88>>2]|0)-b>>2>>>0){e=0;return e|0}e=c[b+(d<<2)>>2]|0;return e|0}function Qm(a,b){a=a|0;b=b|0;var d=0,e=0;d=cj(a+292|0,b)|0;b=c[a+132>>2]|0;if(d>>>0>=(c[a+136>>2]|0)-b>>2>>>0){e=0;return e|0}e=c[b+(d<<2)>>2]|0;return e|0}function Rm(a,b){a=a|0;b=b|0;var d=0,e=0;d=cj(a+312|0,b)|0;b=c[a+156>>2]|0;if(d>>>0>=(c[a+160>>2]|0)-b>>2>>>0){e=0;return e|0}e=c[b+(d<<2)>>2]|0;return e|0}function Sm(a,b){a=a|0;b=b|0;var d=0,e=0;d=cj(a+192|0,b)|0;b=c[a+60>>2]|0;if(d>>>0>=(c[a+64>>2]|0)-b>>2>>>0){e=0;return e|0}e=c[b+(d<<2)>>2]|0;return e|0}function Tm(a,b){a=a|0;b=b|0;var d=0,e=0;d=cj(a+272|0,b)|0;b=c[a+120>>2]|0;if(d>>>0>=(c[a+124>>2]|0)-b>>2>>>0){e=0;return e|0}e=c[b+(d<<2)>>2]|0;return e|0}function Um(a,b){a=a|0;b=b|0;var d=0,e=0;d=cj(a+272|0,b)|0;b=c[a+120>>2]|0;if(d>>>0>=(c[a+124>>2]|0)-b>>2>>>0){e=0;return e|0}e=c[b+(d<<2)>>2]|0;return e|0}function Vm(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;d=c[a+124>>2]|0;e=c[a+120>>2]|0;a=e;if((d|0)==(e|0)){f=-1;return f|0}g=c[b>>2]|0;h=(c[b+4>>2]|0)-g|0;i=c[b+12>>2]|0;j=(c[b+16>>2]|0)-i|0;b=i;i=g;g=d-e>>2;e=0;a:while(1){d=c[a+(e<<2)>>2]|0;k=c[d+16>>2]|0;l=c[d+12>>2]|0;m=l;n=k;b:do if((k-l|0)==(h|0)){if((m|0)!=(n|0)){o=m;p=i;while(1){if((c[o>>2]|0)!=(c[p>>2]|0))break b;o=o+4|0;if((o|0)==(n|0))break;else p=p+4|0}}p=c[d+28>>2]|0;o=c[d+24>>2]|0;q=o;r=p;if((p-o|0)==(j|0)){if((q|0)==(r|0)){f=e;s=12;break a}else{t=q;u=b}while(1){if((c[t>>2]|0)!=(c[u>>2]|0))break b;t=t+4|0;if((t|0)==(r|0)){f=e;s=12;break a}else u=u+4|0}}}while(0);e=e+1|0;if(e>>>0>=g>>>0){f=-1;s=12;break}}if((s|0)==12)return f|0;return 0}function Wm(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;if(a[d>>0]|0){e=cj(b+272|0,d+4|0)|0;return e|0}f=c[b+124>>2]|0;g=c[b+120>>2]|0;b=g;if((f|0)==(g|0)){e=-1;return e|0}h=c[d+36>>2]|0;i=(c[d+40>>2]|0)-h|0;j=c[d+48>>2]|0;k=(c[d+52>>2]|0)-j|0;d=j;j=h;h=f-g>>2;g=0;a:while(1){f=c[b+(g<<2)>>2]|0;l=c[f+16>>2]|0;m=c[f+12>>2]|0;n=m;o=l;b:do if((l-m|0)==(i|0)){if((n|0)!=(o|0)){p=n;q=j;while(1){if((c[p>>2]|0)!=(c[q>>2]|0))break b;p=p+4|0;if((p|0)==(o|0))break;else q=q+4|0}}q=c[f+28>>2]|0;p=c[f+24>>2]|0;r=p;s=q;if((q-p|0)==(k|0)){if((r|0)==(s|0)){e=g;t=14;break a}else{u=r;v=d}while(1){if((c[u>>2]|0)!=(c[v>>2]|0))break b;u=u+4|0;if((u|0)==(s|0)){e=g;t=14;break a}else v=v+4|0}}}while(0);g=g+1|0;if(g>>>0>=h>>>0){e=-1;t=14;break}}if((t|0)==14)return e|0;return 0}function Xm(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;d=l;l=l+16|0;e=d;f=(c[b>>2]|0)+32|0;c[e>>2]=f;g=a+172|0;h=c[g>>2]|0;if(h>>>0<(c[a+176>>2]|0)>>>0){c[h>>2]=f;c[g>>2]=(c[g>>2]|0)+4}else Ym(a+168|0,e);e=c[b>>2]|0;c[b>>2]=0;b=a+32|0;g=c[b>>2]|0;if(!g)i=a+28|0;else{c[e+8>>2]=g;i=g+4|0}c[i>>2]=e;c[b>>2]=e;e=a+36|0;c[e>>2]=(c[e>>2]|0)+1;l=d;return}function Ym(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;d=a+4|0;e=c[d>>2]|0;f=c[a>>2]|0;g=(e-f>>2)+1|0;if(g>>>0>1073741823){Jt(a);h=c[a>>2]|0;i=c[d>>2]|0}else{h=f;i=e}e=a+8|0;f=(c[e>>2]|0)-h|0;j=f>>1;k=f>>2>>>0<536870911?(j>>>0<g>>>0?g:j):1073741823;if(!k)l=0;else l=Kt(k<<2)|0;j=l+(i-h>>2<<2)|0;c[j>>2]=c[b>>2];b=i-h|0;i=j+(0-(b>>2)<<2)|0;if((b|0)>0)Wu(i|0,h|0,b|0)|0;c[a>>2]=i;c[d>>2]=j+4;c[e>>2]=l+(k<<2);if(!h)return;Mt(h);return}function Zm(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;d=l;l=l+16|0;e=d;f=(c[b>>2]|0)+32|0;c[e>>2]=f;g=a+148|0;h=c[g>>2]|0;if(h>>>0<(c[a+152>>2]|0)>>>0){c[h>>2]=f;c[g>>2]=(c[g>>2]|0)+4}else _m(a+144|0,e);e=c[b>>2]|0;c[b>>2]=0;b=a+32|0;g=c[b>>2]|0;if(!g)i=a+28|0;else{c[e+8>>2]=g;i=g+4|0}c[i>>2]=e;c[b>>2]=e;e=a+36|0;c[e>>2]=(c[e>>2]|0)+1;l=d;return}function _m(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;d=a+4|0;e=c[d>>2]|0;f=c[a>>2]|0;g=(e-f>>2)+1|0;if(g>>>0>1073741823){Jt(a);h=c[a>>2]|0;i=c[d>>2]|0}else{h=f;i=e}e=a+8|0;f=(c[e>>2]|0)-h|0;j=f>>1;k=f>>2>>>0<536870911?(j>>>0<g>>>0?g:j):1073741823;if(!k)l=0;else l=Kt(k<<2)|0;j=l+(i-h>>2<<2)|0;c[j>>2]=c[b>>2];b=i-h|0;i=j+(0-(b>>2)<<2)|0;if((b|0)>0)Wu(i|0,h|0,b|0)|0;c[a>>2]=i;c[d>>2]=j+4;c[e>>2]=l+(k<<2);if(!h)return;Mt(h);return}function $m(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0;e=l;l=l+32|0;f=e+20|0;g=e;h=c[d>>2]|0;i=h+32|0;j=a[i+11>>0]|0;if(j<<24>>24<0)k=c[h+36>>2]|0;else k=j&255;if(!k)m=b+64|0;else{k=h+12|0;h=b+64|0;j=(c[h>>2]|0)-(c[b+60>>2]|0)>>2;c[g>>2]=c[k>>2];c[g+4>>2]=c[k+4>>2];c[g+8>>2]=c[k+8>>2];c[g+12>>2]=c[k+12>>2];c[g+16>>2]=j;j=b+192|0;Ge(f,j,i,g);He(j,c[f>>2]|0)|0;m=h}c[f>>2]=i;h=c[m>>2]|0;if(h>>>0<(c[b+68>>2]|0)>>>0){c[h>>2]=i;c[m>>2]=(c[m>>2]|0)+4}else an(b+60|0,f);f=c[d>>2]|0;c[d>>2]=0;d=b+32|0;m=c[d>>2]|0;if(!m){n=b+28|0;c[n>>2]=f;c[d>>2]=f;o=b+36|0;p=c[o>>2]|0;q=p+1|0;c[o>>2]=q;l=e;return}else{c[f+8>>2]=m;n=m+4|0;c[n>>2]=f;c[d>>2]=f;o=b+36|0;p=c[o>>2]|0;q=p+1|0;c[o>>2]=q;l=e;return}}function an(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;d=a+4|0;e=c[d>>2]|0;f=c[a>>2]|0;g=(e-f>>2)+1|0;if(g>>>0>1073741823){Jt(a);h=c[a>>2]|0;i=c[d>>2]|0}else{h=f;i=e}e=a+8|0;f=(c[e>>2]|0)-h|0;j=f>>1;k=f>>2>>>0<536870911?(j>>>0<g>>>0?g:j):1073741823;if(!k)l=0;else l=Kt(k<<2)|0;j=l+(i-h>>2<<2)|0;c[j>>2]=c[b>>2];b=i-h|0;i=j+(0-(b>>2)<<2)|0;if((b|0)>0)Wu(i|0,h|0,b|0)|0;c[a>>2]=i;c[d>>2]=j+4;c[e>>2]=l+(k<<2);if(!h)return;Mt(h);return}function bn(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0;d=l;l=l+32|0;e=d+20|0;f=d;g=c[b>>2]|0;h=g+32|0;i=g+12|0;g=a+108|0;j=a+112|0;k=(c[j>>2]|0)-(c[g>>2]|0)>>2;c[f>>2]=c[i>>2];c[f+4>>2]=c[i+4>>2];c[f+8>>2]=c[i+8>>2];c[f+12>>2]=c[i+12>>2];c[f+16>>2]=k;k=a+252|0;Ge(e,k,h,f);He(k,c[e>>2]|0)|0;c[e>>2]=h;k=c[j>>2]|0;if(k>>>0<(c[a+116>>2]|0)>>>0){c[k>>2]=h;c[j>>2]=(c[j>>2]|0)+4}else cn(g,e);e=c[b>>2]|0;c[b>>2]=0;b=a+32|0;g=c[b>>2]|0;if(!g){m=a+28|0;c[m>>2]=e;c[b>>2]=e;n=a+36|0;o=c[n>>2]|0;p=o+1|0;c[n>>2]=p;l=d;return}else{c[e+8>>2]=g;m=g+4|0;c[m>>2]=e;c[b>>2]=e;n=a+36|0;o=c[n>>2]|0;p=o+1|0;c[n>>2]=p;l=d;return}}function cn(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;d=a+4|0;e=c[d>>2]|0;f=c[a>>2]|0;g=(e-f>>2)+1|0;if(g>>>0>1073741823){Jt(a);h=c[a>>2]|0;i=c[d>>2]|0}else{h=f;i=e}e=a+8|0;f=(c[e>>2]|0)-h|0;j=f>>1;k=f>>2>>>0<536870911?(j>>>0<g>>>0?g:j):1073741823;if(!k)l=0;else l=Kt(k<<2)|0;j=l+(i-h>>2<<2)|0;c[j>>2]=c[b>>2];b=i-h|0;i=j+(0-(b>>2)<<2)|0;if((b|0)>0)Wu(i|0,h|0,b|0)|0;c[a>>2]=i;c[d>>2]=j+4;c[e>>2]=l+(k<<2);if(!h)return;Mt(h);return}function dn(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0;e=l;l=l+32|0;f=e+20|0;g=e;h=c[d>>2]|0;i=h+32|0;j=a[i+11>>0]|0;if(j<<24>>24<0)k=c[h+36>>2]|0;else k=j&255;if(!k)m=b+76|0;else{k=h+12|0;h=b+76|0;j=(c[h>>2]|0)-(c[b+72>>2]|0)>>2;c[g>>2]=c[k>>2];c[g+4>>2]=c[k+4>>2];c[g+8>>2]=c[k+8>>2];c[g+12>>2]=c[k+12>>2];c[g+16>>2]=j;j=b+212|0;Ge(f,j,i,g);He(j,c[f>>2]|0)|0;m=h}c[f>>2]=i;h=c[m>>2]|0;if(h>>>0<(c[b+80>>2]|0)>>>0){c[h>>2]=i;c[m>>2]=(c[m>>2]|0)+4}else en(b+72|0,f);f=c[d>>2]|0;c[d>>2]=0;d=b+32|0;m=c[d>>2]|0;if(!m){n=b+28|0;c[n>>2]=f;c[d>>2]=f;o=b+36|0;p=c[o>>2]|0;q=p+1|0;c[o>>2]=q;l=e;return}else{c[f+8>>2]=m;n=m+4|0;c[n>>2]=f;c[d>>2]=f;o=b+36|0;p=c[o>>2]|0;q=p+1|0;c[o>>2]=q;l=e;return}}function en(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;d=a+4|0;e=c[d>>2]|0;f=c[a>>2]|0;g=(e-f>>2)+1|0;if(g>>>0>1073741823){Jt(a);h=c[a>>2]|0;i=c[d>>2]|0}else{h=f;i=e}e=a+8|0;f=(c[e>>2]|0)-h|0;j=f>>1;k=f>>2>>>0<536870911?(j>>>0<g>>>0?g:j):1073741823;if(!k)l=0;else l=Kt(k<<2)|0;j=l+(i-h>>2<<2)|0;c[j>>2]=c[b>>2];b=i-h|0;i=j+(0-(b>>2)<<2)|0;if((b|0)>0)Wu(i|0,h|0,b|0)|0;c[a>>2]=i;c[d>>2]=j+4;c[e>>2]=l+(k<<2);if(!h)return;Mt(h);return}function fn(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0;e=l;l=l+32|0;f=e+20|0;g=e;h=c[d>>2]|0;i=h+32|0;j=a[i+11>>0]|0;if(j<<24>>24<0)k=c[h+36>>2]|0;else k=j&255;if(!k)m=b+124|0;else{k=h+12|0;h=b+124|0;j=(c[h>>2]|0)-(c[b+120>>2]|0)>>2;c[g>>2]=c[k>>2];c[g+4>>2]=c[k+4>>2];c[g+8>>2]=c[k+8>>2];c[g+12>>2]=c[k+12>>2];c[g+16>>2]=j;j=b+272|0;Ge(f,j,i,g);He(j,c[f>>2]|0)|0;m=h}c[f>>2]=i;h=c[m>>2]|0;if(h>>>0<(c[b+128>>2]|0)>>>0){c[h>>2]=i;c[m>>2]=(c[m>>2]|0)+4}else gn(b+120|0,f);f=c[d>>2]|0;c[d>>2]=0;d=b+32|0;m=c[d>>2]|0;if(!m){n=b+28|0;c[n>>2]=f;c[d>>2]=f;o=b+36|0;p=c[o>>2]|0;q=p+1|0;c[o>>2]=q;l=e;return}else{c[f+8>>2]=m;n=m+4|0;c[n>>2]=f;c[d>>2]=f;o=b+36|0;p=c[o>>2]|0;q=p+1|0;c[o>>2]=q;l=e;return}}function gn(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;d=a+4|0;e=c[d>>2]|0;f=c[a>>2]|0;g=(e-f>>2)+1|0;if(g>>>0>1073741823){Jt(a);h=c[a>>2]|0;i=c[d>>2]|0}else{h=f;i=e}e=a+8|0;f=(c[e>>2]|0)-h|0;j=f>>1;k=f>>2>>>0<536870911?(j>>>0<g>>>0?g:j):1073741823;if(!k)l=0;else l=Kt(k<<2)|0;j=l+(i-h>>2<<2)|0;c[j>>2]=c[b>>2];b=i-h|0;i=j+(0-(b>>2)<<2)|0;if((b|0)>0)Wu(i|0,h|0,b|0)|0;c[a>>2]=i;c[d>>2]=j+4;c[e>>2]=l+(k<<2);if(!h)return;Mt(h);return}function hn(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0;e=l;l=l+32|0;f=e+20|0;g=e;h=c[d>>2]|0;i=h+32|0;j=a[i+11>>0]|0;if(j<<24>>24<0)k=c[h+36>>2]|0;else k=j&255;if(!k)m=b+88|0;else{k=h+12|0;h=b+88|0;j=(c[h>>2]|0)-(c[b+84>>2]|0)>>2;c[g>>2]=c[k>>2];c[g+4>>2]=c[k+4>>2];c[g+8>>2]=c[k+8>>2];c[g+12>>2]=c[k+12>>2];c[g+16>>2]=j;j=b+232|0;Ge(f,j,i,g);He(j,c[f>>2]|0)|0;m=h}c[f>>2]=i;h=c[m>>2]|0;if(h>>>0<(c[b+92>>2]|0)>>>0){c[h>>2]=i;c[m>>2]=(c[m>>2]|0)+4}else jn(b+84|0,f);f=c[d>>2]|0;c[d>>2]=0;d=b+32|0;m=c[d>>2]|0;if(!m){n=b+28|0;c[n>>2]=f;c[d>>2]=f;o=b+36|0;p=c[o>>2]|0;q=p+1|0;c[o>>2]=q;l=e;return}else{c[f+8>>2]=m;n=m+4|0;c[n>>2]=f;c[d>>2]=f;o=b+36|0;p=c[o>>2]|0;q=p+1|0;c[o>>2]=q;l=e;return}}function jn(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;d=a+4|0;e=c[d>>2]|0;f=c[a>>2]|0;g=(e-f>>2)+1|0;if(g>>>0>1073741823){Jt(a);h=c[a>>2]|0;i=c[d>>2]|0}else{h=f;i=e}e=a+8|0;f=(c[e>>2]|0)-h|0;j=f>>1;k=f>>2>>>0<536870911?(j>>>0<g>>>0?g:j):1073741823;if(!k)l=0;else l=Kt(k<<2)|0;j=l+(i-h>>2<<2)|0;c[j>>2]=c[b>>2];b=i-h|0;i=j+(0-(b>>2)<<2)|0;if((b|0)>0)Wu(i|0,h|0,b|0)|0;c[a>>2]=i;c[d>>2]=j+4;c[e>>2]=l+(k<<2);if(!h)return;Mt(h);return}function kn(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;e=l;l=l+48|0;f=e+24|0;g=e+20|0;h=e;i=c[(c[d>>2]|0)+32>>2]|0;c[g>>2]=i;switch(c[i+28>>2]|0){case 0:{j=i+32|0;k=b+72|0;m=b+76|0;n=c[m>>2]|0;o=n-(c[k>>2]|0)|0;c[f>>2]=j;if(n>>>0<(c[b+80>>2]|0)>>>0){c[n>>2]=j;c[m>>2]=(c[m>>2]|0)+4}else en(k,f);p=j;q=b+212|0;r=o;s=b+44|0;t=22;break}case 1:{o=i+32|0;j=b+132|0;k=b+136|0;m=c[k>>2]|0;n=m-(c[j>>2]|0)|0;c[f>>2]=o;if(m>>>0<(c[b+140>>2]|0)>>>0){c[m>>2]=o;c[k>>2]=(c[k>>2]|0)+4}else ln(j,f);p=o;q=b+292|0;r=n;s=b+48|0;t=22;break}case 2:{n=i+32|0;o=b+156|0;j=b+160|0;k=c[j>>2]|0;m=k-(c[o>>2]|0)|0;c[f>>2]=n;if(k>>>0<(c[b+164>>2]|0)>>>0){c[k>>2]=n;c[j>>2]=(c[j>>2]|0)+4}else mn(o,f);p=n;q=b+312|0;r=m;s=b+52|0;t=22;break}case 3:{m=i+32|0;n=b+84|0;o=b+88|0;j=c[o>>2]|0;k=j-(c[n>>2]|0)|0;c[f>>2]=m;if(j>>>0<(c[b+92>>2]|0)>>>0){c[j>>2]=m;c[o>>2]=(c[o>>2]|0)+4}else jn(n,f);p=m;q=b+232|0;r=k;s=b+56|0;t=22;break}case 4:{k=i+32|0;i=b+60|0;m=b+64|0;n=c[m>>2]|0;o=n-(c[i>>2]|0)|0;c[f>>2]=k;if(n>>>0<(c[b+68>>2]|0)>>>0){c[n>>2]=k;c[m>>2]=(c[m>>2]|0)+4}else an(i,f);p=k;q=b+192|0;r=o;s=b+40|0;t=22;break}default:{u=0;v=0;w=-1}}if((t|0)==22){c[s>>2]=(c[s>>2]|0)+1;u=p;v=q;w=r>>2}r=a[u+11>>0]|0;if(r<<24>>24<0)x=c[u+4>>2]|0;else x=r&255;if(x|0){x=(c[d>>2]|0)+12|0;c[h>>2]=c[x>>2];c[h+4>>2]=c[x+4>>2];c[h+8>>2]=c[x+8>>2];c[h+12>>2]=c[x+12>>2];c[h+16>>2]=w;nn(f,v,u,h);He(v,c[f>>2]|0)|0}f=b+100|0;v=c[f>>2]|0;if((v|0)==(c[b+104>>2]|0))on(b+96|0,g);else{c[v>>2]=c[g>>2];c[f>>2]=(c[f>>2]|0)+4}f=c[d>>2]|0;c[d>>2]=0;d=b+32|0;g=c[d>>2]|0;if(!g){y=b+28|0;c[y>>2]=f;c[d>>2]=f;z=b+36|0;A=c[z>>2]|0;B=A+1|0;c[z>>2]=B;l=e;return}else{c[f+8>>2]=g;y=g+4|0;c[y>>2]=f;c[d>>2]=f;z=b+36|0;A=c[z>>2]|0;B=A+1|0;c[z>>2]=B;l=e;return}}function ln(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;d=a+4|0;e=c[d>>2]|0;f=c[a>>2]|0;g=(e-f>>2)+1|0;if(g>>>0>1073741823){Jt(a);h=c[a>>2]|0;i=c[d>>2]|0}else{h=f;i=e}e=a+8|0;f=(c[e>>2]|0)-h|0;j=f>>1;k=f>>2>>>0<536870911?(j>>>0<g>>>0?g:j):1073741823;if(!k)l=0;else l=Kt(k<<2)|0;j=l+(i-h>>2<<2)|0;c[j>>2]=c[b>>2];b=i-h|0;i=j+(0-(b>>2)<<2)|0;if((b|0)>0)Wu(i|0,h|0,b|0)|0;c[a>>2]=i;c[d>>2]=j+4;c[e>>2]=l+(k<<2);if(!h)return;Mt(h);return}function mn(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;d=a+4|0;e=c[d>>2]|0;f=c[a>>2]|0;g=(e-f>>2)+1|0;if(g>>>0>1073741823){Jt(a);h=c[a>>2]|0;i=c[d>>2]|0}else{h=f;i=e}e=a+8|0;f=(c[e>>2]|0)-h|0;j=f>>1;k=f>>2>>>0<536870911?(j>>>0<g>>>0?g:j):1073741823;if(!k)l=0;else l=Kt(k<<2)|0;j=l+(i-h>>2<<2)|0;c[j>>2]=c[b>>2];b=i-h|0;i=j+(0-(b>>2)<<2)|0;if((b|0)>0)Wu(i|0,h|0,b|0)|0;c[a>>2]=i;c[d>>2]=j+4;c[e>>2]=l+(k<<2);if(!h)return;Mt(h);return}function nn(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;h=Kt(40)|0;c[b>>2]=h;c[b+4>>2]=e+8;Qt(h+8|0,f);f=h+20|0;c[f>>2]=c[g>>2];c[f+4>>2]=c[g+4>>2];c[f+8>>2]=c[g+8>>2];c[f+12>>2]=c[g+12>>2];c[f+16>>2]=c[g+16>>2];a[b+8>>0]=1;g=c[b>>2]|0;b=g+8|0;f=a[b+11>>0]|0;h=f<<24>>24<0;e=h?c[b>>2]|0:b;b=h?c[g+12>>2]|0:f&255;if(b>>>0>3){f=e;h=b;i=b;while(1){j=S(d[f>>0]|d[f+1>>0]<<8|d[f+2>>0]<<16|d[f+3>>0]<<24,1540483477)|0;h=(S(j>>>24^j,1540483477)|0)^(S(h,1540483477)|0);i=i+-4|0;if(i>>>0<=3)break;else f=f+4|0}f=b+-4|0;i=f&-4;k=f-i|0;l=e+(i+4)|0;m=h}else{k=b;l=e;m=b}switch(k|0){case 3:{n=(d[l+2>>0]|0)<<16^m;o=6;break}case 2:{n=m;o=6;break}case 1:{p=m;break}default:{q=m;r=q>>>13;s=r^q;t=S(s,1540483477)|0;u=t>>>15;v=u^t;w=g+4|0;c[w>>2]=v;c[g>>2]=0;return}}if((o|0)==6)p=(d[l+1>>0]|0)<<8^n;q=S((d[l>>0]|0)^p,1540483477)|0;r=q>>>13;s=r^q;t=S(s,1540483477)|0;u=t>>>15;v=u^t;w=g+4|0;c[w>>2]=v;c[g>>2]=0;return}function on(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;d=a+4|0;e=c[d>>2]|0;f=c[a>>2]|0;g=(e-f>>2)+1|0;if(g>>>0>1073741823){Jt(a);h=c[a>>2]|0;i=c[d>>2]|0}else{h=f;i=e}e=a+8|0;f=(c[e>>2]|0)-h|0;j=f>>1;k=f>>2>>>0<536870911?(j>>>0<g>>>0?g:j):1073741823;if(!k)l=0;else l=Kt(k<<2)|0;j=l+(i-h>>2<<2)|0;c[j>>2]=c[b>>2];b=i-h|0;i=j+(0-(b>>2)<<2)|0;if((b|0)>0)Wu(i|0,h|0,b|0)|0;c[a>>2]=i;c[d>>2]=j+4;c[e>>2]=l+(k<<2);if(!h)return;Mt(h);return}function pn(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0;e=l;l=l+32|0;f=e+20|0;g=e;h=c[d>>2]|0;i=h+32|0;j=a[i+11>>0]|0;if(j<<24>>24<0)k=c[h+36>>2]|0;else k=j&255;if(!k)m=b+160|0;else{k=h+12|0;h=b+160|0;j=(c[h>>2]|0)-(c[b+156>>2]|0)>>2;c[g>>2]=c[k>>2];c[g+4>>2]=c[k+4>>2];c[g+8>>2]=c[k+8>>2];c[g+12>>2]=c[k+12>>2];c[g+16>>2]=j;j=b+312|0;Ge(f,j,i,g);He(j,c[f>>2]|0)|0;m=h}c[f>>2]=i;h=c[m>>2]|0;if(h>>>0<(c[b+164>>2]|0)>>>0){c[h>>2]=i;c[m>>2]=(c[m>>2]|0)+4}else mn(b+156|0,f);f=c[d>>2]|0;c[d>>2]=0;d=b+32|0;m=c[d>>2]|0;if(!m){n=b+28|0;c[n>>2]=f;c[d>>2]=f;o=b+36|0;p=c[o>>2]|0;q=p+1|0;c[o>>2]=q;l=e;return}else{c[f+8>>2]=m;n=m+4|0;c[n>>2]=f;c[d>>2]=f;o=b+36|0;p=c[o>>2]|0;q=p+1|0;c[o>>2]=q;l=e;return}}function qn(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;d=l;l=l+16|0;e=d;f=(c[b>>2]|0)+32|0;c[e>>2]=f;g=a+184|0;h=c[g>>2]|0;if(h>>>0<(c[a+188>>2]|0)>>>0){c[h>>2]=f;c[g>>2]=(c[g>>2]|0)+4}else rn(a+180|0,e);e=c[b>>2]|0;c[b>>2]=0;b=a+32|0;g=c[b>>2]|0;if(!g)i=a+28|0;else{c[e+8>>2]=g;i=g+4|0}c[i>>2]=e;c[b>>2]=e;e=a+36|0;c[e>>2]=(c[e>>2]|0)+1;l=d;return}function rn(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;d=a+4|0;e=c[d>>2]|0;f=c[a>>2]|0;g=(e-f>>2)+1|0;if(g>>>0>1073741823){Jt(a);h=c[a>>2]|0;i=c[d>>2]|0}else{h=f;i=e}e=a+8|0;f=(c[e>>2]|0)-h|0;j=f>>1;k=f>>2>>>0<536870911?(j>>>0<g>>>0?g:j):1073741823;if(!k)l=0;else l=Kt(k<<2)|0;j=l+(i-h>>2<<2)|0;c[j>>2]=c[b>>2];b=i-h|0;i=j+(0-(b>>2)<<2)|0;if((b|0)>0)Wu(i|0,h|0,b|0)|0;c[a>>2]=i;c[d>>2]=j+4;c[e>>2]=l+(k<<2);if(!h)return;Mt(h);return}function sn(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0;e=l;l=l+32|0;f=e+20|0;g=e;h=c[d>>2]|0;i=h+32|0;j=a[i+11>>0]|0;if(j<<24>>24<0)k=c[h+36>>2]|0;else k=j&255;if(!k)m=b+136|0;else{k=h+12|0;h=b+136|0;j=(c[h>>2]|0)-(c[b+132>>2]|0)>>2;c[g>>2]=c[k>>2];c[g+4>>2]=c[k+4>>2];c[g+8>>2]=c[k+8>>2];c[g+12>>2]=c[k+12>>2];c[g+16>>2]=j;j=b+292|0;Ge(f,j,i,g);He(j,c[f>>2]|0)|0;m=h}c[f>>2]=i;h=c[m>>2]|0;if(h>>>0<(c[b+140>>2]|0)>>>0){c[h>>2]=i;c[m>>2]=(c[m>>2]|0)+4}else ln(b+132|0,f);f=c[d>>2]|0;c[d>>2]=0;d=b+32|0;m=c[d>>2]|0;if(!m){n=b+28|0;c[n>>2]=f;c[d>>2]=f;o=b+36|0;p=c[o>>2]|0;q=p+1|0;c[o>>2]=q;l=e;return}else{c[f+8>>2]=m;n=m+4|0;c[n>>2]=f;c[d>>2]=f;o=b+36|0;p=c[o>>2]|0;q=p+1|0;c[o>>2]=q;l=e;return}}function tn(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;d=l;l=l+64|0;e=d+48|0;f=d+28|0;g=d+24|0;h=d+20|0;i=d+16|0;j=d+12|0;k=d+8|0;m=d+4|0;n=d;o=c[b>>2]|0;p=o;do switch(c[o+28>>2]|0){case 0:{c[b>>2]=0;c[g>>2]=p;dn(a,g);q=c[g>>2]|0;c[g>>2]=0;if(!q){l=d;return}Sa[c[(c[q>>2]|0)+4>>2]&255](q);l=d;return}case 1:{c[b>>2]=0;c[h>>2]=p;hn(a,h);q=c[h>>2]|0;c[h>>2]=0;if(!q){l=d;return}Sa[c[(c[q>>2]|0)+4>>2]&255](q);l=d;return}case 2:{c[b>>2]=0;c[i>>2]=p;kn(a,i);q=c[i>>2]|0;c[i>>2]=0;if(!q){l=d;return}Sa[c[(c[q>>2]|0)+4>>2]&255](q);l=d;return}case 3:{c[b>>2]=0;q=o+32|0;r=o+12|0;s=a+108|0;t=a+112|0;u=(c[t>>2]|0)-(c[s>>2]|0)>>2;c[f>>2]=c[r>>2];c[f+4>>2]=c[r+4>>2];c[f+8>>2]=c[r+8>>2];c[f+12>>2]=c[r+12>>2];c[f+16>>2]=u;u=a+252|0;Ge(e,u,q,f);He(u,c[e>>2]|0)|0;c[e>>2]=q;u=c[t>>2]|0;if(u>>>0<(c[a+116>>2]|0)>>>0){c[u>>2]=q;c[t>>2]=(c[t>>2]|0)+4}else cn(s,e);s=a+32|0;t=c[s>>2]|0;if(!t)v=a+28|0;else{c[o+8>>2]=t;v=t+4|0}c[v>>2]=o;c[s>>2]=o;s=a+36|0;c[s>>2]=(c[s>>2]|0)+1;l=d;return}case 4:{c[b>>2]=0;c[j>>2]=p;fn(a,j);s=c[j>>2]|0;c[j>>2]=0;if(!s){l=d;return}Sa[c[(c[s>>2]|0)+4>>2]&255](s);l=d;return}case 5:{c[b>>2]=0;c[k>>2]=p;sn(a,k);s=c[k>>2]|0;c[k>>2]=0;if(!s){l=d;return}Sa[c[(c[s>>2]|0)+4>>2]&255](s);l=d;return}case 6:{c[b>>2]=0;s=o+32|0;c[e>>2]=s;t=a+148|0;q=c[t>>2]|0;if(q>>>0<(c[a+152>>2]|0)>>>0){c[q>>2]=s;c[t>>2]=(c[t>>2]|0)+4}else _m(a+144|0,e);t=a+32|0;s=c[t>>2]|0;if(!s)w=a+28|0;else{c[o+8>>2]=s;w=s+4|0}c[w>>2]=o;c[t>>2]=o;t=a+36|0;c[t>>2]=(c[t>>2]|0)+1;l=d;return}case 7:{c[b>>2]=0;c[m>>2]=p;pn(a,m);t=c[m>>2]|0;c[m>>2]=0;if(!t){l=d;return}Sa[c[(c[t>>2]|0)+4>>2]&255](t);l=d;return}case 8:{c[b>>2]=0;t=o+32|0;c[e>>2]=t;s=a+172|0;q=c[s>>2]|0;if(q>>>0<(c[a+176>>2]|0)>>>0){c[q>>2]=t;c[s>>2]=(c[s>>2]|0)+4}else Ym(a+168|0,e);s=a+32|0;t=c[s>>2]|0;if(!t)x=a+28|0;else{c[o+8>>2]=t;x=t+4|0}c[x>>2]=o;c[s>>2]=o;s=a+36|0;c[s>>2]=(c[s>>2]|0)+1;l=d;return}case 9:{c[b>>2]=0;s=o+32|0;c[e>>2]=s;t=a+184|0;q=c[t>>2]|0;if(q>>>0<(c[a+188>>2]|0)>>>0){c[q>>2]=s;c[t>>2]=(c[t>>2]|0)+4}else rn(a+180|0,e);t=a+32|0;s=c[t>>2]|0;if(!s)y=a+28|0;else{c[o+8>>2]=s;y=s+4|0}c[y>>2]=o;c[t>>2]=o;t=a+36|0;c[t>>2]=(c[t>>2]|0)+1;l=d;return}case 10:{c[b>>2]=0;c[n>>2]=p;$m(a,n);t=c[n>>2]|0;c[n>>2]=0;if(!t){l=d;return}Sa[c[(c[t>>2]|0)+4>>2]&255](t);l=d;return}default:{l=d;return}}while(0)}function un(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;d=l;l=l+16|0;e=d;f=b+8|0;g=c[f>>2]|0;if(!g){l=d;return}h=b+4|0;i=g;do{g=c[b>>2]|0;if((g|0)==(c[h>>2]|0)){c[h>>2]=0;j=g+4|0;k=b}else{m=g+4|0;n=c[m>>2]|0;c[b>>2]=n;j=m;k=n+8|0}c[k>>2]=0;c[g+8>>2]=0;c[j>>2]=0;c[f>>2]=i+-1;c[e>>2]=g;tn(a,e);g=c[e>>2]|0;c[e>>2]=0;if(g|0)Sa[c[(c[g>>2]|0)+4>>2]&255](g);i=c[f>>2]|0}while((i|0)!=0);l=d;return}function vn(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;e=c[d>>2]|0;f=d+4|0;g=c[f>>2]|0;if((g|0)==(e|0)){h=g;i=e}else{j=g;do{g=j+-12|0;c[f>>2]=g;Wt(g);j=c[f>>2]|0}while((j|0)!=(e|0));h=j;i=c[d>>2]|0}j=(c[a+4>>2]|0)-(c[a>>2]|0)>>2;a=(h-i|0)/12|0;e=i;if(j>>>0<=a>>>0){if(j>>>0<a>>>0?(i=e+(j*12|0)|0,(h|0)!=(i|0)):0){e=h;do{h=e+-12|0;c[f>>2]=h;Wt(h);e=c[f>>2]|0}while((e|0)!=(i|0))}}else wn(d,j-a|0);a=c[b+8>>2]|0;if(!a)return;else k=a;do{a=k;Xt((c[d>>2]|0)+((c[a+36>>2]|0)*12|0)|0,a+8|0)|0;k=c[k>>2]|0}while((k|0)!=0);return}function wn(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=a+8|0;e=c[d>>2]|0;f=a+4|0;g=c[f>>2]|0;if(((e-g|0)/12|0)>>>0>=b>>>0){h=b;i=g;do{c[i>>2]=0;c[i+4>>2]=0;c[i+8>>2]=0;i=(c[f>>2]|0)+12|0;c[f>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=c[a>>2]|0;i=((g-h|0)/12|0)+b|0;if(i>>>0>357913941){Jt(a);j=c[d>>2]|0;k=c[a>>2]|0;l=c[f>>2]|0}else{j=e;k=h;l=g}g=(j-k|0)/12|0;j=g<<1;h=g>>>0<178956970?(j>>>0<i>>>0?i:j):357913941;if(!h)m=0;else m=Kt(h*12|0)|0;j=m+(((l-k|0)/12|0)*12|0)|0;k=j;l=m+(h*12|0)|0;h=b;b=j;m=k;do{c[b>>2]=0;c[b+4>>2]=0;c[b+8>>2]=0;b=m+12|0;m=b;h=h+-1|0}while((h|0)!=0);h=l;l=c[a>>2]|0;b=c[f>>2]|0;if((b|0)==(l|0)){n=k;o=l;p=l}else{i=b;b=k;k=j;do{j=k+-12|0;i=i+-12|0;c[j>>2]=c[i>>2];c[j+4>>2]=c[i+4>>2];c[j+8>>2]=c[i+8>>2];c[i>>2]=0;c[i+4>>2]=0;c[i+8>>2]=0;k=b+-12|0;b=k}while((i|0)!=(l|0));n=b;o=c[a>>2]|0;p=c[f>>2]|0}c[a>>2]=n;c[f>>2]=m;c[d>>2]=h;h=o;if((p|0)!=(h|0)){d=p;do{d=d+-12|0;Wt(d)}while((d|0)!=(h|0))}if(!o)return;Mt(o);return}function xn(a,b,d){a=a|0;b=b|0;d=d|0;c[a>>2]=c[d>>2];c[a+4>>2]=c[d+4>>2];c[a+8>>2]=c[d+8>>2];c[a+12>>2]=c[d+12>>2];c[a+16>>2]=0;c[a+20>>2]=b;return}function yn(a,b,d){a=a|0;b=b|0;d=d|0;c[a>>2]=c[d>>2];c[a+4>>2]=c[d+4>>2];c[a+8>>2]=c[d+8>>2];c[a+12>>2]=c[d+12>>2];c[a+16>>2]=1;Am(a+20|0,b);return}function zn(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;e=l;l=l+32|0;f=e+8|0;g=e;h=b+16|0;i=b+20|0;c[b>>2]=0;c[b+4>>2]=0;c[b+8>>2]=0;c[b+12>>2]=0;c[b+16>>2]=0;c[i>>2]=-1;c[b>>2]=c[d>>2];c[b+4>>2]=c[d+4>>2];c[b+8>>2]=c[d+8>>2];c[b+12>>2]=c[d+12>>2];j=d+20|0;if(!(c[d+16>>2]|0)){k=c[j>>2]|0;c[h>>2]=0;c[i>>2]=k;l=e;return}k=a[j+11>>0]|0;i=k<<24>>24<0;m=i?c[d+24>>2]|0:k&255;c[g>>2]=i?c[j>>2]|0:j;c[g+4>>2]=m;Bm(f,g);g=b+20|0;if((c[h>>2]|0)==1)Wt(g);c[h>>2]=1;c[g>>2]=c[f>>2];c[g+4>>2]=c[f+4>>2];c[g+8>>2]=c[f+8>>2];c[f>>2]=0;c[f+4>>2]=0;c[f+8>>2]=0;Wt(f);l=e;return}function An(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;e=l;l=l+32|0;f=e+8|0;g=e;c[b>>2]=c[d>>2];c[b+4>>2]=c[d+4>>2];c[b+8>>2]=c[d+8>>2];c[b+12>>2]=c[d+12>>2];h=d+20|0;if(!(c[d+16>>2]|0)){i=c[h>>2]|0;j=b+16|0;if((c[j>>2]|0)==1)Wt(b+20|0);c[j>>2]=0;c[b+20>>2]=i;l=e;return b|0}else{i=a[h+11>>0]|0;j=i<<24>>24<0;k=j?c[d+24>>2]|0:i&255;c[g>>2]=j?c[h>>2]|0:h;c[g+4>>2]=k;Bm(f,g);g=b+16|0;k=b+20|0;if((c[g>>2]|0)==1)Wt(k);c[g>>2]=1;c[k>>2]=c[f>>2];c[k+4>>2]=c[f+4>>2];c[k+8>>2]=c[f+8>>2];c[f>>2]=0;c[f+4>>2]=0;c[f+8>>2]=0;Wt(f);l=e;return b|0}return 0}function Bn(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;e=l;l=l+32|0;f=e+8|0;g=e;h=b+16|0;i=b+20|0;c[b>>2]=0;c[b+4>>2]=0;c[b+8>>2]=0;c[b+12>>2]=0;c[b+16>>2]=0;c[i>>2]=-1;c[b>>2]=c[d>>2];c[b+4>>2]=c[d+4>>2];c[b+8>>2]=c[d+8>>2];c[b+12>>2]=c[d+12>>2];j=d+20|0;if(!(c[d+16>>2]|0)){k=c[j>>2]|0;c[h>>2]=0;c[i>>2]=k;l=e;return}k=a[j+11>>0]|0;i=k<<24>>24<0;m=i?c[d+24>>2]|0:k&255;c[g>>2]=i?c[j>>2]|0:j;c[g+4>>2]=m;Bm(f,g);g=b+20|0;if((c[h>>2]|0)==1)Wt(g);c[h>>2]=1;c[g>>2]=c[f>>2];c[g+4>>2]=c[f+4>>2];c[g+8>>2]=c[f+8>>2];c[f>>2]=0;c[f+4>>2]=0;c[f+8>>2]=0;Wt(f);l=e;return}function Cn(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;e=l;l=l+32|0;f=e+8|0;g=e;c[b>>2]=c[d>>2];c[b+4>>2]=c[d+4>>2];c[b+8>>2]=c[d+8>>2];c[b+12>>2]=c[d+12>>2];h=d+20|0;if(!(c[d+16>>2]|0)){i=c[h>>2]|0;j=b+16|0;if((c[j>>2]|0)==1)Wt(b+20|0);c[j>>2]=0;c[b+20>>2]=i;l=e;return b|0}else{i=a[h+11>>0]|0;j=i<<24>>24<0;k=j?c[d+24>>2]|0:i&255;c[g>>2]=j?c[h>>2]|0:h;c[g+4>>2]=k;Bm(f,g);g=b+16|0;k=b+20|0;if((c[g>>2]|0)==1)Wt(k);c[g>>2]=1;c[k>>2]=c[f>>2];c[k+4>>2]=c[f+4>>2];c[k+8>>2]=c[f+8>>2];c[f>>2]=0;c[f+4>>2]=0;c[f+8>>2]=0;Wt(f);l=e;return b|0}return 0}function Dn(a,b){a=a|0;b=b|0;var d=0;d=a+16|0;if((c[d>>2]|0)==1)Wt(a+20|0);c[d>>2]=0;c[a+20>>2]=b;return}function En(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=l;l=l+16|0;e=d;Bm(e,b);b=a+16|0;f=a+20|0;if((c[b>>2]|0)==1)Wt(f);c[b>>2]=1;c[f>>2]=c[e>>2];c[f+4>>2]=c[e+4>>2];c[f+8>>2]=c[e+8>>2];c[e>>2]=0;c[e+4>>2]=0;c[e+8>>2]=0;Wt(e);l=d;return}function Fn(a){a=a|0;if((c[a+16>>2]|0)!=1)return;Wt(a+20|0);return}function Gn(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;c[a>>2]=c[e>>2];c[a+4>>2]=c[e+4>>2];c[a+8>>2]=c[e+8>>2];c[a+12>>2]=c[e+12>>2];c[a+16>>2]=-1;c[a+24>>2]=d;return}function Hn(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;c[a>>2]=c[f>>2];c[a+4>>2]=c[f+4>>2];c[a+8>>2]=c[f+8>>2];c[a+12>>2]=c[f+12>>2];c[a+16>>2]=-2;f=a+24|0;c[f>>2]=d;c[f+4>>2]=e;return}function In(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;c[a>>2]=c[e>>2];c[a+4>>2]=c[e+4>>2];c[a+8>>2]=c[e+8>>2];c[a+12>>2]=c[e+12>>2];c[a+16>>2]=-3;c[a+24>>2]=d;return}function Jn(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;c[a>>2]=c[f>>2];c[a+4>>2]=c[f+4>>2];c[a+8>>2]=c[f+8>>2];c[a+12>>2]=c[f+12>>2];c[a+16>>2]=-4;f=a+24|0;c[f>>2]=d;c[f+4>>2]=e;return}function Kn(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function Ln(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;do switch(c[b+28>>2]|0){case 0:{d=c[a>>2]|0;if((_a[c[(c[d>>2]|0)+160>>2]&255](d,b)|0)==1){e=1;return e|0}break}case 1:{d=c[a>>2]|0;if((_a[c[(c[d>>2]|0)+164>>2]&255](d,b)|0)==1){e=1;return e|0}break}case 2:{d=c[a>>2]|0;if((_a[c[(c[d>>2]|0)+168>>2]&255](d,b)|0)==1){e=1;return e|0}break}case 3:{d=c[a>>2]|0;if((_a[c[(c[d>>2]|0)+172>>2]&255](d,b)|0)==1){e=1;return e|0}break}case 4:{d=c[a>>2]|0;if((_a[c[(c[d>>2]|0)+8>>2]&255](d,b)|0)==1){e=1;return e|0}break}case 5:{d=c[a>>2]|0;if((_a[c[(c[d>>2]|0)+12>>2]&255](d,b)|0)==1){e=1;return e|0}d=c[b+56>>2]|0;a:do if(d|0){f=d;while(1){if((Ln(a,f)|0)==1){e=1;break}f=c[f+4>>2]|0;if(!f)break a}return e|0}while(0);d=c[a>>2]|0;if((_a[c[(c[d>>2]|0)+16>>2]&255](d,b)|0)==1){e=1;return e|0}break}case 6:{d=c[a>>2]|0;if((_a[c[(c[d>>2]|0)+20>>2]&255](d,b)|0)==1){e=1;return e|0}break}case 7:{d=c[a>>2]|0;if((_a[c[(c[d>>2]|0)+24>>2]&255](d,b)|0)==1){e=1;return e|0}break}case 8:{d=c[a>>2]|0;if((_a[c[(c[d>>2]|0)+28>>2]&255](d,b)|0)==1){e=1;return e|0}break}case 9:{d=c[a>>2]|0;if((_a[c[(c[d>>2]|0)+32>>2]&255](d,b)|0)==1){e=1;return e|0}break}case 10:{d=c[a>>2]|0;if((_a[c[(c[d>>2]|0)+36>>2]&255](d,b)|0)==1){e=1;return e|0}break}case 11:{d=c[a>>2]|0;if((_a[c[(c[d>>2]|0)+40>>2]&255](d,b)|0)==1){e=1;return e|0}break}case 12:{d=c[a>>2]|0;if((_a[c[(c[d>>2]|0)+44>>2]&255](d,b)|0)==1){e=1;return e|0}break}case 13:{d=c[a>>2]|0;if((_a[c[(c[d>>2]|0)+48>>2]&255](d,b)|0)==1){e=1;return e|0}break}case 14:{d=c[a>>2]|0;if((_a[c[(c[d>>2]|0)+52>>2]&255](d,b)|0)==1){e=1;return e|0}break}case 15:{d=c[a>>2]|0;if((_a[c[(c[d>>2]|0)+56>>2]&255](d,b)|0)==1){e=1;return e|0}break}case 16:{d=c[a>>2]|0;if((_a[c[(c[d>>2]|0)+60>>2]&255](d,b)|0)==1){e=1;return e|0}break}case 17:{d=c[a>>2]|0;if((_a[c[(c[d>>2]|0)+64>>2]&255](d,b)|0)==1){e=1;return e|0}break}case 18:{d=c[a>>2]|0;if((_a[c[(c[d>>2]|0)+68>>2]&255](d,b)|0)==1){e=1;return e|0}break}case 19:{d=c[a>>2]|0;if((_a[c[(c[d>>2]|0)+72>>2]&255](d,b)|0)==1){e=1;return e|0}d=c[b+56>>2]|0;b:do if(d|0){f=d;while(1){if((Ln(a,f)|0)==1){e=1;break}f=c[f+4>>2]|0;if(!f)break b}return e|0}while(0);d=c[a>>2]|0;if((_a[c[(c[d>>2]|0)+76>>2]&255](d,b)|0)==1){e=1;return e|0}d=c[b+68>>2]|0;c:do if(d|0){f=d;while(1){if((Ln(a,f)|0)==1){e=1;break}f=c[f+4>>2]|0;if(!f)break c}return e|0}while(0);d=c[a>>2]|0;if((_a[c[(c[d>>2]|0)+80>>2]&255](d,b)|0)==1){e=1;return e|0}break}case 20:{d=c[a>>2]|0;if((_a[c[(c[d>>2]|0)+84>>2]&255](d,b)|0)==1){e=1;return e|0}break}case 21:{d=c[a>>2]|0;if((_a[c[(c[d>>2]|0)+88>>2]&255](d,b)|0)==1){e=1;return e|0}d=c[b+56>>2]|0;d:do if(d|0){f=d;while(1){if((Ln(a,f)|0)==1){e=1;break}f=c[f+4>>2]|0;if(!f)break d}return e|0}while(0);d=c[a>>2]|0;if((_a[c[(c[d>>2]|0)+92>>2]&255](d,b)|0)==1){e=1;return e|0}break}case 22:{d=c[a>>2]|0;if((_a[c[(c[d>>2]|0)+96>>2]&255](d,b)|0)==1){e=1;return e|0}break}case 23:{d=c[a>>2]|0;if((_a[c[(c[d>>2]|0)+148>>2]&255](d,b)|0)==1){e=1;return e|0}break}case 24:{d=c[a>>2]|0;if((_a[c[(c[d>>2]|0)+100>>2]&255](d,b)|0)==1){e=1;return e|0}break}case 25:{d=c[a>>2]|0;if((_a[c[(c[d>>2]|0)+104>>2]&255](d,b)|0)==1){e=1;return e|0}break}case 26:{d=c[a>>2]|0;if((_a[c[(c[d>>2]|0)+108>>2]&255](d,b)|0)==1){e=1;return e|0}break}case 27:{d=c[a>>2]|0;if((_a[c[(c[d>>2]|0)+112>>2]&255](d,b)|0)==1){e=1;return e|0}break}case 28:{d=c[a>>2]|0;if((_a[c[(c[d>>2]|0)+116>>2]&255](d,b)|0)==1){e=1;return e|0}break}case 29:{d=c[a>>2]|0;if((_a[c[(c[d>>2]|0)+120>>2]&255](d,b)|0)==1){e=1;return e|0}break}case 30:{d=c[a>>2]|0;if((_a[c[(c[d>>2]|0)+144>>2]&255](d,b)|0)==1){e=1;return e|0}break}case 31:{d=c[a>>2]|0;if((_a[c[(c[d>>2]|0)+132>>2]&255](d,b)|0)==1){e=1;return e|0}d=c[b+56>>2]|0;e:do if(d|0){f=d;while(1){if((Ln(a,f)|0)==1){e=1;break}f=c[f+4>>2]|0;if(!f)break e}return e|0}while(0);d=c[b+68>>2]|0;f=c[b+72>>2]|0;g=c[a>>2]|0;f:do if((d|0)!=(f|0)){h=d;i=g;g:while(1){if((Qa[c[(c[i>>2]|0)+140>>2]&127](i,b,h)|0)==1){e=1;j=65;break}k=c[h+48>>2]|0;if(k|0){l=k;do{if((Ln(a,l)|0)==1){e=1;j=65;break g}l=c[l+4>>2]|0}while((l|0)!=0)}h=h+60|0;l=c[a>>2]|0;if((h|0)==(f|0)){m=l;break f}else i=l}if((j|0)==65)return e|0}else m=g;while(0);if((_a[c[(c[m>>2]|0)+136>>2]&255](m,b)|0)==1){e=1;return e|0}break}case 32:{g=c[a>>2]|0;if((_a[c[(c[g>>2]|0)+124>>2]&255](g,b)|0)==1){e=1;return e|0}break}case 33:{g=c[a>>2]|0;if((_a[c[(c[g>>2]|0)+128>>2]&255](g,b)|0)==1){e=1;return e|0}break}case 34:{g=c[a>>2]|0;if((_a[c[(c[g>>2]|0)+152>>2]&255](g,b)|0)==1){e=1;return e|0}break}case 35:{g=c[a>>2]|0;if((_a[c[(c[g>>2]|0)+156>>2]&255](g,b)|0)==1){e=1;return e|0}break}default:{}}while(0);e=0;return e|0}function Mn(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=c[b>>2]|0;if(!d){e=0;return e|0}else f=d;while(1){if((Ln(a,f)|0)==1){e=1;g=4;break}f=c[f+4>>2]|0;if(!f){e=0;g=4;break}}if((g|0)==4)return e|0;return 0}function Nn(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=c[b+124>>2]|0;if(!d){e=0;return e|0}else f=d;while(1){if((Ln(a,f)|0)==1){e=1;g=4;break}f=c[f+4>>2]|0;if(!f){e=0;g=4;break}}if((g|0)==4)return e|0;return 0}function On(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=b+8|0;f=c[e>>2]|0;g=b+4|0;h=c[g>>2]|0;if((f-h|0)>>>0>=d>>>0){i=d;j=h;do{a[j>>0]=0;j=(c[g>>2]|0)+1|0;c[g>>2]=j;i=i+-1|0}while((i|0)!=0);return}i=c[b>>2]|0;j=h-i+d|0;if((j|0)<0){Jt(b);k=c[e>>2]|0;l=c[b>>2]|0;m=c[g>>2]|0}else{k=f;l=i;m=h}h=k-l|0;k=h<<1;i=h>>>0<1073741823?(k>>>0<j>>>0?j:k):2147483647;if(!i)n=0;else n=Kt(i)|0;k=n+(m-l)|0;l=n+i|0;i=d;d=k;n=k;do{a[n>>0]=0;n=d+1|0;d=n;i=i+-1|0}while((i|0)!=0);i=c[b>>2]|0;n=(c[g>>2]|0)-i|0;m=k+(0-n)|0;if((n|0)>0)Wu(m|0,i|0,n|0)|0;c[b>>2]=m;c[g>>2]=d;c[e>>2]=l;if(!i)return;Mt(i);return}function Pn(a){a=a|0;return}function Qn(a){a=a|0;Mt(a);return}function Rn(a){a=a|0;var b=0,d=0,e=0;b=Kt(16)|0;d=c[a+4>>2]|0;e=c[a+8>>2]|0;c[b>>2]=15608;c[b+4>>2]=d;c[b+8>>2]=e;c[b+12>>2]=c[a+12>>2];return b|0}function Sn(a,b){a=a|0;b=b|0;c[b>>2]=c[a+12>>2];return 0}function Tn(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=a+12|0;f=c[e>>2]|0;g=(c[a+8>>2]|0)-f|0;h=g>>>0<d>>>0?g:d;if(!h)return h|0;Wu(b|0,(c[a+4>>2]|0)+f|0,h|0)|0;c[e>>2]=(c[e>>2]|0)+h;return h|0}function Un(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;e=c[b>>2]|0;f=c[b+4>>2]|0;b=c[a+8>>2]|0;g=b>>>0<e>>>0?b:e;e=(b>>>0<f>>>0?b:f)-g|0;if(!e)return 0;f=d+4|0;b=c[f>>2]|0;h=c[d>>2]|0;i=b-h|0;j=h;h=b;if(e>>>0<=i>>>0)if(e>>>0<i>>>0?(b=j+e|0,(h|0)!=(b|0)):0){c[f>>2]=b;k=j}else k=j;else{On(d,e-i|0);k=c[d>>2]|0}Wu(k|0,(c[a+4>>2]|0)+g|0,e|0)|0;return 0}function Vn(a,b,d){a=a|0;b=b|0;d=d|0;c[a>>2]=15608;c[a+4>>2]=b;c[a+8>>2]=d;c[a+12>>2]=0;return}function Wn(a,d){a=a|0;d=d|0;var e=0,f=0,g=0,h=0;e=l;l=l+16|0;f=e+4|0;g=e;h=c[d>>2]|0;c[d>>2]=0;c[a>>2]=h;h=a+4|0;c[h>>2]=0;c[h+4>>2]=0;c[h+8>>2]=0;c[h+12>>2]=0;b[h+16>>1]=0;c[f>>2]=0;c[g>>2]=0;Xn(h,f,g);l=e;return}function Xn(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=a+4|0;f=c[e>>2]|0;g=c[a>>2]|0;h=(f-g>>3)+1|0;if(h>>>0>536870911){Jt(a);i=c[a>>2]|0;j=c[e>>2]|0}else{i=g;j=f}f=a+8|0;g=(c[f>>2]|0)-i|0;k=g>>2;l=g>>3>>>0<268435455?(k>>>0<h>>>0?h:k):536870911;k=j-i>>3;if(!l)m=0;else m=Kt(l<<3)|0;h=m+(k<<3)|0;g=c[d>>2]|0;c[h>>2]=c[b>>2];c[m+(k<<3)+4>>2]=g;g=j-i|0;j=h+(0-(g>>3)<<3)|0;if((g|0)>0)Wu(j|0,i|0,g|0)|0;c[a>>2]=j;c[e>>2]=h+8;c[f>>2]=m+(l<<3);if(!i)return;Mt(i);return}function Yn(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;g=l;l=l+48|0;h=g+32|0;i=g+8|0;j=g+16|0;k=g;m=c[d+8>>2]|0;n=c[d+12>>2]|0;c[i>>2]=0;o=i+4|0;c[o>>2]=0;if((Zn(b,c[d+4>>2]|0,i)|0)==1){p=1;l=g;return p|0}d=i;i=c[d>>2]|0;q=c[d+4>>2]|0;if((q-i|0)>>>0>e>>>0){d=((n-m|0)>>>0>e>>>0?m:(n+m|0)/2|0)+-1|0;m=e>>>1;n=i+(d>>>0>m>>>0?d-m|0:0)|0;m=q-e|0;d=m>>>0<n>>>0?m:n;n=d+e|0;e=(c[o>>2]|0)!=(n|0);c[f+12>>2]=d-i;if((d|0)==(i|0)){r=i;s=e;t=n}else{fu(f,32104)|0;r=d+3|0;s=e;t=n}}else{n=(c[o>>2]|0)!=(q|0);c[f+12>>2]=0;r=i;s=n;t=q}c[j>>2]=0;q=j+4|0;c[q>>2]=0;c[j+8>>2]=0;n=c[b>>2]|0;b=c[(c[n>>2]|0)+20>>2]|0;i=k;c[i>>2]=r;c[i+4>>2]=s?t+-3|0:t;c[h>>2]=c[k>>2];c[h+4>>2]=c[k+4>>2];if((Qa[b&127](n,h,j)|0)!=1){h=c[j>>2]|0;n=c[q>>2]|0;b=h;k=f+11|0;t=a[k>>0]|0;if(t<<24>>24<0){u=(c[f+8>>2]&2147483647)+-1|0;v=c[f+4>>2]|0}else{u=10;v=t&255}i=n-b|0;do if(i|0){if((u-v|0)>>>0<i>>>0){du(f,u,v+i-u|0,v,v,0,0);w=a[k>>0]|0}else w=t;if(w<<24>>24<0)x=c[f>>2]|0;else x=f;r=x+v|0;if((h|0)==(n|0))y=r;else{o=r;r=b;e=h;while(1){a[o>>0]=a[e>>0]|0;d=o+1|0;m=r+1|0;if((m|0)==(n|0)){y=d;break}else{o=d;r=m;e=m}}}a[y>>0]=0;e=v+i|0;if((a[k>>0]|0)<0){c[f+4>>2]=e;break}else{a[k>>0]=e;break}}while(0);if(s){fu(f,32104)|0;z=0}else z=0}else z=1;f=c[j>>2]|0;if(f|0){if((c[q>>2]|0)!=(f|0))c[q>>2]=f;Mt(f)}p=z;l=g;return p|0}function Zn(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;f=l;l=l+16|0;g=f+4|0;h=f;i=b+4|0;j=b+8|0;k=c[i>>2]|0;if((c[j>>2]|0)-k>>3>>>0>d>>>0){m=k+(d<<3)|0;k=c[m+4>>2]|0;n=e;c[n>>2]=c[m>>2];c[n+4>>2]=k;o=0;l=f;return o|0}k=Kt(65536)|0;n=k;m=65536;p=n;q=k;do{a[q>>0]=0;q=p+1|0;p=q;m=m+-1|0}while((m|0)!=0);c[g>>2]=0;m=c[j>>2]|0;q=c[i>>2]|0;r=q;a:do if(m-q>>3>>>0>d>>>0){s=m;t=q;u=r;v=24}else{w=b+21|0;x=p-n|0;y=b+16|0;z=b+12|0;A=b+20|0;B=r;C=q;D=m;while(1){if(a[w>>0]|0){s=D;t=C;u=B;v=24;break a}E=c[b>>2]|0;if((_a[c[(c[E>>2]|0)+12>>2]&255](E,g)|0)==1){F=1;break a}E=c[b>>2]|0;G=Qa[c[(c[E>>2]|0)+16>>2]&127](E,k,x)|0;if(G>>>0<x>>>0)a[w>>0]=1;E=k+G|0;if((G|0)>0){H=n;I=k;while(1){J=a[I>>0]|0;if(J<<24>>24==10){K=a[A>>0]|0;L=H-n+(c[g>>2]|0)-(K&255)|0;c[h>>2]=L;M=c[j>>2]|0;if(M>>>0<(c[z>>2]|0)>>>0){c[M>>2]=c[y>>2];c[M+4>>2]=L;c[j>>2]=M+8;N=K}else{_n(i,y,h);N=a[A>>0]|0}c[y>>2]=(c[h>>2]|0)+1+(N&255);O=a[I>>0]|0}else O=J;a[A>>0]=O<<24>>24==13&1;J=I+1|0;if(J>>>0<E>>>0){H=J;I=J}else break}}if(a[w>>0]|0){I=(c[g>>2]|0)+G|0;c[h>>2]=I;H=c[j>>2]|0;if(H>>>0<(c[z>>2]|0)>>>0){c[H>>2]=c[y>>2];c[H+4>>2]=I;c[j>>2]=H+8}else _n(i,y,h)}H=c[j>>2]|0;I=c[i>>2]|0;E=I;if(H-I>>3>>>0>d>>>0){s=H;t=I;u=E;v=24;break}else{B=E;C=I;D=H}}}while(0);if((v|0)==24)if(s-t>>3>>>0>d>>>0){t=u+(d<<3)|0;d=c[t+4>>2]|0;u=e;c[u>>2]=c[t>>2];c[u+4>>2]=d;F=0}else F=1;Mt(k);o=F;l=f;return o|0}function _n(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=a+4|0;f=c[e>>2]|0;g=c[a>>2]|0;h=(f-g>>3)+1|0;if(h>>>0>536870911){Jt(a);i=c[a>>2]|0;j=c[e>>2]|0}else{i=g;j=f}f=a+8|0;g=(c[f>>2]|0)-i|0;k=g>>2;l=g>>3>>>0<268435455?(k>>>0<h>>>0?h:k):536870911;k=j-i>>3;if(!l)m=0;else m=Kt(l<<3)|0;h=m+(k<<3)|0;g=c[d>>2]|0;c[h>>2]=c[b>>2];c[m+(k<<3)+4>>2]=g;g=j-i|0;j=h+(0-(g>>3)<<3)|0;if((g|0)>0)Wu(j|0,i|0,g|0)|0;c[a>>2]=j;c[e>>2]=h+8;c[f>>2]=m+(l<<3);if(!i)return;Mt(i);return}function $n(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,m=0,n=0;g=l;l=l+176|0;h=g+32|0;i=g+48|0;j=g+16|0;k=g;c[h>>2]=c[f>>2];m=(Fs(i,128,e,f)|0)+1|0;if(m>>>0>128){f=l;l=l+((1*m|0)+15&-16)|0;Fs(f,m,e,h)|0;n=f}else n=i;c[j>>2]=0;c[j+4>>2]=0;c[j+8>>2]=0;if((b|0)!=0&(d|0)!=0?(Yn(d+4|0,b,Va[c[(c[a>>2]|0)+12>>2]&127](a)|0,j)|0)==1:0){ut(32108,31,1,c[4073]|0)|0;Ka(1)}d=c[(c[a>>2]|0)+8>>2]|0;c[k>>2]=0;c[k+4>>2]=0;c[k+8>>2]=0;Rt(k,n,st(n)|0);$a[d&31](a,b,k,j,c[j+12>>2]|0)|0;Wt(k);Wt(j);l=g;return}function ao(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;e=l;l=l+176|0;f=e+32|0;g=e+16|0;h=e;i=e+40|0;j=a+16|0;if(!(c[j>>2]|0)){l=e;return}c[g>>2]=d;c[h>>2]=c[g>>2];d=(Fs(i,128,b,g)|0)+1|0;if(d>>>0>128){g=l;l=l+((1*d|0)+15&-16)|0;Fs(g,d,b,h)|0;k=g}else k=i;c[f>>2]=k;k=c[j>>2]|0;Ta[c[(c[k>>2]|0)+24>>2]&31](k,f);l=e;return}function bo(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=a+8|0;e=c[d>>2]|0;f=a+4|0;g=c[f>>2]|0;if(e-g>>2>>>0>=b>>>0){Tu(g|0,0,b<<2|0)|0;c[f>>2]=g+(b<<2);return}h=c[a>>2]|0;i=(g-h>>2)+b|0;if(i>>>0>1073741823){Jt(a);j=c[a>>2]|0;k=c[d>>2]|0;l=c[f>>2]|0}else{j=h;k=e;l=g}g=k-j|0;k=g>>1;e=g>>2>>>0<536870911?(k>>>0<i>>>0?i:k):1073741823;if(!e)m=0;else m=Kt(e<<2)|0;k=m+(l-j>>2<<2)|0;Tu(k|0,0,b<<2|0)|0;i=l-j|0;l=k+(0-(i>>2)<<2)|0;if((i|0)>0)Wu(l|0,j|0,i|0)|0;c[a>>2]=l;c[f>>2]=k+(b<<2);c[d>>2]=m+(e<<2);if(!j)return;Mt(j);return}function co(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;f=l;l=l+16|0;g=f;h=f+4|0;c[g>>2]=d;i=(c[b+28>>2]|0)-(c[b+24>>2]|0)>>2;c[h>>2]=i;j=b+40|0;k=c[j>>2]|0;if(k>>>0>=(c[b+44>>2]|0)>>>0){eo(b+36|0,g,e,h);l=f;return}c[k>>2]=d;d=k+4|0;c[d>>2]=0;h=k+8|0;c[h>>2]=0;c[k+12>>2]=0;g=e+4|0;b=(c[g>>2]|0)-(c[e>>2]|0)|0;m=b>>2;if(m|0){if(m>>>0>1073741823)Jt(d);n=Kt(b)|0;c[h>>2]=n;c[d>>2]=n;c[k+12>>2]=n+(m<<2);m=c[e>>2]|0;e=(c[g>>2]|0)-m|0;if((e|0)>0){Wu(n|0,m|0,e|0)|0;c[h>>2]=n+(e>>>2<<2)}}c[k+16>>2]=i;a[k+20>>0]=0;c[j>>2]=(c[j>>2]|0)+24;l=f;return}function eo(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;g=b+4|0;h=c[g>>2]|0;i=c[b>>2]|0;j=((h-i|0)/24|0)+1|0;if(j>>>0>178956970){Jt(b);k=c[b>>2]|0;l=c[g>>2]|0}else{k=i;l=h}h=b+8|0;i=((c[h>>2]|0)-k|0)/24|0;m=i<<1;n=i>>>0<89478485?(m>>>0<j>>>0?j:m):178956970;m=(l-k|0)/24|0;if(!n)o=0;else o=Kt(n*24|0)|0;k=o+(m*24|0)|0;l=k;j=o+(n*24|0)|0;n=c[f>>2]|0;c[k>>2]=c[d>>2];d=o+(m*24|0)+4|0;c[d>>2]=0;f=o+(m*24|0)+8|0;c[f>>2]=0;c[o+(m*24|0)+12>>2]=0;i=e+4|0;p=c[i>>2]|0;q=c[e>>2]|0;r=p-q|0;s=r>>2;if(s|0){if(s>>>0>1073741823){Jt(d);t=c[e>>2]|0;u=c[i>>2]|0}else{t=q;u=p}p=Kt(r)|0;c[f>>2]=p;c[d>>2]=p;c[o+(m*24|0)+12>>2]=p+(s<<2);s=u-t|0;if((s|0)>0){Wu(p|0,t|0,s|0)|0;c[f>>2]=p+(s>>>2<<2)}}c[o+(m*24|0)+16>>2]=n;a[o+(m*24|0)+20>>0]=0;m=k+24|0;o=c[b>>2]|0;n=c[g>>2]|0;if((n|0)==(o|0)){v=l;w=o;x=o}else{s=n;n=l;l=k;do{k=s;s=s+-24|0;c[l+-24>>2]=c[s>>2];p=l+-20|0;f=k+-20|0;c[p>>2]=0;t=l+-16|0;c[t>>2]=0;c[l+-12>>2]=0;c[p>>2]=c[f>>2];p=k+-16|0;c[t>>2]=c[p>>2];t=k+-12|0;c[l+-12>>2]=c[t>>2];c[t>>2]=0;c[p>>2]=0;c[f>>2]=0;f=l+-8|0;p=k+-8|0;c[f>>2]=c[p>>2];a[f+4>>0]=a[p+4>>0]|0;l=n+-24|0;n=l}while((s|0)!=(o|0));v=n;w=c[b>>2]|0;x=c[g>>2]|0}c[b>>2]=v;c[g>>2]=m;c[h>>2]=j;j=w;if((x|0)!=(j|0)){h=x;do{x=c[h+-20>>2]|0;if(x|0){m=h+-16|0;g=c[m>>2]|0;if((g|0)!=(x|0))c[m>>2]=g+(~((g+-4-x|0)>>>2)<<2);Mt(x)}h=h+-24|0}while((h|0)!=(j|0))}if(!w)return;Mt(w);return}function fo(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0;e=l;l=l+16|0;f=e;g=c[b+36>>2]|0;h=(c[b+40>>2]|0)-g|0;i=(h|0)/24|0;if(!h){c[f>>2]=0;c[f+4>>2]=i+-1;ao(b,32140,f);j=1;l=e;return j|0}f=g;g=i+-1|0;i=c[f+(g*24|0)+16>>2]|0;h=b+24|0;k=b+28|0;b=c[k>>2]|0;m=c[h>>2]|0;n=b-m>>2;o=b;if((i+d|0)>>>0<=n>>>0){if(!d){j=0;l=e;return j|0}c[k>>2]=o+(~((-4-(0-d<<2)|0)>>>2)<<2);j=0;l=e;return j|0}if(!(a[f+(g*24|0)+20>>0]|0)){j=1;l=e;return j|0}if(i>>>0>n>>>0){bo(h,i-n|0);j=0;l=e;return j|0}if(i>>>0>=n>>>0){j=0;l=e;return j|0}n=m+(i<<2)|0;if((o|0)==(n|0)){j=0;l=e;return j|0}c[k>>2]=o+(~((o+-4-n|0)>>>2)<<2);j=0;l=e;return j|0}function go(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;g=l;l=l+64|0;h=g+16|0;i=g+8|0;j=g;k=g+48|0;m=g+36|0;n=g+24|0;if((c[d>>2]|0)!=1){l=g;return}d=b+36|0;o=b+40|0;p=c[d>>2]|0;q=(c[o>>2]|0)-p|0;r=(q|0)/24|0;if(!q){c[j>>2]=0;c[j+4>>2]=r+-1;ao(b,32140,j);s=0}else s=c[p+((r+-1|0)*24|0)+16>>2]|0;c[k>>2]=0;r=k+4|0;c[r>>2]=0;c[k+8>>2]=0;p=b+24|0;j=b+28|0;q=((c[j>>2]|0)-(c[p>>2]|0)>>2)-s|0;s=(c[f+4>>2]|0)-(c[f>>2]|0)>>2;t=(s|0)==0?4:s;s=q>>>0<t>>>0?q:t;u=q>>>0>t>>>0;if(s|0){t=k+8|0;q=0;do{v=s-q|0;w=c[d>>2]|0;x=(c[o>>2]|0)-w|0;y=(x|0)/24|0;do if(x){z=c[p>>2]|0;A=(c[j>>2]|0)-z>>2;if((v+-1+(c[w+((y+-1|0)*24|0)+16>>2]|0)|0)>>>0<A>>>0){c[m>>2]=c[z+(A-v<<2)>>2];break}else{c[m>>2]=0;break}}else{c[h>>2]=0;c[h+4>>2]=y+-1;ao(b,32140,h)}while(0);y=c[r>>2]|0;if((y|0)==(c[t>>2]|0))Ie(k,m);else{c[y>>2]=c[m>>2];c[r>>2]=y+4}q=q+1|0}while(s>>>0>q>>>0)};c[m>>2]=0;c[m+4>>2]=0;c[m+8>>2]=0;Rt(m,32168,17);fu(m,e)|0;fu(m,32186)|0;ho(n,f,0);f=a[n+11>>0]|0;e=f<<24>>24<0;eu(m,e?c[n>>2]|0:n,e?c[n+4>>2]|0:f&255)|0;Wt(n);fu(m,32198)|0;ho(n,k,u?32208:0);u=a[n+11>>0]|0;f=u<<24>>24<0;eu(m,f?c[n>>2]|0:n,f?c[n+4>>2]|0:u&255)|0;Wt(n);c[i>>2]=(a[m+11>>0]|0)<0?c[m>>2]|0:m;ao(b,42081,i);Wt(m);m=c[k>>2]|0;if(m|0){k=c[r>>2]|0;if((k|0)!=(m|0))c[r>>2]=k+(~((k+-4-m|0)>>>2)<<2);Mt(m)}l=g;return}function ho(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;c[a>>2]=0;c[a+4>>2]=0;c[a+8>>2]=0;Rt(a,42041,1);if(d|0)fu(a,d)|0;d=b+4|0;e=c[b>>2]|0;if((c[d>>2]|0)==(e|0)){fu(a,42087)|0;return}else{f=0;g=e}a:while(1){switch(c[g+(f<<2)>>2]|0){case -1:{h=42077;break}case -2:{h=42073;break}case -3:{h=42069;break}case -4:{h=42065;break}case -16:{h=42057;break}case -32:{h=42052;break}case -64:{h=42047;break}case 0:{h=42043;break}default:{i=13;break a}}fu(a,h)|0;e=c[d>>2]|0;j=c[b>>2]|0;if(f>>>0<((e-j>>2)+-1|0)>>>0){fu(a,42084)|0;k=c[d>>2]|0;l=c[b>>2]|0}else{k=e;l=j}f=f+1|0;if(f>>>0>=k-l>>2>>>0){i=4;break}else g=l}if((i|0)==4){fu(a,42087)|0;return}}function io(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;e=l;l=l+16|0;f=e;g=d+4|0;h=c[g>>2]|0;i=c[d>>2]|0;j=h-i>>2;if(!j){k=0;l=e;return k|0}m=b+36|0;n=b+40|0;o=b+24|0;p=b+28|0;q=0;r=0;s=i;i=j;j=h;while(1){h=i-q|0;t=c[s+(q<<2)>>2]|0;u=c[m>>2]|0;v=(c[n>>2]|0)-u|0;w=(v|0)/24|0;do if(v){x=u;y=w+-1|0;z=c[o>>2]|0;A=(c[p>>2]|0)-z>>2;if((h+-1+(c[x+(y*24|0)+16>>2]|0)|0)>>>0<A>>>0){B=c[z+(A-h<<2)>>2]|0;C=0;D=j;E=s;break}else{B=0;C=(a[x+(y*24|0)+20>>0]|0)==0;D=j;E=s;break}}else{c[f>>2]=0;c[f+4>>2]=w+-1;ao(b,32140,f);B=0;C=1;D=c[g>>2]|0;E=c[d>>2]|0}while(0);w=((r|0)==1|(C|(B|0)!=0&((t|0)!=0&(B|0)!=(t|0))))&1;q=q+1|0;i=D-E>>2;if(i>>>0<=q>>>0){k=w;break}else{r=w;s=E;j=D}}l=e;return k|0}function jo(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0;f=l;l=l+16|0;g=f+4|0;h=f;i=io(a,b)|0;c[h>>2]=i;c[g>>2]=c[h>>2];go(a,g,e,b);e=((i|0)==1|(fo(a,(c[b+4>>2]|0)-(c[b>>2]|0)>>2)|0)==1)&1;b=c[d>>2]|0;i=c[d+4>>2]|0;if((b|0)==(i|0)){l=f;return e|0}d=a+28|0;h=a+32|0;j=a+24|0;a=b;do{b=c[a>>2]|0;c[g>>2]=b;do if((b|0)!=-64){k=c[d>>2]|0;if((k|0)==(c[h>>2]|0)){Ie(j,g);break}else{c[k>>2]=b;c[d>>2]=k+4;break}}while(0);a=a+4|0}while((a|0)!=(i|0));l=f;return e|0}function ko(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;f=l;l=l+48|0;g=f+32|0;h=f+8|0;i=f;j=f+28|0;k=f+16|0;m=b+36|0;n=b+40|0;o=c[m>>2]|0;p=(c[n>>2]|0)-o|0;q=(p|0)/24|0;do if(p){r=o;s=q+-1|0;t=c[b+24>>2]|0;u=(c[b+28>>2]|0)-t>>2;if((c[r+(s*24|0)+16>>2]|0)>>>0<u>>>0){v=c[t+(u+-1<<2)>>2]|0;w=0;break}else{v=0;w=(a[r+(s*24|0)+20>>0]|0)==0;break}}else{c[i>>2]=0;c[i+4>>2]=q+-1;ao(b,32140,i);v=0;w=1}while(0);i=w|(v|0)!=0&((d|0)!=0&(v|0)!=(d|0));if(i){c[j>>2]=1;v=Kt(4)|0;c[k>>2]=v;w=v+4|0;c[k+8>>2]=w;c[v>>2]=d;c[k+4>>2]=w;c[g>>2]=c[j>>2];go(b,g,e,k);Mt(v)}v=c[m>>2]|0;m=(c[n>>2]|0)-v|0;n=(m|0)/24|0;if(!m){c[h>>2]=0;c[h+4>>2]=n+-1;ao(b,32140,h);x=1;y=i|x;z=y&1;l=f;return z|0}h=v;v=n+-1|0;n=c[h+(v*24|0)+16>>2]|0;m=b+24|0;k=b+28|0;b=c[k>>2]|0;e=c[m>>2]|0;g=b-e>>2;j=b;if((n+1|0)>>>0<=g>>>0){c[k>>2]=j+-4;x=0;y=i|x;z=y&1;l=f;return z|0}if(!(a[h+(v*24|0)+20>>0]|0)){x=1;y=i|x;z=y&1;l=f;return z|0}if(n>>>0>g>>>0){bo(m,n-g|0);x=0;y=i|x;z=y&1;l=f;return z|0}if(n>>>0>=g>>>0){x=0;y=i|x;z=y&1;l=f;return z|0}g=e+(n<<2)|0;if((j|0)==(g|0)){x=0;y=i|x;z=y&1;l=f;return z|0}c[k>>2]=j+(~((j+-4-g|0)>>>2)<<2);x=0;y=i|x;z=y&1;l=f;return z|0}function lo(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;g=l;l=l+48|0;h=g+40|0;i=g+16|0;j=g+8|0;k=g;m=g+36|0;n=g+24|0;o=b+36|0;p=b+40|0;q=c[p>>2]|0;r=c[o>>2]|0;s=q-r|0;t=(s|0)/24|0;do if(s){u=r;v=t+-1|0;w=c[b+24>>2]|0;x=(c[b+28>>2]|0)-w>>2;if((c[u+(v*24|0)+16>>2]|0)>>>0<x>>>0){y=c[w+(x+-1<<2)>>2]|0;z=0;A=q;B=r;break}else{y=0;z=(a[u+(v*24|0)+20>>0]|0)==0;A=q;B=r;break}}else{c[k>>2]=0;c[k+4>>2]=t+-1;ao(b,32140,k);y=0;z=1;A=c[p>>2]|0;B=c[o>>2]|0}while(0);k=z|(y|0)!=0&((e|0)!=0&(y|0)!=(e|0));y=A-B|0;A=(y|0)/24|0;do if(y){z=B;t=A+-1|0;r=c[b+24>>2]|0;q=(c[b+28>>2]|0)-r>>2;if(((c[z+(t*24|0)+16>>2]|0)+1|0)>>>0<q>>>0){C=c[r+(q+-2<<2)>>2]|0;D=0;break}else{C=0;D=(a[z+(t*24|0)+20>>0]|0)==0;break}}else{c[j>>2]=0;c[j+4>>2]=A+-1;ao(b,32140,j);C=0;D=1}while(0);j=k|(D|(C|0)!=0&((d|0)!=0&(C|0)!=(d|0)));if(j){c[m>>2]=1;C=Kt(8)|0;c[n>>2]=C;D=C+8|0;c[n+8>>2]=D;c[C>>2]=d;c[C+4>>2]=e;c[n+4>>2]=D;c[h>>2]=c[m>>2];go(b,h,f,n);Mt(C)}C=c[o>>2]|0;o=(c[p>>2]|0)-C|0;p=(o|0)/24|0;if(!o){c[i>>2]=0;c[i+4>>2]=p+-1;ao(b,32140,i);E=1;F=j|E;G=F&1;l=g;return G|0}i=C;C=p+-1|0;p=c[i+(C*24|0)+16>>2]|0;o=b+24|0;n=b+28|0;b=c[n>>2]|0;f=c[o>>2]|0;h=b-f>>2;m=b;if((p+2|0)>>>0<=h>>>0){c[n>>2]=m+-8;E=0;F=j|E;G=F&1;l=g;return G|0}if(!(a[i+(C*24|0)+20>>0]|0)){E=1;F=j|E;G=F&1;l=g;return G|0}if(p>>>0>h>>>0){bo(o,p-h|0);E=0;F=j|E;G=F&1;l=g;return G|0}if(p>>>0>=h>>>0){E=0;F=j|E;G=F&1;l=g;return G|0}h=f+(p<<2)|0;if((m|0)==(h|0)){E=0;F=j|E;G=F&1;l=g;return G|0}c[n>>2]=m+(~((m+-4-h|0)>>>2)<<2);E=0;F=j|E;G=F&1;l=g;return G|0}function mo(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;h=l;l=l+64|0;i=h+48|0;j=h+24|0;k=h+16|0;m=h+8|0;n=h;o=h+44|0;p=h+32|0;q=b+36|0;r=b+40|0;s=c[r>>2]|0;t=c[q>>2]|0;u=s-t|0;v=(u|0)/24|0;do if(u){w=t;x=v+-1|0;y=c[b+24>>2]|0;z=(c[b+28>>2]|0)-y>>2;if((c[w+(x*24|0)+16>>2]|0)>>>0<z>>>0){A=c[y+(z+-1<<2)>>2]|0;B=0;C=s;D=t;break}else{A=0;B=(a[w+(x*24|0)+20>>0]|0)==0;C=s;D=t;break}}else{c[n>>2]=0;c[n+4>>2]=v+-1;ao(b,32140,n);A=0;B=1;C=c[r>>2]|0;D=c[q>>2]|0}while(0);n=B|(A|0)!=0&((f|0)!=0&(A|0)!=(f|0));A=C-D|0;B=(A|0)/24|0;do if(A){v=D;t=B+-1|0;s=c[b+24>>2]|0;u=(c[b+28>>2]|0)-s>>2;if(((c[v+(t*24|0)+16>>2]|0)+1|0)>>>0<u>>>0){E=c[s+(u+-2<<2)>>2]|0;F=0;G=C;H=D;break}else{E=0;F=(a[v+(t*24|0)+20>>0]|0)==0;G=C;H=D;break}}else{c[m>>2]=0;c[m+4>>2]=B+-1;ao(b,32140,m);E=0;F=1;G=c[r>>2]|0;H=c[q>>2]|0}while(0);m=n|(F|(E|0)!=0&((e|0)!=0&(E|0)!=(e|0)));E=G-H|0;G=(E|0)/24|0;do if(E){F=H;n=G+-1|0;B=c[b+24>>2]|0;D=(c[b+28>>2]|0)-B>>2;if(((c[F+(n*24|0)+16>>2]|0)+2|0)>>>0<D>>>0){I=c[B+(D+-3<<2)>>2]|0;J=0;break}else{I=0;J=(a[F+(n*24|0)+20>>0]|0)==0;break}}else{c[k>>2]=0;c[k+4>>2]=G+-1;ao(b,32140,k);I=0;J=1}while(0);k=m|(J|(I|0)!=0&((d|0)!=0&(I|0)!=(d|0)));if(k){c[o>>2]=1;I=Kt(12)|0;c[p>>2]=I;J=I+12|0;c[p+8>>2]=J;c[I>>2]=d;c[I+4>>2]=e;c[I+8>>2]=f;c[p+4>>2]=J;c[i>>2]=c[o>>2];go(b,i,g,p);Mt(I)}I=c[q>>2]|0;q=(c[r>>2]|0)-I|0;r=(q|0)/24|0;if(!q){c[j>>2]=0;c[j+4>>2]=r+-1;ao(b,32140,j);K=1;L=k|K;M=L&1;l=h;return M|0}j=I;I=r+-1|0;r=c[j+(I*24|0)+16>>2]|0;q=b+24|0;p=b+28|0;b=c[p>>2]|0;g=c[q>>2]|0;i=b-g>>2;o=b;if((r+3|0)>>>0<=i>>>0){c[p>>2]=o+-12;K=0;L=k|K;M=L&1;l=h;return M|0}if(!(a[j+(I*24|0)+20>>0]|0)){K=1;L=k|K;M=L&1;l=h;return M|0}if(r>>>0>i>>>0){bo(q,r-i|0);K=0;L=k|K;M=L&1;l=h;return M|0}if(r>>>0>=i>>>0){K=0;L=k|K;M=L&1;l=h;return M|0}i=g+(r<<2)|0;if((o|0)==(i|0)){K=0;L=k|K;M=L&1;l=h;return M|0}c[p>>2]=o+(~((o+-4-i|0)>>>2)<<2);K=0;L=k|K;M=L&1;l=h;return M|0}function no(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=l;l=l+48|0;e=d;vm(e,b);f=c[e+8>>2]|0;vm(e,b);g=c[e+12>>2]|0;vm(e,b);h=lo(a,f,g,c[e>>2]|0)|0;vm(e,b);b=c[e+4>>2]|0;c[e>>2]=b;if((b|0)==-64){l=d;return h|0}g=a+28|0;f=c[g>>2]|0;if((f|0)==(c[a+32>>2]|0)){Ie(a+24|0,e);l=d;return h|0}else{c[f>>2]=b;c[g>>2]=f+4;l=d;return h|0}return 0}function oo(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;d=l;l=l+48|0;e=d;vm(e,b);f=c[e+8>>2]|0;vm(e,b);g=c[e+12>>2]|0;vm(e,b);h=c[e+16>>2]|0;vm(e,b);i=mo(a,f,g,h,c[e>>2]|0)|0;vm(e,b);b=c[e+4>>2]|0;c[e>>2]=b;if((b|0)==-64){l=d;return i|0}h=a+28|0;g=c[h>>2]|0;if((g|0)==(c[a+32>>2]|0)){Ie(a+24|0,e);l=d;return i|0}else{c[g>>2]=b;c[h>>2]=g+4;l=d;return i|0}return 0}function po(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;d=c[a+24>>2]|0;e=a+28|0;f=c[e>>2]|0;if((f|0)!=(d|0))c[e>>2]=f+(~((f+-4-d|0)>>>2)<<2);d=c[a+36>>2]|0;f=a+40|0;e=c[f>>2]|0;if((e|0)==(d|0)){co(a,0,b);return 0}else g=e;while(1){e=g+-24|0;c[f>>2]=e;h=c[g+-20>>2]|0;if(!h)i=e;else{e=g+-16|0;j=c[e>>2]|0;if((j|0)!=(h|0))c[e>>2]=j+(~((j+-4-h|0)>>>2)<<2);Mt(h);i=c[f>>2]|0}if((i|0)==(d|0))break;else g=i}co(a,0,b);return 0}function qo(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=l;l=l+48|0;e=d+4|0;f=d;c[f>>2]=c[b>>2];vm(e,f);b=c[e+8>>2]|0;vm(e,f);g=ko(a,b,c[e>>2]|0)|0;vm(e,f);f=c[e+4>>2]|0;c[e>>2]=f;if((f|0)==-64){l=d;return g|0}b=a+28|0;h=c[b>>2]|0;if((h|0)==(c[a+32>>2]|0)){Ie(a+24|0,e);l=d;return g|0}else{c[h>>2]=f;c[b>>2]=h+4;l=d;return g|0}return 0}function ro(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=l;l=l+16|0;e=d+4|0;f=d;c[f>>2]=c[b>>2];c[e>>2]=c[f>>2];f=no(a,e)|0;l=d;return f|0}function so(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=l;l=l+16|0;e=d+4|0;f=d;c[f>>2]=c[b>>2];c[e>>2]=c[f>>2];f=no(a,e)|0;l=d;return f|0}function to(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=l;l=l+16|0;e=d+4|0;f=d;c[f>>2]=c[b>>2];c[e>>2]=c[f>>2];f=oo(a,e)|0;l=d;return f|0}function uo(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=l;l=l+16|0;e=d+4|0;f=d;c[f>>2]=c[b>>2];c[e>>2]=c[f>>2];f=no(a,e)|0;l=d;return f|0}function vo(a,b){a=a|0;b=b|0;co(a,1,b);return 0}function wo(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0;e=l;l=l+32|0;f=e+20|0;g=e+8|0;h=e;i=e+16|0;j=b+36|0;k=b+40|0;m=c[j>>2]|0;n=((c[k>>2]|0)-m|0)/24|0;if(n>>>0<=d>>>0){c[h>>2]=d;c[h+4>>2]=n+-1;ao(b,32140,h);o=1;l=e;return o|0}h=m;m=n+~d|0;d=h+(m*24|0)+4|0;if((c[h+(m*24|0)>>2]|0)==2)p=0;else p=(io(b,d)|0)==1&1;c[i>>2]=p;c[f>>2]=c[i>>2];go(b,f,32213,d);d=c[j>>2]|0;j=(c[k>>2]|0)-d|0;k=(j|0)/24|0;if(!j){c[g>>2]=0;c[g+4>>2]=k+-1;ao(b,32140,g);o=1;l=e;return o|0}g=d;d=k+-1|0;a[g+(d*24|0)+20>>0]=1;k=b+24|0;j=c[g+(d*24|0)+16>>2]|0;d=b+28|0;b=c[d>>2]|0;g=c[k>>2]|0;f=b-g>>2;i=b;if(j>>>0>f>>>0){bo(k,j-f|0);o=p;l=e;return o|0}if(j>>>0>=f>>>0){o=p;l=e;return o|0}f=g+(j<<2)|0;if((i|0)==(f|0)){o=p;l=e;return o|0}c[d>>2]=i+(~((i+-4-f|0)>>>2)<<2);o=p;l=e;return o|0}function xo(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;d=l;l=l+16|0;e=d+12|0;f=d;g=d+8|0;h=ko(a,-1,32216)|0;i=c[a+36>>2]|0;j=((c[a+40>>2]|0)-i|0)/24|0;if(j>>>0<=b>>>0){c[f>>2]=b;c[f+4>>2]=j+-1;ao(a,32140,f);k=1;l=d;return k|0}f=i;i=j+~b|0;if((c[f+(i*24|0)>>2]|0)==2){k=h;l=d;return k|0}b=f+(i*24|0)+4|0;j=io(a,b)|0;c[g>>2]=j;c[e>>2]=c[g>>2];go(a,e,32216,b);g=f+(i*24|0)+8|0;i=((h|0)==1|((j|0)==1|(fo(a,(c[g>>2]|0)-(c[b>>2]|0)>>2)|0)==1))&1;j=c[b>>2]|0;b=c[g>>2]|0;if((j|0)==(b|0)){k=i;l=d;return k|0}g=a+28|0;h=a+32|0;f=a+24|0;a=j;do{j=c[a>>2]|0;c[e>>2]=j;do if((j|0)!=-64){m=c[g>>2]|0;if((m|0)==(c[h>>2]|0)){Ie(f,e);break}else{c[m>>2]=j;c[g>>2]=m+4;break}}while(0);a=a+4|0}while((a|0)!=(b|0));k=i;l=d;return k|0}function yo(a){a=a|0;c[a+48>>2]=0;return ko(a,-1,32222)|0}function zo(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0;d=l;l=l+32|0;e=d+24|0;f=d;g=d+20|0;h=d+8|0;i=c[a+36>>2]|0;j=((c[a+40>>2]|0)-i|0)/24|0;if(j>>>0<=b>>>0){c[f>>2]=b;c[f+4>>2]=j+-1;ao(a,32140,f);k=1;l=d;return k|0}f=i;i=j+~b|0;if((c[f+(i*24|0)>>2]|0)==2){m=-64;n=0}else{b=f+(i*24|0)+4|0;j=c[b>>2]|0;if((c[f+(i*24|0)+8>>2]|0)==(j|0))o=-64;else o=c[j>>2]|0;j=(io(a,b)|0)==1;if(j){c[g>>2]=1;b=Kt(4)|0;c[h>>2]=b;i=b+4|0;c[h+8>>2]=i;c[b>>2]=o;c[h+4>>2]=i;c[e>>2]=c[g>>2];go(a,e,32222,h);Mt(b)}m=o;n=j}j=a+48|0;a=c[j>>2]|0;c[j>>2]=m;k=(n|(a|0)!=0&((m|0)!=0&(m|0)!=(a|0)))&1;l=d;return k|0}function Ao(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;d=l;l=l+16|0;e=d;f=c[b+36>>2]|0;g=(c[b+40>>2]|0)-f|0;h=(g|0)/24|0;if(!g){c[e>>2]=0;c[e+4>>2]=h+-1;ao(b,32140,e);i=1;l=d;return i|0}e=f;f=h+-1|0;a[e+(f*24|0)+20>>0]=1;h=b+24|0;g=c[e+(f*24|0)+16>>2]|0;f=b+28|0;b=c[f>>2]|0;e=c[h>>2]|0;j=b-e>>2;k=b;if(g>>>0>j>>>0){bo(h,g-j|0);i=0;l=d;return i|0}if(g>>>0>=j>>>0){i=0;l=d;return i|0}j=e+(g<<2)|0;if((k|0)==(j|0)){i=0;l=d;return i|0}c[f>>2]=k+(~((k+-4-j|0)>>>2)<<2);i=0;l=d;return i|0}function Bo(a,b,c){a=a|0;b=b|0;c=c|0;return jo(a,b,c,32231)|0}function Co(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=ko(a,-1,32236)|0;return ((d|0)==1|(jo(a,b,c,32236)|0)==1)&1|0}function Do(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=l;l=l+16|0;e=d+4|0;f=d;c[f>>2]=c[b>>2];c[e>>2]=c[f>>2];f=no(a,e)|0;l=d;return f|0}function Eo(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;d=l;l=l+16|0;e=d;f=c[b>>2]|0;g=c[b+4>>2]|0;if((f|0)==(g|0)){l=d;return 0}b=a+28|0;h=a+32|0;i=a+24|0;a=f;do{f=c[a>>2]|0;c[e>>2]=f;do if((f|0)!=-64){j=c[b>>2]|0;if((j|0)==(c[h>>2]|0)){Ie(i,e);break}else{c[j>>2]=f;c[b>>2]=j+4;break}}while(0);a=a+4|0}while((a|0)!=(g|0));l=d;return 0}function Fo(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=l;l=l+48|0;e=d+32|0;f=d+8|0;g=d;h=d+28|0;i=d+16|0;j=b+36|0;k=b+40|0;m=c[j>>2]|0;n=(c[k>>2]|0)-m|0;o=(n|0)/24|0;if(!n){c[g>>2]=0;c[g+4>>2]=o+-1;ao(b,32140,g);p=1;l=d;return p|0}g=m;m=o+-1|0;o=g+(m*24|0)|0;n=(c[o>>2]|0)!=5;q=g+(m*24|0)+4|0;r=io(b,q)|0;c[h>>2]=r;c[e>>2]=c[h>>2];go(b,e,32250,q);s=n|((r|0)==1|(fo(b,(c[g+(m*24|0)+8>>2]|0)-(c[q>>2]|0)>>2)|0)==1);q=c[j>>2]|0;j=(c[k>>2]|0)-q|0;k=(j|0)/24|0;if(!j){c[f>>2]=0;c[f+4>>2]=k+-1;ao(b,32140,f);f=b+24|0;j=b+28|0;t=j;u=j;v=f;w=f;x=1}else{f=b+24|0;j=b+28|0;r=((c[j>>2]|0)-(c[f>>2]|0)>>2|0)!=(c[q+((k+-1|0)*24|0)+16>>2]|0);if(r){c[h>>2]=1;c[i>>2]=0;c[i+4>>2]=0;c[i+8>>2]=0;c[e>>2]=c[h>>2];go(b,e,32250,i)}t=j;u=j;v=f;w=f;x=r}r=(s|x)&1;x=c[g+(m*24|0)+16>>2]|0;s=c[u>>2]|0;u=c[v>>2]|0;v=s-u>>2;f=u;u=s;if(x>>>0<=v>>>0){if(x>>>0<v>>>0?(s=f+(x<<2)|0,(u|0)!=(s|0)):0)c[t>>2]=u+(~((u+-4-s|0)>>>2)<<2)}else bo(w,x-v|0);c[o>>2]=6;a[g+(m*24|0)+20>>0]=0;p=r;l=d;return p|0}function Go(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=l;l=l+16|0;e=d;c[e>>2]=b;if((b|0)==-64){l=d;return 0}f=a+28|0;g=c[f>>2]|0;if((g|0)==(c[a+32>>2]|0)){Ie(a+24|0,e);l=d;return 0}else{c[g>>2]=b;c[f>>2]=g+4;l=d;return 0}return 0}function Ho(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=l;l=l+48|0;e=d+4|0;f=d;c[f>>2]=c[b>>2];vm(e,f);b=c[e+8>>2]|0;vm(e,f);g=ko(a,b,c[e>>2]|0)|0;vm(e,f);f=c[e+4>>2]|0;c[e>>2]=f;if((f|0)==-64){l=d;return g|0}b=a+28|0;h=c[b>>2]|0;if((h|0)==(c[a+32>>2]|0)){Ie(a+24|0,e);l=d;return g|0}else{c[h>>2]=f;c[b>>2]=h+4;l=d;return g|0}return 0}function Io(a){a=a|0;var b=0,d=0,e=0,f=0;b=l;l=l+16|0;d=b;c[d>>2]=-1;e=a+28|0;f=c[e>>2]|0;if((f|0)==(c[a+32>>2]|0)){Ie(a+24|0,d);l=b;return 0}else{c[f>>2]=-1;c[e>>2]=f+4;l=b;return 0}return 0}function Jo(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;d=l;l=l+32|0;e=d+24|0;f=d;g=d+20|0;h=d+8|0;i=c[b+36>>2]|0;j=(c[b+40>>2]|0)-i|0;k=(j|0)/24|0;a:do if(!j){c[f>>2]=0;c[f+4>>2]=k+-1;ao(b,32140,f)}else{m=i;n=k+-1|0;o=c[m+(n*24|0)+16>>2]|0;p=b+24|0;q=b+28|0;r=c[q>>2]|0;s=c[p>>2]|0;t=r-s>>2;u=r;do if((o+1|0)>>>0>t>>>0){if(!(a[m+(n*24|0)+20>>0]|0))break a;if(o>>>0>t>>>0){bo(p,o-t|0);break}if(o>>>0<t>>>0?(r=s+(o<<2)|0,(u|0)!=(r|0)):0)c[q>>2]=u+(~((u+-4-r|0)>>>2)<<2)}else c[q>>2]=u+-4;while(0);v=0;w=g;l=d;return v|0}while(0);c[g>>2]=1;k=Kt(4)|0;c[h>>2]=k;i=k+4|0;c[h+8>>2]=i;c[k>>2]=0;c[h+4>>2]=i;c[e>>2]=c[g>>2];go(b,e,32260,h);Mt(k);v=1;w=g;l=d;return v|0}function Ko(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=l;l=l+48|0;e=d+32|0;f=d+8|0;g=d;h=d+28|0;i=d+16|0;j=b+36|0;k=b+40|0;m=c[j>>2]|0;n=(c[k>>2]|0)-m|0;o=(n|0)/24|0;if(!n){c[g>>2]=0;c[g+4>>2]=o+-1;ao(b,32140,g);p=1;l=d;return p|0}g=m;m=o+-1|0;o=g+(m*24|0)|0;n=(c[o>>2]|0)!=3;q=g+(m*24|0)+4|0;r=io(b,q)|0;c[h>>2]=r;c[e>>2]=c[h>>2];go(b,e,32265,q);s=n|((r|0)==1|(fo(b,(c[g+(m*24|0)+8>>2]|0)-(c[q>>2]|0)>>2)|0)==1);q=c[j>>2]|0;j=(c[k>>2]|0)-q|0;k=(j|0)/24|0;if(!j){c[f>>2]=0;c[f+4>>2]=k+-1;ao(b,32140,f);f=b+24|0;j=b+28|0;t=j;u=j;v=f;w=f;x=1}else{f=b+24|0;j=b+28|0;r=((c[j>>2]|0)-(c[f>>2]|0)>>2|0)!=(c[q+((k+-1|0)*24|0)+16>>2]|0);if(r){c[h>>2]=1;c[i>>2]=0;c[i+4>>2]=0;c[i+8>>2]=0;c[e>>2]=c[h>>2];go(b,e,32265,i)}t=j;u=j;v=f;w=f;x=r}r=(s|x)&1;x=c[g+(m*24|0)+16>>2]|0;s=c[u>>2]|0;u=c[v>>2]|0;v=s-u>>2;f=u;u=s;if(x>>>0<=v>>>0){if(x>>>0<v>>>0?(s=f+(x<<2)|0,(u|0)!=(s|0)):0)c[t>>2]=u+(~((u+-4-s|0)>>>2)<<2)}else bo(w,x-v|0);c[o>>2]=4;a[g+(m*24|0)+20>>0]=0;p=r;l=d;return p|0}function Lo(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;f=l;l=l+32|0;g=f+24|0;h=f;i=f+20|0;j=f+8|0;k=b+4|0;m=io(a,k)|0;c[i>>2]=m;c[g>>2]=c[i>>2];go(a,g,d,k);d=b+8|0;n=(m|0)==1|(fo(a,(c[d>>2]|0)-(c[k>>2]|0)>>2)|0)==1;m=a+40|0;o=c[a+36>>2]|0;p=(c[m>>2]|0)-o|0;q=(p|0)/24|0;if(!p){c[h>>2]=0;c[h+4>>2]=q+-1;ao(a,32140,h);h=a+24|0;p=a+28|0;r=p;s=p;t=h;u=h;v=1}else{h=a+24|0;p=a+28|0;w=((c[p>>2]|0)-(c[h>>2]|0)>>2|0)!=(c[o+((q+-1|0)*24|0)+16>>2]|0);if(w){c[i>>2]=1;c[j>>2]=0;c[j+4>>2]=0;c[j+8>>2]=0;c[g>>2]=c[i>>2];go(a,g,e,j)}r=p;s=p;t=h;u=h;v=w}w=(n|v)&1;v=c[b+16>>2]|0;b=c[s>>2]|0;s=c[t>>2]|0;t=b-s>>2;n=s;s=b;if(v>>>0<=t>>>0){if(v>>>0<t>>>0?(b=n+(v<<2)|0,(s|0)!=(b|0)):0)c[r>>2]=s+(~((s+-4-b|0)>>>2)<<2)}else bo(u,v-t|0);t=c[k>>2]|0;k=c[d>>2]|0;if((t|0)!=(k|0)){d=a+32|0;a=t;do{t=c[a>>2]|0;c[g>>2]=t;do if((t|0)!=-64){v=c[r>>2]|0;if((v|0)==(c[d>>2]|0)){Ie(u,g);break}else{c[v>>2]=t;c[r>>2]=v+4;break}}while(0);a=a+4|0}while((a|0)!=(k|0))}k=c[m>>2]|0;a=k+-24|0;r=k;while(1){k=r+-24|0;c[m>>2]=k;g=c[r+-20>>2]|0;if(!g)x=k;else{k=r+-16|0;u=c[k>>2]|0;if((u|0)!=(g|0))c[k>>2]=u+(~((u+-4-g|0)>>>2)<<2);Mt(g);x=c[m>>2]|0}if((x|0)==(a|0))break;else r=x}l=f;return w|0}function Mo(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;b=l;l=l+16|0;d=b+8|0;e=b;f=c[a+36>>2]|0;g=(c[a+40>>2]|0)-f|0;h=(g|0)/24|0;if(!g){c[e>>2]=0;c[e+4>>2]=h+-1;ao(a,32140,e);i=1;l=b;return i|0}e=f;f=h+-1|0;h=e+(f*24|0)|0;g=c[h>>2]|0;if((g|0)==3)if((c[e+(f*24|0)+8>>2]|0)==(c[e+(f*24|0)+4>>2]|0)){j=0;k=3}else{ao(a,32280,d);j=1;k=c[h>>2]|0}else{j=0;k=g}g=c[15632+(k<<2)>>2]|0;i=(j|(Lo(a,h,g,g)|0)==1)&1;l=b;return i|0}function No(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=l;l=l+48|0;d=b+4|0;e=b;c[e>>2]=49;vm(d,e);f=c[d+8>>2]|0;vm(d,e);g=ko(a,f,c[d>>2]|0)|0;vm(d,e);e=c[d+4>>2]|0;c[d>>2]=e;if((e|0)==-64){l=b;return g|0}f=a+28|0;h=c[f>>2]|0;if((h|0)==(c[a+32>>2]|0)){Ie(a+24|0,d);l=b;return g|0}else{c[h>>2]=e;c[f>>2]=h+4;l=b;return g|0}return 0}function Oo(a,b){a=a|0;b=b|0;var c=0;c=ko(a,-1,32344)|0;co(a,3,b);return c|0}function Po(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=l;l=l+16|0;e=d;c[e>>2]=b;if((b|0)==-64){l=d;return 0}f=a+28|0;g=c[f>>2]|0;if((g|0)==(c[a+32>>2]|0)){Ie(a+24|0,e);l=d;return 0}else{c[g>>2]=b;c[f>>2]=g+4;l=d;return 0}return 0}function Qo(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=l;l=l+16|0;e=d;c[e>>2]=b;if((b|0)==-64){l=d;return 0}f=a+28|0;g=c[f>>2]|0;if((g|0)==(c[a+32>>2]|0)){Ie(a+24|0,e);l=d;return 0}else{c[g>>2]=b;c[f>>2]=g+4;l=d;return 0}return 0}function Ro(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=l;l=l+48|0;e=d+4|0;f=d;c[f>>2]=c[b>>2];vm(e,f);b=c[e+8>>2]|0;vm(e,f);g=ko(a,b,c[e>>2]|0)|0;vm(e,f);f=c[e+4>>2]|0;c[e>>2]=f;if((f|0)==-64){l=d;return g|0}b=a+28|0;h=c[b>>2]|0;if((h|0)==(c[a+32>>2]|0)){Ie(a+24|0,e);l=d;return g|0}else{c[h>>2]=f;c[b>>2]=h+4;l=d;return g|0}return 0}function So(a,b){a=a|0;b=b|0;co(a,2,b);return 0}function To(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;e=l;l=l+64|0;f=e+24|0;g=e+16|0;h=e+8|0;i=e;j=e+44|0;k=e+32|0;m=b+36|0;n=b+40|0;o=c[n>>2]|0;p=c[m>>2]|0;q=(o-p|0)/24|0;r=p;if(q>>>0<=d>>>0){c[i>>2]=d;c[i+4>>2]=q+-1;ao(b,32140,i);s=1;l=e;return s|0}if((c[r+((q+~d|0)*24|0)>>2]|0)==6){t=0;u=o;v=p}else{c[j>>2]=0;c[j+4>>2]=0;c[j+8>>2]=0;i=q+-1|0;q=j+11|0;if((o|0)==(p|0)){w=0;x=0}else{y=j+4|0;z=k+11|0;A=k+4|0;B=0;C=r;r=p;p=o;while(1){if((c[C+((i-B|0)*24|0)>>2]|0)==6){o=a[q>>0]|0;if((o<<24>>24<0?c[y>>2]|0:o&255)|0)fu(j,42084)|0;mu(k,B);o=a[z>>0]|0;D=o<<24>>24<0;eu(j,D?c[k>>2]|0:k,D?c[A>>2]|0:o&255)|0;Wt(k);E=c[n>>2]|0;F=c[m>>2]|0}else{E=p;F=r}B=B+1|0;if(B>>>0>=((E-F|0)/24|0)>>>0)break;else{C=F;r=F;p=E}}w=a[q>>0]|0;x=c[y>>2]|0}if(!((w<<24>>24<0?x:w&255)|0))ao(b,32377,h);else{h=(a[q>>0]|0)<0?c[j>>2]|0:j;c[g>>2]=d;c[g+4>>2]=h;ao(b,32408,g)}Wt(j);t=1;u=c[n>>2]|0;v=c[m>>2]|0}m=u-v|0;u=(m|0)/24|0;if(!m){c[f>>2]=0;c[f+4>>2]=u+-1;ao(b,32140,f);s=1;l=e;return s|0}f=v;v=u+-1|0;a[f+(v*24|0)+20>>0]=1;u=b+24|0;m=c[f+(v*24|0)+16>>2]|0;v=b+28|0;b=c[v>>2]|0;f=c[u>>2]|0;n=b-f>>2;j=b;if(m>>>0>n>>>0){bo(u,m-n|0);s=t;l=e;return s|0}if(m>>>0>=n>>>0){s=t;l=e;return s|0}n=f+(m<<2)|0;if((j|0)==(n|0)){s=t;l=e;return s|0}c[v>>2]=j+(~((j+-4-n|0)>>>2)<<2);s=t;l=e;return s|0}function Uo(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0;e=l;l=l+16|0;f=e+12|0;g=e;h=e+8|0;i=io(b,d)|0;c[h>>2]=i;c[f>>2]=c[h>>2];go(b,f,32448,d);f=((i|0)==1|(fo(b,(c[d+4>>2]|0)-(c[d>>2]|0)>>2)|0)==1)&1;d=c[b+36>>2]|0;i=(c[b+40>>2]|0)-d|0;h=(i|0)/24|0;if(!i){c[g>>2]=0;c[g+4>>2]=h+-1;ao(b,32140,g);j=1;l=e;return j|0}g=d;d=h+-1|0;a[g+(d*24|0)+20>>0]=1;h=b+24|0;i=c[g+(d*24|0)+16>>2]|0;d=b+28|0;b=c[d>>2]|0;g=c[h>>2]|0;k=b-g>>2;m=b;if(i>>>0>k>>>0){bo(h,i-k|0);j=f;l=e;return j|0}if(i>>>0>=k>>>0){j=f;l=e;return j|0}k=g+(i<<2)|0;if((m|0)==(k|0)){j=f;l=e;return j|0}c[d>>2]=m+(~((m+-4-k|0)>>>2)<<2);j=f;l=e;return j|0}function Vo(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0;d=l;l=l+32|0;e=d+20|0;f=d+8|0;g=d;h=d+16|0;i=b+36|0;j=b+40|0;k=c[i>>2]|0;m=(c[j>>2]|0)-k|0;n=((m|0)/24|0)+-1|0;if(!m){c[g>>2]=n;c[g+4>>2]=n;ao(b,32140,g);o=1;l=d;return o|0}g=k;k=g+4|0;n=io(b,k)|0;c[h>>2]=n;c[e>>2]=c[h>>2];go(b,e,32454,k);e=((n|0)==1|(fo(b,(c[g+8>>2]|0)-(c[k>>2]|0)>>2)|0)==1)&1;k=c[i>>2]|0;i=(c[j>>2]|0)-k|0;j=(i|0)/24|0;if(!i){c[f>>2]=0;c[f+4>>2]=j+-1;ao(b,32140,f);o=1;l=d;return o|0}f=k;k=j+-1|0;a[f+(k*24|0)+20>>0]=1;j=b+24|0;i=c[f+(k*24|0)+16>>2]|0;k=b+28|0;b=c[k>>2]|0;f=c[j>>2]|0;g=b-f>>2;n=b;if(i>>>0>g>>>0){bo(j,i-g|0);o=e;l=d;return o|0}if(i>>>0>=g>>>0){o=e;l=d;return o|0}g=f+(i<<2)|0;if((n|0)==(g|0)){o=e;l=d;return o|0}c[k>>2]=n+(~((n+-4-g|0)>>>2)<<2);o=e;l=d;return o|0}function Wo(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;d=l;l=l+64|0;e=d+48|0;f=d+24|0;g=d+16|0;h=d+8|0;i=d;j=d+44|0;k=d+32|0;m=b+36|0;n=b+40|0;o=c[n>>2]|0;p=c[m>>2]|0;q=o-p|0;r=(q|0)/24|0;do if(q){s=p;t=r+-1|0;u=c[b+24>>2]|0;v=(c[b+28>>2]|0)-u>>2;if((c[s+(t*24|0)+16>>2]|0)>>>0<v>>>0){w=((c[u+(v+-1<<2)>>2]|0)+1|0)>>>0>1;x=0;y=o;z=p;break}else{w=0;x=(a[s+(t*24|0)+20>>0]|0)==0;y=o;z=p;break}}else{c[i>>2]=0;c[i+4>>2]=r+-1;ao(b,32140,i);w=0;x=1;y=c[n>>2]|0;z=c[m>>2]|0}while(0);i=w|x;x=y-z|0;w=(x|0)/24|0;do if(x){r=z;p=w+-1|0;o=c[b+24>>2]|0;q=(c[b+28>>2]|0)-o>>2;if(((c[r+(p*24|0)+16>>2]|0)+1|0)>>>0<q>>>0){A=c[o+(q+-2<<2)>>2]|0;B=0;C=y;D=z;break}else{A=0;B=(a[r+(p*24|0)+20>>0]|0)==0;C=y;D=z;break}}else{c[h>>2]=0;c[h+4>>2]=w+-1;ao(b,32140,h);A=0;B=1;C=c[n>>2]|0;D=c[m>>2]|0}while(0);h=i|B;B=C-D|0;C=(B|0)/24|0;do if(B){i=D;w=C+-1|0;z=c[b+24>>2]|0;y=(c[b+28>>2]|0)-z>>2;if(((c[i+(w*24|0)+16>>2]|0)+2|0)>>>0<y>>>0){E=c[z+(y+-3<<2)>>2]|0;F=0;break}else{E=0;F=(a[i+(w*24|0)+20>>0]|0)==0;break}}else{c[g>>2]=0;c[g+4>>2]=C+-1;ao(b,32140,g);E=0;F=1}while(0);g=h|(F|(E|0)!=0&((A|0)!=0&(E|0)!=(A|0)));if(g){c[j>>2]=1;E=Kt(12)|0;c[k>>2]=E;F=E+12|0;c[k+8>>2]=F;c[E>>2]=-1;c[E+4>>2]=A;c[E+8>>2]=A;c[k+4>>2]=F;c[e>>2]=c[j>>2];go(b,e,32461,k);Mt(E)}E=c[m>>2]|0;m=(c[n>>2]|0)-E|0;n=(m|0)/24|0;do if(m){k=E;j=n+-1|0;F=c[k+(j*24|0)+16>>2]|0;h=b+24|0;C=b+28|0;D=c[C>>2]|0;B=c[h>>2]|0;w=D-B>>2;i=D;if((F+3|0)>>>0<=w>>>0){c[C>>2]=i+-12;G=0;break}if(a[k+(j*24|0)+20>>0]|0){if(F>>>0>w>>>0){bo(h,F-w|0);G=0;break}if(F>>>0<w>>>0?(w=B+(F<<2)|0,(i|0)!=(w|0)):0){c[C>>2]=i+(~((i+-4-w|0)>>>2)<<2);G=0}else G=0}else G=1}else{c[f>>2]=0;c[f+4>>2]=n+-1;ao(b,32140,f);G=1}while(0);f=(g|G)&1;c[e>>2]=A;if((A|0)==-64){l=d;return f|0}G=b+28|0;g=c[G>>2]|0;if((g|0)==(c[b+32>>2]|0)){Ie(b+24|0,e);l=d;return f|0}else{c[g>>2]=A;c[G>>2]=g+4;l=d;return f|0}return 0}function Xo(a,b){a=a|0;b=b|0;return ko(a,b,32468)|0}function Yo(a,b){a=a|0;b=b|0;return ko(a,b,32479)|0}function Zo(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=l;l=l+16|0;e=d+4|0;f=d;c[f>>2]=c[b>>2];c[e>>2]=c[f>>2];f=no(a,e)|0;l=d;return f|0}function _o(a,b){a=a|0;b=b|0;co(a,5,b);return 0}function $o(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=l;l=l+16|0;e=d;f=(ko(a,b,32489)|0)==1&1;c[e>>2]=b;if((b|0)==-64){l=d;return f|0}g=a+28|0;h=c[g>>2]|0;if((h|0)==(c[a+32>>2]|0)){Ie(a+24|0,e);l=d;return f|0}else{c[h>>2]=b;c[g>>2]=h+4;l=d;return f|0}return 0}function ap(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=l;l=l+48|0;e=d+4|0;f=d;c[f>>2]=c[b>>2];vm(e,f);b=c[e+8>>2]|0;vm(e,f);g=ko(a,b,c[e>>2]|0)|0;vm(e,f);f=c[e+4>>2]|0;c[e>>2]=f;if((f|0)==-64){l=d;return g|0}b=a+28|0;h=c[b>>2]|0;if((h|0)==(c[a+32>>2]|0)){Ie(a+24|0,e);l=d;return g|0}else{c[h>>2]=f;c[b>>2]=h+4;l=d;return g|0}return 0}function bp(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;d=l;l=l+16|0;e=d;f=c[b+36>>2]|0;g=(c[b+40>>2]|0)-f|0;h=(g|0)/24|0;if(!g){c[e>>2]=0;c[e+4>>2]=h+-1;ao(b,32140,e);i=1;l=d;return i|0}e=f;f=h+-1|0;a[e+(f*24|0)+20>>0]=1;h=b+24|0;g=c[e+(f*24|0)+16>>2]|0;f=b+28|0;b=c[f>>2]|0;e=c[h>>2]|0;j=b-e>>2;k=b;if(g>>>0>j>>>0){bo(h,g-j|0);i=0;l=d;return i|0}if(g>>>0>=j>>>0){i=0;l=d;return i|0}j=e+(g<<2)|0;if((k|0)==(j|0)){i=0;l=d;return i|0}c[f>>2]=k+(~((k+-4-j|0)>>>2)<<2);i=0;l=d;return i|0}function cp(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=l;l=l+16|0;e=d+4|0;f=d;c[f>>2]=c[b>>2];c[e>>2]=c[f>>2];f=oo(a,e)|0;l=d;return f|0}function dp(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=l;l=l+16|0;e=d+4|0;f=d;c[f>>2]=c[b>>2];c[e>>2]=c[f>>2];f=no(a,e)|0;l=d;return f|0}function ep(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=l;l=l+16|0;d=b;e=c[a+36>>2]|0;f=(c[a+40>>2]|0)-e|0;g=(f|0)/24|0;if(!f){c[d>>2]=0;c[d+4>>2]=g+-1;ao(a,32140,d);h=1;l=b;return h|0}else{d=e+((g+-1|0)*24|0)|0;g=(c[d>>2]|0)!=0;h=(g|(Lo(a,d,32499,32324)|0)==1)&1;l=b;return h|0}return 0}function fp(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;g=l;l=l+176|0;h=g+40|0;i=g+32|0;j=g+24|0;k=g+16|0;m=g+8|0;n=g;o=g+48|0;c[o>>2]=b;p=o+4|0;c[p>>2]=a;c[o+8>>2]=b;b=o+12|0;c[b>>2]=0;a=o+16|0;q=f+4|0;ns(a,c[q>>2]|0,e);r=o+36|0;c[r>>2]=c[q>>2]|0?a:e;a=o+40|0;c[a>>2]=0;c[a+4>>2]=0;c[a+8>>2]=0;c[a+12>>2]=0;c[a+16>>2]=0;c[a+20>>2]=0;c[o+64>>2]=f;c[o+68>>2]=12;f=o+72|0;q=f+56|0;do{c[f>>2]=0;f=f+4|0}while((f|0)<(q|0));Ta[c[(c[e>>2]|0)+12>>2]&31](e,p);p=c[b>>2]|0;e=p+4|0;f=c[o>>2]|0;do if(e>>>0<=f>>>0){q=c[o+4>>2]|0;s=q+p|0;t=d[s>>0]|d[s+1>>0]<<8|d[s+2>>0]<<16|d[s+3>>0]<<24;c[b>>2]=e;if((t|0)!=1836278016){gp(o,32552,m);u=1;break}t=p+8|0;if(t>>>0>f>>>0){c[k>>2]=32521;c[k+4>>2]=32568;gp(o,32530,k);u=1;break}s=q+e|0;q=d[s>>0]|d[s+1>>0]<<8|d[s+2>>0]<<16|d[s+3>>0]<<24;c[b>>2]=t;if((q|0)!=1){c[j>>2]=q;c[j+4>>2]=1;gp(o,32576,j);u=1;break}q=c[r>>2]|0;if(_a[c[(c[q>>2]|0)+16>>2]&255](q,1)|0){gp(o,32618,i);u=1;break}if((hp(o)|0)!=1){q=c[r>>2]|0;if(!(Va[c[(c[q>>2]|0)+20>>2]&127](q)|0))u=0;else{gp(o,32646,h);u=1}}else u=1}else{c[n>>2]=32521;c[n+4>>2]=32515;gp(o,32530,n);u=1}while(0);n=c[o+52>>2]|0;if(n|0){h=o+56|0;r=c[h>>2]|0;if((r|0)!=(n|0))c[h>>2]=r+(~((r+-4-n|0)>>>2)<<2);Mt(n)}n=c[a>>2]|0;if(!n){l=g;return u|0}a=o+44|0;o=c[a>>2]|0;if((o|0)!=(n|0))c[a>>2]=o+(~((o+-4-n|0)>>>2)<<2);Mt(n);l=g;return u|0}function gp(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0;e=l;l=l+176|0;f=e;g=e+24|0;h=e+8|0;i=e+40|0;c[g>>2]=d;c[h>>2]=c[g>>2];d=(Fs(i,128,b,g)|0)+1|0;if(d>>>0>128){g=l;l=l+((1*d|0)+15&-16)|0;Fs(g,d,b,h)|0;j=g}else j=i;i=c[a+36>>2]|0;if(_a[c[(c[i>>2]|0)+8>>2]&255](i,j)|0){l=e;return}i=c[4073]|0;c[f>>2]=c[a+12>>2];c[f+4>>2]=j;vt(i,41565,f)|0;l=e;return}
function bb(a){a=a|0;var b=0;b=l;l=l+a|0;l=l+15&-16;return b|0}function cb(){return l|0}function db(a){a=a|0;l=a}function eb(a,b){a=a|0;b=b|0;l=a;m=b}function fb(a,b){a=a|0;b=b|0;if(!o){o=a;p=b}}function gb(a){a=a|0;D=a}function hb(){return D|0}function ib(a,b,c){a=a|0;b=b|0;c=c|0;return Xb(a,b,c)|0}function jb(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=l;l=l+16|0;e=d;f=Kt(8)|0;c[e>>2]=0;c[f>>2]=kf(a,e,b,0)|0;c[f+4>>2]=c[e>>2];l=d;return f|0}function kb(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var h=0,i=0,j=0,k=0;h=l;l=l+16|0;i=h;a[i>>0]=0;a[i+1>>0]=0;a[i+2>>0]=0;c[i+4>>2]=0;a[i+9>>0]=1;a[i+8>>0]=(e|0)!=0&1;e=Kt(8)|0;j=Kt(332)|0;Tu(j|0,0,208)|0;g[j+208>>2]=1.0;k=j+212|0;c[k>>2]=0;c[k+4>>2]=0;c[k+8>>2]=0;c[k+12>>2]=0;g[j+228>>2]=1.0;k=j+232|0;c[k>>2]=0;c[k+4>>2]=0;c[k+8>>2]=0;c[k+12>>2]=0;g[j+248>>2]=1.0;k=j+252|0;c[k>>2]=0;c[k+4>>2]=0;c[k+8>>2]=0;c[k+12>>2]=0;g[j+268>>2]=1.0;k=j+272|0;c[k>>2]=0;c[k+4>>2]=0;c[k+8>>2]=0;c[k+12>>2]=0;g[j+288>>2]=1.0;k=j+292|0;c[k>>2]=0;c[k+4>>2]=0;c[k+8>>2]=0;c[k+12>>2]=0;g[j+308>>2]=1.0;k=j+312|0;c[k>>2]=0;c[k+4>>2]=0;c[k+8>>2]=0;c[k+12>>2]=0;g[j+328>>2]=1.0;c[e>>2]=Sf(17332,b,d,i,f,j)|0;c[e+4>>2]=j;l=h;return e|0}function lb(a,b,c){a=a|0;b=b|0;c=c|0;return Uk(a,b,c)|0}function mb(a,b,c){a=a|0;b=b|0;c=c|0;return Lf(a,b,c)|0}function nb(a){a=a|0;return Bj(a)|0}function ob(a){a=a|0;return tk(a)|0}function pb(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,m=0;h=l;l=l+48|0;i=h+20|0;j=h+40|0;k=h;fm(i,0);a[j>>0]=(e|0)!=0&1;a[j+1>>0]=(f|0)!=0&1;a[j+2>>0]=(g|0)!=0&1;g=(d|0)!=0;fm(k,g?i:0);d=Kt(12)|0;f=d+8|0;e=d+4|0;c[e>>2]=0;c[e+4>>2]=0;e=Nf(k,b,j)|0;c[d>>2]=e;if(!e){c[d+4>>2]=gm(k)|0;if(g)m=gm(i)|0;else m=0;c[f>>2]=m}c[k>>2]=4572;m=k+16|0;k=c[m>>2]|0;c[m>>2]=0;if(k|0){m=c[k>>2]|0;if(m|0){f=k+4|0;if((c[f>>2]|0)!=(m|0))c[f>>2]=m;Mt(m)}Mt(k)}c[i>>2]=4572;k=i+16|0;i=c[k>>2]|0;c[k>>2]=0;if(!i){l=h;return d|0}k=c[i>>2]|0;if(k|0){m=i+4|0;if((c[m>>2]|0)!=(k|0))c[m>>2]=k;Mt(k)}Mt(i);l=h;return d|0}function qb(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=l;l=l+32|0;g=f+20|0;h=f;a[g>>0]=(d|0)!=0&1;a[g+1>>0]=(e|0)!=0&1;fm(h,0);e=Kt(12)|0;d=e+4|0;c[d>>2]=0;c[d+4>>2]=0;d=dj(h,b,g)|0;c[e>>2]=d;if(!d)c[e+4>>2]=gm(h)|0;c[h>>2]=4572;d=h+16|0;h=c[d>>2]|0;c[d>>2]=0;if(!h){l=f;return e|0}d=c[h>>2]|0;if(d|0){g=h+4|0;if((c[g>>2]|0)!=(d|0))c[g>>2]=d;Mt(d)}Mt(h);l=f;return e|0}function rb(a){a=a|0;if(!a)return;sb(a);Mt(a);return}function sb(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0;b=c[a+320>>2]|0;if(b|0){d=b;do{b=d;d=c[d>>2]|0;Wt(b+8|0);Mt(b)}while((d|0)!=0)}d=a+312|0;b=c[d>>2]|0;c[d>>2]=0;if(b|0)Mt(b);b=c[a+300>>2]|0;if(b|0){d=b;do{b=d;d=c[d>>2]|0;Wt(b+8|0);Mt(b)}while((d|0)!=0)}d=a+292|0;b=c[d>>2]|0;c[d>>2]=0;if(b|0)Mt(b);b=c[a+280>>2]|0;if(b|0){d=b;do{b=d;d=c[d>>2]|0;Wt(b+8|0);Mt(b)}while((d|0)!=0)}d=a+272|0;b=c[d>>2]|0;c[d>>2]=0;if(b|0)Mt(b);b=c[a+260>>2]|0;if(b|0){d=b;do{b=d;d=c[d>>2]|0;Wt(b+8|0);Mt(b)}while((d|0)!=0)}d=a+252|0;b=c[d>>2]|0;c[d>>2]=0;if(b|0)Mt(b);b=c[a+240>>2]|0;if(b|0){d=b;do{b=d;d=c[d>>2]|0;Wt(b+8|0);Mt(b)}while((d|0)!=0)}d=a+232|0;b=c[d>>2]|0;c[d>>2]=0;if(b|0)Mt(b);b=c[a+220>>2]|0;if(b|0){d=b;do{b=d;d=c[d>>2]|0;Wt(b+8|0);Mt(b)}while((d|0)!=0)}d=a+212|0;b=c[d>>2]|0;c[d>>2]=0;if(b|0)Mt(b);b=c[a+200>>2]|0;if(b|0){d=b;do{b=d;d=c[d>>2]|0;Wt(b+8|0);Mt(b)}while((d|0)!=0)}d=a+192|0;b=c[d>>2]|0;c[d>>2]=0;if(b|0)Mt(b);b=c[a+180>>2]|0;if(b|0){d=a+184|0;e=c[d>>2]|0;if((e|0)!=(b|0))c[d>>2]=e+(~((e+-4-b|0)>>>2)<<2);Mt(b)}b=c[a+168>>2]|0;if(b|0){e=a+172|0;d=c[e>>2]|0;if((d|0)!=(b|0))c[e>>2]=d+(~((d+-4-b|0)>>>2)<<2);Mt(b)}b=c[a+156>>2]|0;if(b|0){d=a+160|0;e=c[d>>2]|0;if((e|0)!=(b|0))c[d>>2]=e+(~((e+-4-b|0)>>>2)<<2);Mt(b)}b=c[a+144>>2]|0;if(b|0){e=a+148|0;d=c[e>>2]|0;if((d|0)!=(b|0))c[e>>2]=d+(~((d+-4-b|0)>>>2)<<2);Mt(b)}b=c[a+132>>2]|0;if(b|0){d=a+136|0;e=c[d>>2]|0;if((e|0)!=(b|0))c[d>>2]=e+(~((e+-4-b|0)>>>2)<<2);Mt(b)}b=c[a+120>>2]|0;if(b|0){e=a+124|0;d=c[e>>2]|0;if((d|0)!=(b|0))c[e>>2]=d+(~((d+-4-b|0)>>>2)<<2);Mt(b)}b=c[a+108>>2]|0;if(b|0){d=a+112|0;e=c[d>>2]|0;if((e|0)!=(b|0))c[d>>2]=e+(~((e+-4-b|0)>>>2)<<2);Mt(b)}b=c[a+96>>2]|0;if(b|0){e=a+100|0;d=c[e>>2]|0;if((d|0)!=(b|0))c[e>>2]=d+(~((d+-4-b|0)>>>2)<<2);Mt(b)}b=c[a+84>>2]|0;if(b|0){d=a+88|0;e=c[d>>2]|0;if((e|0)!=(b|0))c[d>>2]=e+(~((e+-4-b|0)>>>2)<<2);Mt(b)}b=c[a+72>>2]|0;if(b|0){e=a+76|0;d=c[e>>2]|0;if((d|0)!=(b|0))c[e>>2]=d+(~((d+-4-b|0)>>>2)<<2);Mt(b)}b=c[a+60>>2]|0;if(b|0){d=a+64|0;e=c[d>>2]|0;if((e|0)!=(b|0))c[d>>2]=e+(~((e+-4-b|0)>>>2)<<2);Mt(b)}b=a+28|0;e=c[b>>2]|0;if(!e){f=a+32|0;c[f>>2]=0;c[b>>2]=0;g=a+36|0;c[g>>2]=0;h=a+16|0;Wt(h);return}else i=e;do{e=i;i=c[i+4>>2]|0;Sa[c[(c[e>>2]|0)+4>>2]&255](e)}while((i|0)!=0);f=a+32|0;c[f>>2]=0;c[b>>2]=0;g=a+36|0;c[g>>2]=0;h=a+16|0;Wt(h);return}function tb(a){a=a|0;if(!a)return;Wb(a);Mt(a);return}function ub(){var a=0;a=Kt(32)|0;Vb(a,0,80);return a|0}function vb(){var a=0;a=Kt(32)|0;Vb(a,1,80);return a|0}function wb(b){b=b|0;var d=0,e=0;d=b+12|0;if((a[d+11>>0]|0)<0){e=c[d>>2]|0;return e|0}else{e=d;return e|0}return 0}function xb(b){b=b|0;var d=0,e=0;d=a[b+12+11>>0]|0;if(d<<24>>24<0){e=c[b+16>>2]|0;return e|0}else{e=d&255;return e|0}return 0}function yb(a){a=a|0;if(!a)return;Sa[c[(c[a>>2]|0)+4>>2]&255](a);return}function zb(a){a=a|0;return c[a>>2]|0}function Ab(a){a=a|0;var b=0;b=a+4|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function Bb(a){a=a|0;var b=0,d=0;if(!a)return;b=a+4|0;d=c[b>>2]|0;c[b>>2]=0;if(d|0){sb(d);Mt(d)}Mt(a);return}function Cb(a){a=a|0;return c[a>>2]|0}function Db(a){a=a|0;var b=0;b=a+4|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function Eb(a){a=a|0;var b=0,d=0;if(!a)return;b=a+4|0;d=c[b>>2]|0;c[b>>2]=0;if(d|0){sb(d);Mt(d)}Mt(a);return}function Fb(a){a=a|0;return c[a>>2]|0}function Gb(a){a=a|0;var b=0;b=a+4|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function Hb(a){a=a|0;var b=0;b=a+8|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function Ib(a){a=a|0;var b=0,d=0,e=0;if(!a)return;b=a+8|0;d=c[b>>2]|0;c[b>>2]=0;if(d|0){b=c[d>>2]|0;if(b|0){e=d+4|0;if((c[e>>2]|0)!=(b|0))c[e>>2]=b;Mt(b)}Mt(d)}d=a+4|0;b=c[d>>2]|0;c[d>>2]=0;if(b|0){d=c[b>>2]|0;if(d|0){e=b+4|0;if((c[e>>2]|0)!=(d|0))c[e>>2]=d;Mt(d)}Mt(b)}Mt(a);return}function Jb(a){a=a|0;return c[a>>2]|0}function Kb(a){a=a|0;return (c[a+4>>2]|0)-(c[a>>2]|0)|0}function Lb(a){a=a|0;var b=0,d=0;if(!a)return;b=c[a>>2]|0;if(b|0){d=a+4|0;if((c[d>>2]|0)!=(b|0))c[d>>2]=b;Mt(b)}Mt(a);return}function Mb(b,d,e,f,g,h,i,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,m=0,n=0,o=0,p=0;k=l;l=l+48|0;m=k+8|0;n=k;o=k+24|0;p=k+12|0;c[o>>2]=0;c[o+4>>2]=0;c[o+8>>2]=0;Tt(o,j,32);Qt(b,o);j=e+4|0;fu(b,(a[j>>0]|0)==0?49720:17341)|0;e=c[f>>2]|0;if(e|0){fu(b,e)|0;fu(b,17346)|0}if(c[d+4>>2]|0){d=c[f+4>>2]|0;if((d|0)!=-1){c[m>>2]=d;Nb(p,27981,m);m=a[p+11>>0]|0;d=m<<24>>24<0;eu(b,d?c[p>>2]|0:p,d?c[p+4>>2]|0:m&255)|0;Wt(p)}}else{m=c[f+8>>2]|0;c[n>>2]=c[f+4>>2];c[n+4>>2]=m;Nb(p,17348,n);n=a[p+11>>0]|0;m=n<<24>>24<0;eu(b,m?c[p>>2]|0:p,m?c[p+4>>2]|0:n&255)|0;Wt(p)}fu(b,(a[j>>0]|0)==0?49720:17356)|0;fu(b,17362)|0;fu(b,(a[j>>0]|0)==0?49720:17370)|0;p=a[g+11>>0]|0;n=p<<24>>24<0;eu(b,n?c[g>>2]|0:g,n?c[g+4>>2]|0:p&255)|0;gu(b,10);p=h+11|0;g=a[p>>0]|0;n=h+4|0;if(!((g<<24>>24<0?c[n>>2]|0:g&255)|0)){Wt(o);l=k;return}g=o+11|0;m=a[g>>0]|0;d=m<<24>>24<0;e=o+4|0;eu(b,d?c[o>>2]|0:o,d?c[e>>2]|0:m&255)|0;m=a[p>>0]|0;d=m<<24>>24<0;eu(b,d?c[h>>2]|0:h,d?c[n>>2]|0:m&255)|0;gu(b,10);m=a[g>>0]|0;g=m<<24>>24<0;eu(b,g?c[o>>2]|0:o,g?c[e>>2]|0:m&255)|0;m=c[f+8>>2]|0;e=m+~i|0;i=(c[f+12>>2]|0)-m|0;m=a[p>>0]|0;p=(m<<24>>24<0?c[n>>2]|0:m&255)-e|0;m=p>>>0<i>>>0?p:i;cu(b,e,32)|0;fu(b,(a[j>>0]|0)==0?49720:17341)|0;fu(b,(a[j>>0]|0)==0?49720:17375)|0;cu(b,(m|0)==0?1:m,94)|0;fu(b,(a[j>>0]|0)==0?49720:17370)|0;gu(b,10);Wt(o);l=k;return}function Nb(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,m=0,n=0;f=l;l=l+48|0;g=f+32|0;h=f+16|0;i=f;c[g>>2]=e;c[h>>2]=c[g>>2];e=Fs(0,0,d,g)|0;g=e+1|0;c[i>>2]=0;j=i+4|0;c[j>>2]=0;c[i+8>>2]=0;if(g|0){if((e|0)<-1)Jt(i);k=Kt(g)|0;c[j>>2]=k;c[i>>2]=k;c[i+8>>2]=k+g;m=g;n=k;do{a[n>>0]=0;n=(c[j>>2]|0)+1|0;c[j>>2]=n;m=m+-1|0}while((m|0)!=0)}Fs(c[i>>2]|0,g,d,h)|0;h=c[i>>2]|0;c[b>>2]=0;c[b+4>>2]=0;c[b+8>>2]=0;Rt(b,h,e);e=c[i>>2]|0;if(!e){l=f;return}if((c[j>>2]|0)!=(e|0))c[j>>2]=e;Mt(e);l=f;return}function Ob(a){a=a|0;c[a>>2]=2160;Wt(a+12|0);return}function Pb(a){a=a|0;c[a>>2]=2160;Wt(a+12|0);Mt(a);return}function Qb(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0;h=l;l=l+16|0;i=h;Mb(i,b,b+24|0,d,e,f,g,0);g=a[i+11>>0]|0;f=g<<24>>24<0;eu(b+12|0,f?c[i>>2]|0:i,f?c[i+4>>2]|0:g&255)|0;Wt(i);l=h;return 1}function Rb(a){a=a|0;return c[a+8>>2]|0}function Sb(a,b){a=a|0;b=b|0;c[a>>2]=2184;c[a+4>>2]=b;return}function Tb(a){a=a|0;return}function Ub(a){a=a|0;Mt(a);return}function Vb(a,b,d){a=a|0;b=b|0;d=d|0;c[a+4>>2]=b;c[a>>2]=2160;c[a+8>>2]=d;d=a+12|0;c[d>>2]=0;c[d+4>>2]=0;c[d+8>>2]=0;Bl(a+24|0,0,0);return}function Wb(a){a=a|0;var b=0,d=0,e=0;b=c[a+52>>2]|0;if(b|0)Nt(b);b=c[a+8>>2]|0;if(b|0){d=a+12|0;e=c[d>>2]|0;if((e|0)!=(b|0))c[d>>2]=e+(~((e+-8-b|0)>>>3)<<3);Mt(b)}b=a+4|0;e=c[b>>2]|0;c[b>>2]=0;if(e|0)Sa[c[(c[e>>2]|0)+4>>2]&255](e);e=c[a>>2]|0;c[a>>2]=0;if(!e)return;Sa[c[(c[e>>2]|0)+4>>2]&255](e);return}function Xb(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=l;l=l+16|0;g=f;h=Kt(16)|0;Vn(h,d,e);e=Kt(76)|0;c[e>>2]=h;c[g>>2]=Va[c[(c[h>>2]|0)+8>>2]&127](h)|0;Wn(e+4|0,g);h=c[g>>2]|0;c[g>>2]=0;if(h|0)Sa[c[(c[h>>2]|0)+4>>2]&255](h);c[e+28>>2]=b;c[e+32>>2]=1;b=e+36|0;h=e+52|0;c[b>>2]=0;c[b+4>>2]=0;c[b+8>>2]=0;a[b+12>>0]=0;c[h>>2]=0;c[h+4>>2]=0;c[h+8>>2]=0;c[h+12>>2]=0;c[h+16>>2]=0;c[h+20>>2]=0;l=f;return e|0}function Yb(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;e=b+48|0;if(a[e>>0]|0){f=1;return f|0}g=b+64|0;h=c[g>>2]|0;i=b+52|0;j=c[i>>2]|0;k=h;l=j;m=k-l|0;if(m>>>0<d>>>0){n=b+56|0;o=c[n>>2]|0;p=d+29|0;d=o|0?o<<1:65536;while(1){q=d-o+m|0;if(q>>>0<p>>>0)d=d<<1;else break}p=Lt(d)|0;o=b+72|0;r=c[o>>2]|0;s=r;if(r>>>0>h>>>0)bv(p|0,h|0,s-k|0)|0;c[i>>2]=p;c[n>>2]=d;d=0-m|0;c[g>>2]=p+m+d;r=b+60|0;c[r>>2]=p+((c[r>>2]|0)-l)+d;r=b+68|0;c[r>>2]=p+((c[r>>2]|0)-l)+d;r=p+(s-l)+d|0;c[o>>2]=r;d=b+40|0;c[d>>2]=(c[d>>2]|0)+m;if(!j){t=q;u=n;v=o;w=r}else{Nt(j);t=q;u=n;v=o;w=c[o>>2]|0}}else{o=b+72|0;n=c[o>>2]|0;if(n>>>0>h>>>0){bv(j|0,h|0,n-k|0)|0;x=c[g>>2]|0;y=c[o>>2]|0}else{x=h;y=n}n=0-m|0;c[g>>2]=x+n;x=b+60|0;c[x>>2]=(c[x>>2]|0)+n;x=b+68|0;c[x>>2]=(c[x>>2]|0)+n;x=y+n|0;c[o>>2]=x;n=b+40|0;c[n>>2]=(c[n>>2]|0)+m;t=m;u=b+56|0;v=o;w=x}x=c[b>>2]|0;b=Qa[c[(c[x>>2]|0)+16>>2]&127](x,w,t)|0;t=(c[v>>2]|0)+b|0;c[v>>2]=t;if(t>>>0>=((c[i>>2]|0)+(c[u>>2]|0)+-29|0)>>>0){f=0;return f|0}a[e>>0]=1;e=t;t=e+29|0;do{a[e>>0]=255;e=e+1|0}while((e|0)<(t|0));c[v>>2]=(c[v>>2]|0)+29;f=0;return f|0}

// EMSCRIPTEN_END_FUNCS
var Pa=[Zx,Zx,gv,Zx,hv,Zx,iv,Zx,jv,Zx,kv,Zx,lv,Zx,mv,Zx,nv,Zx,ov,Zx,pv,Zx,ig,kg,Jp,Lp,Zx,Zx,Zx,Zx,Zx,Zx];var Qa=[_x,_x,rv,_x,sv,_x,tv,_x,uv,_x,vv,_x,wv,_x,xv,_x,yv,_x,zv,_x,Av,_x,Zf,_f,pg,xg,Wg,Xg,Zg,_g,eh,uh,zh,Ah,Ch,Mh,Vh,Yh,Zh,ci,li,oi,yi,Gi,Ii,Ki,Li,jk,Rk,xl,Tn,Un,yp,zp,Qp,Yp,vq,wq,yq,zq,Fq,Vq,_q,$q,br,lr,ur,xr,yr,Dr,Mr,Pr,Zr,fs,hs,js,ks,qs,rs,gt,tu,_x,_x,_x,_x,_x,_x,_x,_x,_x,_x,_x,_x,_x,_x,_x,_x,_x,_x,_x,_x,_x,_x,_x,_x,_x,_x,_x,_x,_x,_x,_x,_x,_x,_x,_x,_x,_x,_x,_x,_x,_x,_x,_x,_x,_x,_x,_x];var Ra=[$x,$x,Cv,$x,Dv,$x,Ev,$x,Fv,$x,Gv,$x,Hv,$x,Iv,$x,Jv,$x,Kv,$x,Lv,$x,vu,Eu,Ju,$x,$x,$x,$x,$x,$x,$x];var Sa=[ay,ay,Nv,ay,Ov,ay,Pv,ay,Qv,ay,Rv,ay,Sv,ay,Tv,ay,Uv,ay,Vv,ay,Wv,ay,Ob,Pb,Tb,Ub,Ic,Jc,Ac,Bc,yc,zc,wc,xc,Pc,Gd,Fd,Ed,Dd,Bd,Cd,zd,Ad,xd,yd,vd,td,ud,rd,sd,pd,qd,nd,od,ld,md,jd,kd,hd,id,gd,fd,ed,dd,cd,bd,ad,$c,_c,Yc,Zc,Wc,Xc,Vc,Uc,Tc,Sc,Rc,Qc,Ud,Vd,me,ne,ke,le,ie,je,ge,he,oe,pe,qe,re,se,te,ye,ze,we,xe,ue,ve,Le,Me,Ee,Fe,Ce,De,Oe,Pe,Qe,Re,Te,Ue,_e,$e,Xe,gf,hf,df,ef,af,bf,Cf,Df,Gf,Hf,tf,uf,xf,yf,Tf,Uf,Cj,Dj,xk,yk,dl,el,Xk,_k,$k,Xl,Yl,Pn,Qn,sp,tp,pu,qu,ru,su,Cu,Hu,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay,ay];var Ta=[by,by,Yv,by,Zv,by,_v,by,$v,by,aw,by,bw,by,cw,by,dw,by,ew,by,fw,by,Ff,If,wf,Wf,Zk,vp,by,by,by,by];var Ua=[cy,cy,hw,cy,iw,cy,jw,cy,kw,cy,lw,cy,mw,cy,nw,cy,ow,cy,pw,cy,qw,cy,cg,hg,jg,lg,Dp,Ip,Kp,Mp,cy,cy];var Va=[dy,dy,sw,dy,tw,dy,uw,dy,vw,dy,ww,dy,xw,dy,yw,dy,zw,dy,Aw,dy,Bw,dy,Rb,Ze,jf,ff,cf,Ef,Kf,vf,Bf,Yf,$f,dg,mg,qg,ug,yg,Fg,Jg,Mg,Tg,lh,oh,ph,qh,rh,sh,xh,Dh,Fh,Gh,Oh,Sh,$h,hi,qi,ui,Di,Hi,Yk,cl,Rn,xp,Ap,Ep,Np,Rp,Vp,Zp,eq,iq,lq,sq,Mq,Pq,Qq,Rq,Sq,Tq,Yq,cr,er,fr,nr,rr,Ar,Ir,Rr,Vr,cs,gs,ps,Kc,Dc,Sd,dy,dy,dy,dy,dy,dy,dy,dy,dy,dy,dy,dy,dy,dy,dy,dy,dy,dy,dy,dy,dy,dy,dy,dy,dy,dy,dy,dy,dy,dy,dy,dy];var Wa=[ey,ey,Dw,ey,Ew,ey,Fw,ey,Gw,ey,Hw,ey,Iw,ey,Jw,ey,Kw,ey,Lw,ey,Mw,ey,zf,al,ey,ey,ey,ey,ey,ey,ey,ey];var Xa=[fy,fy,Ow,fy,Pw,fy,Qw,fy,Rw,fy,Sw,fy,Tw,fy,Uw,fy,Vw,fy,Ww,fy,Xw,fy,gy,fy,fy,fy,fy,fy,fy,fy,fy,fy];var Ya=[hy,hy,Zw,hy,_w,hy,$w,hy,ax,hy,bx,hy,cx,hy,dx,hy,ex,hy,fx,hy,gx,hy,gg,tg,Bg,Rg,$g,ah,bh,ch,hh,Bh,Jh,Ph,Qh,fi,ji,mi,pi,si,Ji,Mi,Zl,_l,Hp,Up,aq,qq,Aq,Bq,Cq,Dq,Iq,ar,ir,or,pr,Gr,Kr,Nr,Qr,Tr,is,ls];var Za=[iy,iy,ix,iy,jx,iy,kx,iy,lx,iy,mx,iy,nx,iy,ox,iy,px,iy,qx,iy,rx,iy,uu,Du,Iu,iy,iy,iy,iy,iy,iy,iy];var _a=[jy,jy,tx,jy,ux,jy,vx,jy,wx,jy,xx,jy,yx,jy,zx,jy,Ax,jy,Bx,jy,Cx,jy,Jf,Af,Vf,Xf,ag,bg,eg,fg,ng,og,rg,sg,vg,wg,zg,Ag,Cg,Dg,Eg,Gg,Hg,Kg,Lg,Ng,Og,Pg,Qg,Sg,Ug,Vg,Yg,dh,fh,gh,ih,jh,kh,mh,nh,th,vh,wh,yh,Eh,Hh,Ih,Kh,Lh,Nh,Rh,Th,Uh,Wh,Xh,_h,ai,bi,di,ei,gi,ii,ki,ni,ri,vi,wi,xi,zi,Ai,Bi,Ei,Fi,Ej,Fj,Gj,Hj,Ij,Jj,Kj,Lj,Mj,Nj,Oj,Pj,Qj,Rj,Sj,Tj,Uj,Vj,Wj,Xj,Yj,Zj,_j,$j,ak,bk,ck,dk,ek,fk,gk,hk,ik,kk,lk,mk,nk,ok,pk,qk,rk,zk,Ak,Bk,Ck,Dk,Ek,Fk,Gk,Hk,Ik,Jk,Kk,Lk,Mk,Nk,Ok,Pk,Qk,Sk,Tk,fl,gl,hl,il,jl,kl,ll,ml,nl,ol,pl,ql,rl,sl,tl,ul,vl,wl,yl,zl,bl,Sn,up,wp,Bp,Cp,Fp,Gp,Op,Pp,Sp,Tp,Wp,Xp,_p,$p,bq,cq,dq,fq,gq,jq,kq,mq,nq,oq,pq,rq,tq,uq,xq,Eq,Gq,Hq,Jq,Kq,Lq,Nq,Oq,Uq,Wq,Xq,Zq,dr,gr,hr,jr,kr,mr,qr,sr,tr,vr,wr,zr,Br,Cr,Er,Fr,Hr,Jr,Lr,Or,Sr,Wr,Xr,Yr,_r,$r,as,ds,es,jy,jy,jy,jy,jy,jy,jy,jy,jy];var $a=[ky,ky,Ex,ky,Fx,ky,Gx,ky,Hx,ky,Ix,ky,Jx,ky,Kx,ky,Lx,ky,Mx,ky,Nx,ky,Qb,Ye,Ig,ti,Ci,hq,Ur,bs,ky,ky];var ab=[ly,ly,Px,ly,Qx,ly,Rx,ly,Sx,ly,Tx,ly,Ux,ly,Vx,ly,Wx,ly,Xx,ly,Yx,ly,wu,Fu,Ku,ly,ly,ly,ly,ly,ly,ly];return{_wabt_parse_wat_result_release_module:Ab,_wabt_error_handler_buffer_get_size:xb,_wabt_destroy_read_binary_result:Eb,_wabt_parse_wat_result_get_result:zb,_llvm_cttz_i32:Xu,_wabt_read_binary_result_get_result:Cb,_wabt_resolve_names_module:lb,_wabt_output_buffer_get_size:Kb,___udivdi3:Zu,_bitshift64Lshr:Uu,_llvm_bswap_i32:dv,_bitshift64Shl:Vu,_malloc:Ct,_wabt_write_binary_module:pb,_wabt_new_binary_error_handler_buffer:vb,_bitshift64Ashr:Qu,_memset:Tu,_sbrk:av,_wabt_destroy_module:rb,_wabt_destroy_error_handler_buffer:yb,___errno_location:ts,___muldi3:$u,_wabt_write_text_module:qb,___uremdi3:cv,_wabt_read_binary:kb,_wabt_write_module_result_release_log_output_buffer:Hb,_i64Subtract:Ru,___udivmoddi4:Yu,_i64Add:Su,_wabt_new_text_error_handler_buffer:ub,_wabt_error_handler_buffer_get_data:wb,_emscripten_get_global_libc:os,_wabt_destroy_wast_lexer:tb,_wabt_write_module_result_get_result:Fb,_llvm_ctlz_i64:ev,_wabt_validate_module:mb,_wabt_destroy_write_module_result:Ib,___muldsi3:_u,_free:Dt,_memcpy:Wu,_wabt_apply_names_module:nb,_memmove:bv,_wabt_new_wast_buffer_lexer:ib,_wabt_generate_names_module:ob,_wabt_output_buffer_get_data:Jb,_wabt_write_module_result_release_output_buffer:Gb,_wabt_destroy_output_buffer:Lb,_wabt_read_binary_result_release_module:Db,_wabt_parse_wat:jb,_wabt_destroy_parse_wat_result:Bb,runPostSets:Pu,stackAlloc:bb,stackSave:cb,stackRestore:db,establishStackSpace:eb,setTempRet0:gb,getTempRet0:hb,setThrew:fb,stackAlloc:bb,stackSave:cb,stackRestore:db,establishStackSpace:eb,setThrew:fb,setTempRet0:gb,getTempRet0:hb,dynCall_iiiiiiii:fv,dynCall_iiii:qv,dynCall_viiiii:Bv,dynCall_vi:Mv,dynCall_vii:Xv,dynCall_iiiiiii:gw,dynCall_ii:rw,dynCall_viii:Cw,dynCall_v:Nw,dynCall_iiiii:Yw,dynCall_viiiiii:hx,dynCall_iii:sx,dynCall_iiiiii:Dx,dynCall_viiii:Ox}})


// EMSCRIPTEN_END_ASM
(Module.asmGlobalArg,Module.asmLibraryArg,buffer);var _wabt_parse_wat_result_release_module=Module["_wabt_parse_wat_result_release_module"]=asm["_wabt_parse_wat_result_release_module"];var stackSave=Module["stackSave"]=asm["stackSave"];var _wabt_error_handler_buffer_get_size=Module["_wabt_error_handler_buffer_get_size"]=asm["_wabt_error_handler_buffer_get_size"];var _wabt_destroy_read_binary_result=Module["_wabt_destroy_read_binary_result"]=asm["_wabt_destroy_read_binary_result"];var _wabt_parse_wat_result_get_result=Module["_wabt_parse_wat_result_get_result"]=asm["_wabt_parse_wat_result_get_result"];var _wabt_destroy_write_module_result=Module["_wabt_destroy_write_module_result"]=asm["_wabt_destroy_write_module_result"];var getTempRet0=Module["getTempRet0"]=asm["getTempRet0"];var ___udivdi3=Module["___udivdi3"]=asm["___udivdi3"];var _wabt_read_binary_result_get_result=Module["_wabt_read_binary_result_get_result"]=asm["_wabt_read_binary_result_get_result"];var establishStackSpace=Module["establishStackSpace"]=asm["establishStackSpace"];var _wabt_resolve_names_module=Module["_wabt_resolve_names_module"]=asm["_wabt_resolve_names_module"];var _wabt_output_buffer_get_size=Module["_wabt_output_buffer_get_size"]=asm["_wabt_output_buffer_get_size"];var _bitshift64Lshr=Module["_bitshift64Lshr"]=asm["_bitshift64Lshr"];var ___udivmoddi4=Module["___udivmoddi4"]=asm["___udivmoddi4"];var _bitshift64Shl=Module["_bitshift64Shl"]=asm["_bitshift64Shl"];var _wabt_generate_names_module=Module["_wabt_generate_names_module"]=asm["_wabt_generate_names_module"];var _wabt_write_binary_module=Module["_wabt_write_binary_module"]=asm["_wabt_write_binary_module"];var _wabt_new_binary_error_handler_buffer=Module["_wabt_new_binary_error_handler_buffer"]=asm["_wabt_new_binary_error_handler_buffer"];var _bitshift64Ashr=Module["_bitshift64Ashr"]=asm["_bitshift64Ashr"];var _llvm_cttz_i32=Module["_llvm_cttz_i32"]=asm["_llvm_cttz_i32"];var _sbrk=Module["_sbrk"]=asm["_sbrk"];var _wabt_destroy_module=Module["_wabt_destroy_module"]=asm["_wabt_destroy_module"];var _wabt_destroy_error_handler_buffer=Module["_wabt_destroy_error_handler_buffer"]=asm["_wabt_destroy_error_handler_buffer"];var _llvm_bswap_i32=Module["_llvm_bswap_i32"]=asm["_llvm_bswap_i32"];var ___muldi3=Module["___muldi3"]=asm["___muldi3"];var _wabt_write_text_module=Module["_wabt_write_text_module"]=asm["_wabt_write_text_module"];var ___uremdi3=Module["___uremdi3"]=asm["___uremdi3"];var _wabt_read_binary=Module["_wabt_read_binary"]=asm["_wabt_read_binary"];var _wabt_write_module_result_release_log_output_buffer=Module["_wabt_write_module_result_release_log_output_buffer"]=asm["_wabt_write_module_result_release_log_output_buffer"];var stackAlloc=Module["stackAlloc"]=asm["stackAlloc"];var _i64Subtract=Module["_i64Subtract"]=asm["_i64Subtract"];var _memset=Module["_memset"]=asm["_memset"];var setTempRet0=Module["setTempRet0"]=asm["setTempRet0"];var _i64Add=Module["_i64Add"]=asm["_i64Add"];var _wabt_new_text_error_handler_buffer=Module["_wabt_new_text_error_handler_buffer"]=asm["_wabt_new_text_error_handler_buffer"];var _wabt_error_handler_buffer_get_data=Module["_wabt_error_handler_buffer_get_data"]=asm["_wabt_error_handler_buffer_get_data"];var _emscripten_get_global_libc=Module["_emscripten_get_global_libc"]=asm["_emscripten_get_global_libc"];var _wabt_destroy_wast_lexer=Module["_wabt_destroy_wast_lexer"]=asm["_wabt_destroy_wast_lexer"];var _wabt_write_module_result_get_result=Module["_wabt_write_module_result_get_result"]=asm["_wabt_write_module_result_get_result"];var _wabt_validate_module=Module["_wabt_validate_module"]=asm["_wabt_validate_module"];var ___errno_location=Module["___errno_location"]=asm["___errno_location"];var runPostSets=Module["runPostSets"]=asm["runPostSets"];var ___muldsi3=Module["___muldsi3"]=asm["___muldsi3"];var _free=Module["_free"]=asm["_free"];var _memcpy=Module["_memcpy"]=asm["_memcpy"];var setThrew=Module["setThrew"]=asm["setThrew"];var _wabt_apply_names_module=Module["_wabt_apply_names_module"]=asm["_wabt_apply_names_module"];var _memmove=Module["_memmove"]=asm["_memmove"];var stackRestore=Module["stackRestore"]=asm["stackRestore"];var _wabt_new_wast_buffer_lexer=Module["_wabt_new_wast_buffer_lexer"]=asm["_wabt_new_wast_buffer_lexer"];var _malloc=Module["_malloc"]=asm["_malloc"];var _llvm_ctlz_i64=Module["_llvm_ctlz_i64"]=asm["_llvm_ctlz_i64"];var _wabt_write_module_result_release_output_buffer=Module["_wabt_write_module_result_release_output_buffer"]=asm["_wabt_write_module_result_release_output_buffer"];var _wabt_destroy_output_buffer=Module["_wabt_destroy_output_buffer"]=asm["_wabt_destroy_output_buffer"];var _wabt_output_buffer_get_data=Module["_wabt_output_buffer_get_data"]=asm["_wabt_output_buffer_get_data"];var _wabt_read_binary_result_release_module=Module["_wabt_read_binary_result_release_module"]=asm["_wabt_read_binary_result_release_module"];var _wabt_parse_wat=Module["_wabt_parse_wat"]=asm["_wabt_parse_wat"];var _wabt_destroy_parse_wat_result=Module["_wabt_destroy_parse_wat_result"]=asm["_wabt_destroy_parse_wat_result"];var dynCall_iiiiiiii=Module["dynCall_iiiiiiii"]=asm["dynCall_iiiiiiii"];var dynCall_iiii=Module["dynCall_iiii"]=asm["dynCall_iiii"];var dynCall_viiiii=Module["dynCall_viiiii"]=asm["dynCall_viiiii"];var dynCall_vi=Module["dynCall_vi"]=asm["dynCall_vi"];var dynCall_vii=Module["dynCall_vii"]=asm["dynCall_vii"];var dynCall_iiiiiii=Module["dynCall_iiiiiii"]=asm["dynCall_iiiiiii"];var dynCall_ii=Module["dynCall_ii"]=asm["dynCall_ii"];var dynCall_viii=Module["dynCall_viii"]=asm["dynCall_viii"];var dynCall_v=Module["dynCall_v"]=asm["dynCall_v"];var dynCall_iiiii=Module["dynCall_iiiii"]=asm["dynCall_iiiii"];var dynCall_viiiiii=Module["dynCall_viiiiii"]=asm["dynCall_viiiiii"];var dynCall_iii=Module["dynCall_iii"]=asm["dynCall_iii"];var dynCall_iiiiii=Module["dynCall_iiiiii"]=asm["dynCall_iiiiii"];var dynCall_viiii=Module["dynCall_viiii"]=asm["dynCall_viiii"];Runtime.stackAlloc=Module["stackAlloc"];Runtime.stackSave=Module["stackSave"];Runtime.stackRestore=Module["stackRestore"];Runtime.establishStackSpace=Module["establishStackSpace"];Runtime.setTempRet0=Module["setTempRet0"];Runtime.getTempRet0=Module["getTempRet0"];Module["asm"]=asm;function ExitStatus(status){this.name="ExitStatus";this.message="Program terminated with exit("+status+")";this.status=status}ExitStatus.prototype=new Error;ExitStatus.prototype.constructor=ExitStatus;var initialStackTop;var preloadStartTime=null;var calledMain=false;dependenciesFulfilled=function runCaller(){if(!Module["calledRun"])run();if(!Module["calledRun"])dependenciesFulfilled=runCaller};Module["callMain"]=Module.callMain=function callMain(args){args=args||[];ensureInitRuntime();var argc=args.length+1;function pad(){for(var i=0;i<4-1;i++){argv.push(0)}}var argv=[allocate(intArrayFromString(Module["thisProgram"]),"i8",ALLOC_NORMAL)];pad();for(var i=0;i<argc-1;i=i+1){argv.push(allocate(intArrayFromString(args[i]),"i8",ALLOC_NORMAL));pad()}argv.push(0);argv=allocate(argv,"i32",ALLOC_NORMAL);try{var ret=Module["_main"](argc,argv,0);exit(ret,true)}catch(e){if(e instanceof ExitStatus){return}else if(e=="SimulateInfiniteLoop"){Module["noExitRuntime"]=true;return}else{var toLog=e;if(e&&typeof e==="object"&&e.stack){toLog=[e,e.stack]}Module.printErr("exception thrown: "+toLog);Module["quit"](1,e)}}finally{calledMain=true}};function run(args){args=args||Module["arguments"];if(preloadStartTime===null)preloadStartTime=Date.now();if(runDependencies>0){return}preRun();if(runDependencies>0)return;if(Module["calledRun"])return;function doRun(){if(Module["calledRun"])return;Module["calledRun"]=true;if(ABORT)return;ensureInitRuntime();preMain();if(Module["onRuntimeInitialized"])Module["onRuntimeInitialized"]();if(Module["_main"]&&shouldRunNow)Module["callMain"](args);postRun()}if(Module["setStatus"]){Module["setStatus"]("Running...");setTimeout((function(){setTimeout((function(){Module["setStatus"]("")}),1);doRun()}),1)}else{doRun()}}Module["run"]=Module.run=run;function exit(status,implicit){if(implicit&&Module["noExitRuntime"]){return}if(Module["noExitRuntime"]){}else{ABORT=true;EXITSTATUS=status;STACKTOP=initialStackTop;exitRuntime();if(Module["onExit"])Module["onExit"](status)}if(ENVIRONMENT_IS_NODE){process["exit"](status)}Module["quit"](status,new ExitStatus(status))}Module["exit"]=Module.exit=exit;var abortDecorators=[];function abort(what){if(what!==undefined){Module.print(what);Module.printErr(what);what=JSON.stringify(what)}else{what=""}ABORT=true;EXITSTATUS=1;var extra="\nIf this abort() is unexpected, build with -s ASSERTIONS=1 which can give more information.";var output="abort("+what+") at "+stackTrace()+extra;if(abortDecorators){abortDecorators.forEach((function(decorator){output=decorator(output,what)}))}throw output}Module["abort"]=Module.abort=abort;if(Module["preInit"]){if(typeof Module["preInit"]=="function")Module["preInit"]=[Module["preInit"]];while(Module["preInit"].length>0){Module["preInit"].pop()()}}var shouldRunNow=true;if(Module["noInitialRun"]){shouldRunNow=false}Module["noExitRuntime"]=true;run();var WABT_OK=0;function maybeDefault(value,default_){if(value===undefined){return default_}return value}function booleanOrDefault(value,default_){return!!maybeDefault(value,default_)}function malloc(size){var addr=Module._malloc(size);if(addr==0){throw new Error("out of memory")}return addr}function allocateBuffer(buf){var addr;var size;if(buf instanceof ArrayBuffer){size=buf.byteLength;addr=malloc(size);(new Uint8Array(Module.buffer,addr,size)).set(new Uint8Array(buf))}else if(ArrayBuffer.isView(buf)){size=buf.buffer.byteLength;addr=malloc(size);(new Uint8Array(Module.buffer,addr,size)).set(buf)}else if(typeof buf=="string"){size=buf.length;addr=malloc(size);Module.writeAsciiToMemory(buf,addr,true)}else{throw new Error("unknown buffer type: "+buf)}return{addr:addr,size:size}}function allocateCString(s){var size=s.length;var addr=malloc(size);Module.writeAsciiToMemory(s,addr);return{addr:addr,size:size}}function Lexer(filename,buffer){this.filenameObj=allocateCString(filename);this.bufferObj=allocateBuffer(buffer);this.addr=Module._wabt_new_wast_buffer_lexer(this.filenameObj.addr,this.bufferObj.addr,this.bufferObj.size)}Lexer.prototype=Object.create(Object.prototype);Lexer.prototype.destroy=(function(){Module._wabt_destroy_wast_lexer(this.addr);Module._free(this.bufferObj.addr);Module._free(this.filenameObj.addr)});function OutputBuffer(addr){this.addr=addr}OutputBuffer.prototype=Object.create(Object.prototype);OutputBuffer.prototype.toTypedArray=(function(){if(!this.addr){return null}var addr=Module._wabt_output_buffer_get_data(this.addr);var size=Module._wabt_output_buffer_get_size(this.addr);var buffer=new Uint8Array(size);buffer.set(new Uint8Array(HEAPU8.buffer,addr,size));return buffer});OutputBuffer.prototype.toString=(function(){if(!this.addr){return""}var addr=Module._wabt_output_buffer_get_data(this.addr);var size=Module._wabt_output_buffer_get_size(this.addr);return Module.Pointer_stringify(addr,size)});OutputBuffer.prototype.destroy=(function(){Module._wabt_destroy_output_buffer(this.addr)});function ErrorHandler(kind){if(kind=="text"){this.addr=Module._wabt_new_text_error_handler_buffer()}else if(kind=="binary"){this.addr=Module._wabt_new_binary_error_handler_buffer()}else{throw new Error("Invalid ErrorHandler kind: "+kind)}}ErrorHandler.prototype=Object.create(Object.prototype);ErrorHandler.prototype.getMessage=(function(){var addr=Module._wabt_error_handler_buffer_get_data(this.addr);var size=Module._wabt_error_handler_buffer_get_size(this.addr);return Module.Pointer_stringify(addr,size)});ErrorHandler.prototype.destroy=(function(){Module._wabt_destroy_error_handler_buffer(this.addr)});function parseWat(filename,buffer){var lexer=new Lexer(filename,buffer);var errorHandler=new ErrorHandler("text");try{var parseResult_addr=Module._wabt_parse_wat(lexer.addr,errorHandler.addr);var result=Module._wabt_parse_wat_result_get_result(parseResult_addr);if(result!==WABT_OK){throw new Error("parseWat failed:\n"+errorHandler.getMessage())}var module_addr=Module._wabt_parse_wat_result_release_module(parseResult_addr);var result=new WasmModule(lexer,module_addr);lexer=null;return result}finally{Module._wabt_destroy_parse_wat_result(parseResult_addr);errorHandler.destroy();if(lexer){lexer.destroy()}}}function readWasm(buffer,options){var bufferObj=allocateBuffer(buffer);var errorHandler=new ErrorHandler("binary");var readDebugNames=booleanOrDefault(options.readDebugNames,false);try{var readBinaryResult_addr=Module._wabt_read_binary(bufferObj.addr,bufferObj.size,readDebugNames,errorHandler.addr);var result=Module._wabt_read_binary_result_get_result(readBinaryResult_addr);if(result!==WABT_OK){throw new Error("readWasm failed:\n"+errorHandler.getMessage())}var module_addr=Module._wabt_read_binary_result_release_module(readBinaryResult_addr);var result=new WasmModule(null,module_addr);return result}finally{Module._wabt_destroy_read_binary_result(readBinaryResult_addr);errorHandler.destroy();Module._free(bufferObj.addr)}}function WasmModule(lexer,module_addr){this.lexer=lexer;this.module_addr=module_addr}WasmModule.prototype=Object.create(Object.prototype);WasmModule.prototype.validate=(function(){var errorHandler=new ErrorHandler("text");try{var lexer_addr=this.lexer?this.lexer.addr:null;var result=Module._wabt_validate_module(lexer_addr,this.module_addr,errorHandler.addr);if(result!==WABT_OK){throw new Error("validate failed:\n"+errorHandler.getMessage())}}finally{errorHandler.destroy()}});WasmModule.prototype.resolveNames=(function(){var errorHandler=new ErrorHandler("text");try{var lexer_addr=this.lexer?this.lexer.addr:null;var result=Module._wabt_resolve_names_module(lexer_addr,this.module_addr,errorHandler.addr);if(result!==WABT_OK){throw new Error("resolveNames failed:\n"+errorHandler.getMessage())}}finally{errorHandler.destroy()}});WasmModule.prototype.generateNames=(function(){var result=Module._wabt_generate_names_module(this.module_addr);if(result!==WABT_OK){throw new Error("generateNames failed.")}});WasmModule.prototype.applyNames=(function(){var result=Module._wabt_apply_names_module(this.module_addr);if(result!==WABT_OK){throw new Error("applyNames failed.")}});WasmModule.prototype.toText=(function(options){var foldExprs=booleanOrDefault(options.foldExprs,false);var inlineExport=booleanOrDefault(options.inlineExport,false);var writeModuleResult_addr=Module._wabt_write_text_module(this.module_addr,foldExprs,inlineExport);var result=Module._wabt_write_module_result_get_result(writeModuleResult_addr);try{if(result!==WABT_OK){throw new Error("toText failed.")}var outputBuffer=new OutputBuffer(Module._wabt_write_module_result_release_output_buffer(writeModuleResult_addr));return outputBuffer.toString()}finally{if(outputBuffer){outputBuffer.destroy()}Module._wabt_destroy_write_module_result(writeModuleResult_addr)}});WasmModule.prototype.toBinary=(function(options){var log=booleanOrDefault(options.log,false);var canonicalize_lebs=booleanOrDefault(options.canonicalize_lebs,true);var relocatable=booleanOrDefault(options.relocatable,false);var write_debug_names=booleanOrDefault(options.write_debug_names,false);var writeModuleResult_addr=Module._wabt_write_binary_module(this.module_addr,log,canonicalize_lebs,relocatable,write_debug_names);var result=Module._wabt_write_module_result_get_result(writeModuleResult_addr);try{if(result!==WABT_OK){throw new Error("toBinary failed.")}var binaryOutputBuffer=new OutputBuffer(Module._wabt_write_module_result_release_output_buffer(writeModuleResult_addr));var logOutputBuffer=new OutputBuffer(Module._wabt_write_module_result_release_log_output_buffer(writeModuleResult_addr));return{buffer:binaryOutputBuffer.toTypedArray(),log:logOutputBuffer.toString()}}finally{if(binaryOutputBuffer){binaryOutputBuffer.destroy()}if(logOutputBuffer){logOutputBuffer.destroy()}Module._wabt_destroy_write_module_result(writeModuleResult_addr)}});WasmModule.prototype.destroy=(function(){Module._wabt_destroy_module(this.module_addr);this.lexer.destroy()});var exports={ready:Promise.resolve(),parseWat:parseWat,readWasm:readWasm};if(typeof module!=="undefined"&&module&&module.exports)module.exports=exports;else if(typeof define==="function"&&define.amd)define((function(){return exports}));else(typeof global!=="undefined"&&global||typeof window!=="undefined"&&window||this).wabt=exports}))()




